/*!

  OpenLayers.js -- OpenLayers Map Viewer Library

  Copyright (c) 2006-2013 by OpenLayers Contributors
  Published under the 2-clause BSD license.
  See http://openlayers.org/dev/license.txt for the full text of the license, and http://openlayers.org/dev/authors.txt for full list of contributors.

  Includes compressed code under the following licenses:

  (For uncompressed versions of the code used, please see the
  OpenLayers Github repository: <https://github.com/openlayers/openlayers>)

*/
var OpenLayers={VERSION_NUMBER:"Release 2.13",singleFile:!0,_getScriptLocation:function(){for(var h=/(^|(.*?\/))(OpenLayers[^\/]*?\.js)(\?|$)/,g=document.getElementsByTagName("script"),l,k="",j=0,i=g.length;j<i;j++){if(l=g[j].getAttribute("src")){if(l=l.match(h)){k=l[1];break}}}return function(){return k}}(),ImgPath:""};OpenLayers.Class=function(){var f=arguments.length,e=arguments[0],h=arguments[f-1],g="function"==typeof h.initialize?h.initialize:function(){e.prototype.initialize.apply(this,arguments)};1<f?(f=[g,e].concat(Array.prototype.slice.call(arguments).slice(1,f-1),h),OpenLayers.inherit.apply(null,f)):g.prototype=h;return g};OpenLayers.inherit=function(g,f){var j=function(){};j.prototype=f.prototype;g.prototype=new j;var i,h,j=2;for(i=arguments.length;j<i;j++){h=arguments[j],"function"===typeof h&&(h=h.prototype),OpenLayers.Util.extend(g.prototype,h)}};OpenLayers.Util=OpenLayers.Util||{};OpenLayers.Util.extend=function(f,e){f=f||{};if(e){for(var h in e){var g=e[h];void 0!==g&&(f[h]=g)}"function"==typeof window.Event&&e instanceof window.Event||(!e.hasOwnProperty||!e.hasOwnProperty("toString"))||(f.toString=e.toString)}return f};OpenLayers.String={startsWith:function(d,c){return 0==d.indexOf(c)},contains:function(d,c){return -1!=d.indexOf(c)},trim:function(b){return b.replace(/^\s\s*/,"").replace(/\s\s*$/,"")},camelize:function(g){g=g.split("-");for(var f=g[0],j=1,i=g.length;j<i;j++){var h=g[j],f=f+(h.charAt(0).toUpperCase()+h.substring(1))}return f},format:function(e,d,f){d||(d=window);return e.replace(OpenLayers.String.tokenRegEx,function(b,k){for(var j,i=k.split(/\.+/),c=0;c<i.length;c++){0==c&&(j=d);if(void 0===j){break}j=j[i[c]]}"function"==typeof j&&(j=f?j.apply(null,f):j());return"undefined"==typeof j?"undefined":j})},tokenRegEx:/\$\{([\w.]+?)\}/g,numberRegEx:/^([+-]?)(?=\d|\.\d)\d*(\.\d*)?([Ee]([+-]?\d+))?$/,isNumeric:function(b){return OpenLayers.String.numberRegEx.test(b)},numericIf:function(e,d){var f=e;!0===d&&(null!=e&&e.replace)&&(e=e.replace(/^\s*|\s*$/g,""));return OpenLayers.String.isNumeric(e)?parseFloat(e):f}};OpenLayers.Number={decimalSeparator:".",thousandsSeparator:",",limitSigDigs:function(e,d){var f=0;0<d&&(f=parseFloat(e.toPrecision(d)));return f},format:function(h,g,l,k){g="undefined"!=typeof g?g:0;l="undefined"!=typeof l?l:OpenLayers.Number.thousandsSeparator;k="undefined"!=typeof k?k:OpenLayers.Number.decimalSeparator;null!=g&&(h=parseFloat(h.toFixed(g)));var j=h.toString().split(".");1==j.length&&null==g&&(g=0);h=j[0];if(l){for(var i=/(-?[0-9]+)([0-9]{3})/;i.test(h);){h=h.replace(i,"$1"+l+"$2")}}0==g?g=h:(l=1<j.length?j[1]:"0",null!=g&&(l+=Array(g-l.length+1).join("0")),g=h+k+l);return g},zeroPad:function(e,d,f){for(e=e.toString(f||10);e.length<d;){e="0"+e}return e}};OpenLayers.Function={bind:function(e,d){var f=Array.prototype.slice.apply(arguments,[2]);return function(){var a=f.concat(Array.prototype.slice.apply(arguments,[0]));return e.apply(d,a)}},bindAsEventListener:function(d,c){return function(a){return d.call(c,a||window.event)}},False:function(){return !1},True:function(){return !0},Void:function(){}};OpenLayers.Array={filter:function(i,h,n){var m=[];if(Array.prototype.filter){m=i.filter(h,n)}else{var l=i.length;if("function"!=typeof h){throw new TypeError}for(var k=0;k<l;k++){if(k in i){var j=i[k];h.call(n,j,k,i)&&m.push(j)}}}return m}};OpenLayers.Bounds=OpenLayers.Class({left:null,bottom:null,right:null,top:null,centerLonLat:null,initialize:function(f,e,h,g){OpenLayers.Util.isArray(f)&&(g=f[3],h=f[2],e=f[1],f=f[0]);null!=f&&(this.left=OpenLayers.Util.toFloat(f));null!=e&&(this.bottom=OpenLayers.Util.toFloat(e));null!=h&&(this.right=OpenLayers.Util.toFloat(h));null!=g&&(this.top=OpenLayers.Util.toFloat(g))},clone:function(){return new OpenLayers.Bounds(this.left,this.bottom,this.right,this.top)},equals:function(d){var c=!1;null!=d&&(c=this.left==d.left&&this.right==d.right&&this.top==d.top&&this.bottom==d.bottom);return c},toString:function(){return[this.left,this.bottom,this.right,this.top].join()},toArray:function(b){return !0===b?[this.bottom,this.left,this.top,this.right]:[this.left,this.bottom,this.right,this.top]},toBBOX:function(h,g){null==h&&(h=6);var l=Math.pow(10,h),k=Math.round(this.left*l)/l,j=Math.round(this.bottom*l)/l,i=Math.round(this.right*l)/l,l=Math.round(this.top*l)/l;return !0===g?j+","+k+","+l+","+i:k+","+j+","+i+","+l},toGeometry:function(){return new OpenLayers.Geometry.Polygon([new OpenLayers.Geometry.LinearRing([new OpenLayers.Geometry.Point(this.left,this.bottom),new OpenLayers.Geometry.Point(this.right,this.bottom),new OpenLayers.Geometry.Point(this.right,this.top),new OpenLayers.Geometry.Point(this.left,this.top)])])},getWidth:function(){return this.right-this.left},getHeight:function(){return this.top-this.bottom},getSize:function(){return new OpenLayers.Size(this.getWidth(),this.getHeight())},getCenterPixel:function(){return new OpenLayers.Pixel((this.left+this.right)/2,(this.bottom+this.top)/2)},getCenterLonLat:function(){this.centerLonLat||(this.centerLonLat=new OpenLayers.LonLat((this.left+this.right)/2,(this.bottom+this.top)/2));return this.centerLonLat},scale:function(f,e){null==e&&(e=this.getCenterLonLat());var h,g;"OpenLayers.LonLat"==e.CLASS_NAME?(h=e.lon,g=e.lat):(h=e.x,g=e.y);return new OpenLayers.Bounds((this.left-h)*f+h,(this.bottom-g)*f+g,(this.right-h)*f+h,(this.top-g)*f+g)},add:function(d,c){if(null==d||null==c){throw new TypeError("Bounds.add cannot receive null values")}return new OpenLayers.Bounds(this.left+d,this.bottom+c,this.right+d,this.top+c)},extend:function(b){if(b){switch(b.CLASS_NAME){case"OpenLayers.LonLat":this.extendXY(b.lon,b.lat);break;case"OpenLayers.Geometry.Point":this.extendXY(b.x,b.y);break;case"OpenLayers.Bounds":this.centerLonLat=null;if(null==this.left||b.left<this.left){this.left=b.left}if(null==this.bottom||b.bottom<this.bottom){this.bottom=b.bottom}if(null==this.right||b.right>this.right){this.right=b.right}if(null==this.top||b.top>this.top){this.top=b.top}}}},extendXY:function(d,c){this.centerLonLat=null;if(null==this.left||d<this.left){this.left=d}if(null==this.bottom||c<this.bottom){this.bottom=c}if(null==this.right||d>this.right){this.right=d}if(null==this.top||c>this.top){this.top=c}},containsLonLat:function(f,e){"boolean"===typeof e&&(e={inclusive:e});e=e||{};var h=this.contains(f.lon,f.lat,e.inclusive),g=e.worldBounds;g&&!h&&(h=g.getWidth(),g=Math.round((f.lon-(g.left+g.right)/2)/h),h=this.containsLonLat({lon:f.lon-g*h,lat:f.lat},{inclusive:e.inclusive}));return h},containsPixel:function(d,c){return this.contains(d.x,d.y,c)},contains:function(f,e,h){null==h&&(h=!0);if(null==f||null==e){return !1}f=OpenLayers.Util.toFloat(f);e=OpenLayers.Util.toFloat(e);var g=!1;return g=h?f>=this.left&&f<=this.right&&e>=this.bottom&&e<=this.top:f>this.left&&f<this.right&&e>this.bottom&&e<this.top},intersectsBounds:function(i,h){"boolean"===typeof h&&(h={inclusive:h});h=h||{};if(h.worldBounds){var n=this.wrapDateLine(h.worldBounds);i=i.wrapDateLine(h.worldBounds)}else{n=this}null==h.inclusive&&(h.inclusive=!0);var m=!1,l=n.left==i.right||n.right==i.left||n.top==i.bottom||n.bottom==i.top;if(h.inclusive||!l){var m=i.top>=n.bottom&&i.top<=n.top||n.top>i.bottom&&n.top<i.top,l=i.left>=n.left&&i.left<=n.right||n.left>=i.left&&n.left<=i.right,k=i.right>=n.left&&i.right<=n.right||n.right>=i.left&&n.right<=i.right,m=(i.bottom>=n.bottom&&i.bottom<=n.top||n.bottom>=i.bottom&&n.bottom<=i.top||m)&&(l||k)}if(h.worldBounds&&!m){var j=h.worldBounds,l=j.getWidth(),k=!j.containsBounds(n),j=!j.containsBounds(i);k&&!j?(i=i.add(-l,0),m=n.intersectsBounds(i,{inclusive:h.inclusive})):j&&!k&&(n=n.add(-l,0),m=i.intersectsBounds(n,{inclusive:h.inclusive}))}return m},containsBounds:function(h,g,l){null==g&&(g=!1);null==l&&(l=!0);var k=this.contains(h.left,h.bottom,l),j=this.contains(h.right,h.bottom,l),i=this.contains(h.left,h.top,l);h=this.contains(h.right,h.top,l);return g?k||j||i||h:k&&j&&i&&h},determineQuadrant:function(e){var d="",f=this.getCenterLonLat(),d=d+(e.lat<f.lat?"b":"t");return d+=e.lon<f.lon?"l":"r"},transform:function(h,g){this.centerLonLat=null;var l=OpenLayers.Projection.transform({x:this.left,y:this.bottom},h,g),k=OpenLayers.Projection.transform({x:this.right,y:this.bottom},h,g),j=OpenLayers.Projection.transform({x:this.left,y:this.top},h,g),i=OpenLayers.Projection.transform({x:this.right,y:this.top},h,g);this.left=Math.min(l.x,j.x);this.bottom=Math.min(l.y,k.y);this.right=Math.max(k.x,i.x);this.top=Math.max(j.y,i.y);return this},wrapDateLine:function(h,g){g=g||{};var l=g.leftTolerance||0,k=g.rightTolerance||0,j=this.clone();if(h){for(var i=h.getWidth();j.left<h.left&&j.right-k<=h.left;){j=j.add(i,0)}for(;j.left+l>=h.right&&j.right>h.right;){j=j.add(-i,0)}l=j.left+l;l<h.right&&(l>h.left&&j.right-k>h.right)&&(j=j.add(-i,0))}return j},CLASS_NAME:"OpenLayers.Bounds"});OpenLayers.Bounds.fromString=function(e,d){var f=e.split(",");return OpenLayers.Bounds.fromArray(f,d)};OpenLayers.Bounds.fromArray=function(d,c){return !0===c?new OpenLayers.Bounds(d[1],d[0],d[3],d[2]):new OpenLayers.Bounds(d[0],d[1],d[2],d[3])};OpenLayers.Bounds.fromSize=function(b){return new OpenLayers.Bounds(0,b.h,b.w,0)};OpenLayers.Bounds.oppositeQuadrant=function(d){var c;c=""+("t"==d.charAt(0)?"b":"t");return c+="l"==d.charAt(1)?"r":"l"};OpenLayers.Element={visible:function(b){return"none"!=OpenLayers.Util.getElement(b).style.display},toggle:function(){for(var f=0,e=arguments.length;f<e;f++){var h=OpenLayers.Util.getElement(arguments[f]),g=OpenLayers.Element.visible(h)?"none":"";h.style.display=g}},remove:function(b){b=OpenLayers.Util.getElement(b);b.parentNode.removeChild(b)},getHeight:function(b){b=OpenLayers.Util.getElement(b);return b.offsetHeight},hasClass:function(e,d){var f=e.className;return !!f&&RegExp("(^|\\s)"+d+"(\\s|$)").test(f)},addClass:function(d,c){OpenLayers.Element.hasClass(d,c)||(d.className+=(d.className?" ":"")+c);return d},removeClass:function(e,d){var f=e.className;f&&(e.className=OpenLayers.String.trim(f.replace(RegExp("(^|\\s+)"+d+"(\\s+|$)")," ")));return e},toggleClass:function(d,c){OpenLayers.Element.hasClass(d,c)?OpenLayers.Element.removeClass(d,c):OpenLayers.Element.addClass(d,c);return d},getStyle:function(f,e){f=OpenLayers.Util.getElement(f);var h=null;if(f&&f.style){h=f.style[OpenLayers.String.camelize(e)];h||(document.defaultView&&document.defaultView.getComputedStyle?h=(h=document.defaultView.getComputedStyle(f,null))?h.getPropertyValue(e):null:f.currentStyle&&(h=f.currentStyle[OpenLayers.String.camelize(e)]));var g=["left","top","right","bottom"];window.opera&&(-1!=OpenLayers.Util.indexOf(g,e)&&"static"==OpenLayers.Element.getStyle(f,"position"))&&(h="auto")}return"auto"==h?null:h}};OpenLayers.LonLat=OpenLayers.Class({lon:0,lat:0,initialize:function(d,c){OpenLayers.Util.isArray(d)&&(c=d[1],d=d[0]);this.lon=OpenLayers.Util.toFloat(d);this.lat=OpenLayers.Util.toFloat(c)},toString:function(){return"lon="+this.lon+",lat="+this.lat},toShortString:function(){return this.lon+", "+this.lat},clone:function(){return new OpenLayers.LonLat(this.lon,this.lat)},add:function(d,c){if(null==d||null==c){throw new TypeError("LonLat.add cannot receive null values")}return new OpenLayers.LonLat(this.lon+OpenLayers.Util.toFloat(d),this.lat+OpenLayers.Util.toFloat(c))},equals:function(d){var c=!1;null!=d&&(c=this.lon==d.lon&&this.lat==d.lat||isNaN(this.lon)&&isNaN(this.lat)&&isNaN(d.lon)&&isNaN(d.lat));return c},transform:function(e,d){var f=OpenLayers.Projection.transform({x:this.lon,y:this.lat},e,d);this.lon=f.x;this.lat=f.y;return this},wrapDateLine:function(d){var c=this.clone();if(d){for(;c.lon<d.left;){c.lon+=d.getWidth()}for(;c.lon>d.right;){c.lon-=d.getWidth()}}return c},CLASS_NAME:"OpenLayers.LonLat"});OpenLayers.LonLat.fromString=function(b){b=b.split(",");return new OpenLayers.LonLat(b[0],b[1])};OpenLayers.LonLat.fromArray=function(d){var c=OpenLayers.Util.isArray(d);return new OpenLayers.LonLat(c&&d[0],c&&d[1])};OpenLayers.Pixel=OpenLayers.Class({x:0,y:0,initialize:function(d,c){this.x=parseFloat(d);this.y=parseFloat(c)},toString:function(){return"x="+this.x+",y="+this.y},clone:function(){return new OpenLayers.Pixel(this.x,this.y)},equals:function(d){var c=!1;null!=d&&(c=this.x==d.x&&this.y==d.y||isNaN(this.x)&&isNaN(this.y)&&isNaN(d.x)&&isNaN(d.y));return c},distanceTo:function(b){return Math.sqrt(Math.pow(this.x-b.x,2)+Math.pow(this.y-b.y,2))},add:function(d,c){if(null==d||null==c){throw new TypeError("Pixel.add cannot receive null values")}return new OpenLayers.Pixel(this.x+d,this.y+c)},offset:function(d){var c=this.clone();d&&(c=this.add(d.x,d.y));return c},CLASS_NAME:"OpenLayers.Pixel"});OpenLayers.Size=OpenLayers.Class({w:0,h:0,initialize:function(d,c){this.w=parseFloat(d);this.h=parseFloat(c)},toString:function(){return"w="+this.w+",h="+this.h},clone:function(){return new OpenLayers.Size(this.w,this.h)},equals:function(d){var c=!1;null!=d&&(c=this.w==d.w&&this.h==d.h||isNaN(this.w)&&isNaN(this.h)&&isNaN(d.w)&&isNaN(d.h));return c},CLASS_NAME:"OpenLayers.Size"});OpenLayers.Console={log:function(){},debug:function(){},info:function(){},warn:function(){},error:function(){},userError:function(b){alert(b)},assert:function(){},dir:function(){},dirxml:function(){},trace:function(){},group:function(){},groupEnd:function(){},time:function(){},timeEnd:function(){},profile:function(){},profileEnd:function(){},count:function(){},CLASS_NAME:"OpenLayers.Console"};(function(){for(var e=document.getElementsByTagName("script"),d=0,f=e.length;d<f;++d){if(-1!=e[d].src.indexOf("firebug.js")&&console){OpenLayers.Util.extend(OpenLayers.Console,console);break}}})();OpenLayers.Lang={code:null,defaultCode:"en",getCode:function(){OpenLayers.Lang.code||OpenLayers.Lang.setCode();return OpenLayers.Lang.code},setCode:function(e){var d;e||(e="msie"==OpenLayers.BROWSER_NAME?navigator.userLanguage:navigator.language);e=e.split("-");e[0]=e[0].toLowerCase();"object"==typeof OpenLayers.Lang[e[0]]&&(d=e[0]);if(e[1]){var f=e[0]+"-"+e[1].toUpperCase();"object"==typeof OpenLayers.Lang[f]&&(d=f)}d||(OpenLayers.Console.warn("Failed to find OpenLayers.Lang."+e.join("-")+" dictionary, falling back to default language"),d=OpenLayers.Lang.defaultCode);OpenLayers.Lang.code=d},translate:function(e,d){var f=OpenLayers.Lang[OpenLayers.Lang.getCode()];(f=f&&f[e])||(f=e);d&&(f=OpenLayers.String.format(f,d));return f}};OpenLayers.i18n=OpenLayers.Lang.translate;OpenLayers.Util=OpenLayers.Util||{};OpenLayers.Util.getElement=function(){for(var f=[],e=0,h=arguments.length;e<h;e++){var g=arguments[e];"string"==typeof g&&(g=document.getElementById(g));if(1==arguments.length){return g}f.push(g)}return f};OpenLayers.Util.isElement=function(b){return !(!b||1!==b.nodeType)};OpenLayers.Util.isArray=function(b){return"[object Array]"===Object.prototype.toString.call(b)};OpenLayers.Util.removeItem=function(e,d){for(var f=e.length-1;0<=f;f--){e[f]==d&&e.splice(f,1)}return e};OpenLayers.Util.indexOf=function(f,e){if("function"==typeof f.indexOf){return f.indexOf(e)}for(var h=0,g=f.length;h<g;h++){if(f[h]==e){return h}}return -1};OpenLayers.Util.dotless=/\./g;OpenLayers.Util.modifyDOMElement=function(j,i,p,o,n,m,l,k){i&&(j.id=i.replace(OpenLayers.Util.dotless,"_"));p&&(j.style.left=p.x+"px",j.style.top=p.y+"px");o&&(j.style.width=o.w+"px",j.style.height=o.h+"px");n&&(j.style.position=n);m&&(j.style.border=m);l&&(j.style.overflow=l);0<=parseFloat(k)&&1>parseFloat(k)?(j.style.filter="alpha(opacity="+100*k+")",j.style.opacity=k):1==parseFloat(k)&&(j.style.filter="",j.style.opacity="")};OpenLayers.Util.createDiv=function(r,q,p,o,n,m,l,j){var i=document.createElement("div");o&&(i.style.backgroundImage="url("+o+")");r||(r=OpenLayers.Util.createUniqueID("OpenLayersDiv"));n||(n="absolute");OpenLayers.Util.modifyDOMElement(i,r,q,p,n,m,l,j);return i};OpenLayers.Util.createImage=function(r,q,p,o,n,m,l,j){var i=document.createElement("img");r||(r=OpenLayers.Util.createUniqueID("OpenLayersDiv"));n||(n="relative");OpenLayers.Util.modifyDOMElement(i,r,q,p,n,m,null,l);j&&(i.style.display="none",q=function(){i.style.display="";OpenLayers.Event.stopObservingElement(i)},OpenLayers.Event.observe(i,"load",q),OpenLayers.Event.observe(i,"error",q));i.style.alt=r;i.galleryImg="no";o&&(i.src=o);return i};OpenLayers.IMAGE_RELOAD_ATTEMPTS=0;OpenLayers.Util.alphaHackNeeded=null;OpenLayers.Util.alphaHack=function(){if(null==OpenLayers.Util.alphaHackNeeded){var e=navigator.appVersion.split("MSIE"),e=parseFloat(e[1]),d=!1;try{d=!!document.body.filters}catch(f){}OpenLayers.Util.alphaHackNeeded=d&&5.5<=e&&7>e}return OpenLayers.Util.alphaHackNeeded};OpenLayers.Util.modifyAlphaImageDiv=function(r,q,p,o,n,m,l,j,i){OpenLayers.Util.modifyDOMElement(r,q,p,o,m,null,null,i);q=r.childNodes[0];n&&(q.src=n);OpenLayers.Util.modifyDOMElement(q,r.id+"_innerImage",null,o,"relative",l);OpenLayers.Util.alphaHack()&&("none"!=r.style.display&&(r.style.display="inline-block"),null==j&&(j="scale"),r.style.filter="progid:DXImageTransform.Microsoft.AlphaImageLoader(src='"+q.src+"', sizingMethod='"+j+"')",0<=parseFloat(r.style.opacity)&&1>parseFloat(r.style.opacity)&&(r.style.filter+=" alpha(opacity="+100*r.style.opacity+")"),q.style.filter="alpha(opacity=0)")};OpenLayers.Util.createAlphaImageDiv=function(t,s,r,q,p,o,n,m,j){var i=OpenLayers.Util.createDiv();j=OpenLayers.Util.createImage(null,null,null,null,null,null,null,j);j.className="olAlphaImg";i.appendChild(j);OpenLayers.Util.modifyAlphaImageDiv(i,t,s,r,q,p,o,n,m);return i};OpenLayers.Util.upperCaseObject=function(e){var d={},f;for(f in e){d[f.toUpperCase()]=e[f]}return d};OpenLayers.Util.applyDefaults=function(f,e){f=f||{};var h="function"==typeof window.Event&&e instanceof window.Event,g;for(g in e){if(void 0===f[g]||!h&&e.hasOwnProperty&&e.hasOwnProperty(g)&&!f.hasOwnProperty(g)){f[g]=e[g]}}!h&&(e&&e.hasOwnProperty&&e.hasOwnProperty("toString")&&!f.hasOwnProperty("toString"))&&(f.toString=e.toString);return f};OpenLayers.Util.getParameterString=function(j){var i=[],p;for(p in j){var o=j[p];if(null!=o&&"function"!=typeof o){if("object"==typeof o&&o.constructor==Array){for(var n=[],m,l=0,k=o.length;l<k;l++){m=o[l],n.push(encodeURIComponent(null===m||void 0===m?"":m))}o=n.join(",")}else{o=encodeURIComponent(o)}i.push(encodeURIComponent(p)+"="+o)}}return i.join("&")};OpenLayers.Util.urlAppend=function(f,e){var h=f;if(e){var g=(f+" ").split(/[?&]/),h=h+(" "===g.pop()?e:g.length?"&"+e:"?"+e)}return h};OpenLayers.Util.getImagesLocation=function(){return OpenLayers.ImgPath||OpenLayers._getScriptLocation()+"img/"};OpenLayers.Util.getImageLocation=function(b){return OpenLayers.Util.getImagesLocation()+b};OpenLayers.Util.Try=function(){for(var g=null,f=0,j=arguments.length;f<j;f++){var i=arguments[f];try{g=i();break}catch(h){}}return g};OpenLayers.Util.getXmlNodeValue=function(d){var c=null;OpenLayers.Util.Try(function(){c=d.text;c||(c=d.textContent);c||(c=d.firstChild.nodeValue)},function(){c=d.textContent});return c};OpenLayers.Util.mouseLeft=function(e,d){for(var f=e.relatedTarget?e.relatedTarget:e.toElement;f!=d&&null!=f;){f=f.parentNode}return f!=d};OpenLayers.Util.DEFAULT_PRECISION=14;OpenLayers.Util.toFloat=function(d,c){null==c&&(c=OpenLayers.Util.DEFAULT_PRECISION);"number"!==typeof d&&(d=parseFloat(d));return 0===c?d:parseFloat(d.toPrecision(c))};OpenLayers.Util.rad=function(b){return b*Math.PI/180};OpenLayers.Util.deg=function(b){return 180*b/Math.PI};OpenLayers.Util.VincentyConstants={a:6378137,b:6356752.3142,f:1/298.257223563};OpenLayers.Util.distVincenty=function(N,M){for(var L=OpenLayers.Util.VincentyConstants,K=L.a,J=L.b,L=L.f,I=OpenLayers.Util.rad(M.lon-N.lon),H=Math.atan((1-L)*Math.tan(OpenLayers.Util.rad(N.lat))),G=Math.atan((1-L)*Math.tan(OpenLayers.Util.rad(M.lat))),F=Math.sin(H),H=Math.cos(H),E=Math.sin(G),G=Math.cos(G),D=I,C=2*Math.PI,B=20;1e-12<Math.abs(D-C)&&0<--B;){var A=Math.sin(D),z=Math.cos(D),y=Math.sqrt(G*A*G*A+(H*E-F*G*z)*(H*E-F*G*z));if(0==y){return 0}var z=F*E+H*G*z,x=Math.atan2(y,z),o=Math.asin(H*G*A/y),j=Math.cos(o)*Math.cos(o),A=z-2*F*E/j,i=L/16*j*(4+L*(4-3*j)),C=D,D=I+(1-i)*L*Math.sin(o)*(x+i*y*(A+i*z*(-1+2*A*A)))}if(0==B){return NaN}K=j*(K*K-J*J)/(J*J);L=K/1024*(256+K*(-128+K*(74-47*K)));return(J*(1+K/16384*(4096+K*(-768+K*(320-175*K))))*(x-L*y*(A+L/4*(z*(-1+2*A*A)-L/6*A*(-3+4*y*y)*(-3+4*A*A))))).toFixed(3)/1000};OpenLayers.Util.destinationVincenty=function(N,M,L){var K=OpenLayers.Util,J=K.VincentyConstants,I=J.a,H=J.b,G=J.f,J=N.lon;N=N.lat;var F=K.rad(M);M=Math.sin(F);F=Math.cos(F);N=(1-G)*Math.tan(K.rad(N));var E=1/Math.sqrt(1+N*N),D=N*E,C=Math.atan2(N,F);N=E*M;for(var B=1-N*N,I=B*(I*I-H*H)/(H*H),A=1+I/16384*(4096+I*(-768+I*(320-175*I))),z=I/1024*(256+I*(-128+I*(74-47*I))),I=L/(H*A),y=2*Math.PI;1e-12<Math.abs(I-y);){var x=Math.cos(2*C+I),o=Math.sin(I),j=Math.cos(I),i=z*o*(x+z/4*(j*(-1+2*x*x)-z/6*x*(-3+4*o*o)*(-3+4*x*x))),y=I,I=L/(H*A)+i}L=D*o-E*j*F;H=Math.atan2(D*j+E*o*F,(1-G)*Math.sqrt(N*N+L*L));M=Math.atan2(o*M,E*j-D*o*F);F=G/16*B*(4+G*(4-3*B));x=M-(1-F)*G*N*(I+F*o*(x+F*j*(-1+2*x*x)));Math.atan2(N,-L);return new OpenLayers.LonLat(J+K.deg(x),K.deg(H))};OpenLayers.Util.getParameters=function(t,s){s=s||{};t=null===t||void 0===t?window.location.href:t;var r="";if(OpenLayers.String.contains(t,"?")){var q=t.indexOf("?")+1,r=OpenLayers.String.contains(t,"#")?t.indexOf("#"):t.length,r=t.substring(q,r)}for(var q={},r=r.split(/[&;]/),p=0,o=r.length;p<o;++p){var n=r[p].split("=");if(n[0]){var m=n[0];try{m=decodeURIComponent(m)}catch(j){m=unescape(m)}n=(n[1]||"").replace(/\+/g," ");try{n=decodeURIComponent(n)}catch(i){n=unescape(n)}!1!==s.splitArgs&&(n=n.split(","));1==n.length&&(n=n[0]);q[m]=n}}return q};OpenLayers.Util.lastSeqID=0;OpenLayers.Util.createUniqueID=function(b){b=null==b?"id_":b.replace(OpenLayers.Util.dotless,"_");OpenLayers.Util.lastSeqID+=1;return b+OpenLayers.Util.lastSeqID};OpenLayers.INCHES_PER_UNIT={inches:1,ft:12,mi:63360,m:39.37,km:39370,dd:4374754,yd:36};OpenLayers.INCHES_PER_UNIT["in"]=OpenLayers.INCHES_PER_UNIT.inches;OpenLayers.INCHES_PER_UNIT.degrees=OpenLayers.INCHES_PER_UNIT.dd;OpenLayers.INCHES_PER_UNIT.nmi=1852*OpenLayers.INCHES_PER_UNIT.m;OpenLayers.METERS_PER_INCH=0.0254000508001016;OpenLayers.Util.extend(OpenLayers.INCHES_PER_UNIT,{Inch:OpenLayers.INCHES_PER_UNIT.inches,Meter:1/OpenLayers.METERS_PER_INCH,Foot:0.3048006096012192/OpenLayers.METERS_PER_INCH,IFoot:0.3048/OpenLayers.METERS_PER_INCH,ClarkeFoot:0.3047972651151/OpenLayers.METERS_PER_INCH,SearsFoot:0.30479947153867626/OpenLayers.METERS_PER_INCH,GoldCoastFoot:0.3047997101815088/OpenLayers.METERS_PER_INCH,IInch:0.0254/OpenLayers.METERS_PER_INCH,MicroInch:0.0000254/OpenLayers.METERS_PER_INCH,Mil:2.54e-8/OpenLayers.METERS_PER_INCH,Centimeter:0.01/OpenLayers.METERS_PER_INCH,Kilometer:1000/OpenLayers.METERS_PER_INCH,Yard:0.9144018288036576/OpenLayers.METERS_PER_INCH,SearsYard:0.914398414616029/OpenLayers.METERS_PER_INCH,IndianYard:0.9143985307444408/OpenLayers.METERS_PER_INCH,IndianYd37:0.91439523/OpenLayers.METERS_PER_INCH,IndianYd62:0.9143988/OpenLayers.METERS_PER_INCH,IndianYd75:0.9143985/OpenLayers.METERS_PER_INCH,IndianFoot:0.30479951/OpenLayers.METERS_PER_INCH,IndianFt37:0.30479841/OpenLayers.METERS_PER_INCH,IndianFt62:0.3047996/OpenLayers.METERS_PER_INCH,IndianFt75:0.3047995/OpenLayers.METERS_PER_INCH,Mile:1609.3472186944373/OpenLayers.METERS_PER_INCH,IYard:0.9144/OpenLayers.METERS_PER_INCH,IMile:1609.344/OpenLayers.METERS_PER_INCH,NautM:1852/OpenLayers.METERS_PER_INCH,"Lat-66":110943.31648893273/OpenLayers.METERS_PER_INCH,"Lat-83":110946.25736872235/OpenLayers.METERS_PER_INCH,Decimeter:0.1/OpenLayers.METERS_PER_INCH,Millimeter:0.001/OpenLayers.METERS_PER_INCH,Dekameter:10/OpenLayers.METERS_PER_INCH,Decameter:10/OpenLayers.METERS_PER_INCH,Hectometer:100/OpenLayers.METERS_PER_INCH,GermanMeter:1.0000135965/OpenLayers.METERS_PER_INCH,CaGrid:0.999738/OpenLayers.METERS_PER_INCH,ClarkeChain:20.1166194976/OpenLayers.METERS_PER_INCH,GunterChain:20.11684023368047/OpenLayers.METERS_PER_INCH,BenoitChain:20.116782494375872/OpenLayers.METERS_PER_INCH,SearsChain:20.11676512155/OpenLayers.METERS_PER_INCH,ClarkeLink:0.201166194976/OpenLayers.METERS_PER_INCH,GunterLink:0.2011684023368047/OpenLayers.METERS_PER_INCH,BenoitLink:0.20116782494375873/OpenLayers.METERS_PER_INCH,SearsLink:0.2011676512155/OpenLayers.METERS_PER_INCH,Rod:5.02921005842012/OpenLayers.METERS_PER_INCH,IntnlChain:20.1168/OpenLayers.METERS_PER_INCH,IntnlLink:0.201168/OpenLayers.METERS_PER_INCH,Perch:5.02921005842012/OpenLayers.METERS_PER_INCH,Pole:5.02921005842012/OpenLayers.METERS_PER_INCH,Furlong:201.1684023368046/OpenLayers.METERS_PER_INCH,Rood:3.778266898/OpenLayers.METERS_PER_INCH,CapeFoot:0.3047972615/OpenLayers.METERS_PER_INCH,Brealey:375/OpenLayers.METERS_PER_INCH,ModAmFt:0.304812252984506/OpenLayers.METERS_PER_INCH,Fathom:1.8288/OpenLayers.METERS_PER_INCH,"NautM-UK":1853.184/OpenLayers.METERS_PER_INCH,"50kilometers":50000/OpenLayers.METERS_PER_INCH,"150kilometers":150000/OpenLayers.METERS_PER_INCH});OpenLayers.Util.extend(OpenLayers.INCHES_PER_UNIT,{mm:OpenLayers.INCHES_PER_UNIT.Meter/1000,cm:OpenLayers.INCHES_PER_UNIT.Meter/100,dm:100*OpenLayers.INCHES_PER_UNIT.Meter,km:1000*OpenLayers.INCHES_PER_UNIT.Meter,kmi:OpenLayers.INCHES_PER_UNIT.nmi,fath:OpenLayers.INCHES_PER_UNIT.Fathom,ch:OpenLayers.INCHES_PER_UNIT.IntnlChain,link:OpenLayers.INCHES_PER_UNIT.IntnlLink,"us-in":OpenLayers.INCHES_PER_UNIT.inches,"us-ft":OpenLayers.INCHES_PER_UNIT.Foot,"us-yd":OpenLayers.INCHES_PER_UNIT.Yard,"us-ch":OpenLayers.INCHES_PER_UNIT.GunterChain,"us-mi":OpenLayers.INCHES_PER_UNIT.Mile,"ind-yd":OpenLayers.INCHES_PER_UNIT.IndianYd37,"ind-ft":OpenLayers.INCHES_PER_UNIT.IndianFt37,"ind-ch":20.11669506/OpenLayers.METERS_PER_INCH});OpenLayers.DOTS_PER_INCH=72;OpenLayers.Util.normalizeScale=function(b){return 1<b?1/b:b};OpenLayers.Util.getResolutionFromScale=function(e,d){var f;e&&(null==d&&(d="degrees"),f=1/(OpenLayers.Util.normalizeScale(e)*OpenLayers.INCHES_PER_UNIT[d]*OpenLayers.DOTS_PER_INCH));return f};OpenLayers.Util.getScaleFromResolution=function(d,c){null==c&&(c="degrees");return d*OpenLayers.INCHES_PER_UNIT[c]*OpenLayers.DOTS_PER_INCH};OpenLayers.Util.pagePosition=function(g){var f=[0,0],j=OpenLayers.Util.getViewportElement();if(!g||g==window||g==j){return f}var i=OpenLayers.IS_GECKO&&document.getBoxObjectFor&&"absolute"==OpenLayers.Element.getStyle(g,"position")&&(""==g.style.top||""==g.style.left),h=null;if(g.getBoundingClientRect){g=g.getBoundingClientRect(),h=window.pageYOffset||j.scrollTop,f[0]=g.left+(window.pageXOffset||j.scrollLeft),f[1]=g.top+h}else{if(document.getBoxObjectFor&&!i){g=document.getBoxObjectFor(g),j=document.getBoxObjectFor(j),f[0]=g.screenX-j.screenX,f[1]=g.screenY-j.screenY}else{f[0]=g.offsetLeft;f[1]=g.offsetTop;h=g.offsetParent;if(h!=g){for(;h;){f[0]+=h.offsetLeft,f[1]+=h.offsetTop,h=h.offsetParent}}j=OpenLayers.BROWSER_NAME;if("opera"==j||"safari"==j&&"absolute"==OpenLayers.Element.getStyle(g,"position")){f[1]-=document.body.offsetTop}for(h=g.offsetParent;h&&h!=document.body;){f[0]-=h.scrollLeft;if("opera"!=j||"TR"!=h.tagName){f[1]-=h.scrollTop}h=h.offsetParent}}}return f};OpenLayers.Util.getViewportElement=function(){var b=arguments.callee.viewportElement;void 0==b&&(b="msie"==OpenLayers.BROWSER_NAME&&"CSS1Compat"!=document.compatMode?document.body:document.documentElement,arguments.callee.viewportElement=b);return b};OpenLayers.Util.isEquivalentUrl=function(f,e,h){h=h||{};OpenLayers.Util.applyDefaults(h,{ignoreCase:!0,ignorePort80:!0,ignoreHash:!0,splitArgs:!1});f=OpenLayers.Util.createUrlObject(f,h);e=OpenLayers.Util.createUrlObject(e,h);for(var g in f){if("args"!==g&&f[g]!=e[g]){return !1}}for(g in f.args){if(f.args[g]!=e.args[g]){return !1}delete e.args[g]}for(g in e.args){return !1}return !0};OpenLayers.Util.createUrlObject=function(g,f){f=f||{};if(!/^\w+:\/\//.test(g)){var j=window.location,i=j.port?":"+j.port:"",i=j.protocol+"//"+j.host.split(":").shift()+i;0===g.indexOf("/")?g=i+g:(j=j.pathname.split("/"),j.pop(),g=i+j.join("/")+"/"+g)}f.ignoreCase&&(g=g.toLowerCase());j=document.createElement("a");j.href=g;i={};i.host=j.host.split(":").shift();i.protocol=j.protocol;i.port=f.ignorePort80?"80"==j.port||"0"==j.port?"":j.port:""==j.port||"0"==j.port?"80":j.port;i.hash=f.ignoreHash||"#"===j.hash?"":j.hash;var h=j.search;h||(h=g.indexOf("?"),h=-1!=h?g.substr(h):"");i.args=OpenLayers.Util.getParameters(h,{splitArgs:f.splitArgs});i.pathname="/"==j.pathname.charAt(0)?j.pathname:"/"+j.pathname;return i};OpenLayers.Util.removeTail=function(e){var d=null,d=e.indexOf("?"),f=e.indexOf("#");return d=-1==d?-1!=f?e.substr(0,f):e:-1!=f?e.substr(0,Math.min(d,f)):e.substr(0,d)};OpenLayers.IS_GECKO=function(){var b=navigator.userAgent.toLowerCase();return -1==b.indexOf("webkit")&&-1!=b.indexOf("gecko")}();OpenLayers.CANVAS_SUPPORTED=function(){var b=document.createElement("canvas");return !(!b.getContext||!b.getContext("2d"))}();OpenLayers.BROWSER_NAME=function(){var d="",c=navigator.userAgent.toLowerCase();-1!=c.indexOf("opera")?d="opera":-1!=c.indexOf("msie")?d="msie":-1!=c.indexOf("safari")?d="safari":-1!=c.indexOf("mozilla")&&(d=-1!=c.indexOf("firefox")?"firefox":"mozilla");return d}();OpenLayers.Util.getBrowserName=function(){return OpenLayers.BROWSER_NAME};OpenLayers.Util.getRenderedDimensions=function(v,u,t){var s,r,q=document.createElement("div");q.style.visibility="hidden";for(var p=t&&t.containerElement?t.containerElement:document.body,o=!1,n=null,j=p;j&&"body"!=j.tagName.toLowerCase();){var i=OpenLayers.Element.getStyle(j,"position");if("absolute"==i){o=!0;break}else{if(i&&"static"!=i){break}}j=j.parentNode}!o||0!==p.clientHeight&&0!==p.clientWidth||(n=document.createElement("div"),n.style.visibility="hidden",n.style.position="absolute",n.style.overflow="visible",n.style.width=document.body.clientWidth+"px",n.style.height=document.body.clientHeight+"px",n.appendChild(q));q.style.position="absolute";u&&(u.w?(s=u.w,q.style.width=s+"px"):u.h&&(r=u.h,q.style.height=r+"px"));t&&t.displayClass&&(q.className=t.displayClass);u=document.createElement("div");u.innerHTML=v;u.style.overflow="visible";if(u.childNodes){for(v=0,t=u.childNodes.length;v<t;v++){u.childNodes[v].style&&(u.childNodes[v].style.overflow="visible")}}q.appendChild(u);n?p.appendChild(n):p.appendChild(q);s||(s=parseInt(u.scrollWidth),q.style.width=s+"px");r||(r=parseInt(u.scrollHeight));q.removeChild(u);n?(n.removeChild(q),p.removeChild(n)):p.removeChild(q);return new OpenLayers.Size(s,r)};OpenLayers.Util.getScrollbarWidth=function(){var e=OpenLayers.Util._scrollbarWidth;if(null==e){var d=null,f=null,d=e=0,d=document.createElement("div");d.style.position="absolute";d.style.top="-1000px";d.style.left="-1000px";d.style.width="100px";d.style.height="50px";d.style.overflow="hidden";f=document.createElement("div");f.style.width="100%";f.style.height="200px";d.appendChild(f);document.body.appendChild(d);e=f.offsetWidth;d.style.overflow="scroll";d=f.offsetWidth;document.body.removeChild(document.body.lastChild);OpenLayers.Util._scrollbarWidth=e-d;e=OpenLayers.Util._scrollbarWidth}return e};OpenLayers.Util.getFormattedLonLat=function(h,g,l){l||(l="dms");h=(h+540)%360-180;var k=Math.abs(h),j=Math.floor(k),i=k=(k-j)/(1/60),k=Math.floor(k),i=Math.round(10*((i-k)/(1/60))),i=i/10;60<=i&&(i-=60,k+=1,60<=k&&(k-=60,j+=1));10>j&&(j="0"+j);j+="\u00b0";0<=l.indexOf("dm")&&(10>k&&(k="0"+k),j+=k+"'",0<=l.indexOf("dms")&&(10>i&&(i="0"+i),j+=i+'"'));return j="lon"==g?j+(0>h?OpenLayers.i18n("W"):OpenLayers.i18n("E")):j+(0>h?OpenLayers.i18n("S"):OpenLayers.i18n("N"))};OpenLayers.Format=OpenLayers.Class({options:null,externalProjection:null,internalProjection:null,data:null,keepData:!1,initialize:function(b){OpenLayers.Util.extend(this,b);this.options=b},destroy:function(){},read:function(b){throw Error("Read not implemented.")},write:function(b){throw Error("Write not implemented.")},CLASS_NAME:"OpenLayers.Format"});OpenLayers.Format.CSWGetRecords=function(d){d=OpenLayers.Util.applyDefaults(d,OpenLayers.Format.CSWGetRecords.DEFAULTS);var c=OpenLayers.Format.CSWGetRecords["v"+d.version.replace(/\./g,"_")];if(!c){throw"Unsupported CSWGetRecords version: "+d.version}return new c(d)};OpenLayers.Format.CSWGetRecords.DEFAULTS={version:"2.0.2"};OpenLayers.Control=OpenLayers.Class({id:null,map:null,div:null,type:null,allowSelection:!1,displayClass:"",title:"",autoActivate:!1,active:null,handlerOptions:null,handler:null,eventListeners:null,events:null,initialize:function(b){this.displayClass=this.CLASS_NAME.replace("OpenLayers.","ol").replace(/\./g,"");OpenLayers.Util.extend(this,b);this.events=new OpenLayers.Events(this);if(this.eventListeners instanceof Object){this.events.on(this.eventListeners)}null==this.id&&(this.id=OpenLayers.Util.createUniqueID(this.CLASS_NAME+"_"))},destroy:function(){this.events&&(this.eventListeners&&this.events.un(this.eventListeners),this.events.destroy(),this.events=null);this.eventListeners=null;this.handler&&(this.handler.destroy(),this.handler=null);if(this.handlers){for(var b in this.handlers){this.handlers.hasOwnProperty(b)&&"function"==typeof this.handlers[b].destroy&&this.handlers[b].destroy()}this.handlers=null}this.map&&(this.map.removeControl(this),this.map=null);this.div=null},setMap:function(b){this.map=b;this.handler&&this.handler.setMap(b)},draw:function(b){null==this.div&&(this.div=OpenLayers.Util.createDiv(this.id),this.div.className=this.displayClass,this.allowSelection||(this.div.className+=" olControlNoSelect",this.div.setAttribute("unselectable","on",0),this.div.onselectstart=OpenLayers.Function.False),""!=this.title&&(this.div.title=this.title));null!=b&&(this.position=b.clone());this.moveTo(this.position);return this.div},moveTo:function(b){null!=b&&null!=this.div&&(this.div.style.left=b.x+"px",this.div.style.top=b.y+"px")},activate:function(){if(this.active){return !1}this.handler&&this.handler.activate();this.active=!0;this.map&&OpenLayers.Element.addClass(this.map.viewPortDiv,this.displayClass.replace(/ /g,"")+"Active");this.events.triggerEvent("activate");return !0},deactivate:function(){return this.active?(this.handler&&this.handler.deactivate(),this.active=!1,this.map&&OpenLayers.Element.removeClass(this.map.viewPortDiv,this.displayClass.replace(/ /g,"")+"Active"),this.events.triggerEvent("deactivate"),!0):!1},CLASS_NAME:"OpenLayers.Control"});OpenLayers.Control.TYPE_BUTTON=1;OpenLayers.Control.TYPE_TOGGLE=2;OpenLayers.Control.TYPE_TOOL=3;OpenLayers.Event={observers:!1,KEY_SPACE:32,KEY_BACKSPACE:8,KEY_TAB:9,KEY_RETURN:13,KEY_ESC:27,KEY_LEFT:37,KEY_UP:38,KEY_RIGHT:39,KEY_DOWN:40,KEY_DELETE:46,element:function(b){return b.target||b.srcElement},isSingleTouch:function(b){return b.touches&&1==b.touches.length},isMultiTouch:function(b){return b.touches&&1<b.touches.length},isLeftClick:function(b){return b.which&&1==b.which||b.button&&1==b.button},isRightClick:function(b){return b.which&&3==b.which||b.button&&2==b.button},stop:function(d,c){c||OpenLayers.Event.preventDefault(d);d.stopPropagation?d.stopPropagation():d.cancelBubble=!0},preventDefault:function(b){b.preventDefault?b.preventDefault():b.returnValue=!1},findElement:function(e,d){for(var f=OpenLayers.Event.element(e);f.parentNode&&(!f.tagName||f.tagName.toUpperCase()!=d.toUpperCase());){f=f.parentNode}return f},observe:function(g,f,j,i){g=OpenLayers.Util.getElement(g);i=i||!1;"keypress"==f&&(navigator.appVersion.match(/Konqueror|Safari|KHTML/)||g.attachEvent)&&(f="keydown");this.observers||(this.observers={});if(!g._eventCacheID){var h="eventCacheID_";g.id&&(h=g.id+"_"+h);g._eventCacheID=OpenLayers.Util.createUniqueID(h)}h=g._eventCacheID;this.observers[h]||(this.observers[h]=[]);this.observers[h].push({element:g,name:f,observer:j,useCapture:i});g.addEventListener?g.addEventListener(f,j,i):g.attachEvent&&g.attachEvent("on"+f,j)},stopObservingElement:function(b){b=OpenLayers.Util.getElement(b)._eventCacheID;this._removeElementObservers(OpenLayers.Event.observers[b])},_removeElementObservers:function(e){if(e){for(var d=e.length-1;0<=d;d--){var f=e[d];OpenLayers.Event.stopObserving.apply(this,[f.element,f.name,f.observer,f.useCapture])}}},stopObserving:function(r,q,p,o){o=o||!1;r=OpenLayers.Util.getElement(r);var n=r._eventCacheID;"keypress"==q&&(navigator.appVersion.match(/Konqueror|Safari|KHTML/)||r.detachEvent)&&(q="keydown");var m=!1,l=OpenLayers.Event.observers[n];if(l){for(var j=0;!m&&j<l.length;){var i=l[j];if(i.name==q&&i.observer==p&&i.useCapture==o){l.splice(j,1);0==l.length&&delete OpenLayers.Event.observers[n];m=!0;break}j++}}m&&(r.removeEventListener?r.removeEventListener(q,p,o):r&&r.detachEvent&&r.detachEvent("on"+q,p));return m},unloadCache:function(){if(OpenLayers.Event&&OpenLayers.Event.observers){for(var b in OpenLayers.Event.observers){OpenLayers.Event._removeElementObservers.apply(this,[OpenLayers.Event.observers[b]])}OpenLayers.Event.observers=!1}},CLASS_NAME:"OpenLayers.Event"};OpenLayers.Event.observe(window,"unload",OpenLayers.Event.unloadCache,!1);OpenLayers.Events=OpenLayers.Class({BROWSER_EVENTS:"mouseover mouseout mousedown mouseup mousemove click dblclick rightclick dblrightclick resize focus blur touchstart touchmove touchend keydown".split(" "),listeners:null,object:null,element:null,eventHandler:null,fallThrough:null,includeXY:!1,extensions:null,extensionCount:null,clearMouseListener:null,initialize:function(g,f,j,i,h){OpenLayers.Util.extend(this,h);this.object=g;this.fallThrough=i;this.listeners={};this.extensions={};this.extensionCount={};this._msTouches=[];null!=f&&this.attachToElement(f)},destroy:function(){for(var b in this.extensions){"boolean"!==typeof this.extensions[b]&&this.extensions[b].destroy()}this.extensions=null;this.element&&(OpenLayers.Event.stopObservingElement(this.element),this.element.hasScrollEvent&&OpenLayers.Event.stopObserving(window,"scroll",this.clearMouseListener));this.eventHandler=this.fallThrough=this.object=this.listeners=this.element=null},addEventType:function(b){},attachToElement:function(g){this.element?OpenLayers.Event.stopObservingElement(this.element):(this.eventHandler=OpenLayers.Function.bindAsEventListener(this.handleBrowserEvent,this),this.clearMouseListener=OpenLayers.Function.bind(this.clearMouseCache,this));this.element=g;for(var f=!!window.navigator.msMaxTouchPoints,j,i=0,h=this.BROWSER_EVENTS.length;i<h;i++){j=this.BROWSER_EVENTS[i],OpenLayers.Event.observe(g,j,this.eventHandler),f&&0===j.indexOf("touch")&&this.addMsTouchListener(g,j,this.eventHandler)}OpenLayers.Event.observe(g,"dragstart",OpenLayers.Event.stop)},on:function(d){for(var c in d){"scope"!=c&&d.hasOwnProperty(c)&&this.register(c,d.scope,d[c])}},register:function(g,f,j,i){g in OpenLayers.Events&&!this.extensions[g]&&(this.extensions[g]=new OpenLayers.Events[g](this));if(null!=j){null==f&&(f=this.object);var h=this.listeners[g];h||(h=[],this.listeners[g]=h,this.extensionCount[g]=0);f={obj:f,func:j};i?(h.splice(this.extensionCount[g],0,f),"object"===typeof i&&i.extension&&this.extensionCount[g]++):h.push(f)}},registerPriority:function(e,d,f){this.register(e,d,f,!0)},un:function(d){for(var c in d){"scope"!=c&&d.hasOwnProperty(c)&&this.unregister(c,d.scope,d[c])}},unregister:function(g,f,j){null==f&&(f=this.object);g=this.listeners[g];if(null!=g){for(var i=0,h=g.length;i<h;i++){if(g[i].obj==f&&g[i].func==j){g.splice(i,1);break}}}},remove:function(b){null!=this.listeners[b]&&(this.listeners[b]=[])},triggerEvent:function(h,g){var l=this.listeners[h];if(l&&0!=l.length){null==g&&(g={});g.object=this.object;g.element=this.element;g.type||(g.type=h);for(var l=l.slice(),k,j=0,i=l.length;j<i&&(k=l[j],k=k.func.apply(k.obj,[g]),void 0==k||!1!=k);j++){}this.fallThrough||OpenLayers.Event.stop(g,!0);return k}},handleBrowserEvent:function(j){var i=j.type,p=this.listeners[i];if(p&&0!=p.length){if((p=j.touches)&&p[0]){for(var o=0,n=0,m=p.length,l,k=0;k<m;++k){l=this.getTouchClientXY(p[k]),o+=l.clientX,n+=l.clientY}j.clientX=o/m;j.clientY=n/m}this.includeXY&&(j.xy=this.getMousePosition(j));this.triggerEvent(i,j)}},getTouchClientXY:function(g){var f=window.olMockWin||window,j=f.pageXOffset,f=f.pageYOffset,i=g.clientX,h=g.clientY;if(0===g.pageY&&Math.floor(h)>Math.floor(g.pageY)||0===g.pageX&&Math.floor(i)>Math.floor(g.pageX)){i-=j,h-=f}else{if(h<g.pageY-f||i<g.pageX-j){i=g.pageX-j,h=g.pageY-f}}g.olClientX=i;g.olClientY=h;return{clientX:i,clientY:h}},clearMouseCache:function(){this.element.scrolls=null;this.element.lefttop=null;this.element.offsets=null},getMousePosition:function(d){this.includeXY?this.element.hasScrollEvent||(OpenLayers.Event.observe(window,"scroll",this.clearMouseListener),this.element.hasScrollEvent=!0):this.clearMouseCache();if(!this.element.scrolls){var c=OpenLayers.Util.getViewportElement();this.element.scrolls=[window.pageXOffset||c.scrollLeft,window.pageYOffset||c.scrollTop]}this.element.lefttop||(this.element.lefttop=[document.documentElement.clientLeft||0,document.documentElement.clientTop||0]);this.element.offsets||(this.element.offsets=OpenLayers.Util.pagePosition(this.element));return new OpenLayers.Pixel(d.clientX+this.element.scrolls[0]-this.element.offsets[0]-this.element.lefttop[0],d.clientY+this.element.scrolls[1]-this.element.offsets[1]-this.element.lefttop[1])},addMsTouchListener:function(g,f,j){function i(b){j(OpenLayers.Util.applyDefaults({stopPropagation:function(){for(var c=h.length-1;0<=c;--c){h[c].stopPropagation()}},preventDefault:function(){for(var c=h.length-1;0<=c;--c){h[c].preventDefault()}},type:f},b))}var h=this._msTouches;switch(f){case"touchstart":return this.addMsTouchListenerStart(g,f,i);case"touchend":return this.addMsTouchListenerEnd(g,f,i);case"touchmove":return this.addMsTouchListenerMove(g,f,i);default:throw"Unknown touch event type"}},addMsTouchListenerStart:function(f,e,h){var g=this._msTouches;OpenLayers.Event.observe(f,"MSPointerDown",function(d){for(var c=!1,j=0,i=g.length;j<i;++j){if(g[j].pointerId==d.pointerId){c=!0;break}}c||g.push(d);d.touches=g.slice();h(d)});OpenLayers.Event.observe(f,"MSPointerUp",function(i){for(var d=0,j=g.length;d<j;++d){if(g[d].pointerId==i.pointerId){g.splice(d,1);break}}})},addMsTouchListenerMove:function(f,e,h){var g=this._msTouches;OpenLayers.Event.observe(f,"MSPointerMove",function(d){if(d.pointerType!=d.MSPOINTER_TYPE_MOUSE||0!=d.buttons){if(1!=g.length||g[0].pageX!=d.pageX||g[0].pageY!=d.pageY){for(var c=0,i=g.length;c<i;++c){if(g[c].pointerId==d.pointerId){g[c]=d;break}}d.touches=g.slice();h(d)}}})},addMsTouchListenerEnd:function(f,e,h){var g=this._msTouches;OpenLayers.Event.observe(f,"MSPointerUp",function(d){for(var c=0,i=g.length;c<i;++c){if(g[c].pointerId==d.pointerId){g.splice(c,1);break}}d.touches=g.slice();h(d)})},CLASS_NAME:"OpenLayers.Events"});OpenLayers.Events.buttonclick=OpenLayers.Class({target:null,events:"mousedown mouseup click dblclick touchstart touchmove touchend keydown".split(" "),startRegEx:/^mousedown|touchstart$/,cancelRegEx:/^touchmove$/,completeRegEx:/^mouseup|touchend$/,initialize:function(b){this.target=b;for(b=this.events.length-1;0<=b;--b){this.target.register(this.events[b],this,this.buttonClick,{extension:!0})}},destroy:function(){for(var b=this.events.length-1;0<=b;--b){this.target.unregister(this.events[b],this,this.buttonClick)}delete this.target},getPressedButton:function(e){var d=3,f;do{if(OpenLayers.Element.hasClass(e,"olButton")){f=e;break}e=e.parentNode}while(0<--d&&e);return f},ignore:function(e){var d=3,f=!1;do{if("a"===e.nodeName.toLowerCase()){f=!0;break}e=e.parentNode}while(0<--d&&e);return f},buttonClick:function(g){var f=!0,j=OpenLayers.Event.element(g);if(j&&(OpenLayers.Event.isLeftClick(g)||!~g.type.indexOf("mouse"))){if(j=this.getPressedButton(j)){if("keydown"===g.type){switch(g.keyCode){case OpenLayers.Event.KEY_RETURN:case OpenLayers.Event.KEY_SPACE:this.target.triggerEvent("buttonclick",{buttonElement:j}),OpenLayers.Event.stop(g),f=!1}}else{if(this.startEvt){if(this.completeRegEx.test(g.type)){var f=OpenLayers.Util.pagePosition(j),i=OpenLayers.Util.getViewportElement(),h=window.pageYOffset||i.scrollTop;f[0]-=window.pageXOffset||i.scrollLeft;f[1]-=h;this.target.triggerEvent("buttonclick",{buttonElement:j,buttonXY:{x:this.startEvt.clientX-f[0],y:this.startEvt.clientY-f[1]}})}this.cancelRegEx.test(g.type)&&delete this.startEvt;OpenLayers.Event.stop(g);f=!1}}this.startRegEx.test(g.type)&&(this.startEvt=g,OpenLayers.Event.stop(g),f=!1)}else{f=!this.ignore(OpenLayers.Event.element(g)),delete this.startEvt}}return f}});OpenLayers.Util=OpenLayers.Util||{};OpenLayers.Util.vendorPrefix=function(){function i(b){return b?b.replace(/([A-Z])/g,function(c){return"-"+c.toLowerCase()}).replace(/^ms-/,"-ms-"):null}function h(g,d){if(void 0===j[d]){var s,r=0,o=m.length,q="undefined"!==typeof g.cssText;for(j[d]=null;r<o;r++){if((s=m[r])?(q||(s=s.toLowerCase()),s=s+d.charAt(0).toUpperCase()+d.slice(1)):s=d,void 0!==g[s]){j[d]=s;break}}}return j[d]}function n(b){return h(l,b)}var m=["","O","ms","Moz","Webkit"],l=document.createElement("div").style,k={},j={};return{css:function(a){if(void 0===k[a]){var c=a.replace(/(-[\s\S])/g,function(b){return b.charAt(1).toUpperCase()}),c=n(c);k[a]=i(c)}return k[a]},js:h,style:n,cssCache:k,jsCache:j}}();OpenLayers.Animation=function(h){var g=OpenLayers.Util.vendorPrefix.js(h,"requestAnimationFrame"),l=!!g,k=function(){var a=h[g]||function(d,e){h.setTimeout(d,16)};return function(c,e){a.apply(h,[c,e])}}(),j=0,i={};return{isNative:l,requestFrame:k,start:function(n,e,o){e=0<e?e:Number.POSITIVE_INFINITY;var f=++j,d=+new Date;i[f]=function(){i[f]&&+new Date-d<=e?(n(),i[f]&&k(i[f],o)):delete i[f]};k(i[f],o);return f},stop:function(b){delete i[b]}}}(window);OpenLayers.Tween=OpenLayers.Class({easing:null,begin:null,finish:null,duration:null,callbacks:null,time:null,minFrameRate:null,startTime:null,animationId:null,playing:!1,initialize:function(b){this.easing=b?b:OpenLayers.Easing.Expo.easeOut},start:function(f,e,h,g){this.playing=!0;this.begin=f;this.finish=e;this.duration=h;this.callbacks=g.callbacks;this.minFrameRate=g.minFrameRate||30;this.time=0;this.startTime=(new Date).getTime();OpenLayers.Animation.stop(this.animationId);this.animationId=null;this.callbacks&&this.callbacks.start&&this.callbacks.start.call(this,this.begin);this.animationId=OpenLayers.Animation.start(OpenLayers.Function.bind(this.play,this))},stop:function(){this.playing&&(this.callbacks&&this.callbacks.done&&this.callbacks.done.call(this,this.finish),OpenLayers.Animation.stop(this.animationId),this.animationId=null,this.playing=!1)},play:function(){var f={},e;for(e in this.begin){var h=this.begin[e],g=this.finish[e];if(null==h||null==g||isNaN(h)||isNaN(g)){throw new TypeError("invalid value for Tween")}f[e]=this.easing.apply(this,[this.time,h,g-h,this.duration])}this.time++;this.callbacks&&this.callbacks.eachStep&&((new Date).getTime()-this.startTime)/this.time<=1000/this.minFrameRate&&this.callbacks.eachStep.call(this,f);this.time>this.duration&&this.stop()},CLASS_NAME:"OpenLayers.Tween"});OpenLayers.Easing={CLASS_NAME:"OpenLayers.Easing"};OpenLayers.Easing.Linear={easeIn:function(f,e,h,g){return h*f/g+e},easeOut:function(f,e,h,g){return h*f/g+e},easeInOut:function(f,e,h,g){return h*f/g+e},CLASS_NAME:"OpenLayers.Easing.Linear"};OpenLayers.Easing.Expo={easeIn:function(f,e,h,g){return 0==f?e:h*Math.pow(2,10*(f/g-1))+e},easeOut:function(f,e,h,g){return f==g?e+h:h*(-Math.pow(2,-10*f/g)+1)+e},easeInOut:function(f,e,h,g){return 0==f?e:f==g?e+h:1>(f/=g/2)?h/2*Math.pow(2,10*(f-1))+e:h/2*(-Math.pow(2,-10*--f)+2)+e},CLASS_NAME:"OpenLayers.Easing.Expo"};OpenLayers.Easing.Quad={easeIn:function(f,e,h,g){return h*(f/=g)*f+e},easeOut:function(f,e,h,g){return -h*(f/=g)*(f-2)+e},easeInOut:function(f,e,h,g){return 1>(f/=g/2)?h/2*f*f+e:-h/2*(--f*(f-2)-1)+e},CLASS_NAME:"OpenLayers.Easing.Quad"};OpenLayers.Projection=OpenLayers.Class({proj:null,projCode:null,titleRegEx:/\+title=[^\+]*/,initialize:function(d,c){OpenLayers.Util.extend(this,c);this.projCode=d;"object"==typeof Proj4js&&(this.proj=new Proj4js.Proj(d))},getCode:function(){return this.proj?this.proj.srsCode:this.projCode},getUnits:function(){return this.proj?this.proj.units:null},toString:function(){return this.getCode()},equals:function(d){var c=!1;d&&(d instanceof OpenLayers.Projection||(d=new OpenLayers.Projection(d)),"object"==typeof Proj4js&&this.proj.defData&&d.proj.defData?c=this.proj.defData.replace(this.titleRegEx,"")==d.proj.defData.replace(this.titleRegEx,""):d.getCode&&(c=this.getCode(),d=d.getCode(),c=c==d||!!OpenLayers.Projection.transforms[c]&&OpenLayers.Projection.transforms[c][d]===OpenLayers.Projection.nullTransform));return c},destroy:function(){delete this.proj;delete this.projCode},CLASS_NAME:"OpenLayers.Projection"});OpenLayers.Projection.transforms={};OpenLayers.Projection.defaults={"EPSG:4326":{units:"degrees",maxExtent:[-180,-90,180,90],yx:!0},"CRS:84":{units:"degrees",maxExtent:[-180,-90,180,90]},"EPSG:900913":{units:"m",maxExtent:[-20037508.34,-20037508.34,20037508.34,20037508.34]}};OpenLayers.Projection.addTransform=function(f,e,h){if(h===OpenLayers.Projection.nullTransform){var g=OpenLayers.Projection.defaults[f];g&&!OpenLayers.Projection.defaults[e]&&(OpenLayers.Projection.defaults[e]=g)}OpenLayers.Projection.transforms[f]||(OpenLayers.Projection.transforms[f]={});OpenLayers.Projection.transforms[f][e]=h};OpenLayers.Projection.transform=function(f,e,h){if(e&&h){if(e instanceof OpenLayers.Projection||(e=new OpenLayers.Projection(e)),h instanceof OpenLayers.Projection||(h=new OpenLayers.Projection(h)),e.proj&&h.proj){f=Proj4js.transform(e.proj,h.proj,f)}else{e=e.getCode();h=h.getCode();var g=OpenLayers.Projection.transforms;if(g[e]&&g[e][h]){g[e][h](f)}}}return f};OpenLayers.Projection.nullTransform=function(b){return b};(function(){function i(b){b.x=180*b.x/m;b.y=180/Math.PI*(2*Math.atan(Math.exp(b.y/m*Math.PI))-Math.PI/2);return b}function h(d){d.x=d.x*m/180;var c=Math.log(Math.tan((90+d.y)*Math.PI/360))/Math.PI*m;d.y=Math.max(-20037508.34,Math.min(c,20037508.34));return d}function n(x,w){var v=OpenLayers.Projection.addTransform,u=OpenLayers.Projection.nullTransform,t,o,b,a,y;t=0;for(o=w.length;t<o;++t){for(b=w[t],v(x,b,h),v(b,x,i),y=t+1;y<o;++y){a=w[y],v(b,a,u),v(a,b,u)}}}var m=20037508.34,l=["EPSG:900913","EPSG:3857","EPSG:102113","EPSG:102100"],k=["CRS:84","urn:ogc:def:crs:EPSG:6.6:4326","EPSG:4326"],j;for(j=l.length-1;0<=j;--j){n(l[j],k)}for(j=k.length-1;0<=j;--j){n(k[j],l)}})();OpenLayers.Map=OpenLayers.Class({Z_INDEX_BASE:{BaseLayer:100,Overlay:325,Feature:725,Popup:750,Control:1000},id:null,fractionalZoom:!1,events:null,allOverlays:!1,div:null,dragging:!1,size:null,viewPortDiv:null,layerContainerOrigin:null,layerContainerDiv:null,layers:null,controls:null,popups:null,baseLayer:null,center:null,resolution:null,zoom:0,panRatio:1.5,options:null,tileSize:null,projection:"EPSG:4326",units:null,resolutions:null,maxResolution:null,minResolution:null,maxScale:null,minScale:null,maxExtent:null,minExtent:null,restrictedExtent:null,numZoomLevels:16,theme:null,displayProjection:null,fallThrough:!1,autoUpdateSize:!0,eventListeners:null,panTween:null,panMethod:OpenLayers.Easing.Expo.easeOut,panDuration:50,zoomTween:null,zoomMethod:OpenLayers.Easing.Quad.easeOut,zoomDuration:20,paddingForPopups:null,layerContainerOriginPx:null,minPx:null,maxPx:null,initialize:function(h,g){1===arguments.length&&"object"===typeof h&&(h=(g=h)&&g.div);this.tileSize=new OpenLayers.Size(OpenLayers.Map.TILE_WIDTH,OpenLayers.Map.TILE_HEIGHT);this.paddingForPopups=new OpenLayers.Bounds(15,15,15,15);this.theme=OpenLayers._getScriptLocation()+"theme/default/style.css";this.options=OpenLayers.Util.extend({},g);OpenLayers.Util.extend(this,g);OpenLayers.Util.applyDefaults(this,OpenLayers.Projection.defaults[this.projection instanceof OpenLayers.Projection?this.projection.projCode:this.projection]);!this.maxExtent||this.maxExtent instanceof OpenLayers.Bounds||(this.maxExtent=new OpenLayers.Bounds(this.maxExtent));!this.minExtent||this.minExtent instanceof OpenLayers.Bounds||(this.minExtent=new OpenLayers.Bounds(this.minExtent));!this.restrictedExtent||this.restrictedExtent instanceof OpenLayers.Bounds||(this.restrictedExtent=new OpenLayers.Bounds(this.restrictedExtent));!this.center||this.center instanceof OpenLayers.LonLat||(this.center=new OpenLayers.LonLat(this.center));this.layers=[];this.id=OpenLayers.Util.createUniqueID("OpenLayers.Map_");this.div=OpenLayers.Util.getElement(h);this.div||(this.div=document.createElement("div"),this.div.style.height="1px",this.div.style.width="1px");OpenLayers.Element.addClass(this.div,"olMap");var l=this.id+"_OpenLayers_ViewPort";this.viewPortDiv=OpenLayers.Util.createDiv(l,null,null,null,"relative",null,"hidden");this.viewPortDiv.style.width="100%";this.viewPortDiv.style.height="100%";this.viewPortDiv.className="olMapViewport";this.div.appendChild(this.viewPortDiv);this.events=new OpenLayers.Events(this,this.viewPortDiv,null,this.fallThrough,{includeXY:!0});OpenLayers.TileManager&&null!==this.tileManager&&(this.tileManager instanceof OpenLayers.TileManager||(this.tileManager=new OpenLayers.TileManager(this.tileManager)),this.tileManager.addMap(this));l=this.id+"_OpenLayers_Container";this.layerContainerDiv=OpenLayers.Util.createDiv(l);this.layerContainerDiv.style.zIndex=this.Z_INDEX_BASE.Popup-1;this.layerContainerOriginPx={x:0,y:0};this.applyTransform();this.viewPortDiv.appendChild(this.layerContainerDiv);this.updateSize();if(this.eventListeners instanceof Object){this.events.on(this.eventListeners)}!0===this.autoUpdateSize&&(this.updateSizeDestroy=OpenLayers.Function.bind(this.updateSize,this),OpenLayers.Event.observe(window,"resize",this.updateSizeDestroy));if(this.theme){for(var l=!0,k=document.getElementsByTagName("link"),j=0,i=k.length;j<i;++j){if(OpenLayers.Util.isEquivalentUrl(k.item(j).href,this.theme)){l=!1;break}}l&&(l=document.createElement("link"),l.setAttribute("rel","stylesheet"),l.setAttribute("type","text/css"),l.setAttribute("href",this.theme),document.getElementsByTagName("head")[0].appendChild(l))}null==this.controls&&(this.controls=[],null!=OpenLayers.Control&&(OpenLayers.Control.Navigation?this.controls.push(new OpenLayers.Control.Navigation):OpenLayers.Control.TouchNavigation&&this.controls.push(new OpenLayers.Control.TouchNavigation),OpenLayers.Control.Zoom?this.controls.push(new OpenLayers.Control.Zoom):OpenLayers.Control.PanZoom&&this.controls.push(new OpenLayers.Control.PanZoom),OpenLayers.Control.ArgParser&&this.controls.push(new OpenLayers.Control.ArgParser),OpenLayers.Control.Attribution&&this.controls.push(new OpenLayers.Control.Attribution)));j=0;for(i=this.controls.length;j<i;j++){this.addControlToMap(this.controls[j])}this.popups=[];this.unloadDestroy=OpenLayers.Function.bind(this.destroy,this);OpenLayers.Event.observe(window,"unload",this.unloadDestroy);g&&g.layers&&(delete this.center,delete this.zoom,this.addLayers(g.layers),g.center&&!this.getCenter()&&this.setCenter(g.center,g.zoom));this.panMethod&&(this.panTween=new OpenLayers.Tween(this.panMethod));this.zoomMethod&&this.applyTransform.transform&&(this.zoomTween=new OpenLayers.Tween(this.zoomMethod))},getViewport:function(){return this.viewPortDiv},render:function(b){this.div=OpenLayers.Util.getElement(b);OpenLayers.Element.addClass(this.div,"olMap");this.viewPortDiv.parentNode.removeChild(this.viewPortDiv);this.div.appendChild(this.viewPortDiv);this.updateSize()},unloadDestroy:null,updateSizeDestroy:null,destroy:function(){if(!this.unloadDestroy){return !1}this.panTween&&(this.panTween.stop(),this.panTween=null);this.zoomTween&&(this.zoomTween.stop(),this.zoomTween=null);OpenLayers.Event.stopObserving(window,"unload",this.unloadDestroy);this.unloadDestroy=null;this.updateSizeDestroy&&OpenLayers.Event.stopObserving(window,"resize",this.updateSizeDestroy);this.paddingForPopups=null;if(null!=this.controls){for(var b=this.controls.length-1;0<=b;--b){this.controls[b].destroy()}this.controls=null}if(null!=this.layers){for(b=this.layers.length-1;0<=b;--b){this.layers[b].destroy(!1)}this.layers=null}this.viewPortDiv&&this.viewPortDiv.parentNode&&this.viewPortDiv.parentNode.removeChild(this.viewPortDiv);this.viewPortDiv=null;this.tileManager&&(this.tileManager.removeMap(this),this.tileManager=null);this.eventListeners&&(this.events.un(this.eventListeners),this.eventListeners=null);this.events.destroy();this.options=this.events=null},setOptions:function(d){var c=this.minPx&&d.restrictedExtent!=this.restrictedExtent;OpenLayers.Util.extend(this,d);c&&this.moveTo(this.getCachedCenter(),this.zoom,{forceZoomChange:!0})},getTileSize:function(){return this.tileSize},getBy:function(f,e,h){var g="function"==typeof h.test;return OpenLayers.Array.filter(this[f],function(b){return b[e]==h||g&&h.test(b[e])})},getLayersBy:function(d,c){return this.getBy("layers",d,c)},getLayersByName:function(b){return this.getLayersBy("name",b)},getLayersByClass:function(b){return this.getLayersBy("CLASS_NAME",b)},getControlsBy:function(d,c){return this.getBy("controls",d,c)},getControlsByClass:function(b){return this.getControlsBy("CLASS_NAME",b)},getLayer:function(g){for(var f=null,j=0,i=this.layers.length;j<i;j++){var h=this.layers[j];if(h.id==g){f=h;break}}return f},setLayerZIndex:function(d,c){d.setZIndex(this.Z_INDEX_BASE[d.isBaseLayer?"BaseLayer":"Overlay"]+5*c)},resetLayersZIndex:function(){for(var d=0,c=this.layers.length;d<c;d++){this.setLayerZIndex(this.layers[d],d)}},addLayer:function(e){for(var d=0,f=this.layers.length;d<f;d++){if(this.layers[d]==e){return !1}}if(!1===this.events.triggerEvent("preaddlayer",{layer:e})){return !1}this.allOverlays&&(e.isBaseLayer=!1);e.div.className="olLayerDiv";e.div.style.overflow="";this.setLayerZIndex(e,this.layers.length);e.isFixed?this.viewPortDiv.appendChild(e.div):this.layerContainerDiv.appendChild(e.div);this.layers.push(e);e.setMap(this);e.isBaseLayer||this.allOverlays&&!this.baseLayer?null==this.baseLayer?this.setBaseLayer(e):e.setVisibility(!1):e.redraw();this.events.triggerEvent("addlayer",{layer:e});e.events.triggerEvent("added",{map:this,layer:e});e.afterAdd();return !0},addLayers:function(e){for(var d=0,f=e.length;d<f;d++){this.addLayer(e[d])}},removeLayer:function(g,f){if(!1!==this.events.triggerEvent("preremovelayer",{layer:g})){null==f&&(f=!0);g.isFixed?this.viewPortDiv.removeChild(g.div):this.layerContainerDiv.removeChild(g.div);OpenLayers.Util.removeItem(this.layers,g);g.removeMap(this);g.map=null;if(this.baseLayer==g&&(this.baseLayer=null,f)){for(var j=0,i=this.layers.length;j<i;j++){var h=this.layers[j];if(h.isBaseLayer||this.allOverlays){this.setBaseLayer(h);break}}}this.resetLayersZIndex();this.events.triggerEvent("removelayer",{layer:g});g.events.triggerEvent("removed",{map:this,layer:g})}},getNumLayers:function(){return this.layers.length},getLayerIndex:function(b){return OpenLayers.Util.indexOf(this.layers,b)},setLayerIndex:function(f,e){var h=this.getLayerIndex(f);0>e?e=0:e>this.layers.length&&(e=this.layers.length);if(h!=e){this.layers.splice(h,1);this.layers.splice(e,0,f);for(var h=0,g=this.layers.length;h<g;h++){this.setLayerZIndex(this.layers[h],h)}this.events.triggerEvent("changelayer",{layer:f,property:"order"});this.allOverlays&&(0===e?this.setBaseLayer(f):this.baseLayer!==this.layers[0]&&this.setBaseLayer(this.layers[0]))}},raiseLayer:function(e,d){var f=this.getLayerIndex(e)+d;this.setLayerIndex(e,f)},setBaseLayer:function(e){if(e!=this.baseLayer&&-1!=OpenLayers.Util.indexOf(this.layers,e)){var d=this.getCachedCenter(),f=OpenLayers.Util.getResolutionFromScale(this.getScale(),e.units);null==this.baseLayer||this.allOverlays||this.baseLayer.setVisibility(!1);this.baseLayer=e;if(!this.allOverlays||this.baseLayer.visibility){this.baseLayer.setVisibility(!0),!1===this.baseLayer.inRange&&this.baseLayer.redraw()}null!=d&&(e=this.getZoomForResolution(f||this.resolution,!0),this.setCenter(d,e,!1,!0));this.events.triggerEvent("changebaselayer",{layer:this.baseLayer})}},addControl:function(d,c){this.controls.push(d);this.addControlToMap(d,c)},addControls:function(g,f){for(var j=1===arguments.length?[]:f,i=0,h=g.length;i<h;i++){this.addControl(g[i],j[i]?j[i]:null)}},addControlToMap:function(e,d){e.outsideViewport=null!=e.div;this.displayProjection&&!e.displayProjection&&(e.displayProjection=this.displayProjection);e.setMap(this);var f=e.draw(d);f&&!e.outsideViewport&&(f.style.zIndex=this.Z_INDEX_BASE.Control+this.controls.length,this.viewPortDiv.appendChild(f));e.autoActivate&&e.activate()},getControl:function(g){for(var f=null,j=0,i=this.controls.length;j<i;j++){var h=this.controls[j];if(h.id==g){f=h;break}}return f},removeControl:function(b){b&&b==this.getControl(b.id)&&(b.div&&b.div.parentNode==this.viewPortDiv&&this.viewPortDiv.removeChild(b.div),OpenLayers.Util.removeItem(this.controls,b))},addPopup:function(e,d){if(d){for(var f=this.popups.length-1;0<=f;--f){this.removePopup(this.popups[f])}}e.map=this;this.popups.push(e);if(f=e.draw()){f.style.zIndex=this.Z_INDEX_BASE.Popup+this.popups.length,this.layerContainerDiv.appendChild(f)}},removePopup:function(d){OpenLayers.Util.removeItem(this.popups,d);if(d.div){try{this.layerContainerDiv.removeChild(d.div)}catch(c){}}d.map=null},getSize:function(){var b=null;null!=this.size&&(b=this.size.clone());return b},updateSize:function(){var d=this.getCurrentSize();if(d&&!isNaN(d.h)&&!isNaN(d.w)){this.events.clearMouseCache();var c=this.getSize();null==c&&(this.size=c=d);if(!d.equals(c)){this.size=d;d=0;for(c=this.layers.length;d<c;d++){this.layers[d].onMapResize()}d=this.getCachedCenter();null!=this.baseLayer&&null!=d&&(c=this.getZoom(),this.zoom=null,this.setCenter(d,c))}}this.events.triggerEvent("updatesize")},getCurrentSize:function(){var b=new OpenLayers.Size(this.div.clientWidth,this.div.clientHeight);if(0==b.w&&0==b.h||isNaN(b.w)&&isNaN(b.h)){b.w=this.div.offsetWidth,b.h=this.div.offsetHeight}if(0==b.w&&0==b.h||isNaN(b.w)&&isNaN(b.h)){b.w=parseInt(this.div.style.width),b.h=parseInt(this.div.style.height)}return b},calculateBounds:function(f,e){var h=null;null==f&&(f=this.getCachedCenter());null==e&&(e=this.getResolution());if(null!=f&&null!=e){var h=this.size.w*e/2,g=this.size.h*e/2,h=new OpenLayers.Bounds(f.lon-h,f.lat-g,f.lon+h,f.lat+g)}return h},getCenter:function(){var d=null,c=this.getCachedCenter();c&&(d=c.clone());return d},getCachedCenter:function(){!this.center&&this.size&&(this.center=this.getLonLatFromViewPortPx({x:this.size.w/2,y:this.size.h/2}));return this.center},getZoom:function(){return this.zoom},pan:function(f,e,h){h=OpenLayers.Util.applyDefaults(h,{animate:!0,dragging:!1});if(h.dragging){0==f&&0==e||this.moveByPx(f,e)}else{var g=this.getViewPortPxFromLonLat(this.getCachedCenter());f=g.add(f,e);if(this.dragging||!f.equals(g)){g=this.getLonLatFromViewPortPx(f),h.animate?this.panTo(g):(this.moveTo(g),this.dragging&&(this.dragging=!1,this.events.triggerEvent("moveend")))}}},panTo:function(g){if(this.panTween&&this.getExtent().scale(this.panRatio).containsLonLat(g)){var f=this.getCachedCenter();if(!g.equals(f)){var f=this.getPixelFromLonLat(f),j=this.getPixelFromLonLat(g),i=0,h=0;this.panTween.start({x:0,y:0},{x:j.x-f.x,y:j.y-f.y},this.panDuration,{callbacks:{eachStep:OpenLayers.Function.bind(function(b){this.moveByPx(b.x-i,b.y-h);i=Math.round(b.x);h=Math.round(b.y)},this),done:OpenLayers.Function.bind(function(a){this.moveTo(g);this.dragging=!1;this.events.triggerEvent("moveend")},this)}})}}else{this.setCenter(g)}},setCenter:function(f,e,h,g){this.panTween&&this.panTween.stop();this.zoomTween&&this.zoomTween.stop();this.moveTo(f,e,{dragging:h,forceZoomChange:g})},moveByPx:function(r,q){var p=this.size.w/2,o=this.size.h/2,n=p+r,m=o+q,l=this.baseLayer.wrapDateLine,j=0,i=0;this.restrictedExtent&&(j=p,i=o,l=!1);r=l||n<=this.maxPx.x-j&&n>=this.minPx.x+j?Math.round(r):0;q=m<=this.maxPx.y-i&&m>=this.minPx.y+i?Math.round(q):0;if(r||q){this.dragging||(this.dragging=!0,this.events.triggerEvent("movestart"));this.center=null;r&&(this.layerContainerOriginPx.x-=r,this.minPx.x-=r,this.maxPx.x-=r);q&&(this.layerContainerOriginPx.y-=q,this.minPx.y-=q,this.maxPx.y-=q);this.applyTransform();o=0;for(n=this.layers.length;o<n;++o){p=this.layers[o],p.visibility&&(p===this.baseLayer||p.inRange)&&(p.moveByPx(r,q),p.events.triggerEvent("move"))}this.events.triggerEvent("move")}},adjustZoom:function(g){if(this.baseLayer&&this.baseLayer.wrapDateLine){var f=this.baseLayer.resolutions,j=this.getMaxExtent().getWidth()/this.size.w;if(this.getResolutionForZoom(g)>j){if(this.fractionalZoom){g=this.getZoomForResolution(j)}else{for(var i=g|0,h=f.length;i<h;++i){if(f[i]<=j){g=i;break}}}}}return g},getMinZoom:function(){return this.adjustZoom(0)},moveTo:function(t,s,r){null==t||t instanceof OpenLayers.LonLat||(t=new OpenLayers.LonLat(t));r||(r={});null!=s&&(s=parseFloat(s),this.fractionalZoom||(s=Math.round(s)));var q=s;s=this.adjustZoom(s);s!==q&&(t=this.getCenter());var q=r.dragging||this.dragging,p=r.forceZoomChange;this.getCachedCenter()||this.isValidLonLat(t)||(t=this.maxExtent.getCenterLonLat(),this.center=t.clone());if(null!=this.restrictedExtent){null==t&&(t=this.center);null==s&&(s=this.getZoom());var o=this.getResolutionForZoom(s),o=this.calculateBounds(t,o);if(!this.restrictedExtent.containsBounds(o)){var n=this.restrictedExtent.getCenterLonLat();o.getWidth()>this.restrictedExtent.getWidth()?t=new OpenLayers.LonLat(n.lon,t.lat):o.left<this.restrictedExtent.left?t=t.add(this.restrictedExtent.left-o.left,0):o.right>this.restrictedExtent.right&&(t=t.add(this.restrictedExtent.right-o.right,0));o.getHeight()>this.restrictedExtent.getHeight()?t=new OpenLayers.LonLat(t.lon,n.lat):o.bottom<this.restrictedExtent.bottom?t=t.add(0,this.restrictedExtent.bottom-o.bottom):o.top>this.restrictedExtent.top&&(t=t.add(0,this.restrictedExtent.top-o.top))}}p=p||this.isValidZoomLevel(s)&&s!=this.getZoom();o=this.isValidLonLat(t)&&!t.equals(this.center);if(p||o||q){q||this.events.triggerEvent("movestart",{zoomChanged:p});o&&(!p&&this.center&&this.centerLayerContainer(t),this.center=t.clone());t=p?this.getResolutionForZoom(s):this.getResolution();if(p||null==this.layerContainerOrigin){this.layerContainerOrigin=this.getCachedCenter();this.layerContainerOriginPx.x=0;this.layerContainerOriginPx.y=0;this.applyTransform();var o=this.getMaxExtent({restricted:!0}),m=o.getCenterLonLat(),n=this.center.lon-m.lon,m=m.lat-this.center.lat,j=Math.round(o.getWidth()/t),i=Math.round(o.getHeight()/t);this.minPx={x:(this.size.w-j)/2-n/t,y:(this.size.h-i)/2-m/t};this.maxPx={x:this.minPx.x+Math.round(o.getWidth()/t),y:this.minPx.y+Math.round(o.getHeight()/t)}}p&&(this.zoom=s,this.resolution=t);t=this.getExtent();this.baseLayer.visibility&&(this.baseLayer.moveTo(t,p,r.dragging),r.dragging||this.baseLayer.events.triggerEvent("moveend",{zoomChanged:p}));t=this.baseLayer.getExtent();for(s=this.layers.length-1;0<=s;--s){o=this.layers[s],o===this.baseLayer||o.isBaseLayer||(n=o.calculateInRange(),o.inRange!=n&&((o.inRange=n)||o.display(!1),this.events.triggerEvent("changelayer",{layer:o,property:"visibility"})),n&&o.visibility&&(o.moveTo(t,p,r.dragging),r.dragging||o.events.triggerEvent("moveend",{zoomChanged:p})))}this.events.triggerEvent("move");q||this.events.triggerEvent("moveend");if(p){s=0;for(r=this.popups.length;s<r;s++){this.popups[s].updatePosition()}this.events.triggerEvent("zoomend")}}},centerLayerContainer:function(g){var f=this.getViewPortPxFromLonLat(this.layerContainerOrigin),j=this.getViewPortPxFromLonLat(g);if(null!=f&&null!=j){var i=this.layerContainerOriginPx.x;g=this.layerContainerOriginPx.y;var h=Math.round(f.x-j.x),f=Math.round(f.y-j.y);this.applyTransform(this.layerContainerOriginPx.x=h,this.layerContainerOriginPx.y=f);i-=h;g-=f;this.minPx.x-=i;this.maxPx.x-=i;this.minPx.y-=g;this.maxPx.y-=g}},isValidZoomLevel:function(b){return null!=b&&0<=b&&b<this.getNumZoomLevels()},isValidLonLat:function(d){var c=!1;null!=d&&(c=this.getMaxExtent(),c=c.containsLonLat(d,{worldBounds:this.baseLayer.wrapDateLine&&c}));return c},getProjection:function(){var b=this.getProjectionObject();return b?b.getCode():null},getProjectionObject:function(){var b=null;null!=this.baseLayer&&(b=this.baseLayer.projection);return b},getMaxResolution:function(){var b=null;null!=this.baseLayer&&(b=this.baseLayer.maxResolution);return b},getMaxExtent:function(d){var c=null;d&&d.restricted&&this.restrictedExtent?c=this.restrictedExtent:null!=this.baseLayer&&(c=this.baseLayer.maxExtent);return c},getNumZoomLevels:function(){var b=null;null!=this.baseLayer&&(b=this.baseLayer.numZoomLevels);return b},getExtent:function(){var b=null;null!=this.baseLayer&&(b=this.baseLayer.getExtent());return b},getResolution:function(){var b=null;null!=this.baseLayer?b=this.baseLayer.getResolution():!0===this.allOverlays&&0<this.layers.length&&(b=this.layers[0].getResolution());return b},getUnits:function(){var b=null;null!=this.baseLayer&&(b=this.baseLayer.units);return b},getScale:function(){var b=null;null!=this.baseLayer&&(b=this.getResolution(),b=OpenLayers.Util.getScaleFromResolution(b,this.baseLayer.units));return b},getZoomForExtent:function(e,d){var f=null;null!=this.baseLayer&&(f=this.baseLayer.getZoomForExtent(e,d));return f},getResolutionForZoom:function(d){var c=null;this.baseLayer&&(c=this.baseLayer.getResolutionForZoom(d));return c},getZoomForResolution:function(e,d){var f=null;null!=this.baseLayer&&(f=this.baseLayer.getZoomForResolution(e,d));return f},zoomTo:function(h,g){var l=this;if(l.isValidZoomLevel(h)){if(l.baseLayer.wrapDateLine&&(h=l.adjustZoom(h)),l.zoomTween){var k=l.getResolution(),j=l.getResolutionForZoom(h),i={scale:1},k={scale:k/j};l.zoomTween.playing&&l.zoomTween.duration<3*l.zoomDuration?l.zoomTween.finish={scale:l.zoomTween.finish.scale*k.scale}:(g||(j=l.getSize(),g={x:j.w/2,y:j.h/2}),l.zoomTween.start(i,k,l.zoomDuration,{minFrameRate:50,callbacks:{eachStep:function(b){var c=l.layerContainerOriginPx;b=b.scale;l.applyTransform(c.x+((b-1)*(c.x-g.x)|0),c.y+((b-1)*(c.y-g.y)|0),b)},done:function(b){l.applyTransform();b=l.getResolution()/b.scale;var c=l.getZoomForResolution(b,!0);l.moveTo(l.getZoomTargetCenter(g,b),c,!0)}}}))}else{i=g?l.getZoomTargetCenter(g,l.getResolutionForZoom(h)):null,l.setCenter(i,h)}}},zoomIn:function(){this.zoomTo(this.getZoom()+1)},zoomOut:function(){this.zoomTo(this.getZoom()-1)},zoomToExtent:function(e,d){e instanceof OpenLayers.Bounds||(e=new OpenLayers.Bounds(e));var f=e.getCenterLonLat();if(this.baseLayer.wrapDateLine){f=this.getMaxExtent();for(e=e.clone();e.right<e.left;){e.right+=f.getWidth()}f=e.getCenterLonLat().wrapDateLine(f)}this.setCenter(f,this.getZoomForExtent(e,d))},zoomToMaxExtent:function(b){b=this.getMaxExtent({restricted:b?b.restricted:!0});this.zoomToExtent(b)},zoomToScale:function(g,f){var j=OpenLayers.Util.getResolutionFromScale(g,this.baseLayer.units),i=this.size.w*j/2,j=this.size.h*j/2,h=this.getCachedCenter(),i=new OpenLayers.Bounds(h.lon-i,h.lat-j,h.lon+i,h.lat+j);this.zoomToExtent(i,f)},getLonLatFromViewPortPx:function(d){var c=null;null!=this.baseLayer&&(c=this.baseLayer.getLonLatFromViewPortPx(d));return c},getViewPortPxFromLonLat:function(d){var c=null;null!=this.baseLayer&&(c=this.baseLayer.getViewPortPxFromLonLat(d));return c},getZoomTargetCenter:function(h,g){var l=null,k=this.getSize(),j=k.w/2-h.x,k=h.y-k.h/2,i=this.getLonLatFromPixel(h);i&&(l=new OpenLayers.LonLat(i.lon+j*g,i.lat+k*g));return l},getLonLatFromPixel:function(b){return this.getLonLatFromViewPortPx(b)},getPixelFromLonLat:function(b){b=this.getViewPortPxFromLonLat(b);b.x=Math.round(b.x);b.y=Math.round(b.y);return b},getGeodesicPixelSize:function(h){var g=h?this.getLonLatFromPixel(h):this.getCachedCenter()||new OpenLayers.LonLat(0,0),l=this.getResolution();h=g.add(-l/2,0);var k=g.add(l/2,0),j=g.add(0,-l/2),g=g.add(0,l/2),l=new OpenLayers.Projection("EPSG:4326"),i=this.getProjectionObject()||l;i.equals(l)||(h.transform(i,l),k.transform(i,l),j.transform(i,l),g.transform(i,l));return new OpenLayers.Size(OpenLayers.Util.distVincenty(h,k),OpenLayers.Util.distVincenty(j,g))},getViewPortPxFromLayerPx:function(d){var c=null;null!=d&&(c=d.add(this.layerContainerOriginPx.x,this.layerContainerOriginPx.y));return c},getLayerPxFromViewPortPx:function(d){var c=null;null!=d&&(c=d.add(-this.layerContainerOriginPx.x,-this.layerContainerOriginPx.y),isNaN(c.x)||isNaN(c.y))&&(c=null);return c},getLonLatFromLayerPx:function(b){b=this.getViewPortPxFromLayerPx(b);return this.getLonLatFromViewPortPx(b)},getLayerPxFromLonLat:function(b){b=this.getPixelFromLonLat(b);return this.getLayerPxFromViewPortPx(b)},applyTransform:function(r,q,p){p=p||1;var o=this.layerContainerOriginPx,n=1!==p;r=r||o.x;q=q||o.y;var m=this.layerContainerDiv.style,l=this.applyTransform.transform,j=this.applyTransform.template;if(void 0===l&&(l=OpenLayers.Util.vendorPrefix.style("transform"),this.applyTransform.transform=l)){var i=OpenLayers.Element.getStyle(this.viewPortDiv,OpenLayers.Util.vendorPrefix.css("transform"));i&&"none"===i||(j=["translate3d(",",0) ","scale3d(",",1)"],m[l]=[j[0],"0,0",j[1]].join(""));j&&~m[l].indexOf(j[0])||(j=["translate(",") ","scale(",")"]);this.applyTransform.template=j}null===l||"translate3d("!==j[0]&&!0!==n?(m.left=r+"px",m.top=q+"px",null!==l&&(m[l]="")):(!0===n&&"translate("===j[0]&&(r-=o.x,q-=o.y,m.left=o.x+"px",m.top=o.y+"px"),m[l]=[j[0],r,"px,",q,"px",j[1],j[2],p,",",p,j[3]].join(""))},CLASS_NAME:"OpenLayers.Map"});OpenLayers.Map.TILE_WIDTH=256;OpenLayers.Map.TILE_HEIGHT=256;OpenLayers.Handler=OpenLayers.Class({id:null,control:null,map:null,keyMask:null,active:!1,evt:null,touch:!1,initialize:function(e,d,f){OpenLayers.Util.extend(this,f);this.control=e;this.callbacks=d;(e=this.map||e.map)&&this.setMap(e);this.id=OpenLayers.Util.createUniqueID(this.CLASS_NAME+"_")},setMap:function(b){this.map=b},checkModifiers:function(b){return null==this.keyMask?!0:((b.shiftKey?OpenLayers.Handler.MOD_SHIFT:0)|(b.ctrlKey?OpenLayers.Handler.MOD_CTRL:0)|(b.altKey?OpenLayers.Handler.MOD_ALT:0)|(b.metaKey?OpenLayers.Handler.MOD_META:0))==this.keyMask},activate:function(){if(this.active){return !1}for(var e=OpenLayers.Events.prototype.BROWSER_EVENTS,d=0,f=e.length;d<f;d++){this[e[d]]&&this.register(e[d],this[e[d]])}return this.active=!0},deactivate:function(){if(!this.active){return !1}for(var e=OpenLayers.Events.prototype.BROWSER_EVENTS,d=0,f=e.length;d<f;d++){this[e[d]]&&this.unregister(e[d],this[e[d]])}this.active=this.touch=!1;return !0},startTouch:function(){if(!this.touch){this.touch=!0;for(var e="mousedown mouseup mousemove click dblclick mouseout".split(" "),d=0,f=e.length;d<f;d++){this[e[d]]&&this.unregister(e[d],this[e[d]])}}},callback:function(d,c){d&&this.callbacks[d]&&this.callbacks[d].apply(this.control,c)},register:function(d,c){this.map.events.registerPriority(d,this,c);this.map.events.registerPriority(d,this,this.setEvent)},unregister:function(d,c){this.map.events.unregister(d,this,c);this.map.events.unregister(d,this,this.setEvent)},setEvent:function(b){this.evt=b;return !0},destroy:function(){this.deactivate();this.control=this.map=null},CLASS_NAME:"OpenLayers.Handler"});OpenLayers.Handler.MOD_NONE=0;OpenLayers.Handler.MOD_SHIFT=1;OpenLayers.Handler.MOD_CTRL=2;OpenLayers.Handler.MOD_ALT=4;OpenLayers.Handler.MOD_META=8;OpenLayers.Handler.Click=OpenLayers.Class(OpenLayers.Handler,{delay:300,single:!0,"double":!1,pixelTolerance:0,dblclickTolerance:13,stopSingle:!1,stopDouble:!1,timerId:null,down:null,last:null,first:null,rightclickTimerId:null,touchstart:function(b){this.startTouch();this.down=this.getEventInfo(b);this.last=this.getEventInfo(b);return !0},touchmove:function(b){this.last=this.getEventInfo(b);return !0},touchend:function(b){this.down&&(b.xy=this.last.xy,b.lastTouches=this.last.touches,this.handleSingle(b),this.down=null);return !0},mousedown:function(b){this.down=this.getEventInfo(b);this.last=this.getEventInfo(b);return !0},mouseup:function(d){var c=!0;this.checkModifiers(d)&&(this.control.handleRightClicks&&OpenLayers.Event.isRightClick(d))&&(c=this.rightclick(d));return c},rightclick:function(b){if(this.passesTolerance(b)){if(null!=this.rightclickTimerId){return this.clearTimer(),this.callback("dblrightclick",[b]),!this.stopDouble}b=this["double"]?OpenLayers.Util.extend({},b):this.callback("rightclick",[b]);b=OpenLayers.Function.bind(this.delayedRightCall,this,b);this.rightclickTimerId=window.setTimeout(b,this.delay)}return !this.stopSingle},delayedRightCall:function(b){this.rightclickTimerId=null;b&&this.callback("rightclick",[b])},click:function(b){this.last||(this.last=this.getEventInfo(b));this.handleSingle(b);return !this.stopSingle},dblclick:function(b){this.handleDouble(b);return !this.stopDouble},handleDouble:function(b){this.passesDblclickTolerance(b)&&(this["double"]&&this.callback("dblclick",[b]),this.clearTimer())},handleSingle:function(b){this.passesTolerance(b)&&(null!=this.timerId?(this.last.touches&&1===this.last.touches.length&&(this["double"]&&OpenLayers.Event.preventDefault(b),this.handleDouble(b)),this.last.touches&&2===this.last.touches.length||this.clearTimer()):(this.first=this.getEventInfo(b),b=this.single?OpenLayers.Util.extend({},b):null,this.queuePotentialClick(b)))},queuePotentialClick:function(b){this.timerId=window.setTimeout(OpenLayers.Function.bind(this.delayedCall,this,b),this.delay)},passesTolerance:function(e){var d=!0;if(null!=this.pixelTolerance&&this.down&&this.down.xy&&(d=this.pixelTolerance>=this.down.xy.distanceTo(e.xy))&&this.touch&&this.down.touches.length===this.last.touches.length){e=0;for(var f=this.down.touches.length;e<f;++e){if(this.getTouchDistance(this.down.touches[e],this.last.touches[e])>this.pixelTolerance){d=!1;break}}}return d},getTouchDistance:function(d,c){return Math.sqrt(Math.pow(d.clientX-c.clientX,2)+Math.pow(d.clientY-c.clientY,2))},passesDblclickTolerance:function(b){b=!0;this.down&&this.first&&(b=this.down.xy.distanceTo(this.first.xy)<=this.dblclickTolerance);return b},clearTimer:function(){null!=this.timerId&&(window.clearTimeout(this.timerId),this.timerId=null);null!=this.rightclickTimerId&&(window.clearTimeout(this.rightclickTimerId),this.rightclickTimerId=null)},delayedCall:function(b){this.timerId=null;b&&this.callback("click",[b])},getEventInfo:function(g){var f;if(g.touches){var j=g.touches.length;f=Array(j);for(var i,h=0;h<j;h++){i=g.touches[h],f[h]={clientX:i.olClientX,clientY:i.olClientY}}}return{xy:g.xy,touches:f}},deactivate:function(){var b=!1;OpenLayers.Handler.prototype.deactivate.apply(this,arguments)&&(this.clearTimer(),this.last=this.first=this.down=null,b=!0);return b},CLASS_NAME:"OpenLayers.Handler.Click"});OpenLayers.Handler.Drag=OpenLayers.Class(OpenLayers.Handler,{started:!1,stopDown:!0,dragging:!1,last:null,start:null,lastMoveEvt:null,oldOnselectstart:null,interval:0,timeoutId:null,documentDrag:!1,documentEvents:null,initialize:function(f,e,h){OpenLayers.Handler.prototype.initialize.apply(this,arguments);if(!0===this.documentDrag){var g=this;this._docMove=function(b){g.mousemove({xy:{x:b.clientX,y:b.clientY},element:document})};this._docUp=function(b){g.mouseup({xy:{x:b.clientX,y:b.clientY}})}}},dragstart:function(d){var c=!0;this.dragging=!1;this.checkModifiers(d)&&(OpenLayers.Event.isLeftClick(d)||OpenLayers.Event.isSingleTouch(d))?(this.started=!0,this.last=this.start=d.xy,OpenLayers.Element.addClass(this.map.viewPortDiv,"olDragDown"),this.down(d),this.callback("down",[d.xy]),OpenLayers.Event.preventDefault(d),this.oldOnselectstart||(this.oldOnselectstart=document.onselectstart?document.onselectstart:OpenLayers.Function.True),document.onselectstart=OpenLayers.Function.False,c=!this.stopDown):(this.started=!1,this.last=this.start=null);return c},dragmove:function(b){this.lastMoveEvt=b;!this.started||(this.timeoutId||b.xy.x==this.last.x&&b.xy.y==this.last.y)||(!0===this.documentDrag&&this.documentEvents&&(b.element===document?(this.adjustXY(b),this.setEvent(b)):this.removeDocumentEvents()),0<this.interval&&(this.timeoutId=setTimeout(OpenLayers.Function.bind(this.removeTimeout,this),this.interval)),this.dragging=!0,this.move(b),this.callback("move",[b.xy]),this.oldOnselectstart||(this.oldOnselectstart=document.onselectstart,document.onselectstart=OpenLayers.Function.False),this.last=b.xy);return !0},dragend:function(d){if(this.started){!0===this.documentDrag&&this.documentEvents&&(this.adjustXY(d),this.removeDocumentEvents());var c=this.start!=this.last;this.dragging=this.started=!1;OpenLayers.Element.removeClass(this.map.viewPortDiv,"olDragDown");this.up(d);this.callback("up",[d.xy]);c&&this.callback("done",[d.xy]);document.onselectstart=this.oldOnselectstart}return !0},down:function(b){},move:function(b){},up:function(b){},out:function(b){},mousedown:function(b){return this.dragstart(b)},touchstart:function(b){this.startTouch();return this.dragstart(b)},mousemove:function(b){return this.dragmove(b)},touchmove:function(b){return this.dragmove(b)},removeTimeout:function(){this.timeoutId=null;this.dragging&&this.mousemove(this.lastMoveEvt)},mouseup:function(b){return this.dragend(b)},touchend:function(b){b.xy=this.last;return this.dragend(b)},mouseout:function(d){if(this.started&&OpenLayers.Util.mouseLeft(d,this.map.viewPortDiv)){if(!0===this.documentDrag){this.addDocumentEvents()}else{var c=this.start!=this.last;this.dragging=this.started=!1;OpenLayers.Element.removeClass(this.map.viewPortDiv,"olDragDown");this.out(d);this.callback("out",[]);c&&this.callback("done",[d.xy]);document.onselectstart&&(document.onselectstart=this.oldOnselectstart)}}return !0},click:function(b){return this.start==this.last},activate:function(){var b=!1;OpenLayers.Handler.prototype.activate.apply(this,arguments)&&(this.dragging=!1,b=!0);return b},deactivate:function(){var b=!1;OpenLayers.Handler.prototype.deactivate.apply(this,arguments)&&(this.dragging=this.started=!1,this.last=this.start=null,b=!0,OpenLayers.Element.removeClass(this.map.viewPortDiv,"olDragDown"));return b},adjustXY:function(d){var c=OpenLayers.Util.pagePosition(this.map.viewPortDiv);d.xy.x-=c[0];d.xy.y-=c[1]},addDocumentEvents:function(){OpenLayers.Element.addClass(document.body,"olDragDown");this.documentEvents=!0;OpenLayers.Event.observe(document,"mousemove",this._docMove);OpenLayers.Event.observe(document,"mouseup",this._docUp)},removeDocumentEvents:function(){OpenLayers.Element.removeClass(document.body,"olDragDown");this.documentEvents=!1;OpenLayers.Event.stopObserving(document,"mousemove",this._docMove);OpenLayers.Event.stopObserving(document,"mouseup",this._docUp)},CLASS_NAME:"OpenLayers.Handler.Drag"});OpenLayers.Control.OverviewMap=OpenLayers.Class(OpenLayers.Control,{element:null,ovmap:null,size:{w:180,h:90},layers:null,minRectSize:15,minRectDisplayClass:"RectReplacement",minRatio:8,maxRatio:32,mapOptions:null,autoPan:!1,handlers:null,resolutionFactor:1,maximized:!1,maximizeTitle:"",minimizeTitle:"",initialize:function(b){this.layers=[];this.handlers={};OpenLayers.Control.prototype.initialize.apply(this,[b])},destroy:function(){this.mapDiv&&(this.handlers.click&&this.handlers.click.destroy(),this.handlers.drag&&this.handlers.drag.destroy(),this.ovmap&&this.ovmap.viewPortDiv.removeChild(this.extentRectangle),this.extentRectangle=null,this.rectEvents&&(this.rectEvents.destroy(),this.rectEvents=null),this.ovmap&&(this.ovmap.destroy(),this.ovmap=null),this.element.removeChild(this.mapDiv),this.mapDiv=null,this.div.removeChild(this.element),this.element=null,this.maximizeDiv&&(this.div.removeChild(this.maximizeDiv),this.maximizeDiv=null),this.minimizeDiv&&(this.div.removeChild(this.minimizeDiv),this.minimizeDiv=null),this.map.events.un({buttonclick:this.onButtonClick,moveend:this.update,changebaselayer:this.baseLayerDraw,scope:this}),OpenLayers.Control.prototype.destroy.apply(this,arguments))},draw:function(){OpenLayers.Control.prototype.draw.apply(this,arguments);if(0===this.layers.length){if(this.map.baseLayer){this.layers=[this.map.baseLayer.clone()]}else{return this.map.events.register("changebaselayer",this,this.baseLayerDraw),this.div}}this.element=document.createElement("div");this.element.className=this.displayClass+"Element";this.element.style.display="none";this.mapDiv=document.createElement("div");this.mapDiv.style.width=this.size.w+"px";this.mapDiv.style.height=this.size.h+"px";this.mapDiv.style.position="relative";this.mapDiv.style.overflow="hidden";this.mapDiv.id=OpenLayers.Util.createUniqueID("overviewMap");this.extentRectangle=document.createElement("div");this.extentRectangle.style.position="absolute";this.extentRectangle.style.zIndex=1000;this.extentRectangle.className=this.displayClass+"ExtentRectangle";this.element.appendChild(this.mapDiv);this.div.appendChild(this.element);if(this.outsideViewport){this.element.style.display=""}else{this.div.className+=" "+this.displayClass+"Container";var b=OpenLayers.Util.getImageLocation("layer-switcher-maximize.png");this.maximizeDiv=OpenLayers.Util.createAlphaImageDiv(this.displayClass+"MaximizeButton",null,null,b,"absolute");this.maximizeDiv.style.display="none";this.maximizeDiv.className=this.displayClass+"MaximizeButton olButton";this.maximizeTitle&&(this.maximizeDiv.title=this.maximizeTitle);this.div.appendChild(this.maximizeDiv);b=OpenLayers.Util.getImageLocation("layer-switcher-minimize.png");this.minimizeDiv=OpenLayers.Util.createAlphaImageDiv("OpenLayers_Control_minimizeDiv",null,null,b,"absolute");this.minimizeDiv.style.display="none";this.minimizeDiv.className=this.displayClass+"MinimizeButton olButton";this.minimizeTitle&&(this.minimizeDiv.title=this.minimizeTitle);this.div.appendChild(this.minimizeDiv);this.minimizeControl()}this.map.getExtent()&&this.update();this.map.events.on({buttonclick:this.onButtonClick,moveend:this.update,scope:this});this.maximized&&this.maximizeControl();return this.div},baseLayerDraw:function(){this.draw();this.map.events.unregister("changebaselayer",this,this.baseLayerDraw)},rectDrag:function(h){var g=this.handlers.drag.last.x-h.x,l=this.handlers.drag.last.y-h.y;if(0!=g||0!=l){var k=this.rectPxBounds.top,j=this.rectPxBounds.left;h=Math.abs(this.rectPxBounds.getHeight());var i=this.rectPxBounds.getWidth(),l=Math.max(0,k-l),l=Math.min(l,this.ovmap.size.h-this.hComp-h),g=Math.max(0,j-g),g=Math.min(g,this.ovmap.size.w-this.wComp-i);this.setRectPxBounds(new OpenLayers.Bounds(g,l+h,g+i,l))}},mapDivClick:function(h){var g=this.rectPxBounds.getCenterPixel(),l=h.xy.x-g.x,k=h.xy.y-g.y,j=this.rectPxBounds.top,i=this.rectPxBounds.left;h=Math.abs(this.rectPxBounds.getHeight());g=this.rectPxBounds.getWidth();k=Math.max(0,j+k);k=Math.min(k,this.ovmap.size.h-h);l=Math.max(0,i+l);l=Math.min(l,this.ovmap.size.w-g);this.setRectPxBounds(new OpenLayers.Bounds(l,k+h,l+g,k));this.updateMapToRect()},onButtonClick:function(b){b.buttonElement===this.minimizeDiv?this.minimizeControl():b.buttonElement===this.maximizeDiv&&this.maximizeControl()},maximizeControl:function(b){this.element.style.display="";this.showToggle(!1);null!=b&&OpenLayers.Event.stop(b)},minimizeControl:function(b){this.element.style.display="none";this.showToggle(!0);null!=b&&OpenLayers.Event.stop(b)},showToggle:function(b){this.maximizeDiv&&(this.maximizeDiv.style.display=b?"":"none");this.minimizeDiv&&(this.minimizeDiv.style.display=b?"none":"")},update:function(){null==this.ovmap&&this.createMap();!this.autoPan&&this.isSuitableOverview()||this.updateOverview();this.updateRectToMap()},isSuitableOverview:function(){var d=this.map.getExtent(),c=this.map.getMaxExtent(),d=new OpenLayers.Bounds(Math.max(d.left,c.left),Math.max(d.bottom,c.bottom),Math.min(d.right,c.right),Math.min(d.top,c.top));this.ovmap.getProjection()!=this.map.getProjection()&&(d=d.transform(this.map.getProjectionObject(),this.ovmap.getProjectionObject()));c=this.ovmap.getResolution()/this.map.getResolution();return c>this.minRatio&&c<=this.maxRatio&&this.ovmap.getExtent().containsBounds(d)},updateOverview:function(){var e=this.map.getResolution(),d=this.ovmap.getResolution(),f=d/e;f>this.maxRatio?d=this.minRatio*e:f<=this.minRatio&&(d=this.maxRatio*e);this.ovmap.getProjection()!=this.map.getProjection()?(e=this.map.center.clone(),e.transform(this.map.getProjectionObject(),this.ovmap.getProjectionObject())):e=this.map.center;this.ovmap.setCenter(e,this.ovmap.getZoomForResolution(d*this.resolutionFactor));this.updateRectToMap()},createMap:function(){var d=OpenLayers.Util.extend({controls:[],maxResolution:"auto",fallThrough:!1},this.mapOptions);this.ovmap=new OpenLayers.Map(this.mapDiv,d);this.ovmap.viewPortDiv.appendChild(this.extentRectangle);OpenLayers.Event.stopObserving(window,"unload",this.ovmap.unloadDestroy);this.ovmap.addLayers(this.layers);this.ovmap.zoomToMaxExtent();this.wComp=(this.wComp=parseInt(OpenLayers.Element.getStyle(this.extentRectangle,"border-left-width"))+parseInt(OpenLayers.Element.getStyle(this.extentRectangle,"border-right-width")))?this.wComp:2;this.hComp=(this.hComp=parseInt(OpenLayers.Element.getStyle(this.extentRectangle,"border-top-width"))+parseInt(OpenLayers.Element.getStyle(this.extentRectangle,"border-bottom-width")))?this.hComp:2;this.handlers.drag=new OpenLayers.Handler.Drag(this,{move:this.rectDrag,done:this.updateMapToRect},{map:this.ovmap});this.handlers.click=new OpenLayers.Handler.Click(this,{click:this.mapDivClick},{single:!0,"double":!1,stopSingle:!0,stopDouble:!0,pixelTolerance:1,map:this.ovmap});this.handlers.click.activate();this.rectEvents=new OpenLayers.Events(this,this.extentRectangle,null,!0);this.rectEvents.register("mouseover",this,function(b){this.handlers.drag.active||this.map.dragging||this.handlers.drag.activate()});this.rectEvents.register("mouseout",this,function(b){this.handlers.drag.dragging||this.handlers.drag.deactivate()});if(this.ovmap.getProjection()!=this.map.getProjection()){var d=this.map.getProjectionObject().getUnits()||this.map.units||this.map.baseLayer.units,c=this.ovmap.getProjectionObject().getUnits()||this.ovmap.units||this.ovmap.baseLayer.units;this.resolutionFactor=d&&c?OpenLayers.INCHES_PER_UNIT[d]/OpenLayers.INCHES_PER_UNIT[c]:1}},updateRectToMap:function(){var b;b=this.ovmap.getProjection()!=this.map.getProjection()?this.map.getExtent().transform(this.map.getProjectionObject(),this.ovmap.getProjectionObject()):this.map.getExtent();(b=this.getRectBoundsFromMapBounds(b))&&this.setRectPxBounds(b)},updateMapToRect:function(){var b=this.getMapBoundsFromRectBounds(this.rectPxBounds);this.ovmap.getProjection()!=this.map.getProjection()&&(b=b.transform(this.ovmap.getProjectionObject(),this.map.getProjectionObject()));this.map.panTo(b.getCenterLonLat())},setRectPxBounds:function(h){var g=Math.max(h.top,0),l=Math.max(h.left,0),k=Math.min(h.top+Math.abs(h.getHeight()),this.ovmap.size.h-this.hComp);h=Math.min(h.left+h.getWidth(),this.ovmap.size.w-this.wComp);var j=Math.max(h-l,0),i=Math.max(k-g,0);j<this.minRectSize||i<this.minRectSize?(this.extentRectangle.className=this.displayClass+this.minRectDisplayClass,j=l+j/2-this.minRectSize/2,this.extentRectangle.style.top=Math.round(g+i/2-this.minRectSize/2)+"px",this.extentRectangle.style.left=Math.round(j)+"px",this.extentRectangle.style.height=this.minRectSize+"px",this.extentRectangle.style.width=this.minRectSize+"px"):(this.extentRectangle.className=this.displayClass+"ExtentRectangle",this.extentRectangle.style.top=Math.round(g)+"px",this.extentRectangle.style.left=Math.round(l)+"px",this.extentRectangle.style.height=Math.round(i)+"px",this.extentRectangle.style.width=Math.round(j)+"px");this.rectPxBounds=new OpenLayers.Bounds(Math.round(l),Math.round(k),Math.round(h),Math.round(g))},getRectBoundsFromMapBounds:function(e){var d=this.getOverviewPxFromLonLat({lon:e.left,lat:e.bottom});e=this.getOverviewPxFromLonLat({lon:e.right,lat:e.top});var f=null;d&&e&&(f=new OpenLayers.Bounds(d.x,d.y,e.x,e.y));return f},getMapBoundsFromRectBounds:function(d){var c=this.getLonLatFromOverviewPx({x:d.left,y:d.bottom});d=this.getLonLatFromOverviewPx({x:d.right,y:d.top});return new OpenLayers.Bounds(c.lon,c.lat,d.lon,d.lat)},getLonLatFromOverviewPx:function(f){var e=this.ovmap.size,h=this.ovmap.getResolution(),g=this.ovmap.getExtent().getCenterLonLat();return{lon:g.lon+(f.x-e.w/2)*h,lat:g.lat-(f.y-e.h/2)*h}},getOverviewPxFromLonLat:function(e){var d=this.ovmap.getResolution(),f=this.ovmap.getExtent();if(f){return{x:Math.round(1/d*(e.lon-f.left)),y:Math.round(1/d*(f.top-e.lat))}}},CLASS_NAME:"OpenLayers.Control.OverviewMap"});OpenLayers.Layer=OpenLayers.Class({id:null,name:null,div:null,opacity:1,alwaysInRange:null,RESOLUTION_PROPERTIES:"scales resolutions maxScale minScale maxResolution minResolution numZoomLevels maxZoomLevel".split(" "),events:null,map:null,isBaseLayer:!1,alpha:!1,displayInLayerSwitcher:!0,visibility:!0,attribution:null,inRange:!1,imageSize:null,options:null,eventListeners:null,gutter:0,projection:null,units:null,scales:null,resolutions:null,maxExtent:null,minExtent:null,maxResolution:null,minResolution:null,numZoomLevels:null,minScale:null,maxScale:null,displayOutsideMaxExtent:!1,wrapDateLine:!1,metadata:null,initialize:function(d,c){this.metadata={};c=OpenLayers.Util.extend({},c);null!=this.alwaysInRange&&(c.alwaysInRange=this.alwaysInRange);this.addOptions(c);this.name=d;if(null==this.id&&(this.id=OpenLayers.Util.createUniqueID(this.CLASS_NAME+"_"),this.div=OpenLayers.Util.createDiv(this.id),this.div.style.width="100%",this.div.style.height="100%",this.div.dir="ltr",this.events=new OpenLayers.Events(this,this.div),this.eventListeners instanceof Object)){this.events.on(this.eventListeners)}},destroy:function(b){null==b&&(b=!0);null!=this.map&&this.map.removeLayer(this,b);this.options=this.div=this.name=this.map=this.projection=null;this.events&&(this.eventListeners&&this.events.un(this.eventListeners),this.events.destroy());this.events=this.eventListeners=null},clone:function(b){null==b&&(b=new OpenLayers.Layer(this.name,this.getOptions()));OpenLayers.Util.applyDefaults(b,this);b.map=null;return b},getOptions:function(){var d={},c;for(c in this.options){d[c]=this[c]}return d},setName:function(b){b!=this.name&&(this.name=b,null!=this.map&&this.map.events.triggerEvent("changelayer",{layer:this,property:"name"}))},addOptions:function(g,f){null==this.options&&(this.options={});g&&("string"==typeof g.projection&&(g.projection=new OpenLayers.Projection(g.projection)),g.projection&&OpenLayers.Util.applyDefaults(g,OpenLayers.Projection.defaults[g.projection.getCode()]),!g.maxExtent||g.maxExtent instanceof OpenLayers.Bounds||(g.maxExtent=new OpenLayers.Bounds(g.maxExtent)),!g.minExtent||g.minExtent instanceof OpenLayers.Bounds||(g.minExtent=new OpenLayers.Bounds(g.minExtent)));OpenLayers.Util.extend(this.options,g);OpenLayers.Util.extend(this,g);this.projection&&this.projection.getUnits()&&(this.units=this.projection.getUnits());if(this.map){var j=this.map.getResolution(),i=this.RESOLUTION_PROPERTIES.concat(["projection","units","minExtent","maxExtent"]),h;for(h in g){if(g.hasOwnProperty(h)&&0<=OpenLayers.Util.indexOf(i,h)){this.initResolutions();f&&this.map.baseLayer===this&&(this.map.setCenter(this.map.getCenter(),this.map.getZoomForResolution(j),!1,!0),this.map.events.triggerEvent("changebaselayer",{layer:this}));break}}}},onMapResize:function(){},redraw:function(){var d=!1;if(this.map){this.inRange=this.calculateInRange();var c=this.getExtent();c&&(this.inRange&&this.visibility)&&(this.moveTo(c,!0,!1),this.events.triggerEvent("moveend",{zoomChanged:!0}),d=!0)}return d},moveTo:function(e,d,f){e=this.visibility;this.isBaseLayer||(e=e&&this.inRange);this.display(e)},moveByPx:function(d,c){},setMap:function(b){null==this.map&&(this.map=b,this.maxExtent=this.maxExtent||this.map.maxExtent,this.minExtent=this.minExtent||this.map.minExtent,this.projection=this.projection||this.map.projection,"string"==typeof this.projection&&(this.projection=new OpenLayers.Projection(this.projection)),this.units=this.projection.getUnits()||this.units||this.map.units,this.initResolutions(),this.isBaseLayer||(this.inRange=this.calculateInRange(),this.div.style.display=this.visibility&&this.inRange?"":"none"),this.setTileSize())},afterAdd:function(){},removeMap:function(b){},getImageSize:function(b){return this.imageSize||this.tileSize},setTileSize:function(b){this.tileSize=b=b?b:this.tileSize?this.tileSize:this.map.getTileSize();this.gutter&&(this.imageSize=new OpenLayers.Size(b.w+2*this.gutter,b.h+2*this.gutter))},getVisibility:function(){return this.visibility},setVisibility:function(b){b!=this.visibility&&(this.visibility=b,this.display(b),this.redraw(),null!=this.map&&this.map.events.triggerEvent("changelayer",{layer:this,property:"visibility"}),this.events.triggerEvent("visibilitychanged"))},display:function(b){b!=("none"!=this.div.style.display)&&(this.div.style.display=b&&this.calculateInRange()?"block":"none")},calculateInRange:function(){var b=!1;this.alwaysInRange?b=!0:this.map&&(b=this.map.getResolution(),b=b>=this.minResolution&&b<=this.maxResolution);return b},setIsBaseLayer:function(b){b!=this.isBaseLayer&&(this.isBaseLayer=b,null!=this.map&&this.map.events.triggerEvent("changebaselayer",{layer:this}))},initResolutions:function(){var i,h,n,m={},l=!0;i=0;for(h=this.RESOLUTION_PROPERTIES.length;i<h;i++){n=this.RESOLUTION_PROPERTIES[i],m[n]=this.options[n],l&&this.options[n]&&(l=!1)}null==this.options.alwaysInRange&&(this.alwaysInRange=l);null==m.resolutions&&(m.resolutions=this.resolutionsFromScales(m.scales));null==m.resolutions&&(m.resolutions=this.calculateResolutions(m));if(null==m.resolutions){i=0;for(h=this.RESOLUTION_PROPERTIES.length;i<h;i++){n=this.RESOLUTION_PROPERTIES[i],m[n]=null!=this.options[n]?this.options[n]:this.map[n]}null==m.resolutions&&(m.resolutions=this.resolutionsFromScales(m.scales));null==m.resolutions&&(m.resolutions=this.calculateResolutions(m))}var k;this.options.maxResolution&&"auto"!==this.options.maxResolution&&(k=this.options.maxResolution);this.options.minScale&&(k=OpenLayers.Util.getResolutionFromScale(this.options.minScale,this.units));var j;this.options.minResolution&&"auto"!==this.options.minResolution&&(j=this.options.minResolution);this.options.maxScale&&(j=OpenLayers.Util.getResolutionFromScale(this.options.maxScale,this.units));m.resolutions&&(m.resolutions.sort(function(d,c){return c-d}),k||(k=m.resolutions[0]),j||(j=m.resolutions[m.resolutions.length-1]));if(this.resolutions=m.resolutions){h=this.resolutions.length;this.scales=Array(h);for(i=0;i<h;i++){this.scales[i]=OpenLayers.Util.getScaleFromResolution(this.resolutions[i],this.units)}this.numZoomLevels=h}if(this.minResolution=j){this.maxScale=OpenLayers.Util.getScaleFromResolution(j,this.units)}if(this.maxResolution=k){this.minScale=OpenLayers.Util.getScaleFromResolution(k,this.units)}},resolutionsFromScales:function(f){if(null!=f){var e,h,g;g=f.length;e=Array(g);for(h=0;h<g;h++){e[h]=OpenLayers.Util.getResolutionFromScale(f[h],this.units)}return e}},calculateResolutions:function(h){var g,l,k=h.maxResolution;null!=h.minScale?k=OpenLayers.Util.getResolutionFromScale(h.minScale,this.units):"auto"==k&&null!=this.maxExtent&&(g=this.map.getSize(),l=this.maxExtent.getWidth()/g.w,g=this.maxExtent.getHeight()/g.h,k=Math.max(l,g));l=h.minResolution;null!=h.maxScale?l=OpenLayers.Util.getResolutionFromScale(h.maxScale,this.units):"auto"==h.minResolution&&null!=this.minExtent&&(g=this.map.getSize(),l=this.minExtent.getWidth()/g.w,g=this.minExtent.getHeight()/g.h,l=Math.max(l,g));"number"!==typeof k&&("number"!==typeof l&&null!=this.maxExtent)&&(k=this.map.getTileSize(),k=Math.max(this.maxExtent.getWidth()/k.w,this.maxExtent.getHeight()/k.h));g=h.maxZoomLevel;h=h.numZoomLevels;"number"===typeof l&&"number"===typeof k&&void 0===h?h=Math.floor(Math.log(k/l)/Math.log(2))+1:void 0===h&&null!=g&&(h=g+1);if(!("number"!==typeof h||0>=h||"number"!==typeof k&&"number"!==typeof l)){g=Array(h);var j=2;"number"==typeof l&&"number"==typeof k&&(j=Math.pow(k/l,1/(h-1)));var i;if("number"===typeof k){for(i=0;i<h;i++){g[i]=k/Math.pow(j,i)}}else{for(i=0;i<h;i++){g[h-1-i]=l*Math.pow(j,i)}}return g}},getResolution:function(){var b=this.map.getZoom();return this.getResolutionForZoom(b)},getExtent:function(){return this.map.calculateBounds()},getZoomForExtent:function(e,d){var f=this.map.getSize(),f=Math.max(e.getWidth()/f.w,e.getHeight()/f.h);return this.getZoomForResolution(f,d)},getDataExtent:function(){},getResolutionForZoom:function(e){e=Math.max(0,Math.min(e,this.resolutions.length-1));if(this.map.fractionalZoom){var d=Math.floor(e),f=Math.ceil(e);e=this.resolutions[d]-(e-d)*(this.resolutions[d]-this.resolutions[f])}else{e=this.resolutions[Math.round(e)]}return e},getZoomForResolution:function(j,i){var p,o;if(this.map.fractionalZoom){var n=0,m=this.resolutions[n],l=this.resolutions[this.resolutions.length-1],k;p=0;for(o=this.resolutions.length;p<o;++p){if(k=this.resolutions[p],k>=j&&(m=k,n=p),k<=j){l=k;break}}p=m-l;p=0<p?n+(m-j)/p:n}else{m=Number.POSITIVE_INFINITY;p=0;for(o=this.resolutions.length;p<o;p++){if(i){n=Math.abs(this.resolutions[p]-j);if(n>m){break}m=n}else{if(this.resolutions[p]<j){break}}}p=Math.max(0,p-1)}return p},getLonLatFromViewPortPx:function(f){var e=null,h=this.map;if(null!=f&&h.minPx){var e=h.getResolution(),g=h.getMaxExtent({restricted:!0}),e=new OpenLayers.LonLat((f.x-h.minPx.x)*e+g.left,(h.minPx.y-f.y)*e+g.top);this.wrapDateLine&&(e=e.wrapDateLine(this.maxExtent))}return e},getViewPortPxFromLonLat:function(e,d){var f=null;null!=e&&(d=d||this.map.getResolution(),f=this.map.calculateBounds(null,d),f=new OpenLayers.Pixel(1/d*(e.lon-f.left),1/d*(f.top-e.lat)));return f},setOpacity:function(h){if(h!=this.opacity){this.opacity=h;for(var g=this.div.childNodes,l=0,k=g.length;l<k;++l){var j=g[l].firstChild||g[l],i=g[l].lastChild;i&&"iframe"===i.nodeName.toLowerCase()&&(j=i.parentNode);OpenLayers.Util.modifyDOMElement(j,null,null,null,null,null,null,h)}null!=this.map&&this.map.events.triggerEvent("changelayer",{layer:this,property:"opacity"})}},getZIndex:function(){return this.div.style.zIndex},setZIndex:function(b){this.div.style.zIndex=b},adjustBounds:function(d){if(this.gutter){var c=this.gutter*this.map.getResolution();d=new OpenLayers.Bounds(d.left-c,d.bottom-c,d.right+c,d.top+c)}this.wrapDateLine&&(c={rightTolerance:this.getResolution(),leftTolerance:this.getResolution()},d=d.wrapDateLine(this.maxExtent,c));return d},CLASS_NAME:"OpenLayers.Layer"});OpenLayers.Layer.SphericalMercator={getExtent:function(){var b=null;return b=this.sphericalMercator?this.map.calculateBounds():OpenLayers.Layer.FixedZoomLevels.prototype.getExtent.apply(this)},getLonLatFromViewPortPx:function(b){return OpenLayers.Layer.prototype.getLonLatFromViewPortPx.apply(this,arguments)},getViewPortPxFromLonLat:function(b){return OpenLayers.Layer.prototype.getViewPortPxFromLonLat.apply(this,arguments)},initMercatorParameters:function(){this.RESOLUTIONS=[];for(var b=0;b<=this.MAX_ZOOM_LEVEL;++b){this.RESOLUTIONS[b]=156543.03390625/Math.pow(2,b)}this.units="m";this.projection=this.projection||"EPSG:900913"},forwardMercator:function(){var d=new OpenLayers.Projection("EPSG:4326"),c=new OpenLayers.Projection("EPSG:900913");return function(f,b){var a=OpenLayers.Projection.transform({x:f,y:b},d,c);return new OpenLayers.LonLat(a.x,a.y)}}(),inverseMercator:function(){var d=new OpenLayers.Projection("EPSG:4326"),c=new OpenLayers.Projection("EPSG:900913");return function(f,b){var a=OpenLayers.Projection.transform({x:f,y:b},c,d);return new OpenLayers.LonLat(a.x,a.y)}}()};OpenLayers.Layer.EventPane=OpenLayers.Class(OpenLayers.Layer,{smoothDragPan:!0,isBaseLayer:!0,isFixed:!0,pane:null,mapObject:null,initialize:function(d,c){OpenLayers.Layer.prototype.initialize.apply(this,arguments);null==this.pane&&(this.pane=OpenLayers.Util.createDiv(this.div.id+"_EventPane"))},destroy:function(){this.pane=this.mapObject=null;OpenLayers.Layer.prototype.destroy.apply(this,arguments)},setMap:function(b){OpenLayers.Layer.prototype.setMap.apply(this,arguments);this.pane.style.zIndex=parseInt(this.div.style.zIndex)+1;this.pane.style.display=this.div.style.display;this.pane.style.width="100%";this.pane.style.height="100%";"msie"==OpenLayers.BROWSER_NAME&&(this.pane.style.background="url("+OpenLayers.Util.getImageLocation("blank.gif")+")");this.isFixed?this.map.viewPortDiv.appendChild(this.pane):this.map.layerContainerDiv.appendChild(this.pane);this.loadMapObject();null==this.mapObject&&this.loadWarningMessage()},removeMap:function(b){this.pane&&this.pane.parentNode&&this.pane.parentNode.removeChild(this.pane);OpenLayers.Layer.prototype.removeMap.apply(this,arguments)},loadWarningMessage:function(){this.div.style.backgroundColor="darkblue";var e=this.map.getSize(),d=Math.min(e.w,300),f=Math.min(e.h,200),d=new OpenLayers.Size(d,f),e=(new OpenLayers.Pixel(e.w/2,e.h/2)).add(-d.w/2,-d.h/2),e=OpenLayers.Util.createDiv(this.name+"_warning",e,d,null,null,null,"auto");e.style.padding="7px";e.style.backgroundColor="yellow";e.innerHTML=this.getWarningHTML();this.div.appendChild(e)},getWarningHTML:function(){return""},display:function(b){OpenLayers.Layer.prototype.display.apply(this,arguments);this.pane.style.display=this.div.style.display},setZIndex:function(b){OpenLayers.Layer.prototype.setZIndex.apply(this,arguments);this.pane.style.zIndex=parseInt(this.div.style.zIndex)+1},moveByPx:function(d,c){OpenLayers.Layer.prototype.moveByPx.apply(this,arguments);this.dragPanMapObject?this.dragPanMapObject(d,-c):this.moveTo(this.map.getCachedCenter())},moveTo:function(i,h,n){OpenLayers.Layer.prototype.moveTo.apply(this,arguments);if(null!=this.mapObject){var m=this.map.getCenter(),l=this.map.getZoom();if(null!=m){var k=this.getMapObjectCenter(),k=this.getOLLonLatFromMapObjectLonLat(k),j=this.getMapObjectZoom(),j=this.getOLZoomFromMapObjectZoom(j);m.equals(k)&&l==j||(!h&&k&&this.dragPanMapObject&&this.smoothDragPan?(l=this.map.getViewPortPxFromLonLat(k),m=this.map.getViewPortPxFromLonLat(m),this.dragPanMapObject(m.x-l.x,l.y-m.y)):(m=this.getMapObjectLonLatFromOLLonLat(m),l=this.getMapObjectZoomFromOLZoom(l),this.setMapObjectCenter(m,l,n)))}}},getLonLatFromViewPortPx:function(d){var c=null;null!=this.mapObject&&null!=this.getMapObjectCenter()&&(d=this.getMapObjectPixelFromOLPixel(d),d=this.getMapObjectLonLatFromMapObjectPixel(d),c=this.getOLLonLatFromMapObjectLonLat(d));return c},getViewPortPxFromLonLat:function(d){var c=null;null!=this.mapObject&&null!=this.getMapObjectCenter()&&(d=this.getMapObjectLonLatFromOLLonLat(d),d=this.getMapObjectPixelFromMapObjectLonLat(d),c=this.getOLPixelFromMapObjectPixel(d));return c},getOLLonLatFromMapObjectLonLat:function(d){var c=null;null!=d&&(c=this.getLongitudeFromMapObjectLonLat(d),d=this.getLatitudeFromMapObjectLonLat(d),c=new OpenLayers.LonLat(c,d));return c},getMapObjectLonLatFromOLLonLat:function(d){var c=null;null!=d&&(c=this.getMapObjectLonLatFromLonLat(d.lon,d.lat));return c},getOLPixelFromMapObjectPixel:function(d){var c=null;null!=d&&(c=this.getXFromMapObjectPixel(d),d=this.getYFromMapObjectPixel(d),c=new OpenLayers.Pixel(c,d));return c},getMapObjectPixelFromOLPixel:function(d){var c=null;null!=d&&(c=this.getMapObjectPixelFromXY(d.x,d.y));return c},CLASS_NAME:"OpenLayers.Layer.EventPane"});OpenLayers.Layer.FixedZoomLevels=OpenLayers.Class({initialize:function(){},initResolutions:function(){for(var f=["minZoomLevel","maxZoomLevel","numZoomLevels"],e=0,h=f.length;e<h;e++){var g=f[e];this[g]=null!=this.options[g]?this.options[g]:this.map[g]}if(null==this.minZoomLevel||this.minZoomLevel<this.MIN_ZOOM_LEVEL){this.minZoomLevel=this.MIN_ZOOM_LEVEL}f=this.MAX_ZOOM_LEVEL-this.minZoomLevel+1;e=null==this.options.numZoomLevels&&null!=this.options.maxZoomLevel||null==this.numZoomLevels&&null!=this.maxZoomLevel?this.maxZoomLevel-this.minZoomLevel+1:this.numZoomLevels;this.numZoomLevels=null!=e?Math.min(e,f):f;this.maxZoomLevel=this.minZoomLevel+this.numZoomLevels-1;if(null!=this.RESOLUTIONS){f=0;this.resolutions=[];for(e=this.minZoomLevel;e<=this.maxZoomLevel;e++){this.resolutions[f++]=this.RESOLUTIONS[e]}this.maxResolution=this.resolutions[0];this.minResolution=this.resolutions[this.resolutions.length-1]}},getResolution:function(){if(null!=this.resolutions){return OpenLayers.Layer.prototype.getResolution.apply(this,arguments)}var e=null,d=this.map.getSize(),f=this.getExtent();null!=d&&null!=f&&(e=Math.max(f.getWidth()/d.w,f.getHeight()/d.h));return e},getExtent:function(){var d=this.map.getSize(),c=this.getLonLatFromViewPortPx({x:0,y:0}),d=this.getLonLatFromViewPortPx({x:d.w,y:d.h});return null!=c&&null!=d?new OpenLayers.Bounds(c.lon,d.lat,d.lon,c.lat):null},getZoomForResolution:function(d){if(null!=this.resolutions){return OpenLayers.Layer.prototype.getZoomForResolution.apply(this,arguments)}var c=OpenLayers.Layer.prototype.getExtent.apply(this,[]);return this.getZoomForExtent(c)},getOLZoomFromMapObjectZoom:function(d){var c=null;null!=d&&(c=d-this.minZoomLevel,this.map.baseLayer!==this&&(c=this.map.baseLayer.getZoomForResolution(this.getResolutionForZoom(c))));return c},getMapObjectZoomFromOLZoom:function(d){var c=null;null!=d&&(c=d+this.minZoomLevel,this.map.baseLayer!==this&&(c=this.getZoomForResolution(this.map.baseLayer.getResolutionForZoom(c))));return c},CLASS_NAME:"OpenLayers.Layer.FixedZoomLevels"});OpenLayers.Layer.Google=OpenLayers.Class(OpenLayers.Layer.EventPane,OpenLayers.Layer.FixedZoomLevels,{MIN_ZOOM_LEVEL:0,MAX_ZOOM_LEVEL:21,RESOLUTIONS:[1.40625,0.703125,0.3515625,0.17578125,0.087890625,0.0439453125,0.02197265625,0.010986328125,0.0054931640625,0.00274658203125,0.001373291015625,0.0006866455078125,0.00034332275390625,0.000171661376953125,0.0000858306884765625,0.00004291534423828125,0.00002145767211914062,0.00001072883605957031,0.00000536441802978515,0.00000268220901489257,0.000001341104507446289,6.705522537231445e-7],type:null,wrapDateLine:!0,sphericalMercator:!1,version:null,initialize:function(e,d){d=d||{};d.version||(d.version="function"===typeof GMap2?"2":"3");var f=OpenLayers.Layer.Google["v"+d.version.replace(/\./g,"_")];if(f){OpenLayers.Util.applyDefaults(d,f)}else{throw"Unsupported Google Maps API version: "+d.version}OpenLayers.Util.applyDefaults(d,f.DEFAULTS);d.maxExtent&&(d.maxExtent=d.maxExtent.clone());OpenLayers.Layer.EventPane.prototype.initialize.apply(this,[e,d]);OpenLayers.Layer.FixedZoomLevels.prototype.initialize.apply(this,[e,d]);this.sphericalMercator&&(OpenLayers.Util.extend(this,OpenLayers.Layer.SphericalMercator),this.initMercatorParameters())},clone:function(){return new OpenLayers.Layer.Google(this.name,this.getOptions())},setVisibility:function(d){var c=null==this.opacity?1:this.opacity;OpenLayers.Layer.EventPane.prototype.setVisibility.apply(this,arguments);this.setOpacity(c)},display:function(b){this._dragging||this.setGMapVisibility(b);OpenLayers.Layer.EventPane.prototype.display.apply(this,arguments)},moveTo:function(e,d,f){this._dragging=f;OpenLayers.Layer.EventPane.prototype.moveTo.apply(this,arguments);delete this._dragging},setOpacity:function(d){d!==this.opacity&&(null!=this.map&&this.map.events.triggerEvent("changelayer",{layer:this,property:"opacity"}),this.opacity=d);if(this.getVisibility()){var c=this.getMapContainer();OpenLayers.Util.modifyDOMElement(c,null,null,null,null,null,null,d)}},destroy:function(){if(this.map){this.setGMapVisibility(!1);var b=OpenLayers.Layer.Google.cache[this.map.id];b&&1>=b.count&&this.removeGMapElements()}OpenLayers.Layer.EventPane.prototype.destroy.apply(this,arguments)},removeGMapElements:function(){var d=OpenLayers.Layer.Google.cache[this.map.id];if(d){var c=this.mapObject&&this.getMapContainer();c&&c.parentNode&&c.parentNode.removeChild(c);(c=d.termsOfUse)&&c.parentNode&&c.parentNode.removeChild(c);(d=d.poweredBy)&&d.parentNode&&d.parentNode.removeChild(d);this.mapObject&&(window.google&&google.maps&&google.maps.event&&google.maps.event.clearListeners)&&google.maps.event.clearListeners(this.mapObject,"tilesloaded")}},removeMap:function(d){this.visibility&&this.mapObject&&this.setGMapVisibility(!1);var c=OpenLayers.Layer.Google.cache[d.id];c&&(1>=c.count?(this.removeGMapElements(),delete OpenLayers.Layer.Google.cache[d.id]):--c.count);delete this.termsOfUse;delete this.poweredBy;delete this.mapObject;delete this.dragObject;OpenLayers.Layer.EventPane.prototype.removeMap.apply(this,arguments)},getOLBoundsFromMapObjectBounds:function(d){var c=null;null!=d&&(c=d.getSouthWest(),d=d.getNorthEast(),this.sphericalMercator?(c=this.forwardMercator(c.lng(),c.lat()),d=this.forwardMercator(d.lng(),d.lat())):(c=new OpenLayers.LonLat(c.lng(),c.lat()),d=new OpenLayers.LonLat(d.lng(),d.lat())),c=new OpenLayers.Bounds(c.lon,c.lat,d.lon,d.lat));return c},getWarningHTML:function(){return OpenLayers.i18n("googleWarning")},getMapObjectCenter:function(){return this.mapObject.getCenter()},getMapObjectZoom:function(){return this.mapObject.getZoom()},getLongitudeFromMapObjectLonLat:function(b){return this.sphericalMercator?this.forwardMercator(b.lng(),b.lat()).lon:b.lng()},getLatitudeFromMapObjectLonLat:function(b){return this.sphericalMercator?this.forwardMercator(b.lng(),b.lat()).lat:b.lat()},getXFromMapObjectPixel:function(b){return b.x},getYFromMapObjectPixel:function(b){return b.y},CLASS_NAME:"OpenLayers.Layer.Google"});OpenLayers.Layer.Google.cache={};OpenLayers.Layer.Google.v2={termsOfUse:null,poweredBy:null,dragObject:null,loadMapObject:function(){this.type||(this.type=G_NORMAL_MAP);var h,g,l,k=OpenLayers.Layer.Google.cache[this.map.id];if(k){h=k.mapObject,g=k.termsOfUse,l=k.poweredBy,++k.count}else{var k=this.map.viewPortDiv,j=document.createElement("div");j.id=this.map.id+"_GMap2Container";j.style.position="absolute";j.style.width="100%";j.style.height="100%";k.appendChild(j);try{h=new GMap2(j),g=j.lastChild,k.appendChild(g),g.style.zIndex="1100",g.style.right="",g.style.bottom="",g.className="olLayerGoogleCopyright",l=j.lastChild,k.appendChild(l),l.style.zIndex="1100",l.style.right="",l.style.bottom="",l.className="olLayerGooglePoweredBy gmnoprint"}catch(i){throw i}OpenLayers.Layer.Google.cache[this.map.id]={mapObject:h,termsOfUse:g,poweredBy:l,count:1}}this.mapObject=h;this.termsOfUse=g;this.poweredBy=l;-1===OpenLayers.Util.indexOf(this.mapObject.getMapTypes(),this.type)&&this.mapObject.addMapType(this.type);"function"==typeof h.getDragObject?this.dragObject=h.getDragObject():this.dragPanMapObject=null;!1===this.isBaseLayer&&this.setGMapVisibility("none"!==this.div.style.display)},onMapResize:function(){if(this.visibility&&this.mapObject.isLoaded()){this.mapObject.checkResize()}else{if(!this._resized){var d=this,c=GEvent.addListener(this.mapObject,"load",function(){GEvent.removeListener(c);delete d._resized;d.mapObject.checkResize();d.moveTo(d.map.getCenter(),d.map.getZoom())})}this._resized=!0}},setGMapVisibility:function(e){var d=OpenLayers.Layer.Google.cache[this.map.id];if(d){var f=this.mapObject.getContainer();!0===e?(this.mapObject.setMapType(this.type),f.style.display="",this.termsOfUse.style.left="",this.termsOfUse.style.display="",this.poweredBy.style.display="",d.displayed=this.id):(d.displayed===this.id&&delete d.displayed,d.displayed||(f.style.display="none",this.termsOfUse.style.display="none",this.termsOfUse.style.left="-9999px",this.poweredBy.style.display="none"))}},getMapContainer:function(){return this.mapObject.getContainer()},getMapObjectBoundsFromOLBounds:function(d){var c=null;null!=d&&(c=this.sphericalMercator?this.inverseMercator(d.bottom,d.left):new OpenLayers.LonLat(d.bottom,d.left),d=this.sphericalMercator?this.inverseMercator(d.top,d.right):new OpenLayers.LonLat(d.top,d.right),c=new GLatLngBounds(new GLatLng(c.lat,c.lon),new GLatLng(d.lat,d.lon)));return c},setMapObjectCenter:function(d,c){this.mapObject.setCenter(d,c)},dragPanMapObject:function(d,c){this.dragObject.moveBy(new GSize(-d,c))},getMapObjectLonLatFromMapObjectPixel:function(b){return this.mapObject.fromContainerPixelToLatLng(b)},getMapObjectPixelFromMapObjectLonLat:function(b){return this.mapObject.fromLatLngToContainerPixel(b)},getMapObjectZoomFromMapObjectBounds:function(b){return this.mapObject.getBoundsZoomLevel(b)},getMapObjectLonLatFromLonLat:function(e,d){var f;this.sphericalMercator?(f=this.inverseMercator(e,d),f=new GLatLng(f.lat,f.lon)):f=new GLatLng(d,e);return f},getMapObjectPixelFromXY:function(d,c){return new GPoint(d,c)}};OpenLayers.Format.XML=OpenLayers.Class(OpenLayers.Format,{namespaces:null,namespaceAlias:null,defaultPrefix:null,readers:{},writers:{},xmldom:null,initialize:function(d){window.ActiveXObject&&(this.xmldom=new ActiveXObject("Microsoft.XMLDOM"));OpenLayers.Format.prototype.initialize.apply(this,[d]);this.namespaces=OpenLayers.Util.extend({},this.namespaces);this.namespaceAlias={};for(var c in this.namespaces){this.namespaceAlias[this.namespaces[c]]=c}},destroy:function(){this.xmldom=null;OpenLayers.Format.prototype.destroy.apply(this,arguments)},setNamespace:function(d,c){this.namespaces[d]=c;this.namespaceAlias[c]=d},read:function(d){var c=d.indexOf("<");0<c&&(d=d.substring(c));c=OpenLayers.Util.Try(OpenLayers.Function.bind(function(){var a;a=window.ActiveXObject&&!this.xmldom?new ActiveXObject("Microsoft.XMLDOM"):this.xmldom;a.loadXML(d);return a},this),function(){return(new DOMParser).parseFromString(d,"text/xml")},function(){var a=new XMLHttpRequest;a.open("GET","data:text/xml;charset=utf-8,"+encodeURIComponent(d),!1);a.overrideMimeType&&a.overrideMimeType("text/xml");a.send(null);return a.responseXML});this.keepData&&(this.data=c);return c},write:function(e){if(this.xmldom){e=e.xml}else{var d=new XMLSerializer;if(1==e.nodeType){var f=document.implementation.createDocument("","",null);f.importNode&&(e=f.importNode(e,!0));f.appendChild(e);e=d.serializeToString(f)}else{e=d.serializeToString(e)}}return e},createElementNS:function(d,c){return this.xmldom?"string"==typeof d?this.xmldom.createNode(1,c,d):this.xmldom.createNode(1,c,""):document.createElementNS(d,c)},createDocumentFragment:function(){return this.xmldom?this.xmldom.createDocumentFragment():document.createDocumentFragment()},createTextNode:function(b){"string"!==typeof b&&(b=String(b));return this.xmldom?this.xmldom.createTextNode(b):document.createTextNode(b)},getElementsByTagNameNS:function(j,i,p){var o=[];if(j.getElementsByTagNameNS){o=j.getElementsByTagNameNS(i,p)}else{j=j.getElementsByTagName("*");for(var n,m,l=0,k=j.length;l<k;++l){if(n=j[l],m=n.prefix?n.prefix+":"+p:p,"*"==p||m==n.nodeName){"*"!=i&&i!=n.namespaceURI||o.push(n)}}}return o},getAttributeNodeNS:function(j,i,p){var o=null;if(j.getAttributeNodeNS){o=j.getAttributeNodeNS(i,p)}else{j=j.attributes;for(var n,m,l=0,k=j.length;l<k;++l){if(n=j[l],n.namespaceURI==i&&(m=n.prefix?n.prefix+":"+p:p,m==n.nodeName)){o=n;break}}}return o},getAttributeNS:function(f,e,h){var g="";if(f.getAttributeNS){g=f.getAttributeNS(e,h)||""}else{if(f=this.getAttributeNodeNS(f,e,h)){g=f.nodeValue}}return g},getChildValue:function(f,e){var h=e||"";if(f){for(var g=f.firstChild;g;g=g.nextSibling){switch(g.nodeType){case 3:case 4:h+=g.nodeValue}}}return h},isSimpleContent:function(d){var c=!0;for(d=d.firstChild;d;d=d.nextSibling){if(1===d.nodeType){c=!1;break}}return c},contentType:function(f){var e=!1,h=!1,g=OpenLayers.Format.XML.CONTENT_TYPE.EMPTY;for(f=f.firstChild;f;f=f.nextSibling){switch(f.nodeType){case 1:h=!0;break;case 8:break;default:e=!0}if(h&&e){break}}if(h&&e){g=OpenLayers.Format.XML.CONTENT_TYPE.MIXED}else{if(h){return OpenLayers.Format.XML.CONTENT_TYPE.COMPLEX}if(e){return OpenLayers.Format.XML.CONTENT_TYPE.SIMPLE}}return g},hasAttributeNS:function(f,e,h){var g=!1;return g=f.hasAttributeNS?f.hasAttributeNS(e,h):!!this.getAttributeNodeNS(f,e,h)},setAttributeNS:function(f,e,h,g){if(f.setAttributeNS){f.setAttributeNS(e,h,g)}else{if(this.xmldom){e?(e=f.ownerDocument.createNode(2,h,e),e.nodeValue=g,f.setAttributeNode(e)):f.setAttribute(h,g)}else{throw"setAttributeNS not implemented"}}},createElementNSPlus:function(f,e){e=e||{};var h=e.uri||this.namespaces[e.prefix];h||(h=f.indexOf(":"),h=this.namespaces[f.substring(0,h)]);h||(h=this.namespaces[this.defaultPrefix]);h=this.createElementNS(h,f);e.attributes&&this.setAttributes(h,e.attributes);var g=e.value;null!=g&&h.appendChild(this.createTextNode(g));return h},setAttributes:function(g,f){var j,i,h;for(h in f){null!=f[h]&&f[h].toString&&(j=f[h].toString(),i=this.namespaces[h.substring(0,h.indexOf(":"))]||null,this.setAttributeNS(g,i,h,j))}},readNode:function(f,e){e||(e={});var h=this.readers[f.namespaceURI?this.namespaceAlias[f.namespaceURI]:this.defaultPrefix];if(h){var g=f.localName||f.nodeName.split(":").pop();(h=h[g]||h["*"])&&h.apply(this,[f,e])}return e},readChildNodes:function(h,g){g||(g={});for(var l=h.childNodes,k,j=0,i=l.length;j<i;++j){k=l[j],1==k.nodeType&&this.readNode(k,g)}return g},writeNode:function(g,f,j){var i,h=g.indexOf(":");0<h?(i=g.substring(0,h),g=g.substring(h+1)):i=j?this.namespaceAlias[j.namespaceURI]:this.defaultPrefix;f=this.writers[i][g].apply(this,[f]);j&&j.appendChild(f);return f},getChildEl:function(e,d,f){return e&&this.getThisOrNextEl(e.firstChild,d,f)},getNextEl:function(e,d,f){return e&&this.getThisOrNextEl(e.nextSibling,d,f)},getThisOrNextEl:function(e,d,f){e:for(;e;e=e.nextSibling){switch(e.nodeType){case 1:if(!(d&&d!==(e.localName||e.nodeName.split(":").pop())||f&&f!==e.namespaceURI)){break e}e=null;break e;case 3:if(/^\s*$/.test(e.nodeValue)){break}case 4:case 6:case 12:case 10:case 11:e=null;break e}}return e||null},lookupNamespaceURI:function(g,f){var j=null;if(g){if(g.lookupNamespaceURI){j=g.lookupNamespaceURI(f)}else{g:switch(g.nodeType){case 1:if(null!==g.namespaceURI&&g.prefix===f){j=g.namespaceURI;break g}if(j=g.attributes.length){for(var i,h=0;h<j;++h){if(i=g.attributes[h],"xmlns"===i.prefix&&i.name==="xmlns:"+f){j=i.value||null;break g}else{if("xmlns"===i.name&&null===f){j=i.value||null;break g}}}}j=this.lookupNamespaceURI(g.parentNode,f);break g;case 2:j=this.lookupNamespaceURI(g.ownerElement,f);break g;case 9:j=this.lookupNamespaceURI(g.documentElement,f);break g;case 6:case 12:case 10:case 11:break g;default:j=this.lookupNamespaceURI(g.parentNode,f)}}}return j},getXMLDoc:function(){OpenLayers.Format.XML.document||this.xmldom||(document.implementation&&document.implementation.createDocument?OpenLayers.Format.XML.document=document.implementation.createDocument("","",null):!this.xmldom&&window.ActiveXObject&&(this.xmldom=new ActiveXObject("Microsoft.XMLDOM")));return OpenLayers.Format.XML.document||this.xmldom},CLASS_NAME:"OpenLayers.Format.XML"});OpenLayers.Format.XML.CONTENT_TYPE={EMPTY:0,SIMPLE:1,COMPLEX:2,MIXED:3};OpenLayers.Format.XML.lookupNamespaceURI=OpenLayers.Function.bind(OpenLayers.Format.XML.prototype.lookupNamespaceURI,OpenLayers.Format.XML.prototype);OpenLayers.Format.XML.document=null;OpenLayers.Format.WFST=function(d){d=OpenLayers.Util.applyDefaults(d,OpenLayers.Format.WFST.DEFAULTS);var c=OpenLayers.Format.WFST["v"+d.version.replace(/\./g,"_")];if(!c){throw"Unsupported WFST version: "+d.version}return new c(d)};OpenLayers.Format.WFST.DEFAULTS={version:"1.0.0"};OpenLayers.Feature=OpenLayers.Class({layer:null,id:null,lonlat:null,data:null,marker:null,popupClass:null,popup:null,initialize:function(e,d,f){this.layer=e;this.lonlat=d;this.data=null!=f?f:{};this.id=OpenLayers.Util.createUniqueID(this.CLASS_NAME+"_")},destroy:function(){null!=this.layer&&null!=this.layer.map&&null!=this.popup&&this.layer.map.removePopup(this.popup);null!=this.layer&&null!=this.marker&&this.layer.removeMarker(this.marker);this.data=this.lonlat=this.id=this.layer=null;null!=this.marker&&(this.destroyMarker(this.marker),this.marker=null);null!=this.popup&&(this.destroyPopup(this.popup),this.popup=null)},onScreen:function(){var b=!1;null!=this.layer&&null!=this.layer.map&&(b=this.layer.map.getExtent().containsLonLat(this.lonlat));return b},createMarker:function(){null!=this.lonlat&&(this.marker=new OpenLayers.Marker(this.lonlat,this.data.icon));return this.marker},destroyMarker:function(){this.marker.destroy()},createPopup:function(b){null!=this.lonlat&&(this.popup||(this.popup=new (this.popupClass?this.popupClass:OpenLayers.Popup.Anchored)(this.id+"_popup",this.lonlat,this.data.popupSize,this.data.popupContentHTML,this.marker?this.marker.icon:null,b)),null!=this.data.overflow&&(this.popup.contentDiv.style.overflow=this.data.overflow),this.popup.feature=this);return this.popup},destroyPopup:function(){this.popup&&(this.popup.feature=null,this.popup.destroy(),this.popup=null)},CLASS_NAME:"OpenLayers.Feature"});OpenLayers.State={UNKNOWN:"Unknown",INSERT:"Insert",UPDATE:"Update",DELETE:"Delete"};OpenLayers.Feature.Vector=OpenLayers.Class(OpenLayers.Feature,{fid:null,geometry:null,attributes:null,bounds:null,state:null,style:null,url:null,renderIntent:"default",modified:null,initialize:function(e,d,f){OpenLayers.Feature.prototype.initialize.apply(this,[null,null,d]);this.lonlat=null;this.geometry=e?e:null;this.state=null;this.attributes={};d&&(this.attributes=OpenLayers.Util.extend(this.attributes,d));this.style=f?f:null},destroy:function(){this.layer&&(this.layer.removeFeatures(this),this.layer=null);this.modified=this.geometry=null;OpenLayers.Feature.prototype.destroy.apply(this,arguments)},clone:function(){return new OpenLayers.Feature.Vector(this.geometry?this.geometry.clone():null,this.attributes,this.style)},onScreen:function(d){var c=!1;this.layer&&this.layer.map&&(c=this.layer.map.getExtent(),d?(d=this.geometry.getBounds(),c=c.intersectsBounds(d)):c=c.toGeometry().intersects(this.geometry));return c},getVisibility:function(){return !(this.style&&"none"==this.style.display||!this.layer||this.layer&&this.layer.styleMap&&"none"==this.layer.styleMap.createSymbolizer(this,this.renderIntent).display||this.layer&&!this.layer.getVisibility())},createMarker:function(){return null},destroyMarker:function(){},createPopup:function(){return null},atPoint:function(f,e,h){var g=!1;this.geometry&&(g=this.geometry.atPoint(f,e,h));return g},destroyPopup:function(){},move:function(e){if(this.layer&&this.geometry.move){e="OpenLayers.LonLat"==e.CLASS_NAME?this.layer.getViewPortPxFromLonLat(e):e;var d=this.layer.getViewPortPxFromLonLat(this.geometry.getBounds().getCenterLonLat()),f=this.layer.map.getResolution();this.geometry.move(f*(e.x-d.x),f*(d.y-e.y));this.layer.drawFeature(this);return d}},toState:function(b){if(b==OpenLayers.State.UPDATE){switch(this.state){case OpenLayers.State.UNKNOWN:case OpenLayers.State.DELETE:this.state=b}}else{if(b==OpenLayers.State.INSERT){switch(this.state){case OpenLayers.State.UNKNOWN:break;default:this.state=b}}else{if(b==OpenLayers.State.DELETE){switch(this.state){case OpenLayers.State.UNKNOWN:case OpenLayers.State.UPDATE:this.state=b}}else{b==OpenLayers.State.UNKNOWN&&(this.state=b)}}}},CLASS_NAME:"OpenLayers.Feature.Vector"});OpenLayers.Feature.Vector.style={"default":{fillColor:"#ee9900",fillOpacity:0.4,hoverFillColor:"white",hoverFillOpacity:0.8,strokeColor:"#ee9900",strokeOpacity:1,strokeWidth:1,strokeLinecap:"round",strokeDashstyle:"solid",hoverStrokeColor:"red",hoverStrokeOpacity:1,hoverStrokeWidth:0.2,pointRadius:6,hoverPointRadius:1,hoverPointUnit:"%",pointerEvents:"visiblePainted",cursor:"inherit",fontColor:"#000000",labelAlign:"cm",labelOutlineColor:"white",labelOutlineWidth:3},select:{fillColor:"blue",fillOpacity:0.4,hoverFillColor:"white",hoverFillOpacity:0.8,strokeColor:"blue",strokeOpacity:1,strokeWidth:2,strokeLinecap:"round",strokeDashstyle:"solid",hoverStrokeColor:"red",hoverStrokeOpacity:1,hoverStrokeWidth:0.2,pointRadius:6,hoverPointRadius:1,hoverPointUnit:"%",pointerEvents:"visiblePainted",cursor:"pointer",fontColor:"#000000",labelAlign:"cm",labelOutlineColor:"white",labelOutlineWidth:3},temporary:{fillColor:"#66cccc",fillOpacity:0.2,hoverFillColor:"white",hoverFillOpacity:0.8,strokeColor:"#66cccc",strokeOpacity:1,strokeLinecap:"round",strokeWidth:2,strokeDashstyle:"solid",hoverStrokeColor:"red",hoverStrokeOpacity:1,hoverStrokeWidth:0.2,pointRadius:6,hoverPointRadius:1,hoverPointUnit:"%",pointerEvents:"visiblePainted",cursor:"inherit",fontColor:"#000000",labelAlign:"cm",labelOutlineColor:"white",labelOutlineWidth:3},"delete":{display:"none"}};OpenLayers.Style=OpenLayers.Class({id:null,name:null,title:null,description:null,layerName:null,isDefault:!1,rules:null,context:null,defaultStyle:null,defaultsPerSymbolizer:!1,propertyStyles:null,initialize:function(d,c){OpenLayers.Util.extend(this,c);this.rules=[];c&&c.rules&&this.addRules(c.rules);this.setDefaultStyle(d||OpenLayers.Feature.Vector.style["default"]);this.id=OpenLayers.Util.createUniqueID(this.CLASS_NAME+"_")},destroy:function(){for(var d=0,c=this.rules.length;d<c;d++){this.rules[d].destroy(),this.rules[d]=null}this.defaultStyle=this.rules=null},createSymbolizer:function(j){for(var i=this.defaultsPerSymbolizer?{}:this.createLiterals(OpenLayers.Util.extend({},this.defaultStyle),j),p=this.rules,o,n=[],m=!1,l=0,k=p.length;l<k;l++){o=p[l],o.evaluate(j)&&(o instanceof OpenLayers.Rule&&o.elseFilter?n.push(o):(m=!0,this.applySymbolizer(o,i,j)))}if(!1==m&&0<n.length){for(m=!0,l=0,k=n.length;l<k;l++){this.applySymbolizer(n[l],i,j)}}0<p.length&&!1==m&&(i.display="none");null!=i.label&&"string"!==typeof i.label&&(i.label=String(i.label));return i},applySymbolizer:function(f,e,h){var g=h.geometry?this.getSymbolizerPrefix(h.geometry):OpenLayers.Style.SYMBOLIZER_PREFIXES[0];f=f.symbolizer[g]||f.symbolizer;!0===this.defaultsPerSymbolizer&&(g=this.defaultStyle,OpenLayers.Util.applyDefaults(f,{pointRadius:g.pointRadius}),!0!==f.stroke&&!0!==f.graphic||OpenLayers.Util.applyDefaults(f,{strokeWidth:g.strokeWidth,strokeColor:g.strokeColor,strokeOpacity:g.strokeOpacity,strokeDashstyle:g.strokeDashstyle,strokeLinecap:g.strokeLinecap}),!0!==f.fill&&!0!==f.graphic||OpenLayers.Util.applyDefaults(f,{fillColor:g.fillColor,fillOpacity:g.fillOpacity}),!0===f.graphic&&OpenLayers.Util.applyDefaults(f,{pointRadius:this.defaultStyle.pointRadius,externalGraphic:this.defaultStyle.externalGraphic,graphicName:this.defaultStyle.graphicName,graphicOpacity:this.defaultStyle.graphicOpacity,graphicWidth:this.defaultStyle.graphicWidth,graphicHeight:this.defaultStyle.graphicHeight,graphicXOffset:this.defaultStyle.graphicXOffset,graphicYOffset:this.defaultStyle.graphicYOffset}));return this.createLiterals(OpenLayers.Util.extend(e,f),h)},createLiterals:function(f,e){var h=OpenLayers.Util.extend({},e.attributes||e.data);OpenLayers.Util.extend(h,this.context);for(var g in this.propertyStyles){f[g]=OpenLayers.Style.createLiteral(f[g],h,e,g)}return f},findPropertyStyles:function(){var i={};this.addPropertyStyles(i,this.defaultStyle);for(var h=this.rules,n,m,l=0,k=h.length;l<k;l++){n=h[l].symbolizer;for(var j in n){if(m=n[j],"object"==typeof m){this.addPropertyStyles(i,m)}else{this.addPropertyStyles(i,n);break}}}return i},addPropertyStyles:function(f,e){var h,g;for(g in e){h=e[g],"string"==typeof h&&h.match(/\$\{\w+\}/)&&(f[g]=!0)}return f},addRules:function(b){Array.prototype.push.apply(this.rules,b);this.propertyStyles=this.findPropertyStyles()},setDefaultStyle:function(b){this.defaultStyle=b;this.propertyStyles=this.findPropertyStyles()},getSymbolizerPrefix:function(f){for(var e=OpenLayers.Style.SYMBOLIZER_PREFIXES,h=0,g=e.length;h<g;h++){if(-1!=f.CLASS_NAME.indexOf(e[h])){return e[h]}}},clone:function(){var e=OpenLayers.Util.extend({},this);if(this.rules){e.rules=[];for(var d=0,f=this.rules.length;d<f;++d){e.rules.push(this.rules[d].clone())}}e.context=this.context&&OpenLayers.Util.extend({},this.context);d=OpenLayers.Util.extend({},this.defaultStyle);return new OpenLayers.Style(d,e)},CLASS_NAME:"OpenLayers.Style"});OpenLayers.Style.createLiteral=function(f,e,h,g){"string"==typeof f&&-1!=f.indexOf("${")&&(f=OpenLayers.String.format(f,e,[h,g]),f=isNaN(f)||!f?f:parseFloat(f));return f};OpenLayers.Style.SYMBOLIZER_PREFIXES=["Point","Line","Polygon","Text","Raster"];OpenLayers.Filter=OpenLayers.Class({initialize:function(b){OpenLayers.Util.extend(this,b)},destroy:function(){},evaluate:function(b){return !0},clone:function(){return null},toString:function(){return OpenLayers.Format&&OpenLayers.Format.CQL?OpenLayers.Format.CQL.prototype.write(this):Object.prototype.toString.call(this)},CLASS_NAME:"OpenLayers.Filter"});OpenLayers.Filter.Spatial=OpenLayers.Class(OpenLayers.Filter,{type:null,property:null,value:null,distance:null,distanceUnits:null,evaluate:function(e){var d=!1;switch(this.type){case OpenLayers.Filter.Spatial.BBOX:case OpenLayers.Filter.Spatial.INTERSECTS:if(e.geometry){var f=this.value;"OpenLayers.Bounds"==this.value.CLASS_NAME&&(f=this.value.toGeometry());e.geometry.intersects(f)&&(d=!0)}break;default:throw Error("evaluate is not implemented for this filter type.")}return d},clone:function(){var b=OpenLayers.Util.applyDefaults({value:this.value&&this.value.clone&&this.value.clone()},this);return new OpenLayers.Filter.Spatial(b)},CLASS_NAME:"OpenLayers.Filter.Spatial"});OpenLayers.Filter.Spatial.BBOX="BBOX";OpenLayers.Filter.Spatial.INTERSECTS="INTERSECTS";OpenLayers.Filter.Spatial.DWITHIN="DWITHIN";OpenLayers.Filter.Spatial.WITHIN="WITHIN";OpenLayers.Filter.Spatial.CONTAINS="CONTAINS";OpenLayers.Filter.FeatureId=OpenLayers.Class(OpenLayers.Filter,{fids:null,type:"FID",initialize:function(b){this.fids=[];OpenLayers.Filter.prototype.initialize.apply(this,[b])},evaluate:function(e){for(var d=0,f=this.fids.length;d<f;d++){if((e.fid||e.id)==this.fids[d]){return !0}}return !1},clone:function(){var b=new OpenLayers.Filter.FeatureId;OpenLayers.Util.extend(b,this);b.fids=this.fids.slice();return b},CLASS_NAME:"OpenLayers.Filter.FeatureId"});OpenLayers.Format.WFST.v1=OpenLayers.Class(OpenLayers.Format.XML,{namespaces:{xlink:"http://www.w3.org/1999/xlink",xsi:"http://www.w3.org/2001/XMLSchema-instance",wfs:"http://www.opengis.net/wfs",gml:"http://www.opengis.net/gml",ogc:"http://www.opengis.net/ogc",ows:"http://www.opengis.net/ows"},defaultPrefix:"wfs",version:null,schemaLocations:null,srsName:null,extractAttributes:!0,xy:!0,stateName:null,initialize:function(b){this.stateName={};this.stateName[OpenLayers.State.INSERT]="wfs:Insert";this.stateName[OpenLayers.State.UPDATE]="wfs:Update";this.stateName[OpenLayers.State.DELETE]="wfs:Delete";OpenLayers.Format.XML.prototype.initialize.apply(this,[b])},getSrsName:function(e,d){var f=d&&d.srsName;f||(f=e&&e.layer?e.layer.projection.getCode():this.srsName);return f},read:function(e,d){d=d||{};OpenLayers.Util.applyDefaults(d,{output:"features"});"string"==typeof e&&(e=OpenLayers.Format.XML.prototype.read.apply(this,[e]));e&&9==e.nodeType&&(e=e.documentElement);var f={};e&&this.readNode(e,f,!0);f.features&&"features"===d.output&&(f=f.features);return f},readers:{wfs:{FeatureCollection:function(d,c){c.features=[];this.readChildNodes(d,c)}}},write:function(f,e){var h=this.writeNode("wfs:Transaction",{features:f,options:e}),g=this.schemaLocationAttr();g&&this.setAttributeNS(h,this.namespaces.xsi,"xsi:schemaLocation",g);return OpenLayers.Format.XML.prototype.write.apply(this,[h])},writers:{wfs:{GetFeature:function(f){var e=this.createElementNSPlus("wfs:GetFeature",{attributes:{service:"WFS",version:this.version,handle:f&&f.handle,outputFormat:f&&f.outputFormat,maxFeatures:f&&f.maxFeatures,"xsi:schemaLocation":this.schemaLocationAttr(f)}});if("string"==typeof this.featureType){this.writeNode("Query",f,e)}else{for(var h=0,g=this.featureType.length;h<g;h++){f.featureType=this.featureType[h],this.writeNode("Query",f,e)}}return e},Transaction:function(i){i=i||{};var h=i.options||{},n=this.createElementNSPlus("wfs:Transaction",{attributes:{service:"WFS",version:this.version,handle:h.handle}}),m,l=i.features;if(l){!0===h.multi&&OpenLayers.Util.extend(this.geometryTypes,{"OpenLayers.Geometry.Point":"MultiPoint","OpenLayers.Geometry.LineString":!0===this.multiCurve?"MultiCurve":"MultiLineString","OpenLayers.Geometry.Polygon":!0===this.multiSurface?"MultiSurface":"MultiPolygon"});var k,j;i=0;for(m=l.length;i<m;++i){j=l[i],(k=this.stateName[j.state])&&this.writeNode(k,{feature:j,options:h},n)}!0===h.multi&&this.setGeometryTypes()}if(h.nativeElements){for(i=0,m=h.nativeElements.length;i<m;++i){this.writeNode("wfs:Native",h.nativeElements[i],n)}}return n},Native:function(b){return this.createElementNSPlus("wfs:Native",{attributes:{vendorId:b.vendorId,safeToIgnore:b.safeToIgnore},value:b.value})},Insert:function(d){var c=d.feature;d=d.options;d=this.createElementNSPlus("wfs:Insert",{attributes:{handle:d&&d.handle}});this.srsName=this.getSrsName(c);this.writeNode("feature:_typeName",c,d);return d},Update:function(f){var e=f.feature;f=f.options;f=this.createElementNSPlus("wfs:Update",{attributes:{handle:f&&f.handle,typeName:(this.featureNS?this.featurePrefix+":":"")+this.featureType}});this.featureNS&&f.setAttribute("xmlns:"+this.featurePrefix,this.featureNS);var h=e.modified;null===this.geometryName||h&&void 0===h.geometry||(this.srsName=this.getSrsName(e),this.writeNode("Property",{name:this.geometryName,value:e.geometry},f));for(var g in e.attributes){void 0===e.attributes[g]||h&&h.attributes&&(!h.attributes||void 0===h.attributes[g])||this.writeNode("Property",{name:g,value:e.attributes[g]},f)}this.writeNode("ogc:Filter",new OpenLayers.Filter.FeatureId({fids:[e.fid]}),f);return f},Property:function(d){var c=this.createElementNSPlus("wfs:Property");this.writeNode("Name",d.name,c);null!==d.value&&this.writeNode("Value",d.value,c);return c},Name:function(b){return this.createElementNSPlus("wfs:Name",{value:b})},Value:function(d){var c;d instanceof OpenLayers.Geometry?(c=this.createElementNSPlus("wfs:Value"),d=this.writeNode("feature:_geometry",d).firstChild,c.appendChild(d)):c=this.createElementNSPlus("wfs:Value",{value:d});return c},Delete:function(d){var c=d.feature;d=d.options;d=this.createElementNSPlus("wfs:Delete",{attributes:{handle:d&&d.handle,typeName:(this.featureNS?this.featurePrefix+":":"")+this.featureType}});this.featureNS&&d.setAttribute("xmlns:"+this.featurePrefix,this.featureNS);this.writeNode("ogc:Filter",new OpenLayers.Filter.FeatureId({fids:[c.fid]}),d);return d}}},schemaLocationAttr:function(f){f=OpenLayers.Util.extend({featurePrefix:this.featurePrefix,schema:this.schema},f);var e=OpenLayers.Util.extend({},this.schemaLocations);f.schema&&(e[f.featurePrefix]=f.schema);f=[];var h,g;for(g in e){(h=this.namespaces[g])&&f.push(h+" "+e[g])}return f.join(" ")||void 0},setFilterProperty:function(e){if(e.filters){for(var d=0,f=e.filters.length;d<f;++d){OpenLayers.Format.WFST.v1.prototype.setFilterProperty.call(this,e.filters[d])}}else{e instanceof OpenLayers.Filter.Spatial&&!e.property&&(e.property=this.geometryName)}},CLASS_NAME:"OpenLayers.Format.WFST.v1"});OpenLayers.Format.OGCExceptionReport=OpenLayers.Class(OpenLayers.Format.XML,{namespaces:{ogc:"http://www.opengis.net/ogc"},regExes:{trimSpace:/^\s*|\s*$/g,removeSpace:/\s*/g,splitSpace:/\s+/,trimComma:/\s*,\s*/g},defaultPrefix:"ogc",read:function(d){"string"==typeof d&&(d=OpenLayers.Format.XML.prototype.read.apply(this,[d]));var c={exceptionReport:null};d.documentElement&&(this.readChildNodes(d,c),null===c.exceptionReport&&(c=(new OpenLayers.Format.OWSCommon).read(d)));return c},readers:{ogc:{ServiceExceptionReport:function(d,c){c.exceptionReport={exceptions:[]};this.readChildNodes(d,c.exceptionReport)},ServiceException:function(e,d){var f={code:e.getAttribute("code"),locator:e.getAttribute("locator"),text:this.getChildValue(e)};d.exceptions.push(f)}}},CLASS_NAME:"OpenLayers.Format.OGCExceptionReport"});OpenLayers.Format.XML.VersionedOGC=OpenLayers.Class(OpenLayers.Format.XML,{defaultVersion:null,version:null,profile:null,allowFallback:!1,name:null,stringifyOutput:!1,parser:null,initialize:function(b){OpenLayers.Format.XML.prototype.initialize.apply(this,[b]);b=this.CLASS_NAME;this.name=b.substring(b.lastIndexOf(".")+1)},getVersion:function(e,d){var f;e?(f=this.version,f||(f=e.getAttribute("version"),f||(f=this.defaultVersion))):f=d&&d.version||this.version||this.defaultVersion;return f},getParser:function(e){e=e||this.defaultVersion;var d=this.profile?"_"+this.profile:"";if(!this.parser||this.parser.VERSION!=e){var f=OpenLayers.Format[this.name]["v"+e.replace(/\./g,"_")+d];if(!f&&(""!==d&&this.allowFallback&&(d="",f=OpenLayers.Format[this.name]["v"+e.replace(/\./g,"_")]),!f)){throw"Can't find a "+this.name+" parser for version "+e+d}this.parser=new f(this.options)}return this.parser},write:function(e,d){var f=this.getVersion(null,d);this.parser=this.getParser(f);f=this.parser.write(e,d);return !1===this.stringifyOutput?f:OpenLayers.Format.XML.prototype.write.apply(this,[f])},read:function(g,f){"string"==typeof g&&(g=OpenLayers.Format.XML.prototype.read.apply(this,[g]));var j=this.getVersion(g.documentElement);this.parser=this.getParser(j);var i=this.parser.read(g,f),h=this.parser.errorProperty||null;null!==h&&void 0===i[h]&&(h=new OpenLayers.Format.OGCExceptionReport,i.error=h.read(g));i.version=j;return i},CLASS_NAME:"OpenLayers.Format.XML.VersionedOGC"});OpenLayers.Filter.Logical=OpenLayers.Class(OpenLayers.Filter,{filters:null,type:null,initialize:function(b){this.filters=[];OpenLayers.Filter.prototype.initialize.apply(this,[b])},destroy:function(){this.filters=null;OpenLayers.Filter.prototype.destroy.apply(this)},evaluate:function(e){var d,f;switch(this.type){case OpenLayers.Filter.Logical.AND:d=0;for(f=this.filters.length;d<f;d++){if(!1==this.filters[d].evaluate(e)){return !1}}return !0;case OpenLayers.Filter.Logical.OR:d=0;for(f=this.filters.length;d<f;d++){if(!0==this.filters[d].evaluate(e)){return !0}}return !1;case OpenLayers.Filter.Logical.NOT:return !this.filters[0].evaluate(e)}},clone:function(){for(var e=[],d=0,f=this.filters.length;d<f;++d){e.push(this.filters[d].clone())}return new OpenLayers.Filter.Logical({type:this.type,filters:e})},CLASS_NAME:"OpenLayers.Filter.Logical"});OpenLayers.Filter.Logical.AND="&&";OpenLayers.Filter.Logical.OR="||";OpenLayers.Filter.Logical.NOT="!";OpenLayers.Filter.Comparison=OpenLayers.Class(OpenLayers.Filter,{type:null,property:null,value:null,matchCase:!0,lowerBoundary:null,upperBoundary:null,initialize:function(b){OpenLayers.Filter.prototype.initialize.apply(this,[b]);this.type===OpenLayers.Filter.Comparison.LIKE&&void 0===b.matchCase&&(this.matchCase=null)},evaluate:function(d){d instanceof OpenLayers.Feature.Vector&&(d=d.attributes);var c=!1;d=d[this.property];switch(this.type){case OpenLayers.Filter.Comparison.EQUAL_TO:c=this.value;c=this.matchCase||"string"!=typeof d||"string"!=typeof c?d==c:d.toUpperCase()==c.toUpperCase();break;case OpenLayers.Filter.Comparison.NOT_EQUAL_TO:c=this.value;c=this.matchCase||"string"!=typeof d||"string"!=typeof c?d!=c:d.toUpperCase()!=c.toUpperCase();break;case OpenLayers.Filter.Comparison.LESS_THAN:c=d<this.value;break;case OpenLayers.Filter.Comparison.GREATER_THAN:c=d>this.value;break;case OpenLayers.Filter.Comparison.LESS_THAN_OR_EQUAL_TO:c=d<=this.value;break;case OpenLayers.Filter.Comparison.GREATER_THAN_OR_EQUAL_TO:c=d>=this.value;break;case OpenLayers.Filter.Comparison.BETWEEN:c=d>=this.lowerBoundary&&d<=this.upperBoundary;break;case OpenLayers.Filter.Comparison.LIKE:c=RegExp(this.value,"gi").test(d);break;case OpenLayers.Filter.Comparison.IS_NULL:c=null===d}return c},value2regex:function(e,d,f){if("."==e){throw Error("'.' is an unsupported wildCard character for OpenLayers.Filter.Comparison")}e=e?e:"*";d=d?d:".";this.value=this.value.replace(RegExp("\\"+(f?f:"!")+"(.|$)","g"),"\\$1");this.value=this.value.replace(RegExp("\\"+d,"g"),".");this.value=this.value.replace(RegExp("\\"+e,"g"),".*");this.value=this.value.replace(RegExp("\\\\.\\*","g"),"\\"+e);return this.value=this.value.replace(RegExp("\\\\\\.","g"),"\\"+d)},regex2value:function(){var b=this.value,b=b.replace(/!/g,"!!"),b=b.replace(/(\\)?\\\./g,function(d,e){return e?d:"!."}),b=b.replace(/(\\)?\\\*/g,function(d,e){return e?d:"!*"}),b=b.replace(/\\\\/g,"\\");return b=b.replace(/\.\*/g,"*")},clone:function(){return OpenLayers.Util.extend(new OpenLayers.Filter.Comparison,this)},CLASS_NAME:"OpenLayers.Filter.Comparison"});OpenLayers.Filter.Comparison.EQUAL_TO="==";OpenLayers.Filter.Comparison.NOT_EQUAL_TO="!=";OpenLayers.Filter.Comparison.LESS_THAN="<";OpenLayers.Filter.Comparison.GREATER_THAN=">";OpenLayers.Filter.Comparison.LESS_THAN_OR_EQUAL_TO="<=";OpenLayers.Filter.Comparison.GREATER_THAN_OR_EQUAL_TO=">=";OpenLayers.Filter.Comparison.BETWEEN="..";OpenLayers.Filter.Comparison.LIKE="~";OpenLayers.Filter.Comparison.IS_NULL="NULL";OpenLayers.Format.Filter=OpenLayers.Class(OpenLayers.Format.XML.VersionedOGC,{defaultVersion:"1.0.0",CLASS_NAME:"OpenLayers.Format.Filter"});OpenLayers.Filter.Function=OpenLayers.Class(OpenLayers.Filter,{name:null,params:null,CLASS_NAME:"OpenLayers.Filter.Function"});OpenLayers.Date={dateRegEx:/^(?:(\d{4})(?:-(\d{2})(?:-(\d{2}))?)?)?(?:(?:T(\d{1,2}):(\d{2}):(\d{2}(?:\.\d+)?)(Z|(?:[+-]\d{1,2}(?::(\d{2}))?)))|Z)?$/,toISOString:function(){return"toISOString" in Date.prototype?function(b){return b.toISOString()}:function(b){return isNaN(b.getTime())?"Invalid Date":b.getUTCFullYear()+"-"+OpenLayers.Number.zeroPad(b.getUTCMonth()+1,2)+"-"+OpenLayers.Number.zeroPad(b.getUTCDate(),2)+"T"+OpenLayers.Number.zeroPad(b.getUTCHours(),2)+":"+OpenLayers.Number.zeroPad(b.getUTCMinutes(),2)+":"+OpenLayers.Number.zeroPad(b.getUTCSeconds(),2)+"."+OpenLayers.Number.zeroPad(b.getUTCMilliseconds(),3)+"Z"}}(),parse:function(i){var h;if((i=i.match(this.dateRegEx))&&(i[1]||i[7])){h=parseInt(i[1],10)||0;var n=parseInt(i[2],10)-1||0,m=parseInt(i[3],10)||1;h=new Date(Date.UTC(h,n,m));if(n=i[7]){var m=parseInt(i[4],10),l=parseInt(i[5],10),k=parseFloat(i[6]),j=k|0,k=Math.round(1000*(k-j));h.setUTCHours(m,l,j,k);"Z"!==n&&(n=parseInt(n,10),i=parseInt(i[8],10)||0,i=-1000*(60*60*n+60*i),h=new Date(h.getTime()+i))}}else{h=new Date("invalid")}return h}};OpenLayers.Format.Filter.v1=OpenLayers.Class(OpenLayers.Format.XML,{namespaces:{ogc:"http://www.opengis.net/ogc",gml:"http://www.opengis.net/gml",xlink:"http://www.w3.org/1999/xlink",xsi:"http://www.w3.org/2001/XMLSchema-instance"},defaultPrefix:"ogc",schemaLocation:null,initialize:function(b){OpenLayers.Format.XML.prototype.initialize.apply(this,[b])},read:function(d){var c={};this.readers.ogc.Filter.apply(this,[d,c]);return c.filter},readers:{ogc:{_expression:function(e){for(var d="",f=e.firstChild;f;f=f.nextSibling){switch(f.nodeType){case 1:e=this.readNode(f);e.property?d+="${"+e.property+"}":void 0!==e.value&&(d+=e.value);break;case 3:case 4:d+=f.nodeValue}}return d},Filter:function(e,d){var f={fids:[],filters:[]};this.readChildNodes(e,f);0<f.fids.length?d.filter=new OpenLayers.Filter.FeatureId({fids:f.fids}):0<f.filters.length&&(d.filter=f.filters[0])},FeatureId:function(e,d){var f=e.getAttribute("fid");f&&d.fids.push(f)},And:function(e,d){var f=new OpenLayers.Filter.Logical({type:OpenLayers.Filter.Logical.AND});this.readChildNodes(e,f);d.filters.push(f)},Or:function(e,d){var f=new OpenLayers.Filter.Logical({type:OpenLayers.Filter.Logical.OR});this.readChildNodes(e,f);d.filters.push(f)},Not:function(e,d){var f=new OpenLayers.Filter.Logical({type:OpenLayers.Filter.Logical.NOT});this.readChildNodes(e,f);d.filters.push(f)},PropertyIsLessThan:function(e,d){var f=new OpenLayers.Filter.Comparison({type:OpenLayers.Filter.Comparison.LESS_THAN});this.readChildNodes(e,f);d.filters.push(f)},PropertyIsGreaterThan:function(e,d){var f=new OpenLayers.Filter.Comparison({type:OpenLayers.Filter.Comparison.GREATER_THAN});this.readChildNodes(e,f);d.filters.push(f)},PropertyIsLessThanOrEqualTo:function(e,d){var f=new OpenLayers.Filter.Comparison({type:OpenLayers.Filter.Comparison.LESS_THAN_OR_EQUAL_TO});this.readChildNodes(e,f);d.filters.push(f)},PropertyIsGreaterThanOrEqualTo:function(e,d){var f=new OpenLayers.Filter.Comparison({type:OpenLayers.Filter.Comparison.GREATER_THAN_OR_EQUAL_TO});this.readChildNodes(e,f);d.filters.push(f)},PropertyIsBetween:function(e,d){var f=new OpenLayers.Filter.Comparison({type:OpenLayers.Filter.Comparison.BETWEEN});this.readChildNodes(e,f);d.filters.push(f)},Literal:function(d,c){c.value=OpenLayers.String.numericIf(this.getChildValue(d),!0)},PropertyName:function(d,c){c.property=this.getChildValue(d)},LowerBoundary:function(d,c){c.lowerBoundary=OpenLayers.String.numericIf(this.readers.ogc._expression.call(this,d),!0)},UpperBoundary:function(d,c){c.upperBoundary=OpenLayers.String.numericIf(this.readers.ogc._expression.call(this,d),!0)},Intersects:function(d,c){this.readSpatial(d,c,OpenLayers.Filter.Spatial.INTERSECTS)},Within:function(d,c){this.readSpatial(d,c,OpenLayers.Filter.Spatial.WITHIN)},Contains:function(d,c){this.readSpatial(d,c,OpenLayers.Filter.Spatial.CONTAINS)},DWithin:function(d,c){this.readSpatial(d,c,OpenLayers.Filter.Spatial.DWITHIN)},Distance:function(d,c){c.distance=parseInt(this.getChildValue(d));c.distanceUnits=d.getAttribute("units")},Function:function(d,c){},PropertyIsNull:function(e,d){var f=new OpenLayers.Filter.Comparison({type:OpenLayers.Filter.Comparison.IS_NULL});this.readChildNodes(e,f);d.filters.push(f)}}},readSpatial:function(e,d,f){f=new OpenLayers.Filter.Spatial({type:f});this.readChildNodes(e,f);f.value=f.components[0];delete f.components;d.filters.push(f)},encodeLiteral:function(b){b instanceof Date&&(b=OpenLayers.Date.toISOString(b));return b},writeOgcExpression:function(d,c){d instanceof OpenLayers.Filter.Function?this.writeNode("Function",d,c):this.writeNode("Literal",d,c);return c},write:function(b){return this.writers.ogc.Filter.apply(this,[b])},writers:{ogc:{Filter:function(d){var c=this.createElementNSPlus("ogc:Filter");this.writeNode(this.getFilterType(d),d,c);return c},_featureIds:function(f){for(var e=this.createDocumentFragment(),h=0,g=f.fids.length;h<g;++h){this.writeNode("ogc:FeatureId",f.fids[h],e)}return e},FeatureId:function(b){return this.createElementNSPlus("ogc:FeatureId",{attributes:{fid:b}})},And:function(g){for(var f=this.createElementNSPlus("ogc:And"),j,i=0,h=g.filters.length;i<h;++i){j=g.filters[i],this.writeNode(this.getFilterType(j),j,f)}return f},Or:function(g){for(var f=this.createElementNSPlus("ogc:Or"),j,i=0,h=g.filters.length;i<h;++i){j=g.filters[i],this.writeNode(this.getFilterType(j),j,f)}return f},Not:function(d){var c=this.createElementNSPlus("ogc:Not");d=d.filters[0];this.writeNode(this.getFilterType(d),d,c);return c},PropertyIsLessThan:function(d){var c=this.createElementNSPlus("ogc:PropertyIsLessThan");this.writeNode("PropertyName",d,c);this.writeOgcExpression(d.value,c);return c},PropertyIsGreaterThan:function(d){var c=this.createElementNSPlus("ogc:PropertyIsGreaterThan");this.writeNode("PropertyName",d,c);this.writeOgcExpression(d.value,c);return c},PropertyIsLessThanOrEqualTo:function(d){var c=this.createElementNSPlus("ogc:PropertyIsLessThanOrEqualTo");this.writeNode("PropertyName",d,c);this.writeOgcExpression(d.value,c);return c},PropertyIsGreaterThanOrEqualTo:function(d){var c=this.createElementNSPlus("ogc:PropertyIsGreaterThanOrEqualTo");this.writeNode("PropertyName",d,c);this.writeOgcExpression(d.value,c);return c},PropertyIsBetween:function(d){var c=this.createElementNSPlus("ogc:PropertyIsBetween");this.writeNode("PropertyName",d,c);this.writeNode("LowerBoundary",d,c);this.writeNode("UpperBoundary",d,c);return c},PropertyName:function(b){return this.createElementNSPlus("ogc:PropertyName",{value:b.property})},Literal:function(b){return this.createElementNSPlus("ogc:Literal",{value:(this.encodeLiteral||OpenLayers.Format.Filter.v1.prototype.encodeLiteral)(b)})},LowerBoundary:function(d){var c=this.createElementNSPlus("ogc:LowerBoundary");this.writeOgcExpression(d.lowerBoundary,c);return c},UpperBoundary:function(d){var c=this.createElementNSPlus("ogc:UpperBoundary");this.writeNode("Literal",d.upperBoundary,c);return c},INTERSECTS:function(b){return this.writeSpatial(b,"Intersects")},WITHIN:function(b){return this.writeSpatial(b,"Within")},CONTAINS:function(b){return this.writeSpatial(b,"Contains")},DWITHIN:function(d){var c=this.writeSpatial(d,"DWithin");this.writeNode("Distance",d,c);return c},Distance:function(b){return this.createElementNSPlus("ogc:Distance",{attributes:{units:b.distanceUnits},value:b.distance})},Function:function(f){var e=this.createElementNSPlus("ogc:Function",{attributes:{name:f.name}});f=f.params;for(var h=0,g=f.length;h<g;h++){this.writeOgcExpression(f[h],e)}return e},PropertyIsNull:function(d){var c=this.createElementNSPlus("ogc:PropertyIsNull");this.writeNode("PropertyName",d,c);return c}}},getFilterType:function(d){var c=this.filterMap[d.type];if(!c){throw"Filter writing not supported for rule type: "+d.type}return c},filterMap:{"&&":"And","||":"Or","!":"Not","==":"PropertyIsEqualTo","!=":"PropertyIsNotEqualTo","<":"PropertyIsLessThan",">":"PropertyIsGreaterThan","<=":"PropertyIsLessThanOrEqualTo",">=":"PropertyIsGreaterThanOrEqualTo","..":"PropertyIsBetween","~":"PropertyIsLike",NULL:"PropertyIsNull",BBOX:"BBOX",DWITHIN:"DWITHIN",WITHIN:"WITHIN",CONTAINS:"CONTAINS",INTERSECTS:"INTERSECTS",FID:"_featureIds"},CLASS_NAME:"OpenLayers.Format.Filter.v1"});OpenLayers.Geometry=OpenLayers.Class({id:null,parent:null,bounds:null,initialize:function(){this.id=OpenLayers.Util.createUniqueID(this.CLASS_NAME+"_")},destroy:function(){this.bounds=this.id=null},clone:function(){return new OpenLayers.Geometry},setBounds:function(b){b&&(this.bounds=b.clone())},clearBounds:function(){this.bounds=null;this.parent&&this.parent.clearBounds()},extendBounds:function(b){this.getBounds()?this.bounds.extend(b):this.setBounds(b)},getBounds:function(){null==this.bounds&&this.calculateBounds();return this.bounds},calculateBounds:function(){},distanceTo:function(d,c){},getVertices:function(b){},atPoint:function(f,e,h){var g=!1;null!=this.getBounds()&&null!=f&&(e=null!=e?e:0,h=null!=h?h:0,g=(new OpenLayers.Bounds(this.bounds.left-e,this.bounds.bottom-h,this.bounds.right+e,this.bounds.top+h)).containsLonLat(f));return g},getLength:function(){return 0},getArea:function(){return 0},getCentroid:function(){return null},toString:function(){return OpenLayers.Format&&OpenLayers.Format.WKT?OpenLayers.Format.WKT.prototype.write(new OpenLayers.Feature.Vector(this)):Object.prototype.toString.call(this)},CLASS_NAME:"OpenLayers.Geometry"});OpenLayers.Geometry.fromWKT=function(f){var e;if(OpenLayers.Format&&OpenLayers.Format.WKT){var h=OpenLayers.Geometry.fromWKT.format;h||(h=new OpenLayers.Format.WKT,OpenLayers.Geometry.fromWKT.format=h);f=h.read(f);if(f instanceof OpenLayers.Feature.Vector){e=f.geometry}else{if(OpenLayers.Util.isArray(f)){e=f.length;for(var h=Array(e),g=0;g<e;++g){h[g]=f[g].geometry}e=new OpenLayers.Geometry.Collection(h)}}}return e};OpenLayers.Geometry.segmentsIntersect=function(x,w,v){var u=v&&v.point;v=v&&v.tolerance;var t=!1,s=x.x1-w.x1,r=x.y1-w.y1,q=x.x2-x.x1,p=x.y2-x.y1,o=w.y2-w.y1,j=w.x2-w.x1,i=o*q-j*p,o=j*r-o*s,r=q*r-p*s;0==i?0==o&&0==r&&(t=!0):(s=o/i,i=r/i,0<=s&&(1>=s&&0<=i&&1>=i)&&(u?(q=x.x1+s*q,i=x.y1+s*p,t=new OpenLayers.Geometry.Point(q,i)):t=!0));if(v){if(t){if(u){x:for(x=[x,w],w=0;2>w;++w){for(s=x[w],p=1;3>p;++p){if(q=s["x"+p],i=s["y"+p],u=Math.sqrt(Math.pow(q-t.x,2)+Math.pow(i-t.y,2)),u<v){t.x=q;t.y=i;break x}}}}}else{x:for(x=[x,w],w=0;2>w;++w){for(q=x[w],i=x[(w+1)%2],p=1;3>p;++p){if(s={x:q["x"+p],y:q["y"+p]},r=OpenLayers.Geometry.distanceToSegment(s,i),r.distance<v){t=u?new OpenLayers.Geometry.Point(s.x,s.y):!0;break x}}}}}return t};OpenLayers.Geometry.distanceToSegment=function(e,d){var f=OpenLayers.Geometry.distanceSquaredToSegment(e,d);f.distance=Math.sqrt(f.distance);return f};OpenLayers.Geometry.distanceSquaredToSegment=function(v,u){var t=v.x,s=v.y,r=u.x1,q=u.y1,p=u.x2,o=u.y2,n=p-r,j=o-q,i=(n*(t-r)+j*(s-q))/(Math.pow(n,2)+Math.pow(j,2));0>=i||(1<=i?(r=p,q=o):(r+=i*n,q+=i*j));return{distance:Math.pow(r-t,2)+Math.pow(q-s,2),x:r,y:q,along:i}};OpenLayers.Geometry.Point=OpenLayers.Class(OpenLayers.Geometry,{x:null,y:null,initialize:function(d,c){OpenLayers.Geometry.prototype.initialize.apply(this,arguments);this.x=parseFloat(d);this.y=parseFloat(c)},clone:function(b){null==b&&(b=new OpenLayers.Geometry.Point(this.x,this.y));OpenLayers.Util.applyDefaults(b,this);return b},calculateBounds:function(){this.bounds=new OpenLayers.Bounds(this.x,this.y,this.x,this.y)},distanceTo:function(j,i){var p=!(i&&!1===i.edge)&&i&&i.details,o,n,m,l,k;j instanceof OpenLayers.Geometry.Point?(n=this.x,m=this.y,l=j.x,k=j.y,o=Math.sqrt(Math.pow(n-l,2)+Math.pow(m-k,2)),o=p?{x0:n,y0:m,x1:l,y1:k,distance:o}:o):(o=j.distanceTo(this,i),p&&(o={x0:o.x1,y0:o.y1,x1:o.x0,y1:o.y0,distance:o.distance}));return o},equals:function(d){var c=!1;null!=d&&(c=this.x==d.x&&this.y==d.y||isNaN(this.x)&&isNaN(this.y)&&isNaN(d.x)&&isNaN(d.y));return c},toShortString:function(){return this.x+", "+this.y},move:function(d,c){this.x+=d;this.y+=c;this.clearBounds()},rotate:function(f,e){f*=Math.PI/180;var h=this.distanceTo(e),g=f+Math.atan2(this.y-e.y,this.x-e.x);this.x=e.x+h*Math.cos(g);this.y=e.y+h*Math.sin(g);this.clearBounds()},getCentroid:function(){return new OpenLayers.Geometry.Point(this.x,this.y)},resize:function(e,d,f){this.x=d.x+e*(void 0==f?1:f)*(this.x-d.x);this.y=d.y+e*(this.y-d.y);this.clearBounds();return this},intersects:function(d){var c=!1;return c="OpenLayers.Geometry.Point"==d.CLASS_NAME?this.equals(d):d.intersects(this)},transform:function(d,c){d&&c&&(OpenLayers.Projection.transform(this,d,c),this.bounds=null);return this},getVertices:function(b){return[this]},CLASS_NAME:"OpenLayers.Geometry.Point"});OpenLayers.Geometry.Collection=OpenLayers.Class(OpenLayers.Geometry,{components:null,componentTypes:null,initialize:function(b){OpenLayers.Geometry.prototype.initialize.apply(this,arguments);this.components=[];null!=b&&this.addComponents(b)},destroy:function(){this.components.length=0;this.components=null;OpenLayers.Geometry.prototype.destroy.apply(this,arguments)},clone:function(){for(var a=eval("new "+this.CLASS_NAME+"()"),b=0,c=this.components.length;b<c;b++){a.addComponent(this.components[b].clone())}OpenLayers.Util.applyDefaults(a,this);return a},getComponentsString:function(){for(var e=[],d=0,f=this.components.length;d<f;d++){e.push(this.components[d].toShortString())}return e.join(",")},calculateBounds:function(){this.bounds=null;var f=new OpenLayers.Bounds,e=this.components;if(e){for(var h=0,g=e.length;h<g;h++){f.extend(e[h].getBounds())}}null!=f.left&&(null!=f.bottom&&null!=f.right&&null!=f.top)&&this.setBounds(f)},addComponents:function(e){OpenLayers.Util.isArray(e)||(e=[e]);for(var d=0,f=e.length;d<f;d++){this.addComponent(e[d])}},addComponent:function(f,e){var h=!1;if(f&&(null==this.componentTypes||-1<OpenLayers.Util.indexOf(this.componentTypes,f.CLASS_NAME))){if(null!=e&&e<this.components.length){var h=this.components.slice(0,e),g=this.components.slice(e,this.components.length);h.push(f);this.components=h.concat(g)}else{this.components.push(f)}f.parent=this;this.clearBounds();h=!0}return h},removeComponents:function(e){var d=!1;OpenLayers.Util.isArray(e)||(e=[e]);for(var f=e.length-1;0<=f;--f){d=this.removeComponent(e[f])||d}return d},removeComponent:function(b){OpenLayers.Util.removeItem(this.components,b);this.clearBounds();return !0},getLength:function(){for(var e=0,d=0,f=this.components.length;d<f;d++){e+=this.components[d].getLength()}return e},getArea:function(){for(var e=0,d=0,f=this.components.length;d<f;d++){e+=this.components[d].getArea()}return e},getGeodesicArea:function(f){for(var e=0,h=0,g=this.components.length;h<g;h++){e+=this.components[h].getGeodesicArea(f)}return e},getCentroid:function(r){if(!r){return this.components.length&&this.components[0].getCentroid()}r=this.components.length;if(!r){return !1}for(var q=[],p=[],o=0,n=Number.MAX_VALUE,m,l=0;l<r;++l){m=this.components[l];var j=m.getArea();m=m.getCentroid(!0);isNaN(j)||(isNaN(m.x)||isNaN(m.y))||(q.push(j),o+=j,n=j<n&&0<j?j:n,p.push(m))}r=q.length;if(0===o){for(l=0;l<r;++l){q[l]=1}o=q.length}else{for(l=0;l<r;++l){q[l]/=n}o/=n}for(var i=n=0,l=0;l<r;++l){m=p[l],j=q[l],n+=m.x*j,i+=m.y*j}return new OpenLayers.Geometry.Point(n/o,i/o)},getGeodesicLength:function(f){for(var e=0,h=0,g=this.components.length;h<g;h++){e+=this.components[h].getGeodesicLength(f)}return e},move:function(f,e){for(var h=0,g=this.components.length;h<g;h++){this.components[h].move(f,e)}},rotate:function(f,e){for(var h=0,g=this.components.length;h<g;++h){this.components[h].rotate(f,e)}},resize:function(f,e,h){for(var g=0;g<this.components.length;++g){this.components[g].resize(f,e,h)}return this},distanceTo:function(r,q){for(var p=!(q&&!1===q.edge)&&q&&q.details,o,n,m,l=Number.POSITIVE_INFINITY,j=0,i=this.components.length;j<i&&!(o=this.components[j].distanceTo(r,q),m=p?o.distance:o,m<l&&(l=m,n=o,0==l));++j){}return n},equals:function(f){var e=!0;if(f&&f.CLASS_NAME&&this.CLASS_NAME==f.CLASS_NAME){if(OpenLayers.Util.isArray(f.components)&&f.components.length==this.components.length){for(var h=0,g=this.components.length;h<g;++h){if(!this.components[h].equals(f.components[h])){e=!1;break}}}else{e=!1}}else{e=!1}return e},transform:function(f,e){if(f&&e){for(var h=0,g=this.components.length;h<g;h++){this.components[h].transform(f,e)}this.bounds=null}return this},intersects:function(f){for(var e=!1,h=0,g=this.components.length;h<g&&!(e=f.intersects(this.components[h]));++h){}return e},getVertices:function(f){for(var e=[],h=0,g=this.components.length;h<g;++h){Array.prototype.push.apply(e,this.components[h].getVertices(f))}return e},CLASS_NAME:"OpenLayers.Geometry.Collection"});OpenLayers.Geometry.MultiPoint=OpenLayers.Class(OpenLayers.Geometry.Collection,{componentTypes:["OpenLayers.Geometry.Point"],addPoint:function(d,c){this.addComponent(d,c)},removePoint:function(b){this.removeComponent(b)},CLASS_NAME:"OpenLayers.Geometry.MultiPoint"});OpenLayers.Geometry.Curve=OpenLayers.Class(OpenLayers.Geometry.MultiPoint,{componentTypes:["OpenLayers.Geometry.Point"],getLength:function(){var e=0;if(this.components&&1<this.components.length){for(var d=1,f=this.components.length;d<f;d++){e+=this.components[d-1].distanceTo(this.components[d])}}return e},getGeodesicLength:function(h){var g=this;if(h){var l=new OpenLayers.Projection("EPSG:4326");l.equals(h)||(g=this.clone().transform(h,l))}h=0;if(g.components&&1<g.components.length){for(var k,j=1,i=g.components.length;j<i;j++){l=g.components[j-1],k=g.components[j],h+=OpenLayers.Util.distVincenty({lon:l.x,lat:l.y},{lon:k.x,lat:k.y})}}return 1000*h},CLASS_NAME:"OpenLayers.Geometry.Curve"});OpenLayers.Geometry.LineString=OpenLayers.Class(OpenLayers.Geometry.Curve,{removeComponent:function(d){var c=this.components&&2<this.components.length;c&&OpenLayers.Geometry.Collection.prototype.removeComponent.apply(this,arguments);return c},intersects:function(D){var C=!1,B=D.CLASS_NAME;if("OpenLayers.Geometry.LineString"==B||"OpenLayers.Geometry.LinearRing"==B||"OpenLayers.Geometry.Point"==B){var A=this.getSortedSegments();D="OpenLayers.Geometry.Point"==B?[{x1:D.x,y1:D.y,x2:D.x,y2:D.y}]:D.getSortedSegments();var z,y,x,w,v,u,t,s=0,o=A.length;D:for(;s<o;++s){B=A[s];z=B.x1;y=B.x2;x=B.y1;w=B.y2;var j=0,i=D.length;for(;j<i;++j){v=D[j];if(v.x1>y){break}if(!(v.x2<z||(u=v.y1,t=v.y2,Math.min(u,t)>Math.max(x,w)||Math.max(u,t)<Math.min(x,w)||!OpenLayers.Geometry.segmentsIntersect(B,v)))){C=!0;break D}}}}else{C=D.intersects(this)}return C},getSortedSegments:function(){for(var g=this.components.length-1,f=Array(g),j,i,h=0;h<g;++h){j=this.components[h],i=this.components[h+1],f[h]=j.x<i.x?{x1:j.x,y1:j.y,x2:i.x,y2:i.y}:{x1:i.x,y1:i.y,x2:j.x,y2:j.y}}return f.sort(function(d,c){return d.x1-c.x1})},splitWithSegment:function(J,I){for(var H=!(I&&!1===I.edge),G=I&&I.tolerance,F=[],E=this.getVertices(),D=[],C=[],B=!1,A,z,y,x={point:!0,tolerance:G},w=null,v=0,o=E.length-2;v<=o;++v){if(G=E[v],D.push(G.clone()),A=E[v+1],z={x1:G.x,y1:G.y,x2:A.x,y2:A.y},z=OpenLayers.Geometry.segmentsIntersect(J,z,x),z instanceof OpenLayers.Geometry.Point&&((y=z.x===J.x1&&z.y===J.y1||z.x===J.x2&&z.y===J.y2||z.equals(G)||z.equals(A)?!0:!1)||H)){z.equals(C[C.length-1])||C.push(z.clone()),0===v&&z.equals(G)||z.equals(A)||(B=!0,z.equals(G)||D.push(z),F.push(new OpenLayers.Geometry.LineString(D)),D=[z.clone()])}}B&&(D.push(A.clone()),F.push(new OpenLayers.Geometry.LineString(D)));if(0<C.length){var j=J.x1<J.x2?1:-1,i=J.y1<J.y2?1:-1,w={lines:F,points:C.sort(function(d,c){return j*d.x-j*c.x||i*d.y-i*c.y})}}return w},split:function(N,M){var L=null,K=M&&M.mutual,J,I,H,G;if(N instanceof OpenLayers.Geometry.LineString){var F=this.getVertices(),E,D,C,B,A,z=[];H=[];for(var y=0,x=F.length-2;y<=x;++y){E=F[y];D=F[y+1];C={x1:E.x,y1:E.y,x2:D.x,y2:D.y};G=G||[N];K&&z.push(E.clone());for(var o=0;o<G.length;++o){if(B=G[o].splitWithSegment(C,M)){if(A=B.lines,0<A.length&&(A.unshift(o,1),Array.prototype.splice.apply(G,A),o+=A.length-2),K){for(var j=0,i=B.points.length;j<i;++j){A=B.points[j],A.equals(E)||(z.push(A),H.push(new OpenLayers.Geometry.LineString(z)),z=A.equals(D)?[]:[A.clone()])}}}}}K&&(0<H.length&&0<z.length)&&(z.push(D.clone()),H.push(new OpenLayers.Geometry.LineString(z)))}else{L=N.splitWith(this,M)}G&&1<G.length?I=!0:G=[];H&&1<H.length?J=!0:H=[];if(I||J){L=K?[H,G]:G}return L},splitWith:function(d,c){return d.split(this,c)},getVertices:function(b){return !0===b?[this.components[0],this.components[this.components.length-1]]:!1===b?this.components.slice(1,this.components.length-1):this.components.slice()},distanceTo:function(F,E){var D=!(E&&!1===E.edge)&&E&&E.details,C,B={},A=Number.POSITIVE_INFINITY;if(F instanceof OpenLayers.Geometry.Point){for(var z=this.getSortedSegments(),y=F.x,x=F.y,w,v=0,u=z.length;v<u;++v){if(w=z[v],C=OpenLayers.Geometry.distanceToSegment(F,w),C.distance<A){if(A=C.distance,B=C,0===A){break}}else{if(w.x2>y&&(x>w.y1&&x<w.y2||x<w.y1&&x>w.y2)){break}}}B=D?{distance:B.distance,x0:B.x,y0:B.y,x1:y,y1:x}:B.distance}else{if(F instanceof OpenLayers.Geometry.LineString){var z=this.getSortedSegments(),y=F.getSortedSegments(),o,j,i=y.length,H={point:!0},v=0,u=z.length;F:for(;v<u;++v){x=z[v];w=x.x1;j=x.y1;for(var G=0;G<i;++G){if(C=y[G],o=OpenLayers.Geometry.segmentsIntersect(x,C,H)){A=0;B={distance:0,x0:o.x,y0:o.y,x1:o.x,y1:o.y};break F}else{C=OpenLayers.Geometry.distanceToSegment({x:w,y:j},C),C.distance<A&&(A=C.distance,B={distance:A,x0:w,y0:j,x1:C.x,y1:C.y})}}}D||(B=B.distance);0!==A&&x&&(C=F.distanceTo(new OpenLayers.Geometry.Point(x.x2,x.y2),E),v=D?C.distance:C,v<A&&(B=D?{distance:A,x0:C.x1,y0:C.y1,x1:C.x0,y1:C.y0}:v))}else{B=F.distanceTo(this,E),D&&(B={distance:B.distance,x0:B.x1,y0:B.y1,x1:B.x0,y1:B.y0})}}return B},simplify:function(g){if(this&&null!==this){var f=this.getVertices();if(3>f.length){return this}var j=function(y,x,w,v){for(var u=0,t=0,s=x,o;s<w;s++){o=y[x];var e=y[w],c=y[s],c=Math.abs(0.5*(o.x*e.y+e.x*c.y+c.x*o.y-e.x*o.y-c.x*e.y-o.x*c.y));o=Math.sqrt(Math.pow(o.x-e.x,2)+Math.pow(o.y-e.y,2));o=2*(c/o);o>u&&(u=o,t=s)}u>v&&t!=x&&(h.push(t),j(y,x,t,v),j(y,t,w,v))},i=f.length-1,h=[];h.push(0);for(h.push(i);f[0].equals(f[i]);){i--,h.push(i)}j(f,0,i,g);g=[];h.sort(function(d,c){return d-c});for(i=0;i<h.length;i++){g.push(f[h[i]])}return new OpenLayers.Geometry.LineString(g)}return this},CLASS_NAME:"OpenLayers.Geometry.LineString"});OpenLayers.Geometry.MultiLineString=OpenLayers.Class(OpenLayers.Geometry.Collection,{componentTypes:["OpenLayers.Geometry.LineString"],split:function(D,C){for(var B=null,A=C&&C.mutual,z,y,x,w,v=[],u=[D],t=0,s=this.components.length;t<s;++t){y=this.components[t];x=!1;for(var o=0;o<u.length;++o){if(z=y.split(u[o],C)){if(A){x=z[0];for(var j=0,i=x.length;j<i;++j){0===j&&v.length?v[v.length-1].addComponent(x[j]):v.push(new OpenLayers.Geometry.MultiLineString([x[j]]))}x=!0;z=z[1]}if(z.length){z.unshift(o,1);Array.prototype.splice.apply(u,z);break}}}x||(v.length?v[v.length-1].addComponent(y.clone()):v=[new OpenLayers.Geometry.MultiLineString(y.clone())])}v&&1<v.length?x=!0:v=[];u&&1<u.length?w=!0:u=[];if(x||w){B=A?[v,u]:u}return B},splitWith:function(B,A){var z=null,y=A&&A.mutual,x,w,v,u,t,s;if(B instanceof OpenLayers.Geometry.LineString){s=[];t=[B];for(var r=0,o=this.components.length;r<o;++r){v=!1;w=this.components[r];for(var j=0;j<t.length;++j){if(x=t[j].split(w,A)){y&&(v=x[0],v.length&&(v.unshift(j,1),Array.prototype.splice.apply(t,v),j+=v.length-2),x=x[1],0===x.length&&(x=[w.clone()]));v=0;for(var i=x.length;v<i;++v){0===v&&s.length?s[s.length-1].addComponent(x[v]):s.push(new OpenLayers.Geometry.MultiLineString([x[v]]))}v=!0}}v||(s.length?s[s.length-1].addComponent(w.clone()):s=[new OpenLayers.Geometry.MultiLineString([w.clone()])])}}else{z=B.split(this)}t&&1<t.length?u=!0:t=[];s&&1<s.length?v=!0:s=[];if(u||v){z=y?[t,s]:s}return z},CLASS_NAME:"OpenLayers.Geometry.MultiLineString"});OpenLayers.Geometry.LinearRing=OpenLayers.Class(OpenLayers.Geometry.LineString,{componentTypes:["OpenLayers.Geometry.Point"],addComponent:function(f,e){var h=!1,g=this.components.pop();null==e&&f.equals(g)||(h=OpenLayers.Geometry.Collection.prototype.addComponent.apply(this,arguments));OpenLayers.Geometry.Collection.prototype.addComponent.apply(this,[this.components[0]]);return h},removeComponent:function(d){var c=this.components&&3<this.components.length;c&&(this.components.pop(),OpenLayers.Geometry.Collection.prototype.removeComponent.apply(this,arguments),OpenLayers.Geometry.Collection.prototype.addComponent.apply(this,[this.components[0]]));return c},move:function(f,e){for(var h=0,g=this.components.length;h<g-1;h++){this.components[h].move(f,e)}},rotate:function(f,e){for(var h=0,g=this.components.length;h<g-1;++h){this.components[h].rotate(f,e)}},resize:function(g,f,j){for(var i=0,h=this.components.length;i<h-1;++i){this.components[i].resize(g,f,j)}return this},transform:function(f,e){if(f&&e){for(var h=0,g=this.components.length;h<g-1;h++){this.components[h].transform(f,e)}this.bounds=null}return this},getCentroid:function(){if(this.components){var r=this.components.length;if(0<r&&2>=r){return this.components[0].clone()}if(2<r){var q=0,p=0,o=this.components[0].x,n=this.components[0].y,m=-1*this.getArea();if(0!=m){for(var l=0;l<r-1;l++){var j=this.components[l],i=this.components[l+1],q=q+(j.x+i.x-2*o)*((j.x-o)*(i.y-n)-(i.x-o)*(j.y-n)),p=p+(j.y+i.y-2*n)*((j.x-o)*(i.y-n)-(i.x-o)*(j.y-n))}q=o+q/(6*m);r=n+p/(6*m)}else{for(l=0;l<r-1;l++){q+=this.components[l].x,p+=this.components[l].y}q/=r-1;r=p/(r-1)}return new OpenLayers.Geometry.Point(q,r)}return null}},getArea:function(){var g=0;if(this.components&&2<this.components.length){for(var f=g=0,j=this.components.length;f<j-1;f++){var i=this.components[f],h=this.components[f+1],g=g+(i.x+h.x)*(h.y-i.y)}g=-g/2}return g},getGeodesicArea:function(h){var g=this;if(h){var l=new OpenLayers.Projection("EPSG:4326");l.equals(h)||(g=this.clone().transform(h,l))}h=0;l=g.components&&g.components.length;if(2<l){for(var k,j,i=0;i<l-1;i++){k=g.components[i],j=g.components[i+1],h+=OpenLayers.Util.rad(j.x-k.x)*(2+Math.sin(OpenLayers.Util.rad(k.y))+Math.sin(OpenLayers.Util.rad(j.y)))}h=40680631590769*h/2}return h},containsPoint:function(v){var u=OpenLayers.Number.limitSigDigs,t=u(v.x,14);v=u(v.y,14);for(var s=this.components.length-1,r,q,p,o,n,j=0,i=0;i<s;++i){if(r=this.components[i],p=u(r.x,14),r=u(r.y,14),q=this.components[i+1],o=u(q.x,14),q=u(q.y,14),r==q){if(v==r&&(p<=o&&t>=p&&t<=o||p>=o&&t<=p&&t>=o)){j=-1;break}}else{n=u((v-q)*((o-p)/(q-r))+o,14);if(n==t&&(r<q&&v>=r&&v<=q||r>q&&v<=r&&v>=q)){j=-1;break}n<=t||p!=o&&(n<Math.min(p,o)||n>Math.max(p,o))||(r<q&&v>=r&&v<q||r>q&&v<r&&v>=q)&&++j}}return -1==j?1:!!(j&1)},intersects:function(f){var e=!1;if("OpenLayers.Geometry.Point"==f.CLASS_NAME){e=this.containsPoint(f)}else{if("OpenLayers.Geometry.LineString"==f.CLASS_NAME){e=f.intersects(this)}else{if("OpenLayers.Geometry.LinearRing"==f.CLASS_NAME){e=OpenLayers.Geometry.LineString.prototype.intersects.apply(this,[f])}else{for(var h=0,g=f.components.length;h<g&&!(e=f.components[h].intersects(this));++h){}}}}return e},getVertices:function(b){return !0===b?[]:this.components.slice(0,this.components.length-1)},CLASS_NAME:"OpenLayers.Geometry.LinearRing"});OpenLayers.Geometry.Polygon=OpenLayers.Class(OpenLayers.Geometry.Collection,{componentTypes:["OpenLayers.Geometry.LinearRing"],getArea:function(){var e=0;if(this.components&&0<this.components.length){for(var e=e+Math.abs(this.components[0].getArea()),d=1,f=this.components.length;d<f;d++){e-=Math.abs(this.components[d].getArea())}}return e},getGeodesicArea:function(f){var e=0;if(this.components&&0<this.components.length){for(var e=e+Math.abs(this.components[0].getGeodesicArea(f)),h=1,g=this.components.length;h<g;h++){e-=Math.abs(this.components[h].getGeodesicArea(f))}}return e},containsPoint:function(g){var f=this.components.length,j=!1;if(0<f&&(j=this.components[0].containsPoint(g),1!==j&&j&&1<f)){for(var i,h=1;h<f;++h){if(i=this.components[h].containsPoint(g)){j=1===i?1:!1;break}}}return j},intersects:function(g){var f=!1,j,i;if("OpenLayers.Geometry.Point"==g.CLASS_NAME){f=this.containsPoint(g)}else{if("OpenLayers.Geometry.LineString"==g.CLASS_NAME||"OpenLayers.Geometry.LinearRing"==g.CLASS_NAME){j=0;for(i=this.components.length;j<i&&!(f=g.intersects(this.components[j]));++j){}if(!f){for(j=0,i=g.components.length;j<i&&!(f=this.containsPoint(g.components[j]));++j){}}}else{for(j=0,i=g.components.length;j<i&&!(f=this.intersects(g.components[j]));++j){}}}if(!f&&"OpenLayers.Geometry.Polygon"==g.CLASS_NAME){var h=this.components[0];j=0;for(i=h.components.length;j<i&&!(f=g.containsPoint(h.components[j]));++j){}}return f},distanceTo:function(d,c){return c&&!1===c.edge&&this.intersects(d)?0:OpenLayers.Geometry.Collection.prototype.distanceTo.apply(this,[d,c])},CLASS_NAME:"OpenLayers.Geometry.Polygon"});OpenLayers.Geometry.Polygon.createRegularPolygon=function(j,i,p,o){var n=Math.PI*(1/p-0.5);o&&(n+=o/180*Math.PI);for(var m,l=[],k=0;k<p;++k){m=n+2*k*Math.PI/p,o=j.x+i*Math.cos(m),m=j.y+i*Math.sin(m),l.push(new OpenLayers.Geometry.Point(o,m))}j=new OpenLayers.Geometry.LinearRing(l);return new OpenLayers.Geometry.Polygon([j])};OpenLayers.Geometry.MultiPolygon=OpenLayers.Class(OpenLayers.Geometry.Collection,{componentTypes:["OpenLayers.Geometry.Polygon"],CLASS_NAME:"OpenLayers.Geometry.MultiPolygon"});OpenLayers.Format.GML=OpenLayers.Class(OpenLayers.Format.XML,{featureNS:"http://mapserver.gis.umn.edu/mapserver",featurePrefix:"feature",featureName:"featureMember",layerName:"features",geometryName:"geometry",collectionName:"FeatureCollection",gmlns:"http://www.opengis.net/gml",extractAttributes:!0,xy:!0,initialize:function(b){this.regExes={trimSpace:/^\s*|\s*$/g,removeSpace:/\s*/g,splitSpace:/\s+/,trimComma:/\s*,\s*/g};OpenLayers.Format.XML.prototype.initialize.apply(this,[b])},read:function(f){"string"==typeof f&&(f=OpenLayers.Format.XML.prototype.read.apply(this,[f]));f=this.getElementsByTagNameNS(f.documentElement,this.gmlns,this.featureName);for(var e=[],h=0;h<f.length;h++){var g=this.parseFeature(f[h]);g&&e.push(g)}return e},parseFeature:function(r){for(var q="MultiPolygon Polygon MultiLineString LineString MultiPoint Point Envelope".split(" "),p,o,n,m=0;m<q.length;++m){if(p=q[m],o=this.getElementsByTagNameNS(r,this.gmlns,p),0<o.length){if(n=this.parseGeometry[p.toLowerCase()]){n=n.apply(this,[o[0]]),this.internalProjection&&this.externalProjection&&n.transform(this.externalProjection,this.internalProjection)}else{throw new TypeError("Unsupported geometry type: "+p)}break}}var l;p=this.getElementsByTagNameNS(r,this.gmlns,"Box");for(m=0;m<p.length;++m){q=p[m],o=this.parseGeometry.box.apply(this,[q]),q=q.parentNode,"boundedBy"===(q.localName||q.nodeName.split(":").pop())?l=o:n=o.toGeometry()}var j;this.extractAttributes&&(j=this.parseAttributes(r));j=new OpenLayers.Feature.Vector(n,j);j.bounds=l;j.gml={featureType:r.firstChild.nodeName.split(":")[1],featureNS:r.firstChild.namespaceURI,featureNSPrefix:r.firstChild.prefix};r=r.firstChild;for(var i;r&&(1!=r.nodeType||!(i=r.getAttribute("fid")||r.getAttribute("id")));){r=r.nextSibling}j.fid=i;return j},parseGeometry:{point:function(e){var d,f;f=[];d=this.getElementsByTagNameNS(e,this.gmlns,"pos");0<d.length&&(f=d[0].firstChild.nodeValue,f=f.replace(this.regExes.trimSpace,""),f=f.split(this.regExes.splitSpace));0==f.length&&(d=this.getElementsByTagNameNS(e,this.gmlns,"coordinates"),0<d.length&&(f=d[0].firstChild.nodeValue,f=f.replace(this.regExes.removeSpace,""),f=f.split(",")));0==f.length&&(d=this.getElementsByTagNameNS(e,this.gmlns,"coord"),0<d.length&&(e=this.getElementsByTagNameNS(d[0],this.gmlns,"X"),d=this.getElementsByTagNameNS(d[0],this.gmlns,"Y"),0<e.length&&0<d.length&&(f=[e[0].firstChild.nodeValue,d[0].firstChild.nodeValue])));2==f.length&&(f[2]=null);return this.xy?new OpenLayers.Geometry.Point(f[0],f[1],f[2]):new OpenLayers.Geometry.Point(f[1],f[0],f[2])},multipoint:function(f){f=this.getElementsByTagNameNS(f,this.gmlns,"Point");var e=[];if(0<f.length){for(var h,g=0;g<f.length;++g){(h=this.parseGeometry.point.apply(this,[f[g]]))&&e.push(h)}}return new OpenLayers.Geometry.MultiPoint(e)},linestring:function(r,q){var p,o;o=[];var n=[];p=this.getElementsByTagNameNS(r,this.gmlns,"posList");if(0<p.length){o=this.getChildValue(p[0]);o=o.replace(this.regExes.trimSpace,"");o=o.split(this.regExes.splitSpace);var m=parseInt(p[0].getAttribute("dimension")),l,j,i;for(p=0;p<o.length/m;++p){l=p*m,j=o[l],i=o[l+1],l=2==m?null:o[l+2],this.xy?n.push(new OpenLayers.Geometry.Point(j,i,l)):n.push(new OpenLayers.Geometry.Point(i,j,l))}}if(0==o.length&&(p=this.getElementsByTagNameNS(r,this.gmlns,"coordinates"),0<p.length)){for(o=this.getChildValue(p[0]),o=o.replace(this.regExes.trimSpace,""),o=o.replace(this.regExes.trimComma,","),m=o.split(this.regExes.splitSpace),p=0;p<m.length;++p){o=m[p].split(","),2==o.length&&(o[2]=null),this.xy?n.push(new OpenLayers.Geometry.Point(o[0],o[1],o[2])):n.push(new OpenLayers.Geometry.Point(o[1],o[0],o[2]))}}o=null;0!=n.length&&(o=q?new OpenLayers.Geometry.LinearRing(n):new OpenLayers.Geometry.LineString(n));return o},multilinestring:function(f){f=this.getElementsByTagNameNS(f,this.gmlns,"LineString");var e=[];if(0<f.length){for(var h,g=0;g<f.length;++g){(h=this.parseGeometry.linestring.apply(this,[f[g]]))&&e.push(h)}}return new OpenLayers.Geometry.MultiLineString(e)},polygon:function(f){f=this.getElementsByTagNameNS(f,this.gmlns,"LinearRing");var e=[];if(0<f.length){for(var h,g=0;g<f.length;++g){(h=this.parseGeometry.linestring.apply(this,[f[g],!0]))&&e.push(h)}}return new OpenLayers.Geometry.Polygon(e)},multipolygon:function(f){f=this.getElementsByTagNameNS(f,this.gmlns,"Polygon");var e=[];if(0<f.length){for(var h,g=0;g<f.length;++g){(h=this.parseGeometry.polygon.apply(this,[f[g]]))&&e.push(h)}}return new OpenLayers.Geometry.MultiPolygon(e)},envelope:function(i){var h=[],n,m,l=this.getElementsByTagNameNS(i,this.gmlns,"lowerCorner");if(0<l.length){n=[];0<l.length&&(n=l[0].firstChild.nodeValue,n=n.replace(this.regExes.trimSpace,""),n=n.split(this.regExes.splitSpace));2==n.length&&(n[2]=null);var k=this.xy?new OpenLayers.Geometry.Point(n[0],n[1],n[2]):new OpenLayers.Geometry.Point(n[1],n[0],n[2])}i=this.getElementsByTagNameNS(i,this.gmlns,"upperCorner");if(0<i.length){n=[];0<i.length&&(n=i[0].firstChild.nodeValue,n=n.replace(this.regExes.trimSpace,""),n=n.split(this.regExes.splitSpace));2==n.length&&(n[2]=null);var j=this.xy?new OpenLayers.Geometry.Point(n[0],n[1],n[2]):new OpenLayers.Geometry.Point(n[1],n[0],n[2])}k&&j&&(h.push(new OpenLayers.Geometry.Point(k.x,k.y)),h.push(new OpenLayers.Geometry.Point(j.x,k.y)),h.push(new OpenLayers.Geometry.Point(j.x,j.y)),h.push(new OpenLayers.Geometry.Point(k.x,j.y)),h.push(new OpenLayers.Geometry.Point(k.x,k.y)),h=new OpenLayers.Geometry.LinearRing(h),m=new OpenLayers.Geometry.Polygon([h]));return m},box:function(e){var d=this.getElementsByTagNameNS(e,this.gmlns,"coordinates"),f=e=null;0<d.length&&(d=d[0].firstChild.nodeValue,d=d.split(" "),2==d.length&&(e=d[0].split(","),f=d[1].split(",")));if(null!==e&&null!==f){return new OpenLayers.Bounds(parseFloat(e[0]),parseFloat(e[1]),parseFloat(f[0]),parseFloat(f[1]))}}},parseAttributes:function(g){var f={};g=g.firstChild;for(var j,i,h;g;){if(1==g.nodeType){g=g.childNodes;for(j=0;j<g.length;++j){if(i=g[j],1==i.nodeType){if(h=i.childNodes,1==h.length){if(h=h[0],3==h.nodeType||4==h.nodeType){i=i.prefix?i.nodeName.split(":")[1]:i.nodeName,h=h.nodeValue.replace(this.regExes.trimSpace,""),f[i]=h}}else{f[i.nodeName.split(":").pop()]=null}}}break}g=g.nextSibling}return f},write:function(e){OpenLayers.Util.isArray(e)||(e=[e]);for(var d=this.createElementNS("http://www.opengis.net/wfs","wfs:"+this.collectionName),f=0;f<e.length;f++){d.appendChild(this.createFeatureXML(e[f]))}return OpenLayers.Format.XML.prototype.write.apply(this,[d])},createFeatureXML:function(h){var g=this.buildGeometryNode(h.geometry),l=this.createElementNS(this.featureNS,this.featurePrefix+":"+this.geometryName);l.appendChild(g);var g=this.createElementNS(this.gmlns,"gml:"+this.featureName),k=this.createElementNS(this.featureNS,this.featurePrefix+":"+this.layerName);k.setAttribute("fid",h.fid||h.id);k.appendChild(l);for(var j in h.attributes){var l=this.createTextNode(h.attributes[j]),i=j.substring(j.lastIndexOf(":")+1),i=this.createElementNS(this.featureNS,this.featurePrefix+":"+i);i.appendChild(l);k.appendChild(i)}g.appendChild(k);return g},buildGeometryNode:function(d){this.externalProjection&&this.internalProjection&&(d=d.clone(),d.transform(this.internalProjection,this.externalProjection));var c=d.CLASS_NAME,c=c.substring(c.lastIndexOf(".")+1);return this.buildGeometry[c.toLowerCase()].apply(this,[d])},buildGeometry:{point:function(d){var c=this.createElementNS(this.gmlns,"gml:Point");c.appendChild(this.buildCoordinatesNode(d));return c},multipoint:function(g){var f=this.createElementNS(this.gmlns,"gml:MultiPoint");g=g.components;for(var j,i,h=0;h<g.length;h++){j=this.createElementNS(this.gmlns,"gml:pointMember"),i=this.buildGeometry.point.apply(this,[g[h]]),j.appendChild(i),f.appendChild(j)}return f},linestring:function(d){var c=this.createElementNS(this.gmlns,"gml:LineString");c.appendChild(this.buildCoordinatesNode(d));return c},multilinestring:function(g){var f=this.createElementNS(this.gmlns,"gml:MultiLineString");g=g.components;for(var j,i,h=0;h<g.length;++h){j=this.createElementNS(this.gmlns,"gml:lineStringMember"),i=this.buildGeometry.linestring.apply(this,[g[h]]),j.appendChild(i),f.appendChild(j)}return f},linearring:function(d){var c=this.createElementNS(this.gmlns,"gml:LinearRing");c.appendChild(this.buildCoordinatesNode(d));return c},polygon:function(g){var f=this.createElementNS(this.gmlns,"gml:Polygon");g=g.components;for(var j,i,h=0;h<g.length;++h){j=0==h?"outerBoundaryIs":"innerBoundaryIs",j=this.createElementNS(this.gmlns,"gml:"+j),i=this.buildGeometry.linearring.apply(this,[g[h]]),j.appendChild(i),f.appendChild(j)}return f},multipolygon:function(g){var f=this.createElementNS(this.gmlns,"gml:MultiPolygon");g=g.components;for(var j,i,h=0;h<g.length;++h){j=this.createElementNS(this.gmlns,"gml:polygonMember"),i=this.buildGeometry.polygon.apply(this,[g[h]]),j.appendChild(i),f.appendChild(j)}return f},bounds:function(d){var c=this.createElementNS(this.gmlns,"gml:Box");c.appendChild(this.buildCoordinatesNode(d));return c}},buildCoordinatesNode:function(f){var e=this.createElementNS(this.gmlns,"gml:coordinates");e.setAttribute("decimal",".");e.setAttribute("cs",",");e.setAttribute("ts"," ");var h=[];if(f instanceof OpenLayers.Bounds){h.push(f.left+","+f.bottom),h.push(f.right+","+f.top)}else{f=f.components?f.components:[f];for(var g=0;g<f.length;g++){h.push(f[g].x+","+f[g].y)}}h=this.createTextNode(h.join(" "));e.appendChild(h);return e},CLASS_NAME:"OpenLayers.Format.GML"});OpenLayers.Format.GML||(OpenLayers.Format.GML={});OpenLayers.Format.GML.Base=OpenLayers.Class(OpenLayers.Format.XML,{namespaces:{gml:"http://www.opengis.net/gml",xlink:"http://www.w3.org/1999/xlink",xsi:"http://www.w3.org/2001/XMLSchema-instance",wfs:"http://www.opengis.net/wfs"},defaultPrefix:"gml",schemaLocation:null,featureType:null,featureNS:null,geometryName:"geometry",extractAttributes:!0,srsName:null,xy:!0,geometryTypes:null,singleFeatureType:null,regExes:{trimSpace:/^\s*|\s*$/g,removeSpace:/\s*/g,splitSpace:/\s+/,trimComma:/\s*,\s*/g,featureMember:/^(.*:)?featureMembers?$/},initialize:function(b){OpenLayers.Format.XML.prototype.initialize.apply(this,[b]);this.setGeometryTypes();b&&b.featureNS&&this.setNamespace("feature",b.featureNS);this.singleFeatureType=!b||"string"===typeof b.featureType},read:function(f){"string"==typeof f&&(f=OpenLayers.Format.XML.prototype.read.apply(this,[f]));f&&9==f.nodeType&&(f=f.documentElement);var e=[];this.readNode(f,{features:e},!0);if(0==e.length){var h=this.getElementsByTagNameNS(f,this.namespaces.gml,"featureMember");if(h.length){f=0;for(var g=h.length;f<g;++f){this.readNode(h[f],{features:e},!0)}}else{h=this.getElementsByTagNameNS(f,this.namespaces.gml,"featureMembers"),h.length&&this.readNode(h[0],{features:e},!0)}}return e},readNode:function(e,d,f){!0===f&&!0===this.autoConfig&&(this.featureType=null,delete this.namespaceAlias[this.featureNS],delete this.namespaces.feature,this.featureNS=null);this.featureNS||(e.prefix in this.namespaces||e.parentNode.namespaceURI!=this.namespaces.gml||!this.regExes.featureMember.test(e.parentNode.nodeName))||(this.featureType=e.nodeName.split(":").pop(),this.setNamespace("feature",e.namespaceURI),this.featureNS=e.namespaceURI,this.autoConfig=!0);return OpenLayers.Format.XML.prototype.readNode.apply(this,[e,d])},readers:{gml:{_inherit:function(e,d,f){},featureMember:function(d,c){this.readChildNodes(d,c)},featureMembers:function(d,c){this.readChildNodes(d,c)},name:function(d,c){c.name=this.getChildValue(d)},boundedBy:function(e,d){var f={};this.readChildNodes(e,f);f.components&&0<f.components.length&&(d.bounds=f.components[0])},Point:function(e,d){var f={points:[]};this.readChildNodes(e,f);d.components||(d.components=[]);d.components.push(f.points[0])},coordinates:function(i,h){for(var n=this.getChildValue(i).replace(this.regExes.trimSpace,""),n=n.replace(this.regExes.trimComma,","),n=n.split(this.regExes.splitSpace),m,l=n.length,k=Array(l),j=0;j<l;++j){m=n[j].split(","),k[j]=this.xy?new OpenLayers.Geometry.Point(m[0],m[1],m[2]):new OpenLayers.Geometry.Point(m[1],m[0],m[2])}h.points=k},coord:function(e,d){var f={};this.readChildNodes(e,f);d.points||(d.points=[]);d.points.push(new OpenLayers.Geometry.Point(f.x,f.y,f.z))},X:function(d,c){c.x=this.getChildValue(d)},Y:function(d,c){c.y=this.getChildValue(d)},Z:function(d,c){c.z=this.getChildValue(d)},MultiPoint:function(e,d){var f={components:[]};this.readers.gml._inherit.apply(this,[e,f,d]);this.readChildNodes(e,f);d.components=[new OpenLayers.Geometry.MultiPoint(f.components)]},pointMember:function(d,c){this.readChildNodes(d,c)},LineString:function(e,d){var f={};this.readers.gml._inherit.apply(this,[e,f,d]);this.readChildNodes(e,f);d.components||(d.components=[]);d.components.push(new OpenLayers.Geometry.LineString(f.points))},MultiLineString:function(e,d){var f={components:[]};this.readers.gml._inherit.apply(this,[e,f,d]);this.readChildNodes(e,f);d.components=[new OpenLayers.Geometry.MultiLineString(f.components)]},lineStringMember:function(d,c){this.readChildNodes(d,c)},Polygon:function(e,d){var f={outer:null,inner:[]};this.readers.gml._inherit.apply(this,[e,f,d]);this.readChildNodes(e,f);f.inner.unshift(f.outer);d.components||(d.components=[]);d.components.push(new OpenLayers.Geometry.Polygon(f.inner))},LinearRing:function(e,d){var f={};this.readers.gml._inherit.apply(this,[e,f]);this.readChildNodes(e,f);d.components=[new OpenLayers.Geometry.LinearRing(f.points)]},MultiPolygon:function(e,d){var f={components:[]};this.readers.gml._inherit.apply(this,[e,f,d]);this.readChildNodes(e,f);d.components=[new OpenLayers.Geometry.MultiPolygon(f.components)]},polygonMember:function(d,c){this.readChildNodes(d,c)},GeometryCollection:function(e,d){var f={components:[]};this.readers.gml._inherit.apply(this,[e,f,d]);this.readChildNodes(e,f);d.components=[new OpenLayers.Geometry.Collection(f.components)]},geometryMember:function(d,c){this.readChildNodes(d,c)}},feature:{"*":function(f,e){var h,g=f.localName||f.nodeName.split(":").pop();e.features?this.singleFeatureType||-1===OpenLayers.Util.indexOf(this.featureType,g)?g===this.featureType&&(h="_typeName"):h="_typeName":0==f.childNodes.length||1==f.childNodes.length&&3==f.firstChild.nodeType?this.extractAttributes&&(h="_attribute"):h="_geometry";h&&this.readers.feature[h].apply(this,[f,e])},_typeName:function(g,f){var j={components:[],attributes:{}};this.readChildNodes(g,j);j.name&&(j.attributes.name=j.name);var i=new OpenLayers.Feature.Vector(j.components[0],j.attributes);this.singleFeatureType||(i.type=g.nodeName.split(":").pop(),i.namespace=g.namespaceURI);var h=g.getAttribute("fid")||this.getAttributeNS(g,this.namespaces.gml,"id");h&&(i.fid=h);this.internalProjection&&(this.externalProjection&&i.geometry)&&i.geometry.transform(this.externalProjection,this.internalProjection);j.bounds&&(i.bounds=j.bounds);f.features.push(i)},_geometry:function(d,c){this.geometryName||(this.geometryName=d.nodeName.split(":").pop());this.readChildNodes(d,c)},_attribute:function(f,e){var h=f.localName||f.nodeName.split(":").pop(),g=this.getChildValue(f);e.attributes[h]=g}},wfs:{FeatureCollection:function(d,c){this.readChildNodes(d,c)}}},write:function(d){var c;c=OpenLayers.Util.isArray(d)?"featureMembers":"featureMember";d=this.writeNode("gml:"+c,d);this.setAttributeNS(d,this.namespaces.xsi,"xsi:schemaLocation",this.schemaLocation);return OpenLayers.Format.XML.prototype.write.apply(this,[d])},writers:{gml:{featureMember:function(d){var c=this.createElementNSPlus("gml:featureMember");this.writeNode("feature:_typeName",d,c);return c},MultiPoint:function(f){var e=this.createElementNSPlus("gml:MultiPoint");f=f.components||[f];for(var h=0,g=f.length;h<g;++h){this.writeNode("pointMember",f[h],e)}return e},pointMember:function(d){var c=this.createElementNSPlus("gml:pointMember");this.writeNode("Point",d,c);return c},MultiLineString:function(f){var e=this.createElementNSPlus("gml:MultiLineString");f=f.components||[f];for(var h=0,g=f.length;h<g;++h){this.writeNode("lineStringMember",f[h],e)}return e},lineStringMember:function(d){var c=this.createElementNSPlus("gml:lineStringMember");this.writeNode("LineString",d,c);return c},MultiPolygon:function(f){var e=this.createElementNSPlus("gml:MultiPolygon");f=f.components||[f];for(var h=0,g=f.length;h<g;++h){this.writeNode("polygonMember",f[h],e)}return e},polygonMember:function(d){var c=this.createElementNSPlus("gml:polygonMember");this.writeNode("Polygon",d,c);return c},GeometryCollection:function(f){for(var e=this.createElementNSPlus("gml:GeometryCollection"),h=0,g=f.components.length;h<g;++h){this.writeNode("geometryMember",f.components[h],e)}return e},geometryMember:function(d){var c=this.createElementNSPlus("gml:geometryMember");d=this.writeNode("feature:_geometry",d);c.appendChild(d.firstChild);return c}},feature:{_typeName:function(f){var e=this.createElementNSPlus("feature:"+this.featureType,{attributes:{fid:f.fid}});f.geometry&&this.writeNode("feature:_geometry",f.geometry,e);for(var h in f.attributes){var g=f.attributes[h];null!=g&&this.writeNode("feature:_attribute",{name:h,value:g},e)}return e},_geometry:function(d){this.externalProjection&&this.internalProjection&&(d=d.clone().transform(this.internalProjection,this.externalProjection));var c=this.createElementNSPlus("feature:"+this.geometryName);d=this.writeNode("gml:"+this.geometryTypes[d.CLASS_NAME],d,c);this.srsName&&d.setAttribute("srsName",this.srsName);return c},_attribute:function(b){return this.createElementNSPlus("feature:"+b.name,{value:b.value})}},wfs:{FeatureCollection:function(f){for(var e=this.createElementNSPlus("wfs:FeatureCollection"),h=0,g=f.length;h<g;++h){this.writeNode("gml:featureMember",f[h],e)}return e}}},setGeometryTypes:function(){this.geometryTypes={"OpenLayers.Geometry.Point":"Point","OpenLayers.Geometry.MultiPoint":"MultiPoint","OpenLayers.Geometry.LineString":"LineString","OpenLayers.Geometry.MultiLineString":"MultiLineString","OpenLayers.Geometry.Polygon":"Polygon","OpenLayers.Geometry.MultiPolygon":"MultiPolygon","OpenLayers.Geometry.Collection":"GeometryCollection"}},CLASS_NAME:"OpenLayers.Format.GML.Base"});OpenLayers.Format.GML.v3=OpenLayers.Class(OpenLayers.Format.GML.Base,{schemaLocation:"http://www.opengis.net/gml http://schemas.opengis.net/gml/3.1.1/profiles/gmlsfProfile/1.0.0/gmlsf.xsd",curve:!1,multiCurve:!0,surface:!1,multiSurface:!0,initialize:function(b){OpenLayers.Format.GML.Base.prototype.initialize.apply(this,[b])},readers:{gml:OpenLayers.Util.applyDefaults({_inherit:function(e,d,f){if(e=parseInt(e.getAttribute("srsDimension"),10)||f&&f.srsDimension){d.srsDimension=e}},featureMembers:function(d,c){this.readChildNodes(d,c)},Curve:function(e,d){var f={points:[]};this.readers.gml._inherit.apply(this,[e,f,d]);this.readChildNodes(e,f);d.components||(d.components=[]);d.components.push(new OpenLayers.Geometry.LineString(f.points))},segments:function(d,c){this.readChildNodes(d,c)},LineStringSegment:function(e,d){var f={};this.readChildNodes(e,f);f.points&&Array.prototype.push.apply(d.points,f.points)},pos:function(e,d){var f=this.getChildValue(e).replace(this.regExes.trimSpace,"").split(this.regExes.splitSpace),f=this.xy?new OpenLayers.Geometry.Point(f[0],f[1],f[2]):new OpenLayers.Geometry.Point(f[1],f[0],f[2]);d.points=[f]},posList:function(t,s){for(var r=this.getChildValue(t).replace(this.regExes.trimSpace,"").split(this.regExes.splitSpace),q=s.srsDimension||parseInt(t.getAttribute("srsDimension")||t.getAttribute("dimension"),10)||2,p,o,n,m=Array(r.length/q),j=0,i=r.length;j<i;j+=q){p=r[j],o=r[j+1],n=2==q?void 0:r[j+2],m[j/q]=this.xy?new OpenLayers.Geometry.Point(p,o,n):new OpenLayers.Geometry.Point(o,p,n)}s.points=m},Surface:function(d,c){this.readChildNodes(d,c)},patches:function(d,c){this.readChildNodes(d,c)},PolygonPatch:function(d,c){this.readers.gml.Polygon.apply(this,[d,c])},exterior:function(e,d){var f={};this.readChildNodes(e,f);d.outer=f.components[0]},interior:function(e,d){var f={};this.readChildNodes(e,f);d.inner.push(f.components[0])},MultiCurve:function(e,d){var f={components:[]};this.readers.gml._inherit.apply(this,[e,f,d]);this.readChildNodes(e,f);0<f.components.length&&(d.components=[new OpenLayers.Geometry.MultiLineString(f.components)])},curveMember:function(d,c){this.readChildNodes(d,c)},MultiSurface:function(e,d){var f={components:[]};this.readers.gml._inherit.apply(this,[e,f,d]);this.readChildNodes(e,f);0<f.components.length&&(d.components=[new OpenLayers.Geometry.MultiPolygon(f.components)])},surfaceMember:function(d,c){this.readChildNodes(d,c)},surfaceMembers:function(d,c){this.readChildNodes(d,c)},pointMembers:function(d,c){this.readChildNodes(d,c)},lineStringMembers:function(d,c){this.readChildNodes(d,c)},polygonMembers:function(d,c){this.readChildNodes(d,c)},geometryMembers:function(d,c){this.readChildNodes(d,c)},Envelope:function(f,e){var h={points:Array(2)};this.readChildNodes(f,h);e.components||(e.components=[]);var g=h.points[0],h=h.points[1];e.components.push(new OpenLayers.Bounds(g.x,g.y,h.x,h.y))},lowerCorner:function(e,d){var f={};this.readers.gml.pos.apply(this,[e,f]);d.points[0]=f.points[0]},upperCorner:function(e,d){var f={};this.readers.gml.pos.apply(this,[e,f]);d.points[1]=f.points[0]}},OpenLayers.Format.GML.Base.prototype.readers.gml),feature:OpenLayers.Format.GML.Base.prototype.readers.feature,wfs:OpenLayers.Format.GML.Base.prototype.readers.wfs},write:function(d){var c;c=OpenLayers.Util.isArray(d)?"featureMembers":"featureMember";d=this.writeNode("gml:"+c,d);this.setAttributeNS(d,this.namespaces.xsi,"xsi:schemaLocation",this.schemaLocation);return OpenLayers.Format.XML.prototype.write.apply(this,[d])},writers:{gml:OpenLayers.Util.applyDefaults({featureMembers:function(f){for(var e=this.createElementNSPlus("gml:featureMembers"),h=0,g=f.length;h<g;++h){this.writeNode("feature:_typeName",f[h],e)}return e},Point:function(d){var c=this.createElementNSPlus("gml:Point");this.writeNode("pos",d,c);return c},pos:function(b){return this.createElementNSPlus("gml:pos",{value:this.xy?b.x+" "+b.y:b.y+" "+b.x})},LineString:function(d){var c=this.createElementNSPlus("gml:LineString");this.writeNode("posList",d.components,c);return c},Curve:function(d){var c=this.createElementNSPlus("gml:Curve");this.writeNode("segments",d,c);return c},segments:function(d){var c=this.createElementNSPlus("gml:segments");this.writeNode("LineStringSegment",d,c);return c},LineStringSegment:function(d){var c=this.createElementNSPlus("gml:LineStringSegment");this.writeNode("posList",d.components,c);return c},posList:function(g){for(var f=g.length,j=Array(f),i,h=0;h<f;++h){i=g[h],j[h]=this.xy?i.x+" "+i.y:i.y+" "+i.x}return this.createElementNSPlus("gml:posList",{value:j.join(" ")})},Surface:function(d){var c=this.createElementNSPlus("gml:Surface");this.writeNode("patches",d,c);return c},patches:function(d){var c=this.createElementNSPlus("gml:patches");this.writeNode("PolygonPatch",d,c);return c},PolygonPatch:function(f){var e=this.createElementNSPlus("gml:PolygonPatch",{attributes:{interpolation:"planar"}});this.writeNode("exterior",f.components[0],e);for(var h=1,g=f.components.length;h<g;++h){this.writeNode("interior",f.components[h],e)}return e},Polygon:function(f){var e=this.createElementNSPlus("gml:Polygon");this.writeNode("exterior",f.components[0],e);for(var h=1,g=f.components.length;h<g;++h){this.writeNode("interior",f.components[h],e)}return e},exterior:function(d){var c=this.createElementNSPlus("gml:exterior");this.writeNode("LinearRing",d,c);return c},interior:function(d){var c=this.createElementNSPlus("gml:interior");this.writeNode("LinearRing",d,c);return c},LinearRing:function(d){var c=this.createElementNSPlus("gml:LinearRing");this.writeNode("posList",d.components,c);return c},MultiCurve:function(f){var e=this.createElementNSPlus("gml:MultiCurve");f=f.components||[f];for(var h=0,g=f.length;h<g;++h){this.writeNode("curveMember",f[h],e)}return e},curveMember:function(d){var c=this.createElementNSPlus("gml:curveMember");this.curve?this.writeNode("Curve",d,c):this.writeNode("LineString",d,c);return c},MultiSurface:function(f){var e=this.createElementNSPlus("gml:MultiSurface");f=f.components||[f];for(var h=0,g=f.length;h<g;++h){this.writeNode("surfaceMember",f[h],e)}return e},surfaceMember:function(d){var c=this.createElementNSPlus("gml:surfaceMember");this.surface?this.writeNode("Surface",d,c):this.writeNode("Polygon",d,c);return c},Envelope:function(d){var c=this.createElementNSPlus("gml:Envelope");this.writeNode("lowerCorner",d,c);this.writeNode("upperCorner",d,c);this.srsName&&c.setAttribute("srsName",this.srsName);return c},lowerCorner:function(b){return this.createElementNSPlus("gml:lowerCorner",{value:this.xy?b.left+" "+b.bottom:b.bottom+" "+b.left})},upperCorner:function(b){return this.createElementNSPlus("gml:upperCorner",{value:this.xy?b.right+" "+b.top:b.top+" "+b.right})}},OpenLayers.Format.GML.Base.prototype.writers.gml),feature:OpenLayers.Format.GML.Base.prototype.writers.feature,wfs:OpenLayers.Format.GML.Base.prototype.writers.wfs},setGeometryTypes:function(){this.geometryTypes={"OpenLayers.Geometry.Point":"Point","OpenLayers.Geometry.MultiPoint":"MultiPoint","OpenLayers.Geometry.LineString":!0===this.curve?"Curve":"LineString","OpenLayers.Geometry.MultiLineString":!1===this.multiCurve?"MultiLineString":"MultiCurve","OpenLayers.Geometry.Polygon":!0===this.surface?"Surface":"Polygon","OpenLayers.Geometry.MultiPolygon":!1===this.multiSurface?"MultiPolygon":"MultiSurface","OpenLayers.Geometry.Collection":"GeometryCollection"}},CLASS_NAME:"OpenLayers.Format.GML.v3"});OpenLayers.Format.Filter.v1_1_0=OpenLayers.Class(OpenLayers.Format.GML.v3,OpenLayers.Format.Filter.v1,{VERSION:"1.1.0",schemaLocation:"http://www.opengis.net/ogc/filter/1.1.0/filter.xsd",initialize:function(b){OpenLayers.Format.GML.v3.prototype.initialize.apply(this,[b])},readers:{ogc:OpenLayers.Util.applyDefaults({PropertyIsEqualTo:function(e,d){var f=e.getAttribute("matchCase"),f=new OpenLayers.Filter.Comparison({type:OpenLayers.Filter.Comparison.EQUAL_TO,matchCase:!("false"===f||"0"===f)});this.readChildNodes(e,f);d.filters.push(f)},PropertyIsNotEqualTo:function(e,d){var f=e.getAttribute("matchCase"),f=new OpenLayers.Filter.Comparison({type:OpenLayers.Filter.Comparison.NOT_EQUAL_TO,matchCase:!("false"===f||"0"===f)});this.readChildNodes(e,f);d.filters.push(f)},PropertyIsLike:function(h,g){var l=new OpenLayers.Filter.Comparison({type:OpenLayers.Filter.Comparison.LIKE});this.readChildNodes(h,l);var k=h.getAttribute("wildCard"),j=h.getAttribute("singleChar"),i=h.getAttribute("escapeChar");l.value2regex(k,j,i);g.filters.push(l)}},OpenLayers.Format.Filter.v1.prototype.readers.ogc),gml:OpenLayers.Format.GML.v3.prototype.readers.gml,feature:OpenLayers.Format.GML.v3.prototype.readers.feature},writers:{ogc:OpenLayers.Util.applyDefaults({PropertyIsEqualTo:function(d){var c=this.createElementNSPlus("ogc:PropertyIsEqualTo",{attributes:{matchCase:d.matchCase}});this.writeNode("PropertyName",d,c);this.writeOgcExpression(d.value,c);return c},PropertyIsNotEqualTo:function(d){var c=this.createElementNSPlus("ogc:PropertyIsNotEqualTo",{attributes:{matchCase:d.matchCase}});this.writeNode("PropertyName",d,c);this.writeOgcExpression(d.value,c);return c},PropertyIsLike:function(d){var c=this.createElementNSPlus("ogc:PropertyIsLike",{attributes:{matchCase:d.matchCase,wildCard:"*",singleChar:".",escapeChar:"!"}});this.writeNode("PropertyName",d,c);this.writeNode("Literal",d.regex2value(),c);return c},BBOX:function(e){var d=this.createElementNSPlus("ogc:BBOX");e.property&&this.writeNode("PropertyName",e,d);var f=this.writeNode("gml:Envelope",e.value);e.projection&&f.setAttribute("srsName",e.projection);d.appendChild(f);return d},SortBy:function(f){for(var e=this.createElementNSPlus("ogc:SortBy"),h=0,g=f.length;h<g;h++){this.writeNode("ogc:SortProperty",f[h],e)}return e},SortProperty:function(d){var c=this.createElementNSPlus("ogc:SortProperty");this.writeNode("ogc:PropertyName",d,c);this.writeNode("ogc:SortOrder","DESC"==d.order?"DESC":"ASC",c);return c},SortOrder:function(b){return this.createElementNSPlus("ogc:SortOrder",{value:b})}},OpenLayers.Format.Filter.v1.prototype.writers.ogc),gml:OpenLayers.Format.GML.v3.prototype.writers.gml,feature:OpenLayers.Format.GML.v3.prototype.writers.feature},writeSpatial:function(f,e){var h=this.createElementNSPlus("ogc:"+e);this.writeNode("PropertyName",f,h);if(f.value instanceof OpenLayers.Filter.Function){this.writeNode("Function",f.value,h)}else{var g;g=f.value instanceof OpenLayers.Geometry?this.writeNode("feature:_geometry",f.value).firstChild:this.writeNode("gml:Envelope",f.value);f.projection&&g.setAttribute("srsName",f.projection);h.appendChild(g)}return h},CLASS_NAME:"OpenLayers.Format.Filter.v1_1_0"});OpenLayers.Format.OWSCommon=OpenLayers.Class(OpenLayers.Format.XML.VersionedOGC,{defaultVersion:"1.0.0",getVersion:function(f,e){var h=this.version;if(!h){var g=f.getAttribute("xmlns:ows");g&&"1.1"===g.substring(g.lastIndexOf("/")+1)&&(h="1.1.0");h||(h=this.defaultVersion)}return h},CLASS_NAME:"OpenLayers.Format.OWSCommon"});OpenLayers.Format.OWSCommon.v1=OpenLayers.Class(OpenLayers.Format.XML,{regExes:{trimSpace:/^\s*|\s*$/g,removeSpace:/\s*/g,splitSpace:/\s+/,trimComma:/\s*,\s*/g},read:function(e,d){OpenLayers.Util.applyDefaults(d,this.options);var f={};this.readChildNodes(e,f);return f},readers:{ows:{Exception:function(e,d){var f={code:e.getAttribute("exceptionCode"),locator:e.getAttribute("locator"),texts:[]};d.exceptions.push(f);this.readChildNodes(e,f)},ExceptionText:function(e,d){var f=this.getChildValue(e);d.texts.push(f)},ServiceIdentification:function(d,c){c.serviceIdentification={};this.readChildNodes(d,c.serviceIdentification)},Title:function(d,c){c.title=this.getChildValue(d)},Abstract:function(d,c){c["abstract"]=this.getChildValue(d)},Keywords:function(d,c){c.keywords={};this.readChildNodes(d,c.keywords)},Keyword:function(d,c){c[this.getChildValue(d)]=!0},ServiceType:function(d,c){c.serviceType={codeSpace:d.getAttribute("codeSpace"),value:this.getChildValue(d)}},ServiceTypeVersion:function(d,c){c.serviceTypeVersion=this.getChildValue(d)},Fees:function(d,c){c.fees=this.getChildValue(d)},AccessConstraints:function(d,c){c.accessConstraints=this.getChildValue(d)},ServiceProvider:function(d,c){c.serviceProvider={};this.readChildNodes(d,c.serviceProvider)},ProviderName:function(d,c){c.providerName=this.getChildValue(d)},ProviderSite:function(d,c){c.providerSite=this.getAttributeNS(d,this.namespaces.xlink,"href")},ServiceContact:function(d,c){c.serviceContact={};this.readChildNodes(d,c.serviceContact)},IndividualName:function(d,c){c.individualName=this.getChildValue(d)},PositionName:function(d,c){c.positionName=this.getChildValue(d)},ContactInfo:function(d,c){c.contactInfo={};this.readChildNodes(d,c.contactInfo)},Phone:function(d,c){c.phone={};this.readChildNodes(d,c.phone)},Voice:function(d,c){c.voice=this.getChildValue(d)},Address:function(d,c){c.address={};this.readChildNodes(d,c.address)},DeliveryPoint:function(d,c){c.deliveryPoint=this.getChildValue(d)},City:function(d,c){c.city=this.getChildValue(d)},AdministrativeArea:function(d,c){c.administrativeArea=this.getChildValue(d)},PostalCode:function(d,c){c.postalCode=this.getChildValue(d)},Country:function(d,c){c.country=this.getChildValue(d)},ElectronicMailAddress:function(d,c){c.electronicMailAddress=this.getChildValue(d)},Role:function(d,c){c.role=this.getChildValue(d)},OperationsMetadata:function(d,c){c.operationsMetadata={};this.readChildNodes(d,c.operationsMetadata)},Operation:function(e,d){var f=e.getAttribute("name");d[f]={};this.readChildNodes(e,d[f])},DCP:function(d,c){c.dcp={};this.readChildNodes(d,c.dcp)},HTTP:function(d,c){c.http={};this.readChildNodes(d,c.http)},Get:function(e,d){d.get||(d.get=[]);var f={url:this.getAttributeNS(e,this.namespaces.xlink,"href")};this.readChildNodes(e,f);d.get.push(f)},Post:function(e,d){d.post||(d.post=[]);var f={url:this.getAttributeNS(e,this.namespaces.xlink,"href")};this.readChildNodes(e,f);d.post.push(f)},Parameter:function(e,d){d.parameters||(d.parameters={});var f=e.getAttribute("name");d.parameters[f]={};this.readChildNodes(e,d.parameters[f])},Constraint:function(e,d){d.constraints||(d.constraints={});var f=e.getAttribute("name");d.constraints[f]={};this.readChildNodes(e,d.constraints[f])},Value:function(d,c){c[this.getChildValue(d)]=!0},OutputFormat:function(d,c){c.formats.push({value:this.getChildValue(d)});this.readChildNodes(d,c)},WGS84BoundingBox:function(e,d){var f={};f.crs=e.getAttribute("crs");d.BoundingBox?d.BoundingBox.push(f):(d.projection=f.crs,f=d);this.readChildNodes(e,f)},BoundingBox:function(d,c){this.readers.ows.WGS84BoundingBox.apply(this,[d,c])},LowerCorner:function(e,d){var f=this.getChildValue(e).replace(this.regExes.trimSpace,""),f=f.replace(this.regExes.trimComma,","),f=f.split(this.regExes.splitSpace);d.left=f[0];d.bottom=f[1]},UpperCorner:function(e,d){var f=this.getChildValue(e).replace(this.regExes.trimSpace,""),f=f.replace(this.regExes.trimComma,","),f=f.split(this.regExes.splitSpace);d.right=f[0];d.top=f[1];d.bounds=new OpenLayers.Bounds(d.left,d.bottom,d.right,d.top);delete d.left;delete d.bottom;delete d.right;delete d.top},Language:function(d,c){c.language=this.getChildValue(d)}}},writers:{ows:{BoundingBox:function(e,d){var f=this.createElementNSPlus(d||"ows:BoundingBox",{attributes:{crs:e.projection}});this.writeNode("ows:LowerCorner",e,f);this.writeNode("ows:UpperCorner",e,f);return f},LowerCorner:function(b){return this.createElementNSPlus("ows:LowerCorner",{value:b.bounds.left+" "+b.bounds.bottom})},UpperCorner:function(b){return this.createElementNSPlus("ows:UpperCorner",{value:b.bounds.right+" "+b.bounds.top})},Identifier:function(b){return this.createElementNSPlus("ows:Identifier",{value:b})},Title:function(b){return this.createElementNSPlus("ows:Title",{value:b})},Abstract:function(b){return this.createElementNSPlus("ows:Abstract",{value:b})},OutputFormat:function(b){return this.createElementNSPlus("ows:OutputFormat",{value:b})}}},CLASS_NAME:"OpenLayers.Format.OWSCommon.v1"});OpenLayers.Format.OWSCommon.v1_0_0=OpenLayers.Class(OpenLayers.Format.OWSCommon.v1,{namespaces:{ows:"http://www.opengis.net/ows",xlink:"http://www.w3.org/1999/xlink"},readers:{ows:OpenLayers.Util.applyDefaults({ExceptionReport:function(d,c){c.success=!1;c.exceptionReport={version:d.getAttribute("version"),language:d.getAttribute("language"),exceptions:[]};this.readChildNodes(d,c.exceptionReport)}},OpenLayers.Format.OWSCommon.v1.prototype.readers.ows)},writers:{ows:OpenLayers.Format.OWSCommon.v1.prototype.writers.ows},CLASS_NAME:"OpenLayers.Format.OWSCommon.v1_0_0"});OpenLayers.Format.WFST.v1_1_0=OpenLayers.Class(OpenLayers.Format.Filter.v1_1_0,OpenLayers.Format.WFST.v1,{version:"1.1.0",schemaLocations:{wfs:"http://schemas.opengis.net/wfs/1.1.0/wfs.xsd"},initialize:function(b){OpenLayers.Format.Filter.v1_1_0.prototype.initialize.apply(this,[b]);OpenLayers.Format.WFST.v1.prototype.initialize.apply(this,[b])},readNode:function(e,d,f){return OpenLayers.Format.GML.v3.prototype.readNode.apply(this,arguments)},readers:{wfs:OpenLayers.Util.applyDefaults({FeatureCollection:function(d,c){c.numberOfFeatures=parseInt(d.getAttribute("numberOfFeatures"));OpenLayers.Format.WFST.v1.prototype.readers.wfs.FeatureCollection.apply(this,arguments)},TransactionResponse:function(d,c){c.insertIds=[];c.success=!1;this.readChildNodes(d,c)},TransactionSummary:function(d,c){c.success=!0},InsertResults:function(d,c){this.readChildNodes(d,c)},Feature:function(e,d){var f={fids:[]};this.readChildNodes(e,f);d.insertIds.push(f.fids[0])}},OpenLayers.Format.WFST.v1.prototype.readers.wfs),gml:OpenLayers.Format.GML.v3.prototype.readers.gml,feature:OpenLayers.Format.GML.v3.prototype.readers.feature,ogc:OpenLayers.Format.Filter.v1_1_0.prototype.readers.ogc,ows:OpenLayers.Format.OWSCommon.v1_0_0.prototype.readers.ows},writers:{wfs:OpenLayers.Util.applyDefaults({GetFeature:function(d){var c=OpenLayers.Format.WFST.v1.prototype.writers.wfs.GetFeature.apply(this,arguments);d&&this.setAttributes(c,{resultType:d.resultType,startIndex:d.startIndex,count:d.count});return c},Query:function(f){f=OpenLayers.Util.extend({featureNS:this.featureNS,featurePrefix:this.featurePrefix,featureType:this.featureType,srsName:this.srsName},f);var e=f.featurePrefix,h=this.createElementNSPlus("wfs:Query",{attributes:{typeName:(e?e+":":"")+f.featureType,srsName:f.srsName}});f.featureNS&&h.setAttribute("xmlns:"+e,f.featureNS);if(f.propertyNames){for(var e=0,g=f.propertyNames.length;e<g;e++){this.writeNode("wfs:PropertyName",{property:f.propertyNames[e]},h)}}f.filter&&(OpenLayers.Format.WFST.v1_1_0.prototype.setFilterProperty.call(this,f.filter),this.writeNode("ogc:Filter",f.filter,h));return h},PropertyName:function(b){return this.createElementNSPlus("wfs:PropertyName",{value:b.property})}},OpenLayers.Format.WFST.v1.prototype.writers.wfs),gml:OpenLayers.Format.GML.v3.prototype.writers.gml,feature:OpenLayers.Format.GML.v3.prototype.writers.feature,ogc:OpenLayers.Format.Filter.v1_1_0.prototype.writers.ogc},CLASS_NAME:"OpenLayers.Format.WFST.v1_1_0"});OpenLayers.Protocol=OpenLayers.Class({format:null,options:null,autoDestroy:!0,defaultFilter:null,initialize:function(b){b=b||{};OpenLayers.Util.extend(this,b);this.options=b},mergeWithDefaultFilter:function(b){return b&&this.defaultFilter?new OpenLayers.Filter.Logical({type:OpenLayers.Filter.Logical.AND,filters:[this.defaultFilter,b]}):b||this.defaultFilter||void 0},destroy:function(){this.format=this.options=null},read:function(b){b=b||{};b.filter=this.mergeWithDefaultFilter(b.filter)},create:function(){},update:function(){},"delete":function(){},commit:function(){},abort:function(b){},createCallback:function(e,d,f){return OpenLayers.Function.bind(function(){e.apply(this,[d,f])},this)},CLASS_NAME:"OpenLayers.Protocol"});OpenLayers.Protocol.Response=OpenLayers.Class({code:null,requestType:null,last:!0,features:null,data:null,reqFeatures:null,priv:null,error:null,initialize:function(b){OpenLayers.Util.extend(this,b)},success:function(){return 0<this.code},CLASS_NAME:"OpenLayers.Protocol.Response"});OpenLayers.Protocol.Response.SUCCESS=1;OpenLayers.Protocol.Response.FAILURE=0;OpenLayers.Format.JSON=OpenLayers.Class(OpenLayers.Format,{indent:"	 ",space:" ",newline:"\n",level:0,pretty:!1,nativeJSON:function(){return !(!window.JSON||"function"!=typeof JSON.parse||"function"!=typeof JSON.stringify)}(),read:function(a,b){var c;if(this.nativeJSON){c=JSON.parse(a,b)}else{try{if(/^[\],:{}\s]*$/.test(a.replace(/\\["\\\/bfnrtu]/g,"@").replace(/"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g,"]").replace(/(?:^|:|,)(?:\s*\[)+/g,""))&&(c=eval("("+a+")"),"function"===typeof b)){var d=function(a,c){if(c&&"object"===typeof c){for(var e in c){c.hasOwnProperty(e)&&(c[e]=d(e,c[e]))}}return b(a,c)};c=d("",c)}}catch(e){}}this.keepData&&(this.data=c);return c},write:function(g,f){this.pretty=!!f;var j=null,i=typeof g;if(this.serialize[i]){try{j=!this.pretty&&this.nativeJSON?JSON.stringify(g):this.serialize[i].apply(this,[g])}catch(h){OpenLayers.Console.error("Trouble serializing: "+h)}}return j},writeIndent:function(){var d=[];if(this.pretty){for(var c=0;c<this.level;++c){d.push(this.indent)}}return d.join("")},writeNewline:function(){return this.pretty?this.newline:""},writeSpace:function(){return this.pretty?this.space:""},serialize:{object:function(h){if(null==h){return"null"}if(h.constructor==Date){return this.serialize.date.apply(this,[h])}if(h.constructor==Array){return this.serialize.array.apply(this,[h])}var g=["{"];this.level+=1;var l,k,j,i=!1;for(l in h){h.hasOwnProperty(l)&&(k=OpenLayers.Format.JSON.prototype.write.apply(this,[l,this.pretty]),j=OpenLayers.Format.JSON.prototype.write.apply(this,[h[l],this.pretty]),null!=k&&null!=j&&(i&&g.push(","),g.push(this.writeNewline(),this.writeIndent(),k,":",this.writeSpace(),j),i=!0))}this.level-=1;g.push(this.writeNewline(),this.writeIndent(),"}");return g.join("")},array:function(g){var f,j=["["];this.level+=1;for(var i=0,h=g.length;i<h;++i){f=OpenLayers.Format.JSON.prototype.write.apply(this,[g[i],this.pretty]),null!=f&&(0<i&&j.push(","),j.push(this.writeNewline(),this.writeIndent(),f))}this.level-=1;j.push(this.writeNewline(),this.writeIndent(),"]");return j.join("")},string:function(d){var c={"\b":"\\b","\t":"\\t","\n":"\\n","\f":"\\f","\r":"\\r",'"':'\\"',"\\":"\\\\"};return/["\\\x00-\x1f]/.test(d)?'"'+d.replace(/([\x00-\x1f\\"])/g,function(b,g){var f=c[g];if(f){return f}f=g.charCodeAt();return"\\u00"+Math.floor(f/16).toString(16)+(f%16).toString(16)})+'"':'"'+d+'"'},number:function(b){return isFinite(b)?String(b):"null"},"boolean":function(b){return String(b)},date:function(d){function c(b){return 10>b?"0"+b:b}return'"'+d.getFullYear()+"-"+c(d.getMonth()+1)+"-"+c(d.getDate())+"T"+c(d.getHours())+":"+c(d.getMinutes())+":"+c(d.getSeconds())+'"'}},CLASS_NAME:"OpenLayers.Format.JSON"});OpenLayers.Format.GeoJSON=OpenLayers.Class(OpenLayers.Format.JSON,{ignoreExtraDims:!1,read:function(v,u,t){u=u?u:"FeatureCollection";var s=null,r=null,r="string"==typeof v?OpenLayers.Format.JSON.prototype.read.apply(this,[v,t]):v;if(!r){OpenLayers.Console.error("Bad JSON: "+v)}else{if("string"!=typeof r.type){OpenLayers.Console.error("Bad GeoJSON - no type: "+v)}else{if(this.isValidType(r,u)){switch(u){case"Geometry":try{s=this.parseGeometry(r)}catch(q){OpenLayers.Console.error(q)}break;case"Feature":try{s=this.parseFeature(r),s.type="Feature"}catch(p){OpenLayers.Console.error(p)}break;case"FeatureCollection":switch(s=[],r.type){case"Feature":try{s.push(this.parseFeature(r))}catch(o){s=null,OpenLayers.Console.error(o)}break;case"FeatureCollection":v=0;for(u=r.features.length;v<u;++v){try{s.push(this.parseFeature(r.features[v]))}catch(n){s=null,OpenLayers.Console.error(n)}}break;default:try{var j=this.parseGeometry(r);s.push(new OpenLayers.Feature.Vector(j))}catch(i){s=null,OpenLayers.Console.error(i)}}}}}}return s},isValidType:function(e,d){var f=!1;switch(d){case"Geometry":-1==OpenLayers.Util.indexOf("Point MultiPoint LineString MultiLineString Polygon MultiPolygon Box GeometryCollection".split(" "),e.type)?OpenLayers.Console.error("Unsupported geometry type: "+e.type):f=!0;break;case"FeatureCollection":f=!0;break;default:e.type==d?f=!0:OpenLayers.Console.error("Cannot convert types from "+e.type+" to "+d)}return f},parseFeature:function(g){var f,j,i;j=g.properties?g.properties:{};i=g.geometry&&g.geometry.bbox||g.bbox;try{f=this.parseGeometry(g.geometry)}catch(h){throw h}f=new OpenLayers.Feature.Vector(f,j);i&&(f.bounds=OpenLayers.Bounds.fromArray(i));g.id&&(f.fid=g.id);return f},parseGeometry:function(g){if(null==g){return null}var f,j=!1;if("GeometryCollection"==g.type){if(!OpenLayers.Util.isArray(g.geometries)){throw"GeometryCollection must have geometries array: "+g}f=g.geometries.length;for(var j=Array(f),i=0;i<f;++i){j[i]=this.parseGeometry.apply(this,[g.geometries[i]])}f=new OpenLayers.Geometry.Collection(j);j=!0}else{if(!OpenLayers.Util.isArray(g.coordinates)){throw"Geometry must have coordinates array: "+g}if(!this.parseCoords[g.type.toLowerCase()]){throw"Unsupported geometry type: "+g.type}try{f=this.parseCoords[g.type.toLowerCase()].apply(this,[g.coordinates])}catch(h){throw h}}this.internalProjection&&(this.externalProjection&&!j)&&f.transform(this.externalProjection,this.internalProjection);return f},parseCoords:{point:function(b){if(!1==this.ignoreExtraDims&&2!=b.length){throw"Only 2D points are supported: "+b}return new OpenLayers.Geometry.Point(b[0],b[1])},multipoint:function(h){for(var g=[],l=null,k=0,j=h.length;k<j;++k){try{l=this.parseCoords.point.apply(this,[h[k]])}catch(i){throw i}g.push(l)}return new OpenLayers.Geometry.MultiPoint(g)},linestring:function(h){for(var g=[],l=null,k=0,j=h.length;k<j;++k){try{l=this.parseCoords.point.apply(this,[h[k]])}catch(i){throw i}g.push(l)}return new OpenLayers.Geometry.LineString(g)},multilinestring:function(h){for(var g=[],l=null,k=0,j=h.length;k<j;++k){try{l=this.parseCoords.linestring.apply(this,[h[k]])}catch(i){throw i}g.push(l)}return new OpenLayers.Geometry.MultiLineString(g)},polygon:function(i){for(var h=[],n,m,l=0,k=i.length;l<k;++l){try{m=this.parseCoords.linestring.apply(this,[i[l]])}catch(j){throw j}n=new OpenLayers.Geometry.LinearRing(m.components);h.push(n)}return new OpenLayers.Geometry.Polygon(h)},multipolygon:function(h){for(var g=[],l=null,k=0,j=h.length;k<j;++k){try{l=this.parseCoords.polygon.apply(this,[h[k]])}catch(i){throw i}g.push(l)}return new OpenLayers.Geometry.MultiPolygon(g)},box:function(b){if(2!=b.length){throw"GeoJSON box coordinates must have 2 elements"}return new OpenLayers.Geometry.Polygon([new OpenLayers.Geometry.LinearRing([new OpenLayers.Geometry.Point(b[0][0],b[0][1]),new OpenLayers.Geometry.Point(b[1][0],b[0][1]),new OpenLayers.Geometry.Point(b[1][0],b[1][1]),new OpenLayers.Geometry.Point(b[0][0],b[1][1]),new OpenLayers.Geometry.Point(b[0][0],b[0][1])])])}},write:function(h,g){var l={type:null};if(OpenLayers.Util.isArray(h)){l.type="FeatureCollection";var k=h.length;l.features=Array(k);for(var j=0;j<k;++j){var i=h[j];if(!i instanceof OpenLayers.Feature.Vector){throw"FeatureCollection only supports collections of features: "+i}l.features[j]=this.extract.feature.apply(this,[i])}}else{0==h.CLASS_NAME.indexOf("OpenLayers.Geometry")?l=this.extract.geometry.apply(this,[h]):h instanceof OpenLayers.Feature.Vector&&(l=this.extract.feature.apply(this,[h]),h.layer&&h.layer.projection&&(l.crs=this.createCRSObject(h)))}return OpenLayers.Format.JSON.prototype.write.apply(this,[l,g])},createCRSObject:function(d){d=d.layer.projection.toString();var c={};d.match(/epsg:/i)&&(d=parseInt(d.substring(d.indexOf(":")+1)),c=4326==d?{type:"name",properties:{name:"urn:ogc:def:crs:OGC:1.3:CRS84"}}:{type:"name",properties:{name:"EPSG:"+d}});return c},extract:{feature:function(d){var c=this.extract.geometry.apply(this,[d.geometry]),c={type:"Feature",properties:d.attributes,geometry:c};null!=d.fid&&(c.id=d.fid);return c},geometry:function(d){if(null==d){return null}this.internalProjection&&this.externalProjection&&(d=d.clone(),d.transform(this.internalProjection,this.externalProjection));var c=d.CLASS_NAME.split(".")[2];d=this.extract[c.toLowerCase()].apply(this,[d]);return"Collection"==c?{type:"GeometryCollection",geometries:d}:{type:c,coordinates:d}},point:function(b){return[b.x,b.y]},multipoint:function(f){for(var e=[],h=0,g=f.components.length;h<g;++h){e.push(this.extract.point.apply(this,[f.components[h]]))}return e},linestring:function(f){for(var e=[],h=0,g=f.components.length;h<g;++h){e.push(this.extract.point.apply(this,[f.components[h]]))}return e},multilinestring:function(f){for(var e=[],h=0,g=f.components.length;h<g;++h){e.push(this.extract.linestring.apply(this,[f.components[h]]))}return e},polygon:function(f){for(var e=[],h=0,g=f.components.length;h<g;++h){e.push(this.extract.linestring.apply(this,[f.components[h]]))}return e},multipolygon:function(f){for(var e=[],h=0,g=f.components.length;h<g;++h){e.push(this.extract.polygon.apply(this,[f.components[h]]))}return e},collection:function(f){for(var e=f.components.length,h=Array(e),g=0;g<e;++g){h[g]=this.extract.geometry.apply(this,[f.components[g]])}return h}},CLASS_NAME:"OpenLayers.Format.GeoJSON"});OpenLayers.Protocol.Script=OpenLayers.Class(OpenLayers.Protocol,{url:null,params:null,callback:null,callbackTemplate:"OpenLayers.Protocol.Script.registry.${id}",callbackKey:"callback",callbackPrefix:"",scope:null,format:null,pendingRequests:null,srsInBBOX:!1,initialize:function(d){d=d||{};this.params={};this.pendingRequests={};OpenLayers.Protocol.prototype.initialize.apply(this,arguments);this.format||(this.format=new OpenLayers.Format.GeoJSON);if(!this.filterToParams&&OpenLayers.Format.QueryStringFilter){var c=new OpenLayers.Format.QueryStringFilter({srsInBBOX:this.srsInBBOX});this.filterToParams=function(b,e){return c.write(b,e)}}},read:function(e){OpenLayers.Protocol.prototype.read.apply(this,arguments);e=OpenLayers.Util.applyDefaults(e,this.options);e.params=OpenLayers.Util.applyDefaults(e.params,this.options.params);e.filter&&this.filterToParams&&(e.params=this.filterToParams(e.filter,e.params));var d=new OpenLayers.Protocol.Response({requestType:"read"}),f=this.createRequest(e.url,e.params,OpenLayers.Function.bind(function(a){d.data=a;this.handleRead(d,e)},this));d.priv=f;return d},createRequest:function(f,e,h){h=OpenLayers.Protocol.Script.register(h);var g=OpenLayers.String.format(this.callbackTemplate,{id:h});e=OpenLayers.Util.extend({},e);e[this.callbackKey]=this.callbackPrefix+g;f=OpenLayers.Util.urlAppend(f,OpenLayers.Util.getParameterString(e));e=document.createElement("script");e.type="text/javascript";e.src=f;e.id="OpenLayers_Protocol_Script_"+h;this.pendingRequests[e.id]=e;document.getElementsByTagName("head")[0].appendChild(e);return e},destroyRequest:function(b){OpenLayers.Protocol.Script.unregister(b.id.split("_").pop());delete this.pendingRequests[b.id];b.parentNode&&b.parentNode.removeChild(b)},handleRead:function(d,c){this.handleResponse(d,c)},handleResponse:function(d,c){c.callback&&(d.data?(d.features=this.parseFeatures(d.data),d.code=OpenLayers.Protocol.Response.SUCCESS):d.code=OpenLayers.Protocol.Response.FAILURE,this.destroyRequest(d.priv),c.callback.call(c.scope,d))},parseFeatures:function(b){return this.format.read(b)},abort:function(d){if(d){this.destroyRequest(d.priv)}else{for(var c in this.pendingRequests){this.destroyRequest(this.pendingRequests[c])}}},destroy:function(){this.abort();delete this.params;delete this.format;OpenLayers.Protocol.prototype.destroy.apply(this)},CLASS_NAME:"OpenLayers.Protocol.Script"});(function(){var d=OpenLayers.Protocol.Script,c=0;d.registry={};d.register=function(b){var a="c"+ ++c;d.registry[a]=function(){b.apply(this,arguments)};return a};d.unregister=function(a){delete d.registry[a]}})();OpenLayers.Format.EncodedPolyline=OpenLayers.Class(OpenLayers.Format,{geometryType:"linestring",initialize:function(b){OpenLayers.Format.prototype.initialize.apply(this,[b])},read:function(i){var h;if("linestring"==this.geometryType){h=OpenLayers.Geometry.LineString}else{if("linearring"==this.geometryType){h=OpenLayers.Geometry.LinearRing}else{if("multipoint"==this.geometryType){h=OpenLayers.Geometry.MultiPoint}else{if("point"!=this.geometryType&&"polygon"!=this.geometryType){return null}}}}i=this.decodeDeltas(i,2);for(var n=i.length,m=[],l=0;l+1<n;){var k=i[l++],j=i[l++];m.push(new OpenLayers.Geometry.Point(j,k))}return"point"==this.geometryType?new OpenLayers.Feature.Vector(m[0]):"polygon"==this.geometryType?new OpenLayers.Feature.Vector(new OpenLayers.Geometry.Polygon([new OpenLayers.Geometry.LinearRing(m)])):new OpenLayers.Feature.Vector(new h(m))},decode:function(i,h,n){i=this.decodeDeltas(i,h,n||100000);n=i.length;for(var m=[],l=0;l+(h-1)<n;){for(var k=[],j=0;j<h;++j){k.push(i[l++])}m.push(k)}return m},write:function(g){g=(g.constructor==Array?g[0]:g).geometry;var f=g.CLASS_NAME.split(".")[2].toLowerCase();if("point"==f){g=Array(g)}else{if("linestring"==f||"linearring"==f||"multipoint"==f){g=g.components}else{if("polygon"==f){g=g.components[0].components}else{return null}}}for(var f=[],j=g.length,i=0;i<j;++i){var h=g[i];f.push(h.y);f.push(h.x)}return this.encodeDeltas(f,2)},encode:function(j,i,p){p=p||100000;for(var o=[],n=j.length,m=0;m<n;++m){for(var l=j[m],k=0;k<i;++k){o.push(l[k])}}return this.encodeDeltas(o,i,p)},encodeDeltas:function(r,q,p){var o,n=Array(q);for(o=0;o<q;++o){n[o]=0}for(var m=r.length,l=0;l<m;){for(o=0;o<q;++o,++l){var j=r[l],i=j-n[o];n[o]=j;r[l]=i}}return this.encodeFloats(r,p||100000)},decodeDeltas:function(h,g,l){var k,j=Array(g);for(k=0;k<g;++k){j[k]=0}h=this.decodeFloats(h,l||100000);l=h.length;for(var i=0;i<l;){for(k=0;k<g;++k,++i){j[k]+=h[i],h[i]=j[k]}}return h},encodeFloats:function(g,f){for(var j=f||100000,i=g.length,h=0;h<i;++h){g[h]=Math.round(g[h]*j)}return this.encodeSignedIntegers(g)},decodeFloats:function(h,g){for(var l=g||100000,k=this.decodeSignedIntegers(h),j=k.length,i=0;i<j;++i){k[i]/=l}return k},encodeSignedIntegers:function(g){for(var f=g.length,j=0;j<f;++j){var i=g[j],h=i<<1;0>i&&(h=~h);g[j]=h}return this.encodeUnsignedIntegers(g)},decodeSignedIntegers:function(f){f=this.decodeUnsignedIntegers(f);for(var e=f.length,h=0;h<e;++h){var g=f[h];f[h]=g&1?~(g>>1):g>>1}return f},encodeUnsignedIntegers:function(f){for(var e="",h=f.length,g=0;g<h;++g){e+=this.encodeUnsignedInteger(f[g])}return e},decodeUnsignedIntegers:function(i){for(var h=[],n=0,m=0,l=i.length,k=0;k<l;++k){var j=i.charCodeAt(k)-63,n=n|(j&31)<<m;32>j?(h.push(n),m=n=0):m+=5}return h},encodeFloat:function(d,c){d=Math.round(d*(c||100000));return this.encodeSignedInteger(d)},decodeFloat:function(d,c){return this.decodeSignedInteger(d)/(c||100000)},encodeSignedInteger:function(d){var c=d<<1;0>d&&(c=~c);return this.encodeUnsignedInteger(c)},decodeSignedInteger:function(b){b=this.decodeUnsignedInteger(b);return b&1?~(b>>1):b>>1},encodeUnsignedInteger:function(e){for(var d,f="";32<=e;){d=(32|e&31)+63,f+=String.fromCharCode(d),e>>=5}return f+=String.fromCharCode(e+63)},decodeUnsignedInteger:function(h){for(var g=0,l=0,k=h.length,j=0;j<k;++j){var i=h.charCodeAt(j)-63,g=g|(i&31)<<l;if(32>i){break}l+=5}return g},CLASS_NAME:"OpenLayers.Format.EncodedPolyline"});OpenLayers.Control.Panel=OpenLayers.Class(OpenLayers.Control,{controls:null,autoActivate:!0,defaultControl:null,saveState:!1,allowDepress:!1,activeState:null,initialize:function(b){OpenLayers.Control.prototype.initialize.apply(this,[b]);this.controls=[];this.activeState={}},destroy:function(){this.map&&this.map.events.unregister("buttonclick",this,this.onButtonClick);OpenLayers.Control.prototype.destroy.apply(this,arguments);for(var d,c=this.controls.length-1;0<=c;c--){d=this.controls[c],d.events&&d.events.un({activate:this.iconOn,deactivate:this.iconOff}),d.panel_div=null}this.activeState=null},activate:function(){if(OpenLayers.Control.prototype.activate.apply(this,arguments)){for(var e,d=0,f=this.controls.length;d<f;d++){e=this.controls[d],(e===this.defaultControl||this.saveState&&this.activeState[e.id])&&e.activate()}!0===this.saveState&&(this.defaultControl=null);this.redraw();return !0}return !1},deactivate:function(){if(OpenLayers.Control.prototype.deactivate.apply(this,arguments)){for(var e,d=0,f=this.controls.length;d<f;d++){e=this.controls[d],this.activeState[e.id]=e.deactivate()}this.redraw();return !0}return !1},draw:function(){OpenLayers.Control.prototype.draw.apply(this,arguments);this.outsideViewport?(this.events.attachToElement(this.div),this.events.register("buttonclick",this,this.onButtonClick)):this.map.events.register("buttonclick",this,this.onButtonClick);this.addControlsToMap(this.controls);return this.div},redraw:function(){for(var d=this.div.childNodes.length-1;0<=d;d--){this.div.removeChild(this.div.childNodes[d])}this.div.innerHTML="";if(this.active){for(var d=0,c=this.controls.length;d<c;d++){this.div.appendChild(this.controls[d].panel_div)}}},activateControl:function(f){if(!this.active){return !1}if(f.type==OpenLayers.Control.TYPE_BUTTON){f.trigger()}else{if(f.type==OpenLayers.Control.TYPE_TOGGLE){f.active?f.deactivate():f.activate()}else{if(this.allowDepress&&f.active){f.deactivate()}else{for(var e,h=0,g=this.controls.length;h<g;h++){e=this.controls[h],e==f||e.type!==OpenLayers.Control.TYPE_TOOL&&null!=e.type||e.deactivate()}f.activate()}}}},addControls:function(g){OpenLayers.Util.isArray(g)||(g=[g]);this.controls=this.controls.concat(g);for(var f=0,j=g.length;f<j;f++){var i=g[f],h=this.createControlMarkup(i);OpenLayers.Element.addClass(h,i.displayClass+"ItemInactive");OpenLayers.Element.addClass(h,"olButton");""==i.title||h.title||(h.title=i.title);i.panel_div=h}this.map&&(this.addControlsToMap(g),this.redraw())},createControlMarkup:function(b){return document.createElement("div")},addControlsToMap:function(f){for(var e,h=0,g=f.length;h<g;h++){e=f[h],!0===e.autoActivate?(e.autoActivate=!1,this.map.addControl(e),e.autoActivate=!0):(this.map.addControl(e),e.deactivate()),e.events.on({activate:this.iconOn,deactivate:this.iconOff})}},iconOn:function(){var b=this.panel_div;b.className=b.className.replace(RegExp("\\b("+this.displayClass+"Item)Inactive\\b"),"$1Active")},iconOff:function(){var b=this.panel_div;b.className=b.className.replace(RegExp("\\b("+this.displayClass+"Item)Active\\b"),"$1Inactive")},onButtonClick:function(e){var d=this.controls;e=e.buttonElement;for(var f=d.length-1;0<=f;--f){if(d[f].panel_div===e){this.activateControl(d[f]);break}}},getControlsBy:function(e,d){var f="function"==typeof d.test;return OpenLayers.Array.filter(this.controls,function(a){return a[e]==d||f&&d.test(a[e])})},getControlsByName:function(b){return this.getControlsBy("name",b)},getControlsByClass:function(b){return this.getControlsBy("CLASS_NAME",b)},CLASS_NAME:"OpenLayers.Control.Panel"});OpenLayers.Control.Button=OpenLayers.Class(OpenLayers.Control,{type:OpenLayers.Control.TYPE_BUTTON,trigger:function(){},CLASS_NAME:"OpenLayers.Control.Button"});OpenLayers.Control.ZoomIn=OpenLayers.Class(OpenLayers.Control.Button,{trigger:function(){this.map&&this.map.zoomIn()},CLASS_NAME:"OpenLayers.Control.ZoomIn"});OpenLayers.Control.ZoomOut=OpenLayers.Class(OpenLayers.Control.Button,{trigger:function(){this.map&&this.map.zoomOut()},CLASS_NAME:"OpenLayers.Control.ZoomOut"});OpenLayers.Control.ZoomToMaxExtent=OpenLayers.Class(OpenLayers.Control.Button,{trigger:function(){this.map&&this.map.zoomToMaxExtent()},CLASS_NAME:"OpenLayers.Control.ZoomToMaxExtent"});OpenLayers.Control.ZoomPanel=OpenLayers.Class(OpenLayers.Control.Panel,{initialize:function(b){OpenLayers.Control.Panel.prototype.initialize.apply(this,[b]);this.addControls([new OpenLayers.Control.ZoomIn,new OpenLayers.Control.ZoomToMaxExtent,new OpenLayers.Control.ZoomOut])},CLASS_NAME:"OpenLayers.Control.ZoomPanel"});OpenLayers.Layer.HTTPRequest=OpenLayers.Class(OpenLayers.Layer,{URL_HASH_FACTOR:(Math.sqrt(5)-1)/2,url:null,params:null,reproject:!1,initialize:function(f,e,h,g){OpenLayers.Layer.prototype.initialize.apply(this,[f,g]);this.url=e;this.params||(this.params=OpenLayers.Util.extend({},h))},destroy:function(){this.params=this.url=null;OpenLayers.Layer.prototype.destroy.apply(this,arguments)},clone:function(b){null==b&&(b=new OpenLayers.Layer.HTTPRequest(this.name,this.url,this.params,this.getOptions()));return b=OpenLayers.Layer.prototype.clone.apply(this,[b])},setUrl:function(b){this.url=b},mergeNewParams:function(b){this.params=OpenLayers.Util.extend(this.params,b);b=this.redraw();null!=this.map&&this.map.events.triggerEvent("changelayer",{layer:this,property:"params"});return b},redraw:function(b){return b?this.mergeNewParams({_olSalt:Math.random()}):OpenLayers.Layer.prototype.redraw.apply(this,[])},selectUrl:function(g,f){for(var j=1,i=0,h=g.length;i<h;i++){j*=g.charCodeAt(i)*this.URL_HASH_FACTOR,j-=Math.floor(j)}return f[Math.floor(j*f.length)]},getFullRequestString:function(h,g){var l=g||this.url,k=OpenLayers.Util.extend({},this.params),k=OpenLayers.Util.extend(k,h),j=OpenLayers.Util.getParameterString(k);OpenLayers.Util.isArray(l)&&(l=this.selectUrl(j,l));var j=OpenLayers.Util.upperCaseObject(OpenLayers.Util.getParameters(l)),i;for(i in k){i.toUpperCase() in j&&delete k[i]}j=OpenLayers.Util.getParameterString(k);return OpenLayers.Util.urlAppend(l,j)},CLASS_NAME:"OpenLayers.Layer.HTTPRequest"});OpenLayers.Tile=OpenLayers.Class({events:null,eventListeners:null,id:null,layer:null,url:null,bounds:null,size:null,position:null,isLoading:!1,initialize:function(h,g,l,k,j,i){this.layer=h;this.position=g.clone();this.setBounds(l);this.url=k;j&&(this.size=j.clone());this.id=OpenLayers.Util.createUniqueID("Tile_");OpenLayers.Util.extend(this,i);this.events=new OpenLayers.Events(this);if(this.eventListeners instanceof Object){this.events.on(this.eventListeners)}},unload:function(){this.isLoading&&(this.isLoading=!1,this.events.triggerEvent("unload"))},destroy:function(){this.position=this.size=this.bounds=this.layer=null;this.eventListeners&&this.events.un(this.eventListeners);this.events.destroy();this.events=this.eventListeners=null},draw:function(d){d||this.clear();var c=this.shouldDraw();c&&(!d&&!1===this.events.triggerEvent("beforedraw"))&&(c=null);return c},shouldDraw:function(){var e=!1,d=this.layer.maxExtent;if(d){var f=this.layer.map,f=f.baseLayer.wrapDateLine&&f.getMaxExtent();this.bounds.intersectsBounds(d,{inclusive:!1,worldBounds:f})&&(e=!0)}return e||this.layer.displayOutsideMaxExtent},setBounds:function(e){e=e.clone();if(this.layer.map.baseLayer.wrapDateLine){var d=this.layer.map.getMaxExtent(),f=this.layer.map.getResolution();e=e.wrapDateLine(d,{leftTolerance:f,rightTolerance:f})}this.bounds=e},moveTo:function(e,d,f){null==f&&(f=!0);this.setBounds(e);this.position=d.clone();f&&this.draw()},clear:function(b){},CLASS_NAME:"OpenLayers.Tile"});OpenLayers.Tile.Image=OpenLayers.Class(OpenLayers.Tile,{url:null,imgDiv:null,frame:null,imageReloadAttempts:null,layerAlphaHack:null,asyncRequestId:null,maxGetUrlLength:null,canvasContext:null,crossOriginKeyword:null,initialize:function(h,g,l,k,j,i){OpenLayers.Tile.prototype.initialize.apply(this,arguments);this.url=k;this.layerAlphaHack=this.layer.alpha&&OpenLayers.Util.alphaHack();if(null!=this.maxGetUrlLength||this.layer.gutter||this.layerAlphaHack){this.frame=document.createElement("div"),this.frame.style.position="absolute",this.frame.style.overflow="hidden"}null!=this.maxGetUrlLength&&OpenLayers.Util.extend(this,OpenLayers.Tile.Image.IFrame)},destroy:function(){this.imgDiv&&(this.clear(),this.frame=this.imgDiv=null);this.asyncRequestId=null;OpenLayers.Tile.prototype.destroy.apply(this,arguments)},draw:function(){var b=OpenLayers.Tile.prototype.draw.apply(this,arguments);b?(this.layer!=this.layer.map.baseLayer&&this.layer.reproject&&(this.bounds=this.getBoundsFromBaseLayer(this.position)),this.isLoading?this._loadEvent="reload":(this.isLoading=!0,this._loadEvent="loadstart"),this.renderTile(),this.positionTile()):!1===b&&this.unload();return b},renderTile:function(){if(this.layer.async){var b=this.asyncRequestId=(this.asyncRequestId||0)+1;this.layer.getURLasync(this.bounds,function(a){b==this.asyncRequestId&&(this.url=a,this.initImage())},this)}else{this.url=this.layer.getURL(this.bounds),this.initImage()}},positionTile:function(){var e=this.getTile().style,d=this.frame?this.size:this.layer.getImageSize(this.bounds),f=1;this.layer instanceof OpenLayers.Layer.Grid&&(f=this.layer.getServerResolution()/this.layer.map.getResolution());e.left=this.position.x+"px";e.top=this.position.y+"px";e.width=Math.round(f*d.w)+"px";e.height=Math.round(f*d.h)+"px"},clear:function(){OpenLayers.Tile.prototype.clear.apply(this,arguments);var d=this.imgDiv;if(d){var c=this.getTile();c.parentNode===this.layer.div&&this.layer.div.removeChild(c);this.setImgSrc();!0===this.layerAlphaHack&&(d.style.filter="");OpenLayers.Element.removeClass(d,"olImageLoadError")}this.canvasContext=null},getImage:function(){if(!this.imgDiv){this.imgDiv=OpenLayers.Tile.Image.IMAGE.cloneNode(!1);var e=this.imgDiv.style;if(this.frame){var d=0,f=0;this.layer.gutter&&(d=100*(this.layer.gutter/this.layer.tileSize.w),f=100*(this.layer.gutter/this.layer.tileSize.h));e.left=-d+"%";e.top=-f+"%";e.width=2*d+100+"%";e.height=2*f+100+"%"}e.visibility="hidden";e.opacity=0;1>this.layer.opacity&&(e.filter="alpha(opacity="+100*this.layer.opacity+")");e.position="absolute";this.layerAlphaHack&&(e.paddingTop=e.height,e.height="0",e.width="100%");this.frame&&this.frame.appendChild(this.imgDiv)}return this.imgDiv},setImage:function(b){this.imgDiv=b},initImage:function(){this.events.triggerEvent("beforeload");this.layer.div.appendChild(this.getTile());this.events.triggerEvent(this._loadEvent);var b=this.getImage();this.url&&OpenLayers.Util.isEquivalentUrl(b.src,this.url)?this._loadTimeout=window.setTimeout(OpenLayers.Function.bind(this.onImageLoad,this),0):(this.stopLoading(),this.crossOriginKeyword&&b.removeAttribute("crossorigin"),OpenLayers.Event.observe(b,"load",OpenLayers.Function.bind(this.onImageLoad,this)),OpenLayers.Event.observe(b,"error",OpenLayers.Function.bind(this.onImageError,this)),this.imageReloadAttempts=0,this.setImgSrc(this.url))},setImgSrc:function(d){var c=this.imgDiv;d?(c.style.visibility="hidden",c.style.opacity=0,this.crossOriginKeyword&&("data:"!==d.substr(0,5)?c.setAttribute("crossorigin",this.crossOriginKeyword):c.removeAttribute("crossorigin")),c.src=d):(this.stopLoading(),this.imgDiv=null,c.parentNode&&c.parentNode.removeChild(c))},getTile:function(){return this.frame?this.frame:this.getImage()},createBackBuffer:function(){if(this.imgDiv&&!this.isLoading){var b;this.frame?(b=this.frame.cloneNode(!1),b.appendChild(this.imgDiv)):b=this.imgDiv;this.imgDiv=null;return b}},onImageLoad:function(){var b=this.imgDiv;this.stopLoading();b.style.visibility="inherit";b.style.opacity=this.layer.opacity;this.isLoading=!1;this.canvasContext=null;this.events.triggerEvent("loadend");!0===this.layerAlphaHack&&(b.style.filter="progid:DXImageTransform.Microsoft.AlphaImageLoader(src='"+b.src+"', sizingMethod='scale')")},onImageError:function(){var b=this.imgDiv;null!=b.src&&(this.imageReloadAttempts++,this.imageReloadAttempts<=OpenLayers.IMAGE_RELOAD_ATTEMPTS?this.setImgSrc(this.layer.getURL(this.bounds)):(OpenLayers.Element.addClass(b,"olImageLoadError"),this.events.triggerEvent("loaderror"),this.onImageLoad()))},stopLoading:function(){OpenLayers.Event.stopObservingElement(this.imgDiv);window.clearTimeout(this._loadTimeout);delete this._loadTimeout},getCanvasContext:function(){if(OpenLayers.CANVAS_SUPPORTED&&this.imgDiv&&!this.isLoading){if(!this.canvasContext){var b=document.createElement("canvas");b.width=this.size.w;b.height=this.size.h;this.canvasContext=b.getContext("2d");this.canvasContext.drawImage(this.imgDiv,0,0)}return this.canvasContext}},CLASS_NAME:"OpenLayers.Tile.Image"});OpenLayers.Tile.Image.IMAGE=function(){var b=new Image;b.className="olTileImage";b.galleryImg="no";return b}();OpenLayers.Layer.Grid=OpenLayers.Class(OpenLayers.Layer.HTTPRequest,{tileSize:null,tileOriginCorner:"bl",tileOrigin:null,tileOptions:null,tileClass:OpenLayers.Tile.Image,grid:null,singleTile:!1,ratio:1.5,buffer:0,transitionEffect:"resize",numLoadingTiles:0,serverResolutions:null,loading:!1,backBuffer:null,gridResolution:null,backBufferResolution:null,backBufferLonLat:null,backBufferTimerId:null,removeBackBufferDelay:null,className:null,gridLayout:null,rowSign:null,transitionendEvents:["transitionend","webkitTransitionEnd","otransitionend","oTransitionEnd"],initialize:function(f,e,h,g){OpenLayers.Layer.HTTPRequest.prototype.initialize.apply(this,arguments);this.grid=[];this._removeBackBuffer=OpenLayers.Function.bind(this.removeBackBuffer,this);this.initProperties();this.rowSign="t"===this.tileOriginCorner.substr(0,1)?1:-1},initProperties:function(){void 0===this.options.removeBackBufferDelay&&(this.removeBackBufferDelay=this.singleTile?0:2500);void 0===this.options.className&&(this.className=this.singleTile?"olLayerGridSingleTile":"olLayerGrid")},setMap:function(b){OpenLayers.Layer.HTTPRequest.prototype.setMap.call(this,b);OpenLayers.Element.addClass(this.div,this.className)},removeMap:function(b){this.removeBackBuffer()},destroy:function(){this.removeBackBuffer();this.clearGrid();this.tileSize=this.grid=null;OpenLayers.Layer.HTTPRequest.prototype.destroy.apply(this,arguments)},clearGrid:function(){if(this.grid){for(var g=0,f=this.grid.length;g<f;g++){for(var j=this.grid[g],i=0,h=j.length;i<h;i++){this.destroyTile(j[i])}}this.grid=[];this.gridLayout=this.gridResolution=null}},addOptions:function(e,d){var f=void 0!==e.singleTile&&e.singleTile!==this.singleTile;OpenLayers.Layer.HTTPRequest.prototype.addOptions.apply(this,arguments);this.map&&f&&(this.initProperties(),this.clearGrid(),this.tileSize=this.options.tileSize,this.setTileSize(),this.moveTo(null,!0))},clone:function(b){null==b&&(b=new OpenLayers.Layer.Grid(this.name,this.url,this.params,this.getOptions()));b=OpenLayers.Layer.HTTPRequest.prototype.clone.apply(this,[b]);null!=this.tileSize&&(b.tileSize=this.tileSize.clone());b.grid=[];b.gridResolution=null;b.backBuffer=null;b.backBufferTimerId=null;b.loading=!1;b.numLoadingTiles=0;return b},moveTo:function(h,g,l){OpenLayers.Layer.HTTPRequest.prototype.moveTo.apply(this,arguments);h=h||this.map.getExtent();if(null!=h){var k=!this.grid.length||g,j=this.getTilesBounds(),i=this.map.getResolution();this.getServerResolution(i);if(this.singleTile){if(k||!l&&!j.containsBounds(h)){g&&"resize"!==this.transitionEffect&&this.removeBackBuffer(),g&&"resize"!==this.transitionEffect||this.applyBackBuffer(i),this.initSingleTile(h)}}else{(k=k||!j.intersectsBounds(h,{worldBounds:this.map.baseLayer.wrapDateLine&&this.map.getMaxExtent()}))?(!g||"resize"!==this.transitionEffect&&this.gridResolution!==i||this.applyBackBuffer(i),this.initGriddedTiles(h)):this.moveGriddedTiles()}}},getTileData:function(v){var u=null,t=v.lon,s=v.lat,r=this.grid.length;if(this.map&&r){var q=this.map.getResolution();v=this.tileSize.w;var p=this.tileSize.h,o=this.grid[0][0].bounds,n=o.left,o=o.top;if(t<n&&this.map.baseLayer.wrapDateLine){var j=this.map.getMaxExtent().getWidth(),i=Math.ceil((n-t)/j),t=t+j*i}t=(t-n)/(q*v);s=(o-s)/(q*p);q=Math.floor(t);n=Math.floor(s);0<=n&&n<r&&(r=this.grid[n][q])&&(u={tile:r,i:Math.floor((t-q)*v),j:Math.floor((s-n)*p)})}return u},destroyTile:function(b){this.removeTileMonitoringHooks(b);b.destroy()},getServerResolution:function(h){var g=Number.POSITIVE_INFINITY;h=h||this.map.getResolution();if(this.serverResolutions&&-1===OpenLayers.Util.indexOf(this.serverResolutions,h)){var l,k,j,i;for(l=this.serverResolutions.length-1;0<=l;l--){j=this.serverResolutions[l];k=Math.abs(j-h);if(k>g){break}g=k;i=j}h=i}return h},getServerZoom:function(){var b=this.getServerResolution();return this.serverResolutions?OpenLayers.Util.indexOf(this.serverResolutions,b):this.map.getZoomForResolution(b)+(this.zoomOffset||0)},applyBackBuffer:function(h){null!==this.backBufferTimerId&&this.removeBackBuffer();var g=this.backBuffer;if(!g){g=this.createBackBuffer();if(!g){return}h===this.gridResolution?this.div.insertBefore(g,this.div.firstChild):this.map.baseLayer.div.parentNode.insertBefore(g,this.map.baseLayer.div);this.backBuffer=g;var l=this.grid[0][0].bounds;this.backBufferLonLat={lon:l.left,lat:l.top};this.backBufferResolution=this.gridResolution}for(var l=this.backBufferResolution/h,k=g.childNodes,j,i=k.length-1;0<=i;--i){j=k[i],j.style.top=(l*j._i*j._h|0)+"px",j.style.left=(l*j._j*j._w|0)+"px",j.style.width=Math.round(l*j._w)+"px",j.style.height=Math.round(l*j._h)+"px"}h=this.getViewPortPxFromLonLat(this.backBufferLonLat,h);l=this.map.layerContainerOriginPx.y;g.style.left=Math.round(h.x-this.map.layerContainerOriginPx.x)+"px";g.style.top=Math.round(h.y-l)+"px"},createBackBuffer:function(){var i;if(0<this.grid.length){i=document.createElement("div");i.id=this.div.id+"_bb";i.className="olBackBuffer";i.style.position="absolute";var h=this.map;i.style.zIndex="resize"===this.transitionEffect?this.getZIndex()-1:h.Z_INDEX_BASE.BaseLayer-(h.getNumLayers()-h.getLayerIndex(this));for(var h=0,n=this.grid.length;h<n;h++){for(var m=0,l=this.grid[h].length;m<l;m++){var k=this.grid[h][m],j=this.grid[h][m].createBackBuffer();j&&(j._i=h,j._j=m,j._w=k.size.w,j._h=k.size.h,j.id=k.id+"_bb",i.appendChild(j))}}}return i},removeBackBuffer:function(){if(this._transitionElement){for(var b=this.transitionendEvents.length-1;0<=b;--b){OpenLayers.Event.stopObserving(this._transitionElement,this.transitionendEvents[b],this._removeBackBuffer)}delete this._transitionElement}this.backBuffer&&(this.backBuffer.parentNode&&this.backBuffer.parentNode.removeChild(this.backBuffer),this.backBufferResolution=this.backBuffer=null,null!==this.backBufferTimerId&&(window.clearTimeout(this.backBufferTimerId),this.backBufferTimerId=null))},moveByPx:function(d,c){this.singleTile||this.moveGriddedTiles()},setTileSize:function(b){this.singleTile&&(b=this.map.getSize(),b.h=parseInt(b.h*this.ratio,10),b.w=parseInt(b.w*this.ratio,10));OpenLayers.Layer.HTTPRequest.prototype.setTileSize.apply(this,[b])},getTilesBounds:function(){var e=null,d=this.grid.length;if(d){var e=this.grid[d-1][0].bounds,d=this.grid[0].length*e.getWidth(),f=this.grid.length*e.getHeight(),e=new OpenLayers.Bounds(e.left,e.bottom,e.left+d,e.bottom+f)}return e},initSingleTile:function(e){this.events.triggerEvent("retile");var d=e.getCenterLonLat(),f=e.getWidth()*this.ratio;e=e.getHeight()*this.ratio;d=new OpenLayers.Bounds(d.lon-f/2,d.lat-e/2,d.lon+f/2,d.lat+e/2);f=this.map.getLayerPxFromLonLat({lon:d.left,lat:d.top});this.grid.length||(this.grid[0]=[]);(e=this.grid[0][0])?e.moveTo(d,f):(e=this.addTile(d,f),this.addTileMonitoringHooks(e),e.draw(),this.grid[0][0]=e);this.removeExcessTiles(1,1);this.gridResolution=this.getServerResolution()},calculateGridLayout:function(h,g,l){var k=l*this.tileSize.w;l*=this.tileSize.h;var j=Math.floor((h.left-g.lon)/k)-this.buffer,i=this.rowSign;h=Math[~i?"floor":"ceil"](i*(g.lat-h.top+l)/l)-this.buffer*i;return{tilelon:k,tilelat:l,startcol:j,startrow:h}},getTileOrigin:function(){var d=this.tileOrigin;if(!d){var d=this.getMaxExtent(),c={tl:["left","top"],tr:["right","top"],bl:["left","bottom"],br:["right","bottom"]}[this.tileOriginCorner],d=new OpenLayers.LonLat(d[c[0]],d[c[1]])}return d},getTileBoundsForGridIndex:function(j,i){var p=this.getTileOrigin(),o=this.gridLayout,n=o.tilelon,m=o.tilelat,l=o.startcol,o=o.startrow,k=this.rowSign;return new OpenLayers.Bounds(p.lon+(l+i)*n,p.lat-(o+j*k)*m*k,p.lon+(l+i+1)*n,p.lat-(o+(j-1)*k)*m*k)},initGriddedTiles:function(E){this.events.triggerEvent("retile");var D=this.map.getSize(),C=this.getTileOrigin(),B=this.map.getResolution(),A=this.getServerResolution(),z=B/A,B=this.tileSize.w/z,z=this.tileSize.h/z,y=Math.ceil(D.h/z)+2*this.buffer+1,D=Math.ceil(D.w/B)+2*this.buffer+1;this.gridLayout=A=this.calculateGridLayout(E,C,A);var C=A.tilelon,x=A.tilelat,A=this.map.layerContainerOriginPx.x,w=this.map.layerContainerOriginPx.y,v=this.getTileBoundsForGridIndex(0,0),u=this.map.getViewPortPxFromLonLat(new OpenLayers.LonLat(v.left,v.top));u.x=Math.round(u.x)-A;u.y=Math.round(u.y)-w;var A=[],w=this.map.getCenter(),t=0;do{var o=this.grid[t];o||(o=[],this.grid.push(o));var j=0;do{var v=this.getTileBoundsForGridIndex(t,j),i=u.clone();i.x+=j*Math.round(B);i.y+=t*Math.round(z);var F=o[j];F?F.moveTo(v,i,!1):(F=this.addTile(v,i),this.addTileMonitoringHooks(F),o.push(F));i=v.getCenterLonLat();A.push({tile:F,distance:Math.pow(i.lon-w.lon,2)+Math.pow(i.lat-w.lat,2)});j+=1}while(v.right<=E.right+C*this.buffer||j<D);t+=1}while(v.bottom>=E.bottom-x*this.buffer||t<y);this.removeExcessTiles(t,j);this.gridResolution=B=this.getServerResolution();A.sort(function(d,c){return d.distance-c.distance});E=0;for(B=A.length;E<B;++E){A[E].tile.draw()}},getMaxExtent:function(){return this.maxExtent},addTile:function(e,d){var f=new this.tileClass(this,d,e,null,this.tileSize,this.tileOptions);this.events.triggerEvent("addtile",{tile:f});return f},addTileMonitoringHooks:function(b){b.onLoadStart=function(){!1===this.loading&&(this.loading=!0,this.events.triggerEvent("loadstart"));this.events.triggerEvent("tileloadstart",{tile:b});this.numLoadingTiles++;!this.singleTile&&(this.backBuffer&&this.gridResolution===this.backBufferResolution)&&OpenLayers.Element.addClass(b.getTile(),"olTileReplacing")};b.onLoadEnd=function(a){this.numLoadingTiles--;a="unload"===a.type;this.events.triggerEvent("tileloaded",{tile:b,aborted:a});if(!this.singleTile&&!a&&this.backBuffer&&this.gridResolution===this.backBufferResolution){var f=b.getTile();if("none"===OpenLayers.Element.getStyle(f,"display")){var e=document.getElementById(b.id+"_bb");e&&e.parentNode.removeChild(e)}OpenLayers.Element.removeClass(f,"olTileReplacing")}if(0===this.numLoadingTiles){if(this.backBuffer){if(0===this.backBuffer.childNodes.length){this.removeBackBuffer()}else{this._transitionElement=a?this.div.lastChild:b.imgDiv;a=this.transitionendEvents;for(f=a.length-1;0<=f;--f){OpenLayers.Event.observe(this._transitionElement,a[f],this._removeBackBuffer)}this.backBufferTimerId=window.setTimeout(this._removeBackBuffer,this.removeBackBufferDelay)}}this.loading=!1;this.events.triggerEvent("loadend")}};b.onLoadError=function(){this.events.triggerEvent("tileerror",{tile:b})};b.events.on({loadstart:b.onLoadStart,loadend:b.onLoadEnd,unload:b.onLoadEnd,loaderror:b.onLoadError,scope:this})},removeTileMonitoringHooks:function(b){b.unload();b.events.un({loadstart:b.onLoadStart,loadend:b.onLoadEnd,unload:b.onLoadEnd,loaderror:b.onLoadError,scope:this})},moveGriddedTiles:function(){for(var f=this.buffer+1;;){var e=this.grid[0][0],h=e.position.x+this.map.layerContainerOriginPx.x,e=e.position.y+this.map.layerContainerOriginPx.y,g=this.getServerResolution()/this.map.getResolution(),g={w:Math.round(this.tileSize.w*g),h:Math.round(this.tileSize.h*g)};if(h>-g.w*(f-1)){this.shiftColumn(!0,g)}else{if(h<-g.w*f){this.shiftColumn(!1,g)}else{if(e>-g.h*(f-1)){this.shiftRow(!0,g)}else{if(e<-g.h*f){this.shiftRow(!1,g)}else{break}}}}}},shiftRow:function(v,u){var t=this.grid,s=v?0:t.length-1,r=v?-1:1;this.gridLayout.startrow+=r*this.rowSign;for(var q=t[s],p=t[v?"pop":"shift"](),o=0,n=p.length;o<n;o++){var j=p[o],i=q[o].position.clone();i.y+=u.h*r;j.moveTo(this.getTileBoundsForGridIndex(s,o),i)}t[v?"unshift":"push"](p)},shiftColumn:function(t,s){var r=this.grid,q=t?0:r[0].length-1,p=t?-1:1;this.gridLayout.startcol+=p;for(var o=0,n=r.length;o<n;o++){var m=r[o],j=m[q].position.clone(),i=m[t?"pop":"shift"]();j.x+=s.w*p;i.moveTo(this.getTileBoundsForGridIndex(o,q),j);m[t?"unshift":"push"](i)}},removeExcessTiles:function(h,g){for(var l,k;this.grid.length>h;){var j=this.grid.pop();l=0;for(k=j.length;l<k;l++){var i=j[l];this.destroyTile(i)}}l=0;for(k=this.grid.length;l<k;l++){for(;this.grid[l].length>g;){j=this.grid[l],i=j.pop(),this.destroyTile(i)}}},onMapResize:function(){this.singleTile&&(this.clearGrid(),this.setTileSize())},getTileBounds:function(g){var f=this.maxExtent,j=this.getResolution(),i=j*this.tileSize.w,j=j*this.tileSize.h,h=this.getLonLatFromViewPortPx(g);g=f.left+i*Math.floor((h.lon-f.left)/i);f=f.bottom+j*Math.floor((h.lat-f.bottom)/j);return new OpenLayers.Bounds(g,f,g+i,f+j)},CLASS_NAME:"OpenLayers.Layer.Grid"});OpenLayers.Format.ArcXML=OpenLayers.Class(OpenLayers.Format.XML,{fontStyleKeys:"antialiasing blockout font fontcolor fontsize fontstyle glowing interval outline printmode shadow transparency".split(" "),request:null,response:null,initialize:function(d){this.request=new OpenLayers.Format.ArcXML.Request;this.response=new OpenLayers.Format.ArcXML.Response;if(d){if("feature"==d.requesttype){this.request.get_image=null;var c=this.request.get_feature.query;this.addCoordSys(c.featurecoordsys,d.featureCoordSys);this.addCoordSys(c.filtercoordsys,d.filterCoordSys);d.polygon?(c.isspatial=!0,c.spatialfilter.polygon=d.polygon):d.envelope&&(c.isspatial=!0,c.spatialfilter.envelope={minx:0,miny:0,maxx:0,maxy:0},this.parseEnvelope(c.spatialfilter.envelope,d.envelope))}else{"image"==d.requesttype?(this.request.get_feature=null,c=this.request.get_image.properties,this.parseEnvelope(c.envelope,d.envelope),this.addLayers(c.layerlist,d.layers),this.addImageSize(c.imagesize,d.tileSize),this.addCoordSys(c.featurecoordsys,d.featureCoordSys),this.addCoordSys(c.filtercoordsys,d.filterCoordSys)):this.request=null}}OpenLayers.Format.XML.prototype.initialize.apply(this,[d])},parseEnvelope:function(d,c){c&&4==c.length&&(d.minx=c[0],d.miny=c[1],d.maxx=c[2],d.maxy=c[3])},addLayers:function(f,e){for(var h=0,g=e.length;h<g;h++){f.push(e[h])}},addImageSize:function(d,c){null!==c&&(d.width=c.w,d.height=c.h,d.printwidth=c.w,d.printheight=c.h)},addCoordSys:function(d,c){"string"==typeof c?(d.id=parseInt(c),d.string=c):"object"==typeof c&&null!==c.proj&&(d.id=c.proj.srsProjNumber,d.string=c.proj.srsCode)},iserror:function(d){var c=null;d?(d=OpenLayers.Format.XML.prototype.read.apply(this,[d]),d=d.documentElement.getElementsByTagName("ERROR"),c=null!==d&&0<d.length):c=""!==this.response.error;return c},read:function(g){"string"==typeof g&&(g=OpenLayers.Format.XML.prototype.read.apply(this,[g]));var f=null;g&&g.documentElement&&(f="ARCXML"==g.documentElement.nodeName?g.documentElement:g.documentElement.getElementsByTagName("ARCXML")[0]);if(!f||"parsererror"===f.firstChild.nodeName){var j,i;try{j=g.firstChild.nodeValue,i=g.firstChild.childNodes[1].firstChild.nodeValue}catch(h){}throw {message:"Error parsing the ArcXML request",error:j,source:i}}return this.parseResponse(f)},write:function(j){j||(j=this.request);var i=this.createElementNS("","ARCXML");i.setAttribute("version","1.1");var p=this.createElementNS("","REQUEST");if(null!=j.get_image){var o=this.createElementNS("","GET_IMAGE");p.appendChild(o);var n=this.createElementNS("","PROPERTIES");o.appendChild(n);j=j.get_image.properties;null!=j.featurecoordsys&&(o=this.createElementNS("","FEATURECOORDSYS"),n.appendChild(o),0===j.featurecoordsys.id?o.setAttribute("string",j.featurecoordsys.string):o.setAttribute("id",j.featurecoordsys.id));null!=j.filtercoordsys&&(o=this.createElementNS("","FILTERCOORDSYS"),n.appendChild(o),0===j.filtercoordsys.id?o.setAttribute("string",j.filtercoordsys.string):o.setAttribute("id",j.filtercoordsys.id));null!=j.envelope&&(o=this.createElementNS("","ENVELOPE"),n.appendChild(o),o.setAttribute("minx",j.envelope.minx),o.setAttribute("miny",j.envelope.miny),o.setAttribute("maxx",j.envelope.maxx),o.setAttribute("maxy",j.envelope.maxy));o=this.createElementNS("","IMAGESIZE");n.appendChild(o);o.setAttribute("height",j.imagesize.height);o.setAttribute("width",j.imagesize.width);if(j.imagesize.height!=j.imagesize.printheight||j.imagesize.width!=j.imagesize.printwidth){o.setAttribute("printheight",j.imagesize.printheight),o.setArrtibute("printwidth",j.imagesize.printwidth)}null!=j.background&&(o=this.createElementNS("","BACKGROUND"),n.appendChild(o),o.setAttribute("color",j.background.color.r+","+j.background.color.g+","+j.background.color.b),null!==j.background.transcolor&&o.setAttribute("transcolor",j.background.transcolor.r+","+j.background.transcolor.g+","+j.background.transcolor.b));if(null!=j.layerlist&&0<j.layerlist.length){for(o=this.createElementNS("","LAYERLIST"),n.appendChild(o),n=0;n<j.layerlist.length;n++){var m=this.createElementNS("","LAYERDEF");o.appendChild(m);m.setAttribute("id",j.layerlist[n].id);m.setAttribute("visible",j.layerlist[n].visible);if("object"==typeof j.layerlist[n].query){var l=j.layerlist[n].query;if(0>l.where.length){continue}var k=null,k="boolean"==typeof l.spatialfilter&&l.spatialfilter?this.createElementNS("","SPATIALQUERY"):this.createElementNS("","QUERY");k.setAttribute("where",l.where);"number"==typeof l.accuracy&&0<l.accuracy&&k.setAttribute("accuracy",l.accuracy);"number"==typeof l.featurelimit&&2000>l.featurelimit&&k.setAttribute("featurelimit",l.featurelimit);"string"==typeof l.subfields&&"#ALL#"!=l.subfields&&k.setAttribute("subfields",l.subfields);"string"==typeof l.joinexpression&&0<l.joinexpression.length&&k.setAttribute("joinexpression",l.joinexpression);"string"==typeof l.jointables&&0<l.jointables.length&&k.setAttribute("jointables",l.jointables);m.appendChild(k)}"object"==typeof j.layerlist[n].renderer&&this.addRenderer(m,j.layerlist[n].renderer)}}}else{null!=j.get_feature&&(o=this.createElementNS("","GET_FEATURES"),o.setAttribute("outputmode","newxml"),o.setAttribute("checkesc","true"),j.get_feature.geometry?o.setAttribute("geometry",j.get_feature.geometry):o.setAttribute("geometry","false"),j.get_feature.compact&&o.setAttribute("compact",j.get_feature.compact),"number"==j.get_feature.featurelimit&&o.setAttribute("featurelimit",j.get_feature.featurelimit),o.setAttribute("globalenvelope","true"),p.appendChild(o),null!=j.get_feature.layer&&0<j.get_feature.layer.length&&(n=this.createElementNS("","LAYER"),n.setAttribute("id",j.get_feature.layer),o.appendChild(n)),j=j.get_feature.query,null!=j&&(n=null,n=j.isspatial?this.createElementNS("","SPATIALQUERY"):this.createElementNS("","QUERY"),o.appendChild(n),"number"==typeof j.accuracy&&n.setAttribute("accuracy",j.accuracy),null!=j.featurecoordsys&&(o=this.createElementNS("","FEATURECOORDSYS"),0==j.featurecoordsys.id?o.setAttribute("string",j.featurecoordsys.string):o.setAttribute("id",j.featurecoordsys.id),n.appendChild(o)),null!=j.filtercoordsys&&(o=this.createElementNS("","FILTERCOORDSYS"),0===j.filtercoordsys.id?o.setAttribute("string",j.filtercoordsys.string):o.setAttribute("id",j.filtercoordsys.id),n.appendChild(o)),0<j.buffer&&(o=this.createElementNS("","BUFFER"),o.setAttribute("distance",j.buffer),n.appendChild(o)),j.isspatial&&(o=this.createElementNS("","SPATIALFILTER"),o.setAttribute("relation",j.spatialfilter.relation),n.appendChild(o),j.spatialfilter.envelope?(m=this.createElementNS("","ENVELOPE"),m.setAttribute("minx",j.spatialfilter.envelope.minx),m.setAttribute("miny",j.spatialfilter.envelope.miny),m.setAttribute("maxx",j.spatialfilter.envelope.maxx),m.setAttribute("maxy",j.spatialfilter.envelope.maxy),o.appendChild(m)):"object"==typeof j.spatialfilter.polygon&&o.appendChild(this.writePolygonGeometry(j.spatialfilter.polygon))),null!=j.where&&0<j.where.length&&n.setAttribute("where",j.where)))}i.appendChild(p);return OpenLayers.Format.XML.prototype.write.apply(this,[i])},addGroupRenderer:function(f,e){var h=this.createElementNS("","GROUPRENDERER");f.appendChild(h);for(var g=0;g<e.length;g++){this.addRenderer(h,e[g])}},addRenderer:function(e,d){if(OpenLayers.Util.isArray(d)){this.addGroupRenderer(e,d)}else{var f=this.createElementNS("",d.type.toUpperCase()+"RENDERER");e.appendChild(f);"VALUEMAPRENDERER"==f.tagName?this.addValueMapRenderer(f,d):"VALUEMAPLABELRENDERER"==f.tagName?this.addValueMapLabelRenderer(f,d):"SIMPLELABELRENDERER"==f.tagName?this.addSimpleLabelRenderer(f,d):"SCALEDEPENDENTRENDERER"==f.tagName&&this.addScaleDependentRenderer(f,d)}},addScaleDependentRenderer:function(d,c){"string"!=typeof c.lower&&"number"!=typeof c.lower||d.setAttribute("lower",c.lower);"string"!=typeof c.upper&&"number"!=typeof c.upper||d.setAttribute("upper",c.upper);this.addRenderer(d,c.renderer)},addValueMapLabelRenderer:function(v,u){v.setAttribute("lookupfield",u.lookupfield);v.setAttribute("labelfield",u.labelfield);if("object"==typeof u.exacts){for(var t=0,s=u.exacts.length;t<s;t++){var r=u.exacts[t],q=this.createElementNS("","EXACT");"string"==typeof r.value&&q.setAttribute("value",r.value);"string"==typeof r.label&&q.setAttribute("label",r.label);"string"==typeof r.method&&q.setAttribute("method",r.method);v.appendChild(q);if("object"==typeof r.symbol){var p=null;"text"==r.symbol.type&&(p=this.createElementNS("","TEXTSYMBOL"));if(null!=p){for(var o=this.fontStyleKeys,n=0,j=o.length;n<j;n++){var i=o[n];r.symbol[i]&&p.setAttribute(i,r.symbol[i])}q.appendChild(p)}}}}},addValueMapRenderer:function(i,h){i.setAttribute("lookupfield",h.lookupfield);if("object"==typeof h.ranges){for(var n=0,m=h.ranges.length;n<m;n++){var l=h.ranges[n],k=this.createElementNS("","RANGE");k.setAttribute("lower",l.lower);k.setAttribute("upper",l.upper);i.appendChild(k);if("object"==typeof l.symbol){var j=null;"simplepolygon"==l.symbol.type&&(j=this.createElementNS("","SIMPLEPOLYGONSYMBOL"));null!=j&&("string"==typeof l.symbol.boundarycolor&&j.setAttribute("boundarycolor",l.symbol.boundarycolor),"string"==typeof l.symbol.fillcolor&&j.setAttribute("fillcolor",l.symbol.fillcolor),"number"==typeof l.symbol.filltransparency&&j.setAttribute("filltransparency",l.symbol.filltransparency),k.appendChild(j))}}}else{if("object"==typeof h.exacts){for(n=0,m=h.exacts.length;n<m;n++){l=h.exacts[n],k=this.createElementNS("","EXACT"),"string"==typeof l.value&&k.setAttribute("value",l.value),"string"==typeof l.label&&k.setAttribute("label",l.label),"string"==typeof l.method&&k.setAttribute("method",l.method),i.appendChild(k),"object"==typeof l.symbol&&(j=null,"simplemarker"==l.symbol.type&&(j=this.createElementNS("","SIMPLEMARKERSYMBOL")),null!=j&&("string"==typeof l.symbol.antialiasing&&j.setAttribute("antialiasing",l.symbol.antialiasing),"string"==typeof l.symbol.color&&j.setAttribute("color",l.symbol.color),"string"==typeof l.symbol.outline&&j.setAttribute("outline",l.symbol.outline),"string"==typeof l.symbol.overlap&&j.setAttribute("overlap",l.symbol.overlap),"string"==typeof l.symbol.shadow&&j.setAttribute("shadow",l.symbol.shadow),"number"==typeof l.symbol.transparency&&j.setAttribute("transparency",l.symbol.transparency),"string"==typeof l.symbol.usecentroid&&j.setAttribute("usecentroid",l.symbol.usecentroid),"number"==typeof l.symbol.width&&j.setAttribute("width",l.symbol.width),k.appendChild(j)))}}}},addSimpleLabelRenderer:function(j,i){j.setAttribute("field",i.field);for(var p="featureweight howmanylabels labelbufferratio labelpriorities labelweight linelabelposition rotationalangles".split(" "),o=0,n=p.length;o<n;o++){var m=p[o];i[m]&&j.setAttribute(m,i[m])}if("text"==i.symbol.type){var l=i.symbol,k=this.createElementNS("","TEXTSYMBOL");j.appendChild(k);p=this.fontStyleKeys;o=0;for(n=p.length;o<n;o++){m=p[o],l[m]&&k.setAttribute(m,i[m])}}},writePolygonGeometry:function(t){if(!(t instanceof OpenLayers.Geometry.Polygon)){throw {message:"Cannot write polygon geometry to ArcXML with an "+t.CLASS_NAME+" object.",geometry:t}}for(var s=this.createElementNS("","POLYGON"),r=0,q=t.components.length;r<q;r++){for(var p=t.components[r],o=this.createElementNS("","RING"),n=0,m=p.components.length;n<m;n++){var j=p.components[n],i=this.createElementNS("","POINT");i.setAttribute("x",j.x);i.setAttribute("y",j.y);o.appendChild(i)}s.appendChild(o)}return s},parseResponse:function(t){"string"==typeof t&&(t=(new OpenLayers.Format.XML).read(t));var s=new OpenLayers.Format.ArcXML.Response,r=t.getElementsByTagName("ERROR");if(null!=r&&0<r.length){s.error=this.getChildValue(r,"Unknown error.")}else{r=t.getElementsByTagName("RESPONSE");if(null==r||0==r.length){return s.error="No RESPONSE tag found in ArcXML response.",s}var q=r[0].firstChild.nodeName;"#text"==q&&(q=r[0].firstChild.nextSibling.nodeName);if("IMAGE"==q){r=t.getElementsByTagName("ENVELOPE"),t=t.getElementsByTagName("OUTPUT"),null==r||0==r.length?s.error="No ENVELOPE tag found in ArcXML response.":null==t||0==t.length?s.error="No OUTPUT tag found in ArcXML response.":(r=this.parseAttributes(r[0]),q=this.parseAttributes(t[0]),s.image="string"==typeof q.type?{envelope:r,output:{type:q.type,data:this.getChildValue(t[0])}}:{envelope:r,output:q})}else{if("FEATURES"==q){if(t=r[0].getElementsByTagName("FEATURES"),r=t[0].getElementsByTagName("FEATURECOUNT"),s.features.featurecount=r[0].getAttribute("count"),0<s.features.featurecount){for(r=t[0].getElementsByTagName("ENVELOPE"),s.features.envelope=this.parseAttributes(r[0],"number"),t=t[0].getElementsByTagName("FEATURE"),r=0;r<t.length;r++){for(var q=new OpenLayers.Feature.Vector,p=t[r].getElementsByTagName("FIELD"),o=0;o<p.length;o++){var n=p[o].getAttribute("name"),m=p[o].getAttribute("value");q.attributes[n]=m}p=t[r].getElementsByTagName("POLYGON");if(0<p.length){p=p[0].getElementsByTagName("RING");o=[];for(n=0;n<p.length;n++){m=[];m.push(this.parsePointGeometry(p[n]));for(var j=p[n].getElementsByTagName("HOLE"),i=0;i<j.length;i++){m.push(this.parsePointGeometry(j[i]))}o.push(new OpenLayers.Geometry.Polygon(m))}q.geometry=1==o.length?o[0]:new OpenLayers.Geometry.MultiPolygon(o)}s.features.feature.push(q)}}}else{s.error="Unidentified response type."}}}return s},parseAttributes:function(f,e){for(var h={},g=0;g<f.attributes.length;g++){h[f.attributes[g].nodeName]="number"==e?parseFloat(f.attributes[g].nodeValue):f.attributes[g].nodeValue}return h},parsePointGeometry:function(f){var e=[],h=f.getElementsByTagName("COORDS");if(0<h.length){for(f=this.getChildValue(h[0]),f=f.split(/;/),h=0;h<f.length;h++){var g=f[h].split(/ /);e.push(new OpenLayers.Geometry.Point(g[0],g[1]))}}else{if(f=f.getElementsByTagName("POINT"),0<f.length){for(h=0;h<f.length;h++){e.push(new OpenLayers.Geometry.Point(parseFloat(f[h].getAttribute("x")),parseFloat(f[h].getAttribute("y"))))}}}return new OpenLayers.Geometry.LinearRing(e)},CLASS_NAME:"OpenLayers.Format.ArcXML"});OpenLayers.Format.ArcXML.Request=OpenLayers.Class({initialize:function(b){return OpenLayers.Util.extend(this,{get_image:{properties:{background:null,draw:!0,envelope:{minx:0,miny:0,maxx:0,maxy:0},featurecoordsys:{id:0,string:"",datumtransformid:0,datumtransformstring:""},filtercoordsys:{id:0,string:"",datumtransformid:0,datumtransformstring:""},imagesize:{height:0,width:0,dpi:96,printheight:0,printwidth:0,scalesymbols:!1},layerlist:[],output:{baseurl:"",legendbaseurl:"",legendname:"",legendpath:"",legendurl:"",name:"",path:"",type:"jpg",url:""}}},get_feature:{layer:"",query:{isspatial:!1,featurecoordsys:{id:0,string:"",datumtransformid:0,datumtransformstring:""},filtercoordsys:{id:0,string:"",datumtransformid:0,datumtransformstring:""},buffer:0,where:"",spatialfilter:{relation:"envelope_intersection",envelope:null}}},environment:{separators:{cs:" ",ts:";"}},layer:[],workspaces:[]})},CLASS_NAME:"OpenLayers.Format.ArcXML.Request"});OpenLayers.Format.ArcXML.Response=OpenLayers.Class({initialize:function(b){return OpenLayers.Util.extend(this,{image:{envelope:null,output:""},features:{featurecount:0,envelope:null,feature:[]},error:""})},CLASS_NAME:"OpenLayers.Format.ArcXML.Response"});(function(){function r(){this._object=m&&!i?new m:new window.ActiveXObject("Microsoft.XMLHTTP");this._listeners=[]}function q(){return new r}function p(b){q.onreadystatechange&&q.onreadystatechange.apply(b);b.dispatchEvent({type:"readystatechange",bubbles:!1,cancelable:!1,timeStamp:new Date+0})}function o(z){try{z.responseText=z._object.responseText}catch(y){}try{var x;var w=z._object,v=w.responseXML,t=w.responseText;j&&(t&&v&&!v.documentElement&&w.getResponseHeader("Content-Type").match(/[^\/]+\/[^\+]+\+xml/))&&(v=new window.ActiveXObject("Microsoft.XMLDOM"),v.async=!1,v.validateOnParse=!1,v.loadXML(t));x=v&&(j&&0!=v.parseError||!v.documentElement||v.documentElement&&"parsererror"==v.documentElement.tagName)?null:v;z.responseXML=x}catch(s){}try{z.status=z._object.status}catch(h){}try{z.statusText=z._object.statusText}catch(A){}}function n(b){b._object.onreadystatechange=new window.Function}var m=window.XMLHttpRequest,l=!!window.controllers,j=window.document.all&&!window.opera,i=j&&window.navigator.userAgent.match(/MSIE 7.0/);q.prototype=r.prototype;l&&m.wrapped&&(q.wrapped=m.wrapped);q.UNSENT=0;q.OPENED=1;q.HEADERS_RECEIVED=2;q.LOADING=3;q.DONE=4;q.prototype.readyState=q.UNSENT;q.prototype.responseText="";q.prototype.responseXML=null;q.prototype.status=0;q.prototype.statusText="";q.prototype.priority="NORMAL";q.prototype.onreadystatechange=null;q.onreadystatechange=null;q.onopen=null;q.onsend=null;q.onabort=null;q.prototype.open=function(b,u,c,v,h){delete this._headers;3>arguments.length&&(c=!0);this._async=c;var g=this,e=this.readyState,d;j&&c&&(d=function(){e!=q.DONE&&(n(g),g.abort())},window.attachEvent("onunload",d));q.onopen&&q.onopen.apply(this,arguments);4<arguments.length?this._object.open(b,u,c,v,h):3<arguments.length?this._object.open(b,u,c,v):this._object.open(b,u,c);this.readyState=q.OPENED;p(this);this._object.onreadystatechange=function(){if(!l||c){g.readyState=g._object.readyState,o(g),g._aborted?g.readyState=q.UNSENT:(g.readyState==q.DONE&&(delete g._data,n(g),j&&c&&window.detachEvent("onunload",d)),e!=g.readyState&&p(g),e=g.readyState)}}};q.prototype.send=function(b){q.onsend&&q.onsend.apply(this,arguments);arguments.length||(b=null);b&&b.nodeType&&(b=window.XMLSerializer?(new window.XMLSerializer).serializeToString(b):b.xml,this._headers["Content-Type"]||this._object.setRequestHeader("Content-Type","application/xml"));this._data=b;b:if(this._object.send(this._data),l&&!this._async){for(this.readyState=q.OPENED,o(this);this.readyState<q.DONE;){if(this.readyState++,p(this),this._aborted){break b}}}};q.prototype.abort=function(){q.onabort&&q.onabort.apply(this,arguments);this.readyState>q.UNSENT&&(this._aborted=!0);this._object.abort();n(this);this.readyState=q.UNSENT;delete this._data};q.prototype.getAllResponseHeaders=function(){return this._object.getAllResponseHeaders()};q.prototype.getResponseHeader=function(b){return this._object.getResponseHeader(b)};q.prototype.setRequestHeader=function(d,c){this._headers||(this._headers={});this._headers[d]=c;return this._object.setRequestHeader(d,c)};q.prototype.addEventListener=function(g,f,s){for(var k=0,h;h=this._listeners[k];k++){if(h[0]==g&&h[1]==f&&h[2]==s){return}}this._listeners.push([g,f,s])};q.prototype.removeEventListener=function(g,f,s){for(var k=0,h;(h=this._listeners[k])&&(h[0]!=g||h[1]!=f||h[2]!=s);k++){}h&&this._listeners.splice(k,1)};q.prototype.dispatchEvent=function(e){e={type:e.type,target:this,currentTarget:this,eventPhase:2,bubbles:e.bubbles,cancelable:e.cancelable,timeStamp:e.timeStamp,stopPropagation:function(){},preventDefault:function(){},initEvent:function(){}};"readystatechange"==e.type&&this.onreadystatechange&&(this.onreadystatechange.handleEvent||this.onreadystatechange).apply(this,[e]);for(var d=0,f;f=this._listeners[d];d++){f[0]!=e.type||f[2]||(f[1].handleEvent||f[1]).apply(this,[e])}};q.prototype.toString=function(){return"[object XMLHttpRequest]"};q.toString=function(){return"[XMLHttpRequest]"};window.Function.prototype.apply||(window.Function.prototype.apply=function(d,c){c||(c=[]);d.__func=this;d.__func(c[0],c[1],c[2],c[3],c[4]);delete d.__func});OpenLayers.Request||(OpenLayers.Request={});OpenLayers.Request.XMLHttpRequest=q})();OpenLayers.ProxyHost="";OpenLayers.Request||(OpenLayers.Request={});OpenLayers.Util.extend(OpenLayers.Request,{DEFAULT_CONFIG:{method:"GET",url:window.location.href,async:!0,user:void 0,password:void 0,params:null,proxy:OpenLayers.ProxyHost,headers:{},data:null,callback:function(){},success:null,failure:null,scope:null},URL_SPLIT_REGEX:/([^:]*:)\/\/([^:]*:?[^@]*@)?([^:\/\?]*):?([^\/\?]*)/,events:new OpenLayers.Events(this),makeSameOrigin:function(g,f){var j=0!==g.indexOf("http"),i=!j&&g.match(this.URL_SPLIT_REGEX);if(i){var h=window.location,j=i[1]==h.protocol&&i[3]==h.hostname,i=i[4],h=h.port;if(80!=i&&""!=i||"80"!=h&&""!=h){j=j&&i==h}}j||f&&(g="function"==typeof f?f(g):f+encodeURIComponent(g));return g},issue:function(j){var i=OpenLayers.Util.extend(this.DEFAULT_CONFIG,{proxy:OpenLayers.ProxyHost});j=j||{};j.headers=j.headers||{};j=OpenLayers.Util.applyDefaults(j,i);j.headers=OpenLayers.Util.applyDefaults(j.headers,i.headers);var i=!1,p;for(p in j.headers){j.headers.hasOwnProperty(p)&&"x-requested-with"===p.toLowerCase()&&(i=!0)}!1===i&&(j.headers["X-Requested-With"]="XMLHttpRequest");var o=new OpenLayers.Request.XMLHttpRequest,n=OpenLayers.Util.urlAppend(j.url,OpenLayers.Util.getParameterString(j.params||{})),n=OpenLayers.Request.makeSameOrigin(n,j.proxy);o.open(j.method,n,j.async,j.user,j.password);for(var m in j.headers){o.setRequestHeader(m,j.headers[m])}var l=this.events,k=this;o.onreadystatechange=function(){o.readyState==OpenLayers.Request.XMLHttpRequest.DONE&&!1!==l.triggerEvent("complete",{request:o,config:j,requestUrl:n})&&k.runCallbacks({request:o,config:j,requestUrl:n})};!1===j.async?o.send(j.data):window.setTimeout(function(){0!==o.readyState&&o.send(j.data)},0);return o},runCallbacks:function(h){var g=h.request,l=h.config,k=l.scope?OpenLayers.Function.bind(l.callback,l.scope):l.callback,j;l.success&&(j=l.scope?OpenLayers.Function.bind(l.success,l.scope):l.success);var i;l.failure&&(i=l.scope?OpenLayers.Function.bind(l.failure,l.scope):l.failure);"file:"==OpenLayers.Util.createUrlObject(l.url).protocol&&g.responseText&&(g.status=200);k(g);if(!g.status||200<=g.status&&300>g.status){this.events.triggerEvent("success",h),j&&j(g)}g.status&&(200>g.status||300<=g.status)&&(this.events.triggerEvent("failure",h),i&&i(g))},GET:function(b){b=OpenLayers.Util.extend(b,{method:"GET"});return OpenLayers.Request.issue(b)},POST:function(b){b=OpenLayers.Util.extend(b,{method:"POST"});b.headers=b.headers?b.headers:{};"CONTENT-TYPE" in OpenLayers.Util.upperCaseObject(b.headers)||(b.headers["Content-Type"]="application/xml");return OpenLayers.Request.issue(b)},PUT:function(b){b=OpenLayers.Util.extend(b,{method:"PUT"});b.headers=b.headers?b.headers:{};"CONTENT-TYPE" in OpenLayers.Util.upperCaseObject(b.headers)||(b.headers["Content-Type"]="application/xml");return OpenLayers.Request.issue(b)},DELETE:function(b){b=OpenLayers.Util.extend(b,{method:"DELETE"});return OpenLayers.Request.issue(b)},HEAD:function(b){b=OpenLayers.Util.extend(b,{method:"HEAD"});return OpenLayers.Request.issue(b)},OPTIONS:function(b){b=OpenLayers.Util.extend(b,{method:"OPTIONS"});return OpenLayers.Request.issue(b)}});OpenLayers.Layer.ArcIMS=OpenLayers.Class(OpenLayers.Layer.Grid,{DEFAULT_PARAMS:{ClientVersion:"9.2",ServiceName:""},featureCoordSys:"4326",filterCoordSys:"4326",layers:null,async:!0,name:"ArcIMS",isBaseLayer:!0,DEFAULT_OPTIONS:{tileSize:new OpenLayers.Size(512,512),featureCoordSys:"4326",filterCoordSys:"4326",layers:null,isBaseLayer:!0,async:!0,name:"ArcIMS"},initialize:function(e,d,f){this.tileSize=new OpenLayers.Size(512,512);this.params=OpenLayers.Util.applyDefaults({ServiceName:f.serviceName},this.DEFAULT_PARAMS);this.options=OpenLayers.Util.applyDefaults(f,this.DEFAULT_OPTIONS);OpenLayers.Layer.Grid.prototype.initialize.apply(this,[e,d,this.params,f]);this.transparent&&(this.isBaseLayer||(this.isBaseLayer=!1),"image/jpeg"==this.format&&(this.format=OpenLayers.Util.alphaHack()?"image/gif":"image/png"));null===this.options.layers&&(this.options.layers=[])},getURL:function(d){var c="";d=this.adjustBounds(d);d=new OpenLayers.Format.ArcXML(OpenLayers.Util.extend(this.options,{requesttype:"image",envelope:d.toArray(),tileSize:this.tileSize}));d=new OpenLayers.Request.POST({url:this.getFullRequestString(),data:d.write(),async:!1});null!=d&&(c=d.responseXML,c&&c.documentElement||(c=d.responseText),c=(new OpenLayers.Format.ArcXML).read(c),c=this.getUrlOrImage(c.image.output));return c},getURLasync:function(e,d,f){e=this.adjustBounds(e);e=new OpenLayers.Format.ArcXML(OpenLayers.Util.extend(this.options,{requesttype:"image",envelope:e.toArray(),tileSize:this.tileSize}));OpenLayers.Request.POST({url:this.getFullRequestString(),async:!0,data:e.write(),callback:function(b){var c=b.responseXML;c&&c.documentElement||(c=b.responseText);b=(new OpenLayers.Format.ArcXML).read(c);d.call(f,this.getUrlOrImage(b.image.output))},scope:this})},getUrlOrImage:function(d){var c="";d.url?c=d.url:d.data&&(c="data:image/"+d.type+";base64,"+d.data);return c},setLayerQuery:function(e,d){for(var f=0;f<this.options.layers.length;f++){if(e==this.options.layers[f].id){this.options.layers[f].query=d;return}}this.options.layers.push({id:e,visible:!0,query:d})},getFeatureInfo:function(j,i,p){var o=p.buffer||1,n=p.callback||function(){},m=p.scope||window,l={};OpenLayers.Util.extend(l,this.options);l.requesttype="feature";j instanceof OpenLayers.LonLat?(l.polygon=null,l.envelope=[j.lon-o,j.lat-o,j.lon+o,j.lat+o]):j instanceof OpenLayers.Geometry.Polygon&&(l.envelope=null,l.polygon=j);var k=new OpenLayers.Format.ArcXML(l);OpenLayers.Util.extend(k.request.get_feature,p);k.request.get_feature.layer=i.id;"number"==typeof i.query.accuracy?k.request.get_feature.query.accuracy=i.query.accuracy:(j=this.map.getCenter(),p=this.map.getViewPortPxFromLonLat(j),p.x++,p=this.map.getLonLatFromPixel(p),k.request.get_feature.query.accuracy=p.lon-j.lon);k.request.get_feature.query.where=i.query.where;k.request.get_feature.query.spatialfilter.relation="area_intersection";OpenLayers.Request.POST({url:this.getFullRequestString({CustomService:"Query"}),data:k.write(),callback:function(b){b=k.parseResponse(b.responseText);k.iserror()?n.call(m,null):n.call(m,b.features)}})},clone:function(b){null==b&&(b=new OpenLayers.Layer.ArcIMS(this.name,this.url,this.getOptions()));return b=OpenLayers.Layer.Grid.prototype.clone.apply(this,[b])},CLASS_NAME:"OpenLayers.Layer.ArcIMS"});OpenLayers.Control.PanZoom=OpenLayers.Class(OpenLayers.Control,{slideFactor:50,slideRatio:null,buttons:null,position:null,initialize:function(b){this.position=new OpenLayers.Pixel(OpenLayers.Control.PanZoom.X,OpenLayers.Control.PanZoom.Y);OpenLayers.Control.prototype.initialize.apply(this,arguments)},destroy:function(){this.map&&this.map.events.unregister("buttonclick",this,this.onButtonClick);this.removeButtons();this.position=this.buttons=null;OpenLayers.Control.prototype.destroy.apply(this,arguments)},setMap:function(b){OpenLayers.Control.prototype.setMap.apply(this,arguments);this.map.events.register("buttonclick",this,this.onButtonClick)},draw:function(e){OpenLayers.Control.prototype.draw.apply(this,arguments);e=this.position;this.buttons=[];var d={w:18,h:18},f=new OpenLayers.Pixel(e.x+d.w/2,e.y);this._addButton("panup","north-mini.png",f,d);e.y=f.y+d.h;this._addButton("panleft","west-mini.png",e,d);this._addButton("panright","east-mini.png",e.add(d.w,0),d);this._addButton("pandown","south-mini.png",f.add(0,2*d.h),d);this._addButton("zoomin","zoom-plus-mini.png",f.add(0,3*d.h+5),d);this._addButton("zoomworld","zoom-world-mini.png",f.add(0,4*d.h+5),d);this._addButton("zoomout","zoom-minus-mini.png",f.add(0,5*d.h+5),d);return this.div},_addButton:function(f,e,h,g){e=OpenLayers.Util.getImageLocation(e);h=OpenLayers.Util.createAlphaImageDiv(this.id+"_"+f,h,g,e,"absolute");h.style.cursor="pointer";this.div.appendChild(h);h.action=f;h.className="olButton";this.buttons.push(h);return h},_removeButton:function(b){this.div.removeChild(b);OpenLayers.Util.removeItem(this.buttons,b)},removeButtons:function(){for(var b=this.buttons.length-1;0<=b;--b){this._removeButton(this.buttons[b])}},onButtonClick:function(b){switch(b.buttonElement.action){case"panup":this.map.pan(0,-this.getSlideFactor("h"));break;case"pandown":this.map.pan(0,this.getSlideFactor("h"));break;case"panleft":this.map.pan(-this.getSlideFactor("w"),0);break;case"panright":this.map.pan(this.getSlideFactor("w"),0);break;case"zoomin":this.map.zoomIn();break;case"zoomout":this.map.zoomOut();break;case"zoomworld":this.map.zoomToMaxExtent()}},getSlideFactor:function(b){return this.slideRatio?this.map.getSize()[b]*this.slideRatio:this.slideFactor},CLASS_NAME:"OpenLayers.Control.PanZoom"});OpenLayers.Control.PanZoom.X=4;OpenLayers.Control.PanZoom.Y=4;OpenLayers.Control.PanZoomBar=OpenLayers.Class(OpenLayers.Control.PanZoom,{zoomStopWidth:18,zoomStopHeight:11,slider:null,sliderEvents:null,zoombarDiv:null,zoomWorldIcon:!1,panIcons:!0,forceFixedZoomLevel:!1,mouseDragStart:null,deltaY:null,zoomStart:null,destroy:function(){this._removeZoomBar();this.map.events.un({changebaselayer:this.redraw,updatesize:this.redraw,scope:this});OpenLayers.Control.PanZoom.prototype.destroy.apply(this,arguments);delete this.mouseDragStart;delete this.zoomStart},setMap:function(b){OpenLayers.Control.PanZoom.prototype.setMap.apply(this,arguments);this.map.events.on({changebaselayer:this.redraw,updatesize:this.redraw,scope:this})},redraw:function(){null!=this.div&&(this.removeButtons(),this._removeZoomBar());this.draw()},draw:function(f){OpenLayers.Control.prototype.draw.apply(this,arguments);f=this.position.clone();this.buttons=[];var e={w:18,h:18};if(this.panIcons){var h=new OpenLayers.Pixel(f.x+e.w/2,f.y),g=e.w;this.zoomWorldIcon&&(h=new OpenLayers.Pixel(f.x+e.w,f.y));this._addButton("panup","north-mini.png",h,e);f.y=h.y+e.h;this._addButton("panleft","west-mini.png",f,e);this.zoomWorldIcon&&(this._addButton("zoomworld","zoom-world-mini.png",f.add(e.w,0),e),g*=2);this._addButton("panright","east-mini.png",f.add(g,0),e);this._addButton("pandown","south-mini.png",h.add(0,2*e.h),e);this._addButton("zoomin","zoom-plus-mini.png",h.add(0,3*e.h+5),e);h=this._addZoomBar(h.add(0,4*e.h+5));this._addButton("zoomout","zoom-minus-mini.png",h,e)}else{this._addButton("zoomin","zoom-plus-mini.png",f,e),h=this._addZoomBar(f.add(0,e.h)),this._addButton("zoomout","zoom-minus-mini.png",h,e),this.zoomWorldIcon&&(h=h.add(0,e.h+3),this._addButton("zoomworld","zoom-world-mini.png",h,e))}return this.div},_addZoomBar:function(h){var g=OpenLayers.Util.getImageLocation("slider.png"),l=this.id+"_"+this.map.id,k=this.map.getMinZoom(),j=this.map.getNumZoomLevels()-1-this.map.getZoom(),j=OpenLayers.Util.createAlphaImageDiv(l,h.add(-1,j*this.zoomStopHeight),{w:20,h:9},g,"absolute");j.style.cursor="move";this.slider=j;this.sliderEvents=new OpenLayers.Events(this,j,null,!0,{includeXY:!0});this.sliderEvents.on({touchstart:this.zoomBarDown,touchmove:this.zoomBarDrag,touchend:this.zoomBarUp,mousedown:this.zoomBarDown,mousemove:this.zoomBarDrag,mouseup:this.zoomBarUp});var i={w:this.zoomStopWidth,h:this.zoomStopHeight*(this.map.getNumZoomLevels()-k)},g=OpenLayers.Util.getImageLocation("zoombar.png"),l=null;OpenLayers.Util.alphaHack()?(l=this.id+"_"+this.map.id,l=OpenLayers.Util.createAlphaImageDiv(l,h,{w:i.w,h:this.zoomStopHeight},g,"absolute",null,"crop"),l.style.height=i.h+"px"):l=OpenLayers.Util.createDiv("OpenLayers_Control_PanZoomBar_Zoombar"+this.map.id,h,i,g);l.style.cursor="pointer";l.className="olButton";this.zoombarDiv=l;this.div.appendChild(l);this.startTop=parseInt(l.style.top);this.div.appendChild(j);this.map.events.register("zoomend",this,this.moveZoomBar);return h=h.add(0,this.zoomStopHeight*(this.map.getNumZoomLevels()-k))},_removeZoomBar:function(){this.sliderEvents.un({touchstart:this.zoomBarDown,touchmove:this.zoomBarDrag,touchend:this.zoomBarUp,mousedown:this.zoomBarDown,mousemove:this.zoomBarDrag,mouseup:this.zoomBarUp});this.sliderEvents.destroy();this.div.removeChild(this.zoombarDiv);this.zoombarDiv=null;this.div.removeChild(this.slider);this.slider=null;this.map.events.unregister("zoomend",this,this.moveZoomBar)},onButtonClick:function(d){OpenLayers.Control.PanZoom.prototype.onButtonClick.apply(this,arguments);if(d.buttonElement===this.zoombarDiv){var c=d.buttonXY.y/this.zoomStopHeight;if(this.forceFixedZoomLevel||!this.map.fractionalZoom){c=Math.floor(c)}c=this.map.getNumZoomLevels()-1-c;c=Math.min(Math.max(c,0),this.map.getNumZoomLevels()-1);this.map.zoomTo(c)}},passEventToSlider:function(b){this.sliderEvents.handleBrowserEvent(b)},zoomBarDown:function(b){if(OpenLayers.Event.isLeftClick(b)||OpenLayers.Event.isSingleTouch(b)){this.map.events.on({touchmove:this.passEventToSlider,mousemove:this.passEventToSlider,mouseup:this.passEventToSlider,scope:this}),this.mouseDragStart=b.xy.clone(),this.zoomStart=b.xy.clone(),this.div.style.cursor="move",this.zoombarDiv.offsets=null,OpenLayers.Event.stop(b)}},zoomBarDrag:function(e){if(null!=this.mouseDragStart){var d=this.mouseDragStart.y-e.xy.y,f=OpenLayers.Util.pagePosition(this.zoombarDiv);0<e.clientY-f[1]&&e.clientY-f[1]<parseInt(this.zoombarDiv.style.height)-2&&(d=parseInt(this.slider.style.top)-d,this.slider.style.top=d+"px",this.mouseDragStart=e.xy.clone());this.deltaY=this.zoomStart.y-e.xy.y;OpenLayers.Event.stop(e)}},zoomBarUp:function(d){if((OpenLayers.Event.isLeftClick(d)||"touchend"===d.type)&&this.mouseDragStart){this.div.style.cursor="";this.map.events.un({touchmove:this.passEventToSlider,mouseup:this.passEventToSlider,mousemove:this.passEventToSlider,scope:this});var c=this.map.zoom;!this.forceFixedZoomLevel&&this.map.fractionalZoom?(c+=this.deltaY/this.zoomStopHeight,c=Math.min(Math.max(c,0),this.map.getNumZoomLevels()-1)):(c+=this.deltaY/this.zoomStopHeight,c=Math.max(Math.round(c),0));this.map.zoomTo(c);this.zoomStart=this.mouseDragStart=null;this.deltaY=0;OpenLayers.Event.stop(d)}},moveZoomBar:function(){var b=(this.map.getNumZoomLevels()-1-this.map.getZoom())*this.zoomStopHeight+this.startTop+1;this.slider.style.top=b+"px"},CLASS_NAME:"OpenLayers.Control.PanZoomBar"});OpenLayers.Format.WFSCapabilities=OpenLayers.Class(OpenLayers.Format.XML.VersionedOGC,{defaultVersion:"1.1.0",CLASS_NAME:"OpenLayers.Format.WFSCapabilities"});OpenLayers.Format.WFSCapabilities.v1=OpenLayers.Class(OpenLayers.Format.XML,{namespaces:{wfs:"http://www.opengis.net/wfs",xlink:"http://www.w3.org/1999/xlink",xsi:"http://www.w3.org/2001/XMLSchema-instance",ows:"http://www.opengis.net/ows"},errorProperty:"featureTypeList",defaultPrefix:"wfs",read:function(d){"string"==typeof d&&(d=OpenLayers.Format.XML.prototype.read.apply(this,[d]));d&&9==d.nodeType&&(d=d.documentElement);var c={};this.readNode(d,c);return c},readers:{wfs:{WFS_Capabilities:function(d,c){this.readChildNodes(d,c)},FeatureTypeList:function(d,c){c.featureTypeList={featureTypes:[]};this.readChildNodes(d,c.featureTypeList)},FeatureType:function(e,d){var f={};this.readChildNodes(e,f);d.featureTypes.push(f)},Name:function(e,d){var f=this.getChildValue(e);f&&(f=f.split(":"),d.name=f.pop(),0<f.length&&(d.featureNS=this.lookupNamespaceURI(e,f[0])))},Title:function(e,d){var f=this.getChildValue(e);f&&(d.title=f)},Abstract:function(e,d){var f=this.getChildValue(e);f&&(d["abstract"]=f)}}},CLASS_NAME:"OpenLayers.Format.WFSCapabilities.v1"});OpenLayers.Format.WFSCapabilities.v1_1_0=OpenLayers.Class(OpenLayers.Format.WFSCapabilities.v1,{regExes:{trimSpace:/^\s*|\s*$/g,removeSpace:/\s*/g,splitSpace:/\s+/,trimComma:/\s*,\s*/g},readers:{wfs:OpenLayers.Util.applyDefaults({DefaultSRS:function(e,d){var f=this.getChildValue(e);f&&(d.srs=f)}},OpenLayers.Format.WFSCapabilities.v1.prototype.readers.wfs),ows:OpenLayers.Format.OWSCommon.v1.prototype.readers.ows},CLASS_NAME:"OpenLayers.Format.WFSCapabilities.v1_1_0"});OpenLayers.Layer.Image=OpenLayers.Class(OpenLayers.Layer,{isBaseLayer:!0,url:null,extent:null,size:null,tile:null,aspectRatio:null,initialize:function(g,f,j,i,h){this.url=f;this.maxExtent=this.extent=j;this.size=i;OpenLayers.Layer.prototype.initialize.apply(this,[g,h]);this.aspectRatio=this.extent.getHeight()/this.size.h/(this.extent.getWidth()/this.size.w)},destroy:function(){this.tile&&(this.removeTileMonitoringHooks(this.tile),this.tile.destroy(),this.tile=null);OpenLayers.Layer.prototype.destroy.apply(this,arguments)},clone:function(b){null==b&&(b=new OpenLayers.Layer.Image(this.name,this.url,this.extent,this.size,this.getOptions()));return b=OpenLayers.Layer.prototype.clone.apply(this,[b])},setMap:function(b){null==this.options.maxResolution&&(this.options.maxResolution=this.aspectRatio*this.extent.getWidth()/this.size.w);OpenLayers.Layer.prototype.setMap.apply(this,arguments)},moveTo:function(g,f,j){OpenLayers.Layer.prototype.moveTo.apply(this,arguments);var i=null==this.tile;if(f||i){this.setTileSize();var h=this.map.getLayerPxFromLonLat({lon:this.extent.left,lat:this.extent.top});i?(this.tile=new OpenLayers.Tile.Image(this,h,this.extent,null,this.tileSize),this.addTileMonitoringHooks(this.tile)):(this.tile.size=this.tileSize.clone(),this.tile.position=h.clone());this.tile.draw()}},setTileSize:function(){var d=this.extent.getWidth()/this.map.getResolution(),c=this.extent.getHeight()/this.map.getResolution();this.tileSize=new OpenLayers.Size(d,c)},addTileMonitoringHooks:function(b){b.onLoadStart=function(){this.events.triggerEvent("loadstart")};b.events.register("loadstart",this,b.onLoadStart);b.onLoadEnd=function(){this.events.triggerEvent("loadend")};b.events.register("loadend",this,b.onLoadEnd);b.events.register("unload",this,b.onLoadEnd)},removeTileMonitoringHooks:function(b){b.unload();b.events.un({loadstart:b.onLoadStart,loadend:b.onLoadEnd,unload:b.onLoadEnd,scope:this})},setUrl:function(b){this.url=b;this.tile.draw()},getURL:function(b){return this.url},CLASS_NAME:"OpenLayers.Layer.Image"});OpenLayers.Strategy=OpenLayers.Class({layer:null,options:null,active:null,autoActivate:!0,autoDestroy:!0,initialize:function(b){OpenLayers.Util.extend(this,b);this.options=b;this.active=!1},destroy:function(){this.deactivate();this.options=this.layer=null},setLayer:function(b){this.layer=b},activate:function(){return this.active?!1:this.active=!0},deactivate:function(){return this.active?(this.active=!1,!0):!1},CLASS_NAME:"OpenLayers.Strategy"});OpenLayers.Strategy.Save=OpenLayers.Class(OpenLayers.Strategy,{events:null,auto:!1,timer:null,initialize:function(b){OpenLayers.Strategy.prototype.initialize.apply(this,[b]);this.events=new OpenLayers.Events(this)},activate:function(){var b=OpenLayers.Strategy.prototype.activate.call(this);if(b&&this.auto){if("number"===typeof this.auto){this.timer=window.setInterval(OpenLayers.Function.bind(this.save,this),1000*this.auto)}else{this.layer.events.on({featureadded:this.triggerSave,afterfeaturemodified:this.triggerSave,scope:this})}}return b},deactivate:function(){var b=OpenLayers.Strategy.prototype.deactivate.call(this);b&&this.auto&&("number"===typeof this.auto?window.clearInterval(this.timer):this.layer.events.un({featureadded:this.triggerSave,afterfeaturemodified:this.triggerSave,scope:this}));return b},triggerSave:function(d){var c=d.feature;c.state!==OpenLayers.State.INSERT&&c.state!==OpenLayers.State.UPDATE&&c.state!==OpenLayers.State.DELETE||this.save([d.feature])},save:function(j){j||(j=this.layer.features);this.events.triggerEvent("start",{features:j});var i=this.layer.projection,p=this.layer.map.getProjectionObject();if(!p.equals(i)){for(var o=j.length,n=Array(o),m,l,k=0;k<o;++k){m=j[k],l=m.clone(),l.fid=m.fid,l.state=m.state,m.url&&(l.url=m.url),l._original=m,l.geometry.transform(p,i),n[k]=l}j=n}this.layer.protocol.commit(j,{callback:this.onCommit,scope:this})},onCommit:function(r){var q={response:r};if(r.success()){for(var p=r.reqFeatures,o,n=[],m=r.insertIds||[],l=0,j=0,i=p.length;j<i;++j){if(o=p[j],o=o._original||o,r=o.state){r==OpenLayers.State.DELETE?n.push(o):r==OpenLayers.State.INSERT&&(o.fid=m[l],++l),o.state=null}}0<n.length&&this.layer.destroyFeatures(n);this.events.triggerEvent("success",q)}else{this.events.triggerEvent("fail",q)}},CLASS_NAME:"OpenLayers.Strategy.Save"});OpenLayers.Events.featureclick=OpenLayers.Class({cache:null,map:null,provides:["featureclick","nofeatureclick","featureover","featureout"],initialize:function(d){this.target=d;if(d.object instanceof OpenLayers.Map){this.setMap(d.object)}else{if(d.object instanceof OpenLayers.Layer.Vector){d.object.map?this.setMap(d.object.map):d.object.events.register("added",this,function(a){this.setMap(d.object.map)})}else{throw"Listeners for '"+this.provides.join("', '")+"' events can only be registered for OpenLayers.Layer.Vector or OpenLayers.Map instances"}}for(var c=this.provides.length-1;0<=c;--c){d.extensions[this.provides[c]]=!0}},setMap:function(b){this.map=b;this.cache={};b.events.register("mousedown",this,this.start,{extension:!0});b.events.register("mouseup",this,this.onClick,{extension:!0});b.events.register("touchstart",this,this.start,{extension:!0});b.events.register("touchmove",this,this.cancel,{extension:!0});b.events.register("touchend",this,this.onClick,{extension:!0});b.events.register("mousemove",this,this.onMousemove,{extension:!0})},start:function(b){this.startEvt=b},cancel:function(b){delete this.startEvt},onClick:function(h){if(this.startEvt&&("touchend"===h.type||OpenLayers.Event.isLeftClick(h))){h=this.getFeatures(this.startEvt);delete this.startEvt;for(var g,l,k={},j=0,i=h.length;j<i&&(g=h[j],l=g.layer,k[l.id]=!0,g=this.triggerEvent("featureclick",{feature:g}),!1!==g);++j){}j=0;for(i=this.map.layers.length;j<i;++j){l=this.map.layers[j],l instanceof OpenLayers.Layer.Vector&&!k[l.id]&&this.triggerEvent("nofeatureclick",{layer:l})}}},onMousemove:function(i){delete this.startEvt;var h=this.getFeatures(i),n={};i=[];for(var m,l=0,k=h.length;l<k;++l){m=h[l],n[m.id]=m,this.cache[m.id]||i.push(m)}var h=[],j;for(j in this.cache){m=this.cache[j],m.layer&&m.layer.map?n[m.id]||h.push(m):delete this.cache[j]}l=0;for(k=i.length;l<k&&(m=i[l],this.cache[m.id]=m,j=this.triggerEvent("featureover",{feature:m}),!1!==j);++l){}l=0;for(k=h.length;l<k&&(m=h[l],delete this.cache[m.id],j=this.triggerEvent("featureout",{feature:m}),!1!==j);++l){}},triggerEvent:function(f,e){var h=e.feature?e.feature.layer:e.layer,g=this.target.object;if(g instanceof OpenLayers.Map||g===h){return this.target.triggerEvent(f,e)}},getFeatures:function(t){var s=t.clientX,r=t.clientY,q=[],p=[],o=[],n,m,j,i;for(i=this.map.layers.length-1;0<=i;--i){if(n=this.map.layers[i],"none"!==n.div.style.display){if(n.renderer instanceof OpenLayers.Renderer.Elements){if(n instanceof OpenLayers.Layer.Vector){for(m=document.elementFromPoint(s,r);m&&m._featureId;){(j=n.getFeatureById(m._featureId))?(q.push(j),m.style.display="none",p.push(m),m=document.elementFromPoint(s,r)):m=!1}}o.push(n);n.div.style.display="none"}else{n.renderer instanceof OpenLayers.Renderer.Canvas&&(j=n.renderer.getFeatureIdFromEvent(t))&&(q.push(j),o.push(n))}}}i=0;for(t=p.length;i<t;++i){p[i].style.display=""}for(i=o.length-1;0<=i;--i){o[i].div.style.display="block"}return q},destroy:function(){for(var b=this.provides.length-1;0<=b;--b){delete this.target.extensions[this.provides[b]]}this.map.events.un({mousemove:this.onMousemove,mousedown:this.start,mouseup:this.onClick,touchstart:this.start,touchmove:this.cancel,touchend:this.onClick,scope:this});delete this.cache;delete this.map;delete this.target}});OpenLayers.Events.nofeatureclick=OpenLayers.Events.featureclick;OpenLayers.Events.featureover=OpenLayers.Events.featureclick;OpenLayers.Events.featureout=OpenLayers.Events.featureclick;OpenLayers.Format.GPX=OpenLayers.Class(OpenLayers.Format.XML,{defaultDesc:"No description available",extractWaypoints:!0,extractTracks:!0,extractRoutes:!0,extractAttributes:!0,namespaces:{gpx:"http://www.topografix.com/GPX/1/1",xsi:"http://www.w3.org/2001/XMLSchema-instance"},schemaLocation:"http://www.topografix.com/GPX/1/1 http://www.topografix.com/GPX/1/1/gpx.xsd",creator:"OpenLayers",initialize:function(b){this.externalProjection=new OpenLayers.Projection("EPSG:4326");OpenLayers.Format.XML.prototype.initialize.apply(this,[b])},read:function(t){"string"==typeof t&&(t=OpenLayers.Format.XML.prototype.read.apply(this,[t]));var s=[];if(this.extractTracks){for(var r=t.getElementsByTagName("trk"),q=0,p=r.length;q<p;q++){var o={};this.extractAttributes&&(o=this.parseAttributes(r[q]));for(var n=this.getElementsByTagNameNS(r[q],r[q].namespaceURI,"trkseg"),m=0,j=n.length;m<j;m++){var i=this.extractSegment(n[m],"trkpt");s.push(new OpenLayers.Feature.Vector(i,o))}}}if(this.extractRoutes){for(p=t.getElementsByTagName("rte"),r=0,q=p.length;r<q;r++){o={},this.extractAttributes&&(o=this.parseAttributes(p[r])),n=this.extractSegment(p[r],"rtept"),s.push(new OpenLayers.Feature.Vector(n,o))}}if(this.extractWaypoints){for(t=t.getElementsByTagName("wpt"),r=0,p=t.length;r<p;r++){o={},this.extractAttributes&&(o=this.parseAttributes(t[r])),q=new OpenLayers.Geometry.Point(t[r].getAttribute("lon"),t[r].getAttribute("lat")),s.push(new OpenLayers.Feature.Vector(q,o))}}if(this.internalProjection&&this.externalProjection){for(o=0,t=s.length;o<t;o++){s[o].geometry.transform(this.externalProjection,this.internalProjection)}}return s},extractSegment:function(h,g){for(var l=this.getElementsByTagNameNS(h,h.namespaceURI,g),k=[],j=0,i=l.length;j<i;j++){k.push(new OpenLayers.Geometry.Point(l[j].getAttribute("lon"),l[j].getAttribute("lat")))}return new OpenLayers.Geometry.LineString(k)},parseAttributes:function(f){var e={};f=f.firstChild;for(var h,g;f;){1==f.nodeType&&f.firstChild&&(h=f.firstChild,3==h.nodeType||4==h.nodeType)&&(g=f.prefix?f.nodeName.split(":")[1]:f.nodeName,"trkseg"!=g&&"rtept"!=g&&(e[g]=h.nodeValue)),f=f.nextSibling}return e},write:function(g,f){g=OpenLayers.Util.isArray(g)?g:[g];var j=this.createElementNS(this.namespaces.gpx,"gpx");j.setAttribute("version","1.1");j.setAttribute("creator",this.creator);this.setAttributes(j,{"xsi:schemaLocation":this.schemaLocation});f&&"object"==typeof f&&j.appendChild(this.buildMetadataNode(f));for(var i=0,h=g.length;i<h;i++){j.appendChild(this.buildFeatureNode(g[i]))}return OpenLayers.Format.XML.prototype.write.apply(this,[j])},buildMetadataNode:function(h){for(var g=["name","desc","author"],l=this.createElementNS(this.namespaces.gpx,"metadata"),k=0;k<g.length;k++){var j=g[k];if(h[j]){var i=this.createElementNS(this.namespaces.gpx,j);i.appendChild(this.createTextNode(h[j]));l.appendChild(i)}}return l},buildFeatureNode:function(f){var e=f.geometry,e=e.clone();this.internalProjection&&this.externalProjection&&e.transform(this.internalProjection,this.externalProjection);if("OpenLayers.Geometry.Point"==e.CLASS_NAME){var h=this.buildWptNode(e);this.appendAttributesNode(h,f);return h}h=this.createElementNS(this.namespaces.gpx,"trk");this.appendAttributesNode(h,f);f=this.buildTrkSegNode(e);f=OpenLayers.Util.isArray(f)?f:[f];for(var e=0,g=f.length;e<g;e++){h.appendChild(f[e])}return h},buildTrkSegNode:function(g){var f,j,i,h;if("OpenLayers.Geometry.LineString"==g.CLASS_NAME||"OpenLayers.Geometry.LinearRing"==g.CLASS_NAME){f=this.createElementNS(this.namespaces.gpx,"trkseg");j=0;for(i=g.components.length;j<i;j++){h=g.components[j],f.appendChild(this.buildTrkPtNode(h))}return f}f=[];j=0;for(i=g.components.length;j<i;j++){f.push(this.buildTrkSegNode(g.components[j]))}return f},buildTrkPtNode:function(d){var c=this.createElementNS(this.namespaces.gpx,"trkpt");c.setAttribute("lon",d.x);c.setAttribute("lat",d.y);return c},buildWptNode:function(d){var c=this.createElementNS(this.namespaces.gpx,"wpt");c.setAttribute("lon",d.x);c.setAttribute("lat",d.y);return c},appendAttributesNode:function(e,d){var f=this.createElementNS(this.namespaces.gpx,"name");f.appendChild(this.createTextNode(d.attributes.name||d.id));e.appendChild(f);f=this.createElementNS(this.namespaces.gpx,"desc");f.appendChild(this.createTextNode(d.attributes.description||this.defaultDesc));e.appendChild(f)},CLASS_NAME:"OpenLayers.Format.GPX"});OpenLayers.Format.WMSDescribeLayer=OpenLayers.Class(OpenLayers.Format.XML.VersionedOGC,{defaultVersion:"1.1.1",CLASS_NAME:"OpenLayers.Format.WMSDescribeLayer"});OpenLayers.Format.WMSDescribeLayer.v1_1_1=OpenLayers.Class(OpenLayers.Format.WMSDescribeLayer,{initialize:function(b){OpenLayers.Format.WMSDescribeLayer.prototype.initialize.apply(this,[b])},read:function(r){"string"==typeof r&&(r=OpenLayers.Format.XML.prototype.read.apply(this,[r]));for(var q=r.documentElement.childNodes,p={layerDescriptions:[]},o,n,m=0;m<q.length;++m){if(o=q[m],n=o.nodeName,"LayerDescription"==n){n=o.getAttribute("name");var l="",j="",i="";o.getAttribute("owsType")?(l=o.getAttribute("owsType"),j=o.getAttribute("owsURL")):""!=o.getAttribute("wfs")?(l="WFS",j=o.getAttribute("wfs")):""!=o.getAttribute("wcs")&&(l="WCS",j=o.getAttribute("wcs"));o=o.getElementsByTagName("Query");0<o.length&&((i=o[0].getAttribute("typeName"))||(i=o[0].getAttribute("typename")));o={layerName:n,owsType:l,owsURL:j,typeName:i};p.layerDescriptions.push(o);p.length=p.layerDescriptions.length;p[p.length-1]=o}else{if("ServiceException"==n){return{error:(new OpenLayers.Format.OGCExceptionReport).read(r)}}}}return p},CLASS_NAME:"OpenLayers.Format.WMSDescribeLayer.v1_1_1"});OpenLayers.Format.WMSDescribeLayer.v1_1_0=OpenLayers.Format.WMSDescribeLayer.v1_1_1;OpenLayers.Layer.XYZ=OpenLayers.Class(OpenLayers.Layer.Grid,{isBaseLayer:!0,sphericalMercator:!1,zoomOffset:0,serverResolutions:null,initialize:function(e,d,f){if(f&&f.sphericalMercator||this.sphericalMercator){f=OpenLayers.Util.extend({projection:"EPSG:900913",numZoomLevels:19},f)}OpenLayers.Layer.Grid.prototype.initialize.apply(this,[e||this.name,d||this.url,{},f])},clone:function(b){null==b&&(b=new OpenLayers.Layer.XYZ(this.name,this.url,this.getOptions()));return b=OpenLayers.Layer.Grid.prototype.clone.apply(this,[b])},getURL:function(d){d=this.getXYZ(d);var c=this.url;OpenLayers.Util.isArray(c)&&(c=this.selectUrl(""+d.x+d.y+d.z,c));return OpenLayers.String.format(c,d)},getXYZ:function(f){var e=this.getServerResolution(),h=Math.round((f.left-this.maxExtent.left)/(e*this.tileSize.w));f=Math.round((this.maxExtent.top-f.top)/(e*this.tileSize.h));e=this.getServerZoom();if(this.wrapDateLine){var g=Math.pow(2,e),h=(h%g+g)%g}return{x:h,y:f,z:e}},setMap:function(b){OpenLayers.Layer.Grid.prototype.setMap.apply(this,arguments);this.tileOrigin||(this.tileOrigin=new OpenLayers.LonLat(this.maxExtent.left,this.maxExtent.bottom))},CLASS_NAME:"OpenLayers.Layer.XYZ"});OpenLayers.Layer.OSM=OpenLayers.Class(OpenLayers.Layer.XYZ,{name:"OpenStreetMap",url:["http://a.tile.openstreetmap.org/${z}/${x}/${y}.png","http://b.tile.openstreetmap.org/${z}/${x}/${y}.png","http://c.tile.openstreetmap.org/${z}/${x}/${y}.png"],attribution:"&copy; <a href='http://www.openstreetmap.org/copyright'>OpenStreetMap</a> contributors",sphericalMercator:!0,wrapDateLine:!0,tileOptions:null,initialize:function(e,d,f){OpenLayers.Layer.XYZ.prototype.initialize.apply(this,arguments);this.tileOptions=OpenLayers.Util.extend({crossOriginKeyword:"anonymous"},this.options&&this.options.tileOptions)},clone:function(b){null==b&&(b=new OpenLayers.Layer.OSM(this.name,this.url,this.getOptions()));return b=OpenLayers.Layer.XYZ.prototype.clone.apply(this,[b])},CLASS_NAME:"OpenLayers.Layer.OSM"});OpenLayers.Renderer=OpenLayers.Class({container:null,root:null,extent:null,locked:!1,size:null,resolution:null,map:null,featureDx:0,initialize:function(d,c){this.container=OpenLayers.Util.getElement(d);OpenLayers.Util.extend(this,c)},destroy:function(){this.map=this.resolution=this.size=this.extent=this.container=null},supported:function(){return !1},setExtent:function(e,d){this.extent=e.clone();if(this.map.baseLayer&&this.map.baseLayer.wrapDateLine){var f=e.getWidth()/this.map.getExtent().getWidth();e=e.scale(1/f);this.extent=e.wrapDateLine(this.map.getMaxExtent()).scale(f)}d&&(this.resolution=null);return !0},setSize:function(b){this.size=b.clone();this.resolution=null},getResolution:function(){return this.resolution=this.resolution||this.map.getResolution()},drawFeature:function(i,h){null==h&&(h=i.style);if(i.geometry){var n=i.geometry.getBounds();if(n){var m;this.map.baseLayer&&this.map.baseLayer.wrapDateLine&&(m=this.map.getMaxExtent());n.intersectsBounds(this.extent,{worldBounds:m})?this.calculateFeatureDx(n,m):h={display:"none"};n=this.drawGeometry(i.geometry,h,i.id);if("none"!=h.display&&h.label&&!1!==n){m=i.geometry.getCentroid();if(h.labelXOffset||h.labelYOffset){var l=isNaN(h.labelXOffset)?0:h.labelXOffset,k=isNaN(h.labelYOffset)?0:h.labelYOffset,j=this.getResolution();m.move(l*j,k*j)}this.drawText(i.id,h,m)}else{this.removeText(i.id)}return n}}},calculateFeatureDx:function(e,d){this.featureDx=0;if(d){var f=d.getWidth();this.featureDx=Math.round(((e.left+e.right)/2-(this.extent.left+this.extent.right)/2)/f)*f}},drawGeometry:function(e,d,f){},drawText:function(e,d,f){},removeText:function(b){},clear:function(){},getFeatureIdFromEvent:function(b){},eraseFeatures:function(f){OpenLayers.Util.isArray(f)||(f=[f]);for(var e=0,h=f.length;e<h;++e){var g=f[e];this.eraseGeometry(g.geometry,g.id);this.removeText(g.id)}},eraseGeometry:function(d,c){},moveRoot:function(b){},getRenderLayerId:function(){return this.container.id},applyDefaultSymbolizer:function(d){var c=OpenLayers.Util.extend({},OpenLayers.Renderer.defaultSymbolizer);!1===d.stroke&&(delete c.strokeWidth,delete c.strokeColor);!1===d.fill&&delete c.fillColor;OpenLayers.Util.extend(c,d);return c},CLASS_NAME:"OpenLayers.Renderer"});OpenLayers.Renderer.defaultSymbolizer={fillColor:"#000000",strokeColor:"#000000",strokeWidth:2,fillOpacity:1,strokeOpacity:1,pointRadius:0,labelAlign:"cm"};OpenLayers.Renderer.symbol={star:[350,75,379,161,469,161,397,215,423,301,350,250,277,301,303,215,231,161,321,161,350,75],cross:[4,0,6,0,6,4,10,4,10,6,6,6,6,10,4,10,4,6,0,6,0,4,4,4,4,0],x:[0,0,25,0,50,35,75,0,100,0,65,50,100,100,75,100,50,65,25,100,0,100,35,50,0,0],square:[0,0,0,1,1,1,1,0,0,0],triangle:[0,10,10,10,5,0,0,10]};OpenLayers.Renderer.Canvas=OpenLayers.Class(OpenLayers.Renderer,{hitDetection:!0,hitOverflow:0,canvas:null,features:null,pendingRedraw:!1,cachedSymbolBounds:{},initialize:function(d,c){OpenLayers.Renderer.prototype.initialize.apply(this,arguments);this.root=document.createElement("canvas");this.container.appendChild(this.root);this.canvas=this.root.getContext("2d");this.features={};this.hitDetection&&(this.hitCanvas=document.createElement("canvas"),this.hitContext=this.hitCanvas.getContext("2d"))},setExtent:function(){OpenLayers.Renderer.prototype.setExtent.apply(this,arguments);return !1},eraseGeometry:function(d,c){this.eraseFeatures(this.features[c][0])},supported:function(){return OpenLayers.CANVAS_SUPPORTED},setSize:function(d){this.size=d.clone();var c=this.root;c.style.width=d.w+"px";c.style.height=d.h+"px";c.width=d.w;c.height=d.h;this.resolution=null;this.hitDetection&&(c=this.hitCanvas,c.style.width=d.w+"px",c.style.height=d.h+"px",c.width=d.w,c.height=d.h)},drawFeature:function(f,e){var h;if(f.geometry){e=this.applyDefaultSymbolizer(e||f.style);h=f.geometry.getBounds();var g;this.map.baseLayer&&this.map.baseLayer.wrapDateLine&&(g=this.map.getMaxExtent());g=h&&h.intersectsBounds(this.extent,{worldBounds:g});(h="none"!==e.display&&!!h&&g)?this.features[f.id]=[f,e]:delete this.features[f.id];this.pendingRedraw=!0}this.pendingRedraw&&!this.locked&&(this.redraw(),this.pendingRedraw=!1);return h},drawGeometry:function(f,e,h){var g=f.CLASS_NAME;if("OpenLayers.Geometry.Collection"==g||"OpenLayers.Geometry.MultiPoint"==g||"OpenLayers.Geometry.MultiLineString"==g||"OpenLayers.Geometry.MultiPolygon"==g){for(g=0;g<f.components.length;g++){this.drawGeometry(f.components[g],e,h)}}else{switch(f.CLASS_NAME){case"OpenLayers.Geometry.Point":this.drawPoint(f,e,h);break;case"OpenLayers.Geometry.LineString":this.drawLineString(f,e,h);break;case"OpenLayers.Geometry.LinearRing":this.drawLinearRing(f,e,h);break;case"OpenLayers.Geometry.Polygon":this.drawPolygon(f,e,h)}}},drawExternalGraphic:function(t,s,r){var q=new Image,p=s.title||s.graphicTitle;p&&(q.title=p);var o=s.graphicWidth||s.graphicHeight,n=s.graphicHeight||s.graphicWidth,o=o?o:2*s.pointRadius,n=n?n:2*s.pointRadius,m=void 0!=s.graphicXOffset?s.graphicXOffset:-(0.5*o),j=void 0!=s.graphicYOffset?s.graphicYOffset:-(0.5*n),i=s.graphicOpacity||s.fillOpacity;q.onload=OpenLayers.Function.bind(function(){if(this.features[r]){var a=this.getLocalXY(t),f=a[0],a=a[1];if(!isNaN(f)&&!isNaN(a)){var f=f+m|0,a=a+j|0,d=this.canvas;d.globalAlpha=i;var c=OpenLayers.Renderer.Canvas.drawImageScaleFactor||(OpenLayers.Renderer.Canvas.drawImageScaleFactor=/android 2.1/.test(navigator.userAgent.toLowerCase())?320/window.screen.width:1);d.drawImage(q,f*c,a*c,o*c,n*c);this.hitDetection&&(this.setHitContextStyle("fill",r),this.hitContext.fillRect(f,a,o,n))}}},this);q.src=s.externalGraphic},drawNamedSymbol:function(j,i,p){var o,n,m,l;m=Math.PI/180;var k=OpenLayers.Renderer.symbol[i.graphicName];if(!k){throw Error(i.graphicName+" is not a valid symbol name")}if(!(!k.length||2>k.length||(j=this.getLocalXY(j),n=j[0],l=j[1],isNaN(n)||isNaN(l)))){this.canvas.lineCap="round";this.canvas.lineJoin="round";this.hitDetection&&(this.hitContext.lineCap="round",this.hitContext.lineJoin="round");if(i.graphicName in this.cachedSymbolBounds){o=this.cachedSymbolBounds[i.graphicName]}else{o=new OpenLayers.Bounds;for(j=0;j<k.length;j+=2){o.extend(new OpenLayers.LonLat(k[j],k[j+1]))}this.cachedSymbolBounds[i.graphicName]=o}this.canvas.save();this.hitDetection&&this.hitContext.save();this.canvas.translate(n,l);this.hitDetection&&this.hitContext.translate(n,l);j=m*i.rotation;isNaN(j)||(this.canvas.rotate(j),this.hitDetection&&this.hitContext.rotate(j));m=2*i.pointRadius/Math.max(o.getWidth(),o.getHeight());this.canvas.scale(m,m);this.hitDetection&&this.hitContext.scale(m,m);j=o.getCenterLonLat().lon;o=o.getCenterLonLat().lat;this.canvas.translate(-j,-o);this.hitDetection&&this.hitContext.translate(-j,-o);l=i.strokeWidth;i.strokeWidth=l/m;if(!1!==i.fill){this.setCanvasStyle("fill",i);this.canvas.beginPath();for(j=0;j<k.length;j+=2){o=k[j],n=k[j+1],0==j&&this.canvas.moveTo(o,n),this.canvas.lineTo(o,n)}this.canvas.closePath();this.canvas.fill();if(this.hitDetection){this.setHitContextStyle("fill",p,i);this.hitContext.beginPath();for(j=0;j<k.length;j+=2){o=k[j],n=k[j+1],0==j&&this.canvas.moveTo(o,n),this.hitContext.lineTo(o,n)}this.hitContext.closePath();this.hitContext.fill()}}if(!1!==i.stroke){this.setCanvasStyle("stroke",i);this.canvas.beginPath();for(j=0;j<k.length;j+=2){o=k[j],n=k[j+1],0==j&&this.canvas.moveTo(o,n),this.canvas.lineTo(o,n)}this.canvas.closePath();this.canvas.stroke();if(this.hitDetection){this.setHitContextStyle("stroke",p,i,m);this.hitContext.beginPath();for(j=0;j<k.length;j+=2){o=k[j],n=k[j+1],0==j&&this.hitContext.moveTo(o,n),this.hitContext.lineTo(o,n)}this.hitContext.closePath();this.hitContext.stroke()}}i.strokeWidth=l;this.canvas.restore();this.hitDetection&&this.hitContext.restore();this.setCanvasStyle("reset")}},setCanvasStyle:function(d,c){"fill"===d?(this.canvas.globalAlpha=c.fillOpacity,this.canvas.fillStyle=c.fillColor):"stroke"===d?(this.canvas.globalAlpha=c.strokeOpacity,this.canvas.strokeStyle=c.strokeColor,this.canvas.lineWidth=c.strokeWidth):(this.canvas.globalAlpha=0,this.canvas.lineWidth=1)},featureIdToHex:function(d){d=Number(d.split("_").pop())+1;16777216<=d&&(this.hitOverflow=d-16777215,d=d%16777216+1);d="000000"+d.toString(16);var c=d.length;return d="#"+d.substring(c-6,c)},setHitContextStyle:function(f,e,h,g){e=this.featureIdToHex(e);"fill"==f?(this.hitContext.globalAlpha=1,this.hitContext.fillStyle=e):"stroke"==f?(this.hitContext.globalAlpha=1,this.hitContext.strokeStyle=e,"undefined"===typeof g?this.hitContext.lineWidth=h.strokeWidth+2:isNaN(g)||(this.hitContext.lineWidth=h.strokeWidth+2/g)):(this.hitContext.globalAlpha=0,this.hitContext.lineWidth=1)},drawPoint:function(h,g,l){if(!1!==g.graphic){if(g.externalGraphic){this.drawExternalGraphic(h,g,l)}else{if(g.graphicName&&"circle"!=g.graphicName){this.drawNamedSymbol(h,g,l)}else{var k=this.getLocalXY(h);h=k[0];k=k[1];if(!isNaN(h)&&!isNaN(k)){var j=2*Math.PI,i=g.pointRadius;!1!==g.fill&&(this.setCanvasStyle("fill",g),this.canvas.beginPath(),this.canvas.arc(h,k,i,0,j,!0),this.canvas.fill(),this.hitDetection&&(this.setHitContextStyle("fill",l,g),this.hitContext.beginPath(),this.hitContext.arc(h,k,i,0,j,!0),this.hitContext.fill()));!1!==g.stroke&&(this.setCanvasStyle("stroke",g),this.canvas.beginPath(),this.canvas.arc(h,k,i,0,j,!0),this.canvas.stroke(),this.hitDetection&&(this.setHitContextStyle("stroke",l,g),this.hitContext.beginPath(),this.hitContext.arc(h,k,i,0,j,!0),this.hitContext.stroke()),this.setCanvasStyle("reset"))}}}}},drawLineString:function(e,d,f){d=OpenLayers.Util.applyDefaults({fill:!1},d);this.drawLinearRing(e,d,f)},drawLinearRing:function(e,d,f){!1!==d.fill&&(this.setCanvasStyle("fill",d),this.renderPath(this.canvas,e,d,f,"fill"),this.hitDetection&&(this.setHitContextStyle("fill",f,d),this.renderPath(this.hitContext,e,d,f,"fill")));!1!==d.stroke&&(this.setCanvasStyle("stroke",d),this.renderPath(this.canvas,e,d,f,"stroke"),this.hitDetection&&(this.setHitContextStyle("stroke",f,d),this.renderPath(this.hitContext,e,d,f,"stroke")));this.setCanvasStyle("reset")},renderPath:function(h,g,l,k,j){g=g.components;l=g.length;h.beginPath();k=this.getLocalXY(g[0]);var i=k[1];if(!isNaN(k[0])&&!isNaN(i)){h.moveTo(k[0],k[1]);for(k=1;k<l;++k){i=this.getLocalXY(g[k]),h.lineTo(i[0],i[1])}"fill"===j?h.fill():h.stroke()}},drawPolygon:function(g,f,j){g=g.components;var i=g.length;this.drawLinearRing(g[0],f,j);for(var h=1;h<i;++h){this.canvas.globalCompositeOperation="destination-out",this.hitDetection&&(this.hitContext.globalCompositeOperation="destination-out"),this.drawLinearRing(g[h],OpenLayers.Util.applyDefaults({stroke:!1,fillOpacity:1},f),j),this.canvas.globalCompositeOperation="source-over",this.hitDetection&&(this.hitContext.globalCompositeOperation="source-over"),this.drawLinearRing(g[h],OpenLayers.Util.applyDefaults({fill:!1},f),j)}},drawText:function(t,s){var r=this.getLocalXY(t);this.setCanvasStyle("reset");this.canvas.fillStyle=s.fontColor;this.canvas.globalAlpha=s.fontOpacity||1;var q=[s.fontStyle?s.fontStyle:"normal","normal",s.fontWeight?s.fontWeight:"normal",s.fontSize?s.fontSize:"1em",s.fontFamily?s.fontFamily:"sans-serif"].join(" "),p=s.label.split("\n"),o=p.length;if(this.canvas.fillText){this.canvas.font=q;this.canvas.textAlign=OpenLayers.Renderer.Canvas.LABEL_ALIGN[s.labelAlign[0]]||"center";this.canvas.textBaseline=OpenLayers.Renderer.Canvas.LABEL_ALIGN[s.labelAlign[1]]||"middle";var n=OpenLayers.Renderer.Canvas.LABEL_FACTOR[s.labelAlign[1]];null==n&&(n=-0.5);q=this.canvas.measureText("Mg").height||this.canvas.measureText("xx").width;r[1]+=q*n*(o-1);for(n=0;n<o;n++){s.labelOutlineWidth&&(this.canvas.save(),this.canvas.globalAlpha=s.labelOutlineOpacity||s.fontOpacity||1,this.canvas.strokeStyle=s.labelOutlineColor,this.canvas.lineWidth=s.labelOutlineWidth,this.canvas.strokeText(p[n],r[0],r[1]+q*n+1),this.canvas.restore()),this.canvas.fillText(p[n],r[0],r[1]+q*n)}}else{if(this.canvas.mozDrawText){this.canvas.mozTextStyle=q;var m=OpenLayers.Renderer.Canvas.LABEL_FACTOR[s.labelAlign[0]];null==m&&(m=-0.5);n=OpenLayers.Renderer.Canvas.LABEL_FACTOR[s.labelAlign[1]];null==n&&(n=-0.5);q=this.canvas.mozMeasureText("xx");r[1]+=q*(1+n*o);for(n=0;n<o;n++){var j=r[0]+m*this.canvas.mozMeasureText(p[n]),i=r[1]+n*q;this.canvas.translate(j,i);this.canvas.mozDrawText(p[n]);this.canvas.translate(-j,-i)}}}this.setCanvasStyle("reset")},getLocalXY:function(e){var d=this.getResolution(),f=this.extent;return[(e.x-this.featureDx)/d+-f.left/d,f.top/d-e.y/d]},clear:function(){var d=this.root.height,c=this.root.width;this.canvas.clearRect(0,0,c,d);this.features={};this.hitDetection&&this.hitContext.clearRect(0,0,c,d)},getFeatureIdFromEvent:function(e){var d;if(this.hitDetection&&"none"!==this.root.style.display&&!this.map.dragging&&(e=e.xy,e=this.hitContext.getImageData(e.x|0,e.y|0,1,1).data,255===e[3]&&(e=e[2]+256*(e[1]+256*e[0])))){e="OpenLayers_Feature_Vector_"+(e-1+this.hitOverflow);try{d=this.features[e][0]}catch(f){}}return d},eraseFeatures:function(d){OpenLayers.Util.isArray(d)||(d=[d]);for(var c=0;c<d.length;++c){delete this.features[d[c].id]}this.redraw()},redraw:function(){if(!this.locked){var h=this.root.height,g=this.root.width;this.canvas.clearRect(0,0,g,h);this.hitDetection&&this.hitContext.clearRect(0,0,g,h);var h=[],l,k,j=this.map.baseLayer&&this.map.baseLayer.wrapDateLine&&this.map.getMaxExtent(),i;for(i in this.features){this.features.hasOwnProperty(i)&&(g=this.features[i][0],l=g.geometry,this.calculateFeatureDx(l.getBounds(),j),k=this.features[i][1],this.drawGeometry(l,k,g.id),k.label&&h.push([g,k]))}g=0;for(l=h.length;g<l;++g){i=h[g],this.drawText(i[0].geometry.getCentroid(),i[1])}}},CLASS_NAME:"OpenLayers.Renderer.Canvas"});OpenLayers.Renderer.Canvas.LABEL_ALIGN={l:"left",r:"right",t:"top",b:"bottom"};OpenLayers.Renderer.Canvas.LABEL_FACTOR={l:0,r:-1,t:0,b:-1};OpenLayers.Renderer.Canvas.drawImageScaleFactor=null;OpenLayers.Format.OSM=OpenLayers.Class(OpenLayers.Format.XML,{checkTags:!1,interestingTagsExclude:null,areaTags:null,initialize:function(e){var d={interestingTagsExclude:"source source_ref source:ref history attribution created_by".split(" "),areaTags:"area building leisure tourism ruins historic landuse military natural sport".split(" ")},d=OpenLayers.Util.extend(d,e),f={};for(e=0;e<d.interestingTagsExclude.length;e++){f[d.interestingTagsExclude[e]]=!0}d.interestingTagsExclude=f;f={};for(e=0;e<d.areaTags.length;e++){f[d.areaTags[e]]=!0}d.areaTags=f;this.externalProjection=new OpenLayers.Projection("EPSG:4326");OpenLayers.Format.XML.prototype.initialize.apply(this,[d])},read:function(t){"string"==typeof t&&(t=OpenLayers.Format.XML.prototype.read.apply(this,[t]));var s=this.getNodes(t),r=this.getWays(t);t=Array(r.length);for(var q=0;q<r.length;q++){for(var p=Array(r[q].nodes.length),o=this.isWayArea(r[q])?1:0,n=0;n<r[q].nodes.length;n++){var m=s[r[q].nodes[n]],j=new OpenLayers.Geometry.Point(m.lon,m.lat);j.osm_id=parseInt(r[q].nodes[n]);p[n]=j;m.used=!0}m=null;m=o?new OpenLayers.Geometry.Polygon(new OpenLayers.Geometry.LinearRing(p)):new OpenLayers.Geometry.LineString(p);this.internalProjection&&this.externalProjection&&m.transform(this.externalProjection,this.internalProjection);p=new OpenLayers.Feature.Vector(m,r[q].tags);p.osm_id=parseInt(r[q].id);p.fid="way."+p.osm_id;t[q]=p}for(var i in s){m=s[i];if(!m.used||this.checkTags){r=null;if(this.checkTags){r=this.getTags(m.node,!0);if(m.used&&!r[1]){continue}r=r[0]}else{r=this.getTags(m.node)}p=new OpenLayers.Feature.Vector(new OpenLayers.Geometry.Point(m.lon,m.lat),r);this.internalProjection&&this.externalProjection&&p.geometry.transform(this.externalProjection,this.internalProjection);p.osm_id=parseInt(i);p.fid="node."+p.osm_id;t.push(p)}m.node=null}return t},getNodes:function(g){g=g.getElementsByTagName("node");for(var f={},j=0;j<g.length;j++){var i=g[j],h=i.getAttribute("id");f[h]={lat:i.getAttribute("lat"),lon:i.getAttribute("lon"),node:i}}return f},getWays:function(h){h=h.getElementsByTagName("way");for(var g=[],l=0;l<h.length;l++){var k=h[l],j={id:k.getAttribute("id")};j.tags=this.getTags(k);k=k.getElementsByTagName("nd");j.nodes=Array(k.length);for(var i=0;i<k.length;i++){j.nodes[i]=k[i].getAttribute("ref")}g.push(j)}return g},getTags:function(i,h){for(var n=i.getElementsByTagName("tag"),m={},l=!1,k=0;k<n.length;k++){var j=n[k].getAttribute("k");m[j]=n[k].getAttribute("v");h&&(this.interestingTagsExclude[j]||(l=!0))}return h?[m,l]:m},isWayArea:function(f){var e=!1,h=!1;f.nodes[0]==f.nodes[f.nodes.length-1]&&(e=!0);if(this.checkTags){for(var g in f.tags){if(this.areaTags[g]){h=!0;break}}}return e&&(this.checkTags?h:!0)},write:function(g){OpenLayers.Util.isArray(g)||(g=[g]);this.osm_id=1;this.created_nodes={};var f=this.createElementNS(null,"osm");f.setAttribute("version","0.5");f.setAttribute("generator","OpenLayers "+OpenLayers.VERSION_NUMBER);for(var j=g.length-1;0<=j;j--){for(var i=this.createFeatureNodes(g[j]),h=0;h<i.length;h++){f.appendChild(i[h])}}return OpenLayers.Format.XML.prototype.write.apply(this,[f])},createFeatureNodes:function(e){var d=[],f=e.geometry.CLASS_NAME,f=f.substring(f.lastIndexOf(".")+1),f=f.toLowerCase();(f=this.createXML[f])&&(d=f.apply(this,[e]));return d},createXML:{point:function(g){var f=null,j=g.geometry?g.geometry:g;this.internalProjection&&this.externalProjection&&(j=j.clone(),j.transform(this.internalProjection,this.externalProjection));var i=!1;g.osm_id?(f=g.osm_id,this.created_nodes[f]&&(i=!0)):(f=-this.osm_id,this.osm_id++);var h=i?this.created_nodes[f]:this.createElementNS(null,"node");this.created_nodes[f]=h;h.setAttribute("id",f);h.setAttribute("lon",j.x);h.setAttribute("lat",j.y);g.attributes&&this.serializeTags(g,h);this.setState(g,h);return i?[]:[h]},linestring:function(i){var h,n=[],m=i.geometry;i.osm_id?h=i.osm_id:(h=-this.osm_id,this.osm_id++);var l=this.createElementNS(null,"way");l.setAttribute("id",h);for(h=0;h<m.components.length;h++){var k=this.createXML.point.apply(this,[m.components[h]]);if(k.length){var k=k[0],j=k.getAttribute("id");n.push(k)}else{j=m.components[h].osm_id,k=this.created_nodes[j]}this.setState(i,k);k=this.createElementNS(null,"nd");k.setAttribute("ref",j);l.appendChild(k)}this.serializeTags(i,l);n.push(l);return n},polygon:function(d){var c=OpenLayers.Util.extend({area:"yes"},d.attributes),c=new OpenLayers.Feature.Vector(d.geometry.components[0],c);c.osm_id=d.osm_id;return this.createXML.linestring.apply(this,[c])}},serializeTags:function(f,e){for(var h in f.attributes){var g=this.createElementNS(null,"tag");g.setAttribute("k",h);g.setAttribute("v",f.attributes[h]);e.appendChild(g)}},setState:function(e,d){if(e.state){var f=null;switch(e.state){case OpenLayers.State.UPDATE:case OpenLayers.State.DELETE:f="delete"}f&&d.setAttribute("action",f)}},CLASS_NAME:"OpenLayers.Format.OSM"});OpenLayers.Handler.Keyboard=OpenLayers.Class(OpenLayers.Handler,{KEY_EVENTS:["keydown","keyup"],eventListener:null,observeElement:null,initialize:function(e,d,f){OpenLayers.Handler.prototype.initialize.apply(this,arguments);this.eventListener=OpenLayers.Function.bindAsEventListener(this.handleKeyEvent,this)},destroy:function(){this.deactivate();this.eventListener=null;OpenLayers.Handler.prototype.destroy.apply(this,arguments)},activate:function(){if(OpenLayers.Handler.prototype.activate.apply(this,arguments)){this.observeElement=this.observeElement||document;for(var d=0,c=this.KEY_EVENTS.length;d<c;d++){OpenLayers.Event.observe(this.observeElement,this.KEY_EVENTS[d],this.eventListener)}return !0}return !1},deactivate:function(){var d=!1;if(OpenLayers.Handler.prototype.deactivate.apply(this,arguments)){for(var d=0,c=this.KEY_EVENTS.length;d<c;d++){OpenLayers.Event.stopObserving(this.observeElement,this.KEY_EVENTS[d],this.eventListener)}d=!0}return d},handleKeyEvent:function(b){this.checkModifiers(b)&&this.callback(b.type,[b])},CLASS_NAME:"OpenLayers.Handler.Keyboard"});OpenLayers.Control.ModifyFeature=OpenLayers.Class(OpenLayers.Control,{documentDrag:!1,geometryTypes:null,clickout:!0,toggle:!0,standalone:!1,layer:null,feature:null,vertex:null,vertices:null,virtualVertices:null,handlers:null,deleteCodes:null,virtualStyle:null,vertexRenderIntent:null,mode:null,createVertices:!0,modified:!1,radiusHandle:null,dragHandle:null,onModificationStart:function(){},onModification:function(){},onModificationEnd:function(){},initialize:function(e,d){d=d||{};this.layer=e;this.vertices=[];this.virtualVertices=[];this.virtualStyle=OpenLayers.Util.extend({},this.layer.style||this.layer.styleMap.createSymbolizer(null,d.vertexRenderIntent));this.virtualStyle.fillOpacity=0.3;this.virtualStyle.strokeOpacity=0.3;this.deleteCodes=[46,68];this.mode=OpenLayers.Control.ModifyFeature.RESHAPE;OpenLayers.Control.prototype.initialize.apply(this,[d]);OpenLayers.Util.isArray(this.deleteCodes)||(this.deleteCodes=[this.deleteCodes]);var f={documentDrag:this.documentDrag,stopDown:!1};this.handlers={keyboard:new OpenLayers.Handler.Keyboard(this,{keydown:this.handleKeypress}),drag:new OpenLayers.Handler.Drag(this,{down:function(b){this.vertex=null;(b=this.layer.getFeatureFromEvent(this.handlers.drag.evt))?this.dragStart(b):this.clickout&&(this._unselect=this.feature)},move:function(b){delete this._unselect;this.vertex&&this.dragVertex(this.vertex,b)},up:function(){this.handlers.drag.stopDown=!1;this._unselect&&(this.unselectFeature(this._unselect),delete this._unselect)},done:function(b){this.vertex&&this.dragComplete(this.vertex)}},f)}},destroy:function(){this.map&&this.map.events.un({removelayer:this.handleMapEvents,changelayer:this.handleMapEvents,scope:this});this.layer=null;OpenLayers.Control.prototype.destroy.apply(this,[])},activate:function(){this.moveLayerToTop();this.map.events.on({removelayer:this.handleMapEvents,changelayer:this.handleMapEvents,scope:this});return this.handlers.keyboard.activate()&&this.handlers.drag.activate()&&OpenLayers.Control.prototype.activate.apply(this,arguments)},deactivate:function(){var b=!1;OpenLayers.Control.prototype.deactivate.apply(this,arguments)&&(this.moveLayerBack(),this.map.events.un({removelayer:this.handleMapEvents,changelayer:this.handleMapEvents,scope:this}),this.layer.removeFeatures(this.vertices,{silent:!0}),this.layer.removeFeatures(this.virtualVertices,{silent:!0}),this.vertices=[],this.handlers.drag.deactivate(),this.handlers.keyboard.deactivate(),(b=this.feature)&&(b.geometry&&b.layer)&&this.unselectFeature(b),b=!0);return b},beforeSelectFeature:function(b){return this.layer.events.triggerEvent("beforefeaturemodified",{feature:b})},selectFeature:function(d){if(!(this.feature===d||this.geometryTypes&&-1==OpenLayers.Util.indexOf(this.geometryTypes,d.geometry.CLASS_NAME))){!1!==this.beforeSelectFeature(d)&&(this.feature&&this.unselectFeature(this.feature),this.feature=d,this.layer.selectedFeatures.push(d),this.layer.drawFeature(d,"select"),this.modified=!1,this.resetVertices(),this.onModificationStart(this.feature));var c=d.modified;!d.geometry||c&&c.geometry||(this._originalGeometry=d.geometry.clone())}},unselectFeature:function(b){this.layer.removeFeatures(this.vertices,{silent:!0});this.vertices=[];this.layer.destroyFeatures(this.virtualVertices,{silent:!0});this.virtualVertices=[];this.dragHandle&&(this.layer.destroyFeatures([this.dragHandle],{silent:!0}),delete this.dragHandle);this.radiusHandle&&(this.layer.destroyFeatures([this.radiusHandle],{silent:!0}),delete this.radiusHandle);this.layer.drawFeature(this.feature,"default");this.feature=null;OpenLayers.Util.removeItem(this.layer.selectedFeatures,b);this.onModificationEnd(b);this.layer.events.triggerEvent("afterfeaturemodified",{feature:b,modified:this.modified});this.modified=!1},dragStart:function(d){var c="OpenLayers.Geometry.Point"==d.geometry.CLASS_NAME;this.standalone||(d._sketch||!c)&&d._sketch||(this.toggle&&this.feature===d&&(this._unselect=d),this.selectFeature(d));if(d._sketch||c){this.vertex=d,this.handlers.drag.stopDown=!0}},dragVertex:function(f,e){var h=this.map.getLonLatFromViewPortPx(e),g=f.geometry;g.move(h.lon-g.x,h.lat-g.y);this.modified=!0;"OpenLayers.Geometry.Point"==this.feature.geometry.CLASS_NAME?this.layer.events.triggerEvent("vertexmodified",{vertex:f.geometry,feature:this.feature,pixel:e}):(f._index?(f.geometry.parent.addComponent(f.geometry,f._index),delete f._index,OpenLayers.Util.removeItem(this.virtualVertices,f),this.vertices.push(f)):f==this.dragHandle?(this.layer.removeFeatures(this.vertices,{silent:!0}),this.vertices=[],this.radiusHandle&&(this.layer.destroyFeatures([this.radiusHandle],{silent:!0}),this.radiusHandle=null)):f!==this.radiusHandle&&this.layer.events.triggerEvent("vertexmodified",{vertex:f.geometry,feature:this.feature,pixel:e}),0<this.virtualVertices.length&&(this.layer.destroyFeatures(this.virtualVertices,{silent:!0}),this.virtualVertices=[]),this.layer.drawFeature(this.feature,this.standalone?void 0:"select"));this.layer.drawFeature(f)},dragComplete:function(b){this.resetVertices();this.setFeatureState();this.onModification(this.feature);this.layer.events.triggerEvent("featuremodified",{feature:this.feature})},setFeatureState:function(){if(this.feature.state!=OpenLayers.State.INSERT&&this.feature.state!=OpenLayers.State.DELETE&&(this.feature.state=OpenLayers.State.UPDATE,this.modified&&this._originalGeometry)){var b=this.feature;b.modified=OpenLayers.Util.extend(b.modified,{geometry:this._originalGeometry});delete this._originalGeometry}},resetVertices:function(){0<this.vertices.length&&(this.layer.removeFeatures(this.vertices,{silent:!0}),this.vertices=[]);0<this.virtualVertices.length&&(this.layer.removeFeatures(this.virtualVertices,{silent:!0}),this.virtualVertices=[]);this.dragHandle&&(this.layer.destroyFeatures([this.dragHandle],{silent:!0}),this.dragHandle=null);this.radiusHandle&&(this.layer.destroyFeatures([this.radiusHandle],{silent:!0}),this.radiusHandle=null);this.feature&&"OpenLayers.Geometry.Point"!=this.feature.geometry.CLASS_NAME&&(this.mode&OpenLayers.Control.ModifyFeature.DRAG&&this.collectDragHandle(),this.mode&(OpenLayers.Control.ModifyFeature.ROTATE|OpenLayers.Control.ModifyFeature.RESIZE)&&this.collectRadiusHandle(),this.mode&OpenLayers.Control.ModifyFeature.RESHAPE&&(this.mode&OpenLayers.Control.ModifyFeature.RESIZE||this.collectVertices()))},handleKeypress:function(d){var c=d.keyCode;this.feature&&-1!=OpenLayers.Util.indexOf(this.deleteCodes,c)&&(c=this.layer.getFeatureFromEvent(this.handlers.drag.evt))&&(-1!=OpenLayers.Util.indexOf(this.vertices,c)&&!this.handlers.drag.dragging&&c.geometry.parent)&&(c.geometry.parent.removeComponent(c.geometry),this.layer.events.triggerEvent("vertexremoved",{vertex:c.geometry,feature:this.feature,pixel:d.xy}),this.layer.drawFeature(this.feature,this.standalone?void 0:"select"),this.modified=!0,this.resetVertices(),this.setFeatureState(),this.onModification(this.feature),this.layer.events.triggerEvent("featuremodified",{feature:this.feature}))},collectVertices:function(){function d(j){var i,h,b;if("OpenLayers.Geometry.Point"==j.CLASS_NAME){h=new OpenLayers.Feature.Vector(j),h._sketch=!0,h.renderIntent=c.vertexRenderIntent,c.vertices.push(h)}else{b=j.components.length;"OpenLayers.Geometry.LinearRing"==j.CLASS_NAME&&(b-=1);for(i=0;i<b;++i){h=j.components[i],"OpenLayers.Geometry.Point"==h.CLASS_NAME?(h=new OpenLayers.Feature.Vector(h),h._sketch=!0,h.renderIntent=c.vertexRenderIntent,c.vertices.push(h)):d(h)}if(c.createVertices&&"OpenLayers.Geometry.MultiPoint"!=j.CLASS_NAME){for(i=0,b=j.components.length;i<b-1;++i){h=j.components[i];var a=j.components[i+1];"OpenLayers.Geometry.Point"==h.CLASS_NAME&&"OpenLayers.Geometry.Point"==a.CLASS_NAME&&(h=new OpenLayers.Feature.Vector(new OpenLayers.Geometry.Point((h.x+a.x)/2,(h.y+a.y)/2),null,c.virtualStyle),h.geometry.parent=j,h._index=i+1,h._sketch=!0,c.virtualVertices.push(h))}}}}this.vertices=[];this.virtualVertices=[];var c=this;d.call(this,this.feature.geometry);this.layer.addFeatures(this.virtualVertices,{silent:!0});this.layer.addFeatures(this.vertices,{silent:!0})},collectDragHandle:function(){var e=this.feature.geometry,d=e.getBounds().getCenterLonLat(),d=new OpenLayers.Geometry.Point(d.lon,d.lat),f=new OpenLayers.Feature.Vector(d);d.move=function(a,g){OpenLayers.Geometry.Point.prototype.move.call(this,a,g);e.move(a,g)};f._sketch=!0;this.dragHandle=f;this.dragHandle.renderIntent=this.vertexRenderIntent;this.layer.addFeatures([this.dragHandle],{silent:!0})},collectRadiusHandle:function(){var i=this.feature.geometry,h=i.getBounds(),n=h.getCenterLonLat(),m=new OpenLayers.Geometry.Point(n.lon,n.lat),h=new OpenLayers.Geometry.Point(h.right,h.bottom),n=new OpenLayers.Feature.Vector(h),l=this.mode&OpenLayers.Control.ModifyFeature.RESIZE,k=this.mode&OpenLayers.Control.ModifyFeature.RESHAPE,j=this.mode&OpenLayers.Control.ModifyFeature.ROTATE;h.move=function(d,t){OpenLayers.Geometry.Point.prototype.move.call(this,d,t);var e=this.x-m.x,a=this.y-m.y,s=e-d,o=a-t;if(j){var g=Math.atan2(o,s),g=Math.atan2(a,e)-g,g=g*(180/Math.PI);i.rotate(g,m)}if(l){var f;k?(a/=o,f=e/s/a):(s=Math.sqrt(s*s+o*o),a=Math.sqrt(e*e+a*a)/s);i.resize(a,m,f)}};n._sketch=!0;this.radiusHandle=n;this.radiusHandle.renderIntent=this.vertexRenderIntent;this.layer.addFeatures([this.radiusHandle],{silent:!0})},setMap:function(b){this.handlers.drag.setMap(b);OpenLayers.Control.prototype.setMap.apply(this,arguments)},handleMapEvents:function(b){"removelayer"!=b.type&&"order"!=b.property||this.moveLayerToTop()},moveLayerToTop:function(){var b=Math.max(this.map.Z_INDEX_BASE.Feature-1,this.layer.getZIndex())+1;this.layer.setZIndex(b)},moveLayerBack:function(){var b=this.layer.getZIndex()-1;b>=this.map.Z_INDEX_BASE.Feature?this.layer.setZIndex(b):this.map.setLayerZIndex(this.layer,this.map.getLayerIndex(this.layer))},CLASS_NAME:"OpenLayers.Control.ModifyFeature"});OpenLayers.Control.ModifyFeature.RESHAPE=1;OpenLayers.Control.ModifyFeature.RESIZE=2;OpenLayers.Control.ModifyFeature.ROTATE=4;OpenLayers.Control.ModifyFeature.DRAG=8;OpenLayers.Layer.Bing=OpenLayers.Class(OpenLayers.Layer.XYZ,{key:null,serverResolutions:[156543.03390625,78271.516953125,39135.7584765625,19567.87923828125,9783.939619140625,4891.9698095703125,2445.9849047851562,1222.9924523925781,611.4962261962891,305.74811309814453,152.87405654907226,76.43702827453613,38.218514137268066,19.109257068634033,9.554628534317017,4.777314267158508,2.388657133579254,1.194328566789627,0.5971642833948135,0.29858214169740677,0.14929107084870338,0.07464553542435169],attributionTemplate:'<span class="olBingAttribution ${type}"><div><a target="_blank" href="http://www.bing.com/maps/"><img src="${logo}" /></a></div>${copyrights}<a style="white-space: nowrap" target="_blank" href="http://www.microsoft.com/maps/product/terms.html">Terms of Use</a></span>',metadata:null,protocolRegex:/^http:/i,type:"Road",culture:"en-US",metadataParams:null,tileOptions:null,protocol:~window.location.href.indexOf("http")?"":"http:",initialize:function(b){b=OpenLayers.Util.applyDefaults({sphericalMercator:!0},b);OpenLayers.Layer.XYZ.prototype.initialize.apply(this,[b.name||"Bing "+(b.type||this.type),null,b]);this.tileOptions=OpenLayers.Util.extend({crossOriginKeyword:"anonymous"},this.options.tileOptions);this.loadMetadata()},loadMetadata:function(){this._callbackId="_callback_"+this.id.replace(/\./g,"_");window[this._callbackId]=OpenLayers.Function.bind(OpenLayers.Layer.Bing.processMetadata,this);var d=OpenLayers.Util.applyDefaults({key:this.key,jsonp:this._callbackId,include:"ImageryProviders"},this.metadataParams),d=this.protocol+"//dev.virtualearth.net/REST/v1/Imagery/Metadata/"+this.type+"?"+OpenLayers.Util.getParameterString(d),c=document.createElement("script");c.type="text/javascript";c.src=d;c.id=this._callbackId;document.getElementsByTagName("head")[0].appendChild(c)},initLayer:function(){var e=this.metadata.resourceSets[0].resources[0],d=e.imageUrl.replace("{quadkey}","${quadkey}"),d=d.replace("{culture}",this.culture),d=d.replace(this.protocolRegex,this.protocol);this.url=[];for(var f=0;f<e.imageUrlSubdomains.length;++f){this.url.push(d.replace("{subdomain}",e.imageUrlSubdomains[f]))}this.addOptions({maxResolution:Math.min(this.serverResolutions[e.zoomMin],this.maxResolution||Number.POSITIVE_INFINITY),numZoomLevels:Math.min(e.zoomMax+1-e.zoomMin,this.numZoomLevels)},!0);this.isBaseLayer||this.redraw();this.updateAttribution()},getURL:function(i){if(this.url){var h=this.getXYZ(i);i=h.x;for(var n=h.y,h=h.z,m=[],l=h;0<l;--l){var k="0",j=1<<l-1;0!=(i&j)&&k++;0!=(n&j)&&(k++,k++);m.push(k)}m=m.join("");i=this.selectUrl(""+i+n+h,this.url);return OpenLayers.String.format(i,{quadkey:m})}},updateAttribution:function(){var x=this.metadata;if(x.resourceSets&&this.map&&this.map.center){var w=x.resourceSets[0].resources[0],v=this.map.getExtent().transform(this.map.getProjectionObject(),new OpenLayers.Projection("EPSG:4326")),u=w.imageryProviders||[],t=OpenLayers.Util.indexOf(this.serverResolutions,this.getServerResolution()),w="",s,r,q,p,o,j,i;r=0;for(q=u.length;r<q;++r){for(s=u[r],p=0,o=s.coverageAreas.length;p<o;++p){i=s.coverageAreas[p],j=OpenLayers.Bounds.fromArray(i.bbox,!0),v.intersectsBounds(j)&&(t<=i.zoomMax&&t>=i.zoomMin)&&(w+=s.attribution+" ")}}x=x.brandLogoUri.replace(this.protocolRegex,this.protocol);this.attribution=OpenLayers.String.format(this.attributionTemplate,{type:this.type.toLowerCase(),logo:x,copyrights:w});this.map&&this.map.events.triggerEvent("changelayer",{layer:this,property:"attribution"})}},setMap:function(){OpenLayers.Layer.XYZ.prototype.setMap.apply(this,arguments);this.map.events.register("moveend",this,this.updateAttribution)},clone:function(b){null==b&&(b=new OpenLayers.Layer.Bing(this.options));return b=OpenLayers.Layer.XYZ.prototype.clone.apply(this,[b])},destroy:function(){this.map&&this.map.events.unregister("moveend",this,this.updateAttribution);OpenLayers.Layer.XYZ.prototype.destroy.apply(this,arguments)},CLASS_NAME:"OpenLayers.Layer.Bing"});OpenLayers.Layer.Bing.processMetadata=function(b){this.metadata=b;this.initLayer();b=document.getElementById(this._callbackId);b.parentNode.removeChild(b);window[this._callbackId]=void 0;delete this._callbackId};OpenLayers.StyleMap=OpenLayers.Class({styles:null,extendDefault:!0,initialize:function(e,d){this.styles={"default":new OpenLayers.Style(OpenLayers.Feature.Vector.style["default"]),select:new OpenLayers.Style(OpenLayers.Feature.Vector.style.select),temporary:new OpenLayers.Style(OpenLayers.Feature.Vector.style.temporary),"delete":new OpenLayers.Style(OpenLayers.Feature.Vector.style["delete"])};if(e instanceof OpenLayers.Style){this.styles["default"]=e,this.styles.select=e,this.styles.temporary=e,this.styles["delete"]=e}else{if("object"==typeof e){for(var f in e){if(e[f] instanceof OpenLayers.Style){this.styles[f]=e[f]}else{if("object"==typeof e[f]){this.styles[f]=new OpenLayers.Style(e[f])}else{this.styles["default"]=new OpenLayers.Style(e);this.styles.select=new OpenLayers.Style(e);this.styles.temporary=new OpenLayers.Style(e);this.styles["delete"]=new OpenLayers.Style(e);break}}}}}OpenLayers.Util.extend(this,d)},destroy:function(){for(var b in this.styles){this.styles[b].destroy()}this.styles=null},createSymbolizer:function(e,d){e||(e=new OpenLayers.Feature.Vector);this.styles[d]||(d="default");e.renderIntent=d;var f={};this.extendDefault&&"default"!=d&&(f=this.styles["default"].createSymbolizer(e));return OpenLayers.Util.extend(f,this.styles[d].createSymbolizer(e))},addUniqueValueRules:function(h,g,l,k){var j=[],i;for(i in l){j.push(new OpenLayers.Rule({symbolizer:l[i],context:k,filter:new OpenLayers.Filter.Comparison({type:OpenLayers.Filter.Comparison.EQUAL_TO,property:g,value:i})}))}this.styles[h].addRules(j)},CLASS_NAME:"OpenLayers.StyleMap"});OpenLayers.Layer.Vector=OpenLayers.Class(OpenLayers.Layer,{isBaseLayer:!1,isFixed:!1,features:null,filter:null,selectedFeatures:null,unrenderedFeatures:null,reportError:!0,style:null,styleMap:null,strategies:null,protocol:null,renderers:["SVG","VML","Canvas"],renderer:null,rendererOptions:null,geometryType:null,drawn:!1,ratio:1,initialize:function(f,e){OpenLayers.Layer.prototype.initialize.apply(this,arguments);this.renderer&&this.renderer.supported()||this.assignRenderer();this.renderer&&this.renderer.supported()||(this.renderer=null,this.displayError());this.styleMap||(this.styleMap=new OpenLayers.StyleMap);this.features=[];this.selectedFeatures=[];this.unrenderedFeatures={};if(this.strategies){for(var h=0,g=this.strategies.length;h<g;h++){this.strategies[h].setLayer(this)}}},destroy:function(){if(this.strategies){var e,d,f;d=0;for(f=this.strategies.length;d<f;d++){e=this.strategies[d],e.autoDestroy&&e.destroy()}this.strategies=null}this.protocol&&(this.protocol.autoDestroy&&this.protocol.destroy(),this.protocol=null);this.destroyFeatures();this.unrenderedFeatures=this.selectedFeatures=this.features=null;this.renderer&&this.renderer.destroy();this.drawn=this.geometryType=this.renderer=null;OpenLayers.Layer.prototype.destroy.apply(this,arguments)},clone:function(g){null==g&&(g=new OpenLayers.Layer.Vector(this.name,this.getOptions()));g=OpenLayers.Layer.prototype.clone.apply(this,[g]);for(var f=this.features,j=f.length,i=Array(j),h=0;h<j;++h){i[h]=f[h].clone()}g.features=i;return g},refresh:function(b){this.calculateInRange()&&this.visibility&&this.events.triggerEvent("refresh",b)},assignRenderer:function(){for(var e=0,d=this.renderers.length;e<d;e++){var f=this.renderers[e];if((f="function"==typeof f?f:OpenLayers.Renderer[f])&&f.prototype.supported()){this.renderer=new f(this.div,this.rendererOptions);break}}},displayError:function(){this.reportError&&OpenLayers.Console.userError(OpenLayers.i18n("browserNotSupported",{renderers:this.renderers.join("\n")}))},setMap:function(d){OpenLayers.Layer.prototype.setMap.apply(this,arguments);if(this.renderer){this.renderer.map=this.map;var c=this.map.getSize();c.w*=this.ratio;c.h*=this.ratio;this.renderer.setSize(c)}else{this.map.removeLayer(this)}},afterAdd:function(){if(this.strategies){var e,d,f;d=0;for(f=this.strategies.length;d<f;d++){e=this.strategies[d],e.autoActivate&&e.activate()}}},removeMap:function(e){this.drawn=!1;if(this.strategies){var d,f;d=0;for(f=this.strategies.length;d<f;d++){e=this.strategies[d],e.autoActivate&&e.deactivate()}}},onMapResize:function(){OpenLayers.Layer.prototype.onMapResize.apply(this,arguments);var b=this.map.getSize();b.w*=this.ratio;b.h*=this.ratio;this.renderer.setSize(b)},moveTo:function(h,g,l){OpenLayers.Layer.prototype.moveTo.apply(this,arguments);var k=!0;if(!l){this.renderer.root.style.visibility="hidden";var k=this.map.getSize(),j=k.w,k=k.h,j=j/2*this.ratio-j/2,k=k/2*this.ratio-k/2,j=j+this.map.layerContainerOriginPx.x,j=-Math.round(j),k=k+this.map.layerContainerOriginPx.y,k=-Math.round(k);this.div.style.left=j+"px";this.div.style.top=k+"px";j=this.map.getExtent().scale(this.ratio);k=this.renderer.setExtent(j,g);this.renderer.root.style.visibility="visible";!0===OpenLayers.IS_GECKO&&(this.div.scrollLeft=this.div.scrollLeft);if(!g&&k){for(var i in this.unrenderedFeatures){j=this.unrenderedFeatures[i],this.drawFeature(j)}}}if(!this.drawn||g||!k){for(this.drawn=!0,i=0,k=this.features.length;i<k;i++){this.renderer.locked=i!==k-1,j=this.features[i],this.drawFeature(j)}}},display:function(d){OpenLayers.Layer.prototype.display.apply(this,arguments);var c=this.div.style.display;c!=this.renderer.root.style.display&&(this.renderer.root.style.display=c)},addFeatures:function(i,h){OpenLayers.Util.isArray(i)||(i=[i]);var n=!h||!h.silent;if(n){var m={features:i};if(!1===this.events.triggerEvent("beforefeaturesadded",m)){return}i=m.features}for(var m=[],l=0,k=i.length;l<k;l++){this.renderer.locked=l!=i.length-1?!0:!1;var j=i[l];if(this.geometryType&&!(j.geometry instanceof this.geometryType)){throw new TypeError("addFeatures: component should be an "+this.geometryType.prototype.CLASS_NAME)}j.layer=this;!j.style&&this.style&&(j.style=OpenLayers.Util.extend({},this.style));if(n){if(!1===this.events.triggerEvent("beforefeatureadded",{feature:j})){continue}this.preFeatureInsert(j)}m.push(j);this.features.push(j);this.drawFeature(j);n&&(this.events.triggerEvent("featureadded",{feature:j}),this.onFeatureInsert(j))}n&&this.events.triggerEvent("featuresadded",{features:m})},removeFeatures:function(g,f){if(g&&0!==g.length){if(g===this.features){return this.removeAllFeatures(f)}OpenLayers.Util.isArray(g)||(g=[g]);g===this.selectedFeatures&&(g=g.slice());var j=!f||!f.silent;j&&this.events.triggerEvent("beforefeaturesremoved",{features:g});for(var i=g.length-1;0<=i;i--){this.renderer.locked=0!=i&&g[i-1].geometry?!0:!1;var h=g[i];delete this.unrenderedFeatures[h.id];j&&this.events.triggerEvent("beforefeatureremoved",{feature:h});this.features=OpenLayers.Util.removeItem(this.features,h);h.layer=null;h.geometry&&this.renderer.eraseFeatures(h);-1!=OpenLayers.Util.indexOf(this.selectedFeatures,h)&&OpenLayers.Util.removeItem(this.selectedFeatures,h);j&&this.events.triggerEvent("featureremoved",{feature:h})}j&&this.events.triggerEvent("featuresremoved",{features:g})}},removeAllFeatures:function(f){f=!f||!f.silent;var e=this.features;f&&this.events.triggerEvent("beforefeaturesremoved",{features:e});for(var h,g=e.length-1;0<=g;g--){h=e[g],f&&this.events.triggerEvent("beforefeatureremoved",{feature:h}),h.layer=null,f&&this.events.triggerEvent("featureremoved",{feature:h})}this.renderer.clear();this.features=[];this.unrenderedFeatures={};this.selectedFeatures=[];f&&this.events.triggerEvent("featuresremoved",{features:e})},destroyFeatures:function(e,d){void 0==e&&(e=this.features);if(e){this.removeFeatures(e,d);for(var f=e.length-1;0<=f;f--){e[f].destroy()}}},drawFeature:function(e,d){if(this.drawn){if("object"!=typeof d){d||e.state!==OpenLayers.State.DELETE||(d="delete");var f=d||e.renderIntent;(d=e.style||this.style)||(d=this.styleMap.createSymbolizer(e,f))}f=this.renderer.drawFeature(e,d);!1===f||null===f?this.unrenderedFeatures[e.id]=e:delete this.unrenderedFeatures[e.id]}},eraseFeatures:function(b){this.renderer.eraseFeatures(b)},getFeatureFromEvent:function(d){if(!this.renderer){throw Error("getFeatureFromEvent called on layer with no renderer. This usually means you destroyed a layer, but not some handler which is associated with it.")}var c=null;(d=this.renderer.getFeatureIdFromEvent(d))&&(c="string"===typeof d?this.getFeatureById(d):d);return c},getFeatureBy:function(g,f){for(var j=null,i=0,h=this.features.length;i<h;++i){if(this.features[i][g]==f){j=this.features[i];break}}return j},getFeatureById:function(b){return this.getFeatureBy("id",b)},getFeatureByFid:function(b){return this.getFeatureBy("fid",b)},getFeaturesByAttribute:function(h,g){var l,k,j=this.features.length,i=[];for(l=0;l<j;l++){(k=this.features[l])&&k.attributes&&k.attributes[h]===g&&i.push(k)}return i},onFeatureInsert:function(b){},preFeatureInsert:function(b){},getDataExtent:function(){var g=null,f=this.features;if(f&&0<f.length){for(var j=null,i=0,h=f.length;i<h;i++){if(j=f[i].geometry){null===g&&(g=new OpenLayers.Bounds),g.extend(j.getBounds())}}}return g},CLASS_NAME:"OpenLayers.Layer.Vector"});OpenLayers.Layer.PointGrid=OpenLayers.Class(OpenLayers.Layer.Vector,{dx:null,dy:null,ratio:1.5,maxFeatures:250,rotation:0,origin:null,gridBounds:null,initialize:function(b){b=b||{};OpenLayers.Layer.Vector.prototype.initialize.apply(this,[b.name,b])},setMap:function(b){OpenLayers.Layer.Vector.prototype.setMap.apply(this,arguments);b.events.register("moveend",this,this.onMoveEnd)},removeMap:function(b){b.events.unregister("moveend",this,this.onMoveEnd);OpenLayers.Layer.Vector.prototype.removeMap.apply(this,arguments)},setRatio:function(b){this.ratio=b;this.updateGrid(!0)},setMaxFeatures:function(b){this.maxFeatures=b;this.updateGrid(!0)},setSpacing:function(d,c){this.dx=d;this.dy=c||d;this.updateGrid(!0)},setOrigin:function(b){this.origin=b;this.updateGrid(!0)},getOrigin:function(){this.origin||(this.origin=this.map.getExtent().getCenterLonLat());return this.origin},setRotation:function(b){this.rotation=b;this.updateGrid(!0)},onMoveEnd:function(){this.updateGrid()},getViewBounds:function(){var d=this.map.getExtent();if(this.rotation){var c=this.getOrigin(),c=new OpenLayers.Geometry.Point(c.lon,c.lat),d=d.toGeometry();d.rotate(-this.rotation,c);d=d.getBounds()}return d},updateGrid:function(t){if(t||this.invalidBounds()){var s=this.getViewBounds(),r=this.getOrigin();t=new OpenLayers.Geometry.Point(r.lon,r.lat);var q=s.getWidth(),p=s.getHeight(),o=q/p,n=Math.sqrt(this.dx*this.dy*this.maxFeatures/o),q=Math.min(q*this.ratio,n*o),p=Math.min(p*this.ratio,n),s=s.getCenterLonLat();this.gridBounds=new OpenLayers.Bounds(s.lon-q/2,s.lat-p/2,s.lon+q/2,s.lat+p/2);for(var s=Math.floor(p/this.dy),q=Math.floor(q/this.dx),p=r.lon+this.dx*Math.ceil((this.gridBounds.left-r.lon)/this.dx),r=r.lat+this.dy*Math.ceil((this.gridBounds.bottom-r.lat)/this.dy),n=Array(s*q),m,j=0;j<q;++j){for(var o=p+j*this.dx,i=0;i<s;++i){m=r+i*this.dy,m=new OpenLayers.Geometry.Point(o,m),this.rotation&&m.rotate(this.rotation,t),n[j*s+i]=new OpenLayers.Feature.Vector(m)}}this.destroyFeatures(this.features,{silent:!0});this.addFeatures(n,{silent:!0})}},invalidBounds:function(){return !this.gridBounds||!this.gridBounds.containsBounds(this.getViewBounds())},CLASS_NAME:"OpenLayers.Layer.PointGrid"});OpenLayers.Handler.MouseWheel=OpenLayers.Class(OpenLayers.Handler,{wheelListener:null,interval:0,maxDelta:Number.POSITIVE_INFINITY,delta:0,cumulative:!0,initialize:function(e,d,f){OpenLayers.Handler.prototype.initialize.apply(this,arguments);this.wheelListener=OpenLayers.Function.bindAsEventListener(this.onWheelEvent,this)},destroy:function(){OpenLayers.Handler.prototype.destroy.apply(this,arguments);this.wheelListener=null},onWheelEvent:function(t){if(this.map&&this.checkModifiers(t)){for(var s=!1,r=!1,q=!1,p=OpenLayers.Event.element(t);null!=p&&!q&&!s;){if(!s){try{var o,s=(o=p.currentStyle?p.currentStyle.overflow:document.defaultView.getComputedStyle(p,null).getPropertyValue("overflow"))&&"auto"==o||"scroll"==o}catch(n){}}if(!r&&(r=OpenLayers.Element.hasClass(p,"olScrollable"),!r)){for(var q=0,m=this.map.layers.length;q<m;q++){var j=this.map.layers[q];if(p==j.div||p==j.pane){r=!0;break}}}q=p==this.map.div;p=p.parentNode}if(!s&&q){if(r){if(s=0,t.wheelDelta?(s=t.wheelDelta,0===s%160&&(s*=0.75),s/=120):t.detail&&(s=-(t.detail/Math.abs(t.detail))),this.delta+=s,window.clearTimeout(this._timeoutId),this.interval&&Math.abs(this.delta)<this.maxDelta){var i=OpenLayers.Util.extend({},t);this._timeoutId=window.setTimeout(OpenLayers.Function.bind(function(){this.wheelZoom(i)},this),this.interval)}else{this.wheelZoom(t)}}OpenLayers.Event.stop(t)}}},wheelZoom:function(d){var c=this.delta;this.delta=0;c&&(d.xy=this.map.events.getMousePosition(d),0>c?this.callback("down",[d,this.cumulative?Math.max(-this.maxDelta,c):-1]):this.callback("up",[d,this.cumulative?Math.min(this.maxDelta,c):1]))},activate:function(d){if(OpenLayers.Handler.prototype.activate.apply(this,arguments)){var c=this.wheelListener;OpenLayers.Event.observe(window,"DOMMouseScroll",c);OpenLayers.Event.observe(window,"mousewheel",c);OpenLayers.Event.observe(document,"mousewheel",c);return !0}return !1},deactivate:function(d){if(OpenLayers.Handler.prototype.deactivate.apply(this,arguments)){var c=this.wheelListener;OpenLayers.Event.stopObserving(window,"DOMMouseScroll",c);OpenLayers.Event.stopObserving(window,"mousewheel",c);OpenLayers.Event.stopObserving(document,"mousewheel",c);return !0}return !1},CLASS_NAME:"OpenLayers.Handler.MouseWheel"});OpenLayers.Symbolizer=OpenLayers.Class({zIndex:0,initialize:function(b){OpenLayers.Util.extend(this,b)},clone:function(){return new (eval(this.CLASS_NAME))(OpenLayers.Util.extend({},this))},CLASS_NAME:"OpenLayers.Symbolizer"});OpenLayers.Symbolizer.Raster=OpenLayers.Class(OpenLayers.Symbolizer,{initialize:function(b){OpenLayers.Symbolizer.prototype.initialize.apply(this,arguments)},CLASS_NAME:"OpenLayers.Symbolizer.Raster"});OpenLayers.Rule=OpenLayers.Class({id:null,name:null,title:null,description:null,context:null,filter:null,elseFilter:!1,symbolizer:null,symbolizers:null,minScaleDenominator:null,maxScaleDenominator:null,initialize:function(b){this.symbolizer={};OpenLayers.Util.extend(this,b);this.symbolizers&&delete this.symbolizer;this.id=OpenLayers.Util.createUniqueID(this.CLASS_NAME+"_")},destroy:function(){for(var b in this.symbolizer){this.symbolizer[b]=null}this.symbolizer=null;delete this.symbolizers},evaluate:function(f){var e=this.getContext(f),h=!0;if(this.minScaleDenominator||this.maxScaleDenominator){var g=f.layer.map.getScale()}this.minScaleDenominator&&(h=g>=OpenLayers.Style.createLiteral(this.minScaleDenominator,e));h&&this.maxScaleDenominator&&(h=g<OpenLayers.Style.createLiteral(this.maxScaleDenominator,e));h&&this.filter&&(h="OpenLayers.Filter.FeatureId"==this.filter.CLASS_NAME?this.filter.evaluate(f):this.filter.evaluate(e));return h},getContext:function(d){var c=this.context;c||(c=d.attributes||d.data);"function"==typeof this.context&&(c=this.context(d));return c},clone:function(){var f=OpenLayers.Util.extend({},this);if(this.symbolizers){var e=this.symbolizers.length;f.symbolizers=Array(e);for(var h=0;h<e;++h){f.symbolizers[h]=this.symbolizers[h].clone()}}else{f.symbolizer={};for(var g in this.symbolizer){e=this.symbolizer[g],h=typeof e,"object"===h?f.symbolizer[g]=OpenLayers.Util.extend({},e):"string"===h&&(f.symbolizer[g]=e)}}f.filter=this.filter&&this.filter.clone();f.context=this.context&&OpenLayers.Util.extend({},this.context);return new OpenLayers.Rule(f)},CLASS_NAME:"OpenLayers.Rule"});OpenLayers.Format.SLD=OpenLayers.Class(OpenLayers.Format.XML.VersionedOGC,{profile:null,defaultVersion:"1.0.0",stringifyOutput:!0,namedLayersAsArray:!1,CLASS_NAME:"OpenLayers.Format.SLD"});OpenLayers.Symbolizer.Polygon=OpenLayers.Class(OpenLayers.Symbolizer,{initialize:function(b){OpenLayers.Symbolizer.prototype.initialize.apply(this,arguments)},CLASS_NAME:"OpenLayers.Symbolizer.Polygon"});OpenLayers.Format.GML.v2=OpenLayers.Class(OpenLayers.Format.GML.Base,{schemaLocation:"http://www.opengis.net/gml http://schemas.opengis.net/gml/2.1.2/feature.xsd",initialize:function(b){OpenLayers.Format.GML.Base.prototype.initialize.apply(this,[b])},readers:{gml:OpenLayers.Util.applyDefaults({outerBoundaryIs:function(e,d){var f={};this.readChildNodes(e,f);d.outer=f.components[0]},innerBoundaryIs:function(e,d){var f={};this.readChildNodes(e,f);d.inner.push(f.components[0])},Box:function(f,e){var h={};this.readChildNodes(f,h);e.components||(e.components=[]);var g=h.points[0],h=h.points[1];e.components.push(new OpenLayers.Bounds(g.x,g.y,h.x,h.y))}},OpenLayers.Format.GML.Base.prototype.readers.gml),feature:OpenLayers.Format.GML.Base.prototype.readers.feature,wfs:OpenLayers.Format.GML.Base.prototype.readers.wfs},write:function(d){var c;c=OpenLayers.Util.isArray(d)?"wfs:FeatureCollection":"gml:featureMember";d=this.writeNode(c,d);this.setAttributeNS(d,this.namespaces.xsi,"xsi:schemaLocation",this.schemaLocation);return OpenLayers.Format.XML.prototype.write.apply(this,[d])},writers:{gml:OpenLayers.Util.applyDefaults({Point:function(d){var c=this.createElementNSPlus("gml:Point");this.writeNode("coordinates",[d],c);return c},coordinates:function(g){for(var f=g.length,j=Array(f),i,h=0;h<f;++h){i=g[h],j[h]=this.xy?i.x+","+i.y:i.y+","+i.x,void 0!=i.z&&(j[h]+=","+i.z)}return this.createElementNSPlus("gml:coordinates",{attributes:{decimal:".",cs:",",ts:" "},value:1==f?j[0]:j.join(" ")})},LineString:function(d){var c=this.createElementNSPlus("gml:LineString");this.writeNode("coordinates",d.components,c);return c},Polygon:function(e){var d=this.createElementNSPlus("gml:Polygon");this.writeNode("outerBoundaryIs",e.components[0],d);for(var f=1;f<e.components.length;++f){this.writeNode("innerBoundaryIs",e.components[f],d)}return d},outerBoundaryIs:function(d){var c=this.createElementNSPlus("gml:outerBoundaryIs");this.writeNode("LinearRing",d,c);return c},innerBoundaryIs:function(d){var c=this.createElementNSPlus("gml:innerBoundaryIs");this.writeNode("LinearRing",d,c);return c},LinearRing:function(d){var c=this.createElementNSPlus("gml:LinearRing");this.writeNode("coordinates",d.components,c);return c},Box:function(d){var c=this.createElementNSPlus("gml:Box");this.writeNode("coordinates",[{x:d.left,y:d.bottom},{x:d.right,y:d.top}],c);this.srsName&&c.setAttribute("srsName",this.srsName);return c}},OpenLayers.Format.GML.Base.prototype.writers.gml),feature:OpenLayers.Format.GML.Base.prototype.writers.feature,wfs:OpenLayers.Format.GML.Base.prototype.writers.wfs},CLASS_NAME:"OpenLayers.Format.GML.v2"});OpenLayers.Format.Filter.v1_0_0=OpenLayers.Class(OpenLayers.Format.GML.v2,OpenLayers.Format.Filter.v1,{VERSION:"1.0.0",schemaLocation:"http://www.opengis.net/ogc/filter/1.0.0/filter.xsd",initialize:function(b){OpenLayers.Format.GML.v2.prototype.initialize.apply(this,[b])},readers:{ogc:OpenLayers.Util.applyDefaults({PropertyIsEqualTo:function(e,d){var f=new OpenLayers.Filter.Comparison({type:OpenLayers.Filter.Comparison.EQUAL_TO});this.readChildNodes(e,f);d.filters.push(f)},PropertyIsNotEqualTo:function(e,d){var f=new OpenLayers.Filter.Comparison({type:OpenLayers.Filter.Comparison.NOT_EQUAL_TO});this.readChildNodes(e,f);d.filters.push(f)},PropertyIsLike:function(h,g){var l=new OpenLayers.Filter.Comparison({type:OpenLayers.Filter.Comparison.LIKE});this.readChildNodes(h,l);var k=h.getAttribute("wildCard"),j=h.getAttribute("singleChar"),i=h.getAttribute("escape");l.value2regex(k,j,i);g.filters.push(l)}},OpenLayers.Format.Filter.v1.prototype.readers.ogc),gml:OpenLayers.Format.GML.v2.prototype.readers.gml,feature:OpenLayers.Format.GML.v2.prototype.readers.feature},writers:{ogc:OpenLayers.Util.applyDefaults({PropertyIsEqualTo:function(d){var c=this.createElementNSPlus("ogc:PropertyIsEqualTo");this.writeNode("PropertyName",d,c);this.writeOgcExpression(d.value,c);return c},PropertyIsNotEqualTo:function(d){var c=this.createElementNSPlus("ogc:PropertyIsNotEqualTo");this.writeNode("PropertyName",d,c);this.writeOgcExpression(d.value,c);return c},PropertyIsLike:function(d){var c=this.createElementNSPlus("ogc:PropertyIsLike",{attributes:{wildCard:"*",singleChar:".",escape:"!"}});this.writeNode("PropertyName",d,c);this.writeNode("Literal",d.regex2value(),c);return c},BBOX:function(e){var d=this.createElementNSPlus("ogc:BBOX");e.property&&this.writeNode("PropertyName",e,d);var f=this.writeNode("gml:Box",e.value,d);e.projection&&f.setAttribute("srsName",e.projection);return d}},OpenLayers.Format.Filter.v1.prototype.writers.ogc),gml:OpenLayers.Format.GML.v2.prototype.writers.gml,feature:OpenLayers.Format.GML.v2.prototype.writers.feature},writeSpatial:function(f,e){var h=this.createElementNSPlus("ogc:"+e);this.writeNode("PropertyName",f,h);if(f.value instanceof OpenLayers.Filter.Function){this.writeNode("Function",f.value,h)}else{var g;g=f.value instanceof OpenLayers.Geometry?this.writeNode("feature:_geometry",f.value).firstChild:this.writeNode("gml:Box",f.value);f.projection&&g.setAttribute("srsName",f.projection);h.appendChild(g)}return h},CLASS_NAME:"OpenLayers.Format.Filter.v1_0_0"});OpenLayers.Format.WFST.v1_0_0=OpenLayers.Class(OpenLayers.Format.Filter.v1_0_0,OpenLayers.Format.WFST.v1,{version:"1.0.0",srsNameInQuery:!1,schemaLocations:{wfs:"http://schemas.opengis.net/wfs/1.0.0/WFS-transaction.xsd"},initialize:function(b){OpenLayers.Format.Filter.v1_0_0.prototype.initialize.apply(this,[b]);OpenLayers.Format.WFST.v1.prototype.initialize.apply(this,[b])},readNode:function(e,d,f){return OpenLayers.Format.GML.v2.prototype.readNode.apply(this,arguments)},readers:{wfs:OpenLayers.Util.applyDefaults({WFS_TransactionResponse:function(d,c){c.insertIds=[];c.success=!1;this.readChildNodes(d,c)},InsertResult:function(e,d){var f={fids:[]};this.readChildNodes(e,f);d.insertIds=d.insertIds.concat(f.fids)},TransactionResult:function(d,c){this.readChildNodes(d,c)},Status:function(d,c){this.readChildNodes(d,c)},SUCCESS:function(d,c){c.success=!0}},OpenLayers.Format.WFST.v1.prototype.readers.wfs),gml:OpenLayers.Format.GML.v2.prototype.readers.gml,feature:OpenLayers.Format.GML.v2.prototype.readers.feature,ogc:OpenLayers.Format.Filter.v1_0_0.prototype.readers.ogc},writers:{wfs:OpenLayers.Util.applyDefaults({Query:function(f){f=OpenLayers.Util.extend({featureNS:this.featureNS,featurePrefix:this.featurePrefix,featureType:this.featureType,srsName:this.srsName,srsNameInQuery:this.srsNameInQuery},f);var e=f.featurePrefix,h=this.createElementNSPlus("wfs:Query",{attributes:{typeName:(e?e+":":"")+f.featureType}});f.srsNameInQuery&&f.srsName&&h.setAttribute("srsName",f.srsName);f.featureNS&&h.setAttribute("xmlns:"+e,f.featureNS);if(f.propertyNames){for(var e=0,g=f.propertyNames.length;e<g;e++){this.writeNode("ogc:PropertyName",{property:f.propertyNames[e]},h)}}f.filter&&(this.setFilterProperty(f.filter),this.writeNode("ogc:Filter",f.filter,h));return h}},OpenLayers.Format.WFST.v1.prototype.writers.wfs),gml:OpenLayers.Format.GML.v2.prototype.writers.gml,feature:OpenLayers.Format.GML.v2.prototype.writers.feature,ogc:OpenLayers.Format.Filter.v1_0_0.prototype.writers.ogc},CLASS_NAME:"OpenLayers.Format.WFST.v1_0_0"});OpenLayers.ElementsIndexer=OpenLayers.Class({maxZIndex:null,order:null,indices:null,compare:null,initialize:function(b){this.compare=b?OpenLayers.ElementsIndexer.IndexingMethods.Z_ORDER_Y_ORDER:OpenLayers.ElementsIndexer.IndexingMethods.Z_ORDER_DRAWING_ORDER;this.clear()},insert:function(g){this.exists(g)&&this.remove(g);var f=g.id;this.determineZIndex(g);for(var j=-1,i=this.order.length,h;1<i-j;){h=parseInt((j+i)/2),0<this.compare(this,g,OpenLayers.Util.getElement(this.order[h]))?j=h:i=h}this.order.splice(i,0,f);this.indices[f]=this.getZIndex(g);return this.getNextElement(i)},remove:function(d){d=d.id;var c=OpenLayers.Util.indexOf(this.order,d);0<=c&&(this.order.splice(c,1),delete this.indices[d],this.maxZIndex=0<this.order.length?this.indices[this.order[this.order.length-1]]:0)},clear:function(){this.order=[];this.indices={};this.maxZIndex=0},exists:function(b){return null!=this.indices[b.id]},getZIndex:function(b){return b._style.graphicZIndex},determineZIndex:function(d){var c=d._style.graphicZIndex;null==c?(c=this.maxZIndex,d._style.graphicZIndex=c):c>this.maxZIndex&&(this.maxZIndex=c)},getNextElement:function(d){d+=1;if(d<this.order.length){var c=OpenLayers.Util.getElement(this.order[d]);void 0==c&&(c=this.getNextElement(d));return c}return null},CLASS_NAME:"OpenLayers.ElementsIndexer"});OpenLayers.ElementsIndexer.IndexingMethods={Z_ORDER:function(f,e,h){e=f.getZIndex(e);var g=0;h&&(f=f.getZIndex(h),g=e-f);return g},Z_ORDER_DRAWING_ORDER:function(e,d,f){e=OpenLayers.ElementsIndexer.IndexingMethods.Z_ORDER(e,d,f);f&&0==e&&(e=1);return e},Z_ORDER_Y_ORDER:function(e,d,f){e=OpenLayers.ElementsIndexer.IndexingMethods.Z_ORDER(e,d,f);f&&0===e&&(d=f._boundsBottom-d._boundsBottom,e=0===d?1:d);return e}};OpenLayers.Renderer.Elements=OpenLayers.Class(OpenLayers.Renderer,{rendererRoot:null,root:null,vectorRoot:null,textRoot:null,xmlns:null,xOffset:0,indexer:null,BACKGROUND_ID_SUFFIX:"_background",LABEL_ID_SUFFIX:"_label",LABEL_OUTLINE_SUFFIX:"_outline",initialize:function(d,c){OpenLayers.Renderer.prototype.initialize.apply(this,arguments);this.rendererRoot=this.createRenderRoot();this.root=this.createRoot("_root");this.vectorRoot=this.createRoot("_vroot");this.textRoot=this.createRoot("_troot");this.root.appendChild(this.vectorRoot);this.root.appendChild(this.textRoot);this.rendererRoot.appendChild(this.root);this.container.appendChild(this.rendererRoot);c&&(c.zIndexing||c.yOrdering)&&(this.indexer=new OpenLayers.ElementsIndexer(c.yOrdering))},destroy:function(){this.clear();this.xmlns=this.root=this.rendererRoot=null;OpenLayers.Renderer.prototype.destroy.apply(this,arguments)},clear:function(){var d,c=this.vectorRoot;if(c){for(;d=c.firstChild;){c.removeChild(d)}}if(c=this.textRoot){for(;d=c.firstChild;){c.removeChild(d)}}this.indexer&&this.indexer.clear()},setExtent:function(h,g){var l=OpenLayers.Renderer.prototype.setExtent.apply(this,arguments),k=this.getResolution();if(this.map.baseLayer&&this.map.baseLayer.wrapDateLine){var j,i=h.getWidth()/this.map.getExtent().getWidth();h=h.scale(1/i);i=this.map.getMaxExtent();i.right>h.left&&i.right<h.right?j=!0:i.left>h.left&&i.left<h.right&&(j=!1);if(j!==this.rightOfDateLine||g){l=!1,this.xOffset=!0===j?i.getWidth()/k:0}this.rightOfDateLine=j}return l},getNodeType:function(d,c){},drawGeometry:function(h,g,l){var k=h.CLASS_NAME,j=!0;if("OpenLayers.Geometry.Collection"==k||"OpenLayers.Geometry.MultiPoint"==k||"OpenLayers.Geometry.MultiLineString"==k||"OpenLayers.Geometry.MultiPolygon"==k){for(var k=0,i=h.components.length;k<i;k++){j=this.drawGeometry(h.components[k],g,l)&&j}return j}k=j=!1;"none"!=g.display&&(g.backgroundGraphic?this.redrawBackgroundNode(h.id,h,g,l):k=!0,j=this.redrawNode(h.id,h,g,l));!1==j&&(g=document.getElementById(h.id))&&(g._style.backgroundGraphic&&(k=!0),g.parentNode.removeChild(g));k&&(g=document.getElementById(h.id+this.BACKGROUND_ID_SUFFIX))&&g.parentNode.removeChild(g);return j},redrawNode:function(f,e,h,g){h=this.applyDefaultSymbolizer(h);f=this.nodeFactory(f,this.getNodeType(e,h));f._featureId=g;f._boundsBottom=e.getBounds().bottom;f._geometryClass=e.CLASS_NAME;f._style=h;e=this.drawGeometryNode(f,e,h);if(!1===e){return !1}f=e.node;this.indexer?(h=this.indexer.insert(f))?this.vectorRoot.insertBefore(f,h):this.vectorRoot.appendChild(f):f.parentNode!==this.vectorRoot&&this.vectorRoot.appendChild(f);this.postDraw(f);return e.complete},redrawBackgroundNode:function(f,e,h,g){h=OpenLayers.Util.extend({},h);h.externalGraphic=h.backgroundGraphic;h.graphicXOffset=h.backgroundXOffset;h.graphicYOffset=h.backgroundYOffset;h.graphicZIndex=h.backgroundGraphicZIndex;h.graphicWidth=h.backgroundWidth||h.graphicWidth;h.graphicHeight=h.backgroundHeight||h.graphicHeight;h.backgroundGraphic=null;h.backgroundXOffset=null;h.backgroundYOffset=null;h.backgroundGraphicZIndex=null;return this.redrawNode(f+this.BACKGROUND_ID_SUFFIX,e,h,null)},drawGeometryNode:function(g,f,j){j=j||g._style;var i={isFilled:void 0===j.fill?!0:j.fill,isStroked:void 0===j.stroke?!!j.strokeWidth:j.stroke},h;switch(f.CLASS_NAME){case"OpenLayers.Geometry.Point":!1===j.graphic&&(i.isFilled=!1,i.isStroked=!1);h=this.drawPoint(g,f);break;case"OpenLayers.Geometry.LineString":i.isFilled=!1;h=this.drawLineString(g,f);break;case"OpenLayers.Geometry.LinearRing":h=this.drawLinearRing(g,f);break;case"OpenLayers.Geometry.Polygon":h=this.drawPolygon(g,f);break;case"OpenLayers.Geometry.Rectangle":h=this.drawRectangle(g,f)}g._options=i;return !1!=h?{node:this.setStyle(g,j,i,f),complete:h}:!1},postDraw:function(b){},drawPoint:function(d,c){},drawLineString:function(d,c){},drawLinearRing:function(d,c){},drawPolygon:function(d,c){},drawRectangle:function(d,c){},drawCircle:function(d,c){},removeText:function(d){var c=document.getElementById(d+this.LABEL_ID_SUFFIX);c&&this.textRoot.removeChild(c);(d=document.getElementById(d+this.LABEL_OUTLINE_SUFFIX))&&this.textRoot.removeChild(d)},getFeatureIdFromEvent:function(e){var d=e.target,f=d&&d.correspondingUseElement;return(f?f:d||e.srcElement)._featureId},eraseGeometry:function(f,e){if("OpenLayers.Geometry.MultiPoint"==f.CLASS_NAME||"OpenLayers.Geometry.MultiLineString"==f.CLASS_NAME||"OpenLayers.Geometry.MultiPolygon"==f.CLASS_NAME||"OpenLayers.Geometry.Collection"==f.CLASS_NAME){for(var h=0,g=f.components.length;h<g;h++){this.eraseGeometry(f.components[h],e)}}else{(h=OpenLayers.Util.getElement(f.id))&&h.parentNode&&(h.geometry&&(h.geometry.destroy(),h.geometry=null),h.parentNode.removeChild(h),this.indexer&&this.indexer.remove(h),h._style.backgroundGraphic&&(h=OpenLayers.Util.getElement(f.id+this.BACKGROUND_ID_SUFFIX))&&h.parentNode&&h.parentNode.removeChild(h))}},nodeFactory:function(e,d){var f=OpenLayers.Util.getElement(e);f?this.nodeTypeCompare(f,d)||(f.parentNode.removeChild(f),f=this.nodeFactory(e,d)):f=this.createNode(d,e);return f},nodeTypeCompare:function(d,c){},createNode:function(d,c){},moveRoot:function(d){var c=this.root;d.root.parentNode==this.rendererRoot&&(c=d.root);c.parentNode.removeChild(c);d.rendererRoot.appendChild(c)},getRenderLayerId:function(){return this.root.parentNode.parentNode.id},isComplexSymbol:function(b){return"circle"!=b&&!!b},CLASS_NAME:"OpenLayers.Renderer.Elements"});OpenLayers.Control.ArgParser=OpenLayers.Class(OpenLayers.Control,{center:null,zoom:null,layers:null,displayProjection:null,getParameters:function(e){e=e||window.location.href;var d=OpenLayers.Util.getParameters(e),f=e.indexOf("#");0<f&&(e="?"+e.substring(f+1,e.length),OpenLayers.Util.extend(d,OpenLayers.Util.getParameters(e)));return d},setMap:function(f){OpenLayers.Control.prototype.setMap.apply(this,arguments);for(var e=0,h=this.map.controls.length;e<h;e++){var g=this.map.controls[e];if(g!=this&&"OpenLayers.Control.ArgParser"==g.CLASS_NAME){g.displayProjection!=this.displayProjection&&(this.displayProjection=g.displayProjection);break}}e==this.map.controls.length&&(e=this.getParameters(),e.layers&&(this.layers=e.layers,this.map.events.register("addlayer",this,this.configureLayers),this.configureLayers()),e.lat&&e.lon&&(this.center=new OpenLayers.LonLat(parseFloat(e.lon),parseFloat(e.lat)),e.zoom&&(this.zoom=parseFloat(e.zoom)),this.map.events.register("changebaselayer",this,this.setCenter),this.setCenter()))},setCenter:function(){this.map.baseLayer&&(this.map.events.unregister("changebaselayer",this,this.setCenter),this.displayProjection&&this.center.transform(this.displayProjection,this.map.getProjectionObject()),this.map.setCenter(this.center,this.zoom))},configureLayers:function(){if(this.layers.length==this.map.layers.length){this.map.events.unregister("addlayer",this,this.configureLayers);for(var f=0,e=this.layers.length;f<e;f++){var h=this.map.layers[f],g=this.layers.charAt(f);"B"==g?this.map.setBaseLayer(h):"T"!=g&&"F"!=g||h.setVisibility("T"==g)}}},CLASS_NAME:"OpenLayers.Control.ArgParser"});OpenLayers.Control.Permalink=OpenLayers.Class(OpenLayers.Control,{argParserClass:OpenLayers.Control.ArgParser,element:null,anchor:!1,base:"",displayProjection:null,initialize:function(e,d,f){null===e||"object"!=typeof e||OpenLayers.Util.isElement(e)?(OpenLayers.Control.prototype.initialize.apply(this,[f]),this.element=OpenLayers.Util.getElement(e),this.base=d||document.location.href):(this.base=document.location.href,OpenLayers.Control.prototype.initialize.apply(this,[e]),null!=this.element&&(this.element=OpenLayers.Util.getElement(this.element)))},destroy:function(){this.element&&this.element.parentNode==this.div&&(this.div.removeChild(this.element),this.element=null);this.map&&this.map.events.unregister("moveend",this,this.updateLink);OpenLayers.Control.prototype.destroy.apply(this,arguments)},setMap:function(f){OpenLayers.Control.prototype.setMap.apply(this,arguments);for(var e=0,h=this.map.controls.length;e<h;e++){var g=this.map.controls[e];if(g.CLASS_NAME==this.argParserClass.CLASS_NAME){g.displayProjection!=this.displayProjection&&(this.displayProjection=g.displayProjection);break}}e==this.map.controls.length&&this.map.addControl(new this.argParserClass({displayProjection:this.displayProjection}))},draw:function(){OpenLayers.Control.prototype.draw.apply(this,arguments);this.element||this.anchor||(this.element=document.createElement("a"),this.element.innerHTML=OpenLayers.i18n("Permalink"),this.element.href="",this.div.appendChild(this.element));this.map.events.on({moveend:this.updateLink,changelayer:this.updateLink,changebaselayer:this.updateLink,scope:this});this.updateLink();return this.div},updateLink:function(){var e=this.anchor?"#":"?",d=this.base,f=null;-1!=d.indexOf("#")&&!1==this.anchor&&(f=d.substring(d.indexOf("#"),d.length));-1!=d.indexOf(e)&&(d=d.substring(0,d.indexOf(e)));d=d.split("#")[0]+e+OpenLayers.Util.getParameterString(this.createParams());f&&(d+=f);this.anchor&&!this.element?window.location.href=d:this.element.href=d},createParams:function(g,f,j){g=g||this.map.getCenter();var i=OpenLayers.Util.getParameters(this.base);if(g){for(i.zoom=f||this.map.getZoom(),f=g.lat,g=g.lon,this.displayProjection&&(f=OpenLayers.Projection.transform({x:g,y:f},this.map.getProjectionObject(),this.displayProjection),g=f.x,f=f.y),i.lat=Math.round(100000*f)/100000,i.lon=Math.round(100000*g)/100000,j=j||this.map.layers,i.layers="",g=0,f=j.length;g<f;g++){var h=j[g];i.layers=h.isBaseLayer?i.layers+(h==this.map.baseLayer?"B":"0"):i.layers+(h.getVisibility()?"T":"F")}}return i},CLASS_NAME:"OpenLayers.Control.Permalink"});OpenLayers.Layer.TMS=OpenLayers.Class(OpenLayers.Layer.Grid,{serviceVersion:"1.0.0",layername:null,type:null,isBaseLayer:!0,tileOrigin:null,serverResolutions:null,zoomOffset:0,initialize:function(f,e,h){var g=[];g.push(f,e,{},h);OpenLayers.Layer.Grid.prototype.initialize.apply(this,g)},clone:function(b){null==b&&(b=new OpenLayers.Layer.TMS(this.name,this.url,this.getOptions()));return b=OpenLayers.Layer.Grid.prototype.clone.apply(this,[b])},getURL:function(e){e=this.adjustBounds(e);var d=this.getServerResolution(),f=Math.round((e.left-this.tileOrigin.lon)/(d*this.tileSize.w));e=Math.round((e.bottom-this.tileOrigin.lat)/(d*this.tileSize.h));d=this.getServerZoom();f=this.serviceVersion+"/"+this.layername+"/"+d+"/"+f+"/"+e+"."+this.type;e=this.url;OpenLayers.Util.isArray(e)&&(e=this.selectUrl(f,e));return e+f},setMap:function(b){OpenLayers.Layer.Grid.prototype.setMap.apply(this,arguments);this.tileOrigin||(this.tileOrigin=new OpenLayers.LonLat(this.map.maxExtent.left,this.map.maxExtent.bottom))},CLASS_NAME:"OpenLayers.Layer.TMS"});OpenLayers.Format.WCSCapabilities=OpenLayers.Class(OpenLayers.Format.XML.VersionedOGC,{defaultVersion:"1.1.0",CLASS_NAME:"OpenLayers.Format.WCSCapabilities"});OpenLayers.Format.WCSCapabilities.v1=OpenLayers.Class(OpenLayers.Format.XML,{regExes:{trimSpace:/^\s*|\s*$/g,splitSpace:/\s+/},defaultPrefix:"wcs",read:function(d){"string"==typeof d&&(d=OpenLayers.Format.XML.prototype.read.apply(this,[d]));d&&9==d.nodeType&&(d=d.documentElement);var c={};this.readNode(d,c);return c},CLASS_NAME:"OpenLayers.Format.WCSCapabilities.v1"});OpenLayers.Format.WCSCapabilities.v1_0_0=OpenLayers.Class(OpenLayers.Format.WCSCapabilities.v1,{namespaces:{wcs:"http://www.opengis.net/wcs",xlink:"http://www.w3.org/1999/xlink",xsi:"http://www.w3.org/2001/XMLSchema-instance",ows:"http://www.opengis.net/ows"},errorProperty:"service",readers:{wcs:{WCS_Capabilities:function(d,c){this.readChildNodes(d,c)},Service:function(d,c){c.service={};this.readChildNodes(d,c.service)},name:function(d,c){c.name=this.getChildValue(d)},label:function(d,c){c.label=this.getChildValue(d)},keywords:function(d,c){c.keywords=[];this.readChildNodes(d,c.keywords)},keyword:function(d,c){c.push(this.getChildValue(d))},responsibleParty:function(d,c){c.responsibleParty={};this.readChildNodes(d,c.responsibleParty)},individualName:function(d,c){c.individualName=this.getChildValue(d)},organisationName:function(d,c){c.organisationName=this.getChildValue(d)},positionName:function(d,c){c.positionName=this.getChildValue(d)},contactInfo:function(d,c){c.contactInfo={};this.readChildNodes(d,c.contactInfo)},phone:function(d,c){c.phone={};this.readChildNodes(d,c.phone)},voice:function(d,c){c.voice=this.getChildValue(d)},facsimile:function(d,c){c.facsimile=this.getChildValue(d)},address:function(d,c){c.address={};this.readChildNodes(d,c.address)},deliveryPoint:function(d,c){c.deliveryPoint=this.getChildValue(d)},city:function(d,c){c.city=this.getChildValue(d)},postalCode:function(d,c){c.postalCode=this.getChildValue(d)},country:function(d,c){c.country=this.getChildValue(d)},electronicMailAddress:function(d,c){c.electronicMailAddress=this.getChildValue(d)},fees:function(d,c){c.fees=this.getChildValue(d)},accessConstraints:function(d,c){c.accessConstraints=this.getChildValue(d)},ContentMetadata:function(d,c){c.contentMetadata=[];this.readChildNodes(d,c.contentMetadata)},CoverageOfferingBrief:function(e,d){var f={};this.readChildNodes(e,f);d.push(f)},name:function(d,c){c.name=this.getChildValue(d)},label:function(d,c){c.label=this.getChildValue(d)},lonLatEnvelope:function(g,f){var j=this.getElementsByTagNameNS(g,"http://www.opengis.net/gml","pos");if(2==j.length){var i={},h={};OpenLayers.Format.GML.v3.prototype.readers.gml.pos.apply(this,[j[0],i]);OpenLayers.Format.GML.v3.prototype.readers.gml.pos.apply(this,[j[1],h]);f.lonLatEnvelope={};f.lonLatEnvelope.srsName=g.getAttribute("srsName");f.lonLatEnvelope.min=i.points[0];f.lonLatEnvelope.max=h.points[0]}}}},CLASS_NAME:"OpenLayers.Format.WCSCapabilities.v1_0_0"});OpenLayers.Strategy.Fixed=OpenLayers.Class(OpenLayers.Strategy,{preload:!1,activate:function(){var b=OpenLayers.Strategy.prototype.activate.apply(this,arguments);if(b){if(this.layer.events.on({refresh:this.load,scope:this}),!0==this.layer.visibility||this.preload){this.load()}else{this.layer.events.on({visibilitychanged:this.load,scope:this})}}return b},deactivate:function(){var b=OpenLayers.Strategy.prototype.deactivate.call(this);b&&this.layer.events.un({refresh:this.load,visibilitychanged:this.load,scope:this});return b},load:function(d){var c=this.layer;c.events.triggerEvent("loadstart",{filter:c.filter});c.protocol.read(OpenLayers.Util.applyDefaults({callback:this.merge,filter:c.filter,scope:this},d));c.events.un({visibilitychanged:this.load,scope:this})},merge:function(j){var i=this.layer;i.destroyFeatures();var p=j.features;if(p&&0<p.length){var o=i.projection,n=i.map.getProjectionObject();if(!n.equals(o)){for(var m,l=0,k=p.length;l<k;++l){(m=p[l].geometry)&&m.transform(o,n)}}i.addFeatures(p)}i.events.triggerEvent("loadend",{response:j})},CLASS_NAME:"OpenLayers.Strategy.Fixed"});OpenLayers.Control.Zoom=OpenLayers.Class(OpenLayers.Control,{zoomInText:"+",zoomInId:"olZoomInLink",zoomOutText:"\u2212",zoomOutId:"olZoomOutLink",draw:function(){var f=OpenLayers.Control.prototype.draw.apply(this),e=this.getOrCreateLinks(f),h=e.zoomIn,e=e.zoomOut,g=this.map.events;e.parentNode!==f&&(g=this.events,g.attachToElement(e.parentNode));g.register("buttonclick",this,this.onZoomClick);this.zoomInLink=h;this.zoomOutLink=e;return f},getOrCreateLinks:function(e){var d=document.getElementById(this.zoomInId),f=document.getElementById(this.zoomOutId);d||(d=document.createElement("a"),d.href="#zoomIn",d.appendChild(document.createTextNode(this.zoomInText)),d.className="olControlZoomIn",e.appendChild(d));OpenLayers.Element.addClass(d,"olButton");f||(f=document.createElement("a"),f.href="#zoomOut",f.appendChild(document.createTextNode(this.zoomOutText)),f.className="olControlZoomOut",e.appendChild(f));OpenLayers.Element.addClass(f,"olButton");return{zoomIn:d,zoomOut:f}},onZoomClick:function(b){b=b.buttonElement;b===this.zoomInLink?this.map.zoomIn():b===this.zoomOutLink&&this.map.zoomOut()},destroy:function(){this.map&&this.map.events.unregister("buttonclick",this,this.onZoomClick);delete this.zoomInLink;delete this.zoomOutLink;OpenLayers.Control.prototype.destroy.apply(this)},CLASS_NAME:"OpenLayers.Control.Zoom"});OpenLayers.Layer.PointTrack=OpenLayers.Class(OpenLayers.Layer.Vector,{dataFrom:null,styleFrom:null,addNodes:function(r,q){if(2>r.length){throw Error("At least two point features have to be added to create a line from")}for(var p=Array(r.length-1),o,n,m,l=0,j=r.length;l<j;l++){o=r[l];m=o.geometry;if(!m){m=o.lonlat,m=new OpenLayers.Geometry.Point(m.lon,m.lat)}else{if("OpenLayers.Geometry.Point"!=m.CLASS_NAME){throw new TypeError("Only features with point geometries are supported.")}}if(0<l){o=null!=this.dataFrom?r[l+this.dataFrom].data||r[l+this.dataFrom].attributes:null;var i=null!=this.styleFrom?r[l+this.styleFrom].style:null;n=new OpenLayers.Geometry.LineString([n,m]);p[l-1]=new OpenLayers.Feature.Vector(n,o,i)}n=m}this.addFeatures(p,q)},CLASS_NAME:"OpenLayers.Layer.PointTrack"});OpenLayers.Layer.PointTrack.SOURCE_NODE=-1;OpenLayers.Layer.PointTrack.TARGET_NODE=0;OpenLayers.Layer.PointTrack.dataFrom={SOURCE_NODE:-1,TARGET_NODE:0};OpenLayers.Protocol.WFS=function(d){d=OpenLayers.Util.applyDefaults(d,OpenLayers.Protocol.WFS.DEFAULTS);var c=OpenLayers.Protocol.WFS["v"+d.version.replace(/\./g,"_")];if(!c){throw"Unsupported WFS version: "+d.version}return new c(d)};OpenLayers.Protocol.WFS.fromWMSLayer=function(f,e){var h,g;h=f.params.LAYERS;h=(OpenLayers.Util.isArray(h)?h[0]:h).split(":");1<h.length&&(g=h[0]);h=h.pop();g={url:f.url,featureType:h,featurePrefix:g,srsName:f.projection&&f.projection.getCode()||f.map&&f.map.getProjectionObject().getCode(),version:"1.1.0"};return new OpenLayers.Protocol.WFS(OpenLayers.Util.applyDefaults(e,g))};OpenLayers.Protocol.WFS.DEFAULTS={version:"1.0.0"};OpenLayers.Layer.Markers=OpenLayers.Class(OpenLayers.Layer,{isBaseLayer:!1,markers:null,drawn:!1,initialize:function(d,c){OpenLayers.Layer.prototype.initialize.apply(this,arguments);this.markers=[]},destroy:function(){this.clearMarkers();this.markers=null;OpenLayers.Layer.prototype.destroy.apply(this,arguments)},setOpacity:function(d){if(d!=this.opacity){this.opacity=d;d=0;for(var c=this.markers.length;d<c;d++){this.markers[d].setOpacity(this.opacity)}}},moveTo:function(g,f,j){OpenLayers.Layer.prototype.moveTo.apply(this,arguments);if(f||!this.drawn){for(var i=0,h=this.markers.length;i<h;i++){this.drawMarker(this.markers[i])}this.drawn=!0}},addMarker:function(b){this.markers.push(b);1>this.opacity&&b.setOpacity(this.opacity);this.map&&this.map.getExtent()&&(b.map=this.map,this.drawMarker(b))},removeMarker:function(b){this.markers&&this.markers.length&&(OpenLayers.Util.removeItem(this.markers,b),b.erase())},clearMarkers:function(){if(null!=this.markers){for(;0<this.markers.length;){this.removeMarker(this.markers[0])}}},drawMarker:function(d){var c=this.map.getLayerPxFromLonLat(d.lonlat);null==c?d.display(!1):d.isDrawn()?d.icon&&d.icon.moveTo(c):(d=d.draw(c),this.div.appendChild(d))},getDataExtent:function(){var e=null;if(this.markers&&0<this.markers.length){for(var e=new OpenLayers.Bounds,d=0,f=this.markers.length;d<f;d++){e.extend(this.markers[d].lonlat)}}return e},CLASS_NAME:"OpenLayers.Layer.Markers"});OpenLayers.Control.Pan=OpenLayers.Class(OpenLayers.Control.Button,{slideFactor:50,slideRatio:null,direction:null,initialize:function(d,c){this.direction=d;this.CLASS_NAME+=this.direction;OpenLayers.Control.prototype.initialize.apply(this,[c])},trigger:function(){if(this.map){var b=OpenLayers.Function.bind(function(c){return this.slideRatio?this.map.getSize()[c]*this.slideRatio:this.slideFactor},this);switch(this.direction){case OpenLayers.Control.Pan.NORTH:this.map.pan(0,-b("h"));break;case OpenLayers.Control.Pan.SOUTH:this.map.pan(0,b("h"));break;case OpenLayers.Control.Pan.WEST:this.map.pan(-b("w"),0);break;case OpenLayers.Control.Pan.EAST:this.map.pan(b("w"),0)}}},CLASS_NAME:"OpenLayers.Control.Pan"});OpenLayers.Control.Pan.NORTH="North";OpenLayers.Control.Pan.SOUTH="South";OpenLayers.Control.Pan.EAST="East";OpenLayers.Control.Pan.WEST="West";OpenLayers.Format.CSWGetDomain=function(d){d=OpenLayers.Util.applyDefaults(d,OpenLayers.Format.CSWGetDomain.DEFAULTS);var c=OpenLayers.Format.CSWGetDomain["v"+d.version.replace(/\./g,"_")];if(!c){throw"Unsupported CSWGetDomain version: "+d.version}return new c(d)};OpenLayers.Format.CSWGetDomain.DEFAULTS={version:"2.0.2"};OpenLayers.Format.CSWGetDomain.v2_0_2=OpenLayers.Class(OpenLayers.Format.XML,{namespaces:{xlink:"http://www.w3.org/1999/xlink",xsi:"http://www.w3.org/2001/XMLSchema-instance",csw:"http://www.opengis.net/cat/csw/2.0.2"},defaultPrefix:"csw",version:"2.0.2",schemaLocation:"http://www.opengis.net/cat/csw/2.0.2 http://schemas.opengis.net/csw/2.0.2/CSW-discovery.xsd",PropertyName:null,ParameterName:null,read:function(d){"string"==typeof d&&(d=OpenLayers.Format.XML.prototype.read.apply(this,[d]));d&&9==d.nodeType&&(d=d.documentElement);var c={};this.readNode(d,c);return c},readers:{csw:{GetDomainResponse:function(d,c){this.readChildNodes(d,c)},DomainValues:function(h,g){OpenLayers.Util.isArray(g.DomainValues)||(g.DomainValues=[]);for(var l=h.attributes,k={},j=0,i=l.length;j<i;++j){k[l[j].name]=l[j].nodeValue}this.readChildNodes(h,k);g.DomainValues.push(k)},PropertyName:function(d,c){c.PropertyName=this.getChildValue(d)},ParameterName:function(d,c){c.ParameterName=this.getChildValue(d)},ListOfValues:function(d,c){OpenLayers.Util.isArray(c.ListOfValues)||(c.ListOfValues=[]);this.readChildNodes(d,c.ListOfValues)},Value:function(h,g){for(var l=h.attributes,k={},j=0,i=l.length;j<i;++j){k[l[j].name]=l[j].nodeValue}k.value=this.getChildValue(h);g.push({Value:k})},ConceptualScheme:function(d,c){c.ConceptualScheme={};this.readChildNodes(d,c.ConceptualScheme)},Name:function(d,c){c.Name=this.getChildValue(d)},Document:function(d,c){c.Document=this.getChildValue(d)},Authority:function(d,c){c.Authority=this.getChildValue(d)},RangeOfValues:function(d,c){c.RangeOfValues={};this.readChildNodes(d,c.RangeOfValues)},MinValue:function(h,g){for(var l=h.attributes,k={},j=0,i=l.length;j<i;++j){k[l[j].name]=l[j].nodeValue}k.value=this.getChildValue(h);g.MinValue=k},MaxValue:function(h,g){for(var l=h.attributes,k={},j=0,i=l.length;j<i;++j){k[l[j].name]=l[j].nodeValue}k.value=this.getChildValue(h);g.MaxValue=k}}},write:function(b){b=this.writeNode("csw:GetDomain",b);return OpenLayers.Format.XML.prototype.write.apply(this,[b])},writers:{csw:{GetDomain:function(d){var c=this.createElementNSPlus("csw:GetDomain",{attributes:{service:"CSW",version:this.version}});d.PropertyName||this.PropertyName?this.writeNode("csw:PropertyName",d.PropertyName||this.PropertyName,c):(d.ParameterName||this.ParameterName)&&this.writeNode("csw:ParameterName",d.ParameterName||this.ParameterName,c);this.readChildNodes(c,d);return c},PropertyName:function(b){return this.createElementNSPlus("csw:PropertyName",{value:b})},ParameterName:function(b){return this.createElementNSPlus("csw:ParameterName",{value:b})}}},CLASS_NAME:"OpenLayers.Format.CSWGetDomain.v2_0_2"});OpenLayers.Format.ArcXML.Features=OpenLayers.Class(OpenLayers.Format.XML,{read:function(b){return(new OpenLayers.Format.ArcXML).read(b).features.feature}});OpenLayers.Control.Snapping=OpenLayers.Class(OpenLayers.Control,{DEFAULTS:{tolerance:10,node:!0,edge:!0,vertex:!0},greedy:!0,precedence:["node","vertex","edge"],resolution:null,geoToleranceCache:null,layer:null,feature:null,point:null,initialize:function(b){OpenLayers.Control.prototype.initialize.apply(this,[b]);this.options=b||{};this.options.layer&&this.setLayer(this.options.layer);b=OpenLayers.Util.extend({},this.options.defaults);this.defaults=OpenLayers.Util.applyDefaults(b,this.DEFAULTS);this.setTargets(this.options.targets);0===this.targets.length&&this.layer&&this.addTargetLayer(this.layer);this.geoToleranceCache={}},setLayer:function(b){this.active?(this.deactivate(),this.layer=b,this.activate()):this.layer=b},setTargets:function(f){this.targets=[];if(f&&f.length){for(var e,h=0,g=f.length;h<g;++h){e=f[h],e instanceof OpenLayers.Layer.Vector?this.addTargetLayer(e):this.addTarget(e)}}},addTargetLayer:function(b){this.addTarget({layer:b})},addTarget:function(b){b=OpenLayers.Util.applyDefaults(b,this.defaults);b.nodeTolerance=b.nodeTolerance||b.tolerance;b.vertexTolerance=b.vertexTolerance||b.tolerance;b.edgeTolerance=b.edgeTolerance||b.tolerance;this.targets.push(b)},removeTargetLayer:function(e){for(var d,f=this.targets.length-1;0<=f;--f){d=this.targets[f],d.layer===e&&this.removeTarget(d)}},removeTarget:function(b){return OpenLayers.Util.removeItem(this.targets,b)},activate:function(){var b=OpenLayers.Control.prototype.activate.call(this);if(b&&this.layer&&this.layer.events){this.layer.events.on({sketchstarted:this.onSketchModified,sketchmodified:this.onSketchModified,vertexmodified:this.onVertexModified,scope:this})}return b},deactivate:function(){var b=OpenLayers.Control.prototype.deactivate.call(this);b&&this.layer&&this.layer.events&&this.layer.events.un({sketchstarted:this.onSketchModified,sketchmodified:this.onSketchModified,vertexmodified:this.onVertexModified,scope:this});this.point=this.feature=null;return b},onSketchModified:function(b){this.feature=b.feature;this.considerSnapping(b.vertex,b.vertex)},onVertexModified:function(d){this.feature=d.feature;var c=this.layer.map.getLonLatFromViewPortPx(d.pixel);this.considerSnapping(d.vertex,new OpenLayers.Geometry.Point(c.lon,c.lat))},considerSnapping:function(j,i){for(var p={rank:Number.POSITIVE_INFINITY,dist:Number.POSITIVE_INFINITY,x:null,y:null},o=!1,n,m,l=0,k=this.targets.length;l<k;++l){if(m=this.targets[l],n=this.testTarget(m,i)){if(this.greedy){p=n;p.target=m;o=!0;break}else{if(n.rank<p.rank||n.rank===p.rank&&n.dist<p.dist){p=n,p.target=m,o=!0}}}}o&&(!1!==this.events.triggerEvent("beforesnap",{point:j,x:p.x,y:p.y,distance:p.dist,layer:p.target.layer,snapType:this.precedence[p.rank]})?(j.x=p.x,j.y=p.y,this.point=j,this.events.triggerEvent("snap",{point:j,snapType:this.precedence[p.rank],layer:p.target.layer,distance:p.dist})):o=!1);this.point&&!o&&(j.x=i.x,j.y=i.y,this.point=null,this.events.triggerEvent("unsnap",{point:j}))},testTarget:function(P,O){var N=this.layer.map.getResolution();if("minResolution" in P&&N<P.minResolution||"maxResolution" in P&&N>=P.maxResolution){return null}for(var N={node:this.getGeoTolerance(P.nodeTolerance,N),vertex:this.getGeoTolerance(P.vertexTolerance,N),edge:this.getGeoTolerance(P.edgeTolerance,N)},M=Math.max(N.node,N.vertex,N.edge),L={rank:Number.POSITIVE_INFINITY,dist:Number.POSITIVE_INFINITY},K=!1,J=P.layer.features,I,H,G,F,E,D,C=this.precedence.length,B=new OpenLayers.LonLat(O.x,O.y),A=0,z=J.length;A<z;++A){if(I=J[A],I!==this.feature&&(!I._sketch&&I.state!==OpenLayers.State.DELETE&&(!P.filter||P.filter.evaluate(I)))&&I.atPoint(B,M,M)){for(var y=0,o=Math.min(L.rank+1,C);y<o;++y){if(H=this.precedence[y],P[H]){if("edge"===H){if(G=I.geometry.distanceTo(O,{details:!0}),E=G.distance,E<=N[H]&&E<L.dist){L={rank:y,dist:E,x:G.x0,y:G.y0};K=!0;break}}else{G=I.geometry.getVertices("node"===H);D=!1;for(var j=0,i=G.length;j<i;++j){F=G[j],E=F.distanceTo(O),E<=N[H]&&(y<L.rank||y===L.rank&&E<L.dist)&&(L={rank:y,dist:E,x:F.x,y:F.y},D=K=!0)}if(D){break}}}}}}return K?L:null},getGeoTolerance:function(e,d){d!==this.resolution&&(this.resolution=d,this.geoToleranceCache={});var f=this.geoToleranceCache[e];void 0===f&&(f=e*d,this.geoToleranceCache[e]=f);return f},destroy:function(){this.active&&this.deactivate();delete this.layer;delete this.targets;OpenLayers.Control.prototype.destroy.call(this)},CLASS_NAME:"OpenLayers.Control.Snapping"});OpenLayers.Format.OWSCommon.v1_1_0=OpenLayers.Class(OpenLayers.Format.OWSCommon.v1,{namespaces:{ows:"http://www.opengis.net/ows/1.1",xlink:"http://www.w3.org/1999/xlink"},readers:{ows:OpenLayers.Util.applyDefaults({ExceptionReport:function(d,c){c.exceptionReport={version:d.getAttribute("version"),language:d.getAttribute("xml:lang"),exceptions:[]};this.readChildNodes(d,c.exceptionReport)},AllowedValues:function(d,c){c.allowedValues={};this.readChildNodes(d,c.allowedValues)},AnyValue:function(d,c){c.anyValue=!0},DataType:function(d,c){c.dataType=this.getChildValue(d)},Range:function(d,c){c.range={};this.readChildNodes(d,c.range)},MinimumValue:function(d,c){c.minValue=this.getChildValue(d)},MaximumValue:function(d,c){c.maxValue=this.getChildValue(d)},Identifier:function(d,c){c.identifier=this.getChildValue(d)},SupportedCRS:function(d,c){c.supportedCRS=this.getChildValue(d)}},OpenLayers.Format.OWSCommon.v1.prototype.readers.ows)},writers:{ows:OpenLayers.Util.applyDefaults({Range:function(d){var c=this.createElementNSPlus("ows:Range",{attributes:{"ows:rangeClosure":d.closure}});this.writeNode("ows:MinimumValue",d.minValue,c);this.writeNode("ows:MaximumValue",d.maxValue,c);return c},MinimumValue:function(b){return this.createElementNSPlus("ows:MinimumValue",{value:b})},MaximumValue:function(b){return this.createElementNSPlus("ows:MaximumValue",{value:b})},Value:function(b){return this.createElementNSPlus("ows:Value",{value:b})}},OpenLayers.Format.OWSCommon.v1.prototype.writers.ows)},CLASS_NAME:"OpenLayers.Format.OWSCommon.v1_1_0"});OpenLayers.Format.WCSGetCoverage=OpenLayers.Class(OpenLayers.Format.XML,{namespaces:{ows:"http://www.opengis.net/ows/1.1",wcs:"http://www.opengis.net/wcs/1.1",xlink:"http://www.w3.org/1999/xlink",xsi:"http://www.w3.org/2001/XMLSchema-instance"},regExes:{trimSpace:/^\s*|\s*$/g,removeSpace:/\s*/g,splitSpace:/\s+/,trimComma:/\s*,\s*/g},VERSION:"1.1.2",schemaLocation:"http://www.opengis.net/wcs/1.1 http://schemas.opengis.net/wcs/1.1/wcsGetCoverage.xsd",write:function(b){b=this.writeNode("wcs:GetCoverage",b);this.setAttributeNS(b,this.namespaces.xsi,"xsi:schemaLocation",this.schemaLocation);return OpenLayers.Format.XML.prototype.write.apply(this,[b])},writers:{wcs:{GetCoverage:function(d){var c=this.createElementNSPlus("wcs:GetCoverage",{attributes:{version:d.version||this.VERSION,service:"WCS"}});this.writeNode("ows:Identifier",d.identifier,c);this.writeNode("wcs:DomainSubset",d.domainSubset,c);this.writeNode("wcs:Output",d.output,c);return c},DomainSubset:function(d){var c=this.createElementNSPlus("wcs:DomainSubset",{});this.writeNode("ows:BoundingBox",d.boundingBox,c);d.temporalSubset&&this.writeNode("wcs:TemporalSubset",d.temporalSubset,c);return c},TemporalSubset:function(f){for(var e=this.createElementNSPlus("wcs:TemporalSubset",{}),h=0,g=f.timePeriods.length;h<g;++h){this.writeNode("wcs:TimePeriod",f.timePeriods[h],e)}return e},TimePeriod:function(d){var c=this.createElementNSPlus("wcs:TimePeriod",{});this.writeNode("wcs:BeginPosition",d.begin,c);this.writeNode("wcs:EndPosition",d.end,c);d.resolution&&this.writeNode("wcs:TimeResolution",d.resolution,c);return c},BeginPosition:function(b){return this.createElementNSPlus("wcs:BeginPosition",{value:b})},EndPosition:function(b){return this.createElementNSPlus("wcs:EndPosition",{value:b})},TimeResolution:function(b){return this.createElementNSPlus("wcs:TimeResolution",{value:b})},Output:function(d){var c=this.createElementNSPlus("wcs:Output",{attributes:{format:d.format,store:d.store}});d.gridCRS&&this.writeNode("wcs:GridCRS",d.gridCRS,c);return c},GridCRS:function(d){var c=this.createElementNSPlus("wcs:GridCRS",{});this.writeNode("wcs:GridBaseCRS",d.baseCRS,c);d.type&&this.writeNode("wcs:GridType",d.type,c);d.origin&&this.writeNode("wcs:GridOrigin",d.origin,c);this.writeNode("wcs:GridOffsets",d.offsets,c);d.CS&&this.writeNode("wcs:GridCS",d.CS,c);return c},GridBaseCRS:function(b){return this.createElementNSPlus("wcs:GridBaseCRS",{value:b})},GridOrigin:function(b){return this.createElementNSPlus("wcs:GridOrigin",{value:b})},GridType:function(b){return this.createElementNSPlus("wcs:GridType",{value:b})},GridOffsets:function(b){return this.createElementNSPlus("wcs:GridOffsets",{value:b})},GridCS:function(b){return this.createElementNSPlus("wcs:GridCS",{value:b})}},ows:OpenLayers.Format.OWSCommon.v1_1_0.prototype.writers.ows},CLASS_NAME:"OpenLayers.Format.WCSGetCoverage"});OpenLayers.Format.KML=OpenLayers.Class(OpenLayers.Format.XML,{namespaces:{kml:"http://www.opengis.net/kml/2.2",gx:"http://www.google.com/kml/ext/2.2"},kmlns:"http://earth.google.com/kml/2.0",placemarksDesc:"No description available",foldersName:"OpenLayers export",foldersDesc:"Exported on "+new Date,extractAttributes:!0,kvpAttributes:!1,extractStyles:!1,extractTracks:!1,trackAttributes:null,internalns:null,features:null,styles:null,styleBaseUrl:"",fetched:null,maxDepth:0,initialize:function(b){this.regExes={trimSpace:/^\s*|\s*$/g,removeSpace:/\s*/g,splitSpace:/\s+/,trimComma:/\s*,\s*/g,kmlColor:/(\w{2})(\w{2})(\w{2})(\w{2})/,kmlIconPalette:/root:\/\/icons\/palette-(\d+)(\.\w+)/,straightBracket:/\$\[(.*?)\]/g};this.externalProjection=new OpenLayers.Projection("EPSG:4326");OpenLayers.Format.XML.prototype.initialize.apply(this,[b])},read:function(b){this.features=[];this.styles={};this.fetched={};return this.parseData(b,{depth:0,styleBaseUrl:this.styleBaseUrl})},parseData:function(i,h){"string"==typeof i&&(i=OpenLayers.Format.XML.prototype.read.apply(this,[i]));for(var n=["Link","NetworkLink","Style","StyleMap","Placemark"],m=0,l=n.length;m<l;++m){var k=n[m],j=this.getElementsByTagNameNS(i,"*",k);if(0!=j.length){switch(k.toLowerCase()){case"link":case"networklink":this.parseLinks(j,h);break;case"style":this.extractStyles&&this.parseStyles(j,h);break;case"stylemap":this.extractStyles&&this.parseStyleMaps(j,h);break;case"placemark":this.parseFeatures(j,h)}}}return this.features},parseLinks:function(h,g){if(g.depth>=this.maxDepth){return !1}var l=OpenLayers.Util.extend({},g);l.depth++;for(var k=0,j=h.length;k<j;k++){var i=this.parseProperty(h[k],"*","href");i&&!this.fetched[i]&&(this.fetched[i]=!0,(i=this.fetchLink(i))&&this.parseData(i,l))}},fetchLink:function(b){if(b=OpenLayers.Request.GET({url:b,async:!1})){return b.responseText}},parseStyles:function(g,f){for(var j=0,i=g.length;j<i;j++){var h=this.parseStyle(g[j]);h&&(this.styles[(f.styleBaseUrl||"")+"#"+h.id]=h)}},parseKmlColor:function(d){var c=null;d&&(d=d.match(this.regExes.kmlColor))&&(c={color:"#"+d[4]+d[3]+d[2],opacity:parseInt(d[1],16)/255});return c},parseStyle:function(z){for(var y={},x=["LineStyle","PolyStyle","IconStyle","BalloonStyle","LabelStyle"],w,v,u=0,t=x.length;u<t;++u){if(w=x[u],v=this.getElementsByTagNameNS(z,"*",w)[0]){switch(w.toLowerCase()){case"linestyle":w=this.parseProperty(v,"*","color");if(w=this.parseKmlColor(w)){y.strokeColor=w.color,y.strokeOpacity=w.opacity}(w=this.parseProperty(v,"*","width"))&&(y.strokeWidth=w);break;case"polystyle":w=this.parseProperty(v,"*","color");if(w=this.parseKmlColor(w)){y.fillOpacity=w.opacity,y.fillColor=w.color}"0"==this.parseProperty(v,"*","fill")&&(y.fillColor="none");"0"==this.parseProperty(v,"*","outline")&&(y.strokeWidth="0");break;case"iconstyle":var s=parseFloat(this.parseProperty(v,"*","scale")||1);w=32*s;var r=32*s,q=this.getElementsByTagNameNS(v,"*","Icon")[0];if(q){var o=this.parseProperty(q,"*","href");if(o){var j=this.parseProperty(q,"*","w"),i=this.parseProperty(q,"*","h");!OpenLayers.String.startsWith(o,"http://maps.google.com/mapfiles/kml")||(j||i)||(i=j=64,s/=2);j=j||i;i=i||j;j&&(w=parseInt(j)*s);i&&(r=parseInt(i)*s);if(i=o.match(this.regExes.kmlIconPalette)){j=i[1],i=i[2],o=this.parseProperty(q,"*","x"),q=this.parseProperty(q,"*","y"),o="http://maps.google.com/mapfiles/kml/pal"+j+"/icon"+(8*(q?7-q/32:7)+(o?o/32:0))+i}y.graphicOpacity=1;y.externalGraphic=o}}if(v=this.getElementsByTagNameNS(v,"*","hotSpot")[0]){o=parseFloat(v.getAttribute("x")),q=parseFloat(v.getAttribute("y")),j=v.getAttribute("xunits"),"pixels"==j?y.graphicXOffset=-o*s:"insetPixels"==j?y.graphicXOffset=-w+o*s:"fraction"==j&&(y.graphicXOffset=-w*o),v=v.getAttribute("yunits"),"pixels"==v?y.graphicYOffset=-r+q*s+1:"insetPixels"==v?y.graphicYOffset=-(q*s)+1:"fraction"==v&&(y.graphicYOffset=-r*(1-q)+1)}y.graphicWidth=w;y.graphicHeight=r;break;case"balloonstyle":(v=OpenLayers.Util.getXmlNodeValue(v))&&(y.balloonStyle=v.replace(this.regExes.straightBracket,"${$1}"));break;case"labelstyle":if(w=this.parseProperty(v,"*","color"),w=this.parseKmlColor(w)){y.fontColor=w.color,y.fontOpacity=w.opacity}}}}!y.strokeColor&&y.fillColor&&(y.strokeColor=y.fillColor);(z=z.getAttribute("id"))&&y&&(y.id=z);return y},parseStyleMaps:function(t,s){for(var r=0,q=t.length;r<q;r++){for(var p=t[r],o=this.getElementsByTagNameNS(p,"*","Pair"),p=p.getAttribute("id"),n=0,m=o.length;n<m;n++){var j=o[n],i=this.parseProperty(j,"*","key");(j=this.parseProperty(j,"*","styleUrl"))&&"normal"==i&&(this.styles[(s.styleBaseUrl||"")+"#"+p]=this.styles[(s.styleBaseUrl||"")+j])}}},parseFeatures:function(j,i){for(var p=[],o=0,n=j.length;o<n;o++){var m=j[o],l=this.parseFeature.apply(this,[m]);if(l){this.extractStyles&&(l.attributes&&l.attributes.styleUrl)&&(l.style=this.getStyle(l.attributes.styleUrl,i));if(this.extractStyles){var k=this.getElementsByTagNameNS(m,"*","Style")[0];k&&(k=this.parseStyle(k))&&(l.style=OpenLayers.Util.extend(l.style,k))}this.extractTracks?(m=this.getElementsByTagNameNS(m,this.namespaces.gx,"Track"))&&0<m.length&&(l={features:[],feature:l},this.readNode(m[0],l),0<l.features.length&&p.push.apply(p,l.features)):p.push(l)}else{throw"Bad Placemark: "+o}}this.features=this.features.concat(p)},readers:{kml:{when:function(d,c){c.whens.push(OpenLayers.Date.parse(this.getChildValue(d)))},_trackPointAttribute:function(e,d){var f=e.nodeName.split(":").pop();d.attributes[f].push(this.getChildValue(e))}},gx:{Track:function(t,s){var r={whens:[],points:[],angles:[]};if(this.trackAttributes){var q;r.attributes={};for(var p=0,o=this.trackAttributes.length;p<o;++p){q=this.trackAttributes[p],r.attributes[q]=[],q in this.readers.kml||(this.readers.kml[q]=this.readers.kml._trackPointAttribute)}}this.readChildNodes(t,r);if(r.whens.length!==r.points.length){throw Error("gx:Track with unequal number of when ("+r.whens.length+") and gx:coord ("+r.points.length+") elements.")}var n=0<r.angles.length;if(n&&r.whens.length!==r.angles.length){throw Error("gx:Track with unequal number of when ("+r.whens.length+") and gx:angles ("+r.angles.length+") elements.")}for(var m,p=0,o=r.whens.length;p<o;++p){m=s.feature.clone();m.fid=s.feature.fid||s.feature.id;q=r.points[p];m.geometry=q;"z" in q&&(m.attributes.altitude=q.z);this.internalProjection&&this.externalProjection&&m.geometry.transform(this.externalProjection,this.internalProjection);if(this.trackAttributes){for(var j=0,i=this.trackAttributes.length;j<i;++j){q=this.trackAttributes[j],m.attributes[q]=r.attributes[q][p]}}m.attributes.when=r.whens[p];m.attributes.trackId=s.feature.id;n&&(q=r.angles[p],m.attributes.heading=parseFloat(q[0]),m.attributes.tilt=parseFloat(q[1]),m.attributes.roll=parseFloat(q[2]));s.features.push(m)}},coord:function(f,e){var h=this.getChildValue(f).replace(this.regExes.trimSpace,"").split(/\s+/),g=new OpenLayers.Geometry.Point(h[0],h[1]);2<h.length&&(g.z=parseFloat(h[2]));e.points.push(g)},angles:function(e,d){var f=this.getChildValue(e).replace(this.regExes.trimSpace,"").split(/\s+/);d.angles.push(f)}}},parseFeature:function(j){for(var i=["MultiGeometry","Polygon","LineString","Point"],p,o,n,m=0,l=i.length;m<l;++m){if(p=i[m],this.internalns=j.namespaceURI?j.namespaceURI:this.kmlns,o=this.getElementsByTagNameNS(j,this.internalns,p),0<o.length){if(i=this.parseGeometry[p.toLowerCase()]){n=i.apply(this,[o[0]]),this.internalProjection&&this.externalProjection&&n.transform(this.externalProjection,this.internalProjection)}else{throw new TypeError("Unsupported geometry type: "+p)}break}}var k;this.extractAttributes&&(k=this.parseAttributes(j));p=new OpenLayers.Feature.Vector(n,k);j=j.getAttribute("id")||j.getAttribute("name");null!=j&&(p.fid=j);return p},getStyle:function(f,e){var h=OpenLayers.Util.removeTail(f),g=OpenLayers.Util.extend({},e);g.depth++;g.styleBaseUrl=h;!this.styles[f]&&!OpenLayers.String.startsWith(f,"#")&&g.depth<=this.maxDepth&&!this.fetched[h]&&(h=this.fetchLink(h))&&this.parseData(h,g);return OpenLayers.Util.extend({},this.styles[f])},parseGeometry:{point:function(e){var d=this.getElementsByTagNameNS(e,this.internalns,"coordinates");e=[];if(0<d.length){var f=d[0].firstChild.nodeValue,f=f.replace(this.regExes.removeSpace,"");e=f.split(",")}d=null;if(1<e.length){2==e.length&&(e[2]=null),d=new OpenLayers.Geometry.Point(e[0],e[1],e[2])}else{throw"Bad coordinate string: "+f}return d},linestring:function(r,q){var p=this.getElementsByTagNameNS(r,this.internalns,"coordinates"),o=null;if(0<p.length){for(var p=this.getChildValue(p[0]),p=p.replace(this.regExes.trimSpace,""),p=p.replace(this.regExes.trimComma,","),o=p.split(this.regExes.splitSpace),n=o.length,m=Array(n),l,j,i=0;i<n;++i){if(l=o[i].split(","),j=l.length,1<j){2==l.length&&(l[2]=null),m[i]=new OpenLayers.Geometry.Point(l[0],l[1],l[2])}else{throw"Bad LineString point coordinates: "+o[i]}}if(n){o=q?new OpenLayers.Geometry.LinearRing(m):new OpenLayers.Geometry.LineString(m)}else{throw"Bad LineString coordinates: "+p}}return o},polygon:function(g){g=this.getElementsByTagNameNS(g,this.internalns,"LinearRing");var f=g.length,j=Array(f);if(0<f){for(var i=0,h=g.length;i<h;++i){if(f=this.parseGeometry.linestring.apply(this,[g[i],!0])){j[i]=f}else{throw"Bad LinearRing geometry: "+i}}}return new OpenLayers.Geometry.Polygon(j)},multigeometry:function(h){for(var g,l=[],k=h.childNodes,j=0,i=k.length;j<i;++j){h=k[j],1==h.nodeType&&(g=h.prefix?h.nodeName.split(":")[1]:h.nodeName,(g=this.parseGeometry[g.toLowerCase()])&&l.push(g.apply(this,[h])))}return new OpenLayers.Geometry.Collection(l)}},parseAttributes:function(i){var h={},n=i.getElementsByTagName("ExtendedData");n.length&&(h=this.parseExtendedData(n[0]));var m,l,k;i=i.childNodes;for(var n=0,j=i.length;n<j;++n){if(m=i[n],1==m.nodeType&&(l=m.childNodes,1<=l.length&&3>=l.length)){switch(l.length){case 1:k=l[0];break;case 2:k=l[0];l=l[1];k=3==k.nodeType||4==k.nodeType?k:l;break;default:k=l[1]}if(3==k.nodeType||4==k.nodeType){if(m=m.prefix?m.nodeName.split(":")[1]:m.nodeName,k=OpenLayers.Util.getXmlNodeValue(k)){k=k.replace(this.regExes.trimSpace,""),h[m]=k}}}}return h},parseExtendedData:function(r){var q={},p,o,n,m,l=r.getElementsByTagName("Data");p=0;for(o=l.length;p<o;p++){n=l[p];m=n.getAttribute("name");var j={},i=n.getElementsByTagName("value");i.length&&(j.value=this.getChildValue(i[0]));this.kvpAttributes?q[m]=j.value:(n=n.getElementsByTagName("displayName"),n.length&&(j.displayName=this.getChildValue(n[0])),q[m]=j)}r=r.getElementsByTagName("SimpleData");p=0;for(o=r.length;p<o;p++){j={},n=r[p],m=n.getAttribute("name"),j.value=this.getChildValue(n),this.kvpAttributes?q[m]=j.value:(j.displayName=m,q[m]=j)}return q},parseProperty:function(g,f,j){var i;g=this.getElementsByTagNameNS(g,f,j);try{i=OpenLayers.Util.getXmlNodeValue(g[0])}catch(h){i=null}return i},write:function(g){OpenLayers.Util.isArray(g)||(g=[g]);for(var f=this.createElementNS(this.kmlns,"kml"),j=this.createFolderXML(),i=0,h=g.length;i<h;++i){j.appendChild(this.createPlacemarkXML(g[i]))}f.appendChild(j);return OpenLayers.Format.XML.prototype.write.apply(this,[f])},createFolderXML:function(){var e=this.createElementNS(this.kmlns,"Folder");if(this.foldersName){var d=this.createElementNS(this.kmlns,"name"),f=this.createTextNode(this.foldersName);d.appendChild(f);e.appendChild(d)}this.foldersDesc&&(d=this.createElementNS(this.kmlns,"description"),f=this.createTextNode(this.foldersDesc),d.appendChild(f),e.appendChild(d));return e},createPlacemarkXML:function(f){var e=this.createElementNS(this.kmlns,"name"),h=f.style&&f.style.label?f.style.label:f.id;e.appendChild(this.createTextNode(f.attributes.name||h));var g=this.createElementNS(this.kmlns,"description");g.appendChild(this.createTextNode(f.attributes.description||this.placemarksDesc));h=this.createElementNS(this.kmlns,"Placemark");null!=f.fid&&h.setAttribute("id",f.fid);h.appendChild(e);h.appendChild(g);e=this.buildGeometryNode(f.geometry);h.appendChild(e);f.attributes&&(f=this.buildExtendedData(f.attributes))&&h.appendChild(f);return h},buildGeometryNode:function(e){var d=e.CLASS_NAME,d=d.substring(d.lastIndexOf(".")+1),d=this.buildGeometry[d.toLowerCase()],f=null;d&&(f=d.apply(this,[e]));return f},buildGeometry:{point:function(d){var c=this.createElementNS(this.kmlns,"Point");c.appendChild(this.buildCoordinatesNode(d));return c},multipoint:function(b){return this.buildGeometry.collection.apply(this,[b])},linestring:function(d){var c=this.createElementNS(this.kmlns,"LineString");c.appendChild(this.buildCoordinatesNode(d));return c},multilinestring:function(b){return this.buildGeometry.collection.apply(this,[b])},linearring:function(d){var c=this.createElementNS(this.kmlns,"LinearRing");c.appendChild(this.buildCoordinatesNode(d));return c},polygon:function(h){var g=this.createElementNS(this.kmlns,"Polygon");h=h.components;for(var l,k,j=0,i=h.length;j<i;++j){l=0==j?"outerBoundaryIs":"innerBoundaryIs",l=this.createElementNS(this.kmlns,l),k=this.buildGeometry.linearring.apply(this,[h[j]]),l.appendChild(k),g.appendChild(l)}return g},multipolygon:function(b){return this.buildGeometry.collection.apply(this,[b])},collection:function(g){for(var f=this.createElementNS(this.kmlns,"MultiGeometry"),j,i=0,h=g.components.length;i<h;++i){(j=this.buildGeometryNode.apply(this,[g.components[i]]))&&f.appendChild(j)}return f}},buildCoordinatesNode:function(h){var g=this.createElementNS(this.kmlns,"coordinates"),l;if(l=h.components){for(var k=l.length,j=Array(k),i=0;i<k;++i){h=l[i],j[i]=this.buildCoordinates(h)}l=j.join(" ")}else{l=this.buildCoordinates(h)}l=this.createTextNode(l);g.appendChild(l);return g},buildCoordinates:function(b){this.internalProjection&&this.externalProjection&&(b=b.clone(),b.transform(this.internalProjection,this.externalProjection));return b.x+","+b.y},buildExtendedData:function(h){var g=this.createElementNS(this.kmlns,"ExtendedData"),l;for(l in h){if(h[l]&&"name"!=l&&"description"!=l&&"styleUrl"!=l){var k=this.createElementNS(this.kmlns,"Data");k.setAttribute("name",l);var j=this.createElementNS(this.kmlns,"value");if("object"==typeof h[l]){if(h[l].value&&j.appendChild(this.createTextNode(h[l].value)),h[l].displayName){var i=this.createElementNS(this.kmlns,"displayName");i.appendChild(this.getXMLDoc().createCDATASection(h[l].displayName));k.appendChild(i)}}else{j.appendChild(this.createTextNode(h[l]))}k.appendChild(j);g.appendChild(k)}}return this.isSimpleContent(g)?null:g},CLASS_NAME:"OpenLayers.Format.KML"});OpenLayers.Format.WMSCapabilities=OpenLayers.Class(OpenLayers.Format.XML.VersionedOGC,{defaultVersion:"1.1.1",profile:null,CLASS_NAME:"OpenLayers.Format.WMSCapabilities"});OpenLayers.Format.WMSCapabilities.v1=OpenLayers.Class(OpenLayers.Format.XML,{namespaces:{wms:"http://www.opengis.net/wms",xlink:"http://www.w3.org/1999/xlink",xsi:"http://www.w3.org/2001/XMLSchema-instance"},defaultPrefix:"wms",read:function(e){"string"==typeof e&&(e=OpenLayers.Format.XML.prototype.read.apply(this,[e]));var d=e;e&&9==e.nodeType&&(e=e.documentElement);var f={};this.readNode(e,f);void 0===f.service&&(e=new OpenLayers.Format.OGCExceptionReport,f.error=e.read(d));return f},readers:{wms:{Service:function(d,c){c.service={};this.readChildNodes(d,c.service)},Name:function(d,c){c.name=this.getChildValue(d)},Title:function(d,c){c.title=this.getChildValue(d)},Abstract:function(d,c){c["abstract"]=this.getChildValue(d)},BoundingBox:function(f,e){var h={};h.bbox=[parseFloat(f.getAttribute("minx")),parseFloat(f.getAttribute("miny")),parseFloat(f.getAttribute("maxx")),parseFloat(f.getAttribute("maxy"))];var g={x:parseFloat(f.getAttribute("resx")),y:parseFloat(f.getAttribute("resy"))};isNaN(g.x)&&isNaN(g.y)||(h.res=g);return h},OnlineResource:function(d,c){c.href=this.getAttributeNS(d,this.namespaces.xlink,"href")},ContactInformation:function(d,c){c.contactInformation={};this.readChildNodes(d,c.contactInformation)},ContactPersonPrimary:function(d,c){c.personPrimary={};this.readChildNodes(d,c.personPrimary)},ContactPerson:function(d,c){c.person=this.getChildValue(d)},ContactOrganization:function(d,c){c.organization=this.getChildValue(d)},ContactPosition:function(d,c){c.position=this.getChildValue(d)},ContactAddress:function(d,c){c.contactAddress={};this.readChildNodes(d,c.contactAddress)},AddressType:function(d,c){c.type=this.getChildValue(d)},Address:function(d,c){c.address=this.getChildValue(d)},City:function(d,c){c.city=this.getChildValue(d)},StateOrProvince:function(d,c){c.stateOrProvince=this.getChildValue(d)},PostCode:function(d,c){c.postcode=this.getChildValue(d)},Country:function(d,c){c.country=this.getChildValue(d)},ContactVoiceTelephone:function(d,c){c.phone=this.getChildValue(d)},ContactFacsimileTelephone:function(d,c){c.fax=this.getChildValue(d)},ContactElectronicMailAddress:function(d,c){c.email=this.getChildValue(d)},Fees:function(e,d){var f=this.getChildValue(e);f&&"none"!=f.toLowerCase()&&(d.fees=f)},AccessConstraints:function(e,d){var f=this.getChildValue(e);f&&"none"!=f.toLowerCase()&&(d.accessConstraints=f)},Capability:function(d,c){c.capability={nestedLayers:[],layers:[]};this.readChildNodes(d,c.capability)},Request:function(d,c){c.request={};this.readChildNodes(d,c.request)},GetCapabilities:function(d,c){c.getcapabilities={formats:[]};this.readChildNodes(d,c.getcapabilities)},Format:function(d,c){OpenLayers.Util.isArray(c.formats)?c.formats.push(this.getChildValue(d)):c.format=this.getChildValue(d)},DCPType:function(d,c){this.readChildNodes(d,c)},HTTP:function(d,c){this.readChildNodes(d,c)},Get:function(d,c){c.get={};this.readChildNodes(d,c.get);c.href||(c.href=c.get.href)},Post:function(d,c){c.post={};this.readChildNodes(d,c.post);c.href||(c.href=c.get.href)},GetMap:function(d,c){c.getmap={formats:[]};this.readChildNodes(d,c.getmap)},GetFeatureInfo:function(d,c){c.getfeatureinfo={formats:[]};this.readChildNodes(d,c.getfeatureinfo)},Exception:function(d,c){c.exception={formats:[]};this.readChildNodes(d,c.exception)},Layer:function(x,w){var v,u;w.capability?(u=w.capability,v=w):u=w;var t=x.getAttributeNode("queryable"),s=t&&t.specified?x.getAttribute("queryable"):null,r=(t=x.getAttributeNode("cascaded"))&&t.specified?x.getAttribute("cascaded"):null,t=(t=x.getAttributeNode("opaque"))&&t.specified?x.getAttribute("opaque"):null,q=x.getAttribute("noSubsets"),p=x.getAttribute("fixedWidth"),o=x.getAttribute("fixedHeight"),j=v||{},i=OpenLayers.Util.extend;v={nestedLayers:[],styles:v?[].concat(v.styles):[],srs:v?i({},j.srs):{},metadataURLs:[],bbox:v?i({},j.bbox):{},llbbox:j.llbbox,dimensions:v?i({},j.dimensions):{},authorityURLs:v?i({},j.authorityURLs):{},identifiers:{},keywords:[],queryable:s&&""!==s?"1"===s||"true"===s:j.queryable||!1,cascaded:null!==r?parseInt(r):j.cascaded||0,opaque:t?"1"===t||"true"===t:j.opaque||!1,noSubsets:null!==q?"1"===q||"true"===q:j.noSubsets||!1,fixedWidth:null!=p?parseInt(p):j.fixedWidth||0,fixedHeight:null!=o?parseInt(o):j.fixedHeight||0,minScale:j.minScale,maxScale:j.maxScale,attribution:j.attribution};w.nestedLayers.push(v);v.capability=u;this.readChildNodes(x,v);delete v.capability;v.name&&(s=v.name.split(":"),r=u.request,t=r.getfeatureinfo,0<s.length&&(v.prefix=s[0]),u.layers.push(v),void 0===v.formats&&(v.formats=r.getmap.formats),void 0===v.infoFormats&&t&&(v.infoFormats=t.formats))},Attribution:function(d,c){c.attribution={};this.readChildNodes(d,c.attribution)},LogoURL:function(d,c){c.logo={width:d.getAttribute("width"),height:d.getAttribute("height")};this.readChildNodes(d,c.logo)},Style:function(e,d){var f={};d.styles.push(f);this.readChildNodes(e,f)},LegendURL:function(e,d){var f={width:e.getAttribute("width"),height:e.getAttribute("height")};d.legend=f;this.readChildNodes(e,f)},MetadataURL:function(e,d){var f={type:e.getAttribute("type")};d.metadataURLs.push(f);this.readChildNodes(e,f)},DataURL:function(d,c){c.dataURL={};this.readChildNodes(d,c.dataURL)},FeatureListURL:function(d,c){c.featureListURL={};this.readChildNodes(d,c.featureListURL)},AuthorityURL:function(f,e){var h=f.getAttribute("name"),g={};this.readChildNodes(f,g);e.authorityURLs[h]=g.href},Identifier:function(e,d){var f=e.getAttribute("authority");d.identifiers[f]=this.getChildValue(e)},KeywordList:function(d,c){this.readChildNodes(d,c)},SRS:function(d,c){c.srs[this.getChildValue(d)]=!0}}},CLASS_NAME:"OpenLayers.Format.WMSCapabilities.v1"});OpenLayers.Format.WMSCapabilities.v1_1=OpenLayers.Class(OpenLayers.Format.WMSCapabilities.v1,{readers:{wms:OpenLayers.Util.applyDefaults({WMT_MS_Capabilities:function(d,c){this.readChildNodes(d,c)},Keyword:function(d,c){c.keywords&&c.keywords.push(this.getChildValue(d))},DescribeLayer:function(d,c){c.describelayer={formats:[]};this.readChildNodes(d,c.describelayer)},GetLegendGraphic:function(d,c){c.getlegendgraphic={formats:[]};this.readChildNodes(d,c.getlegendgraphic)},GetStyles:function(d,c){c.getstyles={formats:[]};this.readChildNodes(d,c.getstyles)},PutStyles:function(d,c){c.putstyles={formats:[]};this.readChildNodes(d,c.putstyles)},UserDefinedSymbolization:function(e,d){var f={supportSLD:1==parseInt(e.getAttribute("SupportSLD")),userLayer:1==parseInt(e.getAttribute("UserLayer")),userStyle:1==parseInt(e.getAttribute("UserStyle")),remoteWFS:1==parseInt(e.getAttribute("RemoteWFS"))};d.userSymbols=f},LatLonBoundingBox:function(d,c){c.llbbox=[parseFloat(d.getAttribute("minx")),parseFloat(d.getAttribute("miny")),parseFloat(d.getAttribute("maxx")),parseFloat(d.getAttribute("maxy"))]},BoundingBox:function(e,d){var f=OpenLayers.Format.WMSCapabilities.v1.prototype.readers.wms.BoundingBox.apply(this,[e,d]);f.srs=e.getAttribute("SRS");d.bbox[f.srs]=f},ScaleHint:function(h,g){var l=h.getAttribute("min"),k=h.getAttribute("max"),j=Math.pow(2,0.5),i=OpenLayers.INCHES_PER_UNIT.m;0!=l&&(g.maxScale=parseFloat((l/j*i*OpenLayers.DOTS_PER_INCH).toPrecision(13)));k!=Number.POSITIVE_INFINITY&&(g.minScale=parseFloat((k/j*i*OpenLayers.DOTS_PER_INCH).toPrecision(13)))},Dimension:function(e,d){var f={name:e.getAttribute("name").toLowerCase(),units:e.getAttribute("units"),unitsymbol:e.getAttribute("unitSymbol")};d.dimensions[f.name]=f},Extent:function(f,e){var h=f.getAttribute("name").toLowerCase();if(h in e.dimensions){h=e.dimensions[h];h.nearestVal="1"===f.getAttribute("nearestValue");h.multipleVal="1"===f.getAttribute("multipleValues");h.current="1"===f.getAttribute("current");h["default"]=f.getAttribute("default")||"";var g=this.getChildValue(f);h.values=g.split(",")}}},OpenLayers.Format.WMSCapabilities.v1.prototype.readers.wms)},CLASS_NAME:"OpenLayers.Format.WMSCapabilities.v1_1"});OpenLayers.Format.WMSCapabilities.v1_1_0=OpenLayers.Class(OpenLayers.Format.WMSCapabilities.v1_1,{version:"1.1.0",readers:{wms:OpenLayers.Util.applyDefaults({SRS:function(g,f){for(var j=this.getChildValue(g).split(/ +/),i=0,h=j.length;i<h;i++){f.srs[j[i]]=!0}}},OpenLayers.Format.WMSCapabilities.v1_1.prototype.readers.wms)},CLASS_NAME:"OpenLayers.Format.WMSCapabilities.v1_1_0"});OpenLayers.Protocol.WFS.v1=OpenLayers.Class(OpenLayers.Protocol,{version:null,srsName:"EPSG:4326",featureType:null,featureNS:null,geometryName:"the_geom",schema:null,featurePrefix:"feature",formatOptions:null,readFormat:null,readOptions:null,initialize:function(b){OpenLayers.Protocol.prototype.initialize.apply(this,[b]);b.format||(this.format=OpenLayers.Format.WFST(OpenLayers.Util.extend({version:this.version,featureType:this.featureType,featureNS:this.featureNS,featurePrefix:this.featurePrefix,geometryName:this.geometryName,srsName:this.srsName,schema:this.schema},this.formatOptions)));!b.geometryName&&1<parseFloat(this.format.version)&&this.setGeometryName(null)},destroy:function(){this.options&&!this.options.format&&this.format.destroy();this.format=null;OpenLayers.Protocol.prototype.destroy.apply(this)},read:function(e){OpenLayers.Protocol.prototype.read.apply(this,arguments);e=OpenLayers.Util.extend({},e);OpenLayers.Util.applyDefaults(e,this.options||{});var d=new OpenLayers.Protocol.Response({requestType:"read"}),f=OpenLayers.Format.XML.prototype.write.apply(this.format,[this.format.writeNode("wfs:GetFeature",e)]);d.priv=OpenLayers.Request.POST({url:e.url,callback:this.createCallback(this.handleRead,d,e),params:e.params,headers:e.headers,data:f});return d},setFeatureType:function(b){this.featureType=b;this.format.featureType=b},setGeometryName:function(b){this.geometryName=b;this.format.geometryName=b},handleRead:function(e,d){d=OpenLayers.Util.extend({},d);OpenLayers.Util.applyDefaults(d,this.options);if(d.callback){var f=e.priv;200<=f.status&&300>f.status?(f=this.parseResponse(f,d.readOptions))&&!1!==f.success?(d.readOptions&&"object"==d.readOptions.output?OpenLayers.Util.extend(e,f):e.features=f,e.code=OpenLayers.Protocol.Response.SUCCESS):(e.code=OpenLayers.Protocol.Response.FAILURE,e.error=f):e.code=OpenLayers.Protocol.Response.FAILURE;d.callback.call(d.scope,e)}},parseResponse:function(f,e){var h=f.responseXML;h&&h.documentElement||(h=f.responseText);if(!h||0>=h.length){return null}h=null!==this.readFormat?this.readFormat.read(h):this.format.read(h,e);if(!this.featureNS){var g=this.readFormat||this.format;this.featureNS=g.featureNS;g.autoConfig=!1;this.geometryName||this.setGeometryName(g.geometryName)}return h},commit:function(e,d){d=OpenLayers.Util.extend({},d);OpenLayers.Util.applyDefaults(d,this.options);var f=new OpenLayers.Protocol.Response({requestType:"commit",reqFeatures:e});f.priv=OpenLayers.Request.POST({url:d.url,headers:d.headers,data:this.format.write(e,d),callback:this.createCallback(this.handleCommit,f,d)});return f},handleCommit:function(f,e){if(e.callback){var h=f.priv,g=h.responseXML;g&&g.documentElement||(g=h.responseText);h=this.format.read(g)||{};f.insertIds=h.insertIds||[];h.success?f.code=OpenLayers.Protocol.Response.SUCCESS:(f.code=OpenLayers.Protocol.Response.FAILURE,f.error=h);e.callback.call(e.scope,f)}},filterDelete:function(g,f){f=OpenLayers.Util.extend({},f);OpenLayers.Util.applyDefaults(f,this.options);new OpenLayers.Protocol.Response({requestType:"commit"});var j=this.format.createElementNSPlus("wfs:Transaction",{attributes:{service:"WFS",version:this.version}}),i=this.format.createElementNSPlus("wfs:Delete",{attributes:{typeName:(f.featureNS?this.featurePrefix+":":"")+f.featureType}});f.featureNS&&i.setAttribute("xmlns:"+this.featurePrefix,f.featureNS);var h=this.format.writeNode("ogc:Filter",g);i.appendChild(h);j.appendChild(i);j=OpenLayers.Format.XML.prototype.write.apply(this.format,[j]);return OpenLayers.Request.POST({url:this.url,callback:f.callback||function(){},data:j})},abort:function(b){b&&b.priv.abort()},CLASS_NAME:"OpenLayers.Protocol.WFS.v1"});OpenLayers.Handler.Feature=OpenLayers.Class(OpenLayers.Handler,{EVENTMAP:{click:{"in":"click",out:"clickout"},mousemove:{"in":"over",out:"out"},dblclick:{"in":"dblclick",out:null},mousedown:{"in":null,out:null},mouseup:{"in":null,out:null},touchstart:{"in":"click",out:"clickout"}},feature:null,lastFeature:null,down:null,up:null,clickTolerance:4,geometryTypes:null,stopClick:!0,stopDown:!0,stopUp:!1,initialize:function(f,e,h,g){OpenLayers.Handler.prototype.initialize.apply(this,[f,h,g]);this.layer=e},touchstart:function(b){this.startTouch();return OpenLayers.Event.isMultiTouch(b)?!0:this.mousedown(b)},touchmove:function(b){OpenLayers.Event.preventDefault(b)},mousedown:function(b){if(OpenLayers.Event.isLeftClick(b)||OpenLayers.Event.isSingleTouch(b)){this.down=b.xy}return this.handle(b)?!this.stopDown:!0},mouseup:function(b){this.up=b.xy;return this.handle(b)?!this.stopUp:!0},click:function(b){return this.handle(b)?!this.stopClick:!0},mousemove:function(b){if(!this.callbacks.over&&!this.callbacks.out){return !0}this.handle(b);return !0},dblclick:function(b){return !this.handle(b)},geometryTypeMatches:function(b){return null==this.geometryTypes||-1<OpenLayers.Util.indexOf(this.geometryTypes,b.geometry.CLASS_NAME)},handle:function(g){this.feature&&!this.feature.layer&&(this.feature=null);var f=g.type,j=!1,i=!!this.feature,h="click"==f||"dblclick"==f||"touchstart"==f;(this.feature=this.layer.getFeatureFromEvent(g))&&!this.feature.layer&&(this.feature=null);this.lastFeature&&!this.lastFeature.layer&&(this.lastFeature=null);this.feature?("touchstart"===f&&OpenLayers.Event.preventDefault(g),g=this.feature!=this.lastFeature,this.geometryTypeMatches(this.feature)?(i&&g?(this.lastFeature&&this.triggerCallback(f,"out",[this.lastFeature]),this.triggerCallback(f,"in",[this.feature])):i&&!h||this.triggerCallback(f,"in",[this.feature]),this.lastFeature=this.feature,j=!0):(this.lastFeature&&(i&&g||h)&&this.triggerCallback(f,"out",[this.lastFeature]),this.feature=null)):this.lastFeature&&(i||h)&&this.triggerCallback(f,"out",[this.lastFeature]);return j},triggerCallback:function(e,d,f){if(d=this.EVENTMAP[e][d]){"click"==e&&this.up&&this.down?(Math.sqrt(Math.pow(this.up.x-this.down.x,2)+Math.pow(this.up.y-this.down.y,2))<=this.clickTolerance&&this.callback(d,f),this.up=this.down=null):this.callback(d,f)}},activate:function(){var b=!1;OpenLayers.Handler.prototype.activate.apply(this,arguments)&&(this.moveLayerToTop(),this.map.events.on({removelayer:this.handleMapEvents,changelayer:this.handleMapEvents,scope:this}),b=!0);return b},deactivate:function(){var b=!1;OpenLayers.Handler.prototype.deactivate.apply(this,arguments)&&(this.moveLayerBack(),this.up=this.down=this.lastFeature=this.feature=null,this.map.events.un({removelayer:this.handleMapEvents,changelayer:this.handleMapEvents,scope:this}),b=!0);return b},handleMapEvents:function(b){"removelayer"!=b.type&&"order"!=b.property||this.moveLayerToTop()},moveLayerToTop:function(){var b=Math.max(this.map.Z_INDEX_BASE.Feature-1,this.layer.getZIndex())+1;this.layer.setZIndex(b)},moveLayerBack:function(){var b=this.layer.getZIndex()-1;b>=this.map.Z_INDEX_BASE.Feature?this.layer.setZIndex(b):this.map.setLayerZIndex(this.layer,this.map.getLayerIndex(this.layer))},CLASS_NAME:"OpenLayers.Handler.Feature"});OpenLayers.Layer.Vector.RootContainer=OpenLayers.Class(OpenLayers.Layer.Vector,{displayInLayerSwitcher:!1,layers:null,display:function(){},getFeatureFromEvent:function(f){for(var e=this.layers,h,g=0;g<e.length;g++){if(h=e[g].getFeatureFromEvent(f)){return h}}},setMap:function(b){OpenLayers.Layer.Vector.prototype.setMap.apply(this,arguments);this.collectRoots();b.events.register("changelayer",this,this.handleChangeLayer)},removeMap:function(b){b.events.unregister("changelayer",this,this.handleChangeLayer);this.resetRoots();OpenLayers.Layer.Vector.prototype.removeMap.apply(this,arguments)},collectRoots:function(){for(var d,c=0;c<this.map.layers.length;++c){d=this.map.layers[c],-1!=OpenLayers.Util.indexOf(this.layers,d)&&d.renderer.moveRoot(this.renderer)}},resetRoots:function(){for(var d,c=0;c<this.layers.length;++c){d=this.layers[c],this.renderer&&d.renderer.getRenderLayerId()==this.id&&this.renderer.moveRoot(d.renderer)}},handleChangeLayer:function(d){var c=d.layer;"order"==d.property&&-1!=OpenLayers.Util.indexOf(this.layers,c)&&(this.resetRoots(),this.collectRoots())},CLASS_NAME:"OpenLayers.Layer.Vector.RootContainer"});OpenLayers.Control.SelectFeature=OpenLayers.Class(OpenLayers.Control,{multipleKey:null,toggleKey:null,multiple:!1,clickout:!0,toggle:!1,hover:!1,highlightOnly:!1,box:!1,onBeforeSelect:function(){},onSelect:function(){},onUnselect:function(){},scope:null,geometryTypes:null,layer:null,layers:null,callbacks:null,selectStyle:null,renderIntent:"select",handlers:null,initialize:function(e,d){OpenLayers.Control.prototype.initialize.apply(this,[d]);null===this.scope&&(this.scope=this);this.initLayer(e);var f={click:this.clickFeature,clickout:this.clickoutFeature};this.hover&&(f.over=this.overFeature,f.out=this.outFeature);this.callbacks=OpenLayers.Util.extend(f,this.callbacks);this.handlers={feature:new OpenLayers.Handler.Feature(this,this.layer,this.callbacks,{geometryTypes:this.geometryTypes})};this.box&&(this.handlers.box=new OpenLayers.Handler.Box(this,{done:this.selectBox},{boxDivClassName:"olHandlerBoxSelectFeature"}))},initLayer:function(b){OpenLayers.Util.isArray(b)?(this.layers=b,this.layer=new OpenLayers.Layer.Vector.RootContainer(this.id+"_container",{layers:b})):this.layer=b},destroy:function(){this.active&&this.layers&&this.map.removeLayer(this.layer);OpenLayers.Control.prototype.destroy.apply(this,arguments);this.layers&&this.layer.destroy()},activate:function(){this.active||(this.layers&&this.map.addLayer(this.layer),this.handlers.feature.activate(),this.box&&this.handlers.box&&this.handlers.box.activate());return OpenLayers.Control.prototype.activate.apply(this,arguments)},deactivate:function(){this.active&&(this.handlers.feature.deactivate(),this.handlers.box&&this.handlers.box.deactivate(),this.layers&&this.map.removeLayer(this.layer));return OpenLayers.Control.prototype.deactivate.apply(this,arguments)},unselectAll:function(h){var g=this.layers||[this.layer],l,k,j,i;for(j=0;j<g.length;++j){if(l=g[j],i=0,null!=l.selectedFeatures){for(;l.selectedFeatures.length>i;){k=l.selectedFeatures[i],h&&h.except==k?++i:this.unselect(k)}}}},clickFeature:function(b){this.hover||(-1<OpenLayers.Util.indexOf(b.layer.selectedFeatures,b)?this.toggleSelect()?this.unselect(b):this.multipleSelect()||this.unselectAll({except:b}):(this.multipleSelect()||this.unselectAll({except:b}),this.select(b)))},multipleSelect:function(){return this.multiple||this.handlers.feature.evt&&this.handlers.feature.evt[this.multipleKey]},toggleSelect:function(){return this.toggle||this.handlers.feature.evt&&this.handlers.feature.evt[this.toggleKey]},clickoutFeature:function(b){!this.hover&&this.clickout&&this.unselectAll()},overFeature:function(d){var c=d.layer;this.hover&&(this.highlightOnly?this.highlight(d):-1==OpenLayers.Util.indexOf(c.selectedFeatures,d)&&this.select(d))},outFeature:function(d){if(this.hover){if(this.highlightOnly){if(d._lastHighlighter==this.id){if(d._prevHighlighter&&d._prevHighlighter!=this.id){delete d._lastHighlighter;var c=this.map.getControl(d._prevHighlighter);c&&c.highlight(d)}else{this.unhighlight(d)}}}else{this.unselect(d)}}},highlight:function(d){var c=d.layer;!1!==this.events.triggerEvent("beforefeaturehighlighted",{feature:d})&&(d._prevHighlighter=d._lastHighlighter,d._lastHighlighter=this.id,c.drawFeature(d,this.selectStyle||this.renderIntent),this.events.triggerEvent("featurehighlighted",{feature:d}))},unhighlight:function(d){var c=d.layer;void 0==d._prevHighlighter?delete d._lastHighlighter:(d._prevHighlighter!=this.id&&(d._lastHighlighter=d._prevHighlighter),delete d._prevHighlighter);c.drawFeature(d,d.style||d.layer.style||"default");this.events.triggerEvent("featureunhighlighted",{feature:d})},select:function(e){var d=this.onBeforeSelect.call(this.scope,e),f=e.layer;!1!==d&&(d=f.events.triggerEvent("beforefeatureselected",{feature:e}),!1!==d&&(f.selectedFeatures.push(e),this.highlight(e),this.handlers.feature.lastFeature||(this.handlers.feature.lastFeature=f.selectedFeatures[0]),f.events.triggerEvent("featureselected",{feature:e}),this.onSelect.call(this.scope,e)))},unselect:function(d){var c=d.layer;this.unhighlight(d);OpenLayers.Util.removeItem(c.selectedFeatures,d);c.events.triggerEvent("featureunselected",{feature:d});this.onUnselect.call(this.scope,d)},selectBox:function(j){if(j instanceof OpenLayers.Bounds){var i=this.map.getLonLatFromPixel({x:j.left,y:j.bottom});j=this.map.getLonLatFromPixel({x:j.right,y:j.top});i=new OpenLayers.Bounds(i.lon,i.lat,j.lon,j.lat);this.multipleSelect()||this.unselectAll();j=this.multiple;this.multiple=!0;var p=this.layers||[this.layer];this.events.triggerEvent("boxselectionstart",{layers:p});for(var o,n=0;n<p.length;++n){o=p[n];for(var m=0,l=o.features.length;m<l;++m){var k=o.features[m];k.getVisibility()&&(null==this.geometryTypes||-1<OpenLayers.Util.indexOf(this.geometryTypes,k.geometry.CLASS_NAME))&&i.toGeometry().intersects(k.geometry)&&-1==OpenLayers.Util.indexOf(o.selectedFeatures,k)&&this.select(k)}}this.multiple=j;this.events.triggerEvent("boxselectionend",{layers:p})}},setMap:function(b){this.handlers.feature.setMap(b);this.box&&this.handlers.box.setMap(b);OpenLayers.Control.prototype.setMap.apply(this,arguments)},setLayer:function(d){var c=this.active;this.unselectAll();this.deactivate();this.layers&&(this.layer.destroy(),this.layers=null);this.initLayer(d);this.handlers.feature.layer=this.layer;c&&this.activate()},CLASS_NAME:"OpenLayers.Control.SelectFeature"});OpenLayers.Handler.Point=OpenLayers.Class(OpenLayers.Handler,{point:null,layer:null,multi:!1,citeCompliant:!1,mouseDown:!1,stoppedDown:null,lastDown:null,lastUp:null,persist:!1,stopDown:!1,stopUp:!1,layerOptions:null,pixelTolerance:5,lastTouchPx:null,initialize:function(e,d,f){f&&f.layerOptions&&f.layerOptions.styleMap||(this.style=OpenLayers.Util.extend(OpenLayers.Feature.Vector.style["default"],{}));OpenLayers.Handler.prototype.initialize.apply(this,arguments)},activate:function(){if(!OpenLayers.Handler.prototype.activate.apply(this,arguments)){return !1}var b=OpenLayers.Util.extend({displayInLayerSwitcher:!1,calculateInRange:OpenLayers.Function.True,wrapDateLine:this.citeCompliant},this.layerOptions);this.layer=new OpenLayers.Layer.Vector(this.CLASS_NAME,b);this.map.addLayer(this.layer);return !0},createFeature:function(b){b=this.layer.getLonLatFromViewPortPx(b);b=new OpenLayers.Geometry.Point(b.lon,b.lat);this.point=new OpenLayers.Feature.Vector(b);this.callback("create",[this.point.geometry,this.point]);this.point.geometry.clearBounds();this.layer.addFeatures([this.point],{silent:!0})},deactivate:function(){if(!OpenLayers.Handler.prototype.deactivate.apply(this,arguments)){return !1}this.cancel();null!=this.layer.map&&(this.destroyFeature(!0),this.layer.destroy(!1));this.layer=null;return !0},destroyFeature:function(b){!this.layer||!b&&this.persist||this.layer.destroyFeatures();this.point=null},destroyPersistedFeature:function(){var b=this.layer;b&&1<b.features.length&&this.layer.features[0].destroy()},finalize:function(b){this.mouseDown=!1;this.lastTouchPx=this.lastUp=this.lastDown=null;this.callback(b?"cancel":"done",[this.geometryClone()]);this.destroyFeature(b)},cancel:function(){this.finalize(!0)},click:function(b){OpenLayers.Event.stop(b);return !1},dblclick:function(b){OpenLayers.Event.stop(b);return !1},modifyFeature:function(b){this.point||this.createFeature(b);b=this.layer.getLonLatFromViewPortPx(b);this.point.geometry.x=b.lon;this.point.geometry.y=b.lat;this.callback("modify",[this.point.geometry,this.point,!1]);this.point.geometry.clearBounds();this.drawFeature()},drawFeature:function(){this.layer.drawFeature(this.point,this.style)},getGeometry:function(){var b=this.point&&this.point.geometry;b&&this.multi&&(b=new OpenLayers.Geometry.MultiPoint([b]));return b},geometryClone:function(){var b=this.getGeometry();return b&&b.clone()},mousedown:function(b){return this.down(b)},touchstart:function(b){this.startTouch();this.lastTouchPx=b.xy;return this.down(b)},mousemove:function(b){return this.move(b)},touchmove:function(b){this.lastTouchPx=b.xy;return this.move(b)},mouseup:function(b){return this.up(b)},touchend:function(b){b.xy=this.lastTouchPx;return this.up(b)},down:function(b){this.mouseDown=!0;this.lastDown=b.xy;this.touch||this.modifyFeature(b.xy);this.stoppedDown=this.stopDown;return !this.stopDown},move:function(b){this.touch||this.mouseDown&&!this.stoppedDown||this.modifyFeature(b.xy);return !0},up:function(b){this.mouseDown=!1;this.stoppedDown=this.stopDown;if(!this.checkModifiers(b)||this.lastUp&&this.lastUp.equals(b.xy)||!this.lastDown||!this.passesTolerance(this.lastDown,b.xy,this.pixelTolerance)){return !0}this.touch&&this.modifyFeature(b.xy);this.persist&&this.destroyPersistedFeature();this.lastUp=b.xy;this.finalize();return !this.stopUp},mouseout:function(b){OpenLayers.Util.mouseLeft(b,this.map.viewPortDiv)&&(this.stoppedDown=this.stopDown,this.mouseDown=!1)},passesTolerance:function(f,e,h){var g=!0;null!=h&&f&&e&&f.distanceTo(e)>h&&(g=!1);return g},CLASS_NAME:"OpenLayers.Handler.Point"});OpenLayers.Handler.Path=OpenLayers.Class(OpenLayers.Handler.Point,{line:null,maxVertices:null,doubleTouchTolerance:20,freehand:!1,freehandToggle:"shiftKey",timerId:null,redoStack:null,createFeature:function(b){b=this.layer.getLonLatFromViewPortPx(b);b=new OpenLayers.Geometry.Point(b.lon,b.lat);this.point=new OpenLayers.Feature.Vector(b);this.line=new OpenLayers.Feature.Vector(new OpenLayers.Geometry.LineString([this.point.geometry]));this.callback("create",[this.point.geometry,this.getSketch()]);this.point.geometry.clearBounds();this.layer.addFeatures([this.line,this.point],{silent:!0})},destroyFeature:function(b){OpenLayers.Handler.Point.prototype.destroyFeature.call(this,b);this.line=null},destroyPersistedFeature:function(){var b=this.layer;b&&2<b.features.length&&this.layer.features[0].destroy()},removePoint:function(){this.point&&this.layer.removeFeatures([this.point])},addPoint:function(b){this.layer.removeFeatures([this.point]);b=this.layer.getLonLatFromViewPortPx(b);this.point=new OpenLayers.Feature.Vector(new OpenLayers.Geometry.Point(b.lon,b.lat));this.line.geometry.addComponent(this.point.geometry,this.line.geometry.components.length);this.layer.addFeatures([this.point]);this.callback("point",[this.point.geometry,this.getGeometry()]);this.callback("modify",[this.point.geometry,this.getSketch()]);this.drawFeature();delete this.redoStack},insertXY:function(d,c){this.line.geometry.addComponent(new OpenLayers.Geometry.Point(d,c),this.getCurrentPointIndex());this.drawFeature();delete this.redoStack},insertDeltaXY:function(e,d){var f=this.getCurrentPointIndex()-1,f=this.line.geometry.components[f];!f||(isNaN(f.x)||isNaN(f.y))||this.insertXY(f.x+e,f.y+d)},insertDirectionLength:function(f,e){f*=Math.PI/180;var h=e*Math.cos(f),g=e*Math.sin(f);this.insertDeltaXY(h,g)},insertDeflectionLength:function(f,e){var h=this.getCurrentPointIndex()-1;if(0<h){var g=this.line.geometry.components[h],h=this.line.geometry.components[h-1],g=Math.atan2(g.y-h.y,g.x-h.x);this.insertDirectionLength(180*g/Math.PI+f,e)}},getCurrentPointIndex:function(){return this.line.geometry.components.length-1},undo:function(){var g=this.line.geometry,f=g.components,j=this.getCurrentPointIndex()-1,i=f[j],h=g.removeComponent(i);h&&(this.touch&&0<j&&(f=g.components,g=f[j-1],j=this.getCurrentPointIndex(),f=f[j],f.x=g.x,f.y=g.y),this.redoStack||(this.redoStack=[]),this.redoStack.push(i),this.drawFeature());return h},redo:function(){var b=this.redoStack&&this.redoStack.pop();b&&(this.line.geometry.addComponent(b,this.getCurrentPointIndex()),this.drawFeature());return !!b},freehandMode:function(b){return this.freehandToggle&&b[this.freehandToggle]?!this.freehand:this.freehand},modifyFeature:function(e,d){this.line||this.createFeature(e);var f=this.layer.getLonLatFromViewPortPx(e);this.point.geometry.x=f.lon;this.point.geometry.y=f.lat;this.callback("modify",[this.point.geometry,this.getSketch(),d]);this.point.geometry.clearBounds();this.drawFeature()},drawFeature:function(){this.layer.drawFeature(this.line,this.style);this.layer.drawFeature(this.point,this.style)},getSketch:function(){return this.line},getGeometry:function(){var b=this.line&&this.line.geometry;b&&this.multi&&(b=new OpenLayers.Geometry.MultiLineString([b]));return b},touchstart:function(b){if(this.timerId&&this.passesTolerance(this.lastTouchPx,b.xy,this.doubleTouchTolerance)){return this.finishGeometry(),window.clearTimeout(this.timerId),this.timerId=null,!1}this.timerId&&(window.clearTimeout(this.timerId),this.timerId=null);this.timerId=window.setTimeout(OpenLayers.Function.bind(function(){this.timerId=null},this),300);return OpenLayers.Handler.Point.prototype.touchstart.call(this,b)},down:function(d){var c=this.stopDown;this.freehandMode(d)&&(c=!0,this.touch&&(this.modifyFeature(d.xy,!!this.lastUp),OpenLayers.Event.stop(d)));this.touch||this.lastDown&&this.passesTolerance(this.lastDown,d.xy,this.pixelTolerance)||this.modifyFeature(d.xy,!!this.lastUp);this.mouseDown=!0;this.lastDown=d.xy;this.stoppedDown=c;return !c},move:function(b){if(this.stoppedDown&&this.freehandMode(b)){return this.persist&&this.destroyPersistedFeature(),this.maxVertices&&this.line&&this.line.geometry.components.length===this.maxVertices?(this.removePoint(),this.finalize()):this.addPoint(b.xy),!1}this.touch||this.mouseDown&&!this.stoppedDown||this.modifyFeature(b.xy,!!this.lastUp);return !0},up:function(b){!this.mouseDown||this.lastUp&&this.lastUp.equals(b.xy)||(this.stoppedDown&&this.freehandMode(b)?(this.persist&&this.destroyPersistedFeature(),this.removePoint(),this.finalize()):this.passesTolerance(this.lastDown,b.xy,this.pixelTolerance)&&(this.touch&&this.modifyFeature(b.xy),null==this.lastUp&&this.persist&&this.destroyPersistedFeature(),this.addPoint(b.xy),this.lastUp=b.xy,this.line.geometry.components.length===this.maxVertices+1&&this.finishGeometry()));this.stoppedDown=this.stopDown;this.mouseDown=!1;return !this.stopUp},finishGeometry:function(){this.line.geometry.removeComponent(this.line.geometry.components[this.line.geometry.components.length-1]);this.removePoint();this.finalize()},dblclick:function(b){this.freehandMode(b)||this.finishGeometry();return !1},CLASS_NAME:"OpenLayers.Handler.Path"});OpenLayers.Spherical=OpenLayers.Spherical||{};OpenLayers.Spherical.DEFAULT_RADIUS=6378137;OpenLayers.Spherical.computeDistanceBetween=function(g,f,j){j=j||OpenLayers.Spherical.DEFAULT_RADIUS;var i=Math.sin(Math.PI*(f.lon-g.lon)/360),h=Math.sin(Math.PI*(f.lat-g.lat)/360);g=h*h+i*i*Math.cos(Math.PI*g.lat/180)*Math.cos(Math.PI*f.lat/180);return 2*j*Math.atan2(Math.sqrt(g),Math.sqrt(1-g))};OpenLayers.Spherical.computeHeading=function(f,e){var h=Math.sin(Math.PI*(f.lon-e.lon)/180)*Math.cos(Math.PI*e.lat/180),g=Math.cos(Math.PI*f.lat/180)*Math.sin(Math.PI*e.lat/180)-Math.sin(Math.PI*f.lat/180)*Math.cos(Math.PI*e.lat/180)*Math.cos(Math.PI*(f.lon-e.lon)/180);return 180*Math.atan2(h,g)/Math.PI};OpenLayers.Control.CacheWrite=OpenLayers.Class(OpenLayers.Control,{layers:null,imageFormat:"image/png",quotaRegEx:/quota/i,setMap:function(e){OpenLayers.Control.prototype.setMap.apply(this,arguments);var d,f=this.layers||e.layers;for(d=f.length-1;0<=d;--d){this.addLayer({layer:f[d]})}if(!this.layers){e.events.on({addlayer:this.addLayer,removeLayer:this.removeLayer,scope:this})}},addLayer:function(b){b.layer.events.on({tileloadstart:this.makeSameOrigin,tileloaded:this.onTileLoaded,scope:this})},removeLayer:function(b){b.layer.events.un({tileloadstart:this.makeSameOrigin,tileloaded:this.onTileLoaded,scope:this})},makeSameOrigin:function(d){if(this.active&&(d=d.tile,d instanceof OpenLayers.Tile.Image&&!d.crossOriginKeyword&&"data:"!==d.url.substr(0,5))){var c=OpenLayers.Request.makeSameOrigin(d.url,OpenLayers.ProxyHost);OpenLayers.Control.CacheWrite.urlMap[c]=d.url;d.url=c}},onTileLoaded:function(b){this.active&&(!b.aborted&&b.tile instanceof OpenLayers.Tile.Image&&"data:"!==b.tile.url.substr(0,5))&&(this.cache({tile:b.tile}),delete OpenLayers.Control.CacheWrite.urlMap[b.tile.url])},cache:function(e){if(window.localStorage){e=e.tile;try{var d=e.getCanvasContext();d&&window.localStorage.setItem("olCache_"+(OpenLayers.Control.CacheWrite.urlMap[e.url]||e.url),d.canvas.toDataURL(this.imageFormat))}catch(f){(d=f.name||f.message)&&this.quotaRegEx.test(d)?this.events.triggerEvent("cachefull",{tile:e}):OpenLayers.Console.error(f.toString())}}},destroy:function(){if(this.layers||this.map){var d,c=this.layers||this.map.layers;for(d=c.length-1;0<=d;--d){this.removeLayer({layer:c[d]})}}this.map&&this.map.events.un({addlayer:this.addLayer,removeLayer:this.removeLayer,scope:this});OpenLayers.Control.prototype.destroy.apply(this,arguments)},CLASS_NAME:"OpenLayers.Control.CacheWrite"});OpenLayers.Control.CacheWrite.clearCache=function(){if(window.localStorage){var d,c;for(d=window.localStorage.length-1;0<=d;--d){c=window.localStorage.key(d),"olCache_"===c.substr(0,8)&&window.localStorage.removeItem(c)}}};OpenLayers.Control.CacheWrite.urlMap={};OpenLayers.Format.Context=OpenLayers.Class(OpenLayers.Format.XML.VersionedOGC,{layerOptions:null,layerParams:null,read:function(f,e){var h=OpenLayers.Format.XML.VersionedOGC.prototype.read.apply(this,arguments);if(e&&e.map){if(this.context=h,e.map instanceof OpenLayers.Map){h=this.mergeContextToMap(h,e.map)}else{var g=e.map;if(OpenLayers.Util.isElement(g)||"string"==typeof g){g={div:g}}h=this.contextToMap(h,g)}}return h},getLayerFromContext:function(h){var g,l,k={queryable:h.queryable,visibility:h.visibility,maxExtent:h.maxExtent,metadata:OpenLayers.Util.applyDefaults(h.metadata,{styles:h.styles,formats:h.formats,"abstract":h["abstract"],dataURL:h.dataURL}),numZoomLevels:h.numZoomLevels,units:h.units,isBaseLayer:h.isBaseLayer,opacity:h.opacity,displayInLayerSwitcher:h.displayInLayerSwitcher,singleTile:h.singleTile,tileSize:h.tileSize?new OpenLayers.Size(h.tileSize.width,h.tileSize.height):void 0,minScale:h.minScale||h.maxScaleDenominator,maxScale:h.maxScale||h.minScaleDenominator,srs:h.srs,dimensions:h.dimensions,metadataURL:h.metadataURL};this.layerOptions&&OpenLayers.Util.applyDefaults(k,this.layerOptions);var j={layers:h.name,transparent:h.transparent,version:h.version};if(h.formats&&0<h.formats.length){for(j.format=h.formats[0].value,g=0,l=h.formats.length;g<l;g++){var i=h.formats[g];if(!0==i.current){j.format=i.value;break}}}if(h.styles&&0<h.styles.length){for(g=0,l=h.styles.length;g<l;g++){if(i=h.styles[g],!0==i.current){i.href?j.sld=i.href:i.body?j.sld_body=i.body:j.styles=i.name;break}}}this.layerParams&&OpenLayers.Util.applyDefaults(j,this.layerParams);g=null;l=h.service;l==OpenLayers.Format.Context.serviceTypes.WFS?(k.strategies=[new OpenLayers.Strategy.BBOX],k.protocol=new OpenLayers.Protocol.WFS({url:h.url,featurePrefix:h.name.split(":")[0],featureType:h.name.split(":").pop()}),g=new OpenLayers.Layer.Vector(h.title||h.name,k)):l==OpenLayers.Format.Context.serviceTypes.KML?(k.strategies=[new OpenLayers.Strategy.Fixed],k.protocol=new OpenLayers.Protocol.HTTP({url:h.url,format:new OpenLayers.Format.KML}),g=new OpenLayers.Layer.Vector(h.title||h.name,k)):l==OpenLayers.Format.Context.serviceTypes.GML?(k.strategies=[new OpenLayers.Strategy.Fixed],k.protocol=new OpenLayers.Protocol.HTTP({url:h.url,format:new OpenLayers.Format.GML}),g=new OpenLayers.Layer.Vector(h.title||h.name,k)):h.features?(g=new OpenLayers.Layer.Vector(h.title||h.name,k),g.addFeatures(h.features)):!0!==h.categoryLayer&&(g=new OpenLayers.Layer.WMS(h.title||h.name,h.url,j,k));return g},getLayersFromContext:function(g){for(var f=[],j=0,i=g.length;j<i;j++){var h=this.getLayerFromContext(g[j]);null!==h&&f.push(h)}return f},contextToMap:function(e,d){d=OpenLayers.Util.applyDefaults({maxExtent:e.maxExtent,projection:e.projection,units:e.units},d);d.maxExtent&&(d.maxResolution=d.maxExtent.getWidth()/OpenLayers.Map.TILE_WIDTH);d.metadata={contactInformation:e.contactInformation,"abstract":e["abstract"],keywords:e.keywords,logo:e.logo,descriptionURL:e.descriptionURL};var f=new OpenLayers.Map(d);f.addLayers(this.getLayersFromContext(e.layersContext));f.setCenter(e.bounds.getCenterLonLat(),f.getZoomForExtent(e.bounds,!0));return f},mergeContextToMap:function(d,c){c.addLayers(this.getLayersFromContext(d.layersContext));return c},write:function(d,c){d=this.toContext(d);return OpenLayers.Format.XML.VersionedOGC.prototype.write.apply(this,arguments)},CLASS_NAME:"OpenLayers.Format.Context"});OpenLayers.Format.Context.serviceTypes={WMS:"urn:ogc:serviceType:WMS",WFS:"urn:ogc:serviceType:WFS",WCS:"urn:ogc:serviceType:WCS",GML:"urn:ogc:serviceType:GML",SLD:"urn:ogc:serviceType:SLD",FES:"urn:ogc:serviceType:FES",KML:"urn:ogc:serviceType:KML"};OpenLayers.Format.WMC=OpenLayers.Class(OpenLayers.Format.Context,{defaultVersion:"1.1.0",layerToContext:function(h){var g=this.getParser(),l={queryable:h.queryable,visibility:h.visibility,name:h.params.LAYERS,title:h.name,"abstract":h.metadata["abstract"],dataURL:h.metadata.dataURL,metadataURL:h.metadataURL,server:{version:h.params.VERSION,url:h.url},maxExtent:h.maxExtent,transparent:h.params.TRANSPARENT,numZoomLevels:h.numZoomLevels,units:h.units,isBaseLayer:h.isBaseLayer,opacity:1==h.opacity?void 0:h.opacity,displayInLayerSwitcher:h.displayInLayerSwitcher,singleTile:h.singleTile,tileSize:h.singleTile||!h.tileSize?void 0:{width:h.tileSize.w,height:h.tileSize.h},minScale:h.options.resolutions||h.options.scales||h.options.maxResolution||h.options.minScale?h.minScale:void 0,maxScale:h.options.resolutions||h.options.scales||h.options.minResolution||h.options.maxScale?h.maxScale:void 0,formats:[],styles:[],srs:h.srs,dimensions:h.dimensions};h.metadata.servertitle&&(l.server.title=h.metadata.servertitle);if(h.metadata.formats&&0<h.metadata.formats.length){for(var k=0,j=h.metadata.formats.length;k<j;k++){var i=h.metadata.formats[k];l.formats.push({value:i.value,current:i.value==h.params.FORMAT})}}else{l.formats.push({value:h.params.FORMAT,current:!0})}if(h.metadata.styles&&0<h.metadata.styles.length){for(k=0,j=h.metadata.styles.length;k<j;k++){g=h.metadata.styles[k],g.current=g.href==h.params.SLD||g.body==h.params.SLD_BODY||g.name==h.params.STYLES?!0:!1,l.styles.push(g)}}else{l.styles.push({href:h.params.SLD,body:h.params.SLD_BODY,name:h.params.STYLES||g.defaultStyleName,title:g.defaultStyleTitle,current:!0})}return l},toContext:function(g){var f={},j=g.layers;if("OpenLayers.Map"==g.CLASS_NAME){var i=g.metadata||{};f.size=g.getSize();f.bounds=g.getExtent();f.projection=g.projection;f.title=g.title;f.keywords=i.keywords;f["abstract"]=i["abstract"];f.logo=i.logo;f.descriptionURL=i.descriptionURL;f.contactInformation=i.contactInformation;f.maxExtent=g.maxExtent}else{OpenLayers.Util.applyDefaults(f,g),void 0!=f.layers&&delete f.layers}void 0==f.layersContext&&(f.layersContext=[]);if(void 0!=j&&OpenLayers.Util.isArray(j)){for(g=0,i=j.length;g<i;g++){var h=j[g];h instanceof OpenLayers.Layer.WMS&&f.layersContext.push(this.layerToContext(h))}}return f},CLASS_NAME:"OpenLayers.Format.WMC"});OpenLayers.Format.WMC.v1=OpenLayers.Class(OpenLayers.Format.XML,{namespaces:{ol:"http://openlayers.org/context",wmc:"http://www.opengis.net/context",sld:"http://www.opengis.net/sld",xlink:"http://www.w3.org/1999/xlink",xsi:"http://www.w3.org/2001/XMLSchema-instance"},schemaLocation:"",getNamespacePrefix:function(d){var c=null;if(null==d){c=this.namespaces[this.defaultPrefix]}else{for(c in this.namespaces){if(this.namespaces[c]==d){break}}}return c},defaultPrefix:"wmc",rootPrefix:null,defaultStyleName:"",defaultStyleTitle:"Default",initialize:function(b){OpenLayers.Format.XML.prototype.initialize.apply(this,[b])},read:function(d){"string"==typeof d&&(d=OpenLayers.Format.XML.prototype.read.apply(this,[d]));d=d.documentElement;this.rootPrefix=d.prefix;var c={version:d.getAttribute("version")};this.runChildNodes(c,d);return c},runChildNodes:function(j,i){for(var p=i.childNodes,o,n,m,l=0,k=p.length;l<k;++l){o=p[l],1==o.nodeType&&(n=this.getNamespacePrefix(o.namespaceURI),m=o.nodeName.split(":").pop(),(n=this["read_"+n+"_"+m])&&n.apply(this,[j,o]))}},read_wmc_General:function(d,c){this.runChildNodes(d,c)},read_wmc_BoundingBox:function(d,c){d.projection=c.getAttribute("SRS");d.bounds=new OpenLayers.Bounds(c.getAttribute("minx"),c.getAttribute("miny"),c.getAttribute("maxx"),c.getAttribute("maxy"))},read_wmc_LayerList:function(d,c){d.layersContext=[];this.runChildNodes(d,c)},read_wmc_Layer:function(e,d){var f={visibility:"1"!=d.getAttribute("hidden"),queryable:"1"==d.getAttribute("queryable"),formats:[],styles:[],metadata:{}};this.runChildNodes(f,d);e.layersContext.push(f)},read_wmc_Extension:function(d,c){this.runChildNodes(d,c)},read_ol_units:function(d,c){d.units=this.getChildValue(c)},read_ol_maxExtent:function(e,d){var f=new OpenLayers.Bounds(d.getAttribute("minx"),d.getAttribute("miny"),d.getAttribute("maxx"),d.getAttribute("maxy"));e.maxExtent=f},read_ol_transparent:function(d,c){d.transparent=this.getChildValue(c)},read_ol_numZoomLevels:function(d,c){d.numZoomLevels=parseInt(this.getChildValue(c))},read_ol_opacity:function(d,c){d.opacity=parseFloat(this.getChildValue(c))},read_ol_singleTile:function(d,c){d.singleTile="true"==this.getChildValue(c)},read_ol_tileSize:function(e,d){var f={width:d.getAttribute("width"),height:d.getAttribute("height")};e.tileSize=f},read_ol_isBaseLayer:function(d,c){d.isBaseLayer="true"==this.getChildValue(c)},read_ol_displayInLayerSwitcher:function(d,c){d.displayInLayerSwitcher="true"==this.getChildValue(c)},read_wmc_Server:function(d,c){d.version=c.getAttribute("version");d.url=this.getOnlineResource_href(c);d.metadata.servertitle=c.getAttribute("title")},read_wmc_FormatList:function(d,c){this.runChildNodes(d,c)},read_wmc_Format:function(e,d){var f={value:this.getChildValue(d)};"1"==d.getAttribute("current")&&(f.current=!0);e.formats.push(f)},read_wmc_StyleList:function(d,c){this.runChildNodes(d,c)},read_wmc_Style:function(e,d){var f={};this.runChildNodes(f,d);"1"==d.getAttribute("current")&&(f.current=!0);e.styles.push(f)},read_wmc_SLD:function(d,c){this.runChildNodes(d,c)},read_sld_StyledLayerDescriptor:function(e,d){var f=OpenLayers.Format.XML.prototype.write.apply(this,[d]);e.body=f},read_sld_FeatureTypeStyle:function(e,d){var f=OpenLayers.Format.XML.prototype.write.apply(this,[d]);e.body=f},read_wmc_OnlineResource:function(d,c){d.href=this.getAttributeNS(c,this.namespaces.xlink,"href")},read_wmc_Name:function(e,d){var f=this.getChildValue(d);f&&(e.name=f)},read_wmc_Title:function(e,d){var f=this.getChildValue(d);f&&(e.title=f)},read_wmc_MetadataURL:function(d,c){d.metadataURL=this.getOnlineResource_href(c)},read_wmc_KeywordList:function(d,c){d.keywords=[];this.runChildNodes(d.keywords,c)},read_wmc_Keyword:function(d,c){d.push(this.getChildValue(c))},read_wmc_Abstract:function(e,d){var f=this.getChildValue(d);f&&(e["abstract"]=f)},read_wmc_LogoURL:function(d,c){d.logo={width:c.getAttribute("width"),height:c.getAttribute("height"),format:c.getAttribute("format"),href:this.getOnlineResource_href(c)}},read_wmc_DescriptionURL:function(d,c){d.descriptionURL=this.getOnlineResource_href(c)},read_wmc_ContactInformation:function(e,d){var f={};this.runChildNodes(f,d);e.contactInformation=f},read_wmc_ContactPersonPrimary:function(e,d){var f={};this.runChildNodes(f,d);e.personPrimary=f},read_wmc_ContactPerson:function(e,d){var f=this.getChildValue(d);f&&(e.person=f)},read_wmc_ContactOrganization:function(e,d){var f=this.getChildValue(d);f&&(e.organization=f)},read_wmc_ContactPosition:function(e,d){var f=this.getChildValue(d);f&&(e.position=f)},read_wmc_ContactAddress:function(e,d){var f={};this.runChildNodes(f,d);e.contactAddress=f},read_wmc_AddressType:function(e,d){var f=this.getChildValue(d);f&&(e.type=f)},read_wmc_Address:function(e,d){var f=this.getChildValue(d);f&&(e.address=f)},read_wmc_City:function(e,d){var f=this.getChildValue(d);f&&(e.city=f)},read_wmc_StateOrProvince:function(e,d){var f=this.getChildValue(d);f&&(e.stateOrProvince=f)},read_wmc_PostCode:function(e,d){var f=this.getChildValue(d);f&&(e.postcode=f)},read_wmc_Country:function(e,d){var f=this.getChildValue(d);f&&(e.country=f)},read_wmc_ContactVoiceTelephone:function(e,d){var f=this.getChildValue(d);f&&(e.phone=f)},read_wmc_ContactFacsimileTelephone:function(e,d){var f=this.getChildValue(d);f&&(e.fax=f)},read_wmc_ContactElectronicMailAddress:function(e,d){var f=this.getChildValue(d);f&&(e.email=f)},read_wmc_DataURL:function(d,c){d.dataURL=this.getOnlineResource_href(c)},read_wmc_LegendURL:function(e,d){var f={width:d.getAttribute("width"),height:d.getAttribute("height"),format:d.getAttribute("format"),href:this.getOnlineResource_href(d)};e.legend=f},read_wmc_DimensionList:function(d,c){d.dimensions={};this.runChildNodes(d.dimensions,c)},read_wmc_Dimension:function(f,e){var h={name:e.getAttribute("name").toLowerCase(),units:e.getAttribute("units")||"",unitSymbol:e.getAttribute("unitSymbol")||"",userValue:e.getAttribute("userValue")||"",nearestValue:"1"===e.getAttribute("nearestValue"),multipleValues:"1"===e.getAttribute("multipleValues"),current:"1"===e.getAttribute("current"),"default":e.getAttribute("default")||""},g=this.getChildValue(e);h.values=g.split(",");f[h.name]=h},write:function(e,d){var f=this.createElementDefaultNS("ViewContext");this.setAttributes(f,{version:this.VERSION,id:d&&"string"==typeof d.id?d.id:OpenLayers.Util.createUniqueID("OpenLayers_Context_")});this.setAttributeNS(f,this.namespaces.xsi,"xsi:schemaLocation",this.schemaLocation);f.appendChild(this.write_wmc_General(e));f.appendChild(this.write_wmc_LayerList(e));return OpenLayers.Format.XML.prototype.write.apply(this,[f])},createElementDefaultNS:function(e,d,f){e=this.createElementNS(this.namespaces[this.defaultPrefix],e);d&&e.appendChild(this.createTextNode(d));f&&this.setAttributes(e,f);return e},setAttributes:function(f,e){var h,g;for(g in e){h=e[g].toString(),h.match(/[A-Z]/)?this.setAttributeNS(f,null,g,h):f.setAttribute(g,h)}},write_wmc_General:function(e){var d=this.createElementDefaultNS("General");e.size&&d.appendChild(this.createElementDefaultNS("Window",null,{width:e.size.w,height:e.size.h}));var f=e.bounds;d.appendChild(this.createElementDefaultNS("BoundingBox",null,{minx:f.left.toPrecision(18),miny:f.bottom.toPrecision(18),maxx:f.right.toPrecision(18),maxy:f.top.toPrecision(18),SRS:e.projection}));d.appendChild(this.createElementDefaultNS("Title",e.title));e.keywords&&d.appendChild(this.write_wmc_KeywordList(e.keywords));e["abstract"]&&d.appendChild(this.createElementDefaultNS("Abstract",e["abstract"]));e.logo&&d.appendChild(this.write_wmc_URLType("LogoURL",e.logo.href,e.logo));e.descriptionURL&&d.appendChild(this.write_wmc_URLType("DescriptionURL",e.descriptionURL));e.contactInformation&&d.appendChild(this.write_wmc_ContactInformation(e.contactInformation));d.appendChild(this.write_ol_MapExtension(e));return d},write_wmc_KeywordList:function(f){for(var e=this.createElementDefaultNS("KeywordList"),h=0,g=f.length;h<g;h++){e.appendChild(this.createElementDefaultNS("Keyword",f[h]))}return e},write_wmc_ContactInformation:function(d){var c=this.createElementDefaultNS("ContactInformation");d.personPrimary&&c.appendChild(this.write_wmc_ContactPersonPrimary(d.personPrimary));d.position&&c.appendChild(this.createElementDefaultNS("ContactPosition",d.position));d.contactAddress&&c.appendChild(this.write_wmc_ContactAddress(d.contactAddress));d.phone&&c.appendChild(this.createElementDefaultNS("ContactVoiceTelephone",d.phone));d.fax&&c.appendChild(this.createElementDefaultNS("ContactFacsimileTelephone",d.fax));d.email&&c.appendChild(this.createElementDefaultNS("ContactElectronicMailAddress",d.email));return c},write_wmc_ContactPersonPrimary:function(d){var c=this.createElementDefaultNS("ContactPersonPrimary");d.person&&c.appendChild(this.createElementDefaultNS("ContactPerson",d.person));d.organization&&c.appendChild(this.createElementDefaultNS("ContactOrganization",d.organization));return c},write_wmc_ContactAddress:function(d){var c=this.createElementDefaultNS("ContactAddress");d.type&&c.appendChild(this.createElementDefaultNS("AddressType",d.type));d.address&&c.appendChild(this.createElementDefaultNS("Address",d.address));d.city&&c.appendChild(this.createElementDefaultNS("City",d.city));d.stateOrProvince&&c.appendChild(this.createElementDefaultNS("StateOrProvince",d.stateOrProvince));d.postcode&&c.appendChild(this.createElementDefaultNS("PostCode",d.postcode));d.country&&c.appendChild(this.createElementDefaultNS("Country",d.country));return c},write_ol_MapExtension:function(e){var d=this.createElementDefaultNS("Extension");if(e=e.maxExtent){var f=this.createElementNS(this.namespaces.ol,"ol:maxExtent");this.setAttributes(f,{minx:e.left.toPrecision(18),miny:e.bottom.toPrecision(18),maxx:e.right.toPrecision(18),maxy:e.top.toPrecision(18)});d.appendChild(f)}return d},write_wmc_LayerList:function(f){for(var e=this.createElementDefaultNS("LayerList"),h=0,g=f.layersContext.length;h<g;++h){e.appendChild(this.write_wmc_Layer(f.layersContext[h]))}return e},write_wmc_Layer:function(d){var c=this.createElementDefaultNS("Layer",null,{queryable:d.queryable?"1":"0",hidden:d.visibility?"0":"1"});c.appendChild(this.write_wmc_Server(d));c.appendChild(this.createElementDefaultNS("Name",d.name));c.appendChild(this.createElementDefaultNS("Title",d.title));d["abstract"]&&c.appendChild(this.createElementDefaultNS("Abstract",d["abstract"]));d.dataURL&&c.appendChild(this.write_wmc_URLType("DataURL",d.dataURL));d.metadataURL&&c.appendChild(this.write_wmc_URLType("MetadataURL",d.metadataURL));return c},write_wmc_LayerExtension:function(h){var g=this.createElementDefaultNS("Extension"),l=h.maxExtent,k=this.createElementNS(this.namespaces.ol,"ol:maxExtent");this.setAttributes(k,{minx:l.left.toPrecision(18),miny:l.bottom.toPrecision(18),maxx:l.right.toPrecision(18),maxy:l.top.toPrecision(18)});g.appendChild(k);h.tileSize&&!h.singleTile&&(l=this.createElementNS(this.namespaces.ol,"ol:tileSize"),this.setAttributes(l,h.tileSize),g.appendChild(l));for(var l="transparent numZoomLevels units isBaseLayer opacity displayInLayerSwitcher singleTile".split(" "),j=0,i=l.length;j<i;++j){(k=this.createOLPropertyNode(h,l[j]))&&g.appendChild(k)}return g},createOLPropertyNode:function(e,d){var f=null;null!=e[d]&&(f=this.createElementNS(this.namespaces.ol,"ol:"+d),f.appendChild(this.createTextNode(e[d].toString())));return f},write_wmc_Server:function(e){e=e.server;var d=this.createElementDefaultNS("Server"),f={service:"OGC:WMS",version:e.version};e.title&&(f.title=e.title);this.setAttributes(d,f);d.appendChild(this.write_wmc_OnlineResource(e.url));return d},write_wmc_URLType:function(f,e,h){f=this.createElementDefaultNS(f);f.appendChild(this.write_wmc_OnlineResource(e));if(h){e=["width","height","format"];for(var g=0;g<e.length;g++){e[g] in h&&f.setAttribute(e[g],h[e[g]])}}return f},write_wmc_DimensionList:function(h){var g=this.createElementDefaultNS("DimensionList"),l;for(l in h.dimensions){var k={},j=h.dimensions[l],i;for(i in j){k[i]="boolean"==typeof j[i]?Number(j[i]):j[i]}j="";k.values&&(j=k.values.join(","),delete k.values);g.appendChild(this.createElementDefaultNS("Dimension",j,k))}return g},write_wmc_FormatList:function(g){for(var f=this.createElementDefaultNS("FormatList"),j=0,i=g.formats.length;j<i;j++){var h=g.formats[j];f.appendChild(this.createElementDefaultNS("Format",h.value,h.current&&!0==h.current?{current:"1"}:null))}return f},write_wmc_StyleList:function(i){var h=this.createElementDefaultNS("StyleList");if((i=i.styles)&&OpenLayers.Util.isArray(i)){for(var n,m=0,l=i.length;m<l;m++){var k=i[m],j=this.createElementDefaultNS("Style",null,k.current&&!0==k.current?{current:"1"}:null);k.href?(n=this.createElementDefaultNS("SLD"),k.name&&n.appendChild(this.createElementDefaultNS("Name",k.name)),k.title&&n.appendChild(this.createElementDefaultNS("Title",k.title)),k.legend&&n.appendChild(this.write_wmc_URLType("LegendURL",k.legend.href,k.legend)),k=this.write_wmc_OnlineResource(k.href),n.appendChild(k),j.appendChild(n)):k.body?(n=this.createElementDefaultNS("SLD"),k.name&&n.appendChild(this.createElementDefaultNS("Name",k.name)),k.title&&n.appendChild(this.createElementDefaultNS("Title",k.title)),k.legend&&n.appendChild(this.write_wmc_URLType("LegendURL",k.legend.href,k.legend)),k=OpenLayers.Format.XML.prototype.read.apply(this,[k.body]).documentElement,n.ownerDocument&&n.ownerDocument.importNode&&(k=n.ownerDocument.importNode(k,!0)),n.appendChild(k),j.appendChild(n)):(j.appendChild(this.createElementDefaultNS("Name",k.name)),j.appendChild(this.createElementDefaultNS("Title",k.title)),k["abstract"]&&j.appendChild(this.createElementDefaultNS("Abstract",k["abstract"])),k.legend&&j.appendChild(this.write_wmc_URLType("LegendURL",k.legend.href,k.legend)));h.appendChild(j)}}return h},write_wmc_OnlineResource:function(d){var c=this.createElementDefaultNS("OnlineResource");this.setAttributeNS(c,this.namespaces.xlink,"xlink:type","simple");this.setAttributeNS(c,this.namespaces.xlink,"xlink:href",d);return c},getOnlineResource_href:function(d){var c={};d=d.getElementsByTagName("OnlineResource");0<d.length&&this.read_wmc_OnlineResource(c,d[0]);return c.href},CLASS_NAME:"OpenLayers.Format.WMC.v1"});OpenLayers.Control.PanPanel=OpenLayers.Class(OpenLayers.Control.Panel,{slideFactor:50,slideRatio:null,initialize:function(b){OpenLayers.Control.Panel.prototype.initialize.apply(this,[b]);b={slideFactor:this.slideFactor,slideRatio:this.slideRatio};this.addControls([new OpenLayers.Control.Pan(OpenLayers.Control.Pan.NORTH,b),new OpenLayers.Control.Pan(OpenLayers.Control.Pan.SOUTH,b),new OpenLayers.Control.Pan(OpenLayers.Control.Pan.EAST,b),new OpenLayers.Control.Pan(OpenLayers.Control.Pan.WEST,b)])},CLASS_NAME:"OpenLayers.Control.PanPanel"});OpenLayers.Control.Attribution=OpenLayers.Class(OpenLayers.Control,{separator:", ",template:"${layers}",destroy:function(){this.map.events.un({removelayer:this.updateAttribution,addlayer:this.updateAttribution,changelayer:this.updateAttribution,changebaselayer:this.updateAttribution,scope:this});OpenLayers.Control.prototype.destroy.apply(this,arguments)},draw:function(){OpenLayers.Control.prototype.draw.apply(this,arguments);this.map.events.on({changebaselayer:this.updateAttribution,changelayer:this.updateAttribution,addlayer:this.updateAttribution,removelayer:this.updateAttribution,scope:this});this.updateAttribution();return this.div},updateAttribution:function(){var f=[];if(this.map&&this.map.layers){for(var e=0,h=this.map.layers.length;e<h;e++){var g=this.map.layers[e];g.attribution&&g.getVisibility()&&-1===OpenLayers.Util.indexOf(f,g.attribution)&&f.push(g.attribution)}this.div.innerHTML=OpenLayers.String.format(this.template,{layers:f.join(this.separator)})}},CLASS_NAME:"OpenLayers.Control.Attribution"});OpenLayers.Kinetic=OpenLayers.Class({threshold:0,deceleration:0.0035,nbPoints:100,delay:200,points:void 0,timerId:void 0,initialize:function(b){OpenLayers.Util.extend(this,b)},begin:function(){OpenLayers.Animation.stop(this.timerId);this.timerId=void 0;this.points=[]},update:function(b){this.points.unshift({xy:b,tick:(new Date).getTime()});this.points.length>this.nbPoints&&this.points.pop()},end:function(h){for(var g,l=(new Date).getTime(),k=0,j=this.points.length,i;k<j;k++){i=this.points[k];if(l-i.tick>this.delay){break}g=i}if(g&&(k=(new Date).getTime()-g.tick,l=Math.sqrt(Math.pow(h.x-g.xy.x,2)+Math.pow(h.y-g.xy.y,2)),k=l/k,!(0==k||k<this.threshold))){return l=Math.asin((h.y-g.xy.y)/l),g.xy.x<=h.x&&(l=Math.PI-l),{speed:k,theta:l}}},move:function(j,i){var p=j.speed,o=Math.cos(j.theta),n=-Math.sin(j.theta),m=(new Date).getTime(),l=0,k=0;this.timerId=OpenLayers.Animation.start(OpenLayers.Function.bind(function(){if(null!=this.timerId){var d=(new Date).getTime()-m,c=-this.deceleration*Math.pow(d,2)/2+p*d,b=c*o,c=c*n,f,e;f=!1;0>=-this.deceleration*d+p&&(OpenLayers.Animation.stop(this.timerId),this.timerId=null,f=!0);d=b-l;e=c-k;l=b;k=c;i(d,e,f)}},this))},CLASS_NAME:"OpenLayers.Kinetic"});OpenLayers.Format.WPSExecute=OpenLayers.Class(OpenLayers.Format.XML,OpenLayers.Format.Filter.v1_1_0,{namespaces:{ows:"http://www.opengis.net/ows/1.1",gml:"http://www.opengis.net/gml",wps:"http://www.opengis.net/wps/1.0.0",wfs:"http://www.opengis.net/wfs",ogc:"http://www.opengis.net/ogc",wcs:"http://www.opengis.net/wcs",xlink:"http://www.w3.org/1999/xlink",xsi:"http://www.w3.org/2001/XMLSchema-instance"},regExes:{trimSpace:/^\s*|\s*$/g,removeSpace:/\s*/g,splitSpace:/\s+/,trimComma:/\s*,\s*/g},VERSION:"1.0.0",schemaLocation:"http://www.opengis.net/wps/1.0.0 http://schemas.opengis.net/wps/1.0.0/wpsAll.xsd",schemaLocationAttr:function(b){},write:function(d){var c;window.ActiveXObject?this.xmldom=c=new ActiveXObject("Microsoft.XMLDOM"):c=document.implementation.createDocument("","",null);d=this.writeNode("wps:Execute",d,c);this.setAttributeNS(d,this.namespaces.xsi,"xsi:schemaLocation",this.schemaLocation);return OpenLayers.Format.XML.prototype.write.apply(this,[d])},read:function(d){"string"==typeof d&&(d=OpenLayers.Format.XML.prototype.read.apply(this,[d]));d&&9==d.nodeType&&(d=d.documentElement);var c={};this.readNode(d,c);return c},writers:{wps:{Execute:function(d){var c=this.createElementNSPlus("wps:Execute",{attributes:{version:this.VERSION,service:"WPS"}});this.writeNode("ows:Identifier",d.identifier,c);this.writeNode("wps:DataInputs",d.dataInputs,c);this.writeNode("wps:ResponseForm",d.responseForm,c);return c},ResponseForm:function(d){var c=this.createElementNSPlus("wps:ResponseForm",{});d.rawDataOutput&&this.writeNode("wps:RawDataOutput",d.rawDataOutput,c);d.responseDocument&&this.writeNode("wps:ResponseDocument",d.responseDocument,c);return c},ResponseDocument:function(f){var e=this.createElementNSPlus("wps:ResponseDocument",{attributes:{storeExecuteResponse:f.storeExecuteResponse,lineage:f.lineage,status:f.status}});if(f.outputs){for(var h=0,g=f.outputs.length;h<g;h++){this.writeNode("wps:Output",f.outputs[h],e)}}return e},Output:function(d){var c=this.createElementNSPlus("wps:Output",{attributes:{asReference:d.asReference,mimeType:d.mimeType,encoding:d.encoding,schema:d.schema}});this.writeNode("ows:Identifier",d.identifier,c);this.writeNode("ows:Title",d.title,c);this.writeNode("ows:Abstract",d["abstract"],c);return c},RawDataOutput:function(d){var c=this.createElementNSPlus("wps:RawDataOutput",{attributes:{mimeType:d.mimeType,encoding:d.encoding,schema:d.schema}});this.writeNode("ows:Identifier",d.identifier,c);return c},DataInputs:function(f){for(var e=this.createElementNSPlus("wps:DataInputs",{}),h=0,g=f.length;h<g;++h){this.writeNode("wps:Input",f[h],e)}return e},Input:function(d){var c=this.createElementNSPlus("wps:Input",{});this.writeNode("ows:Identifier",d.identifier,c);d.title&&this.writeNode("ows:Title",d.title,c);d.data&&this.writeNode("wps:Data",d.data,c);d.reference&&this.writeNode("wps:Reference",d.reference,c);d.boundingBoxData&&this.writeNode("wps:BoundingBoxData",d.boundingBoxData,c);return c},Data:function(d){var c=this.createElementNSPlus("wps:Data",{});d.literalData?this.writeNode("wps:LiteralData",d.literalData,c):d.complexData?this.writeNode("wps:ComplexData",d.complexData,c):d.boundingBoxData&&this.writeNode("ows:BoundingBox",d.boundingBoxData,c);return c},LiteralData:function(b){return this.createElementNSPlus("wps:LiteralData",{attributes:{uom:b.uom},value:b.value})},ComplexData:function(e){var d=this.createElementNSPlus("wps:ComplexData",{attributes:{mimeType:e.mimeType,encoding:e.encoding,schema:e.schema}}),f=e.value;"string"===typeof f?d.appendChild(this.getXMLDoc().createCDATASection(e.value)):d.appendChild(f);return d},Reference:function(d){var c=this.createElementNSPlus("wps:Reference",{attributes:{mimeType:d.mimeType,"xlink:href":d.href,method:d.method,encoding:d.encoding,schema:d.schema}});d.body&&this.writeNode("wps:Body",d.body,c);return c},BoundingBoxData:function(d,c){this.writers.ows.BoundingBox.apply(this,[d,c,"wps:BoundingBoxData"])},Body:function(d){var c=this.createElementNSPlus("wps:Body",{});d.wcs?this.writeNode("wcs:GetCoverage",d.wcs,c):d.wfs?(this.featureType=d.wfs.featureType,this.version=d.wfs.version,this.writeNode("wfs:GetFeature",d.wfs,c)):this.writeNode("wps:Execute",d,c);return c}},wcs:OpenLayers.Format.WCSGetCoverage.prototype.writers.wcs,wfs:OpenLayers.Format.WFST.v1_1_0.prototype.writers.wfs,ogc:OpenLayers.Format.Filter.v1_1_0.prototype.writers.ogc,ows:OpenLayers.Format.OWSCommon.v1_1_0.prototype.writers.ows},readers:{wps:{ExecuteResponse:function(d,c){c.executeResponse={lang:d.getAttribute("lang"),statusLocation:d.getAttribute("statusLocation"),serviceInstance:d.getAttribute("serviceInstance"),service:d.getAttribute("service")};this.readChildNodes(d,c.executeResponse)},Process:function(d,c){c.process={};this.readChildNodes(d,c.process)},Status:function(d,c){c.status={creationTime:d.getAttribute("creationTime")};this.readChildNodes(d,c.status)},ProcessSucceeded:function(d,c){c.processSucceeded=!0},ProcessOutputs:function(d,c){c.processOutputs=[];this.readChildNodes(d,c.processOutputs)},Output:function(e,d){var f={};this.readChildNodes(e,f);d.push(f)},Reference:function(d,c){c.reference={href:d.getAttribute("href"),mimeType:d.getAttribute("mimeType"),encoding:d.getAttribute("encoding"),schema:d.getAttribute("schema")}},Data:function(d,c){c.data={};this.readChildNodes(d,c)},LiteralData:function(d,c){c.literalData={dataType:d.getAttribute("dataType"),uom:d.getAttribute("uom"),value:this.getChildValue(d)}},ComplexData:function(e,d){d.complexData={mimeType:e.getAttribute("mimeType"),schema:e.getAttribute("schema"),encoding:e.getAttribute("encoding"),value:""};if(this.isSimpleContent(e)){var f;for(f=e.firstChild;f;f=f.nextSibling){switch(f.nodeType){case 3:case 4:d.complexData.value+=f.nodeValue}}}else{for(f=e.firstChild;f;f=f.nextSibling){1==f.nodeType&&(d.complexData.value=f)}}},BoundingBox:function(d,c){c.boundingBoxData={dimensions:d.getAttribute("dimensions"),crs:d.getAttribute("crs")};this.readChildNodes(d,c.boundingBoxData)}},ows:OpenLayers.Format.OWSCommon.v1_1_0.prototype.readers.ows},CLASS_NAME:"OpenLayers.Format.WPSExecute"});OpenLayers.Layer.GeoRSS=OpenLayers.Class(OpenLayers.Layer.Markers,{location:null,features:null,formatOptions:null,selectedFeature:null,icon:null,popupSize:null,useFeedTitle:!0,initialize:function(e,d,f){OpenLayers.Layer.Markers.prototype.initialize.apply(this,[e,f]);this.location=d;this.features=[]},destroy:function(){OpenLayers.Layer.Markers.prototype.destroy.apply(this,arguments);this.clearFeatures();this.features=null},loadRSS:function(){this.loaded||(this.events.triggerEvent("loadstart"),OpenLayers.Request.GET({url:this.location,success:this.parseData,scope:this}),this.loaded=!0)},moveTo:function(e,d,f){OpenLayers.Layer.Markers.prototype.moveTo.apply(this,arguments);this.visibility&&!this.loaded&&this.loadRSS()},parseData:function(t){var s=t.responseXML;s&&s.documentElement||(s=OpenLayers.Format.XML.prototype.read(t.responseText));if(this.useFeedTitle){t=null;try{t=s.getElementsByTagNameNS("*","title")[0].firstChild.nodeValue}catch(r){t=s.getElementsByTagName("title")[0].firstChild.nodeValue}t&&this.setName(t)}t={};OpenLayers.Util.extend(t,this.formatOptions);this.map&&!this.projection.equals(this.map.getProjectionObject())&&(t.externalProjection=this.projection,t.internalProjection=this.map.getProjectionObject());s=(new OpenLayers.Format.GeoRSS(t)).read(s);t=0;for(var q=s.length;t<q;t++){var p={},o=s[t];if(o.geometry){var n=o.attributes.title?o.attributes.title:"Untitled",m=o.attributes.description?o.attributes.description:"No description.",j=o.attributes.link?o.attributes.link:"",o=o.geometry.getBounds().getCenterLonLat();p.icon=null==this.icon?OpenLayers.Marker.defaultIcon():this.icon.clone();p.popupSize=this.popupSize?this.popupSize.clone():new OpenLayers.Size(250,120);if(n||m){p.title=n;p.description=m;var i='<div class="olLayerGeoRSSClose">[x]</div>',i=i+'<div class="olLayerGeoRSSTitle">';j&&(i+='<a class="link" href="'+j+'" target="_blank">');i+=n;j&&(i+="</a>");i+="</div>";i+='<div style="" class="olLayerGeoRSSDescription">';i+=m;i+="</div>";p.popupContentHTML=i}o=new OpenLayers.Feature(this,o,p);this.features.push(o);p=o.createMarker();p.events.register("click",o,this.markerClick);this.addMarker(p)}}this.events.triggerEvent("loadend")},markerClick:function(f){var e=this==this.layer.selectedFeature;this.layer.selectedFeature=e?null:this;for(var h=0,g=this.layer.map.popups.length;h<g;h++){this.layer.map.removePopup(this.layer.map.popups[h])}e||(e=this.createPopup(),OpenLayers.Event.observe(e.div,"click",OpenLayers.Function.bind(function(){for(var d=0,c=this.layer.map.popups.length;d<c;d++){this.layer.map.removePopup(this.layer.map.popups[d])}},this)),this.layer.map.addPopup(e));OpenLayers.Event.stop(f)},clearFeatures:function(){if(null!=this.features){for(;0<this.features.length;){var b=this.features[0];OpenLayers.Util.removeItem(this.features,b);b.destroy()}}},CLASS_NAME:"OpenLayers.Layer.GeoRSS"});OpenLayers.Symbolizer.Point=OpenLayers.Class(OpenLayers.Symbolizer,{initialize:function(b){OpenLayers.Symbolizer.prototype.initialize.apply(this,arguments)},CLASS_NAME:"OpenLayers.Symbolizer.Point"});OpenLayers.Symbolizer.Line=OpenLayers.Class(OpenLayers.Symbolizer,{initialize:function(b){OpenLayers.Symbolizer.prototype.initialize.apply(this,arguments)},CLASS_NAME:"OpenLayers.Symbolizer.Line"});OpenLayers.Symbolizer.Text=OpenLayers.Class(OpenLayers.Symbolizer,{initialize:function(b){OpenLayers.Symbolizer.prototype.initialize.apply(this,arguments)},CLASS_NAME:"OpenLayers.Symbolizer.Text"});OpenLayers.Format.SLD.v1=OpenLayers.Class(OpenLayers.Format.Filter.v1_0_0,{namespaces:{sld:"http://www.opengis.net/sld",ogc:"http://www.opengis.net/ogc",gml:"http://www.opengis.net/gml",xlink:"http://www.w3.org/1999/xlink",xsi:"http://www.w3.org/2001/XMLSchema-instance"},defaultPrefix:"sld",schemaLocation:null,multipleSymbolizers:!1,featureTypeCounter:null,defaultSymbolizer:{fillColor:"#808080",fillOpacity:1,strokeColor:"#000000",strokeOpacity:1,strokeWidth:1,strokeDashstyle:"solid",pointRadius:3,graphicName:"square"},read:function(e,d){d=OpenLayers.Util.applyDefaults(d,this.options);var f={namedLayers:!0===d.namedLayersAsArray?[]:{}};this.readChildNodes(e,f);return f},readers:OpenLayers.Util.applyDefaults({sld:{StyledLayerDescriptor:function(d,c){c.version=d.getAttribute("version");this.readChildNodes(d,c)},Name:function(d,c){c.name=this.getChildValue(d)},Title:function(d,c){c.title=this.getChildValue(d)},Abstract:function(d,c){c.description=this.getChildValue(d)},NamedLayer:function(g,f){var j={userStyles:[],namedStyles:[]};this.readChildNodes(g,j);for(var i=0,h=j.userStyles.length;i<h;++i){j.userStyles[i].layerName=j.name}OpenLayers.Util.isArray(f.namedLayers)?f.namedLayers.push(j):f.namedLayers[j.name]=j},NamedStyle:function(d,c){c.namedStyles.push(this.getChildName(d.firstChild))},UserStyle:function(e,d){var f={defaultsPerSymbolizer:!0,rules:[]};this.featureTypeCounter=-1;this.readChildNodes(e,f);this.multipleSymbolizers?(delete f.defaultsPerSymbolizer,f=new OpenLayers.Style2(f)):f=new OpenLayers.Style(this.defaultSymbolizer,f);d.userStyles.push(f)},IsDefault:function(d,c){"1"==this.getChildValue(d)&&(c.isDefault=!0)},FeatureTypeStyle:function(e,d){++this.featureTypeCounter;var f={rules:this.multipleSymbolizers?d.rules:[]};this.readChildNodes(e,f);this.multipleSymbolizers||(d.rules=f.rules)},Rule:function(e,d){var f;this.multipleSymbolizers&&(f={symbolizers:[]});f=new OpenLayers.Rule(f);this.readChildNodes(e,f);d.rules.push(f)},ElseFilter:function(d,c){c.elseFilter=!0},MinScaleDenominator:function(d,c){c.minScaleDenominator=parseFloat(this.getChildValue(d))},MaxScaleDenominator:function(d,c){c.maxScaleDenominator=parseFloat(this.getChildValue(d))},TextSymbolizer:function(e,d){var f={};this.readChildNodes(e,f);this.multipleSymbolizers?(f.zIndex=this.featureTypeCounter,d.symbolizers.push(new OpenLayers.Symbolizer.Text(f))):d.symbolizer.Text=OpenLayers.Util.applyDefaults(f,d.symbolizer.Text)},LabelPlacement:function(d,c){this.readChildNodes(d,c)},PointPlacement:function(h,g){var l={};this.readChildNodes(h,l);l.labelRotation=l.rotation;delete l.rotation;var k,j=g.labelAnchorPointX,i=g.labelAnchorPointY;j<=1/3?k="l":j>1/3&&j<2/3?k="c":j>=2/3&&(k="r");i<=1/3?k+="b":i>1/3&&i<2/3?k+="m":i>=2/3&&(k+="t");l.labelAlign=k;OpenLayers.Util.applyDefaults(g,l)},AnchorPoint:function(d,c){this.readChildNodes(d,c)},AnchorPointX:function(e,d){var f=this.readers.ogc._expression.call(this,e);f&&(d.labelAnchorPointX=f)},AnchorPointY:function(e,d){var f=this.readers.ogc._expression.call(this,e);f&&(d.labelAnchorPointY=f)},Displacement:function(d,c){this.readChildNodes(d,c)},DisplacementX:function(e,d){var f=this.readers.ogc._expression.call(this,e);f&&(d.labelXOffset=f)},DisplacementY:function(e,d){var f=this.readers.ogc._expression.call(this,e);f&&(d.labelYOffset=f)},LinePlacement:function(d,c){this.readChildNodes(d,c)},PerpendicularOffset:function(e,d){var f=this.readers.ogc._expression.call(this,e);f&&(d.labelPerpendicularOffset=f)},Label:function(e,d){var f=this.readers.ogc._expression.call(this,e);f&&(d.label=f)},Font:function(d,c){this.readChildNodes(d,c)},Halo:function(e,d){var f={};this.readChildNodes(e,f);d.haloRadius=f.haloRadius;d.haloColor=f.fillColor;d.haloOpacity=f.fillOpacity},Radius:function(e,d){var f=this.readers.ogc._expression.call(this,e);null!=f&&(d.haloRadius=f)},RasterSymbolizer:function(e,d){var f={};this.readChildNodes(e,f);this.multipleSymbolizers?(f.zIndex=this.featureTypeCounter,d.symbolizers.push(new OpenLayers.Symbolizer.Raster(f))):d.symbolizer.Raster=OpenLayers.Util.applyDefaults(f,d.symbolizer.Raster)},Geometry:function(d,c){c.geometry={};this.readChildNodes(d,c.geometry)},ColorMap:function(d,c){c.colorMap=[];this.readChildNodes(d,c.colorMap)},ColorMapEntry:function(f,e){var h=f.getAttribute("quantity"),g=f.getAttribute("opacity");e.push({color:f.getAttribute("color"),quantity:null!==h?parseFloat(h):void 0,label:f.getAttribute("label")||void 0,opacity:null!==g?parseFloat(g):void 0})},LineSymbolizer:function(e,d){var f={};this.readChildNodes(e,f);this.multipleSymbolizers?(f.zIndex=this.featureTypeCounter,d.symbolizers.push(new OpenLayers.Symbolizer.Line(f))):d.symbolizer.Line=OpenLayers.Util.applyDefaults(f,d.symbolizer.Line)},PolygonSymbolizer:function(e,d){var f={fill:!1,stroke:!1};this.multipleSymbolizers||(f=d.symbolizer.Polygon||f);this.readChildNodes(e,f);this.multipleSymbolizers?(f.zIndex=this.featureTypeCounter,d.symbolizers.push(new OpenLayers.Symbolizer.Polygon(f))):d.symbolizer.Polygon=f},PointSymbolizer:function(e,d){var f={fill:!1,stroke:!1,graphic:!1};this.multipleSymbolizers||(f=d.symbolizer.Point||f);this.readChildNodes(e,f);this.multipleSymbolizers?(f.zIndex=this.featureTypeCounter,d.symbolizers.push(new OpenLayers.Symbolizer.Point(f))):d.symbolizer.Point=f},Stroke:function(d,c){c.stroke=!0;this.readChildNodes(d,c)},Fill:function(d,c){c.fill=!0;this.readChildNodes(d,c)},CssParameter:function(f,e){var h=f.getAttribute("name"),g=this.cssMap[h];e.label&&("fill"===h?g="fontColor":"fill-opacity"===h&&(g="fontOpacity"));g&&(h=this.readers.ogc._expression.call(this,f))&&(e[g]=h)},Graphic:function(j,i){i.graphic=!0;var p={};this.readChildNodes(j,p);for(var o="stroke strokeColor strokeWidth strokeOpacity strokeLinecap fill fillColor fillOpacity graphicName rotation graphicFormat".split(" "),n,m,l=0,k=o.length;l<k;++l){n=o[l],m=p[n],void 0!=m&&(i[n]=m)}void 0!=p.opacity&&(i.graphicOpacity=p.opacity);void 0!=p.size&&(isNaN(p.size/2)?i.graphicWidth=p.size:i.pointRadius=p.size/2);void 0!=p.href&&(i.externalGraphic=p.href);void 0!=p.rotation&&(i.rotation=p.rotation)},ExternalGraphic:function(d,c){this.readChildNodes(d,c)},Mark:function(d,c){this.readChildNodes(d,c)},WellKnownName:function(d,c){c.graphicName=this.getChildValue(d)},Opacity:function(e,d){var f=this.readers.ogc._expression.call(this,e);f&&(d.opacity=f)},Size:function(e,d){var f=this.readers.ogc._expression.call(this,e);f&&(d.size=f)},Rotation:function(e,d){var f=this.readers.ogc._expression.call(this,e);f&&(d.rotation=f)},OnlineResource:function(d,c){c.href=this.getAttributeNS(d,this.namespaces.xlink,"href")},Format:function(d,c){c.graphicFormat=this.getChildValue(d)}}},OpenLayers.Format.Filter.v1_0_0.prototype.readers),cssMap:{stroke:"strokeColor","stroke-opacity":"strokeOpacity","stroke-width":"strokeWidth","stroke-linecap":"strokeLinecap","stroke-dasharray":"strokeDashstyle",fill:"fillColor","fill-opacity":"fillOpacity","font-family":"fontFamily","font-size":"fontSize","font-weight":"fontWeight","font-style":"fontStyle"},getCssProperty:function(e){var d=null,f;for(f in this.cssMap){if(this.cssMap[f]==e){d=f;break}}return d},getGraphicFormat:function(e){var d,f;for(f in this.graphicFormats){if(this.graphicFormats[f].test(e)){d=f;break}}return d||this.defaultGraphicFormat},defaultGraphicFormat:"image/png",graphicFormats:{"image/jpeg":/\.jpe?g$/i,"image/gif":/\.gif$/i,"image/png":/\.png$/i},write:function(b){return this.writers.sld.StyledLayerDescriptor.apply(this,[b])},writers:OpenLayers.Util.applyDefaults({sld:{_OGCExpression:function(j,i){var p=this.createElementNSPlus(j),o="string"==typeof i?i.split("${"):[i];p.appendChild(this.createTextNode(o[0]));for(var n,m,l=1,k=o.length;l<k;l++){n=o[l],m=n.indexOf("}"),0<m?(this.writeNode("ogc:PropertyName",{property:n.substring(0,m)},p),p.appendChild(this.createTextNode(n.substring(++m)))):p.appendChild(this.createTextNode("${"+n))}return p},StyledLayerDescriptor:function(f){var e=this.createElementNSPlus("sld:StyledLayerDescriptor",{attributes:{version:this.VERSION,"xsi:schemaLocation":this.schemaLocation}});e.setAttribute("xmlns:ogc",this.namespaces.ogc);e.setAttribute("xmlns:gml",this.namespaces.gml);f.name&&this.writeNode("Name",f.name,e);f.title&&this.writeNode("Title",f.title,e);f.description&&this.writeNode("Abstract",f.description,e);if(OpenLayers.Util.isArray(f.namedLayers)){for(var h=0,g=f.namedLayers.length;h<g;++h){this.writeNode("NamedLayer",f.namedLayers[h],e)}}else{for(h in f.namedLayers){this.writeNode("NamedLayer",f.namedLayers[h],e)}}return e},Name:function(b){return this.createElementNSPlus("sld:Name",{value:b})},Title:function(b){return this.createElementNSPlus("sld:Title",{value:b})},Abstract:function(b){return this.createElementNSPlus("sld:Abstract",{value:b})},NamedLayer:function(f){var e=this.createElementNSPlus("sld:NamedLayer");this.writeNode("Name",f.name,e);if(f.namedStyles){for(var h=0,g=f.namedStyles.length;h<g;++h){this.writeNode("NamedStyle",f.namedStyles[h],e)}}if(f.userStyles){for(h=0,g=f.userStyles.length;h<g;++h){this.writeNode("UserStyle",f.userStyles[h],e)}}return e},NamedStyle:function(d){var c=this.createElementNSPlus("sld:NamedStyle");this.writeNode("Name",d,c);return c},UserStyle:function(z){var y=this.createElementNSPlus("sld:UserStyle");z.name&&this.writeNode("Name",z.name,y);z.title&&this.writeNode("Title",z.title,y);z.description&&this.writeNode("Abstract",z.description,y);z.isDefault&&this.writeNode("IsDefault",z.isDefault,y);if(this.multipleSymbolizers&&z.rules){for(var x={0:[]},w=[0],v,u,t,s,r,q=0,o=z.rules.length;q<o;++q){if(v=z.rules[q],v.symbolizers){u={};for(var j=0,i=v.symbolizers.length;j<i;++j){t=v.symbolizers[j],s=t.zIndex,s in u||(r=v.clone(),r.symbolizers=[],u[s]=r),u[s].symbolizers.push(t.clone())}for(s in u){s in x||(w.push(s),x[s]=[]),x[s].push(u[s])}}else{x[0].push(v.clone())}}w.sort();q=0;for(o=w.length;q<o;++q){v=x[w[q]],0<v.length&&(r=z.clone(),r.rules=x[w[q]],this.writeNode("FeatureTypeStyle",r,y))}}else{this.writeNode("FeatureTypeStyle",z,y)}return y},IsDefault:function(b){return this.createElementNSPlus("sld:IsDefault",{value:b?"1":"0"})},FeatureTypeStyle:function(f){for(var e=this.createElementNSPlus("sld:FeatureTypeStyle"),h=0,g=f.rules.length;h<g;++h){this.writeNode("Rule",f.rules[h],e)}return e},Rule:function(i){var h=this.createElementNSPlus("sld:Rule");i.name&&this.writeNode("Name",i.name,h);i.title&&this.writeNode("Title",i.title,h);i.description&&this.writeNode("Abstract",i.description,h);i.elseFilter?this.writeNode("ElseFilter",null,h):i.filter&&this.writeNode("ogc:Filter",i.filter,h);void 0!=i.minScaleDenominator&&this.writeNode("MinScaleDenominator",i.minScaleDenominator,h);void 0!=i.maxScaleDenominator&&this.writeNode("MaxScaleDenominator",i.maxScaleDenominator,h);var n,m;if(this.multipleSymbolizers&&i.symbolizers){for(var l=0,k=i.symbolizers.length;l<k;++l){m=i.symbolizers[l],n=m.CLASS_NAME.split(".").pop(),this.writeNode(n+"Symbolizer",m,h)}}else{for(var k=OpenLayers.Style.SYMBOLIZER_PREFIXES,l=0,j=k.length;l<j;++l){n=k[l],(m=i.symbolizer[n])&&this.writeNode(n+"Symbolizer",m,h)}}return h},ElseFilter:function(){return this.createElementNSPlus("sld:ElseFilter")},MinScaleDenominator:function(b){return this.createElementNSPlus("sld:MinScaleDenominator",{value:b})},MaxScaleDenominator:function(b){return this.createElementNSPlus("sld:MaxScaleDenominator",{value:b})},LineSymbolizer:function(d){var c=this.createElementNSPlus("sld:LineSymbolizer");this.writeNode("Stroke",d,c);return c},Stroke:function(d){var c=this.createElementNSPlus("sld:Stroke");void 0!=d.strokeColor&&this.writeNode("CssParameter",{symbolizer:d,key:"strokeColor"},c);void 0!=d.strokeOpacity&&this.writeNode("CssParameter",{symbolizer:d,key:"strokeOpacity"},c);void 0!=d.strokeWidth&&this.writeNode("CssParameter",{symbolizer:d,key:"strokeWidth"},c);void 0!=d.strokeDashstyle&&"solid"!==d.strokeDashstyle&&this.writeNode("CssParameter",{symbolizer:d,key:"strokeDashstyle"},c);void 0!=d.strokeLinecap&&this.writeNode("CssParameter",{symbolizer:d,key:"strokeLinecap"},c);return c},CssParameter:function(b){return this.createElementNSPlus("sld:CssParameter",{attributes:{name:this.getCssProperty(b.key)},value:b.symbolizer[b.key]})},TextSymbolizer:function(d){var c=this.createElementNSPlus("sld:TextSymbolizer");null!=d.label&&this.writeNode("Label",d.label,c);null==d.fontFamily&&null==d.fontSize&&null==d.fontWeight&&null==d.fontStyle||this.writeNode("Font",d,c);null==d.labelAnchorPointX&&null==d.labelAnchorPointY&&null==d.labelAlign&&null==d.labelXOffset&&null==d.labelYOffset&&null==d.labelRotation&&null==d.labelPerpendicularOffset||this.writeNode("LabelPlacement",d,c);null==d.haloRadius&&null==d.haloColor&&null==d.haloOpacity||this.writeNode("Halo",d,c);null==d.fontColor&&null==d.fontOpacity||this.writeNode("Fill",{fillColor:d.fontColor,fillOpacity:d.fontOpacity},c);return c},LabelPlacement:function(d){var c=this.createElementNSPlus("sld:LabelPlacement");null==d.labelAnchorPointX&&null==d.labelAnchorPointY&&null==d.labelAlign&&null==d.labelXOffset&&null==d.labelYOffset&&null==d.labelRotation||null!=d.labelPerpendicularOffset||this.writeNode("PointPlacement",d,c);null!=d.labelPerpendicularOffset&&this.writeNode("LinePlacement",d,c);return c},LinePlacement:function(d){var c=this.createElementNSPlus("sld:LinePlacement");this.writeNode("PerpendicularOffset",d.labelPerpendicularOffset,c);return c},PerpendicularOffset:function(b){return this.createElementNSPlus("sld:PerpendicularOffset",{value:b})},PointPlacement:function(d){var c=this.createElementNSPlus("sld:PointPlacement");null==d.labelAnchorPointX&&null==d.labelAnchorPointY&&null==d.labelAlign||this.writeNode("AnchorPoint",d,c);null==d.labelXOffset&&null==d.labelYOffset||this.writeNode("Displacement",d,c);null!=d.labelRotation&&this.writeNode("Rotation",d.labelRotation,c);return c},AnchorPoint:function(g){var f=this.createElementNSPlus("sld:AnchorPoint"),j=g.labelAnchorPointX,i=g.labelAnchorPointY;null!=j&&this.writeNode("AnchorPointX",j,f);null!=i&&this.writeNode("AnchorPointY",i,f);if(null==j&&null==i){var h=g.labelAlign.substr(0,1);g=g.labelAlign.substr(1,1);"l"===h?j=0:"c"===h?j=0.5:"r"===h&&(j=1);"b"===g?i=0:"m"===g?i=0.5:"t"===g&&(i=1);this.writeNode("AnchorPointX",j,f);this.writeNode("AnchorPointY",i,f)}return f},AnchorPointX:function(b){return this.createElementNSPlus("sld:AnchorPointX",{value:b})},AnchorPointY:function(b){return this.createElementNSPlus("sld:AnchorPointY",{value:b})},Displacement:function(d){var c=this.createElementNSPlus("sld:Displacement");null!=d.labelXOffset&&this.writeNode("DisplacementX",d.labelXOffset,c);null!=d.labelYOffset&&this.writeNode("DisplacementY",d.labelYOffset,c);return c},DisplacementX:function(b){return this.createElementNSPlus("sld:DisplacementX",{value:b})},DisplacementY:function(b){return this.createElementNSPlus("sld:DisplacementY",{value:b})},Font:function(d){var c=this.createElementNSPlus("sld:Font");d.fontFamily&&this.writeNode("CssParameter",{symbolizer:d,key:"fontFamily"},c);d.fontSize&&this.writeNode("CssParameter",{symbolizer:d,key:"fontSize"},c);d.fontWeight&&this.writeNode("CssParameter",{symbolizer:d,key:"fontWeight"},c);d.fontStyle&&this.writeNode("CssParameter",{symbolizer:d,key:"fontStyle"},c);return c},Label:function(b){return this.writers.sld._OGCExpression.call(this,"sld:Label",b)},Halo:function(d){var c=this.createElementNSPlus("sld:Halo");d.haloRadius&&this.writeNode("Radius",d.haloRadius,c);(d.haloColor||d.haloOpacity)&&this.writeNode("Fill",{fillColor:d.haloColor,fillOpacity:d.haloOpacity},c);return c},Radius:function(b){return this.createElementNSPlus("sld:Radius",{value:b})},RasterSymbolizer:function(d){var c=this.createElementNSPlus("sld:RasterSymbolizer");d.geometry&&this.writeNode("Geometry",d.geometry,c);d.opacity&&this.writeNode("Opacity",d.opacity,c);d.colorMap&&this.writeNode("ColorMap",d.colorMap,c);return c},Geometry:function(d){var c=this.createElementNSPlus("sld:Geometry");d.property&&this.writeNode("ogc:PropertyName",d,c);return c},ColorMap:function(f){for(var e=this.createElementNSPlus("sld:ColorMap"),h=0,g=f.length;h<g;++h){this.writeNode("ColorMapEntry",f[h],e)}return e},ColorMapEntry:function(d){var c=this.createElementNSPlus("sld:ColorMapEntry");c.setAttribute("color",d.color);void 0!==d.opacity&&c.setAttribute("opacity",parseFloat(d.opacity));void 0!==d.quantity&&c.setAttribute("quantity",parseFloat(d.quantity));void 0!==d.label&&c.setAttribute("label",d.label);return c},PolygonSymbolizer:function(d){var c=this.createElementNSPlus("sld:PolygonSymbolizer");!1!==d.fill&&this.writeNode("Fill",d,c);!1!==d.stroke&&this.writeNode("Stroke",d,c);return c},Fill:function(d){var c=this.createElementNSPlus("sld:Fill");d.fillColor&&this.writeNode("CssParameter",{symbolizer:d,key:"fillColor"},c);null!=d.fillOpacity&&this.writeNode("CssParameter",{symbolizer:d,key:"fillOpacity"},c);return c},PointSymbolizer:function(d){var c=this.createElementNSPlus("sld:PointSymbolizer");this.writeNode("Graphic",d,c);return c},Graphic:function(d){var c=this.createElementNSPlus("sld:Graphic");void 0!=d.externalGraphic?this.writeNode("ExternalGraphic",d,c):this.writeNode("Mark",d,c);void 0!=d.graphicOpacity&&this.writeNode("Opacity",d.graphicOpacity,c);void 0!=d.pointRadius?this.writeNode("Size",2*d.pointRadius,c):void 0!=d.graphicWidth&&this.writeNode("Size",d.graphicWidth,c);void 0!=d.rotation&&this.writeNode("Rotation",d.rotation,c);return c},ExternalGraphic:function(d){var c=this.createElementNSPlus("sld:ExternalGraphic");this.writeNode("OnlineResource",d.externalGraphic,c);d=d.graphicFormat||this.getGraphicFormat(d.externalGraphic);this.writeNode("Format",d,c);return c},Mark:function(d){var c=this.createElementNSPlus("sld:Mark");d.graphicName&&this.writeNode("WellKnownName",d.graphicName,c);!1!==d.fill&&this.writeNode("Fill",d,c);!1!==d.stroke&&this.writeNode("Stroke",d,c);return c},WellKnownName:function(b){return this.createElementNSPlus("sld:WellKnownName",{value:b})},Opacity:function(b){return this.createElementNSPlus("sld:Opacity",{value:b})},Size:function(b){return this.writers.sld._OGCExpression.call(this,"sld:Size",b)},Rotation:function(b){return this.createElementNSPlus("sld:Rotation",{value:b})},OnlineResource:function(b){return this.createElementNSPlus("sld:OnlineResource",{attributes:{"xlink:type":"simple","xlink:href":b}})},Format:function(b){return this.createElementNSPlus("sld:Format",{value:b})}}},OpenLayers.Format.Filter.v1_0_0.prototype.writers),CLASS_NAME:"OpenLayers.Format.SLD.v1"});OpenLayers.Layer.WMS=OpenLayers.Class(OpenLayers.Layer.Grid,{DEFAULT_PARAMS:{service:"WMS",version:"1.1.1",request:"GetMap",styles:"",format:"image/jpeg"},isBaseLayer:!0,encodeBBOX:!1,noMagic:!1,yx:{},initialize:function(g,f,j,i){var h=[];j=OpenLayers.Util.upperCaseObject(j);1.3<=parseFloat(j.VERSION)&&!j.EXCEPTIONS&&(j.EXCEPTIONS="INIMAGE");h.push(g,f,j,i);OpenLayers.Layer.Grid.prototype.initialize.apply(this,h);OpenLayers.Util.applyDefaults(this.params,OpenLayers.Util.upperCaseObject(this.DEFAULT_PARAMS));!this.noMagic&&(this.params.TRANSPARENT&&"true"==this.params.TRANSPARENT.toString().toLowerCase())&&(null!=i&&i.isBaseLayer||(this.isBaseLayer=!1),"image/jpeg"==this.params.FORMAT&&(this.params.FORMAT=OpenLayers.Util.alphaHack()?"image/gif":"image/png"))},clone:function(b){null==b&&(b=new OpenLayers.Layer.WMS(this.name,this.url,this.params,this.getOptions()));return b=OpenLayers.Layer.Grid.prototype.clone.apply(this,[b])},reverseAxisOrder:function(){var b=this.projection.getCode();return 1.3<=parseFloat(this.params.VERSION)&&!!(this.yx[b]||OpenLayers.Projection.defaults[b]&&OpenLayers.Projection.defaults[b].yx)},getURL:function(f){f=this.adjustBounds(f);var e=this.getImageSize(),h={},g=this.reverseAxisOrder();h.BBOX=this.encodeBBOX?f.toBBOX(null,g):f.toArray(g);h.WIDTH=e.w;h.HEIGHT=e.h;return this.getFullRequestString(h)},mergeNewParams:function(b){b=[OpenLayers.Util.upperCaseObject(b)];return OpenLayers.Layer.Grid.prototype.mergeNewParams.apply(this,b)},getFullRequestString:function(e,d){var f=this.map.getProjectionObject(),f=this.projection&&this.projection.equals(f)?this.projection.getCode():f.getCode(),f="none"==f?null:f;1.3<=parseFloat(this.params.VERSION)?this.params.CRS=f:this.params.SRS=f;"boolean"==typeof this.params.TRANSPARENT&&(e.TRANSPARENT=this.params.TRANSPARENT?"TRUE":"FALSE");return OpenLayers.Layer.Grid.prototype.getFullRequestString.apply(this,arguments)},CLASS_NAME:"OpenLayers.Layer.WMS"});OpenLayers.Layer.KaMap=OpenLayers.Class(OpenLayers.Layer.Grid,{isBaseLayer:!0,DEFAULT_PARAMS:{i:"jpeg",map:""},initialize:function(f,e,h,g){OpenLayers.Layer.Grid.prototype.initialize.apply(this,arguments);this.params=OpenLayers.Util.applyDefaults(this.params,this.DEFAULT_PARAMS)},getURL:function(f){f=this.adjustBounds(f);var e=this.map.getResolution(),h=Math.round(10000*this.map.getScale())/10000,g=Math.round(f.left/e);f=-Math.round(f.top/e);return this.getFullRequestString({t:f,l:g,s:h})},calculateGridLayout:function(e,d,f){d=f*this.tileSize.w;f*=this.tileSize.h;return{tilelon:d,tilelat:f,startcol:Math.floor(e.left/d)-this.buffer,startrow:Math.floor(e.top/f)+this.buffer}},getTileBoundsForGridIndex:function(h,g){this.getTileOrigin();var l=this.gridLayout,k=l.tilelon,j=l.tilelat,i=(l.startcol+g)*k,l=(l.startrow-h)*j;return new OpenLayers.Bounds(i,l,i+k,l+j)},clone:function(b){null==b&&(b=new OpenLayers.Layer.KaMap(this.name,this.url,this.params,this.getOptions()));b=OpenLayers.Layer.Grid.prototype.clone.apply(this,[b]);null!=this.tileSize&&(b.tileSize=this.tileSize.clone());b.grid=[];return b},getTileBounds:function(f){var e=this.getResolution(),h=e*this.tileSize.w,e=e*this.tileSize.h,g=this.getLonLatFromViewPortPx(f);f=h*Math.floor(g.lon/h);g=e*Math.floor(g.lat/e);return new OpenLayers.Bounds(f,g,f+h,g+e)},CLASS_NAME:"OpenLayers.Layer.KaMap"});OpenLayers.Format.WMC.v1_1_0=OpenLayers.Class(OpenLayers.Format.WMC.v1,{VERSION:"1.1.0",schemaLocation:"http://www.opengis.net/context http://schemas.opengis.net/context/1.1.0/context.xsd",initialize:function(b){OpenLayers.Format.WMC.v1.prototype.initialize.apply(this,[b])},read_sld_MinScaleDenominator:function(e,d){var f=parseFloat(this.getChildValue(d));0<f&&(e.maxScale=f)},read_sld_MaxScaleDenominator:function(d,c){d.minScale=parseFloat(this.getChildValue(c))},read_wmc_SRS:function(d,c){"srs" in d||(d.srs={});d.srs[this.getChildValue(c)]=!0},write_wmc_Layer:function(f){var e=OpenLayers.Format.WMC.v1.prototype.write_wmc_Layer.apply(this,[f]);if(f.maxScale){var h=this.createElementNS(this.namespaces.sld,"sld:MinScaleDenominator");h.appendChild(this.createTextNode(f.maxScale.toPrecision(16)));e.appendChild(h)}f.minScale&&(h=this.createElementNS(this.namespaces.sld,"sld:MaxScaleDenominator"),h.appendChild(this.createTextNode(f.minScale.toPrecision(16))),e.appendChild(h));if(f.srs){for(var g in f.srs){e.appendChild(this.createElementDefaultNS("SRS",g))}}e.appendChild(this.write_wmc_FormatList(f));e.appendChild(this.write_wmc_StyleList(f));f.dimensions&&e.appendChild(this.write_wmc_DimensionList(f));e.appendChild(this.write_wmc_LayerExtension(f));return e},CLASS_NAME:"OpenLayers.Format.WMC.v1_1_0"});OpenLayers.Format.XLS=OpenLayers.Class(OpenLayers.Format.XML.VersionedOGC,{defaultVersion:"1.1.0",stringifyOutput:!0,CLASS_NAME:"OpenLayers.Format.XLS"});OpenLayers.Format.XLS.v1=OpenLayers.Class(OpenLayers.Format.XML,{namespaces:{xls:"http://www.opengis.net/xls",gml:"http://www.opengis.net/gml",xsi:"http://www.w3.org/2001/XMLSchema-instance"},regExes:{trimSpace:/^\s*|\s*$/g,removeSpace:/\s*/g,splitSpace:/\s+/,trimComma:/\s*,\s*/g},xy:!0,defaultPrefix:"xls",schemaLocation:null,read:function(e,d){OpenLayers.Util.applyDefaults(d,this.options);var f={};this.readChildNodes(e,f);return f},readers:{xls:{XLS:function(d,c){c.version=d.getAttribute("version");this.readChildNodes(d,c)},Response:function(d,c){this.readChildNodes(d,c)},GeocodeResponse:function(d,c){c.responseLists=[];this.readChildNodes(d,c)},GeocodeResponseList:function(e,d){var f={features:[],numberOfGeocodedAddresses:parseInt(e.getAttribute("numberOfGeocodedAddresses"))};d.responseLists.push(f);this.readChildNodes(e,f)},GeocodedAddress:function(e,d){var f=new OpenLayers.Feature.Vector;d.features.push(f);this.readChildNodes(e,f);f.geometry=f.components[0]},GeocodeMatchCode:function(d,c){c.attributes.matchCode={accuracy:parseFloat(d.getAttribute("accuracy")),matchType:d.getAttribute("matchType")}},Address:function(e,d){var f={countryCode:e.getAttribute("countryCode"),addressee:e.getAttribute("addressee"),street:[],place:[]};d.attributes.address=f;this.readChildNodes(e,f)},freeFormAddress:function(d,c){c.freeFormAddress=this.getChildValue(d)},StreetAddress:function(d,c){this.readChildNodes(d,c)},Building:function(d,c){c.building={number:d.getAttribute("number"),subdivision:d.getAttribute("subdivision"),buildingName:d.getAttribute("buildingName")}},Street:function(d,c){c.street.push(this.getChildValue(d))},Place:function(d,c){c.place[d.getAttribute("type")]=this.getChildValue(d)},PostalCode:function(d,c){c.postalCode=this.getChildValue(d)}},gml:OpenLayers.Format.GML.v3.prototype.readers.gml},write:function(b){return this.writers.xls.XLS.apply(this,[b])},writers:{xls:{XLS:function(d){var c=this.createElementNSPlus("xls:XLS",{attributes:{version:this.VERSION,"xsi:schemaLocation":this.schemaLocation}});this.writeNode("RequestHeader",d.header,c);this.writeNode("Request",d,c);return c},RequestHeader:function(b){return this.createElementNSPlus("xls:RequestHeader")},Request:function(d){var c=this.createElementNSPlus("xls:Request",{attributes:{methodName:"GeocodeRequest",requestID:d.requestID||"",version:this.VERSION}});this.writeNode("GeocodeRequest",d.addresses,c);return c},GeocodeRequest:function(f){for(var e=this.createElementNSPlus("xls:GeocodeRequest"),h=0,g=f.length;h<g;h++){this.writeNode("Address",f[h],e)}return e},Address:function(d){var c=this.createElementNSPlus("xls:Address",{attributes:{countryCode:d.countryCode}});d.freeFormAddress?this.writeNode("freeFormAddress",d.freeFormAddress,c):(d.street&&this.writeNode("StreetAddress",d,c),d.municipality&&this.writeNode("Municipality",d.municipality,c),d.countrySubdivision&&this.writeNode("CountrySubdivision",d.countrySubdivision,c),d.postalCode&&this.writeNode("PostalCode",d.postalCode,c));return c},freeFormAddress:function(b){return this.createElementNSPlus("freeFormAddress",{value:b})},StreetAddress:function(f){var e=this.createElementNSPlus("xls:StreetAddress");f.building&&this.writeNode(e,"Building",f.building);f=f.street;OpenLayers.Util.isArray(f)||(f=[f]);for(var h=0,g=f.length;h<g;h++){this.writeNode("Street",f[h],e)}return e},Building:function(b){return this.createElementNSPlus("xls:Building",{attributes:{number:b.number,subdivision:b.subdivision,buildingName:b.buildingName}})},Street:function(b){return this.createElementNSPlus("xls:Street",{value:b})},Municipality:function(b){return this.createElementNSPlus("xls:Place",{attributes:{type:"Municipality"},value:b})},CountrySubdivision:function(b){return this.createElementNSPlus("xls:Place",{attributes:{type:"CountrySubdivision"},value:b})},PostalCode:function(b){return this.createElementNSPlus("xls:PostalCode",{value:b})}}},CLASS_NAME:"OpenLayers.Format.XLS.v1"});OpenLayers.Format.XLS.v1_1_0=OpenLayers.Class(OpenLayers.Format.XLS.v1,{VERSION:"1.1",schemaLocation:"http://www.opengis.net/xls http://schemas.opengis.net/ols/1.1.0/LocationUtilityService.xsd",CLASS_NAME:"OpenLayers.Format.XLS.v1_1_0"});OpenLayers.Format.XLS.v1_1=OpenLayers.Format.XLS.v1_1_0;OpenLayers.Renderer.SVG=OpenLayers.Class(OpenLayers.Renderer.Elements,{xmlns:"http://www.w3.org/2000/svg",xlinkns:"http://www.w3.org/1999/xlink",MAX_PIXEL:15000,translationParameters:null,symbolMetrics:null,initialize:function(b){this.supported()&&(OpenLayers.Renderer.Elements.prototype.initialize.apply(this,arguments),this.translationParameters={x:0,y:0},this.symbolMetrics={})},supported:function(){return document.implementation&&(document.implementation.hasFeature("org.w3c.svg","1.0")||document.implementation.hasFeature("http://www.w3.org/TR/SVG11/feature#SVG","1.1")||document.implementation.hasFeature("http://www.w3.org/TR/SVG11/feature#BasicStructure","1.1"))},inValidRange:function(e,d,f){e+=f?0:this.translationParameters.x;d+=f?0:this.translationParameters.y;return e>=-this.MAX_PIXEL&&e<=this.MAX_PIXEL&&d>=-this.MAX_PIXEL&&d<=this.MAX_PIXEL},setExtent:function(g,f){var j=OpenLayers.Renderer.Elements.prototype.setExtent.apply(this,arguments),i=this.getResolution(),h=-g.left/i,i=g.top/i;if(f){return this.left=h,this.top=i,this.rendererRoot.setAttributeNS(null,"viewBox","0 0 "+this.size.w+" "+this.size.h),this.translate(this.xOffset,0),!0}(h=this.translate(h-this.left+this.xOffset,i-this.top))||this.setExtent(g,!0);return j&&h},translate:function(e,d){if(this.inValidRange(e,d,!0)){var f="";if(e||d){f="translate("+e+","+d+")"}this.root.setAttributeNS(null,"transform",f);this.translationParameters={x:e,y:d};return !0}return !1},setSize:function(b){OpenLayers.Renderer.prototype.setSize.apply(this,arguments);this.rendererRoot.setAttributeNS(null,"width",this.size.w);this.rendererRoot.setAttributeNS(null,"height",this.size.h)},getNodeType:function(e,d){var f=null;switch(e.CLASS_NAME){case"OpenLayers.Geometry.Point":f=d.externalGraphic?"image":this.isComplexSymbol(d.graphicName)?"svg":"circle";break;case"OpenLayers.Geometry.Rectangle":f="rect";break;case"OpenLayers.Geometry.LineString":f="polyline";break;case"OpenLayers.Geometry.LinearRing":f="polygon";break;case"OpenLayers.Geometry.Polygon":case"OpenLayers.Geometry.Curve":f="path"}return f},setStyle:function(t,s,r){s=s||t._style;r=r||t._options;var q=s.title||s.graphicTitle;if(q){t.setAttributeNS(null,"title",q);var p=t.getElementsByTagName("title");0<p.length?p[0].firstChild.textContent=q:(p=this.nodeFactory(null,"title"),p.textContent=q,t.appendChild(p))}var p=parseFloat(t.getAttributeNS(null,"r")),q=1,o;if("OpenLayers.Geometry.Point"==t._geometryClass&&p){t.style.visibility="";if(!1===s.graphic){t.style.visibility="hidden"}else{if(s.externalGraphic){o=this.getPosition(t);s.graphicWidth&&s.graphicHeight&&t.setAttributeNS(null,"preserveAspectRatio","none");var p=s.graphicWidth||s.graphicHeight,n=s.graphicHeight||s.graphicWidth,p=p?p:2*s.pointRadius,n=n?n:2*s.pointRadius,m=void 0!=s.graphicYOffset?s.graphicYOffset:-(0.5*n),j=s.graphicOpacity||s.fillOpacity;t.setAttributeNS(null,"x",(o.x+(void 0!=s.graphicXOffset?s.graphicXOffset:-(0.5*p))).toFixed());t.setAttributeNS(null,"y",(o.y+m).toFixed());t.setAttributeNS(null,"width",p);t.setAttributeNS(null,"height",n);t.setAttributeNS(this.xlinkns,"xlink:href",s.externalGraphic);t.setAttributeNS(null,"style","opacity: "+j);t.onclick=OpenLayers.Event.preventDefault}else{if(this.isComplexSymbol(s.graphicName)){var p=3*s.pointRadius,n=2*p,i=this.importSymbol(s.graphicName);o=this.getPosition(t);q=3*this.symbolMetrics[i.id][0]/n;m=t.parentNode;j=t.nextSibling;m&&m.removeChild(t);t.firstChild&&t.removeChild(t.firstChild);t.appendChild(i.firstChild.cloneNode(!0));t.setAttributeNS(null,"viewBox",i.getAttributeNS(null,"viewBox"));t.setAttributeNS(null,"width",n);t.setAttributeNS(null,"height",n);t.setAttributeNS(null,"x",o.x-p);t.setAttributeNS(null,"y",o.y-p);j?m.insertBefore(t,j):m&&m.appendChild(t)}else{t.setAttributeNS(null,"r",s.pointRadius)}}}p=s.rotation;void 0===p&&void 0===t._rotation||!o||(t._rotation=p,p|=0,"svg"!==t.nodeName?t.setAttributeNS(null,"transform","rotate("+p+" "+o.x+" "+o.y+")"):(o=this.symbolMetrics[i.id],t.firstChild.setAttributeNS(null,"transform","rotate("+p+" "+o[1]+" "+o[2]+")")))}r.isFilled?(t.setAttributeNS(null,"fill",s.fillColor),t.setAttributeNS(null,"fill-opacity",s.fillOpacity)):t.setAttributeNS(null,"fill","none");r.isStroked?(t.setAttributeNS(null,"stroke",s.strokeColor),t.setAttributeNS(null,"stroke-opacity",s.strokeOpacity),t.setAttributeNS(null,"stroke-width",s.strokeWidth*q),t.setAttributeNS(null,"stroke-linecap",s.strokeLinecap||"round"),t.setAttributeNS(null,"stroke-linejoin","round"),s.strokeDashstyle&&t.setAttributeNS(null,"stroke-dasharray",this.dashStyle(s,q))):t.setAttributeNS(null,"stroke","none");s.pointerEvents&&t.setAttributeNS(null,"pointer-events",s.pointerEvents);null!=s.cursor&&t.setAttributeNS(null,"cursor",s.cursor);return t},dashStyle:function(f,e){var h=f.strokeWidth*e,g=f.strokeDashstyle;switch(g){case"solid":return"none";case"dot":return[1,4*h].join();case"dash":return[4*h,4*h].join();case"dashdot":return[4*h,4*h,1,4*h].join();case"longdash":return[8*h,4*h].join();case"longdashdot":return[8*h,4*h,1,4*h].join();default:return OpenLayers.String.trim(g).replace(/\s+/g,",")}},createNode:function(e,d){var f=document.createElementNS(this.xmlns,e);d&&f.setAttributeNS(null,"id",d);return f},nodeTypeCompare:function(d,c){return c==d.nodeName},createRenderRoot:function(){var b=this.nodeFactory(this.container.id+"_svgRoot","svg");b.style.display="block";return b},createRoot:function(b){return this.nodeFactory(this.container.id+b,"g")},createDefs:function(){var b=this.nodeFactory(this.container.id+"_defs","defs");this.rendererRoot.appendChild(b);return b},drawPoint:function(d,c){return this.drawCircle(d,c,1)},drawCircle:function(g,f,j){var i=this.getResolution(),h=(f.x-this.featureDx)/i+this.left;f=this.top-f.y/i;return this.inValidRange(h,f)?(g.setAttributeNS(null,"cx",h),g.setAttributeNS(null,"cy",f),g.setAttributeNS(null,"r",j),g):!1},drawLineString:function(e,d){var f=this.getComponentsString(d.components);return f.path?(e.setAttributeNS(null,"points",f.path),f.complete?e:null):!1},drawLinearRing:function(e,d){var f=this.getComponentsString(d.components);return f.path?(e.setAttributeNS(null,"points",f.path),f.complete?e:null):!1},drawPolygon:function(r,q){for(var p="",o=!0,n=!0,m,l,j=0,i=q.components.length;j<i;j++){p+=" M",m=this.getComponentsString(q.components[j].components," "),(l=m.path)?(p+=" "+l,n=m.complete&&n):o=!1}return o?(r.setAttributeNS(null,"d",p+" z"),r.setAttributeNS(null,"fill-rule","evenodd"),n?r:null):!1},drawRectangle:function(g,f){var j=this.getResolution(),i=(f.x-this.featureDx)/j+this.left,h=this.top-f.y/j;return this.inValidRange(i,h)?(g.setAttributeNS(null,"x",i),g.setAttributeNS(null,"y",h),g.setAttributeNS(null,"width",f.width/j),g.setAttributeNS(null,"height",f.height/j),g):!1},drawText:function(x,w,v){var u=!!w.labelOutlineWidth;if(u){var t=OpenLayers.Util.extend({},w);t.fontColor=t.labelOutlineColor;t.fontStrokeColor=t.labelOutlineColor;t.fontStrokeWidth=w.labelOutlineWidth;w.labelOutlineOpacity&&(t.fontOpacity=w.labelOutlineOpacity);delete t.labelOutlineWidth;this.drawText(x,t,v)}var s=this.getResolution(),t=(v.x-this.featureDx)/s+this.left,r=v.y/s-this.top,u=u?this.LABEL_OUTLINE_SUFFIX:this.LABEL_ID_SUFFIX,s=this.nodeFactory(x+u,"text");s.setAttributeNS(null,"x",t);s.setAttributeNS(null,"y",-r);w.fontColor&&s.setAttributeNS(null,"fill",w.fontColor);w.fontStrokeColor&&s.setAttributeNS(null,"stroke",w.fontStrokeColor);w.fontStrokeWidth&&s.setAttributeNS(null,"stroke-width",w.fontStrokeWidth);w.fontOpacity&&s.setAttributeNS(null,"opacity",w.fontOpacity);w.fontFamily&&s.setAttributeNS(null,"font-family",w.fontFamily);w.fontSize&&s.setAttributeNS(null,"font-size",w.fontSize);w.fontWeight&&s.setAttributeNS(null,"font-weight",w.fontWeight);w.fontStyle&&s.setAttributeNS(null,"font-style",w.fontStyle);!0===w.labelSelect?(s.setAttributeNS(null,"pointer-events","visible"),s._featureId=x):s.setAttributeNS(null,"pointer-events","none");r=w.labelAlign||OpenLayers.Renderer.defaultSymbolizer.labelAlign;s.setAttributeNS(null,"text-anchor",OpenLayers.Renderer.SVG.LABEL_ALIGN[r[0]]||"middle");!0===OpenLayers.IS_GECKO&&s.setAttributeNS(null,"dominant-baseline",OpenLayers.Renderer.SVG.LABEL_ALIGN[r[1]]||"central");for(var q=w.label.split("\n"),p=q.length;s.childNodes.length>p;){s.removeChild(s.lastChild)}for(var o=0;o<p;o++){var j=this.nodeFactory(x+u+"_tspan_"+o,"tspan");!0===w.labelSelect&&(j._featureId=x,j._geometry=v,j._geometryClass=v.CLASS_NAME);!1===OpenLayers.IS_GECKO&&j.setAttributeNS(null,"baseline-shift",OpenLayers.Renderer.SVG.LABEL_VSHIFT[r[1]]||"-35%");j.setAttribute("x",t);if(0==o){var i=OpenLayers.Renderer.SVG.LABEL_VFACTOR[r[1]];null==i&&(i=-0.5);j.setAttribute("dy",i*(p-1)+"em")}else{j.setAttribute("dy","1em")}j.textContent=""===q[o]?" ":q[o];j.parentNode||s.appendChild(j)}s.parentNode||this.textRoot.appendChild(s)},getComponentsString:function(j,i){for(var p=[],o=!0,n=j.length,m=[],l,k=0;k<n;k++){l=j[k],p.push(l),(l=this.getShortString(l))?m.push(l):(0<k&&this.getShortString(j[k-1])&&m.push(this.clipLine(j[k],j[k-1])),k<n-1&&this.getShortString(j[k+1])&&m.push(this.clipLine(j[k],j[k+1])),o=!1)}return{path:m.join(i||","),complete:o}},clipLine:function(r,q){if(q.equals(r)){return""}var p=this.getResolution(),o=this.MAX_PIXEL-this.translationParameters.x,n=this.MAX_PIXEL-this.translationParameters.y,m=(q.x-this.featureDx)/p+this.left,l=this.top-q.y/p,j=(r.x-this.featureDx)/p+this.left,p=this.top-r.y/p,i;if(j<-o||j>o){i=(p-l)/(j-m),j=0>j?-o:o,p=l+(j-m)*i}if(p<-n||p>n){i=(j-m)/(p-l),p=0>p?-n:n,j=m+(p-l)*i}return j+","+p},getShortString:function(e){var d=this.getResolution(),f=(e.x-this.featureDx)/d+this.left;e=this.top-e.y/d;return this.inValidRange(f,e)?f+","+e:!1},getPosition:function(b){return{x:parseFloat(b.getAttributeNS(null,"cx")),y:parseFloat(b.getAttributeNS(null,"cy"))}},importSymbol:function(r){this.defs||(this.defs=this.createDefs());var q=this.container.id+"-"+r,p=document.getElementById(q);if(null!=p){return p}var o=OpenLayers.Renderer.symbol[r];if(!o){throw Error(r+" is not a valid symbol name")}r=this.nodeFactory(q,"symbol");var n=this.nodeFactory(null,"polygon");r.appendChild(n);for(var p=new OpenLayers.Bounds(Number.MAX_VALUE,Number.MAX_VALUE,0,0),m=[],l,j,i=0;i<o.length;i+=2){l=o[i],j=o[i+1],p.left=Math.min(p.left,l),p.bottom=Math.min(p.bottom,j),p.right=Math.max(p.right,l),p.top=Math.max(p.top,j),m.push(l,",",j)}n.setAttributeNS(null,"points",m.join(" "));o=p.getWidth();n=p.getHeight();r.setAttributeNS(null,"viewBox",[p.left-o,p.bottom-n,3*o,3*n].join(" "));this.symbolMetrics[q]=[Math.max(o,n),p.getCenterLonLat().lon,p.getCenterLonLat().lat];this.defs.appendChild(r);return r},getFeatureIdFromEvent:function(d){var c=OpenLayers.Renderer.Elements.prototype.getFeatureIdFromEvent.apply(this,arguments);c||(c=d.target,c=c.parentNode&&c!=this.rendererRoot?c.parentNode._featureId:void 0);return c},CLASS_NAME:"OpenLayers.Renderer.SVG"});OpenLayers.Renderer.SVG.LABEL_ALIGN={l:"start",r:"end",b:"bottom",t:"hanging"};OpenLayers.Renderer.SVG.LABEL_VSHIFT={t:"-70%",b:"0"};OpenLayers.Renderer.SVG.LABEL_VFACTOR={t:0,b:-1};OpenLayers.Renderer.SVG.preventDefault=function(b){OpenLayers.Event.preventDefault(b)};OpenLayers.Format.SLD.v1_0_0=OpenLayers.Class(OpenLayers.Format.SLD.v1,{VERSION:"1.0.0",schemaLocation:"http://www.opengis.net/sld http://schemas.opengis.net/sld/1.0.0/StyledLayerDescriptor.xsd",CLASS_NAME:"OpenLayers.Format.SLD.v1_0_0"});OpenLayers.Format.OWSContext=OpenLayers.Class(OpenLayers.Format.Context,{defaultVersion:"0.3.1",getVersion:function(e,d){var f=OpenLayers.Format.XML.VersionedOGC.prototype.getVersion.apply(this,arguments);"0.3.0"===f&&(f=this.defaultVersion);return f},toContext:function(d){var c={};"OpenLayers.Map"==d.CLASS_NAME&&(c.bounds=d.getExtent(),c.maxExtent=d.maxExtent,c.projection=d.projection,c.size=d.getSize(),c.layers=d.layers);return c},CLASS_NAME:"OpenLayers.Format.OWSContext"});OpenLayers.Format.OWSContext.v0_3_1=OpenLayers.Class(OpenLayers.Format.XML,{namespaces:{owc:"http://www.opengis.net/ows-context",gml:"http://www.opengis.net/gml",kml:"http://www.opengis.net/kml/2.2",ogc:"http://www.opengis.net/ogc",ows:"http://www.opengis.net/ows",sld:"http://www.opengis.net/sld",xlink:"http://www.w3.org/1999/xlink",xsi:"http://www.w3.org/2001/XMLSchema-instance"},VERSION:"0.3.1",schemaLocation:"http://www.opengis.net/ows-context http://www.ogcnetwork.net/schemas/owc/0.3.1/owsContext.xsd",defaultPrefix:"owc",extractAttributes:!0,xy:!0,regExes:{trimSpace:/^\s*|\s*$/g,removeSpace:/\s*/g,splitSpace:/\s+/,trimComma:/\s*,\s*/g},featureNS:"http://mapserver.gis.umn.edu/mapserver",featureType:"vector",geometryName:"geometry",nestingLayerLookup:null,initialize:function(b){OpenLayers.Format.XML.prototype.initialize.apply(this,[b]);OpenLayers.Format.GML.v2.prototype.setGeometryTypes.call(this)},setNestingPath:function(h){if(h.layersContext){for(var g=0,l=h.layersContext.length;g<l;g++){var k=h.layersContext[g],j=[],i=h.title||"";h.metadata&&h.metadata.nestingPath&&(j=h.metadata.nestingPath.slice());""!=i&&j.push(i);k.metadata.nestingPath=j;k.layersContext&&this.setNestingPath(k)}}},decomposeNestingPath:function(d){var c=[];if(OpenLayers.Util.isArray(d)){for(d=d.slice();0<d.length;){c.push(d.slice()),d.pop()}c.reverse()}return c},read:function(d){"string"==typeof d&&(d=OpenLayers.Format.XML.prototype.read.apply(this,[d]));d&&9==d.nodeType&&(d=d.documentElement);var c={};this.readNode(d,c);this.setNestingPath({layersContext:c.layersContext});d=[];this.processLayer(d,c);delete c.layersContext;c.layersContext=d;return c},processLayer:function(g,f){if(f.layersContext){for(var j=0,i=f.layersContext.length;j<i;j++){var h=f.layersContext[j];g.push(h);h.layersContext&&this.processLayer(g,h)}}},write:function(e,d){this.nestingLayerLookup={};d=d||{};OpenLayers.Util.applyDefaults(d,e);var f=this.writeNode("OWSContext",d);this.nestingLayerLookup=null;this.setAttributeNS(f,this.namespaces.xsi,"xsi:schemaLocation",this.schemaLocation);return OpenLayers.Format.XML.prototype.write.apply(this,[f])},readers:{kml:{Document:function(d,c){c.features=(new OpenLayers.Format.KML({kmlns:this.namespaces.kml,extractStyles:!0})).read(d)}},owc:{OWSContext:function(d,c){this.readChildNodes(d,c)},General:function(d,c){this.readChildNodes(d,c)},ResourceList:function(d,c){this.readChildNodes(d,c)},Layer:function(e,d){var f={metadata:{},visibility:"1"!=e.getAttribute("hidden"),queryable:"1"==e.getAttribute("queryable"),opacity:null!=e.getAttribute("opacity")?parseFloat(e.getAttribute("opacity")):null,name:e.getAttribute("name"),categoryLayer:null==e.getAttribute("name"),formats:[],styles:[]};d.layersContext||(d.layersContext=[]);d.layersContext.push(f);this.readChildNodes(e,f)},InlineGeometry:function(f,e){e.features=[];var h=this.getElementsByTagNameNS(f,this.namespaces.gml,"featureMember"),g;1<=h.length&&(g=h[0]);g&&g.firstChild&&(h=g.firstChild.nextSibling?g.firstChild.nextSibling:g.firstChild,this.setNamespace("feature",h.namespaceURI),this.featureType=h.localName||h.nodeName.split(":").pop(),this.readChildNodes(f,e))},Server:function(d,c){if(!c.service&&!c.version||c.service!=OpenLayers.Format.Context.serviceTypes.WMS){c.service=d.getAttribute("service"),c.version=d.getAttribute("version"),this.readChildNodes(d,c)}},Name:function(d,c){c.name=this.getChildValue(d);this.readChildNodes(d,c)},Title:function(d,c){c.title=this.getChildValue(d);this.readChildNodes(d,c)},StyleList:function(d,c){this.readChildNodes(d,c.styles)},Style:function(e,d){var f={};d.push(f);this.readChildNodes(e,f)},LegendURL:function(e,d){var f={};d.legend=f;this.readChildNodes(e,f)},OnlineResource:function(d,c){c.url=this.getAttributeNS(d,this.namespaces.xlink,"href");this.readChildNodes(d,c)}},ows:OpenLayers.Format.OWSCommon.v1_0_0.prototype.readers.ows,gml:OpenLayers.Format.GML.v2.prototype.readers.gml,sld:OpenLayers.Format.SLD.v1_0_0.prototype.readers.sld,feature:OpenLayers.Format.GML.v2.prototype.readers.feature},writers:{owc:{OWSContext:function(d){var c=this.createElementNSPlus("OWSContext",{attributes:{version:this.VERSION,id:d.id||OpenLayers.Util.createUniqueID("OpenLayers_OWSContext_")}});this.writeNode("General",d,c);this.writeNode("ResourceList",d,c);return c},General:function(d){var c=this.createElementNSPlus("General");this.writeNode("ows:BoundingBox",d,c);this.writeNode("ows:Title",d.title||"OpenLayers OWSContext",c);return c},ResourceList:function(h){for(var g=this.createElementNSPlus("ResourceList"),l=0,k=h.layers.length;l<k;l++){var j=h.layers[l],i=this.decomposeNestingPath(j.metadata.nestingPath);this.writeNode("_Layer",{layer:j,subPaths:i},g)}return g},Server:function(d){var c=this.createElementNSPlus("Server",{attributes:{version:d.version,service:d.service}});this.writeNode("OnlineResource",d,c);return c},OnlineResource:function(b){return this.createElementNSPlus("OnlineResource",{attributes:{"xlink:href":b.url}})},InlineGeometry:function(f){var e=this.createElementNSPlus("InlineGeometry"),h=f.getDataExtent();null!==h&&this.writeNode("gml:boundedBy",h,e);for(var h=0,g=f.features.length;h<g;h++){this.writeNode("gml:featureMember",f.features[h],e)}return e},StyleList:function(f){for(var e=this.createElementNSPlus("StyleList"),h=0,g=f.length;h<g;h++){this.writeNode("Style",f[h],e)}return e},Style:function(d){var c=this.createElementNSPlus("Style");this.writeNode("Name",d,c);this.writeNode("Title",d,c);d.legend&&this.writeNode("LegendURL",d,c);return c},Name:function(b){return this.createElementNSPlus("Name",{value:b.name})},Title:function(b){return this.createElementNSPlus("Title",{value:b.title})},LegendURL:function(d){var c=this.createElementNSPlus("LegendURL");this.writeNode("OnlineResource",d.legend,c);return c},_WMS:function(d){var c=this.createElementNSPlus("Layer",{attributes:{name:d.params.LAYERS,queryable:d.queryable?"1":"0",hidden:d.visibility?"0":"1",opacity:d.hasOwnProperty("opacity")?d.opacity:null}});this.writeNode("ows:Title",d.name,c);this.writeNode("ows:OutputFormat",d.params.FORMAT,c);this.writeNode("Server",{service:OpenLayers.Format.Context.serviceTypes.WMS,version:d.params.VERSION,url:d.url},c);d.metadata.styles&&0<d.metadata.styles.length&&this.writeNode("StyleList",d.metadata.styles,c);return c},_Layer:function(f){var e,h,g;e=f.layer;h=f.subPaths;g=null;0<h.length?(e=h[0].join("/"),h=e.lastIndexOf("/"),g=this.nestingLayerLookup[e],h=0<h?e.substring(h+1,e.length):e,g||(g=this.createElementNSPlus("Layer"),this.writeNode("ows:Title",h,g),this.nestingLayerLookup[e]=g),f.subPaths.shift(),this.writeNode("_Layer",f,g)):(e instanceof OpenLayers.Layer.WMS?g=this.writeNode("_WMS",e):e instanceof OpenLayers.Layer.Vector&&(e.protocol instanceof OpenLayers.Protocol.WFS.v1?g=this.writeNode("_WFS",e):e.protocol instanceof OpenLayers.Protocol.HTTP?e.protocol.format instanceof OpenLayers.Format.GML?(e.protocol.format.version="2.1.2",g=this.writeNode("_GML",e)):e.protocol.format instanceof OpenLayers.Format.KML&&(e.protocol.format.version="2.2",g=this.writeNode("_KML",e)):(this.setNamespace("feature",this.featureNS),g=this.writeNode("_InlineGeometry",e))),e.options.maxScale&&this.writeNode("sld:MinScaleDenominator",e.options.maxScale,g),e.options.minScale&&this.writeNode("sld:MaxScaleDenominator",e.options.minScale,g),this.nestingLayerLookup[e.name]=g);return g},_WFS:function(d){var c=this.createElementNSPlus("Layer",{attributes:{name:d.protocol.featurePrefix+":"+d.protocol.featureType,hidden:d.visibility?"0":"1"}});this.writeNode("ows:Title",d.name,c);this.writeNode("Server",{service:OpenLayers.Format.Context.serviceTypes.WFS,version:d.protocol.version,url:d.protocol.url},c);return c},_InlineGeometry:function(d){var c=this.createElementNSPlus("Layer",{attributes:{name:this.featureType,hidden:d.visibility?"0":"1"}});this.writeNode("ows:Title",d.name,c);this.writeNode("InlineGeometry",d,c);return c},_GML:function(d){var c=this.createElementNSPlus("Layer");this.writeNode("ows:Title",d.name,c);this.writeNode("Server",{service:OpenLayers.Format.Context.serviceTypes.GML,url:d.protocol.url,version:d.protocol.format.version},c);return c},_KML:function(d){var c=this.createElementNSPlus("Layer");this.writeNode("ows:Title",d.name,c);this.writeNode("Server",{service:OpenLayers.Format.Context.serviceTypes.KML,version:d.protocol.format.version,url:d.protocol.url},c);return c}},gml:OpenLayers.Util.applyDefaults({boundedBy:function(d){var c=this.createElementNSPlus("gml:boundedBy");this.writeNode("gml:Box",d,c);return c}},OpenLayers.Format.GML.v2.prototype.writers.gml),ows:OpenLayers.Format.OWSCommon.v1_0_0.prototype.writers.ows,sld:OpenLayers.Format.SLD.v1_0_0.prototype.writers.sld,feature:OpenLayers.Format.GML.v2.prototype.writers.feature},CLASS_NAME:"OpenLayers.Format.OWSContext.v0_3_1"});OpenLayers.Popup=OpenLayers.Class({events:null,id:"",lonlat:null,div:null,contentSize:null,size:null,contentHTML:null,backgroundColor:"",opacity:"",border:"",contentDiv:null,groupDiv:null,closeDiv:null,autoSize:!1,minSize:null,maxSize:null,displayClass:"olPopup",contentDisplayClass:"olPopupContent",padding:0,disableFirefoxOverflowHack:!1,fixPadding:function(){"number"==typeof this.padding&&(this.padding=new OpenLayers.Bounds(this.padding,this.padding,this.padding,this.padding))},panMapIfOutOfView:!1,keepInMap:!1,closeOnMove:!1,map:null,initialize:function(h,g,l,k,j,i){null==h&&(h=OpenLayers.Util.createUniqueID(this.CLASS_NAME+"_"));this.id=h;this.lonlat=g;this.contentSize=null!=l?l:new OpenLayers.Size(OpenLayers.Popup.WIDTH,OpenLayers.Popup.HEIGHT);null!=k&&(this.contentHTML=k);this.backgroundColor=OpenLayers.Popup.COLOR;this.opacity=OpenLayers.Popup.OPACITY;this.border=OpenLayers.Popup.BORDER;this.div=OpenLayers.Util.createDiv(this.id,null,null,null,null,null,"hidden");this.div.className=this.displayClass;this.groupDiv=OpenLayers.Util.createDiv(this.id+"_GroupDiv",null,null,null,"relative",null,"hidden");h=this.div.id+"_contentDiv";this.contentDiv=OpenLayers.Util.createDiv(h,null,this.contentSize.clone(),null,"relative");this.contentDiv.className=this.contentDisplayClass;this.groupDiv.appendChild(this.contentDiv);this.div.appendChild(this.groupDiv);j&&this.addCloseBox(i);this.registerEvents()},destroy:function(){this.border=this.opacity=this.backgroundColor=this.contentHTML=this.size=this.lonlat=this.id=null;this.closeOnMove&&this.map&&this.map.events.unregister("movestart",this,this.hide);this.events.destroy();this.events=null;this.closeDiv&&(OpenLayers.Event.stopObservingElement(this.closeDiv),this.groupDiv.removeChild(this.closeDiv));this.closeDiv=null;this.div.removeChild(this.groupDiv);this.groupDiv=null;null!=this.map&&this.map.removePopup(this);this.panMapIfOutOfView=this.padding=this.maxSize=this.minSize=this.autoSize=this.div=this.map=null},draw:function(b){null==b&&null!=this.lonlat&&null!=this.map&&(b=this.map.getLayerPxFromLonLat(this.lonlat));this.closeOnMove&&this.map.events.register("movestart",this,this.hide);this.disableFirefoxOverflowHack||"firefox"!=OpenLayers.BROWSER_NAME||(this.map.events.register("movestart",this,function(){var c=document.defaultView.getComputedStyle(this.contentDiv,null).getPropertyValue("overflow");"hidden"!=c&&(this.contentDiv._oldOverflow=c,this.contentDiv.style.overflow="hidden")}),this.map.events.register("moveend",this,function(){var c=this.contentDiv._oldOverflow;c&&(this.contentDiv.style.overflow=c,this.contentDiv._oldOverflow=null)}));this.moveTo(b);this.autoSize||this.size||this.setSize(this.contentSize);this.setBackgroundColor();this.setOpacity();this.setBorder();this.setContentHTML();this.panMapIfOutOfView&&this.panIntoView();return this.div},updatePosition:function(){if(this.lonlat&&this.map){var b=this.map.getLayerPxFromLonLat(this.lonlat);b&&this.moveTo(b)}},moveTo:function(b){null!=b&&null!=this.div&&(this.div.style.left=b.x+"px",this.div.style.top=b.y+"px")},visible:function(){return OpenLayers.Element.visible(this.div)},toggle:function(){this.visible()?this.hide():this.show()},show:function(){this.div.style.display="";this.panMapIfOutOfView&&this.panIntoView()},hide:function(){this.div.style.display="none"},setSize:function(g){this.size=g.clone();var f=this.getContentDivPadding(),j=f.left+f.right,i=f.top+f.bottom;this.fixPadding();j+=this.padding.left+this.padding.right;i+=this.padding.top+this.padding.bottom;if(this.closeDiv){var h=parseInt(this.closeDiv.style.width),j=j+(h+f.right)}this.size.w+=j;this.size.h+=i;"msie"==OpenLayers.BROWSER_NAME&&(this.contentSize.w+=f.left+f.right,this.contentSize.h+=f.bottom+f.top);null!=this.div&&(this.div.style.width=this.size.w+"px",this.div.style.height=this.size.h+"px");null!=this.contentDiv&&(this.contentDiv.style.width=g.w+"px",this.contentDiv.style.height=g.h+"px")},updateSize:function(){var g="<div class='"+this.contentDisplayClass+"'>"+this.contentDiv.innerHTML+"</div>",f=this.map?this.map.div:document.body,j=OpenLayers.Util.getRenderedDimensions(g,null,{displayClass:this.displayClass,containerElement:f}),i=this.getSafeContentSize(j),h=null;i.equals(j)?h=j:(j={w:i.w<j.w?i.w:null,h:i.h<j.h?i.h:null},j.w&&j.h?h=i:(g=OpenLayers.Util.getRenderedDimensions(g,j,{displayClass:this.contentDisplayClass,containerElement:f}),"hidden"!=OpenLayers.Element.getStyle(this.contentDiv,"overflow")&&g.equals(i)&&(i=OpenLayers.Util.getScrollbarWidth(),j.w?g.h+=i:g.w+=i),h=this.getSafeContentSize(g)));this.setSize(h)},setBackgroundColor:function(b){void 0!=b&&(this.backgroundColor=b);null!=this.div&&(this.div.style.backgroundColor=this.backgroundColor)},setOpacity:function(b){void 0!=b&&(this.opacity=b);null!=this.div&&(this.div.style.opacity=this.opacity,this.div.style.filter="alpha(opacity="+100*this.opacity+")")},setBorder:function(b){void 0!=b&&(this.border=b);null!=this.div&&(this.div.style.border=this.border)},setContentHTML:function(b){null!=b&&(this.contentHTML=b);null!=this.contentDiv&&(null!=this.contentHTML&&this.contentHTML!=this.contentDiv.innerHTML)&&(this.contentDiv.innerHTML=this.contentHTML,this.autoSize&&(this.registerImageListeners(),this.updateSize()))},registerImageListeners:function(){for(var g=function(){null!==this.popup.id&&(this.popup.updateSize(),this.popup.visible()&&this.popup.panMapIfOutOfView&&this.popup.panIntoView(),OpenLayers.Event.stopObserving(this.img,"load",this.img._onImgLoad))},f=this.contentDiv.getElementsByTagName("img"),j=0,i=f.length;j<i;j++){var h=f[j];if(0==h.width||0==h.height){h._onImgLoad=OpenLayers.Function.bind(g,{popup:this,img:h}),OpenLayers.Event.observe(h,"load",h._onImgLoad)}}},getSafeContentSize:function(g){g=g.clone();var f=this.getContentDivPadding(),j=f.left+f.right,i=f.top+f.bottom;this.fixPadding();j+=this.padding.left+this.padding.right;i+=this.padding.top+this.padding.bottom;if(this.closeDiv){var h=parseInt(this.closeDiv.style.width),j=j+(h+f.right)}this.minSize&&(g.w=Math.max(g.w,this.minSize.w-j),g.h=Math.max(g.h,this.minSize.h-i));this.maxSize&&(g.w=Math.min(g.w,this.maxSize.w-j),g.h=Math.min(g.h,this.maxSize.h-i));if(this.map&&this.map.size){h=f=0;if(this.keepInMap&&!this.panMapIfOutOfView){switch(h=this.map.getPixelFromLonLat(this.lonlat),this.relativePosition){case"tr":f=h.x;h=this.map.size.h-h.y;break;case"tl":f=this.map.size.w-h.x;h=this.map.size.h-h.y;break;case"bl":f=this.map.size.w-h.x;h=h.y;break;case"br":f=h.x;h=h.y;break;default:f=h.x,h=this.map.size.h-h.y}}i=this.map.size.h-this.map.paddingForPopups.top-this.map.paddingForPopups.bottom-i-h;g.w=Math.min(g.w,this.map.size.w-this.map.paddingForPopups.left-this.map.paddingForPopups.right-j-f);g.h=Math.min(g.h,i)}return g},getContentDivPadding:function(){var b=this._contentDivPadding;b||(null==this.div.parentNode&&(this.div.style.display="none",document.body.appendChild(this.div)),this._contentDivPadding=b=new OpenLayers.Bounds(OpenLayers.Element.getStyle(this.contentDiv,"padding-left"),OpenLayers.Element.getStyle(this.contentDiv,"padding-bottom"),OpenLayers.Element.getStyle(this.contentDiv,"padding-right"),OpenLayers.Element.getStyle(this.contentDiv,"padding-top")),this.div.parentNode==document.body&&(document.body.removeChild(this.div),this.div.style.display=""));return b},addCloseBox:function(d){this.closeDiv=OpenLayers.Util.createDiv(this.id+"_close",null,{w:17,h:17});this.closeDiv.className="olPopupCloseBox";var c=this.getContentDivPadding();this.closeDiv.style.right=c.right+"px";this.closeDiv.style.top=c.top+"px";this.groupDiv.appendChild(this.closeDiv);d=d||function(b){this.hide();OpenLayers.Event.stop(b)};OpenLayers.Event.observe(this.closeDiv,"touchend",OpenLayers.Function.bindAsEventListener(d,this));OpenLayers.Event.observe(this.closeDiv,"click",OpenLayers.Function.bindAsEventListener(d,this))},panIntoView:function(){var e=this.map.getSize(),d=this.map.getViewPortPxFromLayerPx(new OpenLayers.Pixel(parseInt(this.div.style.left),parseInt(this.div.style.top))),f=d.clone();d.x<this.map.paddingForPopups.left?f.x=this.map.paddingForPopups.left:d.x+this.size.w>e.w-this.map.paddingForPopups.right&&(f.x=e.w-this.map.paddingForPopups.right-this.size.w);d.y<this.map.paddingForPopups.top?f.y=this.map.paddingForPopups.top:d.y+this.size.h>e.h-this.map.paddingForPopups.bottom&&(f.y=e.h-this.map.paddingForPopups.bottom-this.size.h);this.map.pan(d.x-f.x,d.y-f.y)},registerEvents:function(){this.events=new OpenLayers.Events(this,this.div,null,!0);this.events.on({mousedown:this.onmousedown,mousemove:this.onmousemove,mouseup:this.onmouseup,click:this.onclick,mouseout:this.onmouseout,dblclick:this.ondblclick,touchstart:function(b){OpenLayers.Event.stop(b,!0)},scope:this})},onmousedown:function(b){this.mousedown=!0;OpenLayers.Event.stop(b,!0)},onmousemove:function(b){this.mousedown&&OpenLayers.Event.stop(b,!0)},onmouseup:function(b){this.mousedown&&(this.mousedown=!1,OpenLayers.Event.stop(b,!0))},onclick:function(b){OpenLayers.Event.stop(b,!0)},onmouseout:function(b){this.mousedown=!1},ondblclick:function(b){OpenLayers.Event.stop(b,!0)},CLASS_NAME:"OpenLayers.Popup"});OpenLayers.Popup.WIDTH=200;OpenLayers.Popup.HEIGHT=200;OpenLayers.Popup.COLOR="white";OpenLayers.Popup.OPACITY=1;OpenLayers.Popup.BORDER="0px";OpenLayers.Control.ScaleLine=OpenLayers.Class(OpenLayers.Control,{maxWidth:100,topOutUnits:"km",topInUnits:"m",bottomOutUnits:"mi",bottomInUnits:"ft",eTop:null,eBottom:null,geodesic:!1,draw:function(){OpenLayers.Control.prototype.draw.apply(this,arguments);this.eTop||(this.eTop=document.createElement("div"),this.eTop.className=this.displayClass+"Top",this.div.appendChild(this.eTop),this.eTop.style.visibility=""==this.topOutUnits||""==this.topInUnits?"hidden":"visible",this.eBottom=document.createElement("div"),this.eBottom.className=this.displayClass+"Bottom",this.div.appendChild(this.eBottom),this.eBottom.style.visibility=""==this.bottomOutUnits||""==this.bottomInUnits?"hidden":"visible");this.map.events.register("moveend",this,this.update);this.update();return this.div},getBarLen:function(d){var c=parseInt(Math.log(d)/Math.log(10)),c=Math.pow(10,c);d=parseInt(d/c);return(5<d?5:2<d?2:1)*c},update:function(){var t=this.map.getResolution();if(t){var s=this.map.getUnits(),r=OpenLayers.INCHES_PER_UNIT,q=this.maxWidth*t*r[s],p=1;!0===this.geodesic&&(p=(this.map.getGeodesicPixelSize().w||0.000001)*this.maxWidth/(q/r.km),q*=p);var o,n;100000<q?(o=this.topOutUnits,n=this.bottomOutUnits):(o=this.topInUnits,n=this.bottomInUnits);var m=q/r[o],j=q/r[n],q=this.getBarLen(m),i=this.getBarLen(j),m=q/r[s]*r[o],j=i/r[s]*r[n],s=m/t/p,t=j/t/p;"visible"==this.eBottom.style.visibility&&(this.eBottom.style.width=Math.round(t)+"px",this.eBottom.innerHTML=i+" "+n);"visible"==this.eTop.style.visibility&&(this.eTop.style.width=Math.round(s)+"px",this.eTop.innerHTML=q+" "+o)}},CLASS_NAME:"OpenLayers.Control.ScaleLine"});OpenLayers.Icon=OpenLayers.Class({url:null,size:null,offset:null,calculateOffset:null,imageDiv:null,px:null,initialize:function(f,e,h,g){this.url=f;this.size=e||{w:20,h:20};this.offset=h||{x:-(this.size.w/2),y:-(this.size.h/2)};this.calculateOffset=g;f=OpenLayers.Util.createUniqueID("OL_Icon_");this.imageDiv=OpenLayers.Util.createAlphaImageDiv(f)},destroy:function(){this.erase();OpenLayers.Event.stopObservingElement(this.imageDiv.firstChild);this.imageDiv.innerHTML="";this.imageDiv=null},clone:function(){return new OpenLayers.Icon(this.url,this.size,this.offset,this.calculateOffset)},setSize:function(b){null!=b&&(this.size=b);this.draw()},setUrl:function(b){null!=b&&(this.url=b);this.draw()},draw:function(b){OpenLayers.Util.modifyAlphaImageDiv(this.imageDiv,null,null,this.size,this.url,"absolute");this.moveTo(b);return this.imageDiv},erase:function(){null!=this.imageDiv&&null!=this.imageDiv.parentNode&&OpenLayers.Element.remove(this.imageDiv)},setOpacity:function(b){OpenLayers.Util.modifyAlphaImageDiv(this.imageDiv,null,null,null,null,null,null,null,b)},moveTo:function(b){null!=b&&(this.px=b);null!=this.imageDiv&&(null==this.px?this.display(!1):(this.calculateOffset&&(this.offset=this.calculateOffset(this.size)),OpenLayers.Util.modifyAlphaImageDiv(this.imageDiv,null,{x:this.px.x+this.offset.x,y:this.px.y+this.offset.y})))},display:function(b){this.imageDiv.style.display=b?"":"none"},isDrawn:function(){return this.imageDiv&&this.imageDiv.parentNode&&11!=this.imageDiv.parentNode.nodeType},CLASS_NAME:"OpenLayers.Icon"});OpenLayers.Marker=OpenLayers.Class({icon:null,lonlat:null,events:null,map:null,initialize:function(e,d){this.lonlat=e;var f=d?d:OpenLayers.Marker.defaultIcon();null==this.icon?this.icon=f:(this.icon.url=f.url,this.icon.size=f.size,this.icon.offset=f.offset,this.icon.calculateOffset=f.calculateOffset);this.events=new OpenLayers.Events(this,this.icon.imageDiv)},destroy:function(){this.erase();this.map=null;this.events.destroy();this.events=null;null!=this.icon&&(this.icon.destroy(),this.icon=null)},draw:function(b){return this.icon.draw(b)},erase:function(){null!=this.icon&&this.icon.erase()},moveTo:function(b){null!=b&&null!=this.icon&&this.icon.moveTo(b);this.lonlat=this.map.getLonLatFromLayerPx(b)},isDrawn:function(){return this.icon&&this.icon.isDrawn()},onScreen:function(){var b=!1;this.map&&(b=this.map.getExtent().containsLonLat(this.lonlat));return b},inflate:function(b){this.icon&&this.icon.setSize({w:this.icon.size.w*b,h:this.icon.size.h*b})},setOpacity:function(b){this.icon.setOpacity(b)},setUrl:function(b){this.icon.setUrl(b)},display:function(b){this.icon.display(b)},CLASS_NAME:"OpenLayers.Marker"});OpenLayers.Marker.defaultIcon=function(){return new OpenLayers.Icon(OpenLayers.Util.getImageLocation("marker.png"),{w:21,h:25},{x:-10.5,y:-25})};OpenLayers.Layer.TileCache=OpenLayers.Class(OpenLayers.Layer.Grid,{isBaseLayer:!0,format:"image/png",serverResolutions:null,initialize:function(f,e,h,g){this.layername=h;OpenLayers.Layer.Grid.prototype.initialize.apply(this,[f,e,{},g]);this.extension=this.format.split("/")[1].toLowerCase();this.extension="jpg"==this.extension?"jpeg":this.extension},clone:function(b){null==b&&(b=new OpenLayers.Layer.TileCache(this.name,this.url,this.layername,this.getOptions()));return b=OpenLayers.Layer.Grid.prototype.clone.apply(this,[b])},getURL:function(g){var f=this.getServerResolution(),j=this.maxExtent,i=this.tileSize,h=Math.round((g.left-j.left)/(f*i.w));g=Math.round((g.bottom-j.bottom)/(f*i.h));f=null!=this.serverResolutions?OpenLayers.Util.indexOf(this.serverResolutions,f):this.map.getZoom();h=[this.layername,OpenLayers.Number.zeroPad(f,2),OpenLayers.Number.zeroPad(parseInt(h/1000000),3),OpenLayers.Number.zeroPad(parseInt(h/1000)%1000,3),OpenLayers.Number.zeroPad(parseInt(h)%1000,3),OpenLayers.Number.zeroPad(parseInt(g/1000000),3),OpenLayers.Number.zeroPad(parseInt(g/1000)%1000,3),OpenLayers.Number.zeroPad(parseInt(g)%1000,3)+"."+this.extension].join("/");f=this.url;OpenLayers.Util.isArray(f)&&(f=this.selectUrl(h,f));f="/"==f.charAt(f.length-1)?f:f+"/";return f+h},CLASS_NAME:"OpenLayers.Layer.TileCache"});OpenLayers.Strategy.Paging=OpenLayers.Class(OpenLayers.Strategy,{features:null,length:10,num:null,paging:!1,activate:function(){var b=OpenLayers.Strategy.prototype.activate.call(this);if(b){this.layer.events.on({beforefeaturesadded:this.cacheFeatures,scope:this})}return b},deactivate:function(){var b=OpenLayers.Strategy.prototype.deactivate.call(this);b&&(this.clearCache(),this.layer.events.un({beforefeaturesadded:this.cacheFeatures,scope:this}));return b},cacheFeatures:function(b){this.paging||(this.clearCache(),this.features=b.features,this.pageNext(b))},clearCache:function(){if(this.features){for(var b=0;b<this.features.length;++b){this.features[b].destroy()}}this.num=this.features=null},pageCount:function(){return Math.ceil((this.features?this.features.length:0)/this.length)},pageNum:function(){return this.num},pageLength:function(b){b&&0<b&&(this.length=b);return this.length},pageNext:function(d){var c=!1;this.features&&(null===this.num&&(this.num=-1),c=this.page((this.num+1)*this.length,d));return c},pagePrevious:function(){var b=!1;this.features&&(null===this.num&&(this.num=this.pageCount()),b=this.page((this.num-1)*this.length));return b},page:function(f,e){var h=!1;if(this.features&&0<=f&&f<this.features.length){var g=Math.floor(f/this.length);g!=this.num&&(this.paging=!0,h=this.features.slice(f,f+this.length),this.layer.removeFeatures(this.layer.features),this.num=g,e&&e.features?e.features=h:this.layer.addFeatures(h),this.paging=!1,h=!0)}return h},CLASS_NAME:"OpenLayers.Strategy.Paging"});OpenLayers.Control.DragFeature=OpenLayers.Class(OpenLayers.Control,{geometryTypes:null,onStart:function(d,c){},onDrag:function(d,c){},onComplete:function(d,c){},onEnter:function(b){},onLeave:function(b){},documentDrag:!1,layer:null,feature:null,dragCallbacks:{},featureCallbacks:{},lastPixel:null,initialize:function(d,c){OpenLayers.Control.prototype.initialize.apply(this,[c]);this.layer=d;this.handlers={drag:new OpenLayers.Handler.Drag(this,OpenLayers.Util.extend({down:this.downFeature,move:this.moveFeature,up:this.upFeature,out:this.cancel,done:this.doneDragging},this.dragCallbacks),{documentDrag:this.documentDrag}),feature:new OpenLayers.Handler.Feature(this,this.layer,OpenLayers.Util.extend({click:this.clickFeature,clickout:this.clickoutFeature,over:this.overFeature,out:this.outFeature},this.featureCallbacks),{geometryTypes:this.geometryTypes})}},clickFeature:function(b){this.handlers.feature.touch&&(!this.over&&this.overFeature(b))&&(this.handlers.drag.dragstart(this.handlers.feature.evt),this.handlers.drag.stopDown=!1)},clickoutFeature:function(b){this.handlers.feature.touch&&this.over&&(this.outFeature(b),this.handlers.drag.stopDown=!0)},destroy:function(){this.layer=null;OpenLayers.Control.prototype.destroy.apply(this,[])},activate:function(){return this.handlers.feature.activate()&&OpenLayers.Control.prototype.activate.apply(this,arguments)},deactivate:function(){this.handlers.drag.deactivate();this.handlers.feature.deactivate();this.feature=null;this.dragging=!1;this.lastPixel=null;OpenLayers.Element.removeClass(this.map.viewPortDiv,this.displayClass+"Over");return OpenLayers.Control.prototype.deactivate.apply(this,arguments)},overFeature:function(d){var c=!1;this.handlers.drag.dragging?this.over=this.feature.id==d.id?!0:!1:(this.feature=d,this.handlers.drag.activate(),this.over=c=!0,OpenLayers.Element.addClass(this.map.viewPortDiv,this.displayClass+"Over"),this.onEnter(d));return c},downFeature:function(b){this.lastPixel=b;this.onStart(this.feature,b)},moveFeature:function(d){var c=this.map.getResolution();this.feature.geometry.move(c*(d.x-this.lastPixel.x),c*(this.lastPixel.y-d.y));this.layer.drawFeature(this.feature);this.lastPixel=d;this.onDrag(this.feature,d)},upFeature:function(b){this.over||this.handlers.drag.deactivate()},doneDragging:function(b){this.onComplete(this.feature,b)},outFeature:function(b){this.handlers.drag.dragging?this.feature.id==b.id&&(this.over=!1):(this.over=!1,this.handlers.drag.deactivate(),OpenLayers.Element.removeClass(this.map.viewPortDiv,this.displayClass+"Over"),this.onLeave(b),this.feature=null)},cancel:function(){this.handlers.drag.deactivate();this.over=!1},setMap:function(b){this.handlers.drag.setMap(b);this.handlers.feature.setMap(b);OpenLayers.Control.prototype.setMap.apply(this,arguments)},CLASS_NAME:"OpenLayers.Control.DragFeature"});OpenLayers.Control.TransformFeature=OpenLayers.Class(OpenLayers.Control,{geometryTypes:null,layer:null,preserveAspectRatio:!1,rotate:!0,feature:null,renderIntent:"temporary",rotationHandleSymbolizer:null,box:null,center:null,scale:1,ratio:1,rotation:0,handles:null,rotationHandles:null,dragControl:null,irregular:!1,initialize:function(d,c){OpenLayers.Control.prototype.initialize.apply(this,[c]);this.layer=d;this.rotationHandleSymbolizer||(this.rotationHandleSymbolizer={stroke:!1,pointRadius:10,fillOpacity:0,cursor:"pointer"});this.createBox();this.createControl()},activate:function(){var b=!1;OpenLayers.Control.prototype.activate.apply(this,arguments)&&(this.dragControl.activate(),this.layer.addFeatures([this.box]),this.rotate&&this.layer.addFeatures(this.rotationHandles),this.layer.addFeatures(this.handles),b=!0);return b},deactivate:function(){var b=!1;OpenLayers.Control.prototype.deactivate.apply(this,arguments)&&(this.layer.removeFeatures(this.handles),this.rotate&&this.layer.removeFeatures(this.rotationHandles),this.layer.removeFeatures([this.box]),this.dragControl.deactivate(),b=!0);return b},setMap:function(b){this.dragControl.setMap(b);OpenLayers.Control.prototype.setMap.apply(this,arguments)},setFeature:function(g,f){f=OpenLayers.Util.applyDefaults(f,{rotation:0,scale:1,ratio:1});var j=this.rotation,i=this.center;OpenLayers.Util.extend(this,f);if(!1!==this.events.triggerEvent("beforesetfeature",{feature:g})){this.feature=g;this.activate();this._setfeature=!0;var h=this.feature.geometry.getBounds();this.box.move(h.getCenterLonLat());this.box.geometry.rotate(-j,i);this._angle=0;this.rotation?(j=g.geometry.clone(),j.rotate(-this.rotation,this.center),j=new OpenLayers.Feature.Vector(j.getBounds().toGeometry()),j.geometry.rotate(this.rotation,this.center),this.box.geometry.rotate(this.rotation,this.center),this.box.move(j.geometry.getBounds().getCenterLonLat()),j=j.geometry.components[0].components[0].getBounds().getCenterLonLat()):j=new OpenLayers.LonLat(h.left,h.bottom);this.handles[0].move(j);delete this._setfeature;this.events.triggerEvent("setfeature",{feature:g})}},unsetFeature:function(){this.active?this.deactivate():(this.feature=null,this.rotation=0,this.ratio=this.scale=1)},createBox:function(){var z=this;this.center=new OpenLayers.Geometry.Point(0,0);this.box=new OpenLayers.Feature.Vector(new OpenLayers.Geometry.LineString([new OpenLayers.Geometry.Point(-1,-1),new OpenLayers.Geometry.Point(0,-1),new OpenLayers.Geometry.Point(1,-1),new OpenLayers.Geometry.Point(1,0),new OpenLayers.Geometry.Point(1,1),new OpenLayers.Geometry.Point(0,1),new OpenLayers.Geometry.Point(-1,1),new OpenLayers.Geometry.Point(-1,0),new OpenLayers.Geometry.Point(-1,-1)]),null,"string"==typeof this.renderIntent?null:this.renderIntent);this.box.geometry.move=function(a,d){z._moving=!0;OpenLayers.Geometry.LineString.prototype.move.apply(this,arguments);z.center.move(a,d);delete z._moving};for(var y=function(d,c){OpenLayers.Geometry.Point.prototype.move.apply(this,arguments);this._rotationHandle&&this._rotationHandle.geometry.move(d,c);this._handle.geometry.move(d,c)},x=function(e,d,f){OpenLayers.Geometry.Point.prototype.resize.apply(this,arguments);this._rotationHandle&&this._rotationHandle.geometry.resize(e,d,f);this._handle.geometry.resize(e,d,f)},w=function(d,c){OpenLayers.Geometry.Point.prototype.rotate.apply(this,arguments);this._rotationHandle&&this._rotationHandle.geometry.rotate(d,c);this._handle.geometry.rotate(d,c)},v=function(I,H){var G=this.x,F=this.y;OpenLayers.Geometry.Point.prototype.move.call(this,I,H);if(!z._moving){var E=z.dragControl.handlers.drag.evt,D=!(!z._setfeature&&z.preserveAspectRatio)&&!(E&&E.shiftKey),C=new OpenLayers.Geometry.Point(G,F),E=z.center;this.rotate(-z.rotation,E);C.rotate(-z.rotation,E);var B=this.x-E.x,A=this.y-E.y,p=B-(this.x-C.x),a=A-(this.y-C.y);z.irregular&&!z._setfeature&&(B-=(this.x-C.x)/2,A-=(this.y-C.y)/2);this.x=G;this.y=F;C=1;D?(A=0.00001>Math.abs(a)?1:A/a,C=(0.00001>Math.abs(p)?1:B/p)/A):(p=Math.sqrt(p*p+a*a),A=Math.sqrt(B*B+A*A)/p);z._moving=!0;z.box.geometry.rotate(-z.rotation,E);delete z._moving;z.box.geometry.resize(A,E,C);z.box.geometry.rotate(z.rotation,E);z.transformFeature({scale:A,ratio:C});z.irregular&&!z._setfeature&&(B=E.clone(),B.x+=0.00001>Math.abs(G-E.x)?0:this.x-G,B.y+=0.00001>Math.abs(F-E.y)?0:this.y-F,z.box.geometry.move(this.x-G,this.y-F),z.transformFeature({center:B}))}},u=function(a,C){var B=this.x,A=this.y;OpenLayers.Geometry.Point.prototype.move.call(this,a,C);if(!z._moving){var p=z.dragControl.handlers.drag.evt,p=p&&p.shiftKey?45:1,n=z.center,m=this.x-n.x,l=this.y-n.y;this.x=B;this.y=A;B=Math.atan2(l-C,m-a);B=Math.atan2(l,m)-B;B*=180/Math.PI;z._angle=(z._angle+B)%360;B=z.rotation%p;if(Math.abs(z._angle)>=p||0!==B){B=Math.round(z._angle/p)*p-B,z._angle=0,z.box.geometry.rotate(B,n),z.transformFeature({rotation:B})}}},t=Array(8),s=Array(4),r,q,o,j="sw s se e ne n nw w".split(" "),i=0;8>i;++i){r=this.box.geometry.components[i],q=new OpenLayers.Feature.Vector(r.clone(),{role:j[i]+"-resize"},"string"==typeof this.renderIntent?null:this.renderIntent),0==i%2&&(o=new OpenLayers.Feature.Vector(r.clone(),{role:j[i]+"-rotate"},"string"==typeof this.rotationHandleSymbolizer?null:this.rotationHandleSymbolizer),o.geometry.move=u,r._rotationHandle=o,s[i/2]=o),r.move=y,r.resize=x,r.rotate=w,q.geometry.move=v,r._handle=q,t[i]=q}this.rotationHandles=s;this.handles=t},createControl:function(){var b=this;this.dragControl=new OpenLayers.Control.DragFeature(this.layer,{documentDrag:!0,moveFeature:function(a){this.feature===b.feature&&(this.feature=b.box);OpenLayers.Control.DragFeature.prototype.moveFeature.apply(this,arguments)},onDrag:function(a,d){a===b.box&&b.transformFeature({center:b.center})},onStart:function(a,h){var g=!b.geometryTypes||-1!==OpenLayers.Util.indexOf(b.geometryTypes,a.geometry.CLASS_NAME),f=OpenLayers.Util.indexOf(b.handles,a),f=f+OpenLayers.Util.indexOf(b.rotationHandles,a);a!==b.feature&&(a!==b.box&&-2==f&&g)&&b.setFeature(a)},onComplete:function(a,d){b.events.triggerEvent("transformcomplete",{feature:b.feature})}})},drawHandles:function(){for(var d=this.layer,c=0;8>c;++c){this.rotate&&0===c%2&&d.drawFeature(this.rotationHandles[c/2],this.rotationHandleSymbolizer),d.drawFeature(this.handles[c],this.renderIntent)}},transformFeature:function(g){if(!this._setfeature){this.scale*=g.scale||1;this.ratio*=g.ratio||1;var f=this.rotation;this.rotation=(this.rotation+(g.rotation||0))%360;if(!1!==this.events.triggerEvent("beforetransform",g)){var j=this.feature,i=j.geometry,h=this.center;i.rotate(-f,h);g.scale||g.ratio?i.resize(g.scale,h,g.ratio):g.center&&j.move(g.center.getBounds().getCenterLonLat());i.rotate(this.rotation,h);this.layer.drawFeature(j);j.toState(OpenLayers.State.UPDATE);this.events.triggerEvent("transform",g)}}this.layer.drawFeature(this.box,this.renderIntent);this.drawHandles()},destroy:function(){for(var d,c=0;8>c;++c){d=this.box.geometry.components[c],d._handle.destroy(),d._handle=null,d._rotationHandle&&d._rotationHandle.destroy(),d._rotationHandle=null}this.rotationHandles=this.rotationHandleSymbolizer=this.handles=this.feature=this.center=null;this.box.destroy();this.layer=this.box=null;this.dragControl.destroy();this.dragControl=null;OpenLayers.Control.prototype.destroy.apply(this,arguments)},CLASS_NAME:"OpenLayers.Control.TransformFeature"});OpenLayers.Handler.Box=OpenLayers.Class(OpenLayers.Handler,{dragHandler:null,boxDivClassName:"olHandlerBoxZoomBox",boxOffsets:null,initialize:function(e,d,f){OpenLayers.Handler.prototype.initialize.apply(this,arguments);this.dragHandler=new OpenLayers.Handler.Drag(this,{down:this.startBox,move:this.moveBox,out:this.removeBox,up:this.endBox},{keyMask:this.keyMask})},destroy:function(){OpenLayers.Handler.prototype.destroy.apply(this,arguments);this.dragHandler&&(this.dragHandler.destroy(),this.dragHandler=null)},setMap:function(b){OpenLayers.Handler.prototype.setMap.apply(this,arguments);this.dragHandler&&this.dragHandler.setMap(b)},startBox:function(b){this.callback("start",[]);this.zoomBox=OpenLayers.Util.createDiv("zoomBox",{x:-9999,y:-9999});this.zoomBox.className=this.boxDivClassName;this.zoomBox.style.zIndex=this.map.Z_INDEX_BASE.Popup-1;this.map.viewPortDiv.appendChild(this.zoomBox);OpenLayers.Element.addClass(this.map.viewPortDiv,"olDrawBox")},moveBox:function(h){var g=this.dragHandler.start.x,l=this.dragHandler.start.y,k=Math.abs(g-h.x),j=Math.abs(l-h.y),i=this.getBoxOffsets();this.zoomBox.style.width=k+i.width+1+"px";this.zoomBox.style.height=j+i.height+1+"px";this.zoomBox.style.left=(h.x<g?g-k-i.left:g-i.left)+"px";this.zoomBox.style.top=(h.y<l?l-j-i.top:l-i.top)+"px"},endBox:function(g){var f;if(5<Math.abs(this.dragHandler.start.x-g.x)||5<Math.abs(this.dragHandler.start.y-g.y)){var j=this.dragHandler.start;f=Math.min(j.y,g.y);var i=Math.max(j.y,g.y),h=Math.min(j.x,g.x);g=Math.max(j.x,g.x);f=new OpenLayers.Bounds(h,i,g,f)}else{f=this.dragHandler.start.clone()}this.removeBox();this.callback("done",[f])},removeBox:function(){this.map.viewPortDiv.removeChild(this.zoomBox);this.boxOffsets=this.zoomBox=null;OpenLayers.Element.removeClass(this.map.viewPortDiv,"olDrawBox")},activate:function(){return OpenLayers.Handler.prototype.activate.apply(this,arguments)?(this.dragHandler.activate(),!0):!1},deactivate:function(){return OpenLayers.Handler.prototype.deactivate.apply(this,arguments)?(this.dragHandler.deactivate()&&this.zoomBox&&this.removeBox(),!0):!1},getBoxOffsets:function(){if(!this.boxOffsets){var g=document.createElement("div");g.style.position="absolute";g.style.border="1px solid black";g.style.width="3px";document.body.appendChild(g);var f=3==g.clientWidth;document.body.removeChild(g);var g=parseInt(OpenLayers.Element.getStyle(this.zoomBox,"border-left-width")),j=parseInt(OpenLayers.Element.getStyle(this.zoomBox,"border-right-width")),i=parseInt(OpenLayers.Element.getStyle(this.zoomBox,"border-top-width")),h=parseInt(OpenLayers.Element.getStyle(this.zoomBox,"border-bottom-width"));this.boxOffsets={left:g,right:j,top:i,bottom:h,width:!1===f?g+j:0,height:!1===f?i+h:0}}return this.boxOffsets},CLASS_NAME:"OpenLayers.Handler.Box"});OpenLayers.Control.ZoomBox=OpenLayers.Class(OpenLayers.Control,{type:OpenLayers.Control.TYPE_TOOL,out:!1,keyMask:null,alwaysZoom:!1,zoomOnClick:!0,draw:function(){this.handler=new OpenLayers.Handler.Box(this,{done:this.zoomBox},{keyMask:this.keyMask})},zoomBox:function(i){if(i instanceof OpenLayers.Bounds){var h,n=i.getCenterPixel();if(this.out){h=Math.min(this.map.size.h/(i.bottom-i.top),this.map.size.w/(i.right-i.left));var m=this.map.getExtent(),l=this.map.getLonLatFromPixel(n),k=l.lon-m.getWidth()/2*h;i=l.lon+m.getWidth()/2*h;var j=l.lat-m.getHeight()/2*h;h=l.lat+m.getHeight()/2*h;h=new OpenLayers.Bounds(k,j,i,h)}else{k=this.map.getLonLatFromPixel({x:i.left,y:i.bottom}),i=this.map.getLonLatFromPixel({x:i.right,y:i.top}),h=new OpenLayers.Bounds(k.lon,k.lat,i.lon,i.lat)}k=this.map.getZoom();j=this.map.getSize();i=j.w/2;j=j.h/2;h=this.map.getZoomForExtent(h);m=this.map.getResolution();l=this.map.getResolutionForZoom(h);m==l?this.map.setCenter(this.map.getLonLatFromPixel(n)):this.map.zoomTo(h,{x:(m*n.x-l*i)/(m-l),y:(m*n.y-l*j)/(m-l)});k==this.map.getZoom()&&!0==this.alwaysZoom&&this.map.zoomTo(k+(this.out?-1:1))}else{this.zoomOnClick&&(this.out?this.map.zoomTo(this.map.getZoom()-1,i):this.map.zoomTo(this.map.getZoom()+1,i))}},CLASS_NAME:"OpenLayers.Control.ZoomBox"});OpenLayers.Control.DragPan=OpenLayers.Class(OpenLayers.Control,{type:OpenLayers.Control.TYPE_TOOL,panned:!1,interval:0,documentDrag:!1,kinetic:null,enableKinetic:!0,kineticInterval:10,draw:function(){if(this.enableKinetic&&OpenLayers.Kinetic){var b={interval:this.kineticInterval};"object"===typeof this.enableKinetic&&(b=OpenLayers.Util.extend(b,this.enableKinetic));this.kinetic=new OpenLayers.Kinetic(b)}this.handler=new OpenLayers.Handler.Drag(this,{move:this.panMap,done:this.panMapDone,down:this.panMapStart},{interval:this.interval,documentDrag:this.documentDrag})},panMapStart:function(){this.kinetic&&this.kinetic.begin()},panMap:function(b){this.kinetic&&this.kinetic.update(b);this.panned=!0;this.map.pan(this.handler.last.x-b.x,this.handler.last.y-b.y,{dragging:!0,animate:!1})},panMapDone:function(e){if(this.panned){var d=null;this.kinetic&&(d=this.kinetic.end(e));this.map.pan(this.handler.last.x-e.x,this.handler.last.y-e.y,{dragging:!!d,animate:!1});if(d){var f=this;this.kinetic.move(d,function(g,c,h){f.map.pan(g,c,{dragging:!h,animate:!1})})}this.panned=!1}},CLASS_NAME:"OpenLayers.Control.DragPan"});OpenLayers.Control.Navigation=OpenLayers.Class(OpenLayers.Control,{dragPan:null,dragPanOptions:null,pinchZoom:null,pinchZoomOptions:null,documentDrag:!1,zoomBox:null,zoomBoxEnabled:!0,zoomWheelEnabled:!0,mouseWheelOptions:null,handleRightClicks:!1,zoomBoxKeyMask:OpenLayers.Handler.MOD_SHIFT,autoActivate:!0,initialize:function(b){this.handlers={};OpenLayers.Control.prototype.initialize.apply(this,arguments)},destroy:function(){this.deactivate();this.dragPan&&this.dragPan.destroy();this.dragPan=null;this.zoomBox&&this.zoomBox.destroy();this.zoomBox=null;this.pinchZoom&&this.pinchZoom.destroy();this.pinchZoom=null;OpenLayers.Control.prototype.destroy.apply(this,arguments)},activate:function(){this.dragPan.activate();this.zoomWheelEnabled&&this.handlers.wheel.activate();this.handlers.click.activate();this.zoomBoxEnabled&&this.zoomBox.activate();this.pinchZoom&&this.pinchZoom.activate();return OpenLayers.Control.prototype.activate.apply(this,arguments)},deactivate:function(){this.pinchZoom&&this.pinchZoom.deactivate();this.zoomBox.deactivate();this.dragPan.deactivate();this.handlers.click.deactivate();this.handlers.wheel.deactivate();return OpenLayers.Control.prototype.deactivate.apply(this,arguments)},draw:function(){this.handleRightClicks&&(this.map.viewPortDiv.oncontextmenu=OpenLayers.Function.False);this.handlers.click=new OpenLayers.Handler.Click(this,{click:this.defaultClick,dblclick:this.defaultDblClick,dblrightclick:this.defaultDblRightClick},{"double":!0,stopDouble:!0});this.dragPan=new OpenLayers.Control.DragPan(OpenLayers.Util.extend({map:this.map,documentDrag:this.documentDrag},this.dragPanOptions));this.zoomBox=new OpenLayers.Control.ZoomBox({map:this.map,keyMask:this.zoomBoxKeyMask});this.dragPan.draw();this.zoomBox.draw();this.handlers.wheel=new OpenLayers.Handler.MouseWheel(this,{up:this.wheelUp,down:this.wheelDown},OpenLayers.Util.extend(this.map.fractionalZoom?{}:{cumulative:!1,interval:50,maxDelta:6},this.mouseWheelOptions));OpenLayers.Control.PinchZoom&&(this.pinchZoom=new OpenLayers.Control.PinchZoom(OpenLayers.Util.extend({map:this.map},this.pinchZoomOptions)))},defaultClick:function(b){b.lastTouches&&2==b.lastTouches.length&&this.map.zoomOut()},defaultDblClick:function(b){this.map.zoomTo(this.map.zoom+1,b.xy)},defaultDblRightClick:function(b){this.map.zoomTo(this.map.zoom-1,b.xy)},wheelChange:function(f,e){this.map.fractionalZoom||(e=Math.round(e));var h=this.map.getZoom(),g;g=Math.max(h+e,0);g=Math.min(g,this.map.getNumZoomLevels());g!==h&&this.map.zoomTo(g,f.xy)},wheelUp:function(d,c){this.wheelChange(d,c||1)},wheelDown:function(d,c){this.wheelChange(d,c||-1)},disableZoomBox:function(){this.zoomBoxEnabled=!1;this.zoomBox.deactivate()},enableZoomBox:function(){this.zoomBoxEnabled=!0;this.active&&this.zoomBox.activate()},disableZoomWheel:function(){this.zoomWheelEnabled=!1;this.handlers.wheel.deactivate()},enableZoomWheel:function(){this.zoomWheelEnabled=!0;this.active&&this.handlers.wheel.activate()},CLASS_NAME:"OpenLayers.Control.Navigation"});OpenLayers.Control.DrawFeature=OpenLayers.Class(OpenLayers.Control,{layer:null,callbacks:null,multi:!1,featureAdded:function(){},initialize:function(e,d,f){OpenLayers.Control.prototype.initialize.apply(this,[f]);this.callbacks=OpenLayers.Util.extend({done:this.drawFeature,modify:function(g,c){this.layer.events.triggerEvent("sketchmodified",{vertex:g,feature:c})},create:function(g,c){this.layer.events.triggerEvent("sketchstarted",{vertex:g,feature:c})}},this.callbacks);this.layer=e;this.handlerOptions=this.handlerOptions||{};this.handlerOptions.layerOptions=OpenLayers.Util.applyDefaults(this.handlerOptions.layerOptions,{renderers:e.renderers,rendererOptions:e.rendererOptions});"multi" in this.handlerOptions||(this.handlerOptions.multi=this.multi);if(e=this.layer.styleMap&&this.layer.styleMap.styles.temporary){this.handlerOptions.layerOptions=OpenLayers.Util.applyDefaults(this.handlerOptions.layerOptions,{styleMap:new OpenLayers.StyleMap({"default":e})})}this.handler=new d(this,this.callbacks,this.handlerOptions)},drawFeature:function(b){b=new OpenLayers.Feature.Vector(b);!1!==this.layer.events.triggerEvent("sketchcomplete",{feature:b})&&(b.state=OpenLayers.State.INSERT,this.layer.addFeatures([b]),this.featureAdded(b),this.events.triggerEvent("featureadded",{feature:b}))},insertXY:function(d,c){this.handler&&this.handler.line&&this.handler.insertXY(d,c)},insertDeltaXY:function(d,c){this.handler&&this.handler.line&&this.handler.insertDeltaXY(d,c)},insertDirectionLength:function(d,c){this.handler&&this.handler.line&&this.handler.insertDirectionLength(d,c)},insertDeflectionLength:function(d,c){this.handler&&this.handler.line&&this.handler.insertDeflectionLength(d,c)},undo:function(){return this.handler.undo&&this.handler.undo()},redo:function(){return this.handler.redo&&this.handler.redo()},finishSketch:function(){this.handler.finishGeometry()},cancel:function(){this.handler.cancel()},CLASS_NAME:"OpenLayers.Control.DrawFeature"});OpenLayers.Handler.Polygon=OpenLayers.Class(OpenLayers.Handler.Path,{holeModifier:null,drawingHole:!1,polygon:null,createFeature:function(b){b=this.layer.getLonLatFromViewPortPx(b);b=new OpenLayers.Geometry.Point(b.lon,b.lat);this.point=new OpenLayers.Feature.Vector(b);this.line=new OpenLayers.Feature.Vector(new OpenLayers.Geometry.LinearRing([this.point.geometry]));this.polygon=new OpenLayers.Feature.Vector(new OpenLayers.Geometry.Polygon([this.line.geometry]));this.callback("create",[this.point.geometry,this.getSketch()]);this.point.geometry.clearBounds();this.layer.addFeatures([this.polygon,this.point],{silent:!0})},addPoint:function(g){if(!this.drawingHole&&this.holeModifier&&this.evt&&this.evt[this.holeModifier]){for(var f=this.point.geometry,j=this.control.layer.features,i,h=j.length-1;0<=h;--h){if(i=j[h].geometry,(i instanceof OpenLayers.Geometry.Polygon||i instanceof OpenLayers.Geometry.MultiPolygon)&&i.intersects(f)){f=j[h];this.control.layer.removeFeatures([f],{silent:!0});this.control.layer.events.registerPriority("sketchcomplete",this,this.finalizeInteriorRing);this.control.layer.events.registerPriority("sketchmodified",this,this.enforceTopology);f.geometry.addComponent(this.line.geometry);this.polygon=f;this.drawingHole=!0;break}}}OpenLayers.Handler.Path.prototype.addPoint.apply(this,arguments)},getCurrentPointIndex:function(){return this.line.geometry.components.length-2},enforceTopology:function(d){d=d.vertex;var c=this.line.geometry.components;this.polygon.geometry.intersects(d)||(c=c[c.length-3],d.x=c.x,d.y=c.y)},finishGeometry:function(){this.line.geometry.removeComponent(this.line.geometry.components[this.line.geometry.components.length-2]);this.removePoint();this.finalize()},finalizeInteriorRing:function(){var i=this.line.geometry,h=0!==i.getArea();if(h){for(var n=this.polygon.geometry.components,m=n.length-2;0<=m;--m){if(i.intersects(n[m])){h=!1;break}}if(h){i:for(m=n.length-2;0<m;--m){for(var l=n[m].components,k=0,j=l.length;k<j;++k){if(i.containsPoint(l[k])){h=!1;break i}}}}}h?this.polygon.state!==OpenLayers.State.INSERT&&(this.polygon.state=OpenLayers.State.UPDATE):this.polygon.geometry.removeComponent(i);this.restoreFeature();return !1},cancel:function(){this.drawingHole&&(this.polygon.geometry.removeComponent(this.line.geometry),this.restoreFeature(!0));return OpenLayers.Handler.Path.prototype.cancel.apply(this,arguments)},restoreFeature:function(b){this.control.layer.events.unregister("sketchcomplete",this,this.finalizeInteriorRing);this.control.layer.events.unregister("sketchmodified",this,this.enforceTopology);this.layer.removeFeatures([this.polygon],{silent:!0});this.control.layer.addFeatures([this.polygon],{silent:!0});this.drawingHole=!1;b||this.control.layer.events.triggerEvent("sketchcomplete",{feature:this.polygon})},destroyFeature:function(b){OpenLayers.Handler.Path.prototype.destroyFeature.call(this,b);this.polygon=null},drawFeature:function(){this.layer.drawFeature(this.polygon,this.style);this.layer.drawFeature(this.point,this.style)},getSketch:function(){return this.polygon},getGeometry:function(){var b=this.polygon&&this.polygon.geometry;b&&this.multi&&(b=new OpenLayers.Geometry.MultiPolygon([b]));return b},CLASS_NAME:"OpenLayers.Handler.Polygon"});OpenLayers.Control.EditingToolbar=OpenLayers.Class(OpenLayers.Control.Panel,{citeCompliant:!1,initialize:function(e,d){OpenLayers.Control.Panel.prototype.initialize.apply(this,[d]);this.addControls([new OpenLayers.Control.Navigation]);var f=[new OpenLayers.Control.DrawFeature(e,OpenLayers.Handler.Point,{displayClass:"olControlDrawFeaturePoint",handlerOptions:{citeCompliant:this.citeCompliant}}),new OpenLayers.Control.DrawFeature(e,OpenLayers.Handler.Path,{displayClass:"olControlDrawFeaturePath",handlerOptions:{citeCompliant:this.citeCompliant}}),new OpenLayers.Control.DrawFeature(e,OpenLayers.Handler.Polygon,{displayClass:"olControlDrawFeaturePolygon",handlerOptions:{citeCompliant:this.citeCompliant}})];this.addControls(f)},draw:function(){var b=OpenLayers.Control.Panel.prototype.draw.apply(this,arguments);null===this.defaultControl&&(this.defaultControl=this.controls[0]);return b},CLASS_NAME:"OpenLayers.Control.EditingToolbar"});OpenLayers.Strategy.BBOX=OpenLayers.Class(OpenLayers.Strategy,{bounds:null,resolution:null,ratio:2,resFactor:null,response:null,activate:function(){var b=OpenLayers.Strategy.prototype.activate.call(this);b&&(this.layer.events.on({moveend:this.update,refresh:this.update,visibilitychanged:this.update,scope:this}),this.update());return b},deactivate:function(){var b=OpenLayers.Strategy.prototype.deactivate.call(this);b&&this.layer.events.un({moveend:this.update,refresh:this.update,visibilitychanged:this.update,scope:this});return b},update:function(d){var c=this.getMapBounds();null!==c&&(d&&d.force||this.layer.visibility&&this.layer.calculateInRange()&&this.invalidBounds(c))&&(this.calculateBounds(c),this.resolution=this.layer.map.getResolution(),this.triggerRead(d))},getMapBounds:function(){if(null===this.layer.map){return null}var b=this.layer.map.getExtent();b&&!this.layer.projection.equals(this.layer.map.getProjectionObject())&&(b=b.clone().transform(this.layer.map.getProjectionObject(),this.layer.projection));return b},invalidBounds:function(b){b||(b=this.getMapBounds());b=!this.bounds||!this.bounds.containsBounds(b);!b&&this.resFactor&&(b=this.resolution/this.layer.map.getResolution(),b=b>=this.resFactor||b<=1/this.resFactor);return b},calculateBounds:function(e){e||(e=this.getMapBounds());var d=e.getCenterLonLat(),f=e.getWidth()*this.ratio;e=e.getHeight()*this.ratio;this.bounds=new OpenLayers.Bounds(d.lon-f/2,d.lat-e/2,d.lon+f/2,d.lat+e/2)},triggerRead:function(d){!this.response||d&&!0===d.noAbort||(this.layer.protocol.abort(this.response),this.layer.events.triggerEvent("loadend"));var c={filter:this.createFilter()};this.layer.events.triggerEvent("loadstart",c);this.response=this.layer.protocol.read(OpenLayers.Util.applyDefaults({filter:c.filter,callback:this.merge,scope:this},d))},createFilter:function(){var b=new OpenLayers.Filter.Spatial({type:OpenLayers.Filter.Spatial.BBOX,value:this.bounds,projection:this.layer.projection});this.layer.filter&&(b=new OpenLayers.Filter.Logical({type:OpenLayers.Filter.Logical.AND,filters:[this.layer.filter,b]}));return b},merge:function(i){this.layer.destroyFeatures();if(i.success()){var h=i.features;if(h&&0<h.length){var n=this.layer.projection,m=this.layer.map.getProjectionObject();if(!m.equals(n)){for(var l,k=0,j=h.length;k<j;++k){(l=h[k].geometry)&&l.transform(n,m)}}this.layer.addFeatures(h)}}else{this.bounds=null}this.response=null;this.layer.events.triggerEvent("loadend",{response:i})},CLASS_NAME:"OpenLayers.Strategy.BBOX"});OpenLayers.Layer.WorldWind=OpenLayers.Class(OpenLayers.Layer.Grid,{DEFAULT_PARAMS:{},isBaseLayer:!0,lzd:null,zoomLevels:null,initialize:function(h,g,l,k,j,i){this.lzd=l;this.zoomLevels=k;l=[];l.push(h,g,j,i);OpenLayers.Layer.Grid.prototype.initialize.apply(this,l);this.params=OpenLayers.Util.applyDefaults(this.params,this.DEFAULT_PARAMS)},getZoom:function(){var b=this.map.getZoom();this.map.getMaxExtent();return b-=Math.log(this.maxResolution/(this.lzd/512))/Math.log(2)},getURL:function(g){g=this.adjustBounds(g);var f=this.getZoom(),j=this.map.getMaxExtent(),i=this.lzd/Math.pow(2,this.getZoom()),h=Math.floor((g.left-j.left)/i);g=Math.floor((g.bottom-j.bottom)/i);return this.map.getResolution()<=this.lzd/512&&this.getZoom()<=this.zoomLevels?this.getFullRequestString({L:f,X:h,Y:g}):OpenLayers.Util.getImageLocation("blank.gif")},CLASS_NAME:"OpenLayers.Layer.WorldWind"});OpenLayers.Protocol.CSW=function(d){d=OpenLayers.Util.applyDefaults(d,OpenLayers.Protocol.CSW.DEFAULTS);var c=OpenLayers.Protocol.CSW["v"+d.version.replace(/\./g,"_")];if(!c){throw"Unsupported CSW version: "+d.version}return new c(d)};OpenLayers.Protocol.CSW.DEFAULTS={version:"2.0.2"};OpenLayers.Format.WMTSCapabilities=OpenLayers.Class(OpenLayers.Format.XML.VersionedOGC,{defaultVersion:"1.0.0",yx:{"urn:ogc:def:crs:EPSG::4326":!0},createLayer:function(F,E){if(!("layer" in E)){throw Error("Missing property 'layer' in configuration.")}for(var D=F.contents,C,B=0,A=D.layers.length;B<A;++B){if(D.layers[B].identifier===E.layer){C=D.layers[B];break}}if(!C){throw Error("Layer not found")}var z=E.format;!z&&(C.formats&&C.formats.length)&&(z=C.formats[0]);var y;E.matrixSet?y=D.tileMatrixSets[E.matrixSet]:1<=C.tileMatrixSetLinks.length&&(y=D.tileMatrixSets[C.tileMatrixSetLinks[0].tileMatrixSet]);if(!y){throw Error("matrixSet not found")}for(var x,B=0,A=C.styles.length;B<A&&(x=C.styles[B],!x.isDefault);++B){}D=E.requestEncoding;if(!D&&(D="KVP",F.operationsMetadata.GetTile.dcp.http)){var w=F.operationsMetadata.GetTile.dcp.http;w.get[0].constraints&&(w=w.get[0].constraints.GetEncoding.allowedValues,w.KVP||!w.REST&&!w.RESTful||(D="REST"))}var w=[],v=E.params||{};delete E.params;for(var u=0,o=C.dimensions.length;u<o;u++){var j=C.dimensions[u];w.push(j.identifier);v.hasOwnProperty(j.identifier)||(v[j.identifier]=j["default"])}var u=E.projection||y.supportedCRS.replace(/urn:ogc:def:crs:(\w+):(.*:)?(\w+)$/,"$1:$3"),o=E.units||("EPSG:4326"===u?"degrees":"m"),j=[],i;for(i in y.matrixIds){y.matrixIds.hasOwnProperty(i)&&j.push(0.00028*y.matrixIds[i].scaleDenominator/OpenLayers.METERS_PER_INCH/OpenLayers.INCHES_PER_UNIT[o])}if("REST"===D&&C.resourceUrls){i=[];for(var A=0,H=C.resourceUrls.length;A<H;++A){B=C.resourceUrls[A],B.format===z&&"tile"===B.resourceType&&i.push(B.template)}}else{H=F.operationsMetadata.GetTile.dcp.http.get;i=[];for(var G,B=0,A=H.length;B<A;B++){G=H[B].constraints,(!G||G&&G.GetEncoding.allowedValues[D])&&i.push(H[B].url)}}return new OpenLayers.Layer.WMTS(OpenLayers.Util.applyDefaults(E,{url:i,requestEncoding:D,name:C.title,style:x.identifier,format:z,matrixIds:y.matrixIds,matrixSet:y.identifier,projection:u,units:o,resolutions:!1===E.isBaseLayer?void 0:j,serverResolutions:j,tileFullExtent:y.bounds,dimensions:w,params:v}))},CLASS_NAME:"OpenLayers.Format.WMTSCapabilities"});OpenLayers.Layer.Google.v3={DEFAULTS:{sphericalMercator:!0,projection:"EPSG:900913"},animationEnabled:!0,loadMapObject:function(){this.type||(this.type=google.maps.MapTypeId.ROADMAP);var d,c=OpenLayers.Layer.Google.cache[this.map.id];c?(d=c.mapObject,++c.count):(d=this.map.getCenter(),c=document.createElement("div"),c.className="olForeignContainer",c.style.width="100%",c.style.height="100%",d=new google.maps.Map(c,{center:d?new google.maps.LatLng(d.lat,d.lon):new google.maps.LatLng(0,0),zoom:this.map.getZoom()||0,mapTypeId:this.type,disableDefaultUI:!0,keyboardShortcuts:!1,draggable:!1,disableDoubleClickZoom:!0,scrollwheel:!1,streetViewControl:!1}),c=document.createElement("div"),c.style.width="100%",c.style.height="100%",d.controls[google.maps.ControlPosition.TOP_LEFT].push(c),c={googleControl:c,mapObject:d,count:1},OpenLayers.Layer.Google.cache[this.map.id]=c);this.mapObject=d;this.setGMapVisibility(this.visibility)},onMapResize:function(){this.visibility&&google.maps.event.trigger(this.mapObject,"resize")},setGMapVisibility:function(j){var i=OpenLayers.Layer.Google.cache[this.map.id],p=this.map;if(i){for(var o=this.type,n=p.layers,m,l=n.length-1;0<=l;--l){if(m=n[l],m instanceof OpenLayers.Layer.Google&&!0===m.visibility&&!0===m.inRange){o=m.type;j=!0;break}}n=this.mapObject.getDiv();if(!0===j){if(n.parentNode!==p.div){if(i.rendered){p.div.appendChild(n),i.googleControl.appendChild(p.viewPortDiv),google.maps.event.trigger(this.mapObject,"resize")}else{var k=this;google.maps.event.addListenerOnce(this.mapObject,"tilesloaded",function(){i.rendered=!0;k.setGMapVisibility(k.getVisibility());k.moveTo(k.map.getCenter())})}}this.mapObject.setMapTypeId(o)}else{i.googleControl.hasChildNodes()&&(p.div.appendChild(p.viewPortDiv),p.div.removeChild(n))}}},getMapContainer:function(){return this.mapObject.getDiv()},getMapObjectBoundsFromOLBounds:function(d){var c=null;null!=d&&(c=this.sphericalMercator?this.inverseMercator(d.bottom,d.left):new OpenLayers.LonLat(d.bottom,d.left),d=this.sphericalMercator?this.inverseMercator(d.top,d.right):new OpenLayers.LonLat(d.top,d.right),c=new google.maps.LatLngBounds(new google.maps.LatLng(c.lat,c.lon),new google.maps.LatLng(d.lat,d.lon)));return c},getMapObjectLonLatFromMapObjectPixel:function(g){var f=this.map.getSize(),j=this.getLongitudeFromMapObjectLonLat(this.mapObject.center),i=this.getLatitudeFromMapObjectLonLat(this.mapObject.center),h=this.map.getResolution();g=new OpenLayers.LonLat(j+(g.x-f.w/2)*h,i-(g.y-f.h/2)*h);this.wrapDateLine&&(g=g.wrapDateLine(this.maxExtent));return this.getMapObjectLonLatFromLonLat(g.lon,g.lat)},getMapObjectPixelFromMapObjectLonLat:function(f){var e=this.getLongitudeFromMapObjectLonLat(f);f=this.getLatitudeFromMapObjectLonLat(f);var h=this.map.getResolution(),g=this.map.getExtent();return this.getMapObjectPixelFromXY(1/h*(e-g.left),1/h*(g.top-f))},setMapObjectCenter:function(e,d){if(!1===this.animationEnabled&&d!=this.mapObject.zoom){var f=this.getMapContainer();google.maps.event.addListenerOnce(this.mapObject,"idle",function(){f.style.visibility=""});f.style.visibility="hidden"}this.mapObject.setOptions({center:e,zoom:d})},getMapObjectZoomFromMapObjectBounds:function(b){return this.mapObject.getBoundsZoomLevel(b)},getMapObjectLonLatFromLonLat:function(e,d){var f;this.sphericalMercator?(f=this.inverseMercator(e,d),f=new google.maps.LatLng(f.lat,f.lon)):f=new google.maps.LatLng(d,e);return f},getMapObjectPixelFromXY:function(d,c){return new google.maps.Point(d,c)}};OpenLayers.Format.WPSDescribeProcess=OpenLayers.Class(OpenLayers.Format.XML,{VERSION:"1.0.0",namespaces:{wps:"http://www.opengis.net/wps/1.0.0",ows:"http://www.opengis.net/ows/1.1",xsi:"http://www.w3.org/2001/XMLSchema-instance"},schemaLocation:"http://www.opengis.net/wps/1.0.0 http://schemas.opengis.net/wps/1.0.0/wpsAll.xsd",defaultPrefix:"wps",regExes:{trimSpace:/^\s*|\s*$/g,removeSpace:/\s*/g,splitSpace:/\s+/,trimComma:/\s*,\s*/g},read:function(d){"string"==typeof d&&(d=OpenLayers.Format.XML.prototype.read.apply(this,[d]));d&&9==d.nodeType&&(d=d.documentElement);var c={};this.readNode(d,c);return c},readers:{wps:{ProcessDescriptions:function(d,c){c.processDescriptions={};this.readChildNodes(d,c.processDescriptions)},ProcessDescription:function(e,d){var f={processVersion:this.getAttributeNS(e,this.namespaces.wps,"processVersion"),statusSupported:"true"===e.getAttribute("statusSupported"),storeSupported:"true"===e.getAttribute("storeSupported")};this.readChildNodes(e,f);d[f.identifier]=f},DataInputs:function(d,c){c.dataInputs=[];this.readChildNodes(d,c.dataInputs)},ProcessOutputs:function(d,c){c.processOutputs=[];this.readChildNodes(d,c.processOutputs)},Output:function(e,d){var f={};this.readChildNodes(e,f);d.push(f)},ComplexOutput:function(d,c){c.complexOutput={};this.readChildNodes(d,c.complexOutput)},LiteralOutput:function(d,c){c.literalOutput={};this.readChildNodes(d,c.literalOutput)},Input:function(e,d){var f={maxOccurs:parseInt(e.getAttribute("maxOccurs")),minOccurs:parseInt(e.getAttribute("minOccurs"))};this.readChildNodes(e,f);d.push(f)},BoundingBoxData:function(d,c){c.boundingBoxData={};this.readChildNodes(d,c.boundingBoxData)},CRS:function(d,c){c.CRSs||(c.CRSs={});c.CRSs[this.getChildValue(d)]=!0},LiteralData:function(d,c){c.literalData={};this.readChildNodes(d,c.literalData)},ComplexData:function(d,c){c.complexData={};this.readChildNodes(d,c.complexData)},Default:function(d,c){c["default"]={};this.readChildNodes(d,c["default"])},Supported:function(d,c){c.supported={};this.readChildNodes(d,c.supported)},Format:function(e,d){var f={};this.readChildNodes(e,f);d.formats||(d.formats={});d.formats[f.mimeType]=!0},MimeType:function(d,c){c.mimeType=this.getChildValue(d)}},ows:OpenLayers.Format.OWSCommon.v1_1_0.prototype.readers.ows},CLASS_NAME:"OpenLayers.Format.WPSDescribeProcess"});OpenLayers.Format.WKT=OpenLayers.Class(OpenLayers.Format,{initialize:function(b){this.regExes={typeStr:/^\s*(\w+)\s*\(\s*(.*)\s*\)\s*$/,spaces:/\s+/,parenComma:/\)\s*,\s*\(/,doubleParenComma:/\)\s*\)\s*,\s*\(\s*\(/,trimParens:/^\s*\(?(.*?)\)?\s*$/};OpenLayers.Format.prototype.initialize.apply(this,[b])},read:function(e){var d,f;e=e.replace(/[\n\r]/g," ");if(f=this.regExes.typeStr.exec(e)){if(e=f[1].toLowerCase(),f=f[2],this.parse[e]&&(d=this.parse[e].apply(this,[f])),this.internalProjection&&this.externalProjection){if(d&&"OpenLayers.Feature.Vector"==d.CLASS_NAME){d.geometry.transform(this.externalProjection,this.internalProjection)}else{if(d&&"geometrycollection"!=e&&"object"==typeof d){for(e=0,f=d.length;e<f;e++){d[e].geometry.transform(this.externalProjection,this.internalProjection)}}}}}return d},write:function(h){var g,l;h.constructor==Array?l=!0:(h=[h],l=!1);var k=[];l&&k.push("GEOMETRYCOLLECTION(");for(var j=0,i=h.length;j<i;++j){l&&0<j&&k.push(","),g=h[j].geometry,k.push(this.extractGeometry(g))}l&&k.push(")");return k.join("")},extractGeometry:function(d){var c=d.CLASS_NAME.split(".")[2].toLowerCase();if(!this.extract[c]){return null}this.internalProjection&&this.externalProjection&&(d=d.clone(),d.transform(this.internalProjection,this.externalProjection));return("collection"==c?"GEOMETRYCOLLECTION":c.toUpperCase())+"("+this.extract[c].apply(this,[d])+")"},extract:{point:function(b){return b.x+" "+b.y},multipoint:function(f){for(var e=[],h=0,g=f.components.length;h<g;++h){e.push("("+this.extract.point.apply(this,[f.components[h]])+")")}return e.join(",")},linestring:function(f){for(var e=[],h=0,g=f.components.length;h<g;++h){e.push(this.extract.point.apply(this,[f.components[h]]))}return e.join(",")},multilinestring:function(f){for(var e=[],h=0,g=f.components.length;h<g;++h){e.push("("+this.extract.linestring.apply(this,[f.components[h]])+")")}return e.join(",")},polygon:function(f){for(var e=[],h=0,g=f.components.length;h<g;++h){e.push("("+this.extract.linestring.apply(this,[f.components[h]])+")")}return e.join(",")},multipolygon:function(f){for(var e=[],h=0,g=f.components.length;h<g;++h){e.push("("+this.extract.polygon.apply(this,[f.components[h]])+")")}return e.join(",")},collection:function(f){for(var e=[],h=0,g=f.components.length;h<g;++h){e.push(this.extractGeometry.apply(this,[f.components[h]]))}return e.join(",")}},parse:{point:function(b){b=OpenLayers.String.trim(b).split(this.regExes.spaces);return new OpenLayers.Feature.Vector(new OpenLayers.Geometry.Point(b[0],b[1]))},multipoint:function(g){for(var f=OpenLayers.String.trim(g).split(","),j=[],i=0,h=f.length;i<h;++i){g=f[i].replace(this.regExes.trimParens,"$1"),j.push(this.parse.point.apply(this,[g]).geometry)}return new OpenLayers.Feature.Vector(new OpenLayers.Geometry.MultiPoint(j))},linestring:function(f){f=OpenLayers.String.trim(f).split(",");for(var e=[],h=0,g=f.length;h<g;++h){e.push(this.parse.point.apply(this,[f[h]]).geometry)}return new OpenLayers.Feature.Vector(new OpenLayers.Geometry.LineString(e))},multilinestring:function(g){for(var f=OpenLayers.String.trim(g).split(this.regExes.parenComma),j=[],i=0,h=f.length;i<h;++i){g=f[i].replace(this.regExes.trimParens,"$1"),j.push(this.parse.linestring.apply(this,[g]).geometry)}return new OpenLayers.Feature.Vector(new OpenLayers.Geometry.MultiLineString(j))},polygon:function(g){var f;g=OpenLayers.String.trim(g).split(this.regExes.parenComma);for(var j=[],i=0,h=g.length;i<h;++i){f=g[i].replace(this.regExes.trimParens,"$1"),f=this.parse.linestring.apply(this,[f]).geometry,f=new OpenLayers.Geometry.LinearRing(f.components),j.push(f)}return new OpenLayers.Feature.Vector(new OpenLayers.Geometry.Polygon(j))},multipolygon:function(g){for(var f=OpenLayers.String.trim(g).split(this.regExes.doubleParenComma),j=[],i=0,h=f.length;i<h;++i){g=f[i].replace(this.regExes.trimParens,"$1"),j.push(this.parse.polygon.apply(this,[g]).geometry)}return new OpenLayers.Feature.Vector(new OpenLayers.Geometry.MultiPolygon(j))},geometrycollection:function(f){f=f.replace(/,\s*([A-Za-z])/g,"|$1");f=OpenLayers.String.trim(f).split("|");for(var e=[],h=0,g=f.length;h<g;++h){e.push(OpenLayers.Format.WKT.prototype.read.apply(this,[f[h]]))}return e}},CLASS_NAME:"OpenLayers.Format.WKT"});OpenLayers.WPSProcess=OpenLayers.Class({client:null,server:null,identifier:null,description:null,localWPS:"http://geoserver/wps",formats:null,chained:0,executeCallbacks:null,initialize:function(b){OpenLayers.Util.extend(this,b);this.executeCallbacks=[];this.formats={"application/wkt":new OpenLayers.Format.WKT,"application/json":new OpenLayers.Format.GeoJSON}},describe:function(d){d=d||{};if(!this.description){this.client.describeProcess(this.server,this.identifier,function(a){this.description||this.parseDescription(a);d.callback&&d.callback.call(d.scope,this.description)},this)}else{if(d.callback){var c=this.description;window.setTimeout(function(){d.callback.call(d.scope,c)},0)}}},configure:function(b){this.describe({callback:function(){var a=this.description,j=b.inputs,i,h,g;h=0;for(g=a.dataInputs.length;h<g;++h){i=a.dataInputs[h],this.setInputData(i,j[i.identifier])}b.callback&&b.callback.call(b.scope)},scope:this});return this},execute:function(b){this.configure({inputs:b.inputs,callback:function(){var a=this,f=this.getOutputIndex(a.description.processOutputs,b.output);a.setResponseForm({outputIndex:f});(function d(){OpenLayers.Util.removeItem(a.executeCallbacks,d);0!==a.chained?a.executeCallbacks.push(d):OpenLayers.Request.POST({url:a.client.servers[a.server].url,data:(new OpenLayers.Format.WPSExecute).write(a.description),success:function(h){var c=a.findMimeType(a.description.processOutputs[f].complexOutput.supported.formats);h=a.formats[c].read(h.responseText);h instanceof OpenLayers.Feature.Vector&&(h=[h]);b.success&&(c={},c[b.output||"result"]=h,b.success.call(b.scope,c))},scope:a})})()},scope:this})},output:function(b){return new OpenLayers.WPSProcess.ChainLink({process:this,output:b})},parseDescription:function(b){b=this.client.servers[this.server];this.description=(new OpenLayers.Format.WPSDescribeProcess).read(b.processDescription[this.identifier]).processDescriptions[this.identifier]},setInputData:function(e,d){delete e.data;delete e.reference;if(d instanceof OpenLayers.WPSProcess.ChainLink){++this.chained,e.reference={method:"POST",href:d.process.server===this.server?this.localWPS:this.client.servers[d.process.server].url},d.process.describe({callback:function(){--this.chained;this.chainProcess(e,d)},scope:this})}else{e.data={};var f=e.complexData;f?(f=this.findMimeType(f.supported.formats),e.data.complexData={mimeType:f,value:this.formats[f].write(this.toFeatures(d))}):e.data.literalData={value:d}}},setResponseForm:function(d){d=d||{};var c=this.description.processOutputs[d.outputIndex||0];this.description.responseForm={rawDataOutput:{identifier:c.identifier,mimeType:this.findMimeType(c.complexOutput.supported.formats,d.supportedFormats)}}},getOutputIndex:function(f,e){var h;if(e){for(var g=f.length-1;0<=g;--g){if(f[g].identifier===e){h=g;break}}}else{h=0}return h},chainProcess:function(f,e){var h=this.getOutputIndex(e.process.description.processOutputs,e.output);f.reference.mimeType=this.findMimeType(f.complexData.supported.formats,e.process.description.processOutputs[h].complexOutput.supported.formats);var g={};g[f.reference.mimeType]=!0;e.process.setResponseForm({outputIndex:h,supportedFormats:g});for(f.reference.body=e.process.description;0<this.executeCallbacks.length;){this.executeCallbacks[0]()}},toFeatures:function(h){var g=OpenLayers.Util.isArray(h);g||(h=[h]);for(var l=Array(h.length),k,j=0,i=h.length;j<i;++j){k=h[j],l[j]=k instanceof OpenLayers.Feature.Vector?k:new OpenLayers.Feature.Vector(k)}return g?l:l[0]},findMimeType:function(e,d){d=d||this.formats;for(var f in e){if(f in d){return f}}},CLASS_NAME:"OpenLayers.WPSProcess"});OpenLayers.WPSProcess.ChainLink=OpenLayers.Class({process:null,output:null,initialize:function(b){OpenLayers.Util.extend(this,b)},CLASS_NAME:"OpenLayers.WPSProcess.ChainLink"});OpenLayers.WPSClient=OpenLayers.Class({servers:null,version:"1.0.0",lazy:!1,events:null,initialize:function(d){OpenLayers.Util.extend(this,d);this.events=new OpenLayers.Events(this);this.servers={};for(var c in d.servers){this.servers[c]="string"==typeof d.servers[c]?{url:d.servers[c],version:this.version,processDescription:{}}:d.servers[c]}},execute:function(b){this.getProcess(b.server,b.process).execute({inputs:b.inputs,success:b.success,scope:b.scope})},getProcess:function(e,d){var f=new OpenLayers.WPSProcess({client:this,server:e,identifier:d});this.lazy||f.describe();return f},describeProcess:function(h,f,l,k){var j=this.servers[h];j.processDescription[f]?window.setTimeout(function(){l.call(k,j.processDescription[f])},0):f in j.processDescription?this.events.register("describeprocess",this,function i(b){b.identifier===f&&(this.events.unregister("describeprocess",this,i),l.call(k,b.raw))}):(j.processDescription[f]=null,OpenLayers.Request.GET({url:j.url,params:{SERVICE:"WPS",VERSION:j.version,REQUEST:"DescribeProcess",IDENTIFIER:f},success:function(b){j.processDescription[f]=b.responseText;this.events.triggerEvent("describeprocess",{identifier:f,raw:b.responseText})},scope:this}))},destroy:function(){this.events.destroy();this.servers=this.events=null},CLASS_NAME:"OpenLayers.WPSClient"});OpenLayers.Format.CSWGetRecords.v2_0_2=OpenLayers.Class(OpenLayers.Format.XML,{namespaces:{csw:"http://www.opengis.net/cat/csw/2.0.2",dc:"http://purl.org/dc/elements/1.1/",dct:"http://purl.org/dc/terms/",gmd:"http://www.isotc211.org/2005/gmd",geonet:"http://www.fao.org/geonetwork",ogc:"http://www.opengis.net/ogc",ows:"http://www.opengis.net/ows",xlink:"http://www.w3.org/1999/xlink",xsi:"http://www.w3.org/2001/XMLSchema-instance"},defaultPrefix:"csw",version:"2.0.2",schemaLocation:"http://www.opengis.net/cat/csw/2.0.2 http://schemas.opengis.net/csw/2.0.2/CSW-discovery.xsd",requestId:null,resultType:null,outputFormat:null,outputSchema:null,startPosition:null,maxRecords:null,DistributedSearch:null,ResponseHandler:null,Query:null,regExes:{trimSpace:/^\s*|\s*$/g,removeSpace:/\s*/g,splitSpace:/\s+/,trimComma:/\s*,\s*/g},initialize:function(b){OpenLayers.Format.XML.prototype.initialize.apply(this,[b])},read:function(d){"string"==typeof d&&(d=OpenLayers.Format.XML.prototype.read.apply(this,[d]));d&&9==d.nodeType&&(d=d.documentElement);var c={};this.readNode(d,c);return c},readers:{csw:{GetRecordsResponse:function(e,d){d.records=[];this.readChildNodes(e,d);var f=this.getAttributeNS(e,"","version");""!=f&&(d.version=f)},RequestId:function(d,c){c.RequestId=this.getChildValue(d)},SearchStatus:function(e,d){d.SearchStatus={};var f=this.getAttributeNS(e,"","timestamp");""!=f&&(d.SearchStatus.timestamp=f)},SearchResults:function(h,g){this.readChildNodes(h,g);for(var l=h.attributes,k={},j=0,i=l.length;j<i;++j){k[l[j].name]="numberOfRecordsMatched"==l[j].name||"numberOfRecordsReturned"==l[j].name||"nextRecord"==l[j].name?parseInt(l[j].nodeValue):l[j].nodeValue}g.SearchResults=k},SummaryRecord:function(e,d){var f={type:"SummaryRecord"};this.readChildNodes(e,f);d.records.push(f)},BriefRecord:function(e,d){var f={type:"BriefRecord"};this.readChildNodes(e,f);d.records.push(f)},DCMIRecord:function(e,d){var f={type:"DCMIRecord"};this.readChildNodes(e,f);d.records.push(f)},Record:function(e,d){var f={type:"Record"};this.readChildNodes(e,f);d.records.push(f)},"*":function(e,d){var f=e.localName||e.nodeName.split(":").pop();d[f]=this.getChildValue(e)}},geonet:{info:function(e,d){var f={};this.readChildNodes(e,f);d.gninfo=f}},dc:{"*":function(i,h){var n=i.localName||i.nodeName.split(":").pop();OpenLayers.Util.isArray(h[n])||(h[n]=[]);for(var m={},l=i.attributes,k=0,j=l.length;k<j;++k){m[l[k].name]=l[k].nodeValue}m.value=this.getChildValue(i);""!=m.value&&h[n].push(m)}},dct:{"*":function(e,d){var f=e.localName||e.nodeName.split(":").pop();OpenLayers.Util.isArray(d[f])||(d[f]=[]);d[f].push(this.getChildValue(e))}},ows:OpenLayers.Util.applyDefaults({BoundingBox:function(d,c){c.bounds&&(c.BoundingBox=[{crs:c.projection,value:[c.bounds.left,c.bounds.bottom,c.bounds.right,c.bounds.top]}],delete c.projection,delete c.bounds);OpenLayers.Format.OWSCommon.v1_0_0.prototype.readers.ows.BoundingBox.apply(this,arguments)}},OpenLayers.Format.OWSCommon.v1_0_0.prototype.readers.ows)},write:function(b){b=this.writeNode("csw:GetRecords",b);b.setAttribute("xmlns:gmd",this.namespaces.gmd);return OpenLayers.Format.XML.prototype.write.apply(this,[b])},writers:{csw:{GetRecords:function(g){g||(g={});var f=this.createElementNSPlus("csw:GetRecords",{attributes:{service:"CSW",version:this.version,requestId:g.requestId||this.requestId,resultType:g.resultType||this.resultType,outputFormat:g.outputFormat||this.outputFormat,outputSchema:g.outputSchema||this.outputSchema,startPosition:g.startPosition||this.startPosition,maxRecords:g.maxRecords||this.maxRecords}});(g.DistributedSearch||this.DistributedSearch)&&this.writeNode("csw:DistributedSearch",g.DistributedSearch||this.DistributedSearch,f);var j=g.ResponseHandler||this.ResponseHandler;if(OpenLayers.Util.isArray(j)&&0<j.length){for(var i=0,h=j.length;i<h;i++){this.writeNode("csw:ResponseHandler",j[i],f)}}this.writeNode("Query",g.Query||this.Query,f);return f},DistributedSearch:function(b){return this.createElementNSPlus("csw:DistributedSearch",{attributes:{hopCount:b.hopCount}})},ResponseHandler:function(b){return this.createElementNSPlus("csw:ResponseHandler",{value:b.value})},Query:function(g){g||(g={});var f=this.createElementNSPlus("csw:Query",{attributes:{typeNames:g.typeNames||"csw:Record"}}),j=g.ElementName;if(OpenLayers.Util.isArray(j)&&0<j.length){for(var i=0,h=j.length;i<h;i++){this.writeNode("csw:ElementName",j[i],f)}}else{this.writeNode("csw:ElementSetName",g.ElementSetName||{value:"summary"},f)}g.Constraint&&this.writeNode("csw:Constraint",g.Constraint,f);g.SortBy&&this.writeNode("ogc:SortBy",g.SortBy,f);return f},ElementName:function(b){return this.createElementNSPlus("csw:ElementName",{value:b.value})},ElementSetName:function(b){return this.createElementNSPlus("csw:ElementSetName",{attributes:{typeNames:b.typeNames},value:b.value})},Constraint:function(e){var d=this.createElementNSPlus("csw:Constraint",{attributes:{version:e.version}});if(e.Filter){var f=new OpenLayers.Format.Filter({version:e.version});d.appendChild(f.write(e.Filter))}else{e.CqlText&&(e=this.createElementNSPlus("CqlText",{value:e.CqlText.value}),d.appendChild(e))}return d}},ogc:OpenLayers.Format.Filter.v1_1_0.prototype.writers.ogc},CLASS_NAME:"OpenLayers.Format.CSWGetRecords.v2_0_2"});OpenLayers.Marker.Box=OpenLayers.Class(OpenLayers.Marker,{bounds:null,div:null,initialize:function(e,d,f){this.bounds=e;this.div=OpenLayers.Util.createDiv();this.div.style.overflow="hidden";this.events=new OpenLayers.Events(this,this.div);this.setBorder(d,f)},destroy:function(){this.div=this.bounds=null;OpenLayers.Marker.prototype.destroy.apply(this,arguments)},setBorder:function(d,c){d||(d="red");c||(c=2);this.div.style.border=c+"px solid "+d},draw:function(d,c){OpenLayers.Util.modifyDOMElement(this.div,null,d,c);return this.div},onScreen:function(){var b=!1;this.map&&(b=this.map.getExtent().containsBounds(this.bounds,!0,!0));return b},display:function(b){this.div.style.display=b?"":"none"},CLASS_NAME:"OpenLayers.Marker.Box"});OpenLayers.Format.Text=OpenLayers.Class(OpenLayers.Format,{defaultStyle:null,extractStyles:!0,initialize:function(b){b=b||{};!1!==b.extractStyles&&(b.defaultStyle={externalGraphic:OpenLayers.Util.getImageLocation("marker.png"),graphicWidth:21,graphicHeight:25,graphicXOffset:-10.5,graphicYOffset:-12.5});OpenLayers.Format.prototype.initialize.apply(this,[b])},read:function(v){v=v.split("\n");for(var u,t=[],s=0;s<v.length-1;s++){var r=v[s].replace(/^\s*/,"").replace(/\s*$/,"");if("#"!=r.charAt(0)){if(u){for(var r=r.split("\t"),q=new OpenLayers.Geometry.Point(0,0),p={},o=this.defaultStyle?OpenLayers.Util.applyDefaults({},this.defaultStyle):null,n=!1,j=0;j<r.length;j++){if(r[j]){if("point"==u[j]){n=r[j].split(","),q.y=parseFloat(n[0]),q.x=parseFloat(n[1]),n=!0}else{if("lat"==u[j]){q.y=parseFloat(r[j]),n=!0}else{if("lon"==u[j]){q.x=parseFloat(r[j]),n=!0}else{if("title"==u[j]){p.title=r[j]}else{if("image"==u[j]||"icon"==u[j]&&o){o.externalGraphic=r[j]}else{if("iconSize"==u[j]&&o){var i=r[j].split(",");o.graphicWidth=parseFloat(i[0]);o.graphicHeight=parseFloat(i[1])}else{"iconOffset"==u[j]&&o?(i=r[j].split(","),o.graphicXOffset=parseFloat(i[0]),o.graphicYOffset=parseFloat(i[1])):"description"==u[j]?p.description=r[j]:"overflow"==u[j]?p.overflow=r[j]:p[u[j]]=r[j]}}}}}}}}n&&(this.internalProjection&&this.externalProjection&&q.transform(this.externalProjection,this.internalProjection),r=new OpenLayers.Feature.Vector(q,p,o),t.push(r))}else{u=r.split("\t")}}}return t},CLASS_NAME:"OpenLayers.Format.Text"});OpenLayers.Layer.Text=OpenLayers.Class(OpenLayers.Layer.Markers,{location:null,features:null,formatOptions:null,selectedFeature:null,initialize:function(d,c){OpenLayers.Layer.Markers.prototype.initialize.apply(this,arguments);this.features=[]},destroy:function(){OpenLayers.Layer.Markers.prototype.destroy.apply(this,arguments);this.clearFeatures();this.features=null},loadText:function(){this.loaded||null==this.location||(this.events.triggerEvent("loadstart"),OpenLayers.Request.GET({url:this.location,success:this.parseData,failure:function(b){this.events.triggerEvent("loadend")},scope:this}),this.loaded=!0)},moveTo:function(e,d,f){OpenLayers.Layer.Markers.prototype.moveTo.apply(this,arguments);this.visibility&&!this.loaded&&this.loadText()},parseData:function(j){j=j.responseText;var i={};OpenLayers.Util.extend(i,this.formatOptions);this.map&&!this.projection.equals(this.map.getProjectionObject())&&(i.externalProjection=this.projection,i.internalProjection=this.map.getProjectionObject());j=(new OpenLayers.Format.Text(i)).read(j);for(var i=0,p=j.length;i<p;i++){var o={},n=j[i],m,l,k;m=new OpenLayers.LonLat(n.geometry.x,n.geometry.y);n.style.graphicWidth&&n.style.graphicHeight&&(l=new OpenLayers.Size(n.style.graphicWidth,n.style.graphicHeight));void 0!==n.style.graphicXOffset&&void 0!==n.style.graphicYOffset&&(k=new OpenLayers.Pixel(n.style.graphicXOffset,n.style.graphicYOffset));null!=n.style.externalGraphic?o.icon=new OpenLayers.Icon(n.style.externalGraphic,l,k):(o.icon=OpenLayers.Marker.defaultIcon(),null!=l&&o.icon.setSize(l));null!=n.attributes.title&&null!=n.attributes.description&&(o.popupContentHTML="<h2>"+n.attributes.title+"</h2><p>"+n.attributes.description+"</p>");o.overflow=n.attributes.overflow||"auto";o=new OpenLayers.Feature(this,m,o);this.features.push(o);m=o.createMarker();null!=n.attributes.title&&null!=n.attributes.description&&m.events.register("click",o,this.markerClick);this.addMarker(m)}this.events.triggerEvent("loadend")},markerClick:function(f){var e=this==this.layer.selectedFeature;this.layer.selectedFeature=e?null:this;for(var h=0,g=this.layer.map.popups.length;h<g;h++){this.layer.map.removePopup(this.layer.map.popups[h])}e||this.layer.map.addPopup(this.createPopup());OpenLayers.Event.stop(f)},clearFeatures:function(){if(null!=this.features){for(;0<this.features.length;){var b=this.features[0];OpenLayers.Util.removeItem(this.features,b);b.destroy()}}},CLASS_NAME:"OpenLayers.Layer.Text"});OpenLayers.Handler.RegularPolygon=OpenLayers.Class(OpenLayers.Handler.Drag,{sides:4,radius:null,snapAngle:null,snapToggle:"shiftKey",layerOptions:null,persist:!1,irregular:!1,citeCompliant:!1,angle:null,fixedRadius:!1,feature:null,layer:null,origin:null,initialize:function(e,d,f){f&&f.layerOptions&&f.layerOptions.styleMap||(this.style=OpenLayers.Util.extend(OpenLayers.Feature.Vector.style["default"],{}));OpenLayers.Handler.Drag.prototype.initialize.apply(this,[e,d,f]);this.options=f?f:{}},setOptions:function(b){OpenLayers.Util.extend(this.options,b);OpenLayers.Util.extend(this,b)},activate:function(){var b=!1;OpenLayers.Handler.Drag.prototype.activate.apply(this,arguments)&&(b=OpenLayers.Util.extend({displayInLayerSwitcher:!1,calculateInRange:OpenLayers.Function.True,wrapDateLine:this.citeCompliant},this.layerOptions),this.layer=new OpenLayers.Layer.Vector(this.CLASS_NAME,b),this.map.addLayer(this.layer),b=!0);return b},deactivate:function(){var b=!1;OpenLayers.Handler.Drag.prototype.deactivate.apply(this,arguments)&&(this.dragging&&this.cancel(),null!=this.layer.map&&(this.layer.destroy(!1),this.feature&&this.feature.destroy()),this.feature=this.layer=null,b=!0);return b},down:function(b){this.fixedRadius=!!this.radius;b=this.layer.getLonLatFromViewPortPx(b.xy);this.origin=new OpenLayers.Geometry.Point(b.lon,b.lat);if(!this.fixedRadius||this.irregular){this.radius=this.map.getResolution()}this.persist&&this.clear();this.feature=new OpenLayers.Feature.Vector;this.createGeometry();this.callback("create",[this.origin,this.feature]);this.layer.addFeatures([this.feature],{silent:!0});this.layer.drawFeature(this.feature,this.style)},move:function(e){var d=this.layer.getLonLatFromViewPortPx(e.xy),d=new OpenLayers.Geometry.Point(d.lon,d.lat);this.irregular?(e=Math.sqrt(2)*Math.abs(d.y-this.origin.y)/2,this.radius=Math.max(this.map.getResolution()/2,e)):this.fixedRadius?this.origin=d:(this.calculateAngle(d,e),this.radius=Math.max(this.map.getResolution()/2,d.distanceTo(this.origin)));this.modifyGeometry();if(this.irregular){e=d.x-this.origin.x;var d=d.y-this.origin.y,f;f=0==d?e/(this.radius*Math.sqrt(2)):e/d;this.feature.geometry.resize(1,this.origin,f);this.feature.geometry.move(e/2,d/2)}this.layer.drawFeature(this.feature,this.style)},up:function(b){this.finalize();this.start==this.last&&this.callback("done",[b.xy])},out:function(b){this.finalize()},createGeometry:function(){this.angle=Math.PI*(1/this.sides-0.5);this.snapAngle&&(this.angle+=this.snapAngle*(Math.PI/180));this.feature.geometry=OpenLayers.Geometry.Polygon.createRegularPolygon(this.origin,this.radius,this.sides,this.snapAngle)},modifyGeometry:function(){var f,e,h=this.feature.geometry.components[0];h.components.length!=this.sides+1&&(this.createGeometry(),h=this.feature.geometry.components[0]);for(var g=0;g<this.sides;++g){e=h.components[g],f=this.angle+2*g*Math.PI/this.sides,e.x=this.origin.x+this.radius*Math.cos(f),e.y=this.origin.y+this.radius*Math.sin(f),e.clearBounds()}},calculateAngle:function(f,e){var h=Math.atan2(f.y-this.origin.y,f.x-this.origin.x);if(this.snapAngle&&this.snapToggle&&!e[this.snapToggle]){var g=Math.PI/180*this.snapAngle;this.angle=Math.round(h/g)*g}else{this.angle=h}},cancel:function(){this.callback("cancel",null);this.finalize()},finalize:function(){this.origin=null;this.radius=this.options.radius},clear:function(){this.layer&&(this.layer.renderer.clear(),this.layer.destroyFeatures())},callback:function(d,c){this.callbacks[d]&&this.callbacks[d].apply(this.control,[this.feature.geometry.clone()]);this.persist||"done"!=d&&"cancel"!=d||this.clear()},CLASS_NAME:"OpenLayers.Handler.RegularPolygon"});OpenLayers.Control.SLDSelect=OpenLayers.Class(OpenLayers.Control,{clearOnDeactivate:!1,layers:null,callbacks:null,selectionSymbolizer:{Polygon:{fillColor:"#FF0000",stroke:!1},Line:{strokeColor:"#FF0000",strokeWidth:2},Point:{graphicName:"square",fillColor:"#FF0000",pointRadius:5}},layerOptions:null,sketchStyle:null,wfsCache:{},layerCache:{},initialize:function(d,c){OpenLayers.Control.prototype.initialize.apply(this,[c]);this.callbacks=OpenLayers.Util.extend({done:this.select,click:this.select},this.callbacks);this.handlerOptions=this.handlerOptions||{};this.layerOptions=OpenLayers.Util.applyDefaults(this.layerOptions,{displayInLayerSwitcher:!1,tileOptions:{maxGetUrlLength:2048}});this.sketchStyle&&(this.handlerOptions.layerOptions=OpenLayers.Util.applyDefaults(this.handlerOptions.layerOptions,{styleMap:new OpenLayers.StyleMap({"default":this.sketchStyle})}));this.handler=new d(this,this.callbacks,this.handlerOptions)},destroy:function(){for(var b in this.layerCache){delete this.layerCache[b]}for(b in this.wfsCache){delete this.wfsCache[b]}OpenLayers.Control.prototype.destroy.apply(this,arguments)},coupleLayerVisiblity:function(b){this.setVisibility(b.object.getVisibility())},createSelectionLayer:function(d){var c;if(this.layerCache[d.id]){c=this.layerCache[d.id]}else{c=new OpenLayers.Layer.WMS(d.name,d.url,d.params,OpenLayers.Util.applyDefaults(this.layerOptions,d.getOptions()));this.layerCache[d.id]=c;if(!1===this.layerOptions.displayInLayerSwitcher){d.events.on({visibilitychanged:this.coupleLayerVisiblity,scope:c})}this.map.addLayer(c)}return c},createSLD:function(t,s,r){for(var q={version:"1.0.0",namedLayers:{}},p=(""+t.params.LAYERS).split(","),o=0,n=p.length;o<n;o++){var m=p[o];q.namedLayers[m]={name:m,userStyles:[]};var j=this.selectionSymbolizer,i=r[o];0<=i.type.indexOf("Polygon")?j={Polygon:this.selectionSymbolizer.Polygon}:0<=i.type.indexOf("LineString")?j={Line:this.selectionSymbolizer.Line}:0<=i.type.indexOf("Point")&&(j={Point:this.selectionSymbolizer.Point});q.namedLayers[m].userStyles.push({name:"default",rules:[new OpenLayers.Rule({symbolizer:j,filter:s[o],maxScaleDenominator:t.options.minScale})]})}return(new OpenLayers.Format.SLD({srsName:this.map.getProjection()})).write(q)},parseDescribeLayer:function(g){var f=new OpenLayers.Format.WMSDescribeLayer,j=g.responseXML;j&&j.documentElement||(j=g.responseText);g=f.read(j);for(var f=[],j=null,i=0,h=g.length;i<h;i++){"WFS"==g[i].owsType&&(f.push(g[i].typeName),j=g[i].owsURL)}OpenLayers.Request.GET({url:j,params:{SERVICE:"WFS",TYPENAME:f.toString(),REQUEST:"DescribeFeatureType",VERSION:"1.0.0"},callback:function(e){var d=new OpenLayers.Format.WFSDescribeFeatureType,k=e.responseXML;k&&k.documentElement||(k=e.responseText);e=d.read(k);this.control.wfsCache[this.layer.id]=e;this.control._queue&&this.control.applySelection()},scope:this})},getGeometryAttributes:function(r){var q=[];r=this.wfsCache[r.id];for(var p=0,o=r.featureTypes.length;p<o;p++){for(var n=r.featureTypes[p].properties,m=0,l=n.length;m<l;m++){var j=n[m],i=j.type;(0<=i.indexOf("LineString")||0<=i.indexOf("GeometryAssociationType")||0<=i.indexOf("GeometryPropertyType")||0<=i.indexOf("Point")||0<=i.indexOf("Polygon"))&&q.push(j)}}return q},activate:function(){var f=OpenLayers.Control.prototype.activate.call(this);if(f){for(var e=0,h=this.layers.length;e<h;e++){var g=this.layers[e];g&&!this.wfsCache[g.id]&&OpenLayers.Request.GET({url:g.url,params:{SERVICE:"WMS",VERSION:g.params.VERSION,LAYERS:g.params.LAYERS,REQUEST:"DescribeLayer"},callback:this.parseDescribeLayer,scope:{layer:g,control:this}})}}return f},deactivate:function(){var h=OpenLayers.Control.prototype.deactivate.call(this);if(h){for(var g=0,l=this.layers.length;g<l;g++){var k=this.layers[g];if(k&&!0===this.clearOnDeactivate){var j=this.layerCache,i=j[k.id];i&&(k.events.un({visibilitychanged:this.coupleLayerVisiblity,scope:i}),i.destroy(),delete j[k.id])}}}return h},setLayers:function(b){this.active?(this.deactivate(),this.layers=b,this.activate()):this.layers=b},createFilter:function(e,d){var f=null;this.handler instanceof OpenLayers.Handler.RegularPolygon?f=!0===this.handler.irregular?new OpenLayers.Filter.Spatial({type:OpenLayers.Filter.Spatial.BBOX,property:e.name,value:d.getBounds()}):new OpenLayers.Filter.Spatial({type:OpenLayers.Filter.Spatial.INTERSECTS,property:e.name,value:d}):this.handler instanceof OpenLayers.Handler.Polygon?f=new OpenLayers.Filter.Spatial({type:OpenLayers.Filter.Spatial.INTERSECTS,property:e.name,value:d}):this.handler instanceof OpenLayers.Handler.Path?f=0<=e.type.indexOf("Point")?new OpenLayers.Filter.Spatial({type:OpenLayers.Filter.Spatial.DWITHIN,property:e.name,distance:0.01*this.map.getExtent().getWidth(),distanceUnits:this.map.getUnits(),value:d}):new OpenLayers.Filter.Spatial({type:OpenLayers.Filter.Spatial.INTERSECTS,property:e.name,value:d}):this.handler instanceof OpenLayers.Handler.Click&&(f=0<=e.type.indexOf("Polygon")?new OpenLayers.Filter.Spatial({type:OpenLayers.Filter.Spatial.INTERSECTS,property:e.name,value:d}):new OpenLayers.Filter.Spatial({type:OpenLayers.Filter.Spatial.DWITHIN,property:e.name,distance:0.01*this.map.getExtent().getWidth(),distanceUnits:this.map.getUnits(),value:d}));return f},select:function(b){this._queue=function(){for(var r=0,q=this.layers.length;r<q;r++){for(var p=this.layers[r],o=this.getGeometryAttributes(p),n=[],m=0,j=o.length;m<j;m++){var i=o[m];if(null!==i){if(!(b instanceof OpenLayers.Geometry)){var a=this.map.getLonLatFromPixel(b.xy);b=new OpenLayers.Geometry.Point(a.lon,a.lat)}i=this.createFilter(i,b);null!==i&&n.push(i)}}m=this.createSelectionLayer(p);this.events.triggerEvent("selected",{layer:p,filters:n});p=this.createSLD(p,n,o);m.mergeNewParams({SLD_BODY:p});delete this._queue}};this.applySelection()},applySelection:function(){for(var e=!0,d=0,f=this.layers.length;d<f;d++){if(!this.wfsCache[this.layers[d].id]){e=!1;break}}e&&this._queue.call(this)},CLASS_NAME:"OpenLayers.Control.SLDSelect"});OpenLayers.Control.Scale=OpenLayers.Class(OpenLayers.Control,{element:null,geodesic:!1,initialize:function(d,c){OpenLayers.Control.prototype.initialize.apply(this,[c]);this.element=OpenLayers.Util.getElement(d)},draw:function(){OpenLayers.Control.prototype.draw.apply(this,arguments);this.element||(this.element=document.createElement("div"),this.div.appendChild(this.element));this.map.events.register("moveend",this,this.updateScale);this.updateScale();return this.div},updateScale:function(){var b;if(!0===this.geodesic){if(!this.map.getUnits()){return}b=OpenLayers.INCHES_PER_UNIT;b=(this.map.getGeodesicPixelSize().w||0.000001)*b.km*OpenLayers.DOTS_PER_INCH}else{b=this.map.getScale()}b&&(b=9500<=b&&950000>=b?Math.round(b/1000)+"K":950000<=b?Math.round(b/1000000)+"M":Math.round(b),this.element.innerHTML=OpenLayers.i18n("Scale = 1 : ${scaleDenom}",{scaleDenom:b}))},CLASS_NAME:"OpenLayers.Control.Scale"});OpenLayers.Layer.MapGuide=OpenLayers.Class(OpenLayers.Layer.Grid,{isBaseLayer:!0,useHttpTile:!1,singleTile:!1,useOverlay:!1,useAsyncOverlay:!0,TILE_PARAMS:{operation:"GETTILEIMAGE",version:"1.2.0"},SINGLE_TILE_PARAMS:{operation:"GETMAPIMAGE",format:"PNG",locale:"en",clip:"1",version:"1.0.0"},OVERLAY_PARAMS:{operation:"GETDYNAMICMAPOVERLAYIMAGE",format:"PNG",locale:"en",clip:"1",version:"2.0.0"},FOLDER_PARAMS:{tileColumnsPerFolder:30,tileRowsPerFolder:30,format:"png",querystring:null},defaultSize:new OpenLayers.Size(300,300),tileOriginCorner:"tl",initialize:function(f,e,h,g){OpenLayers.Layer.Grid.prototype.initialize.apply(this,arguments);if(null==g||null==g.isBaseLayer){this.isBaseLayer="true"!=this.transparent&&!0!=this.transparent}g&&null!=g.useOverlay&&(this.useOverlay=g.useOverlay);this.singleTile?this.useOverlay?(OpenLayers.Util.applyDefaults(this.params,this.OVERLAY_PARAMS),this.useAsyncOverlay||(this.params.version="1.0.0")):OpenLayers.Util.applyDefaults(this.params,this.SINGLE_TILE_PARAMS):(this.useHttpTile?OpenLayers.Util.applyDefaults(this.params,this.FOLDER_PARAMS):OpenLayers.Util.applyDefaults(this.params,this.TILE_PARAMS),this.setTileSize(this.defaultSize))},clone:function(b){null==b&&(b=new OpenLayers.Layer.MapGuide(this.name,this.url,this.params,this.getOptions()));return b=OpenLayers.Layer.Grid.prototype.clone.apply(this,[b])},getURL:function(e){var d;d=e.getCenterLonLat();var f=this.map.getSize();this.singleTile?(e={setdisplaydpi:OpenLayers.DOTS_PER_INCH,setdisplayheight:f.h*this.ratio,setdisplaywidth:f.w*this.ratio,setviewcenterx:d.lon,setviewcentery:d.lat,setviewscale:this.map.getScale()},this.useOverlay&&!this.useAsyncOverlay&&(d={},d=OpenLayers.Util.extend(d,e),d.operation="GETVISIBLEMAPEXTENT",d.version="1.0.0",d.session=this.params.session,d.mapName=this.params.mapName,d.format="text/xml",d=this.getFullRequestString(d),OpenLayers.Request.GET({url:d,async:!1})),d=this.getFullRequestString(e)):(f=this.map.getResolution(),d=Math.floor((e.left-this.maxExtent.left)/f),d=Math.round(d/this.tileSize.w),e=Math.floor((this.maxExtent.top-e.top)/f),e=Math.round(e/this.tileSize.h),d=this.useHttpTile?this.getImageFilePath({tilecol:d,tilerow:e,scaleindex:this.resolutions.length-this.map.zoom-1}):this.getFullRequestString({tilecol:d,tilerow:e,scaleindex:this.resolutions.length-this.map.zoom-1}));return d},getFullRequestString:function(i,h){var n=null==h?this.url:h;"object"==typeof n&&(n=n[Math.floor(Math.random()*n.length)]);var m=n,l=OpenLayers.Util.extend({},this.params),l=OpenLayers.Util.extend(l,i),k=OpenLayers.Util.upperCaseObject(OpenLayers.Util.getParameters(n)),j;for(j in l){j.toUpperCase() in k&&delete l[j]}l=OpenLayers.Util.getParameterString(l);l=l.replace(/,/g,"+");""!=l&&(k=n.charAt(n.length-1),m="&"==k||"?"==k?m+l:-1==n.indexOf("?")?m+("?"+l):m+("&"+l));return m},getImageFilePath:function(g,f){var j=null==f?this.url:f;"object"==typeof j&&(j=j[Math.floor(Math.random()*j.length)]);var i="",h="";0>g.tilerow&&(i="-");i=0==g.tilerow?i+"0":i+Math.floor(Math.abs(g.tilerow/this.params.tileRowsPerFolder))*this.params.tileRowsPerFolder;0>g.tilecol&&(h="-");h=0==g.tilecol?h+"0":h+Math.floor(Math.abs(g.tilecol/this.params.tileColumnsPerFolder))*this.params.tileColumnsPerFolder;i="/S"+Math.floor(g.scaleindex)+"/"+this.params.basemaplayergroupname+"/R"+i+"/C"+h+"/"+g.tilerow%this.params.tileRowsPerFolder+"_"+g.tilecol%this.params.tileColumnsPerFolder+"."+this.params.format;this.params.querystring&&(i+="?"+this.params.querystring);return j+i},CLASS_NAME:"OpenLayers.Layer.MapGuide"});OpenLayers.Control.Measure=OpenLayers.Class(OpenLayers.Control,{callbacks:null,displaySystem:"metric",geodesic:!1,displaySystemUnits:{geographic:["dd"],english:["mi","ft","in"],metric:["km","m"]},partialDelay:300,delayedTrigger:null,persist:!1,immediate:!1,initialize:function(e,d){OpenLayers.Control.prototype.initialize.apply(this,[d]);var f={done:this.measureComplete,point:this.measurePartial};this.immediate&&(f.modify=this.measureImmediate);this.callbacks=OpenLayers.Util.extend(f,this.callbacks);this.handlerOptions=OpenLayers.Util.extend({persist:this.persist},this.handlerOptions);this.handler=new e(this,this.callbacks,this.handlerOptions)},deactivate:function(){this.cancelDelay();return OpenLayers.Control.prototype.deactivate.apply(this,arguments)},cancel:function(){this.cancelDelay();this.handler.cancel()},setImmediate:function(b){(this.immediate=b)?this.callbacks.modify=this.measureImmediate:delete this.callbacks.modify},updateHandler:function(e,d){var f=this.active;f&&this.deactivate();this.handler=new e(this,this.callbacks,d);f&&this.activate()},measureComplete:function(b){this.cancelDelay();this.measure(b,"measure")},measurePartial:function(d,c){this.cancelDelay();c=c.clone();this.handler.freehandMode(this.handler.evt)?this.measure(c,"measurepartial"):this.delayedTrigger=window.setTimeout(OpenLayers.Function.bind(function(){this.delayedTrigger=null;this.measure(c,"measurepartial")},this),this.partialDelay)},measureImmediate:function(e,d,f){f&&!this.handler.freehandMode(this.handler.evt)&&(this.cancelDelay(),this.measure(d.geometry,"measurepartial"))},cancelDelay:function(){null!==this.delayedTrigger&&(window.clearTimeout(this.delayedTrigger),this.delayedTrigger=null)},measure:function(f,e){var h,g;-1<f.CLASS_NAME.indexOf("LineString")?(h=this.getBestLength(f),g=1):(h=this.getBestArea(f),g=2);this.events.triggerEvent(e,{measure:h[0],units:h[1],order:g,geometry:f})},getBestArea:function(h){for(var g=this.displaySystemUnits[this.displaySystem],l,k,j=0,i=g.length;j<i&&!(l=g[j],k=this.getArea(h,l),1<k);++j){}return[k,l]},getArea:function(g,f){var j,i;this.geodesic?(j=g.getGeodesicArea(this.map.getProjectionObject()),i="m"):(j=g.getArea(),i=this.map.getUnits());var h=OpenLayers.INCHES_PER_UNIT[f];h&&(j*=Math.pow(OpenLayers.INCHES_PER_UNIT[i]/h,2));return j},getBestLength:function(h){for(var g=this.displaySystemUnits[this.displaySystem],l,k,j=0,i=g.length;j<i&&!(l=g[j],k=this.getLength(h,l),1<k);++j){}return[k,l]},getLength:function(g,f){var j,i;this.geodesic?(j=g.getGeodesicLength(this.map.getProjectionObject()),i="m"):(j=g.getLength(),i=this.map.getUnits());var h=OpenLayers.INCHES_PER_UNIT[f];h&&(j*=OpenLayers.INCHES_PER_UNIT[i]/h);return j},CLASS_NAME:"OpenLayers.Control.Measure"});OpenLayers.Format.WMC.v1_0_0=OpenLayers.Class(OpenLayers.Format.WMC.v1,{VERSION:"1.0.0",schemaLocation:"http://www.opengis.net/context http://schemas.opengis.net/context/1.0.0/context.xsd",initialize:function(b){OpenLayers.Format.WMC.v1.prototype.initialize.apply(this,[b])},read_wmc_SRS:function(g,f){var j=this.getChildValue(f);"object"!=typeof g.projections&&(g.projections={});for(var j=j.split(/ +/),i=0,h=j.length;i<h;i++){g.projections[j[i]]=!0}},write_wmc_Layer:function(f){var e=OpenLayers.Format.WMC.v1.prototype.write_wmc_Layer.apply(this,[f]);if(f.srs){var h=[],g;for(g in f.srs){h.push(g)}e.appendChild(this.createElementDefaultNS("SRS",h.join(" ")))}e.appendChild(this.write_wmc_FormatList(f));e.appendChild(this.write_wmc_StyleList(f));f.dimensions&&e.appendChild(this.write_wmc_DimensionList(f));e.appendChild(this.write_wmc_LayerExtension(f))},CLASS_NAME:"OpenLayers.Format.WMC.v1_0_0"});OpenLayers.Popup.Anchored=OpenLayers.Class(OpenLayers.Popup,{relativePosition:null,keepInMap:!0,anchor:null,initialize:function(i,h,n,m,l,k,j){OpenLayers.Popup.prototype.initialize.apply(this,[i,h,n,m,k,j]);this.anchor=null!=l?l:{size:new OpenLayers.Size(0,0),offset:new OpenLayers.Pixel(0,0)}},destroy:function(){this.relativePosition=this.anchor=null;OpenLayers.Popup.prototype.destroy.apply(this,arguments)},show:function(){this.updatePosition();OpenLayers.Popup.prototype.show.apply(this,arguments)},moveTo:function(d){var c=this.relativePosition;this.relativePosition=this.calculateRelativePosition(d);OpenLayers.Popup.prototype.moveTo.call(this,this.calculateNewPx(d));this.relativePosition!=c&&this.updateRelativePosition()},setSize:function(d){OpenLayers.Popup.prototype.setSize.apply(this,arguments);if(this.lonlat&&this.map){var c=this.map.getLayerPxFromLonLat(this.lonlat);this.moveTo(c)}},calculateRelativePosition:function(b){b=this.map.getLonLatFromLayerPx(b);b=this.map.getExtent().determineQuadrant(b);return OpenLayers.Bounds.oppositeQuadrant(b)},updateRelativePosition:function(){},calculateNewPx:function(e){e=e.offset(this.anchor.offset);var d=this.size||this.contentSize,f="t"==this.relativePosition.charAt(0);e.y+=f?-d.h:this.anchor.size.h;f="l"==this.relativePosition.charAt(1);e.x+=f?-d.w:this.anchor.size.w;return e},CLASS_NAME:"OpenLayers.Popup.Anchored"});OpenLayers.Popup.Framed=OpenLayers.Class(OpenLayers.Popup.Anchored,{imageSrc:null,imageSize:null,isAlphaImage:!1,positionBlocks:null,blocks:null,fixedRelativePosition:!1,initialize:function(i,h,n,m,l,k,j){OpenLayers.Popup.Anchored.prototype.initialize.apply(this,arguments);this.fixedRelativePosition&&(this.updateRelativePosition(),this.calculateRelativePosition=function(b){return this.relativePosition});this.contentDiv.style.position="absolute";this.contentDiv.style.zIndex=1;k&&(this.closeDiv.style.zIndex=1);this.groupDiv.style.position="absolute";this.groupDiv.style.top="0px";this.groupDiv.style.left="0px";this.groupDiv.style.height="100%";this.groupDiv.style.width="100%"},destroy:function(){this.isAlphaImage=this.imageSize=this.imageSrc=null;this.fixedRelativePosition=!1;this.positionBlocks=null;for(var d=0;d<this.blocks.length;d++){var c=this.blocks[d];c.image&&c.div.removeChild(c.image);c.image=null;c.div&&this.groupDiv.removeChild(c.div);c.div=null}this.blocks=null;OpenLayers.Popup.Anchored.prototype.destroy.apply(this,arguments)},setBackgroundColor:function(b){},setBorder:function(){},setOpacity:function(b){},setSize:function(b){OpenLayers.Popup.Anchored.prototype.setSize.apply(this,arguments);this.updateBlocks()},updateRelativePosition:function(){this.padding=this.positionBlocks[this.relativePosition].padding;if(this.closeDiv){var b=this.getContentDivPadding();this.closeDiv.style.right=b.right+this.padding.right+"px";this.closeDiv.style.top=b.top+this.padding.top+"px"}this.updateBlocks()},calculateNewPx:function(d){var c=OpenLayers.Popup.Anchored.prototype.calculateNewPx.apply(this,arguments);return c=c.offset(this.positionBlocks[this.relativePosition].offset)},createBlocks:function(){this.blocks=[];var e=null,d;for(d in this.positionBlocks){e=d;break}e=this.positionBlocks[e];for(d=0;d<e.blocks.length;d++){var f={};this.blocks.push(f);f.div=OpenLayers.Util.createDiv(this.id+"_FrameDecorationDiv_"+d,null,null,null,"absolute",null,"hidden",null);f.image=(this.isAlphaImage?OpenLayers.Util.createAlphaImageDiv:OpenLayers.Util.createImage)(this.id+"_FrameDecorationImg_"+d,null,this.imageSize,this.imageSrc,"absolute",null,null,null);f.div.appendChild(f.image);this.groupDiv.appendChild(f.div)}},updateBlocks:function(){this.blocks||this.createBlocks();if(this.size&&this.relativePosition){for(var t=this.positionBlocks[this.relativePosition],s=0;s<t.blocks.length;s++){var r=t.blocks[s],q=this.blocks[s],p=r.anchor.left,o=r.anchor.bottom,n=r.anchor.right,m=r.anchor.top,j=isNaN(r.size.w)?this.size.w-(n+p):r.size.w,i=isNaN(r.size.h)?this.size.h-(o+m):r.size.h;q.div.style.width=(0>j?0:j)+"px";q.div.style.height=(0>i?0:i)+"px";q.div.style.left=null!=p?p+"px":"";q.div.style.bottom=null!=o?o+"px":"";q.div.style.right=null!=n?n+"px":"";q.div.style.top=null!=m?m+"px":"";q.image.style.left=r.position.x+"px";q.image.style.top=r.position.y+"px"}this.contentDiv.style.left=this.padding.left+"px";this.contentDiv.style.top=this.padding.top+"px"}},CLASS_NAME:"OpenLayers.Popup.Framed"});OpenLayers.Popup.FramedCloud=OpenLayers.Class(OpenLayers.Popup.Framed,{contentDisplayClass:"olFramedCloudPopupContent",autoSize:!0,panMapIfOutOfView:!0,imageSize:new OpenLayers.Size(1276,736),isAlphaImage:!1,fixedRelativePosition:!1,positionBlocks:{tl:{offset:new OpenLayers.Pixel(44,0),padding:new OpenLayers.Bounds(8,40,8,9),blocks:[{size:new OpenLayers.Size("auto","auto"),anchor:new OpenLayers.Bounds(0,51,22,0),position:new OpenLayers.Pixel(0,0)},{size:new OpenLayers.Size(22,"auto"),anchor:new OpenLayers.Bounds(null,50,0,0),position:new OpenLayers.Pixel(-1238,0)},{size:new OpenLayers.Size("auto",19),anchor:new OpenLayers.Bounds(0,32,22,null),position:new OpenLayers.Pixel(0,-631)},{size:new OpenLayers.Size(22,18),anchor:new OpenLayers.Bounds(null,32,0,null),position:new OpenLayers.Pixel(-1238,-632)},{size:new OpenLayers.Size(81,35),anchor:new OpenLayers.Bounds(null,0,0,null),position:new OpenLayers.Pixel(0,-688)}]},tr:{offset:new OpenLayers.Pixel(-45,0),padding:new OpenLayers.Bounds(8,40,8,9),blocks:[{size:new OpenLayers.Size("auto","auto"),anchor:new OpenLayers.Bounds(0,51,22,0),position:new OpenLayers.Pixel(0,0)},{size:new OpenLayers.Size(22,"auto"),anchor:new OpenLayers.Bounds(null,50,0,0),position:new OpenLayers.Pixel(-1238,0)},{size:new OpenLayers.Size("auto",19),anchor:new OpenLayers.Bounds(0,32,22,null),position:new OpenLayers.Pixel(0,-631)},{size:new OpenLayers.Size(22,19),anchor:new OpenLayers.Bounds(null,32,0,null),position:new OpenLayers.Pixel(-1238,-631)},{size:new OpenLayers.Size(81,35),anchor:new OpenLayers.Bounds(0,0,null,null),position:new OpenLayers.Pixel(-215,-687)}]},bl:{offset:new OpenLayers.Pixel(45,0),padding:new OpenLayers.Bounds(8,9,8,40),blocks:[{size:new OpenLayers.Size("auto","auto"),anchor:new OpenLayers.Bounds(0,21,22,32),position:new OpenLayers.Pixel(0,0)},{size:new OpenLayers.Size(22,"auto"),anchor:new OpenLayers.Bounds(null,21,0,32),position:new OpenLayers.Pixel(-1238,0)},{size:new OpenLayers.Size("auto",21),anchor:new OpenLayers.Bounds(0,0,22,null),position:new OpenLayers.Pixel(0,-629)},{size:new OpenLayers.Size(22,21),anchor:new OpenLayers.Bounds(null,0,0,null),position:new OpenLayers.Pixel(-1238,-629)},{size:new OpenLayers.Size(81,33),anchor:new OpenLayers.Bounds(null,null,0,0),position:new OpenLayers.Pixel(-101,-674)}]},br:{offset:new OpenLayers.Pixel(-44,0),padding:new OpenLayers.Bounds(8,9,8,40),blocks:[{size:new OpenLayers.Size("auto","auto"),anchor:new OpenLayers.Bounds(0,21,22,32),position:new OpenLayers.Pixel(0,0)},{size:new OpenLayers.Size(22,"auto"),anchor:new OpenLayers.Bounds(null,21,0,32),position:new OpenLayers.Pixel(-1238,0)},{size:new OpenLayers.Size("auto",21),anchor:new OpenLayers.Bounds(0,0,22,null),position:new OpenLayers.Pixel(0,-629)},{size:new OpenLayers.Size(22,21),anchor:new OpenLayers.Bounds(null,0,0,null),position:new OpenLayers.Pixel(-1238,-629)},{size:new OpenLayers.Size(81,33),anchor:new OpenLayers.Bounds(0,null,null,0),position:new OpenLayers.Pixel(-311,-674)}]}},minSize:new OpenLayers.Size(105,10),maxSize:new OpenLayers.Size(1200,660),initialize:function(i,h,n,m,l,k,j){this.imageSrc=OpenLayers.Util.getImageLocation("cloud-popup-relative.png");OpenLayers.Popup.Framed.prototype.initialize.apply(this,arguments);this.contentDiv.className=this.contentDisplayClass},CLASS_NAME:"OpenLayers.Popup.FramedCloud"});OpenLayers.Tile.Image.IFrame={useIFrame:null,blankImageUrl:"data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAQAIBRAA7",draw:function(){if(OpenLayers.Tile.Image.prototype.shouldDraw.call(this)){var d=this.layer.getURL(this.bounds),c=this.useIFrame;this.useIFrame=null!==this.maxGetUrlLength&&!this.layer.async&&d.length>this.maxGetUrlLength;d=c&&!this.useIFrame;c=!c&&this.useIFrame;if(d||c){this.imgDiv&&this.imgDiv.parentNode===this.frame&&this.frame.removeChild(this.imgDiv),this.imgDiv=null,d&&this.frame.removeChild(this.frame.firstChild)}}return OpenLayers.Tile.Image.prototype.draw.apply(this,arguments)},getImage:function(){if(!0===this.useIFrame){if(!this.frame.childNodes.length){var d=document.createElement("div"),c=d.style;c.position="absolute";c.width="100%";c.height="100%";c.zIndex=1;c.backgroundImage="url("+this.blankImageUrl+")";this.frame.appendChild(d)}d=this.id+"_iFrame";9>parseFloat(navigator.appVersion.split("MSIE")[1])?(c=document.createElement('<iframe name="'+d+'">'),c.style.backgroundColor="#FFFFFF",c.style.filter="chroma(color=#FFFFFF)"):(c=document.createElement("iframe"),c.style.backgroundColor="transparent",c.name=d);c.scrolling="no";c.marginWidth="0px";c.marginHeight="0px";c.frameBorder="0";c.style.position="absolute";c.style.width="100%";c.style.height="100%";1>this.layer.opacity&&OpenLayers.Util.modifyDOMElement(c,null,null,null,null,null,null,this.layer.opacity);this.frame.appendChild(c);return this.imgDiv=c}return OpenLayers.Tile.Image.prototype.getImage.apply(this,arguments)},createRequestForm:function(){var f=document.createElement("form");f.method="POST";var e=this.layer.params._OLSALT,e=(e?e+"_":"")+this.bounds.toBBOX();f.action=OpenLayers.Util.urlAppend(this.layer.url,e);f.target=this.id+"_iFrame";this.layer.getImageSize();var e=OpenLayers.Util.getParameters(this.url),h,g;for(g in e){h=document.createElement("input"),h.type="hidden",h.name=g,h.value=e[g],f.appendChild(h)}return f},setImgSrc:function(d){if(!0===this.useIFrame){if(d){var c=this.createRequestForm();this.frame.appendChild(c);c.submit();this.frame.removeChild(c)}else{this.imgDiv.parentNode===this.frame&&(this.frame.removeChild(this.imgDiv),this.imgDiv=null)}}else{OpenLayers.Tile.Image.prototype.setImgSrc.apply(this,arguments)}},onImageLoad:function(){OpenLayers.Tile.Image.prototype.onImageLoad.apply(this,arguments);!0===this.useIFrame&&(this.imgDiv.style.opacity=1,this.frame.style.opacity=this.layer.opacity)},createBackBuffer:function(){var b;!1===this.useIFrame&&(b=OpenLayers.Tile.Image.prototype.createBackBuffer.call(this));return b}};OpenLayers.Format.SOSCapabilities=OpenLayers.Class(OpenLayers.Format.XML.VersionedOGC,{defaultVersion:"1.0.0",CLASS_NAME:"OpenLayers.Format.SOSCapabilities"});OpenLayers.Format.SOSCapabilities.v1_0_0=OpenLayers.Class(OpenLayers.Format.SOSCapabilities,{namespaces:{ows:"http://www.opengis.net/ows/1.1",sos:"http://www.opengis.net/sos/1.0",gml:"http://www.opengis.net/gml",xlink:"http://www.w3.org/1999/xlink"},regExes:{trimSpace:/^\s*|\s*$/g,removeSpace:/\s*/g,splitSpace:/\s+/,trimComma:/\s*,\s*/g},initialize:function(b){OpenLayers.Format.XML.prototype.initialize.apply(this,[b]);this.options=b},read:function(d){"string"==typeof d&&(d=OpenLayers.Format.XML.prototype.read.apply(this,[d]));d&&9==d.nodeType&&(d=d.documentElement);var c={};this.readNode(d,c);return c},readers:{gml:OpenLayers.Util.applyDefaults({name:function(d,c){c.name=this.getChildValue(d)},TimePeriod:function(d,c){c.timePeriod={};this.readChildNodes(d,c.timePeriod)},beginPosition:function(d,c){c.beginPosition=this.getChildValue(d)},endPosition:function(d,c){c.endPosition=this.getChildValue(d)}},OpenLayers.Format.GML.v3.prototype.readers.gml),sos:{Capabilities:function(d,c){this.readChildNodes(d,c)},Contents:function(d,c){c.contents={};this.readChildNodes(d,c.contents)},ObservationOfferingList:function(d,c){c.offeringList={};this.readChildNodes(d,c.offeringList)},ObservationOffering:function(e,d){var f=this.getAttributeNS(e,this.namespaces.gml,"id");d[f]={procedures:[],observedProperties:[],featureOfInterestIds:[],responseFormats:[],resultModels:[],responseModes:[]};this.readChildNodes(e,d[f])},time:function(d,c){c.time={};this.readChildNodes(d,c.time)},procedure:function(d,c){c.procedures.push(this.getAttributeNS(d,this.namespaces.xlink,"href"))},observedProperty:function(d,c){c.observedProperties.push(this.getAttributeNS(d,this.namespaces.xlink,"href"))},featureOfInterest:function(d,c){c.featureOfInterestIds.push(this.getAttributeNS(d,this.namespaces.xlink,"href"))},responseFormat:function(d,c){c.responseFormats.push(this.getChildValue(d))},resultModel:function(d,c){c.resultModels.push(this.getChildValue(d))},responseMode:function(d,c){c.responseModes.push(this.getChildValue(d))}},ows:OpenLayers.Format.OWSCommon.v1_1_0.prototype.readers.ows},CLASS_NAME:"OpenLayers.Format.SOSCapabilities.v1_0_0"});OpenLayers.Handler.Pinch=OpenLayers.Class(OpenLayers.Handler,{started:!1,stopDown:!1,pinching:!1,last:null,start:null,touchstart:function(d){var c=!0;this.pinching=!1;if(OpenLayers.Event.isMultiTouch(d)){this.started=!0,this.last=this.start={distance:this.getDistance(d.touches),delta:0,scale:1},this.callback("start",[d,this.start]),c=!this.stopDown}else{if(this.started){return !1}this.started=!1;this.last=this.start=null}OpenLayers.Event.preventDefault(d);return c},touchmove:function(d){if(this.started&&OpenLayers.Event.isMultiTouch(d)){this.pinching=!0;var c=this.getPinchData(d);this.callback("move",[d,c]);this.last=c;OpenLayers.Event.stop(d)}else{if(this.started){return !1}}return !0},touchend:function(b){return this.started&&!OpenLayers.Event.isMultiTouch(b)?(this.pinching=this.started=!1,this.callback("done",[b,this.start,this.last]),this.last=this.start=null,!1):!0},activate:function(){var b=!1;OpenLayers.Handler.prototype.activate.apply(this,arguments)&&(this.pinching=!1,b=!0);return b},deactivate:function(){var b=!1;OpenLayers.Handler.prototype.deactivate.apply(this,arguments)&&(this.pinching=this.started=!1,this.last=this.start=null,b=!0);return b},getDistance:function(d){var c=d[0];d=d[1];return Math.sqrt(Math.pow(c.olClientX-d.olClientX,2)+Math.pow(c.olClientY-d.olClientY,2))},getPinchData:function(b){b=this.getDistance(b.touches);return{distance:b,delta:this.last.distance-b,scale:b/this.start.distance}},CLASS_NAME:"OpenLayers.Handler.Pinch"});OpenLayers.Control.NavToolbar=OpenLayers.Class(OpenLayers.Control.Panel,{initialize:function(b){OpenLayers.Control.Panel.prototype.initialize.apply(this,[b]);this.addControls([new OpenLayers.Control.Navigation,new OpenLayers.Control.ZoomBox])},draw:function(){var b=OpenLayers.Control.Panel.prototype.draw.apply(this,arguments);null===this.defaultControl&&(this.defaultControl=this.controls[0]);return b},CLASS_NAME:"OpenLayers.Control.NavToolbar"});OpenLayers.Strategy.Refresh=OpenLayers.Class(OpenLayers.Strategy,{force:!1,interval:0,timer:null,activate:function(){var b=OpenLayers.Strategy.prototype.activate.call(this);b&&(!0===this.layer.visibility&&this.start(),this.layer.events.on({visibilitychanged:this.reset,scope:this}));return b},deactivate:function(){var b=OpenLayers.Strategy.prototype.deactivate.call(this);b&&(this.stop(),this.layer.events.un({visibilitychanged:this.reset,scope:this}));return b},reset:function(){!0===this.layer.visibility?this.start():this.stop()},start:function(){this.interval&&("number"===typeof this.interval&&0<this.interval)&&(this.timer=window.setInterval(OpenLayers.Function.bind(this.refresh,this),this.interval))},refresh:function(){this.layer&&(this.layer.refresh&&"function"==typeof this.layer.refresh)&&this.layer.refresh({force:this.force})},stop:function(){null!==this.timer&&(window.clearInterval(this.timer),this.timer=null)},CLASS_NAME:"OpenLayers.Strategy.Refresh"});OpenLayers.Layer.ArcGIS93Rest=OpenLayers.Class(OpenLayers.Layer.Grid,{DEFAULT_PARAMS:{format:"png"},isBaseLayer:!0,initialize:function(g,f,j,i){var h=[];j=OpenLayers.Util.upperCaseObject(j);h.push(g,f,j,i);OpenLayers.Layer.Grid.prototype.initialize.apply(this,h);OpenLayers.Util.applyDefaults(this.params,OpenLayers.Util.upperCaseObject(this.DEFAULT_PARAMS));this.params.TRANSPARENT&&"true"==this.params.TRANSPARENT.toString().toLowerCase()&&(null!=i&&i.isBaseLayer||(this.isBaseLayer=!1),"jpg"==this.params.FORMAT&&(this.params.FORMAT=OpenLayers.Util.alphaHack()?"gif":"png"))},clone:function(b){null==b&&(b=new OpenLayers.Layer.ArcGIS93Rest(this.name,this.url,this.params,this.getOptions()));return b=OpenLayers.Layer.Grid.prototype.clone.apply(this,[b])},getURL:function(f){f=this.adjustBounds(f);var e=this.projection.getCode().split(":"),e=e[e.length-1],h=this.getImageSize();f={BBOX:f.toBBOX(),SIZE:h.w+","+h.h,F:"image",BBOXSR:e,IMAGESR:e};if(this.layerDefs){var e=[],g;for(g in this.layerDefs){this.layerDefs.hasOwnProperty(g)&&this.layerDefs[g]&&(e.push(g),e.push(":"),e.push(this.layerDefs[g]),e.push(";"))}0<e.length&&(f.LAYERDEFS=e.join(""))}return this.getFullRequestString(f)},setLayerFilter:function(d,c){this.layerDefs||(this.layerDefs={});c?this.layerDefs[d]=c:delete this.layerDefs[d]},clearLayerFilter:function(b){b?delete this.layerDefs[b]:delete this.layerDefs},mergeNewParams:function(b){b=[OpenLayers.Util.upperCaseObject(b)];return OpenLayers.Layer.Grid.prototype.mergeNewParams.apply(this,b)},CLASS_NAME:"OpenLayers.Layer.ArcGIS93Rest"});OpenLayers.Handler.Hover=OpenLayers.Class(OpenLayers.Handler,{delay:500,pixelTolerance:null,stopMove:!1,px:null,timerId:null,mousemove:function(b){this.passesTolerance(b.xy)&&(this.clearTimer(),this.callback("move",[b]),this.px=b.xy,b=OpenLayers.Util.extend({},b),this.timerId=window.setTimeout(OpenLayers.Function.bind(this.delayedCall,this,b),this.delay));return !this.stopMove},mouseout:function(b){OpenLayers.Util.mouseLeft(b,this.map.viewPortDiv)&&(this.clearTimer(),this.callback("move",[b]));return !0},passesTolerance:function(d){var c=!0;this.pixelTolerance&&this.px&&Math.sqrt(Math.pow(this.px.x-d.x,2)+Math.pow(this.px.y-d.y,2))<this.pixelTolerance&&(c=!1);return c},clearTimer:function(){null!=this.timerId&&(window.clearTimeout(this.timerId),this.timerId=null)},delayedCall:function(b){this.callback("pause",[b])},deactivate:function(){var b=!1;OpenLayers.Handler.prototype.deactivate.apply(this,arguments)&&(this.clearTimer(),b=!0);return b},CLASS_NAME:"OpenLayers.Handler.Hover"});OpenLayers.Control.GetFeature=OpenLayers.Class(OpenLayers.Control,{protocol:null,multipleKey:null,toggleKey:null,modifiers:null,multiple:!1,click:!0,single:!0,clickout:!0,toggle:!1,clickTolerance:5,hover:!1,box:!1,maxFeatures:10,features:null,hoverFeature:null,handlers:null,hoverResponse:null,filterType:OpenLayers.Filter.Spatial.BBOX,initialize:function(b){b.handlerOptions=b.handlerOptions||{};OpenLayers.Control.prototype.initialize.apply(this,[b]);this.features={};this.handlers={};this.click&&(this.handlers.click=new OpenLayers.Handler.Click(this,{click:this.selectClick},this.handlerOptions.click||{}));this.box&&(this.handlers.box=new OpenLayers.Handler.Box(this,{done:this.selectBox},OpenLayers.Util.extend(this.handlerOptions.box,{boxDivClassName:"olHandlerBoxSelectFeature"})));this.hover&&(this.handlers.hover=new OpenLayers.Handler.Hover(this,{move:this.cancelHover,pause:this.selectHover},OpenLayers.Util.extend(this.handlerOptions.hover,{delay:250,pixelTolerance:2})))},activate:function(){if(!this.active){for(var b in this.handlers){this.handlers[b].activate()}}return OpenLayers.Control.prototype.activate.apply(this,arguments)},deactivate:function(){if(this.active){for(var b in this.handlers){this.handlers[b].deactivate()}}return OpenLayers.Control.prototype.deactivate.apply(this,arguments)},selectClick:function(d){var c=this.pixelToBounds(d.xy);this.setModifiers(d);this.request(c,{single:this.single})},selectBox:function(d){var c;if(d instanceof OpenLayers.Bounds){c=this.map.getLonLatFromPixel({x:d.left,y:d.bottom}),d=this.map.getLonLatFromPixel({x:d.right,y:d.top}),c=new OpenLayers.Bounds(c.lon,c.lat,d.lon,d.lat)}else{if(this.click){return}c=this.pixelToBounds(d)}this.setModifiers(this.handlers.box.dragHandler.evt);this.request(c)},selectHover:function(b){b=this.pixelToBounds(b.xy);this.request(b,{single:!0,hover:!0})},cancelHover:function(){this.hoverResponse&&(this.protocol.abort(this.hoverResponse),this.hoverResponse=null,OpenLayers.Element.removeClass(this.map.viewPortDiv,"olCursorWait"))},request:function(e,d){d=d||{};var f=new OpenLayers.Filter.Spatial({type:this.filterType,value:e});OpenLayers.Element.addClass(this.map.viewPortDiv,"olCursorWait");f=this.protocol.read({maxFeatures:!0==d.single?this.maxFeatures:void 0,filter:f,callback:function(a){a.success()&&(a.features.length?!0==d.single?this.selectBestFeature(a.features,e.getCenterLonLat(),d):this.select(a.features):d.hover?this.hoverSelect():(this.events.triggerEvent("clickout"),this.clickout&&this.unselectAll()));OpenLayers.Element.removeClass(this.map.viewPortDiv,"olCursorWait")},scope:this});!0==d.hover&&(this.hoverResponse=f)},selectBestFeature:function(j,i,p){p=p||{};if(j.length){i=new OpenLayers.Geometry.Point(i.lon,i.lat);for(var o,n,m,l=Number.MAX_VALUE,k=0;k<j.length&&!(o=j[k],o.geometry&&(m=i.distanceTo(o.geometry,{edge:!1}),m<l&&(l=m,n=o,0==l)));++k){}!0==p.hover?this.hoverSelect(n):this.select(n||j)}},setModifiers:function(b){this.modifiers={multiple:this.multiple||this.multipleKey&&b[this.multipleKey],toggle:this.toggle||this.toggleKey&&b[this.toggleKey]}},select:function(h){this.modifiers.multiple||this.modifiers.toggle||this.unselectAll();OpenLayers.Util.isArray(h)||(h=[h]);var g=this.events.triggerEvent("beforefeaturesselected",{features:h});if(!1!==g){for(var l=[],k,j=0,i=h.length;j<i;++j){k=h[j],this.features[k.fid||k.id]?this.modifiers.toggle&&this.unselect(this.features[k.fid||k.id]):(g=this.events.triggerEvent("beforefeatureselected",{feature:k}),!1!==g&&(this.features[k.fid||k.id]=k,l.push(k),this.events.triggerEvent("featureselected",{feature:k})))}this.events.triggerEvent("featuresselected",{features:l})}},hoverSelect:function(e){var d=e?e.fid||e.id:null,f=this.hoverFeature?this.hoverFeature.fid||this.hoverFeature.id:null;f&&f!=d&&(this.events.triggerEvent("outfeature",{feature:this.hoverFeature}),this.hoverFeature=null);d&&d!=f&&(this.events.triggerEvent("hoverfeature",{feature:e}),this.hoverFeature=e)},unselect:function(b){delete this.features[b.fid||b.id];this.events.triggerEvent("featureunselected",{feature:b})},unselectAll:function(){for(var b in this.features){this.unselect(this.features[b])}},setMap:function(d){for(var c in this.handlers){this.handlers[c].setMap(d)}OpenLayers.Control.prototype.setMap.apply(this,arguments)},pixelToBounds:function(d){var c=d.add(-this.clickTolerance/2,this.clickTolerance/2);d=d.add(this.clickTolerance/2,-this.clickTolerance/2);c=this.map.getLonLatFromPixel(c);d=this.map.getLonLatFromPixel(d);return new OpenLayers.Bounds(c.lon,c.lat,d.lon,d.lat)},CLASS_NAME:"OpenLayers.Control.GetFeature"});OpenLayers.Format.QueryStringFilter=function(){function d(b){b=b.replace(/%/g,"\\%");b=b.replace(/\\\\\.(\*)?/g,function(f,e){return e?f:"\\\\_"});b=b.replace(/\\\\\.\*/g,"\\\\%");b=b.replace(/(\\)?\.(\*)?/g,function(f,e,g){return e||g?f:"_"});b=b.replace(/(\\)?\.\*/g,function(f,e){return e?f:"%"});b=b.replace(/\\\./g,".");return b=b.replace(/(\\)?\\\*/g,function(f,e){return e?f:"*"})}var c={};c[OpenLayers.Filter.Comparison.EQUAL_TO]="eq";c[OpenLayers.Filter.Comparison.NOT_EQUAL_TO]="ne";c[OpenLayers.Filter.Comparison.LESS_THAN]="lt";c[OpenLayers.Filter.Comparison.LESS_THAN_OR_EQUAL_TO]="lte";c[OpenLayers.Filter.Comparison.GREATER_THAN]="gt";c[OpenLayers.Filter.Comparison.GREATER_THAN_OR_EQUAL_TO]="gte";c[OpenLayers.Filter.Comparison.LIKE]="ilike";return OpenLayers.Class(OpenLayers.Format,{wildcarded:!1,srsInBBOX:!1,write:function(h,g){g=g||{};var b=h.CLASS_NAME,b=b.substring(b.lastIndexOf(".")+1);switch(b){case"Spatial":switch(h.type){case OpenLayers.Filter.Spatial.BBOX:g.bbox=h.value.toArray();this.srsInBBOX&&h.projection&&g.bbox.push(h.projection.getCode());break;case OpenLayers.Filter.Spatial.DWITHIN:g.tolerance=h.distance;case OpenLayers.Filter.Spatial.WITHIN:g.lon=h.value.x;g.lat=h.value.y;break;default:OpenLayers.Console.warn("Unknown spatial filter type "+h.type)}break;case"Comparison":b=c[h.type];if(void 0!==b){var a=h.value;h.type==OpenLayers.Filter.Comparison.LIKE&&(a=d(a),this.wildcarded&&(a="%"+a+"%"));g[h.property+"__"+b]=a;g.queryable=g.queryable||[];g.queryable.push(h.property)}else{OpenLayers.Console.warn("Unknown comparison filter type "+h.type)}break;case"Logical":if(h.type===OpenLayers.Filter.Logical.AND){for(b=0,a=h.filters.length;b<a;b++){g=this.write(h.filters[b],g)}}else{OpenLayers.Console.warn("Unsupported logical filter type "+h.type)}break;default:OpenLayers.Console.warn("Unknown filter type "+b)}return g},CLASS_NAME:"OpenLayers.Format.QueryStringFilter"})}();OpenLayers.Control.MousePosition=OpenLayers.Class(OpenLayers.Control,{autoActivate:!0,element:null,prefix:"",separator:", ",suffix:"",numDigits:5,granularity:10,emptyString:null,lastXy:null,displayProjection:null,destroy:function(){this.deactivate();OpenLayers.Control.prototype.destroy.apply(this,arguments)},activate:function(){return OpenLayers.Control.prototype.activate.apply(this,arguments)?(this.map.events.register("mousemove",this,this.redraw),this.map.events.register("mouseout",this,this.reset),this.redraw(),!0):!1},deactivate:function(){return OpenLayers.Control.prototype.deactivate.apply(this,arguments)?(this.map.events.unregister("mousemove",this,this.redraw),this.map.events.unregister("mouseout",this,this.reset),this.element.innerHTML="",!0):!1},draw:function(){OpenLayers.Control.prototype.draw.apply(this,arguments);this.element||(this.div.left="",this.div.top="",this.element=this.div);return this.div},redraw:function(d){var c;if(null==d){this.reset()}else{if(null==this.lastXy||Math.abs(d.xy.x-this.lastXy.x)>this.granularity||Math.abs(d.xy.y-this.lastXy.y)>this.granularity){this.lastXy=d.xy}else{if(c=this.map.getLonLatFromPixel(d.xy)){this.displayProjection&&c.transform(this.map.getProjectionObject(),this.displayProjection),this.lastXy=d.xy,d=this.formatOutput(c),d!=this.element.innerHTML&&(this.element.innerHTML=d)}}}},reset:function(b){null!=this.emptyString&&(this.element.innerHTML=this.emptyString)},formatOutput:function(d){var c=parseInt(this.numDigits);return this.prefix+d.lon.toFixed(c)+this.separator+d.lat.toFixed(c)+this.suffix},CLASS_NAME:"OpenLayers.Control.MousePosition"});OpenLayers.Control.Geolocate=OpenLayers.Class(OpenLayers.Control,{geolocation:null,available:"geolocation" in navigator,bind:!0,watch:!1,geolocationOptions:null,destroy:function(){this.deactivate();OpenLayers.Control.prototype.destroy.apply(this,arguments)},activate:function(){this.available&&!this.geolocation&&(this.geolocation=navigator.geolocation);return this.geolocation?OpenLayers.Control.prototype.activate.apply(this,arguments)?(this.watch?this.watchId=this.geolocation.watchPosition(OpenLayers.Function.bind(this.geolocate,this),OpenLayers.Function.bind(this.failure,this),this.geolocationOptions):this.getCurrentLocation(),!0):!1:(this.events.triggerEvent("locationuncapable"),!1)},deactivate:function(){this.active&&null!==this.watchId&&this.geolocation.clearWatch(this.watchId);return OpenLayers.Control.prototype.deactivate.apply(this,arguments)},geolocate:function(d){var c=(new OpenLayers.LonLat(d.coords.longitude,d.coords.latitude)).transform(new OpenLayers.Projection("EPSG:4326"),this.map.getProjectionObject());this.bind&&this.map.setCenter(c);this.events.triggerEvent("locationupdated",{position:d,point:new OpenLayers.Geometry.Point(c.lon,c.lat)})},getCurrentLocation:function(){if(!this.active||this.watch){return !1}this.geolocation.getCurrentPosition(OpenLayers.Function.bind(this.geolocate,this),OpenLayers.Function.bind(this.failure,this),this.geolocationOptions);return !0},failure:function(b){this.events.triggerEvent("locationfailed",{error:b})},CLASS_NAME:"OpenLayers.Control.Geolocate"});OpenLayers.Tile.UTFGrid=OpenLayers.Class(OpenLayers.Tile,{url:null,utfgridResolution:2,json:null,format:null,destroy:function(){this.clear();OpenLayers.Tile.prototype.destroy.apply(this,arguments)},draw:function(){var d=OpenLayers.Tile.prototype.draw.apply(this,arguments);if(d){if(this.isLoading?(this.abortLoading(),this.events.triggerEvent("reload")):(this.isLoading=!0,this.events.triggerEvent("loadstart")),this.url=this.layer.getURL(this.bounds),this.layer.useJSONP){var c=new OpenLayers.Protocol.Script({url:this.url,callback:function(b){this.isLoading=!1;this.events.triggerEvent("loadend");this.json=b.data},scope:this});c.read();this.request=c}else{this.request=OpenLayers.Request.GET({url:this.url,callback:function(b){this.isLoading=!1;this.events.triggerEvent("loadend");200===b.status&&this.parseData(b.responseText)},scope:this})}}else{this.unload()}return d},abortLoading:function(){this.request&&(this.request.abort(),delete this.request);this.isLoading=!1},getFeatureInfo:function(f,e){var h=null;if(this.json){var g=this.getFeatureId(f,e);null!==g&&(h={id:g,data:this.json.data[g]})}return h},getFeatureId:function(g,f){var j=null;if(this.json){var i=this.utfgridResolution,i=this.json.grid[Math.floor(f/i)].charCodeAt(Math.floor(g/i)),i=this.indexFromCharCode(i),h=this.json.keys;!isNaN(i)&&i in h&&(j=h[i])}return j},indexFromCharCode:function(b){93<=b&&b--;35<=b&&b--;return b-32},parseData:function(b){this.format||(this.format=new OpenLayers.Format.JSON);this.json=this.format.read(b)},clear:function(){this.json=null},CLASS_NAME:"OpenLayers.Tile.UTFGrid"});OpenLayers.Protocol.HTTP=OpenLayers.Class(OpenLayers.Protocol,{url:null,headers:null,params:null,callback:null,scope:null,readWithPOST:!1,updateWithPOST:!1,deleteWithPOST:!1,wildcarded:!1,srsInBBOX:!1,initialize:function(d){d=d||{};this.params={};this.headers={};OpenLayers.Protocol.prototype.initialize.apply(this,arguments);if(!this.filterToParams&&OpenLayers.Format.QueryStringFilter){var c=new OpenLayers.Format.QueryStringFilter({wildcarded:this.wildcarded,srsInBBOX:this.srsInBBOX});this.filterToParams=function(b,e){return c.write(b,e)}}},destroy:function(){this.headers=this.params=null;OpenLayers.Protocol.prototype.destroy.apply(this)},read:function(e){OpenLayers.Protocol.prototype.read.apply(this,arguments);e=e||{};e.params=OpenLayers.Util.applyDefaults(e.params,this.options.params);e=OpenLayers.Util.applyDefaults(e,this.options);e.filter&&this.filterToParams&&(e.params=this.filterToParams(e.filter,e.params));var d=void 0!==e.readWithPOST?e.readWithPOST:this.readWithPOST,f=new OpenLayers.Protocol.Response({requestType:"read"});d?(d=e.headers||{},d["Content-Type"]="application/x-www-form-urlencoded",f.priv=OpenLayers.Request.POST({url:e.url,callback:this.createCallback(this.handleRead,f,e),data:OpenLayers.Util.getParameterString(e.params),headers:d})):f.priv=OpenLayers.Request.GET({url:e.url,callback:this.createCallback(this.handleRead,f,e),params:e.params,headers:e.headers});return f},handleRead:function(d,c){this.handleResponse(d,c)},create:function(e,d){d=OpenLayers.Util.applyDefaults(d,this.options);var f=new OpenLayers.Protocol.Response({reqFeatures:e,requestType:"create"});f.priv=OpenLayers.Request.POST({url:d.url,callback:this.createCallback(this.handleCreate,f,d),headers:d.headers,data:this.format.write(e)});return f},handleCreate:function(d,c){this.handleResponse(d,c)},update:function(f,e){e=e||{};var h=e.url||f.url||this.options.url+"/"+f.fid;e=OpenLayers.Util.applyDefaults(e,this.options);var g=new OpenLayers.Protocol.Response({reqFeatures:f,requestType:"update"});g.priv=OpenLayers.Request[this.updateWithPOST?"POST":"PUT"]({url:h,callback:this.createCallback(this.handleUpdate,g,e),headers:e.headers,data:this.format.write(f)});return g},handleUpdate:function(d,c){this.handleResponse(d,c)},"delete":function(g,f){f=f||{};var j=f.url||g.url||this.options.url+"/"+g.fid;f=OpenLayers.Util.applyDefaults(f,this.options);var i=new OpenLayers.Protocol.Response({reqFeatures:g,requestType:"delete"}),h=this.deleteWithPOST?"POST":"DELETE",j={url:j,callback:this.createCallback(this.handleDelete,i,f),headers:f.headers};this.deleteWithPOST&&(j.data=this.format.write(g));i.priv=OpenLayers.Request[h](j);return i},handleDelete:function(d,c){this.handleResponse(d,c)},handleResponse:function(e,d){var f=e.priv;d.callback&&(200<=f.status&&300>f.status?("delete"!=e.requestType&&(e.features=this.parseFeatures(f)),e.code=OpenLayers.Protocol.Response.SUCCESS):e.code=OpenLayers.Protocol.Response.FAILURE,d.callback.call(d.scope,e))},parseFeatures:function(d){var c=d.responseXML;c&&c.documentElement||(c=d.responseText);return !c||0>=c.length?null:this.format.read(c)},commit:function(D,C){function B(f){for(var d=f.features?f.features.length:0,h=Array(d),g=0;g<d;++g){h[g]=f.features[g].fid}i.insertIds=h;A.apply(this,[f])}function A(b){this.callUserCallback(b,C);j=j&&b.success();y++;y>=o&&C.callback&&(i.code=j?OpenLayers.Protocol.Response.SUCCESS:OpenLayers.Protocol.Response.FAILURE,C.callback.apply(C.scope,[i]))}C=OpenLayers.Util.applyDefaults(C,this.options);var z=[],y=0,x={};x[OpenLayers.State.INSERT]=[];x[OpenLayers.State.UPDATE]=[];x[OpenLayers.State.DELETE]=[];for(var w,v,u=[],t=0,s=D.length;t<s;++t){if(w=D[t],v=x[w.state]){v.push(w),u.push(w)}}var o=(0<x[OpenLayers.State.INSERT].length?1:0)+x[OpenLayers.State.UPDATE].length+x[OpenLayers.State.DELETE].length,j=!0,i=new OpenLayers.Protocol.Response({reqFeatures:u});w=x[OpenLayers.State.INSERT];0<w.length&&z.push(this.create(w,OpenLayers.Util.applyDefaults({callback:B,scope:this},C.create)));w=x[OpenLayers.State.UPDATE];for(t=w.length-1;0<=t;--t){z.push(this.update(w[t],OpenLayers.Util.applyDefaults({callback:A,scope:this},C.update)))}w=x[OpenLayers.State.DELETE];for(t=w.length-1;0<=t;--t){z.push(this["delete"](w[t],OpenLayers.Util.applyDefaults({callback:A,scope:this},C["delete"])))}return z},abort:function(b){b&&b.priv.abort()},callUserCallback:function(e,d){var f=d[e.requestType];f&&f.callback&&f.callback.call(f.scope,e)},CLASS_NAME:"OpenLayers.Protocol.HTTP"});OpenLayers.Strategy.Cluster=OpenLayers.Class(OpenLayers.Strategy,{distance:20,threshold:null,features:null,clusters:null,clustering:!1,resolution:null,activate:function(){var b=OpenLayers.Strategy.prototype.activate.call(this);if(b){this.layer.events.on({beforefeaturesadded:this.cacheFeatures,featuresremoved:this.clearCache,moveend:this.cluster,scope:this})}return b},deactivate:function(){var b=OpenLayers.Strategy.prototype.deactivate.call(this);b&&(this.clearCache(),this.layer.events.un({beforefeaturesadded:this.cacheFeatures,featuresremoved:this.clearCache,moveend:this.cluster,scope:this}));return b},cacheFeatures:function(d){var c=!0;this.clustering||(this.clearCache(),this.features=d.features,this.cluster(),c=!1);return c},clearCache:function(){this.clustering||(this.features=null)},cluster:function(h){if((!h||h.zoomChanged)&&this.features&&(h=this.layer.map.getResolution(),h!=this.resolution||!this.clustersExist())){this.resolution=h;h=[];for(var g,l,k,j=0;j<this.features.length;++j){if(g=this.features[j],g.geometry){l=!1;for(var i=h.length-1;0<=i;--i){if(k=h[i],this.shouldCluster(k,g)){this.addToCluster(k,g);l=!0;break}}l||h.push(this.createCluster(this.features[j]))}}this.clustering=!0;this.layer.removeAllFeatures();this.clustering=!1;if(0<h.length){if(1<this.threshold){for(g=h.slice(),h=[],j=0,k=g.length;j<k;++j){l=g[j],l.attributes.count<this.threshold?Array.prototype.push.apply(h,l.cluster):h.push(l)}}this.clustering=!0;this.layer.addFeatures(h);this.clustering=!1}this.clusters=h}},clustersExist:function(){var d=!1;if(this.clusters&&0<this.clusters.length&&this.clusters.length==this.layer.features.length){for(var d=!0,c=0;c<this.clusters.length;++c){if(this.clusters[c]!=this.layer.features[c]){d=!1;break}}}return d},shouldCluster:function(f,e){var h=f.geometry.getBounds().getCenterLonLat(),g=e.geometry.getBounds().getCenterLonLat();return Math.sqrt(Math.pow(h.lon-g.lon,2)+Math.pow(h.lat-g.lat,2))/this.resolution<=this.distance},addToCluster:function(d,c){d.cluster.push(c);d.attributes.count+=1},createCluster:function(d){var c=d.geometry.getBounds().getCenterLonLat(),c=new OpenLayers.Feature.Vector(new OpenLayers.Geometry.Point(c.lon,c.lat),{count:1});c.cluster=[d];return c},CLASS_NAME:"OpenLayers.Strategy.Cluster"});OpenLayers.Strategy.Filter=OpenLayers.Class(OpenLayers.Strategy,{filter:null,cache:null,caching:!1,activate:function(){var b=OpenLayers.Strategy.prototype.activate.apply(this,arguments);b&&(this.cache=[],this.layer.events.on({beforefeaturesadded:this.handleAdd,beforefeaturesremoved:this.handleRemove,scope:this}));return b},deactivate:function(){this.cache=null;this.layer&&this.layer.events&&this.layer.events.un({beforefeaturesadded:this.handleAdd,beforefeaturesremoved:this.handleRemove,scope:this});return OpenLayers.Strategy.prototype.deactivate.apply(this,arguments)},handleAdd:function(g){if(!this.caching&&this.filter){var f=g.features;g.features=[];for(var j,i=0,h=f.length;i<h;++i){j=f[i],this.filter.evaluate(j)?g.features.push(j):this.cache.push(j)}}},handleRemove:function(b){this.caching||(this.cache=[])},setFilter:function(b){this.filter=b;b=this.cache;this.cache=[];this.handleAdd({features:this.layer.features});0<this.cache.length&&(this.caching=!0,this.layer.removeFeatures(this.cache.slice()),this.caching=!1);0<b.length&&(b={features:b},this.handleAdd(b),0<b.features.length&&(this.caching=!0,this.layer.addFeatures(b.features),this.caching=!1))},CLASS_NAME:"OpenLayers.Strategy.Filter"});OpenLayers.Protocol.SOS=function(d){d=OpenLayers.Util.applyDefaults(d,OpenLayers.Protocol.SOS.DEFAULTS);var c=OpenLayers.Protocol.SOS["v"+d.version.replace(/\./g,"_")];if(!c){throw"Unsupported SOS version: "+d.version}return new c(d)};OpenLayers.Protocol.SOS.DEFAULTS={version:"1.0.0"};OpenLayers.Format.WFSDescribeFeatureType=OpenLayers.Class(OpenLayers.Format.XML,{regExes:{trimSpace:/^\s*|\s*$/g},namespaces:{xsd:"http://www.w3.org/2001/XMLSchema"},readers:{xsd:{schema:function(r,q){var p=[],o={},n,m;this.readChildNodes(r,{complexTypes:p,customTypes:o});var l=r.attributes,j,i;n=0;for(m=l.length;n<m;++n){j=l[n],i=j.name,0===i.indexOf("xmlns")?this.setNamespace(i.split(":")[1]||"",j.value):q[i]=j.value}q.featureTypes=p;q.targetPrefix=this.namespaceAlias[q.targetNamespace];n=0;for(m=p.length;n<m;++n){l=p[n],j=o[l.typeName],o[l.typeName]&&(l.typeName=j.name)}},complexType:function(e,d){var f={typeName:e.getAttribute("name")};this.readChildNodes(e,f);d.complexTypes.push(f)},complexContent:function(d,c){this.readChildNodes(d,c)},extension:function(d,c){this.readChildNodes(d,c)},sequence:function(e,d){var f={elements:[]};this.readChildNodes(e,f);d.properties=f.elements},element:function(i,h){var n;if(h.elements){var m={};n=i.attributes;for(var l,k=0,j=n.length;k<j;++k){l=n[k],m[l.name]=l.value}n=m.type;n||(n={},this.readChildNodes(i,n),m.restriction=n,m.type=n.base);m.localType=(n.base||n).split(":").pop();h.elements.push(m);this.readChildNodes(i,m)}h.complexTypes&&(n=i.getAttribute("type"),m=n.split(":").pop(),h.customTypes[m]={name:i.getAttribute("name"),type:n})},annotation:function(d,c){c.annotation={};this.readChildNodes(d,c.annotation)},appinfo:function(d,c){c.appinfo||(c.appinfo=[]);c.appinfo.push(this.getChildValue(d))},documentation:function(e,d){d.documentation||(d.documentation=[]);var f=this.getChildValue(e);d.documentation.push({lang:e.getAttribute("xml:lang"),textContent:f.replace(this.regExes.trimSpace,"")})},simpleType:function(d,c){this.readChildNodes(d,c)},restriction:function(d,c){c.base=d.getAttribute("base");this.readRestriction(d,c)}}},readRestriction:function(i,h){for(var n=i.childNodes,m,l,k=0,j=n.length;k<j;++k){m=n[k],1==m.nodeType&&(l=m.nodeName.split(":").pop(),m=m.getAttribute("value"),h[l]?("string"==typeof h[l]&&(h[l]=[h[l]]),h[l].push(m)):h[l]=m)}},read:function(e){"string"==typeof e&&(e=OpenLayers.Format.XML.prototype.read.apply(this,[e]));e&&9==e.nodeType&&(e=e.documentElement);var d={};if("ExceptionReport"===e.nodeName.split(":").pop()){var f=new OpenLayers.Format.OGCExceptionReport;d.error=f.read(e)}else{this.readNode(e,d)}return d},CLASS_NAME:"OpenLayers.Format.WFSDescribeFeatureType"});OpenLayers.Format.GeoRSS=OpenLayers.Class(OpenLayers.Format.XML,{rssns:"http://backend.userland.com/rss2",featureNS:"http://mapserver.gis.umn.edu/mapserver",georssns:"http://www.georss.org/georss",geons:"http://www.w3.org/2003/01/geo/wgs84_pos#",featureTitle:"Untitled",featureDescription:"No Description",gmlParser:null,xy:!1,createGeometryFromItem:function(j){var i=this.getElementsByTagNameNS(j,this.georssns,"point"),p=this.getElementsByTagNameNS(j,this.geons,"lat"),o=this.getElementsByTagNameNS(j,this.geons,"long"),n=this.getElementsByTagNameNS(j,this.georssns,"line"),m=this.getElementsByTagNameNS(j,this.georssns,"polygon"),l=this.getElementsByTagNameNS(j,this.georssns,"where");j=this.getElementsByTagNameNS(j,this.georssns,"box");if(0<i.length||0<p.length&&0<o.length){0<i.length?(p=OpenLayers.String.trim(i[0].firstChild.nodeValue).split(/\s+/),2!=p.length&&(p=OpenLayers.String.trim(i[0].firstChild.nodeValue).split(/\s*,\s*/))):p=[parseFloat(p[0].firstChild.nodeValue),parseFloat(o[0].firstChild.nodeValue)];var k=new OpenLayers.Geometry.Point(p[1],p[0])}else{if(0<n.length){p=OpenLayers.String.trim(this.getChildValue(n[0])).split(/\s+/);o=[];n=0;for(m=p.length;n<m;n+=2){i=new OpenLayers.Geometry.Point(p[n+1],p[n]),o.push(i)}k=new OpenLayers.Geometry.LineString(o)}else{if(0<m.length){p=OpenLayers.String.trim(this.getChildValue(m[0])).split(/\s+/);o=[];n=0;for(m=p.length;n<m;n+=2){i=new OpenLayers.Geometry.Point(p[n+1],p[n]),o.push(i)}k=new OpenLayers.Geometry.Polygon([new OpenLayers.Geometry.LinearRing(o)])}else{0<l.length?(this.gmlParser||(this.gmlParser=new OpenLayers.Format.GML({xy:this.xy})),k=this.gmlParser.parseFeature(l[0]).geometry):0<j.length&&(p=OpenLayers.String.trim(j[0].firstChild.nodeValue).split(/\s+/),o=[],3<p.length&&(i=new OpenLayers.Geometry.Point(p[1],p[0]),o.push(i),i=new OpenLayers.Geometry.Point(p[1],p[2]),o.push(i),i=new OpenLayers.Geometry.Point(p[3],p[2]),o.push(i),i=new OpenLayers.Geometry.Point(p[3],p[0]),o.push(i),i=new OpenLayers.Geometry.Point(p[1],p[0]),o.push(i)),k=new OpenLayers.Geometry.Polygon([new OpenLayers.Geometry.LinearRing(o)]))}}}k&&(this.internalProjection&&this.externalProjection)&&k.transform(this.externalProjection,this.internalProjection);return k},createFeatureFromItem:function(h){var g=this.createGeometryFromItem(h),l=this._getChildValue(h,"*","title",this.featureTitle),k=this._getChildValue(h,"*","description",this._getChildValue(h,"*","content",this._getChildValue(h,"*","summary",this.featureDescription))),j=this._getChildValue(h,"*","link");if(!j){try{j=this.getElementsByTagNameNS(h,"*","link")[0].getAttribute("href")}catch(i){j=null}}h=this._getChildValue(h,"*","id",null);g=new OpenLayers.Feature.Vector(g,{title:l,description:k,link:j});g.fid=h;return g},_getChildValue:function(f,e,h,g){return(f=this.getElementsByTagNameNS(f,e,h))&&f[0]&&f[0].firstChild&&f[0].firstChild.nodeValue?this.getChildValue(f[0]):void 0==g?"":g},read:function(f){"string"==typeof f&&(f=OpenLayers.Format.XML.prototype.read.apply(this,[f]));var e=null,e=this.getElementsByTagNameNS(f,"*","item");0==e.length&&(e=this.getElementsByTagNameNS(f,"*","entry"));f=e.length;for(var h=Array(f),g=0;g<f;g++){h[g]=this.createFeatureFromItem(e[g])}return h},write:function(f){var e;if(OpenLayers.Util.isArray(f)){e=this.createElementNS(this.rssns,"rss");for(var h=0,g=f.length;h<g;h++){e.appendChild(this.createFeatureXML(f[h]))}}else{e=this.createFeatureXML(f)}return OpenLayers.Format.XML.prototype.write.apply(this,[e])},createFeatureXML:function(h){var g=this.buildGeometryNode(h.geometry),l=this.createElementNS(this.rssns,"item"),k=this.createElementNS(this.rssns,"title");k.appendChild(this.createTextNode(h.attributes.title?h.attributes.title:""));var j=this.createElementNS(this.rssns,"description");j.appendChild(this.createTextNode(h.attributes.description?h.attributes.description:""));l.appendChild(k);l.appendChild(j);h.attributes.link&&(k=this.createElementNS(this.rssns,"link"),k.appendChild(this.createTextNode(h.attributes.link)),l.appendChild(k));for(var i in h.attributes){"link"!=i&&("title"!=i&&"description"!=i)&&(k=this.createTextNode(h.attributes[i]),j=i,-1!=i.search(":")&&(j=i.split(":")[1]),j=this.createElementNS(this.featureNS,"feature:"+j),j.appendChild(k),l.appendChild(j))}l.appendChild(g);return l},buildGeometryNode:function(d){this.internalProjection&&this.externalProjection&&(d=d.clone(),d.transform(this.internalProjection,this.externalProjection));var c;if("OpenLayers.Geometry.Polygon"==d.CLASS_NAME){c=this.createElementNS(this.georssns,"georss:polygon"),c.appendChild(this.buildCoordinatesNode(d.components[0]))}else{if("OpenLayers.Geometry.LineString"==d.CLASS_NAME){c=this.createElementNS(this.georssns,"georss:line"),c.appendChild(this.buildCoordinatesNode(d))}else{if("OpenLayers.Geometry.Point"==d.CLASS_NAME){c=this.createElementNS(this.georssns,"georss:point"),c.appendChild(this.buildCoordinatesNode(d))}else{throw"Couldn't parse "+d.CLASS_NAME}}}return c},buildCoordinatesNode:function(f){var e=null;f.components&&(e=f.components);if(e){f=e.length;for(var h=Array(f),g=0;g<f;g++){h[g]=e[g].y+" "+e[g].x}e=h.join(" ")}else{e=f.y+" "+f.x}return this.createTextNode(e)},CLASS_NAME:"OpenLayers.Format.GeoRSS"});OpenLayers.Format.WPSCapabilities=OpenLayers.Class(OpenLayers.Format.XML.VersionedOGC,{defaultVersion:"1.0.0",CLASS_NAME:"OpenLayers.Format.WPSCapabilities"});OpenLayers.Format.WPSCapabilities.v1_0_0=OpenLayers.Class(OpenLayers.Format.XML,{namespaces:{ows:"http://www.opengis.net/ows/1.1",wps:"http://www.opengis.net/wps/1.0.0",xlink:"http://www.w3.org/1999/xlink"},regExes:{trimSpace:/^\s*|\s*$/g,removeSpace:/\s*/g,splitSpace:/\s+/,trimComma:/\s*,\s*/g},initialize:function(b){OpenLayers.Format.XML.prototype.initialize.apply(this,[b])},read:function(d){"string"==typeof d&&(d=OpenLayers.Format.XML.prototype.read.apply(this,[d]));d&&9==d.nodeType&&(d=d.documentElement);var c={};this.readNode(d,c);return c},readers:{wps:{Capabilities:function(d,c){this.readChildNodes(d,c)},ProcessOfferings:function(d,c){c.processOfferings={};this.readChildNodes(d,c.processOfferings)},Process:function(e,d){var f={processVersion:this.getAttributeNS(e,this.namespaces.wps,"processVersion")};this.readChildNodes(e,f);d[f.identifier]=f},Languages:function(d,c){c.languages=[];this.readChildNodes(d,c.languages)},Default:function(e,d){var f={isDefault:!0};this.readChildNodes(e,f);d.push(f)},Supported:function(e,d){var f={};this.readChildNodes(e,f);d.push(f)}},ows:OpenLayers.Format.OWSCommon.v1_1_0.prototype.readers.ows},CLASS_NAME:"OpenLayers.Format.WPSCapabilities.v1_0_0"});OpenLayers.Control.PinchZoom=OpenLayers.Class(OpenLayers.Control,{type:OpenLayers.Control.TYPE_TOOL,pinchOrigin:null,currentCenter:null,autoActivate:!0,preserveCenter:!1,initialize:function(b){OpenLayers.Control.prototype.initialize.apply(this,arguments);this.handler=new OpenLayers.Handler.Pinch(this,{start:this.pinchStart,move:this.pinchMove,done:this.pinchDone},this.handlerOptions)},pinchStart:function(e,d){var f=this.preserveCenter?this.map.getPixelFromLonLat(this.map.getCenter()):e.xy;this.currentCenter=this.pinchOrigin=f},pinchMove:function(i,h){var n=h.scale,m=this.map.layerContainerOriginPx,l=this.pinchOrigin,k=this.preserveCenter?this.map.getPixelFromLonLat(this.map.getCenter()):i.xy,j=Math.round(m.x+k.x-l.x+(n-1)*(m.x-l.x)),m=Math.round(m.y+k.y-l.y+(n-1)*(m.y-l.y));this.map.applyTransform(j,m,n);this.currentCenter=k},pinchDone:function(g,f,j){this.map.applyTransform();g=this.map.getZoomForResolution(this.map.getResolution()/j.scale,!0);if(g!==this.map.getZoom()||!this.currentCenter.equals(this.pinchOrigin)){f=this.map.getResolutionForZoom(g);j=this.map.getLonLatFromPixel(this.pinchOrigin);var i=this.currentCenter,h=this.map.getSize();j.lon+=f*(h.w/2-i.x);j.lat-=f*(h.h/2-i.y);this.map.div.clientWidth=this.map.div.clientWidth;this.map.setCenter(j,g)}},CLASS_NAME:"OpenLayers.Control.PinchZoom"});OpenLayers.Control.TouchNavigation=OpenLayers.Class(OpenLayers.Control,{dragPan:null,dragPanOptions:null,pinchZoom:null,pinchZoomOptions:null,clickHandlerOptions:null,documentDrag:!1,autoActivate:!0,initialize:function(b){this.handlers={};OpenLayers.Control.prototype.initialize.apply(this,arguments)},destroy:function(){this.deactivate();this.dragPan&&this.dragPan.destroy();this.dragPan=null;this.pinchZoom&&(this.pinchZoom.destroy(),delete this.pinchZoom);OpenLayers.Control.prototype.destroy.apply(this,arguments)},activate:function(){return OpenLayers.Control.prototype.activate.apply(this,arguments)?(this.dragPan.activate(),this.handlers.click.activate(),this.pinchZoom.activate(),!0):!1},deactivate:function(){return OpenLayers.Control.prototype.deactivate.apply(this,arguments)?(this.dragPan.deactivate(),this.handlers.click.deactivate(),this.pinchZoom.deactivate(),!0):!1},draw:function(){var d={click:this.defaultClick,dblclick:this.defaultDblClick},c=OpenLayers.Util.extend({"double":!0,stopDouble:!0,pixelTolerance:2},this.clickHandlerOptions);this.handlers.click=new OpenLayers.Handler.Click(this,d,c);this.dragPan=new OpenLayers.Control.DragPan(OpenLayers.Util.extend({map:this.map,documentDrag:this.documentDrag},this.dragPanOptions));this.dragPan.draw();this.pinchZoom=new OpenLayers.Control.PinchZoom(OpenLayers.Util.extend({map:this.map},this.pinchZoomOptions))},defaultClick:function(b){b.lastTouches&&2==b.lastTouches.length&&this.map.zoomOut()},defaultDblClick:function(b){this.map.zoomTo(this.map.zoom+1,b.xy)},CLASS_NAME:"OpenLayers.Control.TouchNavigation"});OpenLayers.Console.warn("OpenLayers.Rico is deprecated");OpenLayers.Rico=OpenLayers.Rico||{};OpenLayers.Rico.Color=OpenLayers.Class({initialize:function(e,d,f){this.rgb={r:e,g:d,b:f}},setRed:function(b){this.rgb.r=b},setGreen:function(b){this.rgb.g=b},setBlue:function(b){this.rgb.b=b},setHue:function(d){var c=this.asHSB();c.h=d;this.rgb=OpenLayers.Rico.Color.HSBtoRGB(c.h,c.s,c.b)},setSaturation:function(d){var c=this.asHSB();c.s=d;this.rgb=OpenLayers.Rico.Color.HSBtoRGB(c.h,c.s,c.b)},setBrightness:function(d){var c=this.asHSB();c.b=d;this.rgb=OpenLayers.Rico.Color.HSBtoRGB(c.h,c.s,c.b)},darken:function(d){var c=this.asHSB();this.rgb=OpenLayers.Rico.Color.HSBtoRGB(c.h,c.s,Math.max(c.b-d,0))},brighten:function(d){var c=this.asHSB();this.rgb=OpenLayers.Rico.Color.HSBtoRGB(c.h,c.s,Math.min(c.b+d,1))},blend:function(b){this.rgb.r=Math.floor((this.rgb.r+b.rgb.r)/2);this.rgb.g=Math.floor((this.rgb.g+b.rgb.g)/2);this.rgb.b=Math.floor((this.rgb.b+b.rgb.b)/2)},isBright:function(){this.asHSB();return 0.5<this.asHSB().b},isDark:function(){return !this.isBright()},asRGB:function(){return"rgb("+this.rgb.r+","+this.rgb.g+","+this.rgb.b+")"},asHex:function(){return"#"+this.rgb.r.toColorPart()+this.rgb.g.toColorPart()+this.rgb.b.toColorPart()},asHSB:function(){return OpenLayers.Rico.Color.RGBtoHSB(this.rgb.r,this.rgb.g,this.rgb.b)},toString:function(){return this.asHex()}});OpenLayers.Rico.Color.createFromHex=function(e){if(4==e.length){var d=e;e="#";for(var f=1;4>f;f++){e+=d.charAt(f)+d.charAt(f)}}0==e.indexOf("#")&&(e=e.substring(1));d=e.substring(0,2);f=e.substring(2,4);e=e.substring(4,6);return new OpenLayers.Rico.Color(parseInt(d,16),parseInt(f,16),parseInt(e,16))};OpenLayers.Rico.Color.createColorFromBackground=function(d){var c=OpenLayers.Element.getStyle(OpenLayers.Util.getElement(d),"backgroundColor");return"transparent"==c&&d.parentNode?OpenLayers.Rico.Color.createColorFromBackground(d.parentNode):null==c?new OpenLayers.Rico.Color(255,255,255):0==c.indexOf("rgb(")?(d=c.substring(4,c.length-1).split(","),new OpenLayers.Rico.Color(parseInt(d[0]),parseInt(d[1]),parseInt(d[2]))):0==c.indexOf("#")?OpenLayers.Rico.Color.createFromHex(c):new OpenLayers.Rico.Color(255,255,255)};OpenLayers.Rico.Color.HSBtoRGB=function(r,q,p){var o=0,n=0,m=0;if(0==q){m=n=o=parseInt(255*p+0.5)}else{r=6*(r-Math.floor(r));var l=r-Math.floor(r),j=p*(1-q),i=p*(1-q*l);q=p*(1-q*(1-l));switch(parseInt(r)){case 0:o=255*p+0.5;n=255*q+0.5;m=255*j+0.5;break;case 1:o=255*i+0.5;n=255*p+0.5;m=255*j+0.5;break;case 2:o=255*j+0.5;n=255*p+0.5;m=255*q+0.5;break;case 3:o=255*j+0.5;n=255*i+0.5;m=255*p+0.5;break;case 4:o=255*q+0.5;n=255*j+0.5;m=255*p+0.5;break;case 5:o=255*p+0.5,n=255*j+0.5,m=255*i+0.5}}return{r:parseInt(o),g:parseInt(n),b:parseInt(m)}};OpenLayers.Rico.Color.RGBtoHSB=function(j,i,p){var o,n=j>i?j:i;p>n&&(n=p);var m=j<i?j:i;p<m&&(m=p);o=0!=n?(n-m)/n:0;if(0==o){j=0}else{var l=(n-j)/(n-m),k=(n-i)/(n-m);p=(n-p)/(n-m);j=(j==n?p-k:i==n?2+l-p:4+k-l)/6;0>j&&(j+=1)}return{h:j,s:o,b:n/255}};OpenLayers.Style2=OpenLayers.Class({id:null,name:null,title:null,description:null,layerName:null,isDefault:!1,rules:null,initialize:function(b){OpenLayers.Util.extend(this,b);this.id=OpenLayers.Util.createUniqueID(this.CLASS_NAME+"_")},destroy:function(){for(var d=0,c=this.rules.length;d<c;d++){this.rules[d].destroy()}delete this.rules},clone:function(){var e=OpenLayers.Util.extend({},this);if(this.rules){e.rules=[];for(var d=0,f=this.rules.length;d<f;++d){e.rules.push(this.rules[d].clone())}}return new OpenLayers.Style2(e)},CLASS_NAME:"OpenLayers.Style2"});OpenLayers.Format.WFS=OpenLayers.Class(OpenLayers.Format.GML,{layer:null,wfsns:"http://www.opengis.net/wfs",ogcns:"http://www.opengis.net/ogc",initialize:function(d,c){OpenLayers.Format.GML.prototype.initialize.apply(this,[d]);this.layer=c;this.layer.featureNS&&(this.featureNS=this.layer.featureNS);this.layer.options.geometry_column&&(this.geometryName=this.layer.options.geometry_column);this.layer.options.typename&&(this.featureName=this.layer.options.typename)},write:function(e){var d=this.createElementNS(this.wfsns,"wfs:Transaction");d.setAttribute("version","1.0.0");d.setAttribute("service","WFS");for(var f=0;f<e.length;f++){switch(e[f].state){case OpenLayers.State.INSERT:d.appendChild(this.insert(e[f]));break;case OpenLayers.State.UPDATE:d.appendChild(this.update(e[f]));break;case OpenLayers.State.DELETE:d.appendChild(this.remove(e[f]))}}return OpenLayers.Format.XML.prototype.write.apply(this,[d])},createFeatureXML:function(g){var f=this.buildGeometryNode(g.geometry),j=this.createElementNS(this.featureNS,"feature:"+this.geometryName);j.appendChild(f);f=this.createElementNS(this.featureNS,"feature:"+this.featureName);f.appendChild(j);for(var i in g.attributes){var j=this.createTextNode(g.attributes[i]),h=i;-1!=i.search(":")&&(h=i.split(":")[1]);h=this.createElementNS(this.featureNS,"feature:"+h);h.appendChild(j);f.appendChild(h)}return f},insert:function(d){var c=this.createElementNS(this.wfsns,"wfs:Insert");c.appendChild(this.createFeatureXML(d));return c},update:function(h){h.fid||OpenLayers.Console.userError(OpenLayers.i18n("noFID"));var g=this.createElementNS(this.wfsns,"wfs:Update");g.setAttribute("typeName",this.featurePrefix+":"+this.featureName);g.setAttribute("xmlns:"+this.featurePrefix,this.featureNS);var l=this.createElementNS(this.wfsns,"wfs:Property"),k=this.createElementNS(this.wfsns,"wfs:Name"),j=this.createTextNode(this.geometryName);k.appendChild(j);l.appendChild(k);k=this.createElementNS(this.wfsns,"wfs:Value");j=this.buildGeometryNode(h.geometry);h.layer&&j.setAttribute("srsName",h.layer.projection.getCode());k.appendChild(j);l.appendChild(k);g.appendChild(l);for(var i in h.attributes){l=this.createElementNS(this.wfsns,"wfs:Property"),k=this.createElementNS(this.wfsns,"wfs:Name"),k.appendChild(this.createTextNode(i)),l.appendChild(k),k=this.createElementNS(this.wfsns,"wfs:Value"),k.appendChild(this.createTextNode(h.attributes[i])),l.appendChild(k),g.appendChild(l)}l=this.createElementNS(this.ogcns,"ogc:Filter");i=this.createElementNS(this.ogcns,"ogc:FeatureId");i.setAttribute("fid",h.fid);l.appendChild(i);g.appendChild(l);return g},remove:function(f){if(!f.fid){return OpenLayers.Console.userError(OpenLayers.i18n("noFID")),!1}var e=this.createElementNS(this.wfsns,"wfs:Delete");e.setAttribute("typeName",this.featurePrefix+":"+this.featureName);e.setAttribute("xmlns:"+this.featurePrefix,this.featureNS);var h=this.createElementNS(this.ogcns,"ogc:Filter"),g=this.createElementNS(this.ogcns,"ogc:FeatureId");g.setAttribute("fid",f.fid);h.appendChild(g);e.appendChild(h);return e},destroy:function(){this.layer=null},CLASS_NAME:"OpenLayers.Format.WFS"});OpenLayers.Format.SLD.v1_0_0_GeoServer=OpenLayers.Class(OpenLayers.Format.SLD.v1_0_0,{version:"1.0.0",profile:"GeoServer",readers:OpenLayers.Util.applyDefaults({sld:OpenLayers.Util.applyDefaults({Priority:function(e,d){var f=this.readers.ogc._expression.call(this,e);f&&(d.priority=f)},VendorOption:function(d,c){c.vendorOptions||(c.vendorOptions={});c.vendorOptions[d.getAttribute("name")]=this.getChildValue(d)},TextSymbolizer:function(e,d){OpenLayers.Format.SLD.v1_0_0.prototype.readers.sld.TextSymbolizer.apply(this,arguments);var f=this.multipleSymbolizers?d.symbolizers[d.symbolizers.length-1]:d.symbolizer.Text;void 0===f.graphic&&(f.graphic=!1)}},OpenLayers.Format.SLD.v1_0_0.prototype.readers.sld)},OpenLayers.Format.SLD.v1_0_0.prototype.readers),writers:OpenLayers.Util.applyDefaults({sld:OpenLayers.Util.applyDefaults({Priority:function(b){return this.writers.sld._OGCExpression.call(this,"sld:Priority",b)},VendorOption:function(b){return this.createElementNSPlus("sld:VendorOption",{attributes:{name:b.name},value:b.value})},TextSymbolizer:function(d){var c=OpenLayers.Format.SLD.v1_0_0.prototype.writers.sld.TextSymbolizer.apply(this,arguments);!1!==d.graphic&&(d.externalGraphic||d.graphicName)&&this.writeNode("Graphic",d,c);"priority" in d&&this.writeNode("Priority",d.priority,c);return this.addVendorOptions(c,d)},PointSymbolizer:function(d){var c=OpenLayers.Format.SLD.v1_0_0.prototype.writers.sld.PointSymbolizer.apply(this,arguments);return this.addVendorOptions(c,d)},LineSymbolizer:function(d){var c=OpenLayers.Format.SLD.v1_0_0.prototype.writers.sld.LineSymbolizer.apply(this,arguments);return this.addVendorOptions(c,d)},PolygonSymbolizer:function(d){var c=OpenLayers.Format.SLD.v1_0_0.prototype.writers.sld.PolygonSymbolizer.apply(this,arguments);return this.addVendorOptions(c,d)}},OpenLayers.Format.SLD.v1_0_0.prototype.writers.sld)},OpenLayers.Format.SLD.v1_0_0.prototype.writers),addVendorOptions:function(e,d){if(d.vendorOptions){for(var f in d.vendorOptions){this.writeNode("VendorOption",{name:f,value:d.vendorOptions[f]},e)}}return e},CLASS_NAME:"OpenLayers.Format.SLD.v1_0_0_GeoServer"});OpenLayers.Layer.Boxes=OpenLayers.Class(OpenLayers.Layer.Markers,{drawMarker:function(e){var d=this.map.getLayerPxFromLonLat({lon:e.bounds.left,lat:e.bounds.top}),f=this.map.getLayerPxFromLonLat({lon:e.bounds.right,lat:e.bounds.bottom});null==f||null==d?e.display(!1):(d=e.draw(d,{w:Math.max(1,f.x-d.x),h:Math.max(1,f.y-d.y)}),e.drawn||(this.div.appendChild(d),e.drawn=!0))},removeMarker:function(b){OpenLayers.Util.removeItem(this.markers,b);null!=b.div&&b.div.parentNode==this.div&&this.div.removeChild(b.div)},CLASS_NAME:"OpenLayers.Layer.Boxes"});OpenLayers.Format.WFSCapabilities.v1_0_0=OpenLayers.Class(OpenLayers.Format.WFSCapabilities.v1,{readers:{wfs:OpenLayers.Util.applyDefaults({Service:function(d,c){c.service={};this.readChildNodes(d,c.service)},Fees:function(e,d){var f=this.getChildValue(e);f&&"none"!=f.toLowerCase()&&(d.fees=f)},AccessConstraints:function(e,d){var f=this.getChildValue(e);f&&"none"!=f.toLowerCase()&&(d.accessConstraints=f)},OnlineResource:function(e,d){var f=this.getChildValue(e);f&&"none"!=f.toLowerCase()&&(d.onlineResource=f)},Keywords:function(e,d){var f=this.getChildValue(e);f&&"none"!=f.toLowerCase()&&(d.keywords=f.split(", "))},Capability:function(d,c){c.capability={};this.readChildNodes(d,c.capability)},Request:function(d,c){c.request={};this.readChildNodes(d,c.request)},GetFeature:function(d,c){c.getfeature={href:{},formats:[]};this.readChildNodes(d,c.getfeature)},ResultFormat:function(g,f){for(var j=g.childNodes,i,h=0;h<j.length;h++){i=j[h],1==i.nodeType&&f.formats.push(i.nodeName)}},DCPType:function(d,c){this.readChildNodes(d,c)},HTTP:function(d,c){this.readChildNodes(d,c.href)},Get:function(d,c){c.get=d.getAttribute("onlineResource")},Post:function(d,c){c.post=d.getAttribute("onlineResource")},SRS:function(e,d){var f=this.getChildValue(e);f&&(d.srs=f)}},OpenLayers.Format.WFSCapabilities.v1.prototype.readers.wfs)},CLASS_NAME:"OpenLayers.Format.WFSCapabilities.v1_0_0"});OpenLayers.Format.WMSCapabilities.v1_3=OpenLayers.Class(OpenLayers.Format.WMSCapabilities.v1,{readers:{wms:OpenLayers.Util.applyDefaults({WMS_Capabilities:function(d,c){this.readChildNodes(d,c)},LayerLimit:function(d,c){c.layerLimit=parseInt(this.getChildValue(d))},MaxWidth:function(d,c){c.maxWidth=parseInt(this.getChildValue(d))},MaxHeight:function(d,c){c.maxHeight=parseInt(this.getChildValue(d))},BoundingBox:function(e,d){var f=OpenLayers.Format.WMSCapabilities.v1.prototype.readers.wms.BoundingBox.apply(this,[e,d]);f.srs=e.getAttribute("CRS");d.bbox[f.srs]=f},CRS:function(d,c){this.readers.wms.SRS.apply(this,[d,c])},EX_GeographicBoundingBox:function(d,c){c.llbbox=[];this.readChildNodes(d,c.llbbox)},westBoundLongitude:function(d,c){c[0]=this.getChildValue(d)},eastBoundLongitude:function(d,c){c[2]=this.getChildValue(d)},southBoundLatitude:function(d,c){c[1]=this.getChildValue(d)},northBoundLatitude:function(d,c){c[3]=this.getChildValue(d)},MinScaleDenominator:function(d,c){c.maxScale=parseFloat(this.getChildValue(d)).toPrecision(16)},MaxScaleDenominator:function(d,c){c.minScale=parseFloat(this.getChildValue(d)).toPrecision(16)},Dimension:function(e,d){var f={name:e.getAttribute("name").toLowerCase(),units:e.getAttribute("units"),unitsymbol:e.getAttribute("unitSymbol"),nearestVal:"1"===e.getAttribute("nearestValue"),multipleVal:"1"===e.getAttribute("multipleValues"),"default":e.getAttribute("default")||"",current:"1"===e.getAttribute("current"),values:this.getChildValue(e).split(",")};d.dimensions[f.name]=f},Keyword:function(e,d){var f={value:this.getChildValue(e),vocabulary:e.getAttribute("vocabulary")};d.keywords&&d.keywords.push(f)}},OpenLayers.Format.WMSCapabilities.v1.prototype.readers.wms),sld:{UserDefinedSymbolization:function(d,c){this.readers.wms.UserDefinedSymbolization.apply(this,[d,c]);c.userSymbols.inlineFeature=1==parseInt(d.getAttribute("InlineFeature"));c.userSymbols.remoteWCS=1==parseInt(d.getAttribute("RemoteWCS"))},DescribeLayer:function(d,c){this.readers.wms.DescribeLayer.apply(this,[d,c])},GetLegendGraphic:function(d,c){this.readers.wms.GetLegendGraphic.apply(this,[d,c])}}},CLASS_NAME:"OpenLayers.Format.WMSCapabilities.v1_3"});OpenLayers.Layer.Zoomify=OpenLayers.Class(OpenLayers.Layer.Grid,{size:null,isBaseLayer:!0,standardTileSize:256,tileOriginCorner:"tl",numberOfTiers:0,tileCountUpToTier:null,tierSizeInTiles:null,tierImageSize:null,initialize:function(f,e,h,g){this.initializeZoomify(h);OpenLayers.Layer.Grid.prototype.initialize.apply(this,[f,e,h,{},g])},initializeZoomify:function(d){var c=d.clone();this.size=d.clone();d=new OpenLayers.Size(Math.ceil(c.w/this.standardTileSize),Math.ceil(c.h/this.standardTileSize));this.tierSizeInTiles=[d];for(this.tierImageSize=[c];c.w>this.standardTileSize||c.h>this.standardTileSize;){c=new OpenLayers.Size(Math.floor(c.w/2),Math.floor(c.h/2)),d=new OpenLayers.Size(Math.ceil(c.w/this.standardTileSize),Math.ceil(c.h/this.standardTileSize)),this.tierSizeInTiles.push(d),this.tierImageSize.push(c)}this.tierSizeInTiles.reverse();this.tierImageSize.reverse();this.numberOfTiers=this.tierSizeInTiles.length;c=[1];this.tileCountUpToTier=[0];for(d=1;d<this.numberOfTiers;d++){c.unshift(Math.pow(2,d)),this.tileCountUpToTier.push(this.tierSizeInTiles[d-1].w*this.tierSizeInTiles[d-1].h+this.tileCountUpToTier[d-1])}this.serverResolutions||(this.serverResolutions=c)},destroy:function(){OpenLayers.Layer.Grid.prototype.destroy.apply(this,arguments);this.tileCountUpToTier.length=0;this.tierSizeInTiles.length=0;this.tierImageSize.length=0},clone:function(b){null==b&&(b=new OpenLayers.Layer.Zoomify(this.name,this.url,this.size,this.options));return b=OpenLayers.Layer.Grid.prototype.clone.apply(this,[b])},getURL:function(e){e=this.adjustBounds(e);var d=this.getServerResolution(),f=Math.round((e.left-this.tileOrigin.lon)/(d*this.tileSize.w));e=Math.round((this.tileOrigin.lat-e.top)/(d*this.tileSize.h));d=this.getZoomForResolution(d);f="TileGroup"+Math.floor((f+e*this.tierSizeInTiles[d].w+this.tileCountUpToTier[d])/256)+"/"+d+"-"+f+"-"+e+".jpg";d=this.url;OpenLayers.Util.isArray(d)&&(d=this.selectUrl(f,d));return d+f},getImageSize:function(){if(0<arguments.length){var g=this.adjustBounds(arguments[0]),f=this.getServerResolution(),j=Math.round((g.left-this.tileOrigin.lon)/(f*this.tileSize.w)),g=Math.round((this.tileOrigin.lat-g.top)/(f*this.tileSize.h)),f=this.getZoomForResolution(f),i=this.standardTileSize,h=this.standardTileSize;j==this.tierSizeInTiles[f].w-1&&(i=this.tierImageSize[f].w%this.standardTileSize);g==this.tierSizeInTiles[f].h-1&&(h=this.tierImageSize[f].h%this.standardTileSize);return new OpenLayers.Size(i,h)}return this.tileSize},setMap:function(b){OpenLayers.Layer.Grid.prototype.setMap.apply(this,arguments);this.tileOrigin=new OpenLayers.LonLat(this.map.maxExtent.left,this.map.maxExtent.top)},CLASS_NAME:"OpenLayers.Layer.Zoomify"});OpenLayers.Layer.MapServer=OpenLayers.Class(OpenLayers.Layer.Grid,{DEFAULT_PARAMS:{mode:"map",map_imagetype:"png"},initialize:function(f,e,h,g){OpenLayers.Layer.Grid.prototype.initialize.apply(this,arguments);this.params=OpenLayers.Util.applyDefaults(this.params,this.DEFAULT_PARAMS);if(null==g||null==g.isBaseLayer){this.isBaseLayer="true"!=this.params.transparent&&!0!=this.params.transparent}},clone:function(b){null==b&&(b=new OpenLayers.Layer.MapServer(this.name,this.url,this.params,this.getOptions()));return b=OpenLayers.Layer.Grid.prototype.clone.apply(this,[b])},getURL:function(d){d=this.adjustBounds(d);d=[d.left,d.bottom,d.right,d.top];var c=this.getImageSize();return this.getFullRequestString({mapext:d,imgext:d,map_size:[c.w,c.h],imgx:c.w/2,imgy:c.h/2,imgxy:[c.w,c.h]})},getFullRequestString:function(h,g){var l=null==g?this.url:g,k=OpenLayers.Util.extend({},this.params),k=OpenLayers.Util.extend(k,h),j=OpenLayers.Util.getParameterString(k);OpenLayers.Util.isArray(l)&&(l=this.selectUrl(j,l));var j=OpenLayers.Util.upperCaseObject(OpenLayers.Util.getParameters(l)),i;for(i in k){i.toUpperCase() in j&&delete k[i]}j=OpenLayers.Util.getParameterString(k);k=l;j=j.replace(/,/g,"+");""!=j&&(i=l.charAt(l.length-1),k="&"==i||"?"==i?k+j:-1==l.indexOf("?")?k+("?"+j):k+("&"+j));return k},CLASS_NAME:"OpenLayers.Layer.MapServer"});OpenLayers.Renderer.VML=OpenLayers.Class(OpenLayers.Renderer.Elements,{xmlns:"urn:schemas-microsoft-com:vml",symbolCache:{},offset:null,initialize:function(g){if(this.supported()){if(!document.namespaces.olv){document.namespaces.add("olv",this.xmlns);for(var f=document.createStyleSheet(),j="shape rect oval fill stroke imagedata group textbox".split(" "),i=0,h=j.length;i<h;i++){f.addRule("olv\\:"+j[i],"behavior: url(#default#VML); position: absolute; display: inline-block;")}}OpenLayers.Renderer.Elements.prototype.initialize.apply(this,arguments)}},supported:function(){return !!document.namespaces},setExtent:function(i,h){var n=OpenLayers.Renderer.Elements.prototype.setExtent.apply(this,arguments),m=this.getResolution(),l=i.left/m|0,m=i.top/m-this.size.h|0;h||!this.offset?(this.offset={x:l,y:m},m=l=0):(l-=this.offset.x,m-=this.offset.y);this.root.coordorigin=l-this.xOffset+" "+m;for(var l=[this.root,this.vectorRoot,this.textRoot],k=0,j=l.length;k<j;++k){m=l[k],m.coordsize=this.size.w+" "+this.size.h}this.root.style.flip="y";return n},setSize:function(i){OpenLayers.Renderer.prototype.setSize.apply(this,arguments);for(var h=[this.rendererRoot,this.root,this.vectorRoot,this.textRoot],n=this.size.w+"px",m=this.size.h+"px",l,k=0,j=h.length;k<j;++k){l=h[k],l.style.width=n,l.style.height=m}},getNodeType:function(e,d){var f=null;switch(e.CLASS_NAME){case"OpenLayers.Geometry.Point":f=d.externalGraphic?"olv:rect":this.isComplexSymbol(d.graphicName)?"olv:shape":"olv:oval";break;case"OpenLayers.Geometry.Rectangle":f="olv:rect";break;case"OpenLayers.Geometry.LineString":case"OpenLayers.Geometry.LinearRing":case"OpenLayers.Geometry.Polygon":case"OpenLayers.Geometry.Curve":f="olv:shape"}return f},setStyle:function(r,q,p,o){q=q||r._style;p=p||r._options;var n=q.fillColor,m=q.title||q.graphicTitle;m&&(r.title=m);if("OpenLayers.Geometry.Point"===r._geometryClass){if(q.externalGraphic){p.isFilled=!0;var n=q.graphicWidth||q.graphicHeight,m=q.graphicHeight||q.graphicWidth,n=n?n:2*q.pointRadius,m=m?m:2*q.pointRadius,l=this.getResolution(),j=void 0!=q.graphicXOffset?q.graphicXOffset:-(0.5*n),i=void 0!=q.graphicYOffset?q.graphicYOffset:-(0.5*m);r.style.left=((o.x-this.featureDx)/l-this.offset.x+j|0)+"px";r.style.top=(o.y/l-this.offset.y-(i+m)|0)+"px";r.style.width=n+"px";r.style.height=m+"px";r.style.flip="y";n="none";p.isStroked=!1}else{this.isComplexSymbol(q.graphicName)?(m=this.importSymbol(q.graphicName),r.path=m.path,r.coordorigin=m.left+","+m.bottom,m=m.size,r.coordsize=m+","+m,this.drawCircle(r,o,q.pointRadius),r.style.flip="y"):this.drawCircle(r,o,q.pointRadius)}}p.isFilled?r.fillcolor=n:r.filled="false";o=r.getElementsByTagName("fill");o=0==o.length?null:o[0];p.isFilled?(o||(o=this.createNode("olv:fill",r.id+"_fill")),o.opacity=q.fillOpacity,"OpenLayers.Geometry.Point"===r._geometryClass&&q.externalGraphic&&(q.graphicOpacity&&(o.opacity=q.graphicOpacity),o.src=q.externalGraphic,o.type="frame",q.graphicWidth&&q.graphicHeight||(o.aspect="atmost")),o.parentNode!=r&&r.appendChild(o)):o&&r.removeChild(o);n=q.rotation;if(void 0!==n||void 0!==r._rotation){r._rotation=n,q.externalGraphic?(this.graphicRotate(r,j,i,q),o.opacity=0):"OpenLayers.Geometry.Point"===r._geometryClass&&(r.style.rotation=n||0)}j=r.getElementsByTagName("stroke");j=0==j.length?null:j[0];p.isStroked?(j||(j=this.createNode("olv:stroke",r.id+"_stroke"),r.appendChild(j)),j.on=!0,j.color=q.strokeColor,j.weight=q.strokeWidth+"px",j.opacity=q.strokeOpacity,j.endcap="butt"==q.strokeLinecap?"flat":q.strokeLinecap||"round",q.strokeDashstyle&&(j.dashstyle=this.dashStyle(q))):(r.stroked=!1,j&&(j.on=!1));"inherit"!=q.cursor&&null!=q.cursor&&(r.style.cursor=q.cursor);return r},graphicRotate:function(v,u,t,s){s=s||v._style;var r=s.rotation||0,q,p;if(s.graphicWidth&&s.graphicHeight){p=Math.max(s.graphicWidth,s.graphicHeight);q=s.graphicWidth/s.graphicHeight;var o=Math.round(s.graphicWidth||p*q),n=Math.round(s.graphicHeight||p);v.style.width=o+"px";v.style.height=n+"px";var j=document.getElementById(v.id+"_image");j||(j=this.createNode("olv:imagedata",v.id+"_image"),v.appendChild(j));j.style.width=o+"px";j.style.height=n+"px";j.src=s.externalGraphic;j.style.filter="progid:DXImageTransform.Microsoft.AlphaImageLoader(src='', sizingMethod='scale')";j=r*Math.PI/180;r=Math.sin(j);j=Math.cos(j);r="progid:DXImageTransform.Microsoft.Matrix(M11="+j+",M12="+-r+",M21="+r+",M22="+j+",SizingMethod='auto expand')\n";(j=s.graphicOpacity||s.fillOpacity)&&1!=j&&(r+="progid:DXImageTransform.Microsoft.BasicImage(opacity="+j+")\n");v.style.filter=r;r=new OpenLayers.Geometry.Point(-u,-t);o=(new OpenLayers.Bounds(0,0,o,n)).toGeometry();o.rotate(s.rotation,r);o=o.getBounds();v.style.left=Math.round(parseInt(v.style.left)+o.left)+"px";v.style.top=Math.round(parseInt(v.style.top)-o.bottom)+"px"}else{var i=new Image;i.onreadystatechange=OpenLayers.Function.bind(function(){if("complete"==i.readyState||"interactive"==i.readyState){q=i.width/i.height,p=Math.max(2*s.pointRadius,s.graphicWidth||0,s.graphicHeight||0),u*=q,s.graphicWidth=p*q,s.graphicHeight=p,this.graphicRotate(v,u,t,s)}},this);i.src=s.externalGraphic}},postDraw:function(e){e.style.visibility="visible";var d=e._style.fillColor,f=e._style.strokeColor;"none"==d&&e.fillcolor!=d&&(e.fillcolor=d);"none"==f&&e.strokecolor!=f&&(e.strokecolor=f)},setNodeDimension:function(f,e){var h=e.getBounds();if(h){var g=this.getResolution(),h=new OpenLayers.Bounds((h.left-this.featureDx)/g-this.offset.x|0,h.bottom/g-this.offset.y|0,(h.right-this.featureDx)/g-this.offset.x|0,h.top/g-this.offset.y|0);f.style.left=h.left+"px";f.style.top=h.top+"px";f.style.width=h.getWidth()+"px";f.style.height=h.getHeight()+"px";f.coordorigin=h.left+" "+h.top;f.coordsize=h.getWidth()+" "+h.getHeight()}},dashStyle:function(b){b=b.strokeDashstyle;switch(b){case"solid":case"dot":case"dash":case"dashdot":case"longdash":case"longdashdot":return b;default:return b=b.split(/[ ,]/),2==b.length?1*b[0]>=2*b[1]?"longdash":1==b[0]||1==b[1]?"dot":"dash":4==b.length?1*b[0]>=2*b[1]?"longdashdot":"dashdot":"solid"}},createNode:function(e,d){var f=document.createElement(e);d&&(f.id=d);f.unselectable="on";f.onselectstart=OpenLayers.Function.False;return f},nodeTypeCompare:function(g,f){var j=f,i=j.indexOf(":");-1!=i&&(j=j.substr(i+1));var h=g.nodeName,i=h.indexOf(":");-1!=i&&(h=h.substr(i+1));return j==h},createRenderRoot:function(){return this.nodeFactory(this.container.id+"_vmlRoot","div")},createRoot:function(b){return this.nodeFactory(this.container.id+b,"olv:group")},drawPoint:function(d,c){return this.drawCircle(d,c,1)},drawCircle:function(f,e,h){if(!isNaN(e.x)&&!isNaN(e.y)){var g=this.getResolution();f.style.left=((e.x-this.featureDx)/g-this.offset.x|0)-h+"px";f.style.top=(e.y/g-this.offset.y|0)-h+"px";e=2*h;f.style.width=e+"px";f.style.height=e+"px";return f}return !1},drawLineString:function(d,c){return this.drawLine(d,c,!1)},drawLinearRing:function(d,c){return this.drawLine(d,c,!0)},drawLine:function(r,q,p){this.setNodeDimension(r,q);for(var o=this.getResolution(),n=q.components.length,m=Array(n),l,j,i=0;i<n;i++){l=q.components[i],j=(l.x-this.featureDx)/o-this.offset.x|0,l=l.y/o-this.offset.y|0,m[i]=" "+j+","+l+" l "}q=p?" x e":" e";r.path="m"+m.join("")+q;return r},drawPolygon:function(B,A){this.setNodeDimension(B,A);var z=this.getResolution(),y=[],x,w,v,u,t,s,r,o,j,i;x=0;for(w=A.components.length;x<w;x++){y.push("m");v=A.components[x].components;u=0===x;s=t=null;r=0;for(o=v.length;r<o;r++){j=v[r],i=(j.x-this.featureDx)/z-this.offset.x|0,j=j.y/z-this.offset.y|0,i=" "+i+","+j,y.push(i),0==r&&y.push(" l"),u||(t?t!=i&&(s?s!=i&&(u=!0):s=i):t=i)}y.push(u?" x ":" ")}y.push("e");B.path=y.join("");return B},drawRectangle:function(e,d){var f=this.getResolution();e.style.left=((d.x-this.featureDx)/f-this.offset.x|0)+"px";e.style.top=(d.y/f-this.offset.y|0)+"px";e.style.width=(d.width/f|0)+"px";e.style.height=(d.height/f|0)+"px";return e},drawText:function(h,g,l){var k=this.nodeFactory(h+this.LABEL_ID_SUFFIX,"olv:rect"),j=this.nodeFactory(h+this.LABEL_ID_SUFFIX+"_textbox","olv:textbox"),i=this.getResolution();k.style.left=((l.x-this.featureDx)/i-this.offset.x|0)+"px";k.style.top=(l.y/i-this.offset.y|0)+"px";k.style.flip="y";j.innerText=g.label;"inherit"!=g.cursor&&null!=g.cursor&&(j.style.cursor=g.cursor);g.fontColor&&(j.style.color=g.fontColor);g.fontOpacity&&(j.style.filter="alpha(opacity="+100*g.fontOpacity+")");g.fontFamily&&(j.style.fontFamily=g.fontFamily);g.fontSize&&(j.style.fontSize=g.fontSize);g.fontWeight&&(j.style.fontWeight=g.fontWeight);g.fontStyle&&(j.style.fontStyle=g.fontStyle);!0===g.labelSelect&&(k._featureId=h,j._featureId=h,j._geometry=l,j._geometryClass=l.CLASS_NAME);j.style.whiteSpace="nowrap";j.inset="1px,0px,0px,0px";k.parentNode||(k.appendChild(j),this.textRoot.appendChild(k));g=g.labelAlign||"cm";1==g.length&&(g+="m");h=j.clientWidth*OpenLayers.Renderer.VML.LABEL_SHIFT[g.substr(0,1)];j=j.clientHeight*OpenLayers.Renderer.VML.LABEL_SHIFT[g.substr(1,1)];k.style.left=parseInt(k.style.left)-h-1+"px";k.style.top=parseInt(k.style.top)+j+"px"},moveRoot:function(d){var c=this.map.getLayer(d.container.id);c instanceof OpenLayers.Layer.Vector.RootContainer&&(c=this.map.getLayer(this.container.id));c&&c.renderer.clear();OpenLayers.Renderer.Elements.prototype.moveRoot.apply(this,arguments);c&&c.redraw()},importSymbol:function(i){var h=this.container.id+"-"+i,n=this.symbolCache[h];if(n){return n}n=OpenLayers.Renderer.symbol[i];if(!n){throw Error(i+" is not a valid symbol name")}i=new OpenLayers.Bounds(Number.MAX_VALUE,Number.MAX_VALUE,0,0);for(var m=["m"],l=0;l<n.length;l+=2){var k=n[l],j=n[l+1];i.left=Math.min(i.left,k);i.bottom=Math.min(i.bottom,j);i.right=Math.max(i.right,k);i.top=Math.max(i.top,j);m.push(k);m.push(j);0==l&&m.push("l")}m.push("x e");n=m.join(" ");m=(i.getWidth()-i.getHeight())/2;0<m?(i.bottom-=m,i.top+=m):(i.left+=m,i.right-=m);n={path:n,size:i.getWidth(),left:i.left,bottom:i.bottom};return this.symbolCache[h]=n},CLASS_NAME:"OpenLayers.Renderer.VML"});OpenLayers.Renderer.VML.LABEL_SHIFT={l:0,c:0.5,r:1,t:0,m:0.5,b:1};OpenLayers.Control.CacheRead=OpenLayers.Class(OpenLayers.Control,{fetchEvent:"tileloadstart",layers:null,autoActivate:!0,setMap:function(e){OpenLayers.Control.prototype.setMap.apply(this,arguments);var d,f=this.layers||e.layers;for(d=f.length-1;0<=d;--d){this.addLayer({layer:f[d]})}if(!this.layers){e.events.on({addlayer:this.addLayer,removeLayer:this.removeLayer,scope:this})}},addLayer:function(b){b.layer.events.register(this.fetchEvent,this,this.fetch)},removeLayer:function(b){b.layer.events.unregister(this.fetchEvent,this,this.fetch)},fetch:function(e){if(this.active&&window.localStorage&&e.tile instanceof OpenLayers.Tile.Image){var d=e.tile,f=d.url;!d.layer.crossOriginKeyword&&(OpenLayers.ProxyHost&&0===f.indexOf(OpenLayers.ProxyHost))&&(f=OpenLayers.Control.CacheWrite.urlMap[f]);if(f=window.localStorage.getItem("olCache_"+f)){d.url=f,"tileerror"===e.type&&d.setImgSrc(f)}}},destroy:function(){if(this.layers||this.map){var d,c=this.layers||this.map.layers;for(d=c.length-1;0<=d;--d){this.removeLayer({layer:c[d]})}}this.map&&this.map.events.un({addlayer:this.addLayer,removeLayer:this.removeLayer,scope:this});OpenLayers.Control.prototype.destroy.apply(this,arguments)},CLASS_NAME:"OpenLayers.Control.CacheRead"});OpenLayers.Protocol.WFS.v1_0_0=OpenLayers.Class(OpenLayers.Protocol.WFS.v1,{version:"1.0.0",CLASS_NAME:"OpenLayers.Protocol.WFS.v1_0_0"});OpenLayers.Format.WMSGetFeatureInfo=OpenLayers.Class(OpenLayers.Format.XML,{layerIdentifier:"_layer",featureIdentifier:"_feature",regExes:{trimSpace:/^\s*|\s*$/g,removeSpace:/\s*/g,splitSpace:/\s+/,trimComma:/\s*,\s*/g},gmlFormat:null,read:function(e){"string"==typeof e&&(e=OpenLayers.Format.XML.prototype.read.apply(this,[e]));var d=e.documentElement;if(d){var f=this["read_"+d.nodeName];e=f?f.call(this,d):(new OpenLayers.Format.GML(this.options?this.options:{})).read(e)}return e},read_msGMLOutput:function(r){var q=[];if(r=this.getSiblingNodesByTagCriteria(r,this.layerIdentifier)){for(var p=0,o=r.length;p<o;++p){var n=r[p],m=n.nodeName;n.prefix&&(m=m.split(":")[1]);m=m.replace(this.layerIdentifier,"");if(n=this.getSiblingNodesByTagCriteria(n,this.featureIdentifier)){for(var l=0;l<n.length;l++){var j=n[l],i=this.parseGeometry(j),j=this.parseAttributes(j),j=new OpenLayers.Feature.Vector(i.geometry,j,null);j.bounds=i.bounds;j.type=m;q.push(j)}}}}return q},read_FeatureInfoResponse:function(r){var q=[];r=this.getElementsByTagNameNS(r,"*","FIELDS");for(var p=0,o=r.length;p<o;p++){var n=r[p],m={},l,j=n.attributes.length;if(0<j){for(l=0;l<j;l++){var i=n.attributes[l];m[i.nodeName]=i.nodeValue}}else{for(n=n.childNodes,l=0,j=n.length;l<j;++l){i=n[l],3!=i.nodeType&&(m[i.getAttribute("name")]=i.getAttribute("value"))}}q.push(new OpenLayers.Feature.Vector(null,m,null))}return q},getSiblingNodesByTagCriteria:function(j,i){var p=[],o,n,m,l;if(j&&j.hasChildNodes()){o=j.childNodes;m=o.length;for(var k=0;k<m;k++){for(l=o[k];l&&1!=l.nodeType;){l=l.nextSibling,k++}n=l?l.nodeName:"";0<n.length&&-1<n.indexOf(i)?p.push(l):(n=this.getSiblingNodesByTagCriteria(l,i),0<n.length&&(0==p.length?p=n:p.push(n)))}}return p},parseAttributes:function(h){var g={};if(1==h.nodeType){h=h.childNodes;for(var l=h.length,k=0;k<l;++k){var j=h[k];if(1==j.nodeType){var i=j.childNodes,j=j.prefix?j.nodeName.split(":")[1]:j.nodeName;0==i.length?g[j]=null:1==i.length&&(i=i[0],3==i.nodeType||4==i.nodeType)&&(i=i.nodeValue.replace(this.regExes.trimSpace,""),g[j]=i)}}}return g},parseGeometry:function(e){this.gmlFormat||(this.gmlFormat=new OpenLayers.Format.GML);e=this.gmlFormat.parseFeature(e);var d,f=null;e&&(d=e.geometry&&e.geometry.clone(),f=e.bounds&&e.bounds.clone(),e.destroy());return{geometry:d,bounds:f}},CLASS_NAME:"OpenLayers.Format.WMSGetFeatureInfo"});OpenLayers.Control.WMTSGetFeatureInfo=OpenLayers.Class(OpenLayers.Control,{hover:!1,requestEncoding:"KVP",drillDown:!1,maxFeatures:10,clickCallback:"click",layers:null,queryVisible:!0,infoFormat:"text/html",vendorParams:{},format:null,formatOptions:null,handler:null,hoverRequest:null,pending:0,initialize:function(b){b=b||{};b.handlerOptions=b.handlerOptions||{};OpenLayers.Control.prototype.initialize.apply(this,[b]);this.format||(this.format=new OpenLayers.Format.WMSGetFeatureInfo(b.formatOptions));!0===this.drillDown&&(this.hover=!1);this.hover?this.handler=new OpenLayers.Handler.Hover(this,{move:this.cancelHover,pause:this.getInfoForHover},OpenLayers.Util.extend(this.handlerOptions.hover||{},{delay:250})):(b={},b[this.clickCallback]=this.getInfoForClick,this.handler=new OpenLayers.Handler.Click(this,b,this.handlerOptions.click||{}))},getInfoForClick:function(b){this.request(b.xy,{})},getInfoForHover:function(b){this.request(b.xy,{hover:!0})},cancelHover:function(){this.hoverRequest&&(--this.pending,0>=this.pending&&(OpenLayers.Element.removeClass(this.map.viewPortDiv,"olCursorWait"),this.pending=0),this.hoverRequest.abort(),this.hoverRequest=null)},findLayers:function(){for(var f=this.layers||this.map.layers,e=[],h,g=f.length-1;0<=g&&(h=f[g],!(h instanceof OpenLayers.Layer.WMTS)||(h.requestEncoding!==this.requestEncoding||this.queryVisible&&!h.getVisibility())||(e.push(h),this.drillDown&&!this.hover));--g){}return e},buildRequestOptions:function(f,e){var h=this.map.getLonLatFromPixel(e),g=f.getURL(new OpenLayers.Bounds(h.lon,h.lat,h.lon,h.lat)),g=OpenLayers.Util.getParameters(g),h=f.getTileInfo(h);OpenLayers.Util.extend(g,{service:"WMTS",version:f.version,request:"GetFeatureInfo",infoFormat:this.infoFormat,i:h.i,j:h.j});OpenLayers.Util.applyDefaults(g,this.vendorParams);return{url:OpenLayers.Util.isArray(f.url)?f.url[0]:f.url,params:OpenLayers.Util.upperCaseObject(g),callback:function(a){this.handleResponse(e,a,f)},scope:this}},request:function(i,h){h=h||{};var n=this.findLayers();if(0<n.length){for(var m,l,k=0,j=n.length;k<j;k++){l=n[k],m=this.events.triggerEvent("beforegetfeatureinfo",{xy:i,layer:l}),!1!==m&&(++this.pending,m=this.buildRequestOptions(l,i),m=OpenLayers.Request.GET(m),!0===h.hover&&(this.hoverRequest=m))}0<this.pending&&OpenLayers.Element.addClass(this.map.viewPortDiv,"olCursorWait")}},handleResponse:function(i,h,n){--this.pending;0>=this.pending&&(OpenLayers.Element.removeClass(this.map.viewPortDiv,"olCursorWait"),this.pending=0);if(h.status&&(200>h.status||300<=h.status)){this.events.triggerEvent("exception",{xy:i,request:h,layer:n})}else{var m=h.responseXML;m&&m.documentElement||(m=h.responseText);var l,k;try{l=this.format.read(m)}catch(j){k=!0,this.events.triggerEvent("exception",{xy:i,request:h,error:j,layer:n})}k||this.events.triggerEvent("getfeatureinfo",{text:h.responseText,features:l,request:h,xy:i,layer:n})}},CLASS_NAME:"OpenLayers.Control.WMTSGetFeatureInfo"});OpenLayers.Protocol.CSW.v2_0_2=OpenLayers.Class(OpenLayers.Protocol,{formatOptions:null,initialize:function(b){OpenLayers.Protocol.prototype.initialize.apply(this,[b]);b.format||(this.format=new OpenLayers.Format.CSWGetRecords.v2_0_2(OpenLayers.Util.extend({},this.formatOptions)))},destroy:function(){this.options&&!this.options.format&&this.format.destroy();this.format=null;OpenLayers.Protocol.prototype.destroy.apply(this)},read:function(e){e=OpenLayers.Util.extend({},e);OpenLayers.Util.applyDefaults(e,this.options||{});var d=new OpenLayers.Protocol.Response({requestType:"read"}),f=this.format.write(e.params||e);d.priv=OpenLayers.Request.POST({url:e.url,callback:this.createCallback(this.handleRead,d,e),params:e.params,headers:e.headers,data:f});return d},handleRead:function(e,d){if(d.callback){var f=e.priv;200<=f.status&&300>f.status?(e.data=this.parseData(f),e.code=OpenLayers.Protocol.Response.SUCCESS):e.code=OpenLayers.Protocol.Response.FAILURE;d.callback.call(d.scope,e)}},parseData:function(d){var c=d.responseXML;c&&c.documentElement||(c=d.responseText);return !c||0>=c.length?null:this.format.read(c)},CLASS_NAME:"OpenLayers.Protocol.CSW.v2_0_2"});OpenLayers.Format.WCSCapabilities.v1_1_0=OpenLayers.Class(OpenLayers.Format.WCSCapabilities.v1,{namespaces:{wcs:"http://www.opengis.net/wcs/1.1",xlink:"http://www.w3.org/1999/xlink",xsi:"http://www.w3.org/2001/XMLSchema-instance",ows:"http://www.opengis.net/ows/1.1"},errorProperty:"operationsMetadata",readers:{wcs:OpenLayers.Util.applyDefaults({Capabilities:function(d,c){this.readChildNodes(d,c)},Contents:function(d,c){c.contentMetadata=[];this.readChildNodes(d,c.contentMetadata)},CoverageSummary:function(e,d){var f={};this.readChildNodes(e,f);d.push(f)},Identifier:function(d,c){c.identifier=this.getChildValue(d)},Title:function(d,c){c.title=this.getChildValue(d)},Abstract:function(d,c){c["abstract"]=this.getChildValue(d)},SupportedCRS:function(e,d){var f=this.getChildValue(e);f&&(d.supportedCRS||(d.supportedCRS=[]),d.supportedCRS.push(f))},SupportedFormat:function(e,d){var f=this.getChildValue(e);f&&(d.supportedFormat||(d.supportedFormat=[]),d.supportedFormat.push(f))}},OpenLayers.Format.WCSCapabilities.v1.prototype.readers.wcs),ows:OpenLayers.Format.OWSCommon.v1_1_0.prototype.readers.ows},CLASS_NAME:"OpenLayers.Format.WCSCapabilities.v1_1_0"});OpenLayers.Control.Graticule=OpenLayers.Class(OpenLayers.Control,{autoActivate:!0,intervals:[45,30,20,10,5,2,1,0.5,0.2,0.1,0.05,0.01,0.005,0.002,0.001],displayInLayerSwitcher:!0,visible:!0,numPoints:50,targetSize:200,layerName:null,labelled:!0,labelFormat:"dm",lineSymbolizer:{strokeColor:"#333",strokeWidth:1,strokeOpacity:0.5},labelSymbolizer:{},gratLayer:null,initialize:function(b){b=b||{};b.layerName=b.layerName||OpenLayers.i18n("Graticule");OpenLayers.Control.prototype.initialize.apply(this,[b]);this.labelSymbolizer.stroke=!1;this.labelSymbolizer.fill=!1;this.labelSymbolizer.label="${label}";this.labelSymbolizer.labelAlign="${labelAlign}";this.labelSymbolizer.labelXOffset="${xOffset}";this.labelSymbolizer.labelYOffset="${yOffset}"},destroy:function(){this.deactivate();OpenLayers.Control.prototype.destroy.apply(this,arguments);this.gratLayer&&(this.gratLayer.destroy(),this.gratLayer=null)},draw:function(){OpenLayers.Control.prototype.draw.apply(this,arguments);if(!this.gratLayer){var b=new OpenLayers.Style({},{rules:[new OpenLayers.Rule({symbolizer:{Point:this.labelSymbolizer,Line:this.lineSymbolizer}})]});this.gratLayer=new OpenLayers.Layer.Vector(this.layerName,{styleMap:new OpenLayers.StyleMap({"default":b}),visibility:this.visible,displayInLayerSwitcher:this.displayInLayerSwitcher})}return this.div},activate:function(){return OpenLayers.Control.prototype.activate.apply(this,arguments)?(this.map.addLayer(this.gratLayer),this.map.events.register("moveend",this,this.update),this.update(),!0):!1},deactivate:function(){return OpenLayers.Control.prototype.deactivate.apply(this,arguments)?(this.map.events.unregister("moveend",this,this.update),this.map.removeLayer(this.gratLayer),!0):!1},update:function(){var B=this.map.getExtent();if(B){this.gratLayer.destroyFeatures();var A=new OpenLayers.Projection("EPSG:4326"),z=this.map.getProjectionObject(),y=this.map.getResolution();z.proj&&"longlat"==z.proj.projName&&(this.numPoints=1);var x=this.map.getCenter(),w=new OpenLayers.Pixel(x.lon,x.lat);OpenLayers.Projection.transform(w,z,A);for(var x=this.targetSize*y,x=x*x,v,y=0;y<this.intervals.length;++y){v=this.intervals[y];var u=v/2,t=w.offset({x:-u,y:-u}),u=w.offset({x:u,y:u});OpenLayers.Projection.transform(t,A,z);OpenLayers.Projection.transform(u,A,z);if((t.x-u.x)*(t.x-u.x)+(t.y-u.y)*(t.y-u.y)<=x){break}}w.x=Math.floor(w.x/v)*v;w.y=Math.floor(w.y/v)*v;var y=0,x=[w.clone()],u=w.clone(),s;do{u=u.offset({x:0,y:v}),s=OpenLayers.Projection.transform(u.clone(),A,z),x.unshift(u)}while(B.containsPixel(s)&&1000>++y);u=w.clone();do{u=u.offset({x:0,y:-v}),s=OpenLayers.Projection.transform(u.clone(),A,z),x.push(u)}while(B.containsPixel(s)&&1000>++y);y=0;t=[w.clone()];u=w.clone();do{u=u.offset({x:-v,y:0}),s=OpenLayers.Projection.transform(u.clone(),A,z),t.unshift(u)}while(B.containsPixel(s)&&1000>++y);u=w.clone();do{u=u.offset({x:v,y:0}),s=OpenLayers.Projection.transform(u.clone(),A,z),t.push(u)}while(B.containsPixel(s)&&1000>++y);v=[];for(y=0;y<t.length;++y){s=t[y].x;for(var w=[],r=null,o=Math.min(x[0].y,90),u=Math.max(x[x.length-1].y,-90),j=(o-u)/this.numPoints,o=u,u=0;u<=this.numPoints;++u){var i=new OpenLayers.Geometry.Point(s,o);i.transform(A,z);w.push(i);o+=j;i.y>=B.bottom&&!r&&(r=i)}this.labelled&&(r=new OpenLayers.Geometry.Point(r.x,B.bottom),s={value:s,label:this.labelled?OpenLayers.Util.getFormattedLonLat(s,"lon",this.labelFormat):"",labelAlign:"cb",xOffset:0,yOffset:2},this.gratLayer.addFeatures(new OpenLayers.Feature.Vector(r,s)));w=new OpenLayers.Geometry.LineString(w);v.push(new OpenLayers.Feature.Vector(w))}for(u=0;u<x.length;++u){if(o=x[u].y,!(-90>o||90<o)){w=[];y=t[0].x;j=(t[t.length-1].x-y)/this.numPoints;s=y;r=null;for(y=0;y<=this.numPoints;++y){i=new OpenLayers.Geometry.Point(s,o),i.transform(A,z),w.push(i),s+=j,i.x<B.right&&(r=i)}this.labelled&&(r=new OpenLayers.Geometry.Point(B.right,r.y),s={value:o,label:this.labelled?OpenLayers.Util.getFormattedLonLat(o,"lat",this.labelFormat):"",labelAlign:"rb",xOffset:-2,yOffset:2},this.gratLayer.addFeatures(new OpenLayers.Feature.Vector(r,s)));w=new OpenLayers.Geometry.LineString(w);v.push(new OpenLayers.Feature.Vector(w))}}this.gratLayer.addFeatures(v)}},CLASS_NAME:"OpenLayers.Control.Graticule"});OpenLayers.Console.warn("OpenLayers.Rico is deprecated");OpenLayers.Rico=OpenLayers.Rico||{};OpenLayers.Rico.Corner={round:function(f,e){f=OpenLayers.Util.getElement(f);this._setOptions(e);var h=this.options.color;"fromElement"==this.options.color&&(h=this._background(f));var g=this.options.bgColor;"fromParent"==this.options.bgColor&&(g=this._background(f.offsetParent));this._roundCornersImpl(f,h,g)},changeColor:function(f,e){f.style.backgroundColor=e;for(var h=f.parentNode.getElementsByTagName("span"),g=0;g<h.length;g++){h[g].style.backgroundColor=e}},changeOpacity:function(g,f){var j="alpha(opacity="+100*f+")";g.style.opacity=f;g.style.filter=j;for(var i=g.parentNode.getElementsByTagName("span"),h=0;h<i.length;h++){i[h].style.opacity=f,i[h].style.filter=j}},reRound:function(e,d){var f=e.parentNode.childNodes[2];e.parentNode.removeChild(e.parentNode.childNodes[0]);e.parentNode.removeChild(f);this.round(e.parentNode,d)},_roundCornersImpl:function(e,d,f){this.options.border&&this._renderBorder(e,f);this._isTopRounded()&&this._roundTopCorners(e,d,f);this._isBottomRounded()&&this._roundBottomCorners(e,d,f)},_renderBorder:function(e,d){var f="1px solid "+this._borderColor(d);e.innerHTML="<div "+("style='border-left: "+f+";"+("border-right: "+f)+"'")+">"+e.innerHTML+"</div>"},_roundTopCorners:function(g,f,j){for(var i=this._createCorner(j),h=0;h<this.options.numSlices;h++){i.appendChild(this._createCornerSlice(f,j,h,"top"))}g.style.paddingTop=0;g.insertBefore(i,g.firstChild)},_roundBottomCorners:function(g,f,j){for(var i=this._createCorner(j),h=this.options.numSlices-1;0<=h;h--){i.appendChild(this._createCornerSlice(f,j,h,"bottom"))}g.style.paddingBottom=0;g.appendChild(i)},_createCorner:function(d){var c=document.createElement("div");c.style.backgroundColor=this._isTransparent()?"transparent":d;return c},_createCornerSlice:function(h,g,l,k){var j=document.createElement("span"),i=j.style;i.backgroundColor=h;i.display="block";i.height="1px";i.overflow="hidden";i.fontSize="1px";h=this._borderColor(h,g);this.options.border&&0==l?(i.borderTopStyle="solid",i.borderTopWidth="1px",i.borderLeftWidth="0px",i.borderRightWidth="0px",i.borderBottomWidth="0px",i.height="0px",i.borderColor=h):h&&(i.borderColor=h,i.borderStyle="solid",i.borderWidth="0px 1px");this.options.compact||l!=this.options.numSlices-1||(i.height="2px");this._setMargin(j,l,k);this._setBorder(j,l,k);return j},_setOptions:function(b){this.options={corners:"all",color:"fromElement",bgColor:"fromParent",blend:!0,border:!1,compact:!1};OpenLayers.Util.extend(this.options,b||{});this.options.numSlices=this.options.compact?2:4;this._isTransparent()&&(this.options.blend=!1)},_whichSideTop:function(){return this._hasString(this.options.corners,"all","top")||0<=this.options.corners.indexOf("tl")&&0<=this.options.corners.indexOf("tr")?"":0<=this.options.corners.indexOf("tl")?"left":0<=this.options.corners.indexOf("tr")?"right":""},_whichSideBottom:function(){return this._hasString(this.options.corners,"all","bottom")||0<=this.options.corners.indexOf("bl")&&0<=this.options.corners.indexOf("br")?"":0<=this.options.corners.indexOf("bl")?"left":0<=this.options.corners.indexOf("br")?"right":""},_borderColor:function(d,c){return"transparent"==d?c:this.options.border?this.options.border:this.options.blend?this._blend(c,d):""},_setMargin:function(e,d,f){d=this._marginSize(d);f="top"==f?this._whichSideTop():this._whichSideBottom();"left"==f?(e.style.marginLeft=d+"px",e.style.marginRight="0px"):"right"==f?(e.style.marginRight=d+"px",e.style.marginLeft="0px"):(e.style.marginLeft=d+"px",e.style.marginRight=d+"px")},_setBorder:function(e,d,f){d=this._borderSize(d);f="top"==f?this._whichSideTop():this._whichSideBottom();"left"==f?(e.style.borderLeftWidth=d+"px",e.style.borderRightWidth="0px"):"right"==f?(e.style.borderRightWidth=d+"px",e.style.borderLeftWidth="0px"):(e.style.borderLeftWidth=d+"px",e.style.borderRightWidth=d+"px");!1!=this.options.border&&(e.style.borderLeftWidth=d+"px",e.style.borderRightWidth=d+"px")},_marginSize:function(g){if(this._isTransparent()){return 0}var f=[5,3,2,1],j=[3,2,1,0],i=[2,1],h=[1,0];return this.options.compact&&this.options.blend?h[g]:this.options.compact?i[g]:this.options.blend?j[g]:f[g]},_borderSize:function(g){var f=[5,3,2,1],j=[2,1,1,1],i=[1,0],h=[0,2,0,0];return this.options.compact&&(this.options.blend||this._isTransparent())?1:this.options.compact?i[g]:this.options.blend?j[g]:this.options.border?h[g]:this._isTransparent()?f[g]:0},_hasString:function(d){for(var c=1;c<arguments.length;c++){if(0<=d.indexOf(arguments[c])){return !0}}return !1},_blend:function(e,d){var f=OpenLayers.Rico.Color.createFromHex(e);f.blend(OpenLayers.Rico.Color.createFromHex(d));return f},_background:function(d){try{return OpenLayers.Rico.Color.createColorFromBackground(d).asHex()}catch(c){return"#ffffff"}},_isTransparent:function(){return"transparent"==this.options.color},_isTopRounded:function(){return this._hasString(this.options.corners,"all","top","tl","tr")},_isBottomRounded:function(){return this._hasString(this.options.corners,"all","bottom","bl","br")},_hasSingleTextChild:function(b){return 1==b.childNodes.length&&3==b.childNodes[0].nodeType}};OpenLayers.Control.NavigationHistory=OpenLayers.Class(OpenLayers.Control,{type:OpenLayers.Control.TYPE_TOGGLE,previous:null,previousOptions:null,next:null,nextOptions:null,limit:50,autoActivate:!0,clearOnDeactivate:!1,registry:null,nextStack:null,previousStack:null,listeners:null,restoring:!1,initialize:function(b){OpenLayers.Control.prototype.initialize.apply(this,[b]);this.registry=OpenLayers.Util.extend({moveend:this.getState},this.registry);b={trigger:OpenLayers.Function.bind(this.previousTrigger,this),displayClass:this.displayClass+" "+this.displayClass+"Previous"};OpenLayers.Util.extend(b,this.previousOptions);this.previous=new OpenLayers.Control.Button(b);b={trigger:OpenLayers.Function.bind(this.nextTrigger,this),displayClass:this.displayClass+" "+this.displayClass+"Next"};OpenLayers.Util.extend(b,this.nextOptions);this.next=new OpenLayers.Control.Button(b);this.clear()},onPreviousChange:function(d,c){d&&!this.previous.active?this.previous.activate():!d&&this.previous.active&&this.previous.deactivate()},onNextChange:function(d,c){d&&!this.next.active?this.next.activate():!d&&this.next.active&&this.next.deactivate()},destroy:function(){OpenLayers.Control.prototype.destroy.apply(this);this.previous.destroy();this.next.destroy();this.deactivate();for(var b in this){this[b]=null}},setMap:function(b){this.map=b;this.next.setMap(b);this.previous.setMap(b)},draw:function(){OpenLayers.Control.prototype.draw.apply(this,arguments);this.next.draw();this.previous.draw()},previousTrigger:function(){var d=this.previousStack.shift(),c=this.previousStack.shift();void 0!=c?(this.nextStack.unshift(d),this.previousStack.unshift(c),this.restoring=!0,this.restore(c),this.restoring=!1,this.onNextChange(this.nextStack[0],this.nextStack.length),this.onPreviousChange(this.previousStack[1],this.previousStack.length-1)):this.previousStack.unshift(d);return c},nextTrigger:function(){var b=this.nextStack.shift();void 0!=b&&(this.previousStack.unshift(b),this.restoring=!0,this.restore(b),this.restoring=!1,this.onNextChange(this.nextStack[0],this.nextStack.length),this.onPreviousChange(this.previousStack[1],this.previousStack.length-1));return b},clear:function(){this.previousStack=[];this.previous.deactivate();this.nextStack=[];this.next.deactivate()},getState:function(){return{center:this.map.getCenter(),resolution:this.map.getResolution(),projection:this.map.getProjectionObject(),units:this.map.getProjectionObject().getUnits()||this.map.units||this.map.baseLayer.units}},restore:function(f){var e,h;if(this.map.getProjectionObject()==f.projection){h=this.map.getZoomForResolution(f.resolution),e=f.center}else{e=f.center.clone();e.transform(f.projection,this.map.getProjectionObject());h=f.units;var g=this.map.getProjectionObject().getUnits()||this.map.units||this.map.baseLayer.units;h=this.map.getZoomForResolution((h&&g?OpenLayers.INCHES_PER_UNIT[h]/OpenLayers.INCHES_PER_UNIT[g]:1)*f.resolution)}this.map.setCenter(e,h)},setListeners:function(){this.listeners={};for(var b in this.registry){this.listeners[b]=OpenLayers.Function.bind(function(){if(!this.restoring){var a=this.registry[b].apply(this,arguments);this.previousStack.unshift(a);if(1<this.previousStack.length){this.onPreviousChange(this.previousStack[1],this.previousStack.length-1)}this.previousStack.length>this.limit+1&&this.previousStack.pop();0<this.nextStack.length&&(this.nextStack=[],this.onNextChange(null,0))}return !0},this)}},activate:function(){var d=!1;if(this.map&&OpenLayers.Control.prototype.activate.apply(this)){null==this.listeners&&this.setListeners();for(var c in this.listeners){this.map.events.register(c,this,this.listeners[c])}d=!0;0==this.previousStack.length&&this.initStack()}return d},initStack:function(){this.map.getCenter()&&this.listeners.moveend()},deactivate:function(){var d=!1;if(this.map&&OpenLayers.Control.prototype.deactivate.apply(this)){for(var c in this.listeners){this.map.events.unregister(c,this,this.listeners[c])}this.clearOnDeactivate&&this.clear();d=!0}return d},CLASS_NAME:"OpenLayers.Control.NavigationHistory"});OpenLayers.Layer.UTFGrid=OpenLayers.Class(OpenLayers.Layer.XYZ,{isBaseLayer:!1,projection:new OpenLayers.Projection("EPSG:900913"),useJSONP:!1,tileClass:OpenLayers.Tile.UTFGrid,initialize:function(b){OpenLayers.Layer.Grid.prototype.initialize.apply(this,[b.name,b.url,{},b]);this.tileOptions=OpenLayers.Util.extend({utfgridResolution:this.utfgridResolution},this.tileOptions)},createBackBuffer:function(){},clone:function(b){null==b&&(b=new OpenLayers.Layer.UTFGrid(this.getOptions()));return b=OpenLayers.Layer.Grid.prototype.clone.apply(this,[b])},getFeatureInfo:function(d){var c=null;(d=this.getTileData(d))&&d.tile&&(c=d.tile.getFeatureInfo(d.i,d.j));return c},getFeatureId:function(d){var c=null;d=this.getTileData(d);d.tile&&(c=d.tile.getFeatureId(d.i,d.j));return c},CLASS_NAME:"OpenLayers.Layer.UTFGrid"});OpenLayers.TileManager=OpenLayers.Class({cacheSize:256,tilesPerFrame:2,frameDelay:16,moveDelay:100,zoomDelay:200,maps:null,tileQueueId:null,tileQueue:null,tileCache:null,tileCacheIndex:null,initialize:function(b){OpenLayers.Util.extend(this,b);this.maps=[];this.tileQueueId={};this.tileQueue={};this.tileCache={};this.tileCacheIndex=[]},addMap:function(e){if(!this._destroyed&&OpenLayers.Layer.Grid){this.maps.push(e);this.tileQueue[e.id]=[];for(var d=0,f=e.layers.length;d<f;++d){this.addLayer({layer:e.layers[d]})}e.events.on({move:this.move,zoomend:this.zoomEnd,changelayer:this.changeLayer,addlayer:this.addLayer,preremovelayer:this.removeLayer,scope:this})}},removeMap:function(e){if(!this._destroyed&&OpenLayers.Layer.Grid){window.clearTimeout(this.tileQueueId[e.id]);if(e.layers){for(var d=0,f=e.layers.length;d<f;++d){this.removeLayer({layer:e.layers[d]})}}e.events&&e.events.un({move:this.move,zoomend:this.zoomEnd,changelayer:this.changeLayer,addlayer:this.addLayer,preremovelayer:this.removeLayer,scope:this});delete this.tileQueue[e.id];delete this.tileQueueId[e.id];OpenLayers.Util.removeItem(this.maps,e)}},move:function(b){this.updateTimeout(b.object,this.moveDelay,!0)},zoomEnd:function(b){this.updateTimeout(b.object,this.zoomDelay)},changeLayer:function(b){"visibility"!==b.property&&"params"!==b.property||this.updateTimeout(b.object,0)},addLayer:function(f){f=f.layer;if(f instanceof OpenLayers.Layer.Grid){f.events.on({addtile:this.addTile,retile:this.clearTileQueue,scope:this});var e,h,g;for(e=f.grid.length-1;0<=e;--e){for(h=f.grid[e].length-1;0<=h;--h){g=f.grid[e][h],this.addTile({tile:g}),g.url&&this.manageTileCache({object:g})}}}},removeLayer:function(f){f=f.layer;if(f instanceof OpenLayers.Layer.Grid&&(this.clearTileQueue({object:f}),f.events&&f.events.un({addtile:this.addTile,retile:this.clearTileQueue,scope:this}),f.grid)){var e,h,g;for(e=f.grid.length-1;0<=e;--e){for(h=f.grid[e].length-1;0<=h;--h){g=f.grid[e][h],this.unloadTile({object:g}),g.url&&this.manageTileCache({object:g})}}}},updateTimeout:function(f,e,h){window.clearTimeout(this.tileQueueId[f.id]);var g=this.tileQueue[f.id];if(!h||g.length){this.tileQueueId[f.id]=window.setTimeout(OpenLayers.Function.bind(function(){this.drawTilesFromQueue(f);g.length&&this.updateTimeout(f,this.frameDelay)},this),e)}},addTile:function(b){b.tile.events.on({beforedraw:this.queueTileDraw,beforeload:this.manageTileCache,loadend:this.addToCache,unload:this.unloadTile,scope:this})},unloadTile:function(b){b=b.object;b.events.un({beforedraw:this.queueTileDraw,beforeload:this.manageTileCache,loadend:this.addToCache,unload:this.unloadTile,scope:this});OpenLayers.Util.removeItem(this.tileQueue[b.layer.map.id],b)},queueTileDraw:function(g){g=g.object;var f=!1,j=g.layer,i=j.getURL(g.bounds),h=this.tileCache[i];h&&"olTileImage"!==h.className&&(delete this.tileCache[i],OpenLayers.Util.removeItem(this.tileCacheIndex,i),h=null);!j.url||!j.async&&h||(f=this.tileQueue[j.map.id],~OpenLayers.Util.indexOf(f,g)||f.push(g),f=!0);return !f},drawTilesFromQueue:function(e){var d=this.tileQueue[e.id],f=this.tilesPerFrame;for(e=e.zoomTween&&e.zoomTween.playing;!e&&d.length&&f;){d.shift().draw(!0),--f}},manageTileCache:function(d){d=d.object;var c=this.tileCache[d.url];if(c&&(!c.parentNode||OpenLayers.Element.hasClass(c.parentNode,"olBackBuffer"))){if(d.layer.backBuffer){if(d.layer.backBuffer===c.parentNode){return}c.style.opacity=0;c.style.visibility="hidden"}c.id=null;d.setImage(c);OpenLayers.Util.removeItem(this.tileCacheIndex,d.url);this.tileCacheIndex.push(d.url)}},addToCache:function(b){b=b.object;this.tileCache[b.url]||OpenLayers.Element.hasClass(b.imgDiv,"olImageLoadError")||(this.tileCacheIndex.length>=this.cacheSize&&(delete this.tileCache[this.tileCacheIndex[0]],this.tileCacheIndex.shift()),this.tileCache[b.url]=b.imgDiv,this.tileCacheIndex.push(b.url))},clearTileQueue:function(e){e=e.object;for(var d=this.tileQueue[e.map.id],f=d.length-1;0<=f;--f){d[f].layer===e&&d.splice(f,1)}},destroy:function(){for(var b=this.maps.length-1;0<=b;--b){this.removeMap(this.maps[b])}this.tileCacheIndex=this.tileCache=this.tileQueueId=this.tileQueue=this.maps=null;this._destroyed=!0}});OpenLayers.Layer.ArcGISCache=OpenLayers.Class(OpenLayers.Layer.XYZ,{url:null,tileOrigin:null,tileSize:new OpenLayers.Size(256,256),useArcGISServer:!0,type:"png",useScales:!1,overrideDPI:!1,initialize:function(r,q,p){OpenLayers.Layer.XYZ.prototype.initialize.apply(this,arguments);this.resolutions&&(this.serverResolutions=this.resolutions,this.maxExtent=this.getMaxExtentForResolution(this.resolutions[0]));if(this.layerInfo){var o=this.layerInfo,n=new OpenLayers.Bounds(o.fullExtent.xmin,o.fullExtent.ymin,o.fullExtent.xmax,o.fullExtent.ymax);this.projection="EPSG:"+o.spatialReference.wkid;this.sphericalMercator=102100==o.spatialReference.wkid;this.units="esriFeet"==o.units?"ft":"m";if(o.tileInfo){this.tileSize=new OpenLayers.Size(o.tileInfo.width||o.tileInfo.cols,o.tileInfo.height||o.tileInfo.rows);this.tileOrigin=new OpenLayers.LonLat(o.tileInfo.origin.x,o.tileInfo.origin.y);var m=new OpenLayers.Geometry.Point(n.left,n.top),n=new OpenLayers.Geometry.Point(n.right,n.bottom);this.useScales?this.scales=[]:this.resolutions=[];this.lods=[];for(var l in o.tileInfo.lods){if(o.tileInfo.lods.hasOwnProperty(l)){var j=o.tileInfo.lods[l];this.useScales?this.scales.push(j.scale):this.resolutions.push(j.resolution);var i=this.getContainingTileCoords(m,j.resolution);j.startTileCol=i.x;j.startTileRow=i.y;i=this.getContainingTileCoords(n,j.resolution);j.endTileCol=i.x;j.endTileRow=i.y;this.lods.push(j)}}this.maxExtent=this.calculateMaxExtentWithLOD(this.lods[0]);this.serverResolutions=this.resolutions;this.overrideDPI&&o.tileInfo.dpi&&(OpenLayers.DOTS_PER_INCH=o.tileInfo.dpi)}}},getContainingTileCoords:function(d,c){return new OpenLayers.Pixel(Math.max(Math.floor((d.x-this.tileOrigin.lon)/(this.tileSize.w*c)),0),Math.max(Math.floor((this.tileOrigin.lat-d.y)/(this.tileSize.h*c)),0))},calculateMaxExtentWithLOD:function(e){var d=this.tileOrigin.lon+e.startTileCol*this.tileSize.w*e.resolution,f=this.tileOrigin.lat-e.startTileRow*this.tileSize.h*e.resolution;return new OpenLayers.Bounds(d,f-(e.endTileRow-e.startTileRow+1)*this.tileSize.h*e.resolution,d+(e.endTileCol-e.startTileCol+1)*this.tileSize.w*e.resolution,f)},calculateMaxExtentWithExtent:function(f,e){var h=new OpenLayers.Geometry.Point(f.left,f.top),g=new OpenLayers.Geometry.Point(f.right,f.bottom),h=this.getContainingTileCoords(h,e),g=this.getContainingTileCoords(g,e);return this.calculateMaxExtentWithLOD({resolution:e,startTileCol:h.x,startTileRow:h.y,endTileCol:g.x,endTileRow:g.y})},getUpperLeftTileCoord:function(d){var c=new OpenLayers.Geometry.Point(this.maxExtent.left,this.maxExtent.top);return this.getContainingTileCoords(c,d)},getLowerRightTileCoord:function(d){var c=new OpenLayers.Geometry.Point(this.maxExtent.right,this.maxExtent.bottom);return this.getContainingTileCoords(c,d)},getMaxExtentForResolution:function(g){var f=this.getUpperLeftTileCoord(g),j=this.getLowerRightTileCoord(g),i=this.tileOrigin.lon+f.x*this.tileSize.w*g,h=this.tileOrigin.lat-f.y*this.tileSize.h*g;return new OpenLayers.Bounds(i,h-(j.y-f.y+1)*this.tileSize.h*g,i+(j.x-f.x+1)*this.tileSize.w*g,h)},clone:function(b){null==b&&(b=new OpenLayers.Layer.ArcGISCache(this.name,this.url,this.options));return OpenLayers.Layer.XYZ.prototype.clone.apply(this,[b])},initGriddedTiles:function(b){delete this._tileOrigin;OpenLayers.Layer.XYZ.prototype.initGriddedTiles.apply(this,arguments)},getMaxExtent:function(){var b=this.map.getResolution();return this.maxExtent=this.getMaxExtentForResolution(b)},getTileOrigin:function(){if(!this._tileOrigin){var b=this.getMaxExtent();this._tileOrigin=new OpenLayers.LonLat(b.left,b.bottom)}return this._tileOrigin},getURL:function(g){var f=this.getResolution(),j=this.tileOrigin.lon+f*this.tileSize.w/2,i=this.tileOrigin.lat-f*this.tileSize.h/2;g=g.getCenterLonLat();j=Math.round(Math.abs((g.lon-j)/(f*this.tileSize.w)));i=Math.round(Math.abs((i-g.lat)/(f*this.tileSize.h)));g=this.map.getZoom();if(this.lods){if(f=this.lods[this.map.getZoom()],j<f.startTileCol||j>f.endTileCol||i<f.startTileRow||i>f.endTileRow){return null}}else{var h=this.getUpperLeftTileCoord(f),f=this.getLowerRightTileCoord(f);if(j<h.x||j>=f.x||i<h.y||i>=f.y){return null}}f=this.url;h=""+j+i+g;OpenLayers.Util.isArray(f)&&(f=this.selectUrl(h,f));this.useArcGISServer?f+="/tile/${z}/${y}/${x}":(j="C"+OpenLayers.Number.zeroPad(j,8,16),i="R"+OpenLayers.Number.zeroPad(i,8,16),g="L"+OpenLayers.Number.zeroPad(g,2,10),f=f+"/${z}/${y}/${x}."+this.type);f=OpenLayers.String.format(f,{x:j,y:i,z:g});return OpenLayers.Util.urlAppend(f,OpenLayers.Util.getParameterString(this.params))},CLASS_NAME:"OpenLayers.Layer.ArcGISCache"});OpenLayers.Control.WMSGetFeatureInfo=OpenLayers.Class(OpenLayers.Control,{hover:!1,drillDown:!1,maxFeatures:10,clickCallback:"click",output:"features",layers:null,queryVisible:!1,url:null,layerUrls:null,infoFormat:"text/html",vendorParams:{},format:null,formatOptions:null,handler:null,hoverRequest:null,initialize:function(b){b=b||{};b.handlerOptions=b.handlerOptions||{};OpenLayers.Control.prototype.initialize.apply(this,[b]);this.format||(this.format=new OpenLayers.Format.WMSGetFeatureInfo(b.formatOptions));!0===this.drillDown&&(this.hover=!1);this.hover?this.handler=new OpenLayers.Handler.Hover(this,{move:this.cancelHover,pause:this.getInfoForHover},OpenLayers.Util.extend(this.handlerOptions.hover||{},{delay:250})):(b={},b[this.clickCallback]=this.getInfoForClick,this.handler=new OpenLayers.Handler.Click(this,b,this.handlerOptions.click||{}))},getInfoForClick:function(b){this.events.triggerEvent("beforegetfeatureinfo",{xy:b.xy});OpenLayers.Element.addClass(this.map.viewPortDiv,"olCursorWait");this.request(b.xy,{})},getInfoForHover:function(b){this.events.triggerEvent("beforegetfeatureinfo",{xy:b.xy});this.request(b.xy,{hover:!0})},cancelHover:function(){this.hoverRequest&&(this.hoverRequest.abort(),this.hoverRequest=null)},findLayers:function(){for(var g=this.layers||this.map.layers,f=[],j,i,h=g.length-1;0<=h;--h){j=g[h],j instanceof OpenLayers.Layer.WMS&&(!this.queryVisible||j.getVisibility())&&(i=OpenLayers.Util.isArray(j.url)?j.url[0]:j.url,!1!==this.drillDown||this.url||(this.url=i),(!0===this.drillDown||this.urlMatches(i))&&f.push(j))}return f},urlMatches:function(f){var e=OpenLayers.Util.isEquivalentUrl(this.url,f);if(!e&&this.layerUrls){for(var h=0,g=this.layerUrls.length;h<g;++h){if(OpenLayers.Util.isEquivalentUrl(this.layerUrls[h],f)){e=!0;break}}}return e},buildWMSOptions:function(j,i,p,o){for(var n=[],m=[],l=0,k=i.length;l<k;l++){null!=i[l].params.LAYERS&&(n=n.concat(i[l].params.LAYERS),m=m.concat(this.getStyleNames(i[l])))}i=i[0];l=this.map.getProjection();(k=i.projection)&&k.equals(this.map.getProjectionObject())&&(l=k.getCode());o=OpenLayers.Util.extend({service:"WMS",version:i.params.VERSION,request:"GetFeatureInfo",exceptions:i.params.EXCEPTIONS,bbox:this.map.getExtent().toBBOX(null,i.reverseAxisOrder()),feature_count:this.maxFeatures,height:this.map.getSize().h,width:this.map.getSize().w,format:o,info_format:i.params.INFO_FORMAT||this.infoFormat},1.3<=parseFloat(i.params.VERSION)?{crs:l,i:parseInt(p.x),j:parseInt(p.y)}:{srs:l,x:parseInt(p.x),y:parseInt(p.y)});0!=n.length&&(o=OpenLayers.Util.extend({layers:n,query_layers:n,styles:m},o));OpenLayers.Util.applyDefaults(o,this.vendorParams);return{url:j,params:OpenLayers.Util.upperCaseObject(o),callback:function(a){this.handleResponse(p,a,j)},scope:this}},getStyleNames:function(b){return b.params.STYLES?b.params.STYLES:OpenLayers.Util.isArray(b.params.LAYERS)?Array(b.params.LAYERS.length):b.params.LAYERS.replace(/[^,]/g,"")},request:function(j,i){var p=this.findLayers();if(0==p.length){this.events.triggerEvent("nogetfeatureinfo"),OpenLayers.Element.removeClass(this.map.viewPortDiv,"olCursorWait")}else{if(i=i||{},!1===this.drillDown){var p=this.buildWMSOptions(this.url,p,j,p[0].params.FORMAT),o=OpenLayers.Request.GET(p);!0===i.hover&&(this.hoverRequest=o)}else{this._numRequests=this._requestCount=0;this.features=[];for(var o={},n,m=0,l=p.length;m<l;m++){var k=p[m];n=OpenLayers.Util.isArray(k.url)?k.url[0]:k.url;n in o?o[n].push(k):(this._numRequests++,o[n]=[k])}for(n in o){p=o[n],p=this.buildWMSOptions(n,p,j,p[0].params.FORMAT),OpenLayers.Request.GET(p)}}}},triggerGetFeatureInfo:function(e,d,f){this.events.triggerEvent("getfeatureinfo",{text:e.responseText,features:f,request:e,xy:d});OpenLayers.Element.removeClass(this.map.viewPortDiv,"olCursorWait")},handleResponse:function(f,e,h){var g=e.responseXML;g&&g.documentElement||(g=e.responseText);g=this.format.read(g);!1===this.drillDown?this.triggerGetFeatureInfo(e,f,g):(this._requestCount++,this._features="object"===this.output?(this._features||[]).concat({url:h,features:g}):(this._features||[]).concat(g),this._requestCount===this._numRequests&&(this.triggerGetFeatureInfo(e,f,this._features.concat()),delete this._features,delete this._requestCount,delete this._numRequests))},CLASS_NAME:"OpenLayers.Control.WMSGetFeatureInfo"});OpenLayers.Format.WMSCapabilities.v1_3_0=OpenLayers.Class(OpenLayers.Format.WMSCapabilities.v1_3,{version:"1.3.0",CLASS_NAME:"OpenLayers.Format.WMSCapabilities.v1_3_0"});OpenLayers.Format.SOSGetFeatureOfInterest=OpenLayers.Class(OpenLayers.Format.XML,{VERSION:"1.0.0",namespaces:{sos:"http://www.opengis.net/sos/1.0",gml:"http://www.opengis.net/gml",sa:"http://www.opengis.net/sampling/1.0",xsi:"http://www.w3.org/2001/XMLSchema-instance"},schemaLocation:"http://www.opengis.net/sos/1.0 http://schemas.opengis.net/sos/1.0.0/sosAll.xsd",defaultPrefix:"sos",regExes:{trimSpace:/^\s*|\s*$/g,removeSpace:/\s*/g,splitSpace:/\s+/,trimComma:/\s*,\s*/g},read:function(g){"string"==typeof g&&(g=OpenLayers.Format.XML.prototype.read.apply(this,[g]));g&&9==g.nodeType&&(g=g.documentElement);var f={features:[]};this.readNode(g,f);g=[];for(var j=0,i=f.features.length;j<i;j++){var h=f.features[j];this.internalProjection&&(this.externalProjection&&h.components[0])&&h.components[0].transform(this.externalProjection,this.internalProjection);h=new OpenLayers.Feature.Vector(h.components[0],h.attributes);g.push(h)}return g},readers:{sa:{SamplingPoint:function(e,d){if(!d.attributes){var f={attributes:{}};d.features.push(f);d=f}d.attributes.id=this.getAttributeNS(e,this.namespaces.gml,"id");this.readChildNodes(e,d)},position:function(d,c){this.readChildNodes(d,c)}},gml:OpenLayers.Util.applyDefaults({FeatureCollection:function(d,c){this.readChildNodes(d,c)},featureMember:function(e,d){var f={attributes:{}};d.features.push(f);this.readChildNodes(e,f)},name:function(d,c){c.attributes.name=this.getChildValue(d)},pos:function(d,c){this.externalProjection||(this.externalProjection=new OpenLayers.Projection(d.getAttribute("srsName")));OpenLayers.Format.GML.v3.prototype.readers.gml.pos.apply(this,[d,c])}},OpenLayers.Format.GML.v3.prototype.readers.gml)},writers:{sos:{GetFeatureOfInterest:function(f){for(var e=this.createElementNSPlus("GetFeatureOfInterest",{attributes:{version:this.VERSION,service:"SOS","xsi:schemaLocation":this.schemaLocation}}),h=0,g=f.fois.length;h<g;h++){this.writeNode("FeatureOfInterestId",{foi:f.fois[h]},e)}return e},FeatureOfInterestId:function(b){return this.createElementNSPlus("FeatureOfInterestId",{value:b.foi})}}},CLASS_NAME:"OpenLayers.Format.SOSGetFeatureOfInterest"});OpenLayers.Format.SOSGetObservation=OpenLayers.Class(OpenLayers.Format.XML,{namespaces:{ows:"http://www.opengis.net/ows",gml:"http://www.opengis.net/gml",sos:"http://www.opengis.net/sos/1.0",ogc:"http://www.opengis.net/ogc",om:"http://www.opengis.net/om/1.0",sa:"http://www.opengis.net/sampling/1.0",xlink:"http://www.w3.org/1999/xlink",xsi:"http://www.w3.org/2001/XMLSchema-instance"},regExes:{trimSpace:/^\s*|\s*$/g,removeSpace:/\s*/g,splitSpace:/\s+/,trimComma:/\s*,\s*/g},VERSION:"1.0.0",schemaLocation:"http://www.opengis.net/sos/1.0 http://schemas.opengis.net/sos/1.0.0/sosGetObservation.xsd",defaultPrefix:"sos",read:function(d){"string"==typeof d&&(d=OpenLayers.Format.XML.prototype.read.apply(this,[d]));d&&9==d.nodeType&&(d=d.documentElement);var c={measurements:[],observations:[]};this.readNode(d,c);return c},write:function(b){b=this.writeNode("sos:GetObservation",b);b.setAttribute("xmlns:om",this.namespaces.om);b.setAttribute("xmlns:ogc",this.namespaces.ogc);this.setAttributeNS(b,this.namespaces.xsi,"xsi:schemaLocation",this.schemaLocation);return OpenLayers.Format.XML.prototype.write.apply(this,[b])},readers:{om:{ObservationCollection:function(d,c){c.id=this.getAttributeNS(d,this.namespaces.gml,"id");this.readChildNodes(d,c)},member:function(d,c){this.readChildNodes(d,c)},Measurement:function(e,d){var f={};d.measurements.push(f);this.readChildNodes(e,f)},Observation:function(e,d){var f={};d.observations.push(f);this.readChildNodes(e,f)},samplingTime:function(e,d){var f={};d.samplingTime=f;this.readChildNodes(e,f)},observedProperty:function(d,c){c.observedProperty=this.getAttributeNS(d,this.namespaces.xlink,"href");this.readChildNodes(d,c)},procedure:function(d,c){c.procedure=this.getAttributeNS(d,this.namespaces.xlink,"href");this.readChildNodes(d,c)},featureOfInterest:function(i,h){var n={features:[]};h.fois=[];h.fois.push(n);this.readChildNodes(i,n);for(var m=[],l=0,k=n.features.length;l<k;l++){var j=n.features[l];m.push(new OpenLayers.Feature.Vector(j.components[0],j.attributes))}n.features=m},result:function(e,d){var f={};d.result=f;""!==this.getChildValue(e)?(f.value=this.getChildValue(e),f.uom=e.getAttribute("uom")):this.readChildNodes(e,f)}},sa:OpenLayers.Format.SOSGetFeatureOfInterest.prototype.readers.sa,gml:OpenLayers.Util.applyDefaults({TimeInstant:function(e,d){var f={};d.timeInstant=f;this.readChildNodes(e,f)},timePosition:function(d,c){c.timePosition=this.getChildValue(d)}},OpenLayers.Format.SOSGetFeatureOfInterest.prototype.readers.gml)},writers:{sos:{GetObservation:function(f){var e=this.createElementNSPlus("GetObservation",{attributes:{version:this.VERSION,service:"SOS"}});this.writeNode("offering",f,e);f.eventTime&&this.writeNode("eventTime",f,e);for(var h in f.procedures){this.writeNode("procedure",f.procedures[h],e)}for(var g in f.observedProperties){this.writeNode("observedProperty",f.observedProperties[g],e)}f.foi&&this.writeNode("featureOfInterest",f.foi,e);this.writeNode("responseFormat",f,e);f.resultModel&&this.writeNode("resultModel",f,e);f.responseMode&&this.writeNode("responseMode",f,e);return e},featureOfInterest:function(d){var c=this.createElementNSPlus("featureOfInterest");this.writeNode("ObjectID",d.objectId,c);return c},ObjectID:function(b){return this.createElementNSPlus("ObjectID",{value:b})},responseFormat:function(b){return this.createElementNSPlus("responseFormat",{value:b.responseFormat})},procedure:function(b){return this.createElementNSPlus("procedure",{value:b})},offering:function(b){return this.createElementNSPlus("offering",{value:b.offering})},observedProperty:function(b){return this.createElementNSPlus("observedProperty",{value:b})},eventTime:function(d){var c=this.createElementNSPlus("eventTime");"latest"===d.eventTime&&this.writeNode("ogc:TM_Equals",d,c);return c},resultModel:function(b){return this.createElementNSPlus("resultModel",{value:b.resultModel})},responseMode:function(b){return this.createElementNSPlus("responseMode",{value:b.responseMode})}},ogc:{TM_Equals:function(d){var c=this.createElementNSPlus("ogc:TM_Equals");this.writeNode("ogc:PropertyName",{property:"urn:ogc:data:time:iso8601"},c);"latest"===d.eventTime&&this.writeNode("gml:TimeInstant",{value:"latest"},c);return c},PropertyName:function(b){return this.createElementNSPlus("ogc:PropertyName",{value:b.property})}},gml:{TimeInstant:function(d){var c=this.createElementNSPlus("gml:TimeInstant");this.writeNode("gml:timePosition",d,c);return c},timePosition:function(b){return this.createElementNSPlus("gml:timePosition",{value:b.value})}}},CLASS_NAME:"OpenLayers.Format.SOSGetObservation"});OpenLayers.Control.UTFGrid=OpenLayers.Class(OpenLayers.Control,{autoActivate:!0,layers:null,defaultHandlerOptions:{delay:300,pixelTolerance:4,stopMove:!1,single:!0,"double":!1,stopSingle:!1,stopDouble:!1},handlerMode:"click",setHandler:function(b){this.handlerMode=b;this.resetHandler()},resetHandler:function(){this.handler&&(this.handler.deactivate(),this.handler.destroy(),this.handler=null);"hover"==this.handlerMode?this.handler=new OpenLayers.Handler.Hover(this,{pause:this.handleEvent,move:this.reset},this.handlerOptions):"click"==this.handlerMode?this.handler=new OpenLayers.Handler.Click(this,{click:this.handleEvent},this.handlerOptions):"move"==this.handlerMode&&(this.handler=new OpenLayers.Handler.Hover(this,{pause:this.handleEvent,move:this.handleEvent},this.handlerOptions));return this.handler?!0:!1},initialize:function(b){b=b||{};b.handlerOptions=b.handlerOptions||this.defaultHandlerOptions;OpenLayers.Control.prototype.initialize.apply(this,[b]);this.resetHandler()},handleEvent:function(j){if(null==j){this.reset()}else{var i=this.map.getLonLatFromPixel(j.xy);if(i){var p=this.findLayers();if(0<p.length){for(var o={},n,m,l=0,k=p.length;l<k;l++){n=p[l],m=OpenLayers.Util.indexOf(this.map.layers,n),o[m]=n.getFeatureInfo(i)}this.callback(o,i,j.xy)}}}},callback:function(b){},reset:function(b){this.callback(null)},findLayers:function(){for(var f=this.layers||this.map.layers,e=[],h,g=f.length-1;0<=g;--g){h=f[g],h instanceof OpenLayers.Layer.UTFGrid&&e.push(h)}return e},CLASS_NAME:"OpenLayers.Control.UTFGrid"});OpenLayers.Format.CQL=function(){function r(f){function d(){var b=t.pop();switch(b.type){case"LOGICAL":var x=d(),w=d();return new OpenLayers.Filter.Logical({filters:[w,x],type:m[b.text.toUpperCase()]});case"NOT":return b=d(),new OpenLayers.Filter.Logical({filters:[b],type:OpenLayers.Filter.Logical.NOT});case"BETWEEN":return t.pop(),w=d(),b=d(),x=d(),new OpenLayers.Filter.Comparison({property:x,lowerBoundary:b,upperBoundary:w,type:OpenLayers.Filter.Comparison.BETWEEN});case"COMPARISON":return w=d(),x=d(),new OpenLayers.Filter.Comparison({property:x,value:w,type:o[b.text.toUpperCase()]});case"IS_NULL":return x=d(),new OpenLayers.Filter.Comparison({property:x,type:o[b.text.toUpperCase()]});case"VALUE":return(x=b.text.match(/^'(.*)'$/))?x[1].replace(/''/g,"'"):Number(b.text);case"SPATIAL":switch(b.text.toUpperCase()){case"BBOX":var b=d(),x=d(),w=d(),v=d(),e=d();return new OpenLayers.Filter.Spatial({type:OpenLayers.Filter.Spatial.BBOX,property:e,value:OpenLayers.Bounds.fromArray([v,w,x,b])});case"INTERSECTS":return w=d(),x=d(),new OpenLayers.Filter.Spatial({type:OpenLayers.Filter.Spatial.INTERSECTS,property:x,value:w});case"WITHIN":return w=d(),x=d(),new OpenLayers.Filter.Spatial({type:OpenLayers.Filter.Spatial.WITHIN,property:x,value:w});case"CONTAINS":return w=d(),x=d(),new OpenLayers.Filter.Spatial({type:OpenLayers.Filter.Spatial.CONTAINS,property:x,value:w});case"DWITHIN":return b=d(),w=d(),x=d(),new OpenLayers.Filter.Spatial({type:OpenLayers.Filter.Spatial.DWITHIN,value:w,property:x,distance:Number(b)})}case"GEOMETRY":return OpenLayers.Geometry.fromWKT(b.text);default:return b.text}}for(var u=[],t=[];f.length;){var s=f.shift();switch(s.type){case"PROPERTY":case"GEOMETRY":case"VALUE":t.push(s);break;case"COMPARISON":case"BETWEEN":case"IS_NULL":case"LOGICAL":for(var h=j[s.type];0<u.length&&j[u[u.length-1].type]<=h;){t.push(u.pop())}u.push(s);break;case"SPATIAL":case"NOT":case"LPAREN":u.push(s);break;case"RPAREN":for(;0<u.length&&"LPAREN"!=u[u.length-1].type;){t.push(u.pop())}u.pop();0<u.length&&"SPATIAL"==u[u.length-1].type&&t.push(u.pop());case"COMMA":case"END":break;default:throw Error("Unknown token type "+s.type)}}for(;0<u.length;){t.push(u.pop())}f=d();if(0<t.length){f="Remaining tokens after building AST: \n";for(u=t.length-1;0<=u;u--){f+=t[u].type+": "+t[u].text+"\n"}throw Error(f)}return f}var q={PROPERTY:/^[_a-zA-Z]\w*/,COMPARISON:/^(=|<>|<=|<|>=|>|LIKE)/i,IS_NULL:/^IS NULL/i,COMMA:/^,/,LOGICAL:/^(AND|OR)/i,VALUE:/^('([^']|'')*'|\d+(\.\d*)?|\.\d+)/,LPAREN:/^\(/,RPAREN:/^\)/,SPATIAL:/^(BBOX|INTERSECTS|DWITHIN|WITHIN|CONTAINS)/i,NOT:/^NOT/i,BETWEEN:/^BETWEEN/i,GEOMETRY:function(f){var e=/^(POINT|LINESTRING|POLYGON|MULTIPOINT|MULTILINESTRING|MULTIPOLYGON|GEOMETRYCOLLECTION)/.exec(f);if(e){var h=f.length,e=f.indexOf("(",e[0].length);if(-1<e){for(var g=1;e<h&&0<g;){switch(e++,f.charAt(e)){case"(":g++;break;case")":g--}}}return[f.substr(0,e+1)]}},END:/^$/},p={LPAREN:["GEOMETRY","SPATIAL","PROPERTY","VALUE","LPAREN"],RPAREN:["NOT","LOGICAL","END","RPAREN"],PROPERTY:["COMPARISON","BETWEEN","COMMA","IS_NULL"],BETWEEN:["VALUE"],IS_NULL:["END"],COMPARISON:["VALUE"],COMMA:["GEOMETRY","VALUE","PROPERTY"],VALUE:["LOGICAL","COMMA","RPAREN","END"],SPATIAL:["LPAREN"],LOGICAL:["NOT","VALUE","SPATIAL","PROPERTY","LPAREN"],NOT:["PROPERTY","LPAREN"],GEOMETRY:["COMMA","RPAREN"]},o={"=":OpenLayers.Filter.Comparison.EQUAL_TO,"<>":OpenLayers.Filter.Comparison.NOT_EQUAL_TO,"<":OpenLayers.Filter.Comparison.LESS_THAN,"<=":OpenLayers.Filter.Comparison.LESS_THAN_OR_EQUAL_TO,">":OpenLayers.Filter.Comparison.GREATER_THAN,">=":OpenLayers.Filter.Comparison.GREATER_THAN_OR_EQUAL_TO,LIKE:OpenLayers.Filter.Comparison.LIKE,BETWEEN:OpenLayers.Filter.Comparison.BETWEEN,"IS NULL":OpenLayers.Filter.Comparison.IS_NULL},n={},m={AND:OpenLayers.Filter.Logical.AND,OR:OpenLayers.Filter.Logical.OR},l={},j={RPAREN:3,LOGICAL:2,COMPARISON:1},i;for(i in o){o.hasOwnProperty(i)&&(n[o[i]]=i)}for(i in m){m.hasOwnProperty(i)&&(l[m[i]]=i)}return OpenLayers.Class(OpenLayers.Format,{read:function(w){var v=w;w=[];var u,t=["NOT","GEOMETRY","SPATIAL","PROPERTY","LPAREN"];do{r:{u=t;for(var c=void 0,t=void 0,a=u.length,c=0;c<a;c++){var t=u[c],b=q[t] instanceof RegExp?q[t].exec(v):(0,q[t])(v);if(b){u=b[0];v=v.substr(u.length).replace(/^\s*/,"");u={type:t,text:u,remainder:v};break r}}w="ERROR: In parsing: ["+v+"], expected one of: ";for(c=0;c<a;c++){t=u[c],w+="\n	"+t+": "+q[t]}throw Error(w)}v=u.remainder;t=p[u.type];if("END"!=u.type&&!t){throw Error("No follows list for "+u.type)}w.push(u)}while("END"!=u.type);w=r(w);this.keepData&&(this.data=w);return w},write:function(f){if(f instanceof OpenLayers.Geometry){return f.toString()}switch(f.CLASS_NAME){case"OpenLayers.Filter.Spatial":switch(f.type){case OpenLayers.Filter.Spatial.BBOX:return"BBOX("+f.property+","+f.value.toBBOX()+")";case OpenLayers.Filter.Spatial.DWITHIN:return"DWITHIN("+f.property+", "+this.write(f.value)+", "+f.distance+")";case OpenLayers.Filter.Spatial.WITHIN:return"WITHIN("+f.property+", "+this.write(f.value)+")";case OpenLayers.Filter.Spatial.INTERSECTS:return"INTERSECTS("+f.property+", "+this.write(f.value)+")";case OpenLayers.Filter.Spatial.CONTAINS:return"CONTAINS("+f.property+", "+this.write(f.value)+")";default:throw Error("Unknown spatial filter type: "+f.type)}case"OpenLayers.Filter.Logical":if(f.type==OpenLayers.Filter.Logical.NOT){return"NOT ("+this.write(f.filters[0])+")"}for(var e="(",h=!0,g=0;g<f.filters.length;g++){h?h=!1:e+=") "+l[f.type]+" (",e+=this.write(f.filters[g])}return e+")";case"OpenLayers.Filter.Comparison":return f.type==OpenLayers.Filter.Comparison.BETWEEN?f.property+" BETWEEN "+this.write(f.lowerBoundary)+" AND "+this.write(f.upperBoundary):null!==f.value?f.property+" "+n[f.type]+" "+this.write(f.value):f.property+" "+n[f.type];case void 0:if("string"===typeof f){return"'"+f.replace(/'/g,"''")+"'"}if("number"===typeof f){return String(f)}default:throw Error("Can't encode: "+f.CLASS_NAME+" "+f)}},CLASS_NAME:"OpenLayers.Format.CQL"})}();OpenLayers.Control.Split=OpenLayers.Class(OpenLayers.Control,{layer:null,source:null,sourceOptions:null,tolerance:null,edge:!0,deferDelete:!1,mutual:!0,targetFilter:null,sourceFilter:null,handler:null,initialize:function(b){OpenLayers.Control.prototype.initialize.apply(this,[b]);this.options=b||{};this.options.source&&this.setSource(this.options.source)},setSource:function(b){this.active?(this.deactivate(),this.handler&&(this.handler.destroy(),delete this.handler),this.source=b,this.activate()):this.source=b},activate:function(){var b=OpenLayers.Control.prototype.activate.call(this);if(b){if(!this.source){this.handler||(this.handler=new OpenLayers.Handler.Path(this,{done:function(c){this.onSketchComplete({feature:new OpenLayers.Feature.Vector(c)})}},{layerOptions:this.sourceOptions})),this.handler.activate()}else{if(this.source.events){this.source.events.on({sketchcomplete:this.onSketchComplete,afterfeaturemodified:this.afterFeatureModified,scope:this})}}}return b},deactivate:function(){var b=OpenLayers.Control.prototype.deactivate.call(this);b&&this.source&&this.source.events&&this.source.events.un({sketchcomplete:this.onSketchComplete,afterfeaturemodified:this.afterFeatureModified,scope:this});return b},onSketchComplete:function(b){this.feature=null;return !this.considerSplit(b.feature)},afterFeatureModified:function(b){b.modified&&"function"===typeof b.feature.geometry.split&&(this.feature=b.feature,this.considerSplit(b.feature))},removeByGeometry:function(f,e){for(var h=0,g=f.length;h<g;++h){if(f[h].geometry===e){f.splice(h,1);break}}},isEligible:function(b){return b.geometry?b.state!==OpenLayers.State.DELETE&&"function"===typeof b.geometry.split&&this.feature!==b&&(!this.targetFilter||this.targetFilter.evaluate(b.attributes)):!1},considerSplit:function(J){var I=!1,H=!1;if(!this.sourceFilter||this.sourceFilter.evaluate(J.attributes)){for(var G=this.layer&&this.layer.features||[],F,E,D=[],C=[],B=this.layer===this.source&&this.mutual,A={edge:this.edge,tolerance:this.tolerance,mutual:B},z=[J.geometry],y,x,w,v=0,o=G.length;v<o;++v){if(y=G[v],this.isEligible(y)){x=[y.geometry];for(var j=0;j<z.length;++j){w=z[j];for(var i=0;i<x.length;++i){if(F=x[i],w.getBounds().intersectsBounds(F.getBounds())&&(F=w.split(F,A))){E=this.events.triggerEvent("beforesplit",{source:J,target:y}),!1!==E&&(B&&(E=F[0],1<E.length&&(E.unshift(j,1),Array.prototype.splice.apply(z,E),j+=E.length-3),F=F[1]),1<F.length&&(F.unshift(i,1),Array.prototype.splice.apply(x,F),i+=F.length-3))}}}x&&1<x.length&&(this.geomsToFeatures(y,x),this.events.triggerEvent("split",{original:y,features:x}),Array.prototype.push.apply(D,x),C.push(y),H=!0)}}z&&1<z.length&&(this.geomsToFeatures(J,z),this.events.triggerEvent("split",{original:J,features:z}),Array.prototype.push.apply(D,z),C.push(J),I=!0);if(I||H){if(this.deferDelete){G=[];v=0;for(o=C.length;v<o;++v){H=C[v],H.state===OpenLayers.State.INSERT?G.push(H):(H.state=OpenLayers.State.DELETE,this.layer.drawFeature(H))}this.layer.destroyFeatures(G,{silent:!0});v=0;for(o=D.length;v<o;++v){D[v].state=OpenLayers.State.INSERT}}else{this.layer.destroyFeatures(C,{silent:!0})}this.layer.addFeatures(D,{silent:!0});this.events.triggerEvent("aftersplit",{source:J,features:D})}}return I},geomsToFeatures:function(h,g){var l=h.clone();delete l.geometry;for(var k,j=0,i=g.length;j<i;++j){k=l.clone(),k.geometry=g[j],k.state=OpenLayers.State.INSERT,g[j]=k}},destroy:function(){this.active&&this.deactivate();OpenLayers.Control.prototype.destroy.call(this)},CLASS_NAME:"OpenLayers.Control.Split"});OpenLayers.Layer.WMTS=OpenLayers.Class(OpenLayers.Layer.Grid,{isBaseLayer:!0,version:"1.0.0",requestEncoding:"KVP",url:null,layer:null,matrixSet:null,style:null,format:"image/jpeg",tileOrigin:null,tileFullExtent:null,formatSuffix:null,matrixIds:null,dimensions:null,params:null,zoomOffset:0,serverResolutions:null,formatSuffixMap:{"image/png":"png","image/png8":"png","image/png24":"png","image/png32":"png",png:"png","image/jpeg":"jpg","image/jpg":"jpg",jpeg:"jpg",jpg:"jpg"},matrix:null,initialize:function(e){var d={url:!0,layer:!0,style:!0,matrixSet:!0},f;for(f in d){if(!(f in e)){throw Error("Missing property '"+f+"' in layer configuration.")}}e.params=OpenLayers.Util.upperCaseObject(e.params);OpenLayers.Layer.Grid.prototype.initialize.apply(this,[e.name,e.url,e.params,e]);this.formatSuffix||(this.formatSuffix=this.formatSuffixMap[this.format]||this.format.split("/").pop());if(this.matrixIds&&(e=this.matrixIds.length)&&"string"===typeof this.matrixIds[0]){for(d=this.matrixIds,this.matrixIds=Array(e),f=0;f<e;++f){this.matrixIds[f]={identifier:d[f]}}}},setMap:function(){OpenLayers.Layer.Grid.prototype.setMap.apply(this,arguments)},updateMatrixProperties:function(){if(this.matrix=this.getMatrix()){this.matrix.topLeftCorner&&(this.tileOrigin=this.matrix.topLeftCorner),this.matrix.tileWidth&&this.matrix.tileHeight&&(this.tileSize=new OpenLayers.Size(this.matrix.tileWidth,this.matrix.tileHeight)),this.tileOrigin||(this.tileOrigin=new OpenLayers.LonLat(this.maxExtent.left,this.maxExtent.top)),this.tileFullExtent||(this.tileFullExtent=this.maxExtent)}},moveTo:function(e,d,f){!d&&this.matrix||this.updateMatrixProperties();return OpenLayers.Layer.Grid.prototype.moveTo.apply(this,arguments)},clone:function(b){null==b&&(b=new OpenLayers.Layer.WMTS(this.options));return b=OpenLayers.Layer.Grid.prototype.clone.apply(this,[b])},getIdentifier:function(){return this.getServerZoom()},getMatrix:function(){var h;if(this.matrixIds&&0!==this.matrixIds.length){if("scaleDenominator" in this.matrixIds[0]){for(var g=OpenLayers.METERS_PER_INCH*OpenLayers.INCHES_PER_UNIT[this.units]*this.getServerResolution()/0.00028,l=Number.POSITIVE_INFINITY,k,j=0,i=this.matrixIds.length;j<i;++j){k=Math.abs(1-this.matrixIds[j].scaleDenominator/g),k<l&&(l=k,h=this.matrixIds[j])}}else{h=this.matrixIds[this.getIdentifier()]}}else{h={identifier:this.getIdentifier()}}return h},getTileInfo:function(f){var e=this.getServerResolution(),h=(f.lon-this.tileOrigin.lon)/(e*this.tileSize.w);f=(this.tileOrigin.lat-f.lat)/(e*this.tileSize.h);var e=Math.floor(h),g=Math.floor(f);return{col:e,row:g,i:Math.floor((h-e)*this.tileSize.w),j:Math.floor((f-g)*this.tileSize.h)}},getURL:function(h){h=this.adjustBounds(h);var g="";if(!this.tileFullExtent||this.tileFullExtent.intersectsBounds(h)){h=h.getCenterLonLat();var l=this.getTileInfo(h);h=this.dimensions;var k,g=OpenLayers.Util.isArray(this.url)?this.selectUrl([this.version,this.style,this.matrixSet,this.matrix.identifier,l.row,l.col].join(),this.url):this.url;if("REST"===this.requestEncoding.toUpperCase()){if(k=this.params,-1!==g.indexOf("{")){g=g.replace(/\{/g,"${");l={style:this.style,Style:this.style,TileMatrixSet:this.matrixSet,TileMatrix:this.matrix.identifier,TileRow:l.row,TileCol:l.col};if(h){var j,i;for(i=h.length-1;0<=i;--i){j=h[i],l[j]=k[j.toUpperCase()]}}g=OpenLayers.String.format(g,l)}else{j=this.version+"/"+this.layer+"/"+this.style+"/";if(h){for(i=0;i<h.length;i++){k[h[i]]&&(j=j+k[h[i]]+"/")}}j=j+this.matrixSet+"/"+this.matrix.identifier+"/"+l.row+"/"+l.col+"."+this.formatSuffix;g.match(/\/$/)||(g+="/");g+=j}}else{"KVP"===this.requestEncoding.toUpperCase()&&(k={SERVICE:"WMTS",REQUEST:"GetTile",VERSION:this.version,LAYER:this.layer,STYLE:this.style,TILEMATRIXSET:this.matrixSet,TILEMATRIX:this.matrix.identifier,TILEROW:l.row,TILECOL:l.col,FORMAT:this.format},g=OpenLayers.Layer.Grid.prototype.getFullRequestString.apply(this,[k]))}}return g},mergeNewParams:function(b){if("KVP"===this.requestEncoding.toUpperCase()){return OpenLayers.Layer.Grid.prototype.mergeNewParams.apply(this,[OpenLayers.Util.upperCaseObject(b)])}},CLASS_NAME:"OpenLayers.Layer.WMTS"});OpenLayers.Protocol.SOS.v1_0_0=OpenLayers.Class(OpenLayers.Protocol,{fois:null,formatOptions:null,initialize:function(b){OpenLayers.Protocol.prototype.initialize.apply(this,[b]);b.format||(this.format=new OpenLayers.Format.SOSGetFeatureOfInterest(this.formatOptions))},destroy:function(){this.options&&!this.options.format&&this.format.destroy();this.format=null;OpenLayers.Protocol.prototype.destroy.apply(this)},read:function(e){e=OpenLayers.Util.extend({},e);OpenLayers.Util.applyDefaults(e,this.options||{});var d=new OpenLayers.Protocol.Response({requestType:"read"}),f=this.format,f=OpenLayers.Format.XML.prototype.write.apply(f,[f.writeNode("sos:GetFeatureOfInterest",{fois:this.fois})]);d.priv=OpenLayers.Request.POST({url:e.url,callback:this.createCallback(this.handleRead,d,e),data:f});return d},handleRead:function(e,d){if(d.callback){var f=e.priv;200<=f.status&&300>f.status?(e.features=this.parseFeatures(f),e.code=OpenLayers.Protocol.Response.SUCCESS):e.code=OpenLayers.Protocol.Response.FAILURE;d.callback.call(d.scope,e)}},parseFeatures:function(d){var c=d.responseXML;c&&c.documentElement||(c=d.responseText);return !c||0>=c.length?null:this.format.read(c)},CLASS_NAME:"OpenLayers.Protocol.SOS.v1_0_0"});OpenLayers.Layer.KaMapCache=OpenLayers.Class(OpenLayers.Layer.KaMap,{IMAGE_EXTENSIONS:{jpeg:"jpg",gif:"gif",png:"png",png8:"png",png24:"png",dithered:"png"},DEFAULT_FORMAT:"jpeg",initialize:function(f,e,h,g){OpenLayers.Layer.KaMap.prototype.initialize.apply(this,arguments);this.extension=this.IMAGE_EXTENSIONS[this.params.i.toLowerCase()||this.DEFAULT_FORMAT]},getURL:function(g){g=this.adjustBounds(g);var f=this.map.getResolution(),j=Math.round(10000*this.map.getScale())/10000,i=Math.round(g.left/f);g=-Math.round(g.top/f);var f=Math.floor(i/this.tileSize.w/this.params.metaTileSize.w)*this.tileSize.w*this.params.metaTileSize.w,h=Math.floor(g/this.tileSize.h/this.params.metaTileSize.h)*this.tileSize.h*this.params.metaTileSize.h,j=["/",this.params.map,"/",j,"/",this.params.g.replace(/\s/g,"_"),"/def/t",h,"/l",f,"/t",g,"l",i,".",this.extension],i=this.url;OpenLayers.Util.isArray(i)&&(i=this.selectUrl(j.join(""),i));return i+j.join("")},CLASS_NAME:"OpenLayers.Layer.KaMapCache"});OpenLayers.Protocol.WFS.v1_1_0=OpenLayers.Class(OpenLayers.Protocol.WFS.v1,{version:"1.1.0",initialize:function(b){OpenLayers.Protocol.WFS.v1.prototype.initialize.apply(this,arguments);this.outputFormat&&!this.readFormat&&("gml2"==this.outputFormat.toLowerCase()?this.readFormat=new OpenLayers.Format.GML.v2({featureType:this.featureType,featureNS:this.featureNS,geometryName:this.geometryName}):"json"==this.outputFormat.toLowerCase()&&(this.readFormat=new OpenLayers.Format.GeoJSON))},CLASS_NAME:"OpenLayers.Protocol.WFS.v1_1_0"});OpenLayers.Format.WMSCapabilities.v1_1_1=OpenLayers.Class(OpenLayers.Format.WMSCapabilities.v1_1,{version:"1.1.1",readers:{wms:OpenLayers.Util.applyDefaults({SRS:function(d,c){c.srs[this.getChildValue(d)]=!0}},OpenLayers.Format.WMSCapabilities.v1_1.prototype.readers.wms)},CLASS_NAME:"OpenLayers.Format.WMSCapabilities.v1_1_1"});OpenLayers.Format.WMSCapabilities.v1_1_1_WMSC=OpenLayers.Class(OpenLayers.Format.WMSCapabilities.v1_1_1,{version:"1.1.1",profile:"WMSC",readers:{wms:OpenLayers.Util.applyDefaults({VendorSpecificCapabilities:function(d,c){c.vendorSpecific={tileSets:[]};this.readChildNodes(d,c.vendorSpecific)},TileSet:function(e,d){var f={srs:{},bbox:{},resolutions:[]};this.readChildNodes(e,f);d.tileSets.push(f)},Resolutions:function(g,f){for(var j=this.getChildValue(g).split(" "),i=0,h=j.length;i<h;i++){""!=j[i]&&f.resolutions.push(parseFloat(j[i]))}},Width:function(d,c){c.width=parseInt(this.getChildValue(d))},Height:function(d,c){c.height=parseInt(this.getChildValue(d))},Layers:function(d,c){c.layers=this.getChildValue(d)},Styles:function(d,c){c.styles=this.getChildValue(d)}},OpenLayers.Format.WMSCapabilities.v1_1_1.prototype.readers.wms)},CLASS_NAME:"OpenLayers.Format.WMSCapabilities.v1_1_1_WMSC"});OpenLayers.Control.LayerSwitcher=OpenLayers.Class(OpenLayers.Control,{layerStates:null,layersDiv:null,baseLayersDiv:null,baseLayers:null,dataLbl:null,dataLayersDiv:null,dataLayers:null,minimizeDiv:null,maximizeDiv:null,ascending:!0,initialize:function(b){OpenLayers.Control.prototype.initialize.apply(this,arguments);this.layerStates=[]},destroy:function(){this.clearLayersArray("base");this.clearLayersArray("data");this.map.events.un({buttonclick:this.onButtonClick,addlayer:this.redraw,changelayer:this.redraw,removelayer:this.redraw,changebaselayer:this.redraw,scope:this});this.events.unregister("buttonclick",this,this.onButtonClick);OpenLayers.Control.prototype.destroy.apply(this,arguments)},setMap:function(b){OpenLayers.Control.prototype.setMap.apply(this,arguments);this.map.events.on({addlayer:this.redraw,changelayer:this.redraw,removelayer:this.redraw,changebaselayer:this.redraw,scope:this});this.outsideViewport?(this.events.attachToElement(this.div),this.events.register("buttonclick",this,this.onButtonClick)):this.map.events.register("buttonclick",this,this.onButtonClick)},draw:function(){OpenLayers.Control.prototype.draw.apply(this);this.loadContents();this.outsideViewport||this.minimizeControl();this.redraw();return this.div},onButtonClick:function(b){b=b.buttonElement;b===this.minimizeDiv?this.minimizeControl():b===this.maximizeDiv?this.maximizeControl():b._layerSwitcher===this.id&&(b["for"]&&(b=document.getElementById(b["for"])),b.disabled||("radio"==b.type?(b.checked=!0,this.map.setBaseLayer(this.map.getLayer(b._layer))):(b.checked=!b.checked,this.updateMap())))},clearLayersArray:function(b){this[b+"LayersDiv"].innerHTML="";this[b+"Layers"]=[]},checkRedraw:function(){if(!this.layerStates.length||this.map.layers.length!=this.layerStates.length){return !0}for(var f=0,e=this.layerStates.length;f<e;f++){var h=this.layerStates[f],g=this.map.layers[f];if(h.name!=g.name||h.inRange!=g.inRange||h.id!=g.id||h.visibility!=g.visibility){return !0}}return !1},redraw:function(){if(!this.checkRedraw()){return this.div}this.clearLayersArray("base");this.clearLayersArray("data");var t=!1,s=!1,r=this.map.layers.length;this.layerStates=Array(r);for(var q=0;q<r;q++){var p=this.map.layers[q];this.layerStates[q]={name:p.name,visibility:p.visibility,inRange:p.inRange,id:p.id}}var o=this.map.layers.slice();this.ascending||o.reverse();q=0;for(r=o.length;q<r;q++){var p=o[q],n=p.isBaseLayer;if(p.displayInLayerSwitcher){n?s=!0:t=!0;var m=n?p==this.map.baseLayer:p.getVisibility(),j=document.createElement("input"),i=OpenLayers.Util.createUniqueID(this.id+"_input_");j.id=i;j.name=n?this.id+"_baseLayers":p.name;j.type=n?"radio":"checkbox";j.value=p.name;j.checked=m;j.defaultChecked=m;j.className="olButton";j._layer=p.id;j._layerSwitcher=this.id;n||p.inRange||(j.disabled=!0);m=document.createElement("label");m["for"]=j.id;OpenLayers.Element.addClass(m,"labelSpan olButton");m._layer=p.id;m._layerSwitcher=this.id;n||p.inRange||(m.style.color="gray");m.innerHTML=p.name;m.style.verticalAlign=n?"bottom":"baseline";i=document.createElement("br");(n?this.baseLayers:this.dataLayers).push({layer:p,inputElem:j,labelSpan:m});p=n?this.baseLayersDiv:this.dataLayersDiv;p.appendChild(j);p.appendChild(m);p.appendChild(i)}}this.dataLbl.style.display=t?"":"none";this.baseLbl.style.display=s?"":"none";return this.div},updateMap:function(){for(var e=0,d=this.baseLayers.length;e<d;e++){var f=this.baseLayers[e];f.inputElem.checked&&this.map.setBaseLayer(f.layer,!1)}e=0;for(d=this.dataLayers.length;e<d;e++){f=this.dataLayers[e],f.layer.setVisibility(f.inputElem.checked)}},maximizeControl:function(b){this.div.style.width="";this.div.style.height="";this.showControls(!1);null!=b&&OpenLayers.Event.stop(b)},minimizeControl:function(b){this.div.style.width="0px";this.div.style.height="0px";this.showControls(!0);null!=b&&OpenLayers.Event.stop(b)},showControls:function(b){this.maximizeDiv.style.display=b?"":"none";this.minimizeDiv.style.display=b?"none":"";this.layersDiv.style.display=b?"none":""},loadContents:function(){this.layersDiv=document.createElement("div");this.layersDiv.id=this.id+"_layersDiv";OpenLayers.Element.addClass(this.layersDiv,"layersDiv");this.baseLbl=document.createElement("div");this.baseLbl.innerHTML=OpenLayers.i18n("Base Layer");OpenLayers.Element.addClass(this.baseLbl,"baseLbl");this.baseLayersDiv=document.createElement("div");OpenLayers.Element.addClass(this.baseLayersDiv,"baseLayersDiv");this.dataLbl=document.createElement("div");this.dataLbl.innerHTML=OpenLayers.i18n("Overlays");OpenLayers.Element.addClass(this.dataLbl,"dataLbl");this.dataLayersDiv=document.createElement("div");OpenLayers.Element.addClass(this.dataLayersDiv,"dataLayersDiv");this.ascending?(this.layersDiv.appendChild(this.baseLbl),this.layersDiv.appendChild(this.baseLayersDiv),this.layersDiv.appendChild(this.dataLbl),this.layersDiv.appendChild(this.dataLayersDiv)):(this.layersDiv.appendChild(this.dataLbl),this.layersDiv.appendChild(this.dataLayersDiv),this.layersDiv.appendChild(this.baseLbl),this.layersDiv.appendChild(this.baseLayersDiv));this.div.appendChild(this.layersDiv);var b=OpenLayers.Util.getImageLocation("layer-switcher-maximize.png");this.maximizeDiv=OpenLayers.Util.createAlphaImageDiv("OpenLayers_Control_MaximizeDiv",null,null,b,"absolute");OpenLayers.Element.addClass(this.maximizeDiv,"maximizeDiv olButton");this.maximizeDiv.style.display="none";this.div.appendChild(this.maximizeDiv);b=OpenLayers.Util.getImageLocation("layer-switcher-minimize.png");this.minimizeDiv=OpenLayers.Util.createAlphaImageDiv("OpenLayers_Control_MinimizeDiv",null,null,b,"absolute");OpenLayers.Element.addClass(this.minimizeDiv,"minimizeDiv olButton");this.minimizeDiv.style.display="none";this.div.appendChild(this.minimizeDiv)},CLASS_NAME:"OpenLayers.Control.LayerSwitcher"});OpenLayers.Format.Atom=OpenLayers.Class(OpenLayers.Format.XML,{namespaces:{atom:"http://www.w3.org/2005/Atom",georss:"http://www.georss.org/georss"},feedTitle:"untitled",defaultEntryTitle:"untitled",gmlParser:null,xy:!1,read:function(b){"string"==typeof b&&(b=OpenLayers.Format.XML.prototype.read.apply(this,[b]));return this.parseFeatures(b)},write:function(f){var e;if(OpenLayers.Util.isArray(f)){e=this.createElementNSPlus("atom:feed");e.appendChild(this.createElementNSPlus("atom:title",{value:this.feedTitle}));for(var h=0,g=f.length;h<g;h++){e.appendChild(this.buildEntryNode(f[h]))}}else{e=this.buildEntryNode(f)}return OpenLayers.Format.XML.prototype.write.apply(this,[e])},buildContentNode:function(d){var c=this.createElementNSPlus("atom:content",{attributes:{type:d.type||null}});if(d.src){c.setAttribute("src",d.src)}else{if("text"==d.type||null==d.type){c.appendChild(this.createTextNode(d.value))}else{if("html"==d.type){if("string"!=typeof d.value){throw"HTML content must be in form of an escaped string"}c.appendChild(this.createTextNode(d.value))}else{"xhtml"==d.type?c.appendChild(d.value):"xhtml"==d.type||d.type.match(/(\+|\/)xml$/)?c.appendChild(d.value):c.appendChild(this.createTextNode(d.value))}}}return c},buildEntryNode:function(j){var i=j.attributes,p=i.atom||{},o=this.createElementNSPlus("atom:entry");if(p.authors){for(var n=OpenLayers.Util.isArray(p.authors)?p.authors:[p.authors],m=0,l=n.length;m<l;m++){o.appendChild(this.buildPersonConstructNode("author",n[m]))}}if(p.categories){for(var n=OpenLayers.Util.isArray(p.categories)?p.categories:[p.categories],k,m=0,l=n.length;m<l;m++){k=n[m],o.appendChild(this.createElementNSPlus("atom:category",{attributes:{term:k.term,scheme:k.scheme||null,label:k.label||null}}))}}p.content&&o.appendChild(this.buildContentNode(p.content));if(p.contributors){for(n=OpenLayers.Util.isArray(p.contributors)?p.contributors:[p.contributors],m=0,l=n.length;m<l;m++){o.appendChild(this.buildPersonConstructNode("contributor",n[m]))}}j.fid&&o.appendChild(this.createElementNSPlus("atom:id",{value:j.fid}));if(p.links){for(n=OpenLayers.Util.isArray(p.links)?p.links:[p.links],m=0,l=n.length;m<l;m++){k=n[m],o.appendChild(this.createElementNSPlus("atom:link",{attributes:{href:k.href,rel:k.rel||null,type:k.type||null,hreflang:k.hreflang||null,title:k.title||null,length:k.length||null}}))}}p.published&&o.appendChild(this.createElementNSPlus("atom:published",{value:p.published}));p.rights&&o.appendChild(this.createElementNSPlus("atom:rights",{value:p.rights}));(p.summary||i.description)&&o.appendChild(this.createElementNSPlus("atom:summary",{value:p.summary||i.description}));o.appendChild(this.createElementNSPlus("atom:title",{value:p.title||i.title||this.defaultEntryTitle}));p.updated&&o.appendChild(this.createElementNSPlus("atom:updated",{value:p.updated}));j.geometry&&(i=this.createElementNSPlus("georss:where"),i.appendChild(this.buildGeometryNode(j.geometry)),o.appendChild(i));return o},initGmlParser:function(){this.gmlParser=new OpenLayers.Format.GML.v3({xy:this.xy,featureNS:"http://example.com#feature",internalProjection:this.internalProjection,externalProjection:this.externalProjection})},buildGeometryNode:function(b){this.gmlParser||this.initGmlParser();return this.gmlParser.writeNode("feature:_geometry",b).firstChild},buildPersonConstructNode:function(h,g){var l=["uri","email"],k=this.createElementNSPlus("atom:"+h);k.appendChild(this.createElementNSPlus("atom:name",{value:g.name}));for(var j=0,i=l.length;j<i;j++){g[l[j]]&&k.appendChild(this.createElementNSPlus("atom:"+l[j],{value:g[l[j]]}))}return k},getFirstChildValue:function(f,e,h,g){return(f=this.getElementsByTagNameNS(f,e,h))&&0<f.length?this.getChildValue(f[0],g):g},parseFeature:function(v){var u={},t=null,s=null,r=null,q=this.namespaces.atom;this.parsePersonConstructs(v,"author",u);s=this.getElementsByTagNameNS(v,q,"category");0<s.length&&(u.categories=[]);for(var p=0,o=s.length;p<o;p++){t={};t.term=s[p].getAttribute("term");if(r=s[p].getAttribute("scheme")){t.scheme=r}if(r=s[p].getAttribute("label")){t.label=r}u.categories.push(t)}s=this.getElementsByTagNameNS(v,q,"content");if(0<s.length){t={};if(r=s[0].getAttribute("type")){t.type=r}(r=s[0].getAttribute("src"))?t.src=r:("text"==t.type||"html"==t.type||null==t.type?t.value=this.getFirstChildValue(v,q,"content",null):"xhtml"==t.type||t.type.match(/(\+|\/)xml$/)?t.value=this.getChildEl(s[0]):t.value=this.getFirstChildValue(v,q,"content",null),u.content=t)}this.parsePersonConstructs(v,"contributor",u);u.id=this.getFirstChildValue(v,q,"id",null);s=this.getElementsByTagNameNS(v,q,"link");0<s.length&&(u.links=Array(s.length));for(var n=["rel","type","hreflang","title","length"],p=0,o=s.length;p<o;p++){t={};t.href=s[p].getAttribute("href");for(var j=0,i=n.length;j<i;j++){(r=s[p].getAttribute(n[j]))&&(t[n[j]]=r)}u.links[p]=t}if(t=this.getFirstChildValue(v,q,"published",null)){u.published=t}if(t=this.getFirstChildValue(v,q,"rights",null)){u.rights=t}if(t=this.getFirstChildValue(v,q,"summary",null)){u.summary=t}u.title=this.getFirstChildValue(v,q,"title",null);u.updated=this.getFirstChildValue(v,q,"updated",null);t={title:u.title,description:u.summary,atom:u};v=this.parseLocations(v)[0];v=new OpenLayers.Feature.Vector(v,t);v.fid=u.id;return v},parseFeatures:function(f){var e=[],h=this.getElementsByTagNameNS(f,this.namespaces.atom,"entry");0==h.length&&(h=[f]);f=0;for(var g=h.length;f<g;f++){e.push(this.parseFeature(h[f]))}return e},parseLocations:function(v){var u=this.namespaces.georss,t={components:[]},s=this.getElementsByTagNameNS(v,u,"where");if(s&&0<s.length){this.gmlParser||this.initGmlParser();for(var r=0,q=s.length;r<q;r++){this.gmlParser.readChildNodes(s[r],t)}}t=t.components;if((s=this.getElementsByTagNameNS(v,u,"point"))&&0<s.length){for(r=0,q=s.length;r<q;r++){var p=OpenLayers.String.trim(s[r].firstChild.nodeValue).split(/\s+/);2!=p.length&&(p=OpenLayers.String.trim(s[r].firstChild.nodeValue).split(/\s*,\s*/));t.push(new OpenLayers.Geometry.Point(p[1],p[0]))}}var o=this.getElementsByTagNameNS(v,u,"line");if(o&&0<o.length){for(var n,r=0,q=o.length;r<q;r++){s=OpenLayers.String.trim(o[r].firstChild.nodeValue).split(/\s+/);n=[];for(var j=0,i=s.length;j<i;j+=2){p=new OpenLayers.Geometry.Point(s[j+1],s[j]),n.push(p)}t.push(new OpenLayers.Geometry.LineString(n))}}if((v=this.getElementsByTagNameNS(v,u,"polygon"))&&0<v.length){for(r=0,q=v.length;r<q;r++){s=OpenLayers.String.trim(v[r].firstChild.nodeValue).split(/\s+/);n=[];j=0;for(i=s.length;j<i;j+=2){p=new OpenLayers.Geometry.Point(s[j+1],s[j]),n.push(p)}t.push(new OpenLayers.Geometry.Polygon([new OpenLayers.Geometry.LinearRing(n)]))}}if(this.internalProjection&&this.externalProjection){for(r=0,q=t.length;r<q;r++){t[r]&&t[r].transform(this.externalProjection,this.internalProjection)}}return t},parsePersonConstructs:function(x,w,v){var u=[],t=this.namespaces.atom;x=this.getElementsByTagNameNS(x,t,w);for(var s=["uri","email"],r=0,q=x.length;r<q;r++){var p={};p.name=this.getFirstChildValue(x[r],t,"name",null);for(var o=0,j=s.length;o<j;o++){var i=this.getFirstChildValue(x[r],t,s[o],null);i&&(p[s[o]]=i)}u.push(p)}0<u.length&&(v[w+"s"]=u)},CLASS_NAME:"OpenLayers.Format.Atom"});OpenLayers.Control.KeyboardDefaults=OpenLayers.Class(OpenLayers.Control,{autoActivate:!0,slideFactor:75,observeElement:null,draw:function(){this.handler=new OpenLayers.Handler.Keyboard(this,{keydown:this.defaultKeyPress},{observeElement:this.observeElement||document})},defaultKeyPress:function(e){var d,f=!0;d=OpenLayers.Event.element(e);if(!d||"INPUT"!=d.tagName&&"TEXTAREA"!=d.tagName&&"SELECT"!=d.tagName){switch(e.keyCode){case OpenLayers.Event.KEY_LEFT:this.map.pan(-this.slideFactor,0);break;case OpenLayers.Event.KEY_RIGHT:this.map.pan(this.slideFactor,0);break;case OpenLayers.Event.KEY_UP:this.map.pan(0,-this.slideFactor);break;case OpenLayers.Event.KEY_DOWN:this.map.pan(0,this.slideFactor);break;case 33:d=this.map.getSize();this.map.pan(0,-0.75*d.h);break;case 34:d=this.map.getSize();this.map.pan(0,0.75*d.h);break;case 35:d=this.map.getSize();this.map.pan(0.75*d.w,0);break;case 36:d=this.map.getSize();this.map.pan(-0.75*d.w,0);break;case 43:case 61:case 187:case 107:this.map.zoomIn();break;case 45:case 109:case 189:case 95:this.map.zoomOut();break;default:f=!1}f&&OpenLayers.Event.stop(e)}},CLASS_NAME:"OpenLayers.Control.KeyboardDefaults"});OpenLayers.Format.WMTSCapabilities.v1_0_0=OpenLayers.Class(OpenLayers.Format.OWSCommon.v1_1_0,{version:"1.0.0",namespaces:{ows:"http://www.opengis.net/ows/1.1",wmts:"http://www.opengis.net/wmts/1.0",xlink:"http://www.w3.org/1999/xlink"},yx:null,defaultPrefix:"wmts",initialize:function(b){OpenLayers.Format.XML.prototype.initialize.apply(this,[b]);this.options=b;b=OpenLayers.Util.extend({},OpenLayers.Format.WMTSCapabilities.prototype.yx);this.yx=OpenLayers.Util.extend(b,this.yx)},read:function(d){"string"==typeof d&&(d=OpenLayers.Format.XML.prototype.read.apply(this,[d]));d&&9==d.nodeType&&(d=d.documentElement);var c={};this.readNode(d,c);c.version=this.version;return c},readers:{wmts:{Capabilities:function(d,c){this.readChildNodes(d,c)},Contents:function(d,c){c.contents={};c.contents.layers=[];c.contents.tileMatrixSets={};this.readChildNodes(d,c.contents)},Layer:function(e,d){var f={styles:[],formats:[],dimensions:[],tileMatrixSetLinks:[],layers:[]};this.readChildNodes(e,f);d.layers.push(f)},Style:function(e,d){var f={};f.isDefault="true"===e.getAttribute("isDefault");this.readChildNodes(e,f);d.styles.push(f)},Format:function(d,c){c.formats.push(this.getChildValue(d))},TileMatrixSetLink:function(e,d){var f={};this.readChildNodes(e,f);d.tileMatrixSetLinks.push(f)},TileMatrixSet:function(e,d){if(d.layers){var f={matrixIds:[]};this.readChildNodes(e,f);d.tileMatrixSets[f.identifier]=f}else{d.tileMatrixSet=this.getChildValue(e)}},TileMatrix:function(e,d){var f={supportedCRS:d.supportedCRS};this.readChildNodes(e,f);d.matrixIds.push(f)},ScaleDenominator:function(d,c){c.scaleDenominator=parseFloat(this.getChildValue(d))},TopLeftCorner:function(f,e){var h=this.getChildValue(f).split(" "),g;e.supportedCRS&&(g=e.supportedCRS.replace(/urn:ogc:def:crs:(\w+):.+:(\w+)$/,"urn:ogc:def:crs:$1::$2"),g=!!this.yx[g]);e.topLeftCorner=g?new OpenLayers.LonLat(h[1],h[0]):new OpenLayers.LonLat(h[0],h[1])},TileWidth:function(d,c){c.tileWidth=parseInt(this.getChildValue(d))},TileHeight:function(d,c){c.tileHeight=parseInt(this.getChildValue(d))},MatrixWidth:function(d,c){c.matrixWidth=parseInt(this.getChildValue(d))},MatrixHeight:function(d,c){c.matrixHeight=parseInt(this.getChildValue(d))},ResourceURL:function(e,d){d.resourceUrl=d.resourceUrl||{};var f=e.getAttribute("resourceType");d.resourceUrls||(d.resourceUrls=[]);f=d.resourceUrl[f]={format:e.getAttribute("format"),template:e.getAttribute("template"),resourceType:f};d.resourceUrls.push(f)},WSDL:function(d,c){c.wsdl={};c.wsdl.href=d.getAttribute("xlink:href")},ServiceMetadataURL:function(d,c){c.serviceMetadataUrl={};c.serviceMetadataUrl.href=d.getAttribute("xlink:href")},LegendURL:function(d,c){c.legend={};c.legend.href=d.getAttribute("xlink:href");c.legend.format=d.getAttribute("format")},Dimension:function(e,d){var f={values:[]};this.readChildNodes(e,f);d.dimensions.push(f)},Default:function(d,c){c["default"]=this.getChildValue(d)},Value:function(d,c){c.values.push(this.getChildValue(d))}},ows:OpenLayers.Format.OWSCommon.v1_1_0.prototype.readers.ows},CLASS_NAME:"OpenLayers.Format.WMTSCapabilities.v1_0_0"});